
libname:= "C:\\Program Files\\Maple 10/lib",
"C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";


#~~~~~ DifferentialGeometry Archive 

with(DifferentialGeometry):
with(DifferentialGeometryTools):

with(tensors);
with(TensorsTools);

with(JetCalc);
#with(JetCalcTools):

with(LieAlgebras);
#with(LieAlgebrasTools):

#~~~~~ DifferentialGeometryApplications Archive

with(Isometries):
with(LieGroups):


#~~~~~~ LieAlgebraApplications Archive ~~~~~

with(LieAlgebraCohomology):
with(LieAlgebraRepresentations):
with(LieEngelTheorems):



Diagnostics:=module()


export DifferentialGeometryDiagnostics, DifferentialGeometryConvertDiagnostics,

DifferentialGeometryToolsDiagnostics,  

TensorsDiagnostics, TensorsToolsDiagnostics, 



JetCalcDiagnostics, 

LieAlgebrasDiagnostics,


#~~~~~ DifferentialGeometryApplications

IsometriesDiagnostics,LieGroupsDiagnostics,


#~~~~~ LieAlgebraApplications

LieAlgebraCohomologyDiagnostics,
LieAlgebraRepresentationsDiagnostics,
LieEngelTheoremsDiagnostics,
LieAlgebraClassifierDiagnostics;
    


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\DifferentialGeometryDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\DifferentialGeometryConvertDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\DifferentialGeometryToolsDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\LieAlgebrasDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\JetCalcDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\TensorsDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\TensorsToolsDiagnostics.ms";

#~~~~~ DifferentialGeometryApplications

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\IsometriesDiagnostics.ms";

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\LieGroupsDiagnostics.ms";



#~~~~~ LieAlgebraApplications

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\LieAlgebraCohomologyDiagnostics.ms";

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\LieAlgebraRepresentationsDiagnostics.ms";


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\LieEngelTheoremsDiagnostics.ms";

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\LieAlgebraClassifierDiagnostics.ms";

end module;

unwith(DifferentialGeometry);



savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\Diagnostics\\Diagnostics.mla";

savelib('Diagnostics');
