#
# frame_Init.vss
#
# Vessiot 
#
# constructFrameLabels; jet_labels  
#

constructFrameLabels:=proc(temp_frame_labels, default,N) 

#CLASS II PROGRAM
#December 17,2002:IA      

local i, frame_labels ,f, A,B,j;
global _VessiotWarningFlag;
 
if nops(temp_frame_labels) = 0 
	then
      frame_labels :=[seq([cat(default,i), [] ] , i = 1 .. N)];
fi;

if nops(temp_frame_labels) = 1 
	then 
	frame_labels := [seq([convert(cat(temp_frame_labels[1], i),string), [] ] , i = 1 .. N)];
fi;
    
for j from 1 to nops(frame_labels) while _VessiotWarningFlag = true   
do 
      f:=eval(reconstructVariableName(frame_labels[j]));
      if type(f, name) = false 
		then 
            print( `The label` , reconstructVariableName(frame_labels[j]), 
            ` is an assigned name which frame_init will over-write`);
            A:=readstat("Continue (Yes or No): ") ;
            if A = `No` 
			then  
			RETURN([]) ;
            fi;
            if A =`Yes`  
			then  
            	B:= readstat("Do you wish to be warned again? " );
               	if B=`No` 
				then  
				_VessiotWarningFlag:=false  
			fi;
            fi;
       fi;  
od;


if nops(temp_frame_labels) >1   
	then 
      
	if nops(temp_frame_labels)<> N 
		then
		ERROR(`VESSIOT ERROR: dimension of frame `, N, `and number of frame labels`, 
            nops(temp_frame_labels),  `are not  equal`)
	fi;
	
	for j from 1 to N do 
      	if type(temp_frame_labels[j], name) = false 
			then 
			ERROR(`Vessiot Error: The frame/coframe label`, tempframe_labels[j], 
                  `is an assigned name`)
      	fi;
	od;

   	frame_labels:=[seq(parseVariableName(temp_frame_labels[i]), i=1..N)];
fi;

frame_labels

end:


#------------------------------------------------------------------------

jet_labels:=proc(jet_labels_list)
local fr,n; global _Vessiot_frame_data;

fr:=_Vessiot_current_frame_name;
n:=nops(jet_labels_list);
_Vessiot_frame_data[fr][1][4][9]:=[op(jet_labels_list),op(frameJetVariables()[n+1..-1]) ]
end:

#***************************************************