#
# DG_Main
#
# Vessiot
#
# 
#
# Mult, Plus, Minus, Tensor, Wedge, DGzip


#


#----------------------------------------


DiffGeomMain:=module()

export  Mult, Plus, Minus, Tensor, Wedge, DGzip;


Tensor:=proc(tensor1, tensor2)
#Class I program
#06/01/97:CM
#01/04/03:IA
     


local ans, new_index_char, new_density, new_comps, 
      tens1, tens2, term1, tensorProductWeight, term2; 





tensorProductWeight:= proc (A1,A2) 
#Class II Program
#01/05/03:IA

local A, B,i, j,a;

if A1=[] then 
	RETURN(A2) 
fi;

if A2=[] then
	RETURN(A1);
fi;
 
A := [op(A1), op(A2)] ;

for i to nops(A) do 
	for j from i+1 to nops(A) do 
		if A[i][1] = A[j][1] then 
			A[i]:= [A[i][1], A[i][2]+A[j][2]];
                  A:=[op(1..j-1,A),op(j+1..-1,A)]; 
			break 
		fi 
	od 
od; 


B:=[];

for a in A do 
if a[2] <>0 then B:=[op(B), a] fi;
od;

B; 
 
end:




tens1:=tensor1;
tens2:=tensor2;

new_index_char:=[op(tensorIndexType(tens1)), op(tensorIndexType(tens2))];

new_density:=tensorProductWeight(tensorDensityType(tens1), tensorDensityType(tens2)); 
#construct the tensor:

new_comps:=[];
     
for term1 in op(tens1)[2] do
	for term2 in op(tens2)[2] do
      	new_comps:=[op(new_comps),[[op(term1[1]),op(term2[1])],term1[2]*term2[2]]];
      od;
od; 
 
ans:=_VESSIOT([[tensor,objectFrame(tensor1),[new_index_char,new_density]],new_comps]);

ans:=helmsimp(ans);

ans;

end: 



#===============================================


#=============================================================

Mult := proc(scalar,geomObjField)

# CLASS I PROGRAM
# 06/16/92 CH
# 07/07/97 CM
# 12/13/02 IA


#&MULT:: performs scalar multiplication, acts as an operator: 
#        no checks -- for  programming use only.

local term, newform, new_attributes;

newform := [];

for term in op(geomObjField)[2] do
    	newform := [op(newform), [term[1], scalar*term[2]] ]
od;
 
new_attributes:=op(geomObjField)[1]; 

if new_attributes[1]=cat(vect) then 
	new_attributes[3]:=[] 
fi;

newform :=  _VESSIOT([new_attributes,newform]);
newform := helmsimp(newform);

newform:

end:

#----------------------------------

Plus := proc(geomObjField1,geomObjField2)

#CLASS I PROGRAM
#06/16/92 CH
#07/07/97 CM
#12/13/02 IA

#PLUS:: to together two vectors, forms, or biforms
#       no checks, for programming only

local form1, form2, newform, temp, new_attributes;

form1:=op(geomObjField1):
form2:=op(geomObjField2):
	
new_attributes:=form1[1]; 

if form1[1][1]=cat(vect) then 
	new_attributes[3]:=[] 
fi;

#Concats the two lists.

temp:=[op(form1[2]), op(form2[2])]:


#
#  Need a Main helmsimp!!!!!
#
      
helmsimp(_VESSIOT([new_attributes, temp])):

end:

#=============================================

Minus := proc(form1, form2)

# CLASS II PROGRAM
# 06/16/92 CH
# 07/07/97 CM
# 12/13/02 IA
        
#PROCEDURE Minus, performs subtraction, acts as an operator.

local temp:

temp:=Mult(-1, form2):
temp := Plus(form1, temp):

temp:

end:




#-------------------------


Wedge := proc(formA,formB)
#CLASS I PROGRAM
#08/26/91:
#12/13/02:IA

#note: form1, form2  may be of type form or biform.  
#They must both be of the same type.

local degree, index1, newform, form1, form2, term1, term2, mono_wedge;



#
#  SUBROUTINES
#  mono_wedge

#===========================================================

mono_wedge:= proc(terma,termb)

# CLASS I PROGRAM
# 08/26/91:CH
# 12/13/02:IA

# mono_wedge:: wedges two monomial terms
# this could be re-worked using the sign programs and sort? Faster -- seems not!
 
local coeff,epsilon,  eta, index1, index2, newterm,start_index,
       temp;

eta := 0;
start_index := 1;
temp := {op(terma[1]),op(termb[1])};

if nops([op(terma[1]),op(termb[1])]) <> nops(temp) then
      epsilon := 0; 
      temp:=[op(terma[1]),op(termb[1])];
else
     	temp := terma[1];
      for index2 to nops(termb[1]) do
          	for index1 from start_index to nops(temp) do
            	if termb[1][index2] < temp[index1] then
              		temp:=[op(1 .. index1-1,temp),termb[1][index2],
              			op(index1 .. nops(temp),temp)];
              		eta := eta+nops(temp)-index1;
              		start_index := index1+1;
              		index1 := nops(temp)
            	fi;
          	od;
  	od;
	
	if nops(temp) < nops(terma[1])+nops(termb[1]) then
        	temp := [op(temp),op(nops(temp)-
          	nops(terma[1])+1 .. nops(termb[1]),termb[1])]
      fi;

	if type(eta,even) then epsilon := 1 elif type(eta,odd) then
          epsilon := -1
      fi;
fi;

coeff := epsilon*terma[2]*termb[2];
newterm := [temp,coeff];

newterm
end:

#=============================================================







form1:=op(formA):
form2:=op(formB):

newform := [];

for term1 in  form1[2] do
	for term2 in form2[2] do
  		newform := [op(newform), mono_wedge(term1, term2)]
      od;
od;

if form1[1][1] = `form` then
	degree :=  form1[1][3] + form2[1][3]
else
     	degree := [form1[1][3][1] + form2[1][3][1],
                 form1[1][3][2] + form2[1][3][2]]
fi;

newform := _VESSIOT([[op(1..2,form1[1]), degree], newform]);

end:

#-----------------------------------------------------------

DGzip:=proc(coeff_list,vfb_list,operand)

local temp, n, index;

n:=nops(coeff_list);
if operand=plus then 
	temp:=DiffGeomMain:-Mult(coeff_list[1],  vfb_list[1]);
      for index from 2 to n do 
            temp:=DiffGeomMain:-Plus(temp , DiffGeomMain:-Mult(coeff_list[index] , vfb_list[index]))
      od;

elif operand=wedge then 
	temp:=DiffGeomMain:-Mult(coeff_list[1],  vfb_list[1]);
         
      for index from 2 to n do
      	temp:=DiffGeomMain:-Wedge(temp , DiffGeomMain:-Mult(coeff_list[index] , vfb_list[index]))

      od;  
      
elif operand=tensor then 
	temp:=coeff_list[1] &mult vfb_list[1];
      
	for index from 2 to n do
		temp:=DiffGeomMain:-Tensor(temp , DiffGeomMain:-Mult(coeff_list[index] , vfb_list[index]))

      od;  
	
fi;

temp:

end:


end module: