#
#  evalV.dg
#
#  DiffGeom
#
#  evalV;
#

evalV:= proc(expr)
     
#CLASS I PROGRAM
#12/13/02:IA

local e, `&parser_plus0`, `&parser_minus0`, `&parser_mult0` , 
	    `parser_plus`,  `parser_mult`, `parser_wedge`, `parser_tensor`; 




#
#  SUBROUTINES
#
# `&parser_plus0`, `&parser_minus0`, `&parser_mult0` , 
# `parser_plus`,  `parser_mult`, `parser_wedge`, `parser_tensor`; 
#
 

#========================================================

`&parser_plus0`:=proc(a,b)

#Class II program
#01/01/03:IA

local ans;

if op(1,a)::algebraic and op(1,b)::algebraic then
	ans:=a+b
else
	ans:=a &plus b; 
fi;

ans:
end:

#======================================================

`&parser_minus0`:=proc(a,b)

#Class II program
#01/01/03:IA

local ans;

if op(1,a)::algebraic and op(1,b)::algebraic then
	ans:=a-b
else
	ans:=a &minus b; fi;

ans:
end:

#======================================================

`&parser_mult0`:=proc(a,b)
#Class II program
#01/01/03:IA

local  ans;

if op(1,b)::algebraic then
	ans:=a*b
 else
	ans:=a &mult b; 
fi;
ans;
end:


#=======================================================


parser_plus:=proc() 
#CLASS II PROGRAM
#12/13/02:IA

local n,ans,i;

n:=nargs; 
ans:=args[1]; 

for i from 2 to n do 
	ans:=ans &parser_plus0 args[i] 
od; 

ans;
end;

#=========================================================

parser_mult:= proc () 

local n, ans, i;
 n := nargs; 
ans := args[1]; 

for i from 2 to n do 
	ans := ans &parser_mult0 args[i] 
od; 
ans 
end:

#=========================================================

parser_wedge:=proc() 

#CLASS I PROGRAM
#December 13,2002:IA

local n,ans,i;

n:=nargs; 
ans:=args[1]; 

for i from 2 to n do 
	ans:=ans &wedge args[i] 
od; 

ans;
end;

#========================================================

parser_tensor:=proc() 

#CLASS I PROGRAM
#12/13/02:IA

local n,ans,i;

n:=nargs; 
ans:=args[1]; 

for i from 2 to n do 
	ans:=ans &tensor args[i] 
od; 

ans;
end;

#=======================================================

#
#  MAIN  PROCEDURE
#


if  type(expr,list) then 
	map(evalV,expr) 

elif op(0,expr)= `+` then
       parser_plus(seq(evalV(op(i,expr)),i=1..nops(expr)))

elif op(0,expr) =`-` then 
	parser_minus0 (evalV(op(1,expr)), evalV(op(2,expr)));    

elif op(0,expr)=`*` then
	parser_mult(seq(evalV(op(i,expr)),i=1..nops(expr)))

elif  op(0, expr) =`&w` then 
	parser_wedge(seq(evalV(op(i,expr)),i=1..nops(expr))) 

elif  op(0, expr) =`&t` then 
	parser_tensor(seq(evalV(op(i,expr)),i=1..nops(expr))) 

else  expr        

fi;
end:

#************************************************