# Homotopy.dg
#
# DiffGeom
#
# homotopy_ext_d
#
#


#----------------------------------------------------------------------



homotopy_ext_d:=module()

export homotopy_ext_d1, homotopy_ext_d2, ModuleApply;


ModuleApply:=proc(forma, {path:=straightline,variableorder:=[],lineparameters:=[]})

local ans;

#ERROR CHECK  for PATH

if path=straightline then
	ans:=homotopy_ext_d1(args)  
fi;

if path=zigzag then
      ans:=homotopy_ext_d2(args) 
fi;



ans:
end:



homotopy_ext_d1:=proc(forma0,{lineparameters:=[]})

#CLASS II PROGRAM
#COORD FREE
#02/07/05: IA


local varset,bot_limit_int,top_limit_int,index,vars,fr,n,PHI,beta0,forma,beta1,beta2,
  	init_pt,init_pt_array,init_value,i, term, 
	line_segment_pt_array,	tempform, helm_t2, R, ans,M;


if lineparameters=[] then
   	bot_limit_int:=0;
   	top_limit_int:=1;
   	init_pt:=[];  
else
	bot_limit_int:=lineparameters[1];
   	top_limit_int:=lineparameters[2];
   	init_pt:=lineparameters[3]; 
fi;

forma:=evalV(forma0);

##Extend master_var_list to form order.

M:=objectOrder(forma):

while frameJetOrder()< M
	do pr_Vessiot_frame_data()
od;

## Create master_list for initial point

init_pt_array:=array(1..frameJetDimension(),sparse);

for term in init_pt do
	index:=tuple_to_index(lhs(term));
	init_value:=rhs(term);
	init_pt_array[index]:=init_value;
od;

fr:=objectFrame(forma):
vars:=frameJetVariables(fr); 
n:=nops(vars):

PHI:=transform(fr,fr,[seq(vars[i]= _t*vars[i] +(1-_t)*init_pt_array[i],i=1..n)]); 

R:=transform_to_vect(PHI, [_t], initialpoint=[_t=1]);

beta0:=hook(R[1],forma);
beta1:=(1/_t) &mult pullback(PHI,beta0); 
beta2:=DifferentialGeometryTools:-Vessiot_map(2,int, beta1, _t=	bot_limit_int.. 	top_limit_int); 

end:







homotopy_ext_d2:=proc(forma0, {variableorder:=[],initialpoint:=[]})

#CLASS II PROGRAM
#COORD FREE
#02/07/05: IA


local varset,bot_limit_int,top_limit_int,index,vars, fr, n, part1,part2, part3, PHI,beta0,beta1,beta2,C,
  	init_pt,init_pt_array,init_value,i, term, forma,
	line_segment_pt_array,	tempform, helm_t2, R, ans,M;

forma:=evalV(forma0);


if  initialpoint=[] then
   	bot_limit_int:=0;
   	top_limit_int:=1;
   	init_pt:=[]  
else
	bot_limit_int:=0;
   	top_limit_int:=1;
   	init_pt:=initialpoint; 
fi;

fr:=objectFrame(forma):

if    variableorder=[]  then 
	vars:=frameJetVariables(fr); 
else
      vars:=variableorder 
fi;


##Extend master_var_list to form order.

M:=objectOrder(forma):

while frameJetOrder()< M
	do pr_Vessiot_frame_data()
od;

## Create master_list for initial point

init_pt_array:=array(1..frameJetDimension(),sparse);

for term in init_pt do
	index:=tuple_to_index(lhs(term));
	init_value:=rhs(term);
	init_pt_array[index]:=init_value;
od;








n:=nops(vars):

ans:=DifferentialGeometryTools:-zero_form(formDegree(forma) -1);

for i from 1 to n do 
part1:=seq(vars[j]= vars[j], j=1..i-1); 
part2:=vars[i]= _t*vars[i] +(1-_t)*init_pt_array[i];
part3:=seq(vars[j]=init_pt_array[j],j=i+1..n);
PHI:=transform(fr,fr,[part1,part2,part3]); 

R:=transform_to_vect(PHI, [_t], initialpoint=[_t=1]);

beta0:=hook(R[1],forma);
beta1:=(1/_t) &mult pullback(PHI,beta0); 
beta2:=DifferentialGeometryTools:-Vessiot_map(2,int, beta1, _t=	bot_limit_int.. 	top_limit_int); 
ans:=beta2 &plus ans;
C:=coeff_set(ext_d(ans) &minus forma);
if C= {0} then break fi;
od;
ans;

end:











end module:









#**********************************
