
#
#
#
#



#------------------------------------------------

 TypeTools:-AddType(Vessiot_form, x->
(
	proc(b) 
		#CLASS I PROGRAM
		#12/13/02:IA

		local a,t; 
	
		if op(0,b) <>_VESSIOT then RETURN(false) fi;

		a:=op(b);

		if type(a,list) and a[1][1]= `form` 
			then t:=true 
			else t:=false 
		fi;
		t;
	end
)(x)
);


#------------------------------------------------



 TypeTools:-AddType(Vessiot_biform, x->
(
	proc(b) 
		#CLASS I PROGRAM
		#12/13/02:IA

		local a,t; 
	
		if op(0,b) <>_VESSIOT then RETURN(false) fi;

		a:=op(b);

		if type(a,list) and a[1][1]= `biform` 
			then t:=true 
			else t:=false 
		fi;
		t;
	end
)(x)
);

#------------------------------------------------


 TypeTools:-AddType(Vessiot_vect, x->
(
	proc(b) 
		#CLASS I PROGRAM
		#12/13/02:IA

		local a,t; 
	
		if op(0,b) <>_VESSIOT then RETURN(false) fi;

		a:=op(b);

		if type(a,list) and a[1][1]= `vect` 
			then t:=true 
			else t:=false 
		fi;
		t;
	end
)(x)
);

#------------------------------------------------


 TypeTools:-AddType(Vessiot_transformation, x->
(
	proc(b) 
		#CLASS I PROGRAM
		#12/13/02:IA

		local a,t; 
	
		if op(0,b) <>_VESSIOT then RETURN(false) fi;

		a:=op(b);

		if type(a,list) and a[1][1]= `helm_map` 
			then t:=true 
			else t:=false 
		fi;
		t;
	end
)(x)
);

#---------------------------------------------------

#-----------------------------------------------------


 TypeTools:-AddType(Vessiot_tensor, x->
(
	proc(b) 
		#CLASS I PROGRAM
		#12/13/02:IA

		local a,t; 
	
		if op(0,b) <>_VESSIOT then RETURN(false) fi;

		a:=op(b);

		if type(a,list) and a[1][1]= `tensor` 
			then t:=true 
			else t:=false 
		fi;
		t;
	end
)(x)
);


#------------------------------------------------------

TypeTools:-AddType(Vessiot_bftv,x->
(
	proc(a) 
		#CLASS II PROGRAM
		#12/13/02:IA

		type(a,Vessiot_biform)  or type(a,Vessiot_form) 
		or 
		type(a,Vessiot_tensor) or type(a,Vessiot_vect)
       end
)(x)
);



#-----------------------------------------------------


#----------------------------------------------------


TypeTools:-AddType(Vessiot_Lie_alg,x->
(
	proc(a) 
	#CLASS I PROGRAM
	#12/13/02:IA

		local t;

		if 
			type(a,list) and a[1][1]= `Lie_alg` 
		then 
			t:=true 
		else 	
			t:=false 
		fi;

		t;
	end
)(x)
);

#---------------------------------------------------


TypeTools:-AddType(Vessiot_diffeq,x->
(
	proc(b) 
		#CLASS I PROGRAM
		#12/13/02:IA

		local a,t;

		if op(0,b) <>_VESSIOT then RETURN(false) fi;

		a:=op(b):

		if 
		type(a,list) and a[1][1]= `diffeq` 
		then 
			t:=true 
		else  
			t:=false 
		fi;

		t;
	end

)(x)
);


#---------------------------------------------------




TypeTools:-AddType(Vessiot_scalar,x->
(
	proc(a)
		#CLASS I Program
		#12/17/2002 IA

		local t;

		if op(0,a) =_VESSIOT then RETURN(false) fi;

		type(eval(a),algebraic)
	end
)(x)
);



#--------------------------------------------------



TypeTools:-AddType(VessiotFrameName,x->
(
	proc(a) 
		#CLASS I PROGRAM
		#December 13,2002:IA

		local t;
		if  member(a,listOfFrameNames())  
			then t:=true 
		else t:=false 
		fi;
 		t;
	end
)(x)
);


#---------------------------------------------------



TypeTools:-AddType(Vessiot_connection,x->
(
	
proc(C)

local tensIndType, tensDensType;

if op(0,C) <> _VESSIOT then 
	RETURN(false) 
fi;


if op(C)[1][1] <> connection then 
      RETURN(false)
fi;

tensIndType:=op(C)[1][3][1];
tensDensType:=op(C)[1][3][2];


if tensDensType <> [] then
      RETURN(false) 
fi;

if not( tensIndType = [cov_bas,con_bas,cov_bas] or
	tensIndType = [cov_vrt,con_vrt,cov_bas])          	

then
	
     RETURN(false)
fi;  

true
end

)(x)
);

#-----------------------------------------------------



#-----------------------------------------------------


TypeTools:-AddType(Vessiot_metric,x->
(
	
proc(m)
#CLASS I PROGRAM
#12/13/02:IA

local  metrIndexType,metrDensityType,A;

if op(0,m) <>_VESSIOT then 
	RETURN(false) 
fi;

if 
	type(op(m),list) and op(m)[1][1]= tensor 
then
else 
	RETURN(false) 
fi;

metrIndexType:=op(m)[1][3][1];
metrDensityType:=op(m)[1][3][2];


if nops(metrIndexType) <> 2 then
	RETURN(false)
fi;

if metrDensityType <>[] then
	RETURN(false);

fi;

if tensorIndexPart2(metrIndexType[1]) <>
   tensorIndexPart2(metrIndexType[2])  
then
    RETURN(false);
fi;

if not ( tensorIndexPart1(metrIndexType[1])='cov' and
         tensorIndexPart1(metrIndexType[2])='cov') 
then
   RETURN(false);	
fi;

A:=convert(convert(m,Vessiot_array),Matrix);


if LinearAlgebra[Determinant](A) = 0 then  
	RETURN(false)
fi;

true

end


)(x)
);



#------------------------------------------------


TypeTools:-AddType(Vessiot_inv_metric,x->
(
proc(m)
#CLASS I PROGRAM
#12/13/02:IA

local  metrIndexType,metrDensityType,A;

if op(0,m) <>_VESSIOT then 
	RETURN(false) 
fi;

if 
	type(op(m),list) and op(m)[1][1]= tensor 
then
else 
	RETURN(false) 
fi;

metrIndexType:=op(m)[1][3][1];
metrDensityType:=op(m)[1][3][2];


if nops(metrIndexType) <> 2 then
	RETURN(false)
fi;

if metrDensityType <>[] then
	RETURN(false);

fi;

if tensorIndexPart2(metrIndexType[1]) <>
   tensorIndexPart2(metrIndexType[2])  
then
    RETURN(false);
fi;

if not ( tensorIndexPart1(metrIndexType[1])='con' and
         tensorIndexPart1(metrIndexType[2])='con') 
then
   RETURN(false);	
fi;

A:=convert(convert(m,Vessiot_array),Matrix);


if LinearAlgebra[Determinant](A) = 0 then  
	RETURN(false)
fi;

true

end	

)(x)
);


