Cauchy_characteristics_Pfaff:=
proc(subspaceOfForms::list(Vessiot_form),spaceOfVectors::list(Vessiot_vect))

local p, i, vars, W,X,Z, eq1, eq2, alpha, beta, A, soln;

W:=annihilator(subspaceOfForms,spaceOfVectors); 
p := nops(W); 

vars := [seq(cat(_a,i),i = 1 .. p)]; 
Z:= v_zip(vars,W,plus); 

eq1 := {}; 

for alpha in subspaceOfForms do 
	beta:=hook(Z,ext_d(alpha));
	for X in W  do  
		eq1:=eq1 union coeff_set(hook(X,beta)); 
	od; 
od; 

eq1:=collect(eq1,vars);
A := LinearAlgebra[GenerateMatrix](eq1,vars);
soln := Vessiot_nullspace(A); 

[seq(v_zip(convert(soln[i],list),W,plus),i = 1 .. nops(soln))] 

end:
