
weak_derived_flag:=proc(v_list::list(Vessiot_vect)) 
local N, new_flag, old_flag, derived_flag, p, q, i, derived_vect, j, new_vect, t; 

if 2 <= nargs then N := args[2] else N := infinity fi;
 
old_flag := [];
p := nops(old_flag); 

new_flag := v_list; 
q := nops(new_flag); 

derived_flag := [v_list];  

while p < q do 
	derived_vect := [seq(seq(Lie_bracket(v_list[i],new_flag[j]),j = p+1 .. q),i = 1 .. nops(v_list))]; 
	
	old_flag := new_flag; 
	new_flag := Vessiot_basis([op(old_flag), op(derived_vect)]); 
	
	p := nops(old_flag); 
	q := nops(new_flag); 
	
	if p = q then break fi; 
	
	derived_flag := [op(derived_flag), new_flag]; 
	
	if q = N then 
		break 
	fi 

od;

derived_flag 
end:
 
 
derived_flag_distribution:=proc(v_list::list(Vessiot_vect)) 

local N, new_flag,old_flag,derived_flag,p,q,i,derived_vect,j,new_vect;

if nargs>=2 then N:= args[2] else N:= infinity fi;


old_flag:=[];
p:=nops(old_flag);

new_flag:=v_list; 
q:=nops(new_flag);   

derived_flag:=[v_list];

while  p<q  do  
 	derived_vect:=[seq(seq(Lie_bracket(new_flag[i], new_flag[j]),j=p+1..q),i=1..q)];
 	old_flag:=new_flag;
      
	new_flag:=Vessiot_basis([op(old_flag), op(derived_vect)]);
      
      p:=nops(old_flag); 
	q:=nops(new_flag);
      
	if p=q then break fi;      
	derived_flag:=[op(derived_flag),new_flag] ;
      if q=N then break fi;      
   
od;

derived_flag;

end;

#
#
#

derived_flag_Pfaff0:=proc(subspaceOfOneForms::list(Vessiot_form)) 

local i, n, a, p, vars, alpha,Omega, beta, eq, A, soln; 

p:= nops(subspaceOfOneForms); 
vars:=[seq(a[i],i = 1 .. p)]; 

Omega:=v_zip([seq(1,i=1..p)],subspaceOfOneForms,wedge);

alpha:=v_zip(vars,subspaceOfOneForms,plus); 
beta:=ext_d(alpha)&wedge Omega; 

eq:=coeff_set(beta);
eq:=collect(eq,vars);

A:=LinearAlgebra[GenerateMatrix](eq,vars); 
soln:=Vessiot_nullspace(A[1]); 

[seq(v_zip(convert(soln[i],list),subspaceOfOneForms,plus),i = 1 .. nops(soln))] 
end:

#
#
#


derived_flag_Pfaff:=proc (subspaceOfOneForms::list(Vessiot_form)) 
local i, n, A0, B0, n0, n1, DF, A1, B1; 

A0 := subspaceOfOneForms;
n0 := nops(A0); 
n1 := n0+1; 
DF := [A0];

for i from 0 to n1 while n0 < n1 and 0 < n0 do 
	A1 := derived_flag_Pfaff0(A0);  
	n1 := n0; 
	n0 := nops(A1);
      if n0=n1 then break fi; 
	A0 := A1; 
	DF := [op(DF), A0] 
od; 
DF 
end:
