infinitesimalSymmetryAlgebraOfPfaffianEDS:=proc(Pfaff0) 
local vars,Fr,Coeff,symmetryVector,Ann,Eq,LD,eq,omega,X,ans;

if type(Pfaff0[1],list) then PfaffL:=Pfaff0 else PfaffL:=[Pfaff0] fi;

if nargs>1 then vars:=args[2]; 
	Fr:=args[3]; else
	vars:=frameIndependentVariables(); 
	Fr:=frameBaseVectors();
fi;

Coeff:=[seq(cat(a,i)(op(vars)),i=1..nops(Fr))];
symmetryVector:=v_zip(Coeff,Fr,plus);

Eq:={};


for Pfaff in PfaffL do

Ann:=DifferentialGeometryTools:-annihilator(Pfaff,frameBaseVectors());

for omega in Pfaff do 
	LD:=Lie_derivative(symmetryVector,omega);
	for X in Ann do
		
		eq:=coeff_set(hook(X,LD));
		Eq:=Eq union eq;
	od;
od;
od;

ans:=pdsolve(Eq,convert(Coeff,set));
subs(ans,symmetryVector);
end:
