#
# moving_frame.vss
#
# moving_frame
#
# 

rightMovingFrame:=proc(phi,G_name,K,A) 
#Class II Program
#18/01/03:IA

# phi is the prolongation of the action
# G_name:  the name of the group coordinate system
# K: the equations of the cross-section

local mf_eq,eq,N;
mf_eq:={};

for eq in K do
	mf_eq:={op(mf_eq),pullback(phi,lhs(eq)) =rhs(eq)}
od; 

N:=[solve(mf_eq,convert(frameIndependentVariables(G_name),set))];

if N=[] then 
	RETURN(`Invalid cross-section`) 
fi;

if nops(N)>1 then 
	if nargs=3 then 
		RETURN(N)
	fi;

	if nargs>3 then 
		N:=N[args[4]] 
	fi 

else N:=N[1]; 
fi ;  

transform(transformDomain(phi)[1],G_name,convert(N,list))

end:


invariantization:=proc(action,rho,f)
local f1;

f1:=pullback(action,f);
change_frame_to(transformRange(rho)[1]);
pullback(rho,f1);
end:




