
#

# Vessiot_map; Vessiot_map2;  Vessiot_map3; 
#

Vessiot_map:=module()

export Vessiot_map1, Vessiot_map2, Vessiot_map3, ModuleApply;


ModuleApply:=proc() 

local ans;
	if args[1]=1 then ans:=Vessiot_map1(args[2..-1]) fi;
	if args[1]=2 then ans:=Vessiot_map2(args[2..-1]) fi;
      if args[1]=3 then ans:=Vessiot_map3(args[2..-1]) fi;

ans;
end;

#--------------------------------


Vessiot_map1:=proc(f::procedure, geomObjField::{Vessiot_bftv,
Vessiot_diffeq,Vessiot_transformation}) 
#CLASS I PROGRAM
#06/16/99:IA
#12/13/02:IA
        	
local ans,comp,term,form;  

form:=op(geomObjField);
comp:=[];

if geomObjField::{Vessiot_bftv}or geomObjField::Vessiot_diffeq  then 
	for term in  form[2] do 
		comp:=[op(comp),[term[1], f(term[2])]] 
	od;

	ans:=helmsimp(_VESSIOT([form[1],comp]));
fi;

if geomObjField::{Vessiot_transformation} then
	for term in  form[2] do 
		comp:=[op(comp),[f(term[1]), term[2]]] 
	od;

	ans:=_VESSIOT([form[1],comp]);

fi;

ans;
end:

#------------------------------------------------------


Vessiot_map2:=proc(f::procedure,
       geomObjField::{Vessiot_diffeq, Vessiot_bftv,Vessiot_transformation}) 

#CLASS I PROGRAM
#06/16/99:IA
#12/13/02:IA
        	
local ans, comp, term,form,type;

form:=op(geomObjField); 
comp := []; 


if geomObjField::Vessiot_bftv or geomObjField::Vessiot_diffeq then
	for term in form[2] do 
		comp := [op(comp), [term[1], f(term[2],args[3..nargs])]]  
	od;

	ans:=helmsimp(_VESSIOT([form[1], comp])) 
 
fi;

if  geomObjField::Vessiot_transformation then 
	for term in form[2] do 
		comp := [op(comp), [term1,f(term[2],args[3..nargs])]] 
	od; 
	ans:=_VESSIOT([form[1], comp]); 

fi;

ans;
end:

#*******************************************
#---------------------------------------------------------

Vessiot_map3:=proc(f::procedure,
       geomObjField::{Vessiot_diffeq, Vessiot_bftv,Vessiot_transformation}) 

#CLASS I PROGRAM
#06/16/99:IA
#12/13/02:IA
        	
local ans, comp, term,form,type;

form:=op(geomObjField); 
comp := []; 


if geomObjField::Vessiot_bftv or geomObjField::Vessiot_diffeq then
	for term in form[2] do 
		comp := [op(comp), [term[1], f(args[3 .. nargs],term[2])]] 
	od;

	ans:=helmsimp(_VESSIOT([form[1], comp])) 
 
fi;

if  geomObjField::Vessiot_transformation then 
	for term in form[2] do 
		comp := [op(comp), [f(args[3 .. nargs],term[1]), term[2]]] 
	od; 
	ans:=_VESSIOT([form[1], comp]); 

fi;

VessiotPrompt();

ans;
end:



end module:
#*******************************************