#
#  Repere  Mobile
#

#
# Input
#
# assign_vect_type,vect,form, biform,
# 
#
#

assign_vect_type:= proc(v)  
# Class II program
# 01/12/03

local w,t,M,m;  

w:=op(v); 

if w[1][3] <>[] then RETURN(v) fi;


w[1][3]:=[generic,0]; 

t:=nops(_Vessiot_frame_data[_Vessiot_current_frame_name][3][1]);

if t=0 then 
M:=max(op(objectGenerators(v)));
m:=min(op(objectGenerators(v)));


if  M <= frameBaseDimension() then
	w[1][3]:=[tot,1000000000]; 
fi;

if 	M <= frameBaseDimension() +frameFiberDimension() 
and   m > frameBaseDimension() then
	w[1][3]:=[evol,0]; 

fi;
fi;

_VESSIOT(w); 

end:

#---------------------------------

Vect:=proc()
# Class II program
# 01/12/03 

# This gives the right answer for a integer input but not for a coordinate variable
vst_euc[Vect](args) 
end:

#-----------------------------------

Form:=proc() 
# Class II program
# 01/12/03
vst_euc[Form](args) 
end:

#----------------------------------

Biform:=proc() 
# Class II program
# 01/12/03
vst_euc[biForm](args) 
end:

#----------------------------------
indet_helmlist:=proc(exp)

indets(exp) intersect convert(frameJetVariables(),set)

end:

#-----------------------------------------------

homo_d:=proc() 
# Class II program
# 01/12/03
vst_euc[homo_d](args) 
end:



#------------------------------------------------


#
# Derivatives 
#

ext_d := proc(expr,flag)
# Class I program
# 01/12/03       

local d_ans,fr, varlist,term;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;

if  flag= 'coeff' then 
	varlist := indet_helmlist(expr);
      d_ans:=DifferentialGeometryTools:-zero_form(1);
      for term in varlist do
		d_ans :=  DiffGeomMain:-Plus(d_ans,
                      DiffGeomMain:-Mult( diff(expr, term), _Vessiot_frame_data[fr][2][1][tuple_to_index(term)]))
      od;
fi;

if flag='bftv' then 
	d_ans:= _Vessiot_frame_data[fr][3][1][expr]
fi;

d_ans:
end:







#---------------------------------------
dH := proc(expr,flag)
# Class I program
# 01/12/03       

local d_ans,fr, varlist,term,k,i,check;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;

if  flag= 'coeff' then
	k:=nops(_Vessiot_frame_data[fr][2][2]);
	varlist := indets(expr);
      check:=    varlist intersect convert(_Vessiot_frame_data[fr][1][4][4][k+1..-1],set);
      if  check<>{} then ERROR(`prolong frame`, check) fi; 
      d_ans:=DifferentialGeometryTools:-zero_biform([1,0]): 
      for i from 1 to k
            do
		d_ans := DiffGeomMain:-Plus(d_ans,
		         DiffGeomMain:-Mult(diff(expr, _Vessiot_frame_data[fr][1][4][4][i]),
                                        _Vessiot_frame_data[fr][2][2][i] ));
      od;
fi;

if flag='bftv' then 
	d_ans:= _Vessiot_frame_data[fr][3][2][expr]
fi;

d_ans:
end:

#-------------------------------------------

dV := proc(expr,flag)
# Class I program
# 01/12/03       

local d_ans,fr, varlist,term,k,check,i;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;

if  flag= 'coeff' then 
      k:=nops(_Vessiot_frame_data[fr][2][3]);
  	varlist := indets(expr);
      check:= varlist intersect convert(_Vessiot_frame_data[fr][1][4][4][k+1..-1],set);
      if  check<>{} then ERROR(`prolong frame`, check) fi; 
      d_ans:=DifferentialGeometryTools:-zero_biform([0,1]): 
      for i from 1 to k
            do
		d_ans := DiffGeomMain:-Plus(d_ans,
			   DiffGeomMain:-Mult(diff(expr, _Vessiot_frame_data[fr][1][4][4][i]),
		                           _Vessiot_frame_data[fr][2][3][i]));
      od;

fi;

if flag='bftv' then 
	d_ans:= _Vessiot_frame_data[fr][3][3][expr]
fi;

d_ans:
end:




#---------------------------------------

td:=proc(expr,var)  
#??
ERROR(undefined) 
end:

#----------------------------------------

Lie0:=proc(v::Vessiot_vect,exp) 
# Class I program
# 01/12/03       

local  ans,fr,varlist,var,term;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;
varlist:=indet_helmlist(exp):

ans:=0;

for  var in varlist do 
     for term in op(v)[2]  do
     ans:= ans +   term[2] *
     _Vessiot_frame_data[fr][4][1][term[1][1],tuple_to_index(var)]*diff(exp,var)
     od;
od;

ans

end:

#-----------------------------------------

Lie_form:=proc(expr, flag,v)
# Class I program
# 01/12/03       

local d_ans,fr,A,B;

fr:=_Vessiot_current_frame_name;

if flag = 'coeff' then
         d_ans :=  _VESSIOT([[form, fr,0], [ [ [],Lie_derivative(v, expr)]]]);
fi;

if flag='bftv' then
A:=  HOOK[form,deriv](v, _Vessiot_frame_data[fr][3][1][expr]);
B:=  DifferentialGeometry:-ext_d(HOOK[form,deriv](v, Form(expr)));

d_ans:=          DiffGeomMain:-Plus(A,B);
        


fi;

d_ans:

end:

Lie_vert:=proc(expr, flag,v)
# Class II program
# 01/12/03       
# ??

local d_ans,fr,Part1, Part2;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;

if flag = 'coeff' then
          d_ans :=  _VESSIOT([[biform, fr,[0,0]], [ [ [],Lie_derivative(v, expr)]]]);

fi;

if flag='bftv' then 
Part1:= HOOK[biform,deriv](v, _Vessiot_frame_data[fr][3][3][expr]);

Part2:=dV(HOOK[biform,deriv](v, biform(expr)));
d_ans:=DiffGeomMain:-Plus(Part1,Part2)
        
fi;


d_ans:

end:



Lie_biform:=proc(expr, flag,v)
# Class II program
# 01/12/03       
# ??

local d_ans,fr;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;

if flag = 'coeff' then
         d_ans := XX;
fi;

if flag='bftv' then 
d_ans:=  form_to_biform(HOOK[biform,deriv](v, _Vessiot_frame_data[fr][2][expr]));

fi;


d_ans:

end:

#
#
#

Lie_total:=proc(expr, flag,v)
# Class II program
# 01/12/03       
# ??

local d_ans,fr,Part1,Part2;
global _Vessiot_current_frame_name;

fr:=_Vessiot_current_frame_name;

if flag = 'coeff' then
         d_ans := _VESSIOT([[biform, fr,[0,0]], [ [ [],Lie_derivative(v, expr)]]]);
fi;

if flag='bftv' then 
Part1:= HOOK[biform,deriv](v, _Vessiot_frame_data[fr][3][2][expr]);
Part2:=dH(HOOK[biform,deriv](v, biform(expr)));

d_ans:=DiffGeomMain:-Plus(Part1,Part2);
fi;


d_ans:

end:

#-----------------------------------


Lie_tens:=proc(term,flag,X)

local ans,Y,Z, alpha,t,comp,termX,termN;

if flag = `coeff` 
	then 
      comp:=[ [ [], DifferentialGeometry:-Lie_derivative(X,term)] ];
      ans:=_VESSIOT([[tensor,_Vessiot_current_frame_name,[[],[] ]],  comp ]);   
	RETURN(ans) 
fi;


if tensorIndexPart1(flag)= 'con'  
	then
#     code this from scratch for eff. 

      Y:=DifferentialGeometryTools:-Vect(term);
      ans:=DifferentialGeometry:-Lie_derivative(X,Y);
      ans:=convert(ans,Vessiot_tensor):

	RETURN(ans);
fi;

if tensorIndexPart1(flag)= 'cov'  then
#     code this from scratch for eff.
	
      alpha:=Form(term);
      ans:=DifferentialGeometry:-Lie_derivative(X,alpha);
	ans:=convert(ans,Vessiot_tensor);

      RETURN(ans)

fi;


end:














#----------------------------------------

Lie_bracket:=proc(v::Vessiot_vect, w::Vessiot_vect)
# Class II program
# 01/12/03       

local X,i, c,fr,n,term1, term2, Lv,Lw,v_comp, w_comp;

fr:=_Vessiot_current_frame_name;
n:=frameBaseDimension();

X:=DifferentialGeometryTools:-zero_vect();

v_comp:=objectComponents(v);
w_comp:=objectComponents(w);

Lv:= x->Lie_derivative(v,x);
Lw:= x->Lie_derivative(w,x);



X:=DiffGeomMain:-Plus(X,DiffGeomMain:-Minus(Vessiot_map(1,Lv,w), Vessiot_map(1,Lw,v) ));

for term1 in v_comp do 
	for term2 in w_comp do
 
	X:=DiffGeomMain:-Plus(X, 
         DiffGeomMain:-Mult( term1[2]*term2[2], 
		                 _Vessiot_frame_data[fr][5][1][term1[1][1], term2[1][1] ]));
	od; 
od;

helmsimp(X);

end:


#----------------------------------

pr_vect:= proc(v)  v end;


#-----------------------------------

inclusion:=proc() 

vst_euc[inclusion](args) 
end:

#---------------------------------

pullback_form:=proc(term,flag,phi)

local ans,index,c,i,n;

n:=frameBaseDimension();

# pullback applied to coefficients.

   if nargs > 1 and args[2] =`coeff` then
        ans :=  term &mult scalar_form();

# pullback applied to variables.

   elif type(term,integer) then
       ans := DifferentialGeometryTools:-zero_form(1);
       for i from 1 to n do 
       	c:=diff(phi[2][term][1],z.i);
       	ans:= DiffGeomMain:-Plus(ans,
                  DiffGeomMain:-Mult(c, Form(cat(z,i)) ));
       od;
        
	ans;
fi;

   ans


end:


pullback_form:=proc() vst_euc[pullback_form](args) end:






project:=proc() 
vst_euc[project](args) 
end:

#----------------------------------

show_helm_map:=proc() 

vst_euc[show_helm_map](args) 
end;

#-----------------------------------

assign_transform_type:=proc() 
vst_euc[assign_transform_type](args) 
end;

#--------------------------------------

show_vect:=proc(fm)
# Class I program
# 01/12/03
        
local i,j,l, q,dum,ans,fr;
global _Vessiot_current_frame_name:

fr:=_Vessiot_current_frame_name:
dum:= helmsimp(fm);
 
ans:=[seq(dum[2][i][2]*reconstructVariableName(frameLabels()[dum[2][i][1][1]]),
i=1..nops(dum[2]))];
 
(add(l,l=ans));

end:

#-------------------------------------

show_form:=proc(fm)
# Class I program
# 01/12/03
 
local i,j,l, q,dum,ans,fr;
global _Vessiot_current_frame_name:
 
fr:=_Vessiot_current_frame_name:
dum:= helmsimp(fm);

q:=dum[1][3];
 	
if q = 0 then 
	ans:=dum[2,1,2];
elif q=1 then 
 	ans:=[seq(dum[2][i][2]*
	reconstructVariableName(coframeLabels()[dum[2][i][1][1]]),
	i=1..nops(dum[2]))];
 
elif q > 1 then 
 	ans:=[seq(dum[2][i][2]*w(seq(
      reconstructVariableName(coframeLabels()[dum[2][i][1][j]]),j =1..dum[1][3])),
	i=1..nops(dum[2]))];

fi;
 	
RETURN(add(l,l=ans));
end;

#--------------------------------------------

show_tensor:=proc(fm)
# Class I program
# 01/12/03 
local i,j,l, q,dum,ans,fr,v,cv;

fr:=_Vessiot_current_frame_name:
dum:= helmsimp(fm);

cv:=proc(t) 
local p;

if substring(t,1..3)= con then 
	p:=5 
fi;

if substring(t,1..3)= cov then 
	p:=6 
fi;

p;
end:

q:=dum[1][3];
 	
if nops(q) = 1 then 
	ans:=dum[2,1,2];

elif nops(q)=2 then 
 	ans:=[seq(dum[2][i][2]*
	convert(_Vessiot_frame_data[fr][1][4][cv(dum[1][3][1])][dum[2][i][1][1]][1],name),
	i=1..nops(dum[2]))];

elif nops(q) > 2 then 
 	ans:=[seq(dum[2][i][2]*t(seq
      (convert(_Vessiot_frame_data[fr][1][4][cv(dum[1][3][j])][dum[2][i][1][j]][1],name),
      j =1..nops(q)-1)),	i=1..nops(dum[2]))];

fi;
 	
RETURN(add(l,l=ans));
end;


#*******************************************************