#
# pullback.euc 
#
# Vessiot
#
# pullback_biform;
#
#
#--------------------------------------

pullback_biform := proc(term,flag,a_map)
#CLASS I PROGRAM
#12/17/02:IA 

local ans,expr,ans_components,i,varlist, eqn_list,index,phi,n,m,v;

phi:=op(a_map);
eqn_list:=[]:

for index from 1 to nops(phi[2]) do
	eqn_list:=[op(eqn_list),phi[2][index][2]=phi[2][index][1]]
od;

# pullback applied to differentials.

if nargs > 1 and args[2] =`coeff` then
	ans_components := [ [], subs(eqn_list, term)];
      ans:=_VESSIOT([[biform,_Vessiot_current_frame_name,[0,0]] , [ans_components]]); 

        
# pullback applied to variables.

elif type(term,integer) then
      
      expr:=rhs(eqn_list[term]);
      n:=frameBaseDimension(transformRange(a_map)[1] );
      m:=frameBaseDimension(transformDomain(a_map)[1] );

    	if term <= n then
		ans_components:=[];
      	for i from 1 by 1 to m do
			ans_components := [op(ans_components), [[i], td(expr,i)]]
      	od;
	
            ans:= _VESSIOT([[biform, _Vessiot_current_frame_name, [1,0]], ans_components])

      else
    
      	ans_components:=[];
      	varlist := indet_helmlist(expr) minus {op(frameIndependentVariables() )};
          
		for v in varlist do
      		ans_components:= [op(ans_components), [[tuple_to_index(v)], diff(expr, v)]]
     		 od;
     		 ans := _VESSIOT([[biform, _Vessiot_current_frame_name, [0,1]], ans_components])
    	fi;

fi;

ans

end:


#**************************************
