#
#   differential_eqns.vss 
# 
#   diffeq,pr_diffeq; pr_var_set,   diffeq_to_transform, 
#   diffeq_to_vect, diffeq_to_form, EL_form_to_diffeq,
#

Diffeq:=proc(eq_list::list,var_list::list) 
#CLASS I PROGRAM
#12/22/02:IA

#
#  Add  check that  equations are given by expressions not equtions or change code to acc. equations
#  Diffeq([u[1,1]=0],[u[1,1]]);
#


local frame,order,n,m,i,eq_frame,eq_var;

if nargs>=3 then eq_frame:=args[3] else eq_frame:=_diffeq fi;
if nargs>=4 then eq_var:=args[4] else eq_var:=[seq(cat(_Delta,i),i=1..nops(eq_list))] fi;
if nargs>=5 then change_frame_to(args[5]) fi; 

n:=frameBaseDimension():
m:=frameFiberDimension();
frame:=_Vessiot_current_frame_name;

coord_init(frameIndependentVariables(),[op(frameDependentVariables()),op(eq_var)],
                       eq_frame);
change_frame_to(frame);

VessiotPrompt();

_VESSIOT([[diffeq,eq_frame,[evol,0 ],{op(var_list)},frame],
	    [ seq([[i+n+m],eq_list[i]], i=1..nops(eq_list))]]);

 end:

#---------------------------------------------------


pr_diffeq:=proc(de::Vessiot_diffeq,p) 
#CLASS I PROGRAM
#12/22/02:IA

local i,Delta, prDelta,new_diffeq,ans,new_vars,deType,deVars,
	frame,new_diffeq_attributes,pr_var_set; 

pr_var_set:=proc(var_list,r) 
#CLASS II PROGRAM
#1222/02:IA

local k,x,var,temp1,temp2, ans;

ans:={}; 
temp1:=var_list;
temp2:={}; 

for k from 1 to r
	do 
	for x in frameIndependentVariables()
		do 
		for var in temp1
			do
			temp2:={op(temp2),td(var,x)} 
			od; 
		od;
	 temp1:=temp2; 
	ans:={op(ans), op(temp2)};
	od;
 end:














frame:=_Vessiot_current_frame_name; 

deType:=diffeqType(de);
deVars:=diffeqVariables(de);

if p<=deType[2] then RETURN(de) fi;

new_vars:= deVars union pr_var_set(deVars,p-deType[2]);

Delta:=op(de);

Delta[1][1]:=vect;
prDelta:=op(helmsimp(pr_vect(_VESSIOT(Delta),p)));

new_diffeq_attributes:=[diffeq,Delta[1][2],prDelta[1][3],new_vars,Delta[1][5] ];

new_diffeq:=_VESSIOT([new_diffeq_attributes, prDelta[2]]);

change_frame_to(frame); 

VessiotPrompt():

new_diffeq;
end:

#--------------------------------------------


#------------------------------------------------

diffeq_to_form:=proc(diffeq::Vessiot_diffeq)
#CLASS I PROGRAM
#12/22/02:IA

_VESSIOT([[form,op(diffeq)[1][2],1],op(diffeq)[2]]);
end;

#----------------------------------------------


diffeq_to_vect:=proc(diffeq::Vessiot_diffeq)

_VESSIOT([[vect,op(diffeq)[1][2],op(diffeq)[1][3]],op(diffeq)[2]]);

end;

#------------------------------------------------

#*************************************************
