#
# action.jet
#
# JetCalc
#
# generating_function_to_contact_vect;


generating_function_to_contact_vect := proc(S)

#CLASS II PROGRAM
#12/13/02:IA 
#12/28/03:IA

local n, j, X, var, dvar;

if 1 < frameFiberDimension() then 
	ERROR(cat("\n VESSIOT ERROR:", 
                "\n Generating formula for contact vector field works only",
		    "with one dependent variable:",
                "\n Current frame: ", 
                "\n ", _Vessiot_current_frame_name)  )
fi;

if 1 < functionOrder(S) then 
	ERROR(cat("\n VESSIOT ERROR:", 
                "\n Generating function must have order 1:",
                "\n ", functionOrder(S) ))
fi;

n := frameBaseDimension();
var := index_to_jet_label(n + 1);
X := S  &mult vect(var);

for j to n do
	dvar := index_to_jet_label(n + j + 1);
      X := X &plus ((-diff(S, dvar)) &mult vect(j));
      X := X &plus ((- dvar*diff(S, dvar)) &mult vect(var));
      X := X &plus ((diff(S, index_to_jet_label(j)) + dvar*diff(S, var))
             &mult vect(dvar))
     od;
X
end:



#****************************************************
