

#---------------------
generate_form_basis_in_bidegree:=
proc(p1::nonnegint,p2::nonnegint,form1::list(Vessiot_form),form2::list(Vessiot_form))

#CLASS II PROGRAM
#12/13/02:IA

local n1,n2,r1,r2,i1,i2, j,form_list, tuple1, tuple2, alpha; 

n1:=nops(form1); 
n2:=nops(form2);

if n1 < p1 then 
	ERROR(`Vessiot Error: bidegree 1 exceeds number of forms in  form list 1`) 
fi;
if n2 < p2 then 
	ERROR(`Vessiot Error: bidegree 2 exceeds number of forms in  form list 2`)
fi;

r1:=binomial(n1,p1);
r2:=binomial(n2,p2);

form_list:=[];

for i1 from 1 to r1 do 
for i2 from 1 to r2 do 
	tuple1:=form_index_to_form_tuple(n1,p1,i1);
	tuple2:=form_index_to_form_tuple(n2,p2,i2);
	alpha:=scalar_form();
	
	for j in tuple1 do alpha:=alpha &wedge form1[j] od;
 	for j in tuple2 do alpha:=alpha &wedge form2[j] od;
	
	 form_list:=[op(form_list),alpha];
od;
od;

if form_list= [] then form_list:=[DifferentialGeometryTools:-zero_biform(p1+p2)] fi;

form_list

end:

#----------------------------------------

