#
#  Transformations.jet 
#
#  JetCalc
# 
#  total_Jacobian, projection_transform,
#
#  

total_Jacobian:=proc(map_a::Vessiot_transformation)

#CLASS I PROGRAM
#12/18/02:IA

local col_index, diff_vars, diff_order, map_table, map_table_a,
            row_index, row_order, temp_list,phi;

phi:=op(map_a);

change_frame_to(transformRange(map_a)[1]):

row_order:=nops(frameIndependentVariables()):

change_frame_to(transformDomain(map_a)[1]):

diff_order:=nops(frameIndependentVariables()):
diff_vars:=frameIndependentVariables():

map_table_a:=[]:

for row_index from 1 to row_order do
	map_table:=[]:
      for col_index from 1 to diff_order do
      	map_table:=[op(map_table),td(phi[2][row_index][1],
          	diff_vars[col_index])]
      od;
      map_table_a:=[op(map_table_a),[op(1..diff_order,map_table)]];
od;
     
Matrix(row_order, diff_order, map_table_a);
end:

#-------------------------------------

projection_transform:=proc(k::nonnegint,l::nonnegint)

# CLASS I PROGRAM
# 12/18/02:IA
# 12/28/03:IA
   
local ans, fr, J;
      
if nargs > 2 then
        	change_frame_to(args[3])
fi;
 
if  l> k then 
	ERROR(cat("\n VESSIOT_ERROR:", 
		    "\n Domain order must be >= range order:",
                "\n ", k, l) ) 
fi;   

fr:=_Vessiot_current_frame_name;
J:=jet_space_dim(l);
 
ans:=op(transform(fr,fr,[seq(index_to_jet_label(i)=index_to_jet_label(i),i=1..J)]));
  
ans[1][2][1][2]:=k;

_VESSIOT(ans):  
end:

#***********************************************
