#
#
#

FindUSU2DIndex:=proc (factor_list3) 


index_sort:=proc(a,b) local i;
n:=nops(a);

for i from 1 to n do
if abs(a[i]) <abs(b[i])then RETURN(true) fi;
if abs(a[i]) >abs(b[i])then RETURN(false) fi;
od; 

false

end:

flag:=false ;
index_list:=map(op,[indices(DifferentialGeometryLibrary:-USU2Dclass())]);


for i in index_list  do 
	
         t:=sort(factor_list3,index_sort);
		s:=sort(DifferentialGeometryLibrary:-USU2Dclass()[i],index_sort);
   		
		if t=s then 
      	factor_list2:=[[USU,i]];   flag:=true;
      	break;
	fi; 
od ;
if flag=false then ERROR(`no such algebra found`) fi ; 
factor_list2;  
end :



ClassifyLieAlgebra:=proc()
local i,j,original_alg_name,decomposition,factor_list,CBM, factor_list3; index_list, s,
       classification_info,Lie_factor,factor_list2,classify_matrix;

if nargs = 1 then change_Lie_algebra_to(args[1]) fi;

original_alg_name:=_Vessiot_current_frame_name;

if LieAlgCheck(abelian) then 
	RETURN([LinearAlgebra[DiagonalMatrix]([seq(1,i=1..frameBaseDimension())]),
     [[USU,[frameBaseDimension(),0,0]]]]) 
fi;

decomposition:=DecomposeLieAlgebra();
 
factor_list:=decomposition[1];
CBM:=decomposition[2];
 
classification_info:=[];

for Lie_factor in factor_list do
	if is(Lie_factor[1,3,1]>5) then 
		ERROR(`At least one factor is too large to classify at this time.`) 
	fi;
             
	Lie_algebra_init(Lie_factor,[factor_vector],[factor_form]);

	if _Vessiot_show_intermediate_steps_flag=true then 
		print(cat(`Classifying the  algebra: `,  Lie_factor[1,2]))
	fi;


      classification_info:=[op(classification_info),ClassifyIndecomposable()];
            
	if  Lie_factor[1][2] <> original_alg_name then 
		remove_frame(Lie_factor[1][2]) 
	fi;
od;
 

factor_list2:=[seq(classification_info[i,2],i=1..nops(classification_info))];


factor_list3:=[seq(i[2],i=factor_list2)];

if nops(factor_list3)>1 then 


index_sort:=proc(a,b) local i;
n:=nops(a);

for i from 1 to n do
if abs(a[i]) <abs(b[i])then RETURN(true) fi;
if abs(a[i]) >abs(b[i])then RETURN(false) fi;
od; 

false

end:


index_list:=map(op,[indices(DifferentialGeometryLibrary:-USU2Dclass())]);


	for i in index_list  do 
	
            t:=sort(factor_list3,index_sort);
		s:=sort(DifferentialGeometryLibrary:-USU2Dclass()[i],index_sort);
   		
		if t=s then 
      	factor_list4:=[[USU,i]];  
      	break;
	fi; 
od ;
fi;


classify_matrix:=LinearAlgebra[DiagonalMatrix]([seq(classification_info[j,1],j=1..nops(classification_info))]);



CBM:=LinearAlgebra[MatrixMatrixMultiply](classify_matrix , CBM);
 
change_Lie_algebra_to(original_alg_name);


if  nops(factor_list3)>1 then
 
RETURN([eval(CBM),factor_list2,factor_list4]);

else

RETURN([eval(CBM),factor_list2]);
fi;


end:






















ClassifyIndecomposable:=proc()
local n,M;

if LieAlgCheck(abelian) then 
	n:=frameBaseDimension();
	M:=Matrix(n,n,0);
	RETURN([eval(M), [USU,[n,0,0]]]);
fi;

if LieAlgCheck(nilpotent)
	then  RETURN(ClassifyNilpotent())
fi;

    
if LieAlgCheck(solvable)
	then  RETURN(ClassifySolvable())
fi;
    
if LieAlgCheck(semisimple)
	then  RETURN(ClassifySemisimple())
fi;

    
RETURN(ClassifyGeneric());


end:

