

ClassifyNilpotent:=proc () local L, P, M, Auto, n; 

n := frameBaseDimension(); 
P := GetAlgebraInformation([series]); 
L := FindUSU2([[dim, n], [nilpotent, 0], [series, P[1 .. 3]]]); 

userinfo(2,ClassifyNilpotent,series,L); 

if nops(L) = 0 then ERROR(cat("LieAlg3 Error:","\n No matching Lie algebra")) end if; 
if nops(L) = 1 then 
	M := Matrix(n,n,0); 
	RETURN([eval(M), [USU, L[1]]]) end 
if; 

Auto := infinitesimal_automorphisms(full); 
L := FindUSU2([[auto_dim, nops(Auto)]],L); 
userinfo(2,ClassifyNilpotent,auto_dim,L);
 
if nops(L) = 0 then ERROR(cat("LieAlg3 Error:","\n No matching Lie algebra")) 
end if; 

if nops(L) = 1 then 
	M := Matrix(n,n,0); 
	RETURN([eval(M), [USU, L[1]]]) 
end if; 
L 
end proc:
