
FindAlg0:=proc(C,P,L) 
local i,ans,alg,Q,k;
ans:=[];

if C=dim then for alg in L do 
	if alg[1]=P then  ans:=[op(ans), alg] fi;  
od; 
RETURN(ans) 
fi;

if C=nilpotent then for alg in L do 

	if DifferentialGeometryLibrary:-USU1_1()[[alg[1],alg[2]]][algebra_type]=nilpotent 
	then ans:=[op(ans), alg] 
	fi  
	od;  
RETURN(ans)
 fi;

if C=solvable then for alg in L do 
	if DifferentialGeometryLibrary:-USU1_1()[[alg[1],alg[2]]][algebra_type]=solvable then 
		ans:=[op(ans), alg] 
	fi  
od;  
RETURN(ans) 
fi;

if C=semisimple then for alg in L do 
	if DifferentialGeometryLibrary:-USU1_1()[[alg[1],alg[2]]][algebra_type]=semisimple then 
		ans:=[op(ans), alg] 
	fi  
od;  
RETURN(ans) 
fi;

if C=generic then for alg in L do 
	if DifferentialGeometryLibrary:-USU1_1()[[alg[1],alg[2]]][algebra_type]=generic then 
		ans:=[op(ans), alg] 
	fi  
	od;  
	RETURN(ans) 
fi;

if C=nilradical then for alg in L do       
      #PATCH -- due to indexing conventions for the nilradical in USU ---

      nil0:=DifferentialGeometryLibrary:-USU1_1()[[alg[1],alg[2]]][nilradical];
      
      nil0:=[seq([k[1],k[2],0],k=nil0)];
       
	#if nops(nil0)>1 then  
      #	nil:=FindUSU2DIndex(nil0)[1][2];

	#else 
	#	nil:=nil0
       #fi;

       
	 if nil0=P then 
		ans:=[op(ans), alg] 
	 fi  
	 od;  
RETURN(ans) 
fi;

if C=series then 
	for alg in L do 
	if   DifferentialGeometryLibrary:-USU2()[alg][properties][1..3]=P then 
		ans:=[op(ans),alg] 
	fi;
 	od;  
RETURN(ans); 
fi;

if C=auto_dim then 
	for alg in L do 
		if  DifferentialGeometryLibrary:-USU2()[alg][properties][4]=P  then 
			ans:=[op(ans), alg] 
		fi;  
	od;  
 RETURN(ans);
fi;

if C=auto_series then 
	for alg in L do 
		if  DifferentialGeometryLibrary:-USU2Auto2()[alg][series][1..3]=P  then 
			ans:=[op(ans), alg] 
		fi;   
	od; 
RETURN(ans) 
fi;

#
# bug here ??

if C=auto_auto then 
	for alg in L do 
		if  DifferentialGeometryLibrary:-USU2Auto2()[alg][series][4]=P  then 
			ans:=[op(ans), alg] 
		fi;  
	od; 
RETURN(ans) 
fi;

if C=auto_factors then 
	for alg in L do 
		if  DifferentialGeometryLibrary:-USU2Auto2()[alg][nfactors]=P  then 
			ans:=[op(ans), alg] 
		fi;  
	od;  
RETURN(ans)
fi;

if C=auto_auto then 
	for alg in L do 
		if  DifferentialGeometryLibrary:-USU2Auto2()[series][4]=P  then 
			ans:=[op(ans), alg] 
	fi;  
	od; 
RETURN(ans)
fi;

if C=auto_decomp then 
	for  alg in L do 
		T:=DifferentialGeometryLibrary:-USU2Auto3()[alg];
		k:=T[nfactors];  
		Q:={seq( [T[cat(factor, i)][SSdim],  T[cat(factor, i)][Raddim] ,T[cat(factor, i)][Radseries]]    
                ,i=1..k)};  
	 
      	if  Q=convert(P,set)  then 
			ans:=[op(ans), alg] 
		fi;
	od;  
RETURN(ans) 
fi;




if C=DSClassification then
 	for alg in L do 
      	Q:=[DifferentialGeometryLibrary:-USU2SeriesClassification()[alg][DSClass], DifferentialGeometryLibrary:-USU2SeriesClassification()[alg][DSQuotientClass] ];
            
		if  Q=P  then 
			ans:=[op(ans), alg] 
		fi;
      od;
RETURN(ans)
fi;

   
if C=LSClassification then
 	for alg in L do 
      	Q:=[DifferentialGeometryLibrary:-USU2SeriesClassification()[alg][LSClass], DifferentialGeometryLibrary:-USU2SeriesClassification()[alg][LSQuotientClass] ];
            
		if  Q=P  then 
			ans:=[op(ans), alg] 
		fi;
      od;
RETURN(ans)
fi;

   

if C=USClassification then
 	for alg in L do 
      	Q:=[DifferentialGeometryLibrary:-USU2SeriesClassification()[alg][USClass], DifferentialGeometryLibrary:-USU2SeriesClassification()[alg][USQuotientClass] ];
            
		if  Q=P  then 
			ans:=[op(ans), alg] 
		fi;
      od;
RETURN(ans)
fi;

end:

#

FindUSU2:=proc(P) 
local p ,L,ans;


if nargs=2 then  L:=args[2] 
else
L:=DifferentialGeometryLibrary:-library_list(USU,2);
fi;


for p in P do  
	L:=FindAlg0(p[1],p[2],L); 
	if nops(L)<=1 then RETURN(L) fi 
od; 
 L
end:

