#
# connections.vss
#
# tensors
#
# offel2,
# torsion_tensor
#
#



offel1:=proc(a_metric::Vessiot_metric)
#  TYPE 1  Program  Should be changed to type II.
#  This program is  frame independent.
#
#

local  tensSpace, new_attributes,new_type1, new_type2, fr, n,i,j,h,k, M,G1,G2,G3, 
       term, ans, K1,K2,K3,C,Ctens1,Ctens2, new_comps;
   

VessiotFrameCheck(a_metric):

tensSpace:=tensorIndexPart2(tensorIndexType(a_metric)[1]);


fr:=objectFrame(a_metric):

new_type1:=[[cat(cov, "_", tensSpace),
            cat(cov, "_", tensSpace),
            cat(cov, "_", tensSpace)] ,[]];

new_type2:=[[cat(cov, "_", tensSpace),
             cat(cov, "_", tensSpace),
             cat(con, "_", tensSpace)] ,[]];


new_comps:=[];

n:=frameBaseDimension(); 

for term in objectComponents(a_metric) do
      for h from 1  to n do
		i:=term[1][1];
		j:=term[1][2];
      	
		M:=1/2*Lie_derivative(DifferentialGeometryTools:-
Vect(h),term[2]);
		
		if M<> 0 then 	
      		G1:= [[i,j,h], M];
      		G2:= [[h,i,j], M];
      		G3:= [[i,h,j],-M];
      		new_comps:=[op(new_comps),G1,G2,G3];
		fi;
	od;
od;

 

Ctens1:=_VESSIOT([ [tensor, fr, new_type2],  structure_constants_list()]); 

Ctens2:= symm_skew_indices(raise_lower_indices(a_metric , 2 &mult Ctens1, [3]), [1,2],skew);

for term in objectComponents(Ctens2) do 
	i:=term[1][1];
	j:=term[1][2];
	h:=term[1][3];
	M:=1/2*term[2];
	
	K1:=[[i,h,j],-M];
	K2:=[[h,i,j], M];
	K3:=[[i,j,h],-M];
	
	new_comps:=[op(new_comps), K1, K2,K3 ]
od;

 
          
ans:=_VESSIOT([ [tensor, fr, new_type1], new_comps]);

ans:=helmsimp(ans);

end:

#----------------------------------------------
#---------------------------------

offel2:=proc(a_metric)
# CLASS II PROGRAM  
# FRAME INDEPENDENT
# 05/01/99:CH
# 01/14/03:IA  

#    optional args: an LinearAlgebra[MatrixInverse] metric for the required argument.
#    add some checks on opt arg. 
   
local inv_metric, ans, offel;

global vst_euc;
  
if nargs=2 then
       inv_metric:=args[2];
else   
       inv_metric:=inverse_metric(a_metric)
fi;


offel:=offel1(a_metric);

ans:=raise_lower_indices(inv_metric,offel,[2]);

ans:=op(ans);

ans[1][1]:=connection; 

ans:=_VESSIOT(ans);
        
end: 

#-----------------------------------------


torsion_tensor:=proc(a_connection::Vessiot_connection)
# CLASS II PROGRAM  
#FRAME INDEPENDENT.
# 05/01/99:CH
# 01/14/03:IA	  

#    

local fr, S1,S2,S3,S ,i ,j, n,Fr,Omega,ans;
n:=frameBaseDimension();
Fr:=frameBaseVectors():

Omega:=frameBaseForms();
ans:=0 &mult (Omega[1] &tensor Fr[1] &tensor Omega[1]);
for i from 1 to n  do 
	for j from 1 to n do
		S1:=directional_covariant_derivative(Fr[i],convert(Fr[j],Vessiot_tensor),a_connection);
		S2:=directional_covariant_derivative(Fr[j],convert(Fr[i],Vessiot_tensor),a_connection);
		S3:=convert(Lie_bracket(Fr[i],Fr[j]),Vessiot_tensor);

		S:= S1 &minus (S2  &minus S3);
		ans:=ans &plus  ( Omega[i] &tensor S &tensor Omega[j]);
	od;
od;

ans;

end;

#******************************************************
