#
# push_pull_tensor.vss  
#
# tensors 
#
# push_pull_tensor
#
# 
# MAKE A GENERALIZATION  LIKE  pullback_vect
#

push_pull_tensor := proc()



#CLASS II PROGRAM
#FRAME INDEPENDENT
#08/26/1991:CH
#01/15/2003:IA         
#06/09/2004:IA






local  junk, push_pull_tensorProcedure, vars, ans, fr, fr1,fr2, phi,psi,tens, protocol, alpha, indxType ;







push_pull_tensorProcedure:=proc(term,flag,phi,psi)

local T,S, C, eqn_list, ans, index;
        

if flag= `coeff` 
then 
    C:=pullback(psi,term);
    ans:=DifferentialGeometryTools:-scalar_tensor(C,transformDomain(psi)[1]);
    RETURN(ans);
fi;

if  tensorIndexPart1(flag) = con 
then 
      T:=frameJetVectors(transformDomain(phi)[1])[term];
      S:=pushforward(phi,psi,T);
      ans:=convert(S,Vessiot_tensor);
      RETURN(ans);
fi;


if tensorIndexPart1(flag) = cov 
then 
	T:=frameJetForms(transformDomain(phi)[1])[term];
      S:=pullback(psi,T);
      ans:=convert(S,Vessiot_tensor);
     RETURN(ans)
fi;



end:


junk:=proc()

local S, C,T;
#
#  Tensors on jet space
#
if flag =con_jet then
	T:= frameJetVectors(term);
      	S:=pushforward(phi,psi,T);
            ans:=convert(S,Vessiot_tensor);
      	RETURN(ans);

fi;

if flag =cov_jet 
then
	T:=frameJetForms(term);
            S:=pullback(psi,term);
            ans:=form_to_tens(S);
            RETURN(ans)
fi;


#
#  Tensors on fiber  
#


if flag =con_vrt 
then  
T:=frameJetVectors(term); 
ans:=pushforward(phi,psi,T);

fi;
if flag =cov_vrt then	T:=frameContactForms(term);
            ans:=pullback_biform(psi,term);
            RETURN(ans)
fi;

#
#  Densities 
#


end:















# psi is the inverse of phi

if nargs =3 then 
	phi:=args[1];
	psi:=args[2];
	tens:=args[3];
fi;

if nargs=2 then
	psi:=args[1];
	tens:=args[2];
      fr1:=transformDomain(psi)[1];
      fr2:=transformRange(psi)[1];
      vars:=frameJetVariables(fr1);
      phi:=transform(fr2,fr1,[seq(v=0, v=vars)]);
fi;






if transformDomain(phi)[1] <> objectFrame(tens) then  
    ERROR(cat("\n Vessiot Error:", 
              "\n  domain frame of first transformation and tensor must coincide" 
		   ,transformDomain(phi)[1], objectFrame(tens) ) )
fi;


if transformRange(psi)[1] <> objectFrame(tens) then  
    ERROR(cat("\n Vessiot Error:", 
              "\n range frame of second transformation and tensor must coincide" 
		   ,transformRange(psi)[1], objectFrame(tens) ) )
fi;

fr:=objectFrame(tens);

protocol := frameProtocol(fr);

indxType:=tensorType(tens);

alpha:=zero_tens(indxType,transformRange(phi)[1]);

ans:=homomorphism[tensor](push_pull_tensorProcedure,tens,alpha,phi,psi);

VessiotFrameCheck(ans);


ans
end:

