Turkowski2:=proc()

description `Turkowski: Solvable Lie Algebras of dimension six.`;

local A;
A:=table();


A[[6,1]][structure_constants]
:=[[[1,3,3],alpha],[[1,4,4],gamma],[[1,6,6],1],[[2,3,3],beta],[[2,4,4],delta],[[2,5,5],1]];

A[[6,1]][parameters]
:=[];


#............


A[[6,2]][structure_constants]
:=[[[1,3,3],alpha],[[1,4,4],1],[[1,5,6],1],[[2,3,3],beta],[[2,4,4],gamma],[[2,5,5],1],
   [[2,6,6],1]];

A[[6,2]][parameters]
:=[];


#............


A[[6,3]][structure_constants]
:=[[[1,3,3],1],[[1,4,4],1],[[1,5,6],1],[[2,3,3],alpha],
   [[2,3,4],1],[[2,4,4],alpha],[[2,5,5],1],[[2,6,6],1]];

A[[6,3]][parameters]
:=[];


#............


A[[6,4]][structure_constants]
:=[[[1,3,3],1],[[1,4,4],1],[[1,5,6],1],[[2,3,4],1],[[2,4,3],-1],[[2,5,5],alpha],
   [[2,5,6],beta],[[2,6,6],alpha]];

A[[6,4]][parameters]
:=[];


#............


A[[6,5]][structure_constants]
:=[[[1,3,3],alpha],[[1,5,5],1],[[1,5,6],1],[[1,6,6],1],[[2,3,3],beta],[[2,4,4],1]];

A[[6,5]][parameters]
:=[];


#............


A[[6,6]][structure_constants]
:=[[[1,3,3],alpha],[[1,4,4],alpha],[[1,5,5],1],[[1,5,6],1],[[1,6,6],1],[[2,3,3],1],
   [[2,3,4],1],[[2,4,4],1],[[2,5,6],beta]];

A[[6,6]][parameters]
:=[];


#............


A[[6,7]][structure_constants]
:=[[[1,3,3],alpha],[[1,4,4],alpha],[[1,5,5],1],[[1,5,6],1],[[1,6,6],1],[[2,3,3],gamma],[[2,3,4],1],
   [[2,4,3],-1],[[2,4,4],gamma],[[2,5,6],beta]];

A[[6,7]][parameters]
:=[];


#............


A[[6,8]][structure_constants]
:=[[[1,3,3],1],[[1,4,6],1],[[2,4,4],1],[[2,5,5],1],[[2,5,6],1],[[2,6,6],1]];

A[[6,8]][parameters]
:=[];


#............


A[[6,9]][structure_constants]
:=[[[1,3,3],1],[[1,4,6],1],[[2,4,4],1],[[2,4,5],1],[[2,5,5],1],[[2,5,6],alpha],[[2,6,6],1]];

A[[6,9]][parameters]
:=[];


#............


A[[6,10]][structure_constants]
:=[[[1,3,3],alpha],[[1,4,3],1],[[1,4,6],beta],[[1,5,5],1],[[1,6,6],1],
   [[2,3,3],1],[[2,4,5],1],[[2,5,6],1]];

A[[6,10]][parameters]
:=[];


#............


A[[6,11]][structure_constants]
:=[[[1,3,4],1],[[1,5,5],1],[[1,5,6],1],[[1,6,6],1],[[2,3,3],1],[[2,4,4],1],
   [[2,5,5],alpha],[[2,6,6],alpha]];

A[[6,11]][parameters]
:=[];


#............


A[[6,12]][structure_constants]
:=[[[1,3,3],1],[[1,3,4],1],[[1,4,4],1],[[1,5,5],1],[[1,5,6],1],[[1,6,6],1],[[2,3,4],alpha],[[2,3,5],1],[[2,3,6],-beta],[[2,4,6],1],[[2,5,3],-1],[[2,5,4],beta],
   [[2,5,6],alpha],[[2,6,4],-1]];

A[[6,12]][parameters]
:=[];


#............


A[[6,13]][structure_constants]
:=[[[1,3,3],alpha],[[1,4,4],gamma],[[1,5,6],1],[[1,6,5],-1],[[2,3,3],beta],[[2,4,4],delta],
   [[2,5,5],1],[[2,6,6],1]];

A[[6,13]][parameters]
:=[];


#............


A[[6,14]][structure_constants]
:=[[[1,3,3],alpha],[[1,5,5],gamma],[[1,5,6],1],[[1,6,5],-1],[[1,6,6],gamma],
   [[2,3,3],beta],[[2,4,4],1]];

A[[6,14]][parameters]
:=[];


#............


A[[6,15]][structure_constants]
:=[[[1,3,3],1],[[1,4,4],1],[[1,5,5],alpha],[[1,5,6],beta],[[1,6,5],-beta],[[1,6,6],alpha],[[2,3,3],gamma],[[2,3,4],1],[[2,4,3],-1],
   [[2,4,4],gamma],[[2,5,5],delta],[[2,6,6],delta]];

A[[6,15]][parameters]
:=[];


#............


A[[6,16]][structure_constants]
:=[[[1,3,4],1],[[1,5,5],alpha],[[1,5,6],1],[[1,6,5],-1],[[1,6,6],alpha],[[2,3,3],1],
   [[2,4,4],1],[[2,5,5],beta],[[2,6,6],beta]];

A[[6,16]][parameters]
:=[];


#............


A[[6,17]][structure_constants]
:=[[[1,3,3],alpha],[[1,3,4],1],[[1,4,4],alpha],[[1,5,6],1],[[1,6,5],-1],[[2,5,5],1],
   [[2,6,6],1]];

A[[6,17]][parameters]
:=[];


#............


A[[6,18]][structure_constants]
:=[[[1,3,4],1],[[1,4,3],-1],[[1,5,5],alpha],[[1,5,6],beta],[[1,6,5],-beta],[[1,6,6],alpha],[[2,3,3],1],
   [[2,4,4],1],[[2,5,5],gamma],[[2,6,6],gamma]];

A[[6,18]][parameters]
:=[];


#............


A[[6,19]][structure_constants]
:=[[[1,3,4],1],[[1,3,5],1],[[1,4,3],-1],[[1,4,6],1],[[1,5,6],1],[[1,6,5],-1],[[2,3,3],1],
   [[2,4,4],1],[[2,5,5],1],[[2,6,6],1]];

A[[6,19]][parameters]
:=[];


#............


A[[6,20]][structure_constants]
:=[[[1,2,3],1],[[1,4,4],alpha],[[1,6,6],1],[[2,4,4],beta],[[2,5,5],1]];

A[[6,20]][parameters]
:=[];


#............


A[[6,21]][structure_constants]
:=[[[1,2,3],1],[[1,4,4],1],[[1,5,6],1],[[2,4,4],alpha],[[2,5,5],1],[[2,6,6],1]];

A[[6,21]][parameters]
:=[];


#............


A[[6,22]][structure_constants]
:=[[[1,2,5],epsilon],[[1,3,3],1],[[1,5,6],1],[[2,3,3],alpha],[[2,4,4],1]];

A[[6,22]][parameters]
:=[];


#............


A[[6,23]][structure_constants]
:=[[[1,2,5],epsilon],[[1,3,3],1],[[1,4,4],1],[[1,5,6],1],[[2,3,4],1],[[2,4,3],-1],
   [[2,5,6],alpha]];

A[[6,23]][parameters]
:=[];


#............


A[[6,24]][structure_constants]
:=[[[1,2,3],1],[[1,5,5],1],[[1,5,6],1],[[1,6,6],1],[[2,4,4],1]];

A[[6,24]][parameters]
:=[];


#............


A[[6,25]][structure_constants]
:=[[[1,2,3],1],[[1,4,4],alpha],[[1,5,6],1],[[1,6,5],-1],[[2,3,4],beta],[[2,5,5],1],[[2,6,6],1]];

A[[6,25]][parameters]
:=[];


#............


A[[6,26]][structure_constants]
:=[[[1,2,3],1],[[1,5,5],alpha],[[1,5,6],1],[[1,6,5],-1],[[1,6,6],alpha],[[2,4,4],1]];

A[[6,26]][parameters]
:=[];


#............


A[[6,27]][structure_constants]
:=[[[1,2,3],epsilon],[[1,3,4],1],[[1,5,6],1],[[1,6,5],-1],[[2,5,5],1],[[2,6,6],1]];

A[[6,27]][parameters]
:=[];


#............


A[[6,28]][structure_constants]
:=[[[1,3,3],1],[[1,5,5],-1],[[1,6,6],1],[[2,4,4],1],[[2,5,5],2],
   [[2,6,6],-1],[[4,6,3],-1],[[5,6,4],-1]];

A[[6,28]][parameters]
:=[];


#............


A[[6,29]][structure_constants]
:=[[[1,3,3],1],[[1,4,4],1],[[1,6,6],alpha],[[2,3,3],1],[[2,5,5],1],
   [[2,6,6],beta],[[4,5,3],-1]];

A[[6,29]][parameters]
:=[];


#............


A[[6,30]][structure_constants]
:=[[[1,3,3],2],[[1,4,4],1],[[1,5,5],1],[[1,6,6],alpha],[[2,4,5],1],[[2,6,6],1],[[4,5,3],-1]];

A[[6,30]][parameters]
:=[];


#............


A[[6,31]][structure_constants]
:=[[[1,4,4],1],[[1,5,5],-1],[[2,3,3],1],[[2,5,5],1],[[2,6,3],1],[[2,6,6],1],[[4,5,3],-1]];

A[[6,31]][parameters]
:=[];


#............


A[[6,32]][structure_constants]
:=[[[1,4,4],1],[[1,5,5],-1],[[1,6,3],1],[[2,3,3],1],[[2,4,4],alpha],
   [[2,5,5],1-alpha],[[2,6,6],1],[[4,5,3],-1]];

A[[6,32]][parameters]
:=[];


#............


A[[6,33]][structure_constants]
:=[[[1,3,3],1],[[1,4,4],1],[[2,3,3],1],[[2,5,5],1],[[2,5,6],1],
   [[2,6,6],1],[[4,5,3],-1]];

A[[6,33]][parameters]
:=[];


#............


A[[6,34]][structure_constants]
:=[[[1,3,3],1],[[1,4,4],1],[[1,5,6],1],[[2,3,3],1+alpha],[[2,4,4],alpha],
   [[2,5,5],1],[[2,6,6],1],[[4,5,3],-1]];

A[[6,34]][parameters]
:=[];


#............


A[[6,35]][structure_constants]
:=[[[1,4,5],1],[[1,5,4],-1],[[1,6,6],alpha],[[2,3,3],2],
   [[2,4,4],1],[[2,5,5],1],[[2,6,6],beta],[[4,5,3],-1]];

A[[6,35]][parameters]
:=[];


#............


A[[6,36]][structure_constants]
:=[[[1,4,5],1],[[1,5,4],-1],[[2,3,3],2],[[2,4,4],1],[[2,5,5],1],
   [[2,6,3],1],[[2,6,6],2],[[4,5,3],-1]];

A[[6,36]][parameters]
:=[];


#............


A[[6,37]][structure_constants]
:=[[[1,4,5],1],[[1,5,4],-1],[[1,6,3],1],[[2,3,3],2],[[2,4,4],1],[[2,4,5],alpha],
   [[2,5,4],-alpha],[[2,5,5],1],[[2,6,6],2],[[4,5,3],-1]];

A[[6,37]][parameters]
:=[];


#............


A[[6,38]][structure_constants]
:=[[[1,2,6],-1],[[1,3,3],1],[[1,4,4],1],[[2,3,3],1],
   [[2,5,5],1],[[4,5,3],-1]];

A[[6,38]][parameters]
:=[];


#............


A[[6,39]][structure_constants]
:=[[[1,2,6],-1],[[1,4,5],1],[[1,5,4],-1],[[2,3,3],2],
   [[2,4,4],1],[[2,5,5],1],[[4,5,3],-1]];

A[[6,39]][parameters]
:=[];


#............


A[[6,40]][structure_constants]
:=[[[1,2,3],-1],[[1,4,5],1],[[1,5,4],-1],[[2,6,6],1],[[4,5,3],-1]];

A[[6,40]][parameters]
:=[];


#............


eval(A)
end:
