
Winternitz5:=proc()

local A;

A:=table();

#.............. 3 dim indecomposable ...........

A[[3,1]][structure_constants]:=[[[2,3,1],1]];
A[[3,2]][structure_constants]:=[[[1,3,1],1],[[2,3,2],_x]];
A[[3,3]][structure_constants]:=[[[1,3,1],1],[[2,3,1],1],[[2,3,2],1]];
A[[3,4]][structure_constants]:=[[[1,3,1],_x],[[1,3,2],-1],[[2,3,1],1],[[2,3,2],_x]];
A[[3,5]][structure_constants]:=[[[1,2,1],1],[[1,3,2],-2],[[2,3,3],1]];
A[[3,6]][structure_constants]:=[[[1,2,3],1],[[1,3,2],-1],[[2,3,1],1]];

#.............. 3 dim decomposable ...........

A[[3,0]][structure_constants]:=[];
A[[3,-1]][structure_constants]:=[[[1,2,1],1]];

#.............. 4 dim indecomposable ...........

A[[4,1]][structure_constants]:=[[[2,4,1],1],[[3,4,2],1]];
A[[4,2]][structure_constants]:=[[[1,4,1],1],[[2,4,2],_x],[[3,4,3],_y]];
A[[4,3]][structure_constants]:=[[[2,4,1],1],[[3,4,3],1]];
A[[4,4]][structure_constants]:=[[[1,4,1],1],[[2,4,1],1],[[2,4,2],1],[[3,4,3],_x]];
A[[4,5]][structure_constants]:=[[[1,4,1],_x],[[2,4,2],_y],[[2,4,3],-1],[[3,4,2],1],[[3,4,3],_y]];
A[[4,6]][structure_constants]:=[[[1,4,1],1],[[2,4,1],1],[[2,4,2],1],[[3,4,2],1],[[3,4,3],1]];
A[[4,7]][structure_constants]:=[[[1,4,1],1],[[2,3,1],1],[[2,4,2],1]];
A[[4,8]][structure_constants]:=[[[2,3,1],1],[[2,4,2],1],[[3,4,3],-1]];
A[[4,9]][structure_constants]:=[[[1,4,1],_x+1],[[2,3,1],1],[[2,4,2],1],[[3,4,3],_x]];
A[[4,10]][structure_constants]:=[[[1,4,1],2],[[2,3,1],1],[[2,4,2],1],[[3,4,2],1],[[3,4,3],1]];
A[[4,11]][structure_constants]:=[[[2,3,1],1],[[2,4,3],-1],[[3,4,2],1]];
A[[4,12]][structure_constants]:=[[[1,4,1],2*_x],[[2,3,1],1],[[2,4,2],_x],[[2,4,3],-1],[[3,4,2],1],[[3,4,3],_x]];
A[[4,13]][structure_constants]:=[[[1,3,1],1],[[1,4,2],-1],[[2,3,2],1],[[2,4,1],1]];

#.............. 4 dim decomposable ...........

A[[4,0]][structure_constants]:=[];
A[[4,-1]][structure_constants]:=[[[1,2,1],1]];
A[[4,-2]][structure_constants]:=[[[1,2,1],1],[[3,4,3],1]];
A[[4,-3]][structure_constants]:=[[[2,3,1],1]];
A[[4,-4]][structure_constants]:=[[[1,3,1],1],[[2,3,2],_x]];
A[[4,-5]][structure_constants]:=[[[1,3,1],1],[[2,3,1],1],[[2,3,2],1]];
A[[4,-6]][structure_constants]:=[[[1,3,1],_x],[[1,3,2],-1],[[2,3,1],1],[[2,3,2],_x]];
A[[4,-7]][structure_constants]:=[[[1,2,1],1],[[1,3,2],-2],[[2,3,3],1]];
A[[4,-8]][structure_constants]:=[[[1,2,3],1],[[1,3,2],-1],[[2,3,1],1]];

#.............. 5 dim indecomposable ...........

A[[5,1]][structure_constants]:=[[[3,5,1],1],[[4,5,2],1]];
A[[5,2]][structure_constants]:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1]];
A[[5,3]][structure_constants]:=[[[3,4,1],1],[[3,5,2],1],[[4,5,3],1]];
A[[5,4]][structure_constants]:=[[[2,5,1],1],[[3,4,1],1]];
A[[5,5]][structure_constants]:=[[[2,5,1],1],[[3,4,1],1],[[3,5,2],1]];
A[[5,6]][structure_constants]:=[[[2,5,1],1],[[3,4,1],1],[[3,5,2],1],[[4,5,3],1]];
A[[5,7]][structure_constants]:=[[[1,5,1],1],[[2,5,2],_x],[[3,5,3],_y],[[4,5,4],_z]];
A[[5,8]][structure_constants]:=[[[2,5,1],1],[[3,5,3],1],[[4,5,4],_x]];
A[[5,9]][structure_constants]:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,3],_x],[[4,5,4],_y]];
A[[5,10]][structure_constants]:=[[[1,5,1],1],[[2,5,2],_z],[[3,5,3],_x],[[3,5,4],-_y],[[4,5,3],_y],[[4,5,4],_x]];
A[[5,11]][structure_constants]:=[[[2,5,1],1],[[3,5,3],1],[[4,5,3],1],[[4,5,4],1]];
A[[5,12]][structure_constants]:=[[[1,5,1],_x],[[2,5,1],1],[[2,5,2],_x],[[3,5,3],1],[[4,5,3],1],[[4,5,4],1]];
A[[5,13]][structure_constants]:=[[[2,5,1],1],[[3,5,3],_x],[[3,5,4],-1],[[4,5,3],1],[[4,5,4],_x]];
A[[5,14]][structure_constants]:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,3],_x],[[3,5,4],-_y],[[4,5,3],_y],[[4,5,4],_x]];
A[[5,15]][structure_constants]:=[[[1,5,1],_x],[[1,5,2],-1],[[2,5,1],1],[[2,5,2],_x],[[3,5,3],_y],[[3,5,4],-_z],[[4,5,3],_z],[[4,5,4],_y]];
A[[5,16]][structure_constants]:=[[[2,5,1],1],[[3,5,2],1],[[4,5,4],1]];
A[[5,17]][structure_constants]:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,2],1],[[3,5,3],1],[[4,5,4],_x]];
A[[5,18]][structure_constants]:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,2],1],[[3,5,3],1],[[4,5,3],1],[[4,5,4],1]];
A[[5,19]][structure_constants]:=[[[1,5,1],_x],[[1,5,2],-1],[[2,5,1],1],[[2,5,2],_x],[[3,5,1],1],[[3,5,3],_x],[[3,5,4],-1],[[4,5,2],1],[[4,5,3],1],[[4,5,4],_x]];
A[[5,20]][structure_constants]:=[[[1,5,1],1],[[2,3,1],1],[[2,5,2],1],[[4,5,4],_x]];
A[[5,21]][structure_constants]:=[[[2,3,1],1],[[2,5,2],1],[[3,5,3],-1],[[4,5,4],_x]];
A[[5,22]][structure_constants]:=[[[1,5,1],_x+1],[[2,3,1],1],[[2,5,2],1],[[3,5,3],_x],[[4,5,4],_y]];
A[[5,23]][structure_constants]:=[[[1,5,1],1],[[2,3,1],1],[[2,5,2],1],[[4,5,1],1],[[4,5,4],1]];
A[[5,24]][structure_constants]:=[[[2,3,1],1],[[2,5,2],1],[[3,5,3],-1],[[4,5,1],1]];
A[[5,25]][structure_constants]:=[[[1,5,1],_x+1],[[2,3,1],1],[[2,5,2],1],[[3,5,3],_x],[[4,5,1],1],[[4,5,4],_x+1]];
A[[5,26]][structure_constants]:=[[[1,5,1],1],[[2,3,1],1],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1]];
A[[5,27]][structure_constants]:=[[[2,3,1],1],[[2,5,2],-1],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1]];
A[[5,28]][structure_constants]:=[[[1,5,1],_x+1],[[2,3,1],1],[[2,5,2],_x],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1]];
A[[5,29]][structure_constants]:=[[[1,5,1],1],[[2,3,1],1],[[2,5,2],1],[[3,5,4],1]];
A[[5,30]][structure_constants]:=[[[2,3,1],1],[[3,5,2],1],[[4,5,4],1]];
A[[5,31]][structure_constants]:=[[[1,5,1],2],[[2,3,1],1],[[2,5,2],1],[[3,5,2],1],[[3,5,3],1],[[4,5,4],_x]];
A[[5,32]][structure_constants]:=[[[2,3,1],1],[[2,5,3],-1],[[3,5,2],1],[[4,5,4],_x]];
A[[5,33]][structure_constants]:=[[[1,5,1],2*_x],[[2,3,1],1],[[2,5,2],_x],[[2,5,3],-1],[[3,5,2],1],[[3,5,3],_x],[[4,5,4],_y]];
A[[5,34]][structure_constants]:=[[[1,5,1],2],[[2,3,1],1],[[2,5,2],1],[[3,5,2],1],[[3,5,3],1],[[4,5,1],1],[[4,5,4],2]];
A[[5,35]][structure_constants]:=[[[2,3,1],1],[[2,5,3],-1],[[3,5,2],1],[[4,5,1],1]];
A[[5,36]][structure_constants]:=[[[1,5,1],2*_x],[[2,3,1],1],[[2,5,2],_x],[[2,5,3],-1],[[3,5,2],1],[[3,5,3],_x],[[4,5,1],1],[[4,5,4],2*_x]];
A[[5,37]][structure_constants]:=[[[1,5,1],2],[[2,3,1],1],[[2,5,2],1],[[2,5,3],1],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1]];
A[[5,38]][structure_constants]:=[[[1,5,1],1],[[2,3,1],1],[[3,5,3],1],[[3,5,4],1],[[4,5,1],1],[[4,5,4],1]];
A[[5,39]][structure_constants]:=[[[1,5,1],2],[[2,4,1],1],[[2,5,2],1],[[3,4,2],1],[[4,5,4],1]];
A[[5,40]][structure_constants]:=[[[2,4,1],1],[[2,5,2],-1],[[3,4,2],1],[[3,5,3],-2],[[4,5,4],1]];
A[[5,41]][structure_constants]:=[[[1,5,1],_x+2],[[2,4,1],1],[[2,5,2],_x+1],[[3,4,2],1],[[3,5,3],_x],[[4,5,4],1]];
A[[5,42]][structure_constants]:=[[[1,5,1],3],[[2,4,1],1],[[2,5,2],2],[[3,4,2],1],[[3,5,3],1],[[4,5,3],1],[[4,5,4],1]];
A[[5,43]][structure_constants]:=[[[1,5,1],1],[[2,4,1],1],[[2,5,2],1],[[3,4,2],1],[[3,5,3],1]];
A[[5,44]][structure_constants]:=[[[1,5,1],1],[[2,4,1],1],[[2,5,2],1],[[3,4,2],1],[[3,5,1],_x],[[3,5,3],1]];
A[[5,45]][structure_constants]:=[[[1,4,1],1],[[2,5,2],1],[[3,4,3],_x],[[3,5,3],_y]];
A[[5,46]][structure_constants]:=[[[2,5,2],1],[[3,4,3],1],[[4,5,1],1]];
A[[5,47]][structure_constants]:=[[[1,4,1],_x],[[1,5,1],1],[[2,4,2],1],[[3,4,3],1],[[3,5,2],1]];
A[[5,48]][structure_constants]:=[[[1,4,1],_x],[[1,5,1],_y],[[2,4,2],1],[[2,5,3],-1],[[3,4,3],1],[[3,5,2],1]];
A[[5,49]][structure_constants]:=[[[2,4,2],1],[[2,5,3],-1],[[3,4,3],1],[[3,5,2],1],[[4,5,1],1]];
A[[5,50]][structure_constants]:=[[[1,4,1],1],[[2,3,1],1],[[2,4,2],1],[[2,5,2],-1],[[3,5,3],1]];
A[[5,51]][structure_constants]:=[[[1,4,1],2],[[2,3,1],1],[[2,4,2],1],[[2,5,3],-1],[[3,4,3],1],[[3,5,2],1]];
A[[5,52]][structure_constants]:=[[[1,2,1],2],[[1,3,2],-1],[[1,4,5],1],[[2,3,3],2],[[2,4,4],1],[[2,5,5],-1],[[3,5,4],1]];

#.............. 5 dim decomposable ...........

A[[5,0]][structure_constants]:=[];
A[[5,-1]][structure_constants]:=[[[1,2,1],1]];
A[[5,-2]][structure_constants]:=[[[1,2,1],1],[[3,4,3],1]];
A[[5,-3]][structure_constants]:=[[[2,3,1],1]];
A[[5,-4]][structure_constants]:=[[[2,3,1],1],[[4,5,4],1]];
A[[5,-5]][structure_constants]:=[[[1,3,1],1],[[2,3,2],_x]];
A[[5,-6]][structure_constants]:=[[[1,3,1],1],[[2,3,2],_x],[[4,5,4],1]];
A[[5,-7]][structure_constants]:=[[[1,3,1],1],[[2,3,1],1],[[2,3,2],1]];
A[[5,-8]][structure_constants]:=[[[1,3,1],1],[[2,3,1],1],[[2,3,2],1],[[4,5,4],1]];
A[[5,-9]][structure_constants]:=[[[1,3,1],_x],[[1,3,2],-1],[[2,3,1],1],[[2,3,2],_x]];
A[[5,-10]][structure_constants]:=[[[1,3,1],_x],[[1,3,2],-1],[[2,3,1],1],[[2,3,2],_x],[[4,5,4],1]];
A[[5,-11]][structure_constants]:=[[[1,2,1],1],[[1,3,2],-2],[[2,3,3],1]];
A[[5,-12]][structure_constants]:=[[[1,2,1],1],[[1,3,2],-2],[[2,3,3],1],[[4,5,4],1]];
A[[5,-13]][structure_constants]:=[[[1,2,3],1],[[1,3,2],-1],[[2,3,1],1]];
A[[5,-14]][structure_constants]:=[[[1,2,3],1],[[1,3,2],-1],[[2,3,1],1],[[4,5,4],1]];
A[[5,-15]][structure_constants]:=[[[2,4,1],1],[[3,4,2],1]];
A[[5,-16]][structure_constants]:=[[[1,4,1],1],[[2,4,2],_x],[[3,4,3],_y]];
A[[5,-17]][structure_constants]:=[[[2,4,1],1],[[3,4,3],1]];
A[[5,-18]][structure_constants]:=[[[1,4,1],1],[[2,4,1],1],[[2,4,2],1],[[3,4,3],_x]];
A[[5,-19]][structure_constants]:=[[[1,4,1],_x],[[2,4,2],_y],[[2,4,3],-1],[[3,4,2],1],[[3,4,3],_y]];
A[[5,-20]][structure_constants]:=[[[1,4,1],1],[[2,4,1],1],[[2,4,2],1],[[3,4,2],1],[[3,4,3],1]];
A[[5,-21]][structure_constants]:=[[[1,4,1],1],[[2,3,1],1],[[2,4,2],1]];
A[[5,-22]][structure_constants]:=[[[2,3,1],1],[[2,4,2],1],[[3,4,3],-1]];
A[[5,-23]][structure_constants]:=[[[1,4,1],_x+1],[[2,3,1],1],[[2,4,2],1],[[3,4,3],_x]];
A[[5,-24]][structure_constants]:=[[[1,4,1],2],[[2,3,1],1],[[2,4,2],1],[[3,4,2],1],[[3,4,3],1]];
A[[5,-25]][structure_constants]:=[[[2,3,1],1],[[2,4,3],-1],[[3,4,2],1]];
A[[5,-26]][structure_constants]:=[[[1,4,1],2*_x],[[2,3,1],1],[[2,4,2],_x],[[2,4,3],-1],[[3,4,2],1],[[3,4,3],_x]];
A[[5,-27]][structure_constants]:=[[[1,3,1],1],[[1,4,2],-1],[[2,3,2],1],[[2,4,1],1]];

#  6 dim nilpotent

A[[6,1]][structure_constants]:=[[[3,6,1],1],[[4,6,2],1],[[5,6,3],1]];
A[[6,2]][structure_constants]:=[[[2,6,1],1],[[3,6,2],1],[[4,6,3],1],[[5,6,4],1]];
A[[6,3]][structure_constants]:=[[[4,5,2],1],[[4,6,3],1],[[5,6,1],1]];
A[[6,4]][structure_constants]:=[[[3,6,1],1],[[4,5,1],-1],[[4,6,2],1]];
A[[6,5]][structure_constants]:=[[[3,5,1],1],[[3,6,2],-1],[[4,5,2],1],[[4,6,1],1]];
A[[6,6]][structure_constants]:=[[[3,6,1],1],[[4,5,1],-1],[[4,6,2],1],[[5,6,3],1]];
A[[6,7]][structure_constants]:=[[[3,6,1],1],[[4,5,2],1],[[4,6,3],1]];
A[[6,8]][structure_constants]:=[[[3,5,2],1],[[3,6,1],1],[[4,5,2],1],[[5,6,3],1]];
A[[6,9]][structure_constants]:=[[[3,5,1],1],[[3,6,2],1],[[4,6,1],1],[[5,6,3],1]];
A[[6,10]][structure_constants]:=[[[3,5,1],1],[[3,6,2],-1],[[4,5,2],1],[[4,6,1],1],[[5,6,3],1]];
A[[6,11]][structure_constants]:=[[[3,6,1],1],[[4,5,2],1],[[4,6,3],1],[[5,6,4],1]];
A[[6,12]][structure_constants]:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1]];
A[[6,13]][structure_constants]:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1],[[5,6,2],1]];
A[[6,14]][structure_constants]:=[[[2,6,1],_x],[[3,5,1],1],[[4,5,3],1],[[4,6,2],1]];
A[[6,15]][structure_constants]:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1],[[4,6,1],1],[[5,6,4],1]];
A[[6,16]][structure_constants]:=[[[2,6,1],1],[[3,5,1],1],[[3,6,2],1],[[4,5,2],1],[[4,6,3],1]];
A[[6,17]][structure_constants]:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1],[[5,6,4],1]];
A[[6,18]][structure_constants]:=[[[2,6,1],_x],[[3,5,1],1],[[4,5,3],1],[[4,6,2],1],[[5,6,4],1]];
A[[6,19]][structure_constants]:=[[[2,6,1],1],[[3,6,2],1],[[4,5,1],1],[[4,6,3],1],[[5,6,4],1]];
A[[6,20]][structure_constants]:=[[[2,6,1],1],[[3,5,1],1],[[3,6,2],1],[[4,5,2],1],[[4,6,3],1],[[5,6,4],1]];
A[[6,21]][structure_constants]:=[[[2,6,1],1],[[3,4,1],1],[[3,5,2],1],[[4,5,3],1],[[5,6,4],1]];
A[[6,22]][structure_constants]:=[[[2,6,1],1],[[3,4,1],1],[[3,5,2],1],[[4,5,3],1],[[4,6,2],1],[[5,6,4],1]];

eval(A)
end:
