
USU2DAuto1:=proc()
local A;
A:=table();


#*******[3, -1, 0]*******

A[[3, -1, 0]][basis]
:=[[1, 0, 0], [0, 0, 1], [0, 1, 0]];

A[[3, -1, 0]][RadMatrix]
:=[[s1, 0, s2], [0, s4, s3], [0, 0, 0]];
A[[3, -1, 0]][SMatrix]
:=[];


#*******[4, -1, 0]*******

A[[4, -1, 0]][basis]
:=[[1, 0, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1], [0, 1, 0, 0]];

A[[4, -1, 0]][RadMatrix]
:=[[s1, 0, 0, s2], [0, s5, 0, s3], [0, 0, s5, s4], [0, 0, 0, 0]];
A[[4, -1, 0]][SMatrix]
:=[[0, 0, 0, 0], [0, s6, s8, 0], [0, s7, -s6, 0], [0, 0, 0, 0]];


#*******[4, -2, 0]*******

A[[4, -2, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, -2, 0]][RadMatrix]
:=[[s1, s2, 0, 0], [0, 0, 0, 0], [0, 0, s3, s4], [0, 0, 0, 0]];
A[[4, -2, 0]][SMatrix]
:=[];

A[[4,-2,0]][Special]:=[ [[0,0,1,0],[0,0,0,1],[1,0,0,0],[0,1,0,0]] ];



#*******[4, -3, 0]*******

A[[4, -3, 0]][basis]
:=[[1, 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[4, -3, 0]][RadMatrix]
:=[[s1, s6, s2, s4], [0, s7, s3, s5], [0, 0, 1/2*s1, 0], [0, 0, 0, 1/2*s1]];
A[[4, -3, 0]][SMatrix]
:=[[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, s8, s10], [0, 0, s9, -s8]];


#*******[4, -4, 0]*******

A[[4, -4, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, 1, 0]];

A[[4, -4, 0]][RadMatrix]
:=[[s1, 0, 0, s3], [0, s2, 0, s4], [0, 0, s6, s5], [0, 0, 0, 0]];
A[[4, -4, 0]][SMatrix]
:=[];


#*******[4, -4, 1]*******

A[[4, -4, 1]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, 1, 0]];

A[[4, -4, 1]][RadMatrix]
:=[[s1, 0, 0, s2], [0, s1, 0, s3], [0, 0, s5, s4], [0, 0, 0, 0]];
A[[4, -4, 1]][SMatrix]
:=[[s6, s8, 0, 0], [s7, -s6, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]];


#*******[4, -5, 0]*******

A[[4, -5, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, 1, 0]];

A[[4, -5, 0]][RadMatrix]
:=[[s1, s2, 0, s3], [0, s1, 0, s4], [0, 0, s6, s5], [0, 0, 0, 0]];
A[[4, -5, 0]][SMatrix]
:=[];


#*******[4, -6, 0]*******

A[[4, -6, 0]][basis]
:=[[0, 0, 0, 1], [1, 0, 0, 0], [0, -1, 0, 0], [0, 0, 1, 0]];

A[[4, -6, 0]][RadMatrix]
:=[[s6, 0, 0, s5], [0, s1, s2, s3], [0, -s2, s1, -s4], [0, 0, 0, 0]];
A[[4, -6, 0]][SMatrix]
:=[];


#*******[4, -7, 0]*******

A[[4, -7, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, -7, 0]][RadMatrix]
:=[[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, s1]];
A[[4, -7, 0]][SMatrix]
:=[[s2, s4, 0, 0], [2*s3, 0, -2*s4, 0], [0, -s3, -s2, 0], [0, 0, 0, 0]];


A[[4,-7,0]][Special]:=
[

[[1/2*cos(theta)+1/2, 1/2*sqrt(2)*sin(theta), -1+cos(theta),0], 
[-1/2*sqrt(2)*sin(theta), cos(theta), -sqrt(2)*sin(theta),0],
[-1/4+1/4*cos(theta), 1/4*sqrt(2)*sin(theta), 1/2*cos(theta)+1/2,0],[0,0,0,1]]

];



#*******[4, -8, 0]*******

A[[4, -8, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, -8, 0]][RadMatrix]
:=[[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, s1]];
A[[4, -8, 0]][SMatrix]
:=[[0, -s2, -s3, 0], [s2, 0, -s4, 0], [s3, s4, 0, 0], [0, 0, 0, 0]];


#*******[5, -1, 0]*******

A[[5, -1, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, 0]];

A[[5, -1, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s2], [0, s6, 0, 0, s3], [0, 0, s6, 0, s4], [0, 0, 0, s6, s5], [0, 0, 0, 0, 0]];
A[[5, -1, 0]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s7, s10, s13, 0], [0, s8, s11, s14, 0], [0, s9, s12, -s7-s11, 0], [0, 0, 0, 0, 0]];


#*******[5, -2, 0]*******

A[[5, -2, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -2, 0]][RadMatrix]
:=[[s1, 0, s2, 0, 0], [0, s7, s3, 0, s6], [0, 0, 0, 0, 0], [0, 0, 0, s4, s5], [0, 0, 0, 0, 0]];
A[[5, -2, 0]][SMatrix]
:=[];


A[[5,-2,0]][Special]:=[ [[0,0,1,0,0],[0,0,0,1,0],[1,0,0,0,0],[0,1,0,0,0],[0,0,0,0,1]] ];


#*******[5, -3, 0]*******

A[[5, -3, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -3, 0]][RadMatrix]
:=[[s1, s8, s10, s2, s5], [0, s9, 0, s3, s6], [0, 0, s9, s4, s7], [0, 0, 0, 1/2*s1, 0], [0, 0, 0, 0, 1/2*s1]];
A[[5, -3, 0]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s14, s16, 0, 0], [0, s15, -s14, 0, 0], [0, 0, 0, s11, s13], [0, 0, 0, s12, -s11]];


#*******[5, -4, 0]*******

A[[5, -4, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -4, 0]][RadMatrix]
:=[[s1, s2, s3, 0, s5], [0, 1/2*s1, 0, 0, 0], [0, 0, 1/2*s1, 0, 0], [0, 0, 0, s4, s6], [0, 0, 0, 0, 0]];
A[[5, -4, 0]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s7, s9, 0, 0], [0, s8, -s7, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -5, 0]*******

A[[5, -5, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, 0]];

A[[5, -5, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s3], [0, s2, 0, 0, s4], [0, 0, s7, 0, s5], [0, 0, 0, s7, s6], [0, 0, 0, 0, 0]];
A[[5, -5, 0]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s8, s10, 0], [0, 0, s9, -s8, 0], [0, 0, 0, 0, 0]];


#*******[5, -5, 1]*******

A[[5, -5, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, 0]];

A[[5, -5, 1]][RadMatrix]
:=[[s1, 0, 0, 0, s2], [0, s1, 0, 0, s3], [0, 0, s6, 0, s4], [0, 0, 0, s6, s5], [0, 0, 0, 0, 0]];
A[[5, -5, 1]][SMatrix]
:=[[s7, s9, 0, 0, 0], [s8, -s7, 0, 0, 0], [0, 0, s10, s12, 0], [0, 0, s11, -s10, 0], [0, 0, 0, 0, 0]];


#*******[5, -6, 0]*******

A[[5, -6, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -6, 0]][RadMatrix]
:=[[s1, 0, s3, 0, 0], [0, s2, s4, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s5, s6], [0, 0, 0, 0, 0]];
A[[5, -6, 0]][SMatrix]
:=[];


#*******[5, -6, 1]*******

A[[5, -6, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -6, 1]][RadMatrix]
:=[[s1, 0, s2, 0, 0], [0, s1, s3, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s4, s5], [0, 0, 0, 0, 0]];
A[[5, -6, 1]][SMatrix]
:=[[s6, s8, 0, 0, 0], [s7, -s6, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -7, 0]*******

A[[5, -7, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, 0]];

A[[5, -7, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s3], [0, s1, 0, 0, s4], [0, 0, s7, 0, s5], [0, 0, 0, s7, s6], [0, 0, 0, 0, 0]];
A[[5, -7, 0]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s8, s10, 0], [0, 0, s9, -s8, 0], [0, 0, 0, 0, 0]];


#*******[5, -8, 0]*******

A[[5, -8, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -8, 0]][RadMatrix]
:=[[s1, s2, s3, 0, 0], [0, s1, s4, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s5, s6], [0, 0, 0, 0, 0]];
A[[5, -8, 0]][SMatrix]
:=[];


#*******[5, -9, 0]*******

A[[5, -9, 0]][basis]
:=[[0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -9, 0]][RadMatrix]
:=[[s7, 0, 0, 0, s5], [0, s7, 0, 0, s6], [0, 0, s1, s2, s3], [0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0]];
A[[5, -9, 0]][SMatrix]
:=[[s8, s10, 0, 0, 0], [s9, -s8, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -10, 0]*******

A[[5, -10, 0]][basis]
:=[[0, 0, 0, 1, 0], [0, 0, 0, 0, 1], [1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -10, 0]][RadMatrix]
:=[[s5, s6, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s1, s2, s3], [0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0]];
A[[5, -10, 0]][SMatrix]
:=[];


#*******[5, -11, 0]*******

A[[5, -11, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -11, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s1, 0], [0, 0, 0, 0, s1]];
A[[5, -11, 0]][SMatrix]
:=[[s2, s4, 0, 0, 0], [2*s3, 0, -2*s4, 0, 0], [0, -s3, -s2, 0, 0], [0, 0, 0, s5, s7], [0, 0, 0, s6, -s5]];



A[[5,-11,0]][Special]:=
[

[[1/2*cos(theta)+1/2, 1/2*sqrt(2)*sin(theta), -1+cos(theta),0,0], 
[-1/2*sqrt(2)*sin(theta), cos(theta), -sqrt(2)*sin(theta),0,0],
[-1/4+1/4*cos(theta), 1/4*sqrt(2)*sin(theta), 1/2*cos(theta)+1/2,0,0],[0,0,0,1,0],[0,0,0,0,1]]

];





#*******[5, -12, 0]*******

A[[5, -12, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -12, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s1, s2], [0, 0, 0, 0, 0]];
A[[5, -12, 0]][SMatrix]
:=[[s3, s5, 0, 0, 0], [2*s4, 0, -2*s5, 0, 0], [0, -s4, -s3, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -13, 0]*******

A[[5, -13, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -13, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s1, 0], [0, 0, 0, 0, s1]];
A[[5, -13, 0]][SMatrix]
:=[[0, -s2, -s3, 0, 0], [s2, 0, -s4, 0, 0], [s3, s4, 0, 0, 0], [0, 0, 0, s5, s7], [0, 0, 0, s6, -s5]];


#*******[5, -14, 0]*******

A[[5, -14, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -14, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, s1, s2], [0, 0, 0, 0, 0]];
A[[5, -14, 0]][SMatrix]
:=[[0, -s3, -s4, 0, 0], [s3, 0, -s5, 0, 0], [s4, s5, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -15, 0]*******

A[[5, -15, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -15, 0]][RadMatrix]
:=[[s1, s2, s10, s4, s6], [0, s3, 0, s2, s7], [0, 0, s11, s5, s9], [0, 0, 0, -s1+2*s3, s8], [0, 0, 0, 0, s1-s3]];
A[[5, -15, 0]][SMatrix]
:=[];


#*******[5, -16, 0]*******

A[[5, -16, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -16, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s4], [0, s2, 0, 0, s5], [0, 0, s3, 0, s6], [0, 0, 0, s8, s7], [0, 0, 0, 0, 0]];
A[[5, -16, 0]][SMatrix]
:=[];


#*******[5, -16, 1]*******

A[[5, -16, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -16, 1]][RadMatrix]
:=[[s1, 0, 0, 0, s3], [0, s2, 0, 0, s4], [0, 0, s2, 0, s5], [0, 0, 0, s7, s6], [0, 0, 0, 0, 0]];
A[[5, -16, 1]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s8, s10, 0, 0], [0, s9, -s8, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -16, 2]*******

A[[5, -16, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -16, 2]][RadMatrix]
:=[[s1, 0, 0, 0, s3], [0, s1, 0, 0, s4], [0, 0, s2, 0, s5], [0, 0, 0, s7, s6], [0, 0, 0, 0, 0]];
A[[5, -16, 2]][SMatrix]
:=[[s8, s10, 0, 0, 0], [s9, -s8, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -16, 3]*******

A[[5, -16, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -16, 3]][RadMatrix]
:=[[s1, 0, 0, 0, s2], [0, s1, 0, 0, s3], [0, 0, s1, 0, s4], [0, 0, 0, s6, s5], [0, 0, 0, 0, 0]];
A[[5, -16, 3]][SMatrix]
:=[[s7, s10, s13, 0, 0], [s8, s11, s14, 0, 0], [s9, s12, -s7-s11, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -17, 0]*******

A[[5, -17, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -17, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s4], [0, s1, 0, 0, s5], [0, 0, s3, 0, s6], [0, 0, 0, s8, s7], [0, 0, 0, 0, 0]];
A[[5, -17, 0]][SMatrix]
:=[];


#*******[5, -17, 1]*******

A[[5, -17, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -17, 1]][RadMatrix]
:=[[s1, 0, s4, s2, s6], [0, s10, 0, 0, s9], [0, 0, s5, s3, s8], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, -17, 1]][SMatrix]
:=[];


#*******[5, -18, 0]*******

A[[5, -18, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -18, 0]][RadMatrix]
:=[[s1, s9, s2, 0, s5], [0, s10, s3, 0, s8], [0, 0, s1, 0, s6], [0, 0, 0, s4, s7], [0, 0, 0, 0, 0]];
A[[5, -18, 0]][SMatrix]
:=[];


#*******[5, -19, 0]*******

A[[5, -19, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -19, 0]][RadMatrix]
:=[[s1, s2, s3, 0, s4], [0, s1, s2, 0, s5], [0, 0, s1, 0, s6], [0, 0, 0, s8, s7], [0, 0, 0, 0, 0]];
A[[5, -19, 0]][SMatrix]
:=[];


#*******[5, -20, 0]*******

A[[5, -20, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, 0], [0, 0, -1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -20, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s4], [0, s8, 0, 0, s7], [0, 0, s2, s3, s5], [0, 0, -s3, s2, -s6], [0, 0, 0, 0, 0]];
A[[5, -20, 0]][SMatrix]
:=[];


#*******[5, -21, 0]*******

A[[5, -21, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -21, 0]][RadMatrix]
:=[[s1, s2, s4, 0, s5], [0, s3, 0, 0, s4], [0, 0, s1-s3, 0, -s2*a1], [0, 0, 0, s7, s6], [0, 0, 0, 0, 0]];
A[[5, -21, 0]][SMatrix]
:=[];


#*******[5, -21, 1]*******

A[[5, -21, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -21, 1]][RadMatrix]
:=[[s1, s2, s3, 0, s4], [0, 1/2*s1, 0, 0, s3], [0, 0, 1/2*s1, 0, -s2], [0, 0, 0, s6, s5], [0, 0, 0, 0, 0]];
A[[5, -21, 1]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s7, s9, 0, 0], [0, s8, -s7, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, -21, 2]*******

A[[5, -21, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -21, 2]][RadMatrix]
:=[[s1, s2, 0, s4, s6], [0, s3, 0, 0, s4], [0, 0, s8, s5, s7], [0, 0, 0, s1-s3, 0], [0, 0, 0, 0, 0]];
A[[5, -21, 2]][SMatrix]
:=[];


#*******[5, -22, 0]*******

A[[5, -22, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, 0]];

A[[5, -22, 0]][RadMatrix]
:=[[2*s1, s2, s3, 0, s5], [0, s1, s4, 0, -s2+s3], [0, 0, s1, 0, -s2], [0, 0, 0, s7, s6], [0, 0, 0, 0, 0]];
A[[5, -22, 0]][SMatrix]
:=[];


#*******[5, -23, 0]*******

A[[5, -23, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, 0], [0, 0, -1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -23, 0]][RadMatrix]
:=[[2*s1, 0, s2, -s4, s5], [0, s7, 0, 0, s6], [0, 0, s1, s3, -s2+s4*a1], [0, 0, -s3, s1, s2*a1+s4], [0, 0, 0, 0, 0]];
A[[5, -23, 0]][SMatrix]
:=[];


#*******[5, -24, 0]*******

A[[5, -24, 0]][basis]
:=[[0, 0, 0, 0, 1], [1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -24, 0]][RadMatrix]
:=[[s7, 0, 0, s5, s6], [0, s1, s2, s3, s4], [0, -s2, s1, -s4, s3], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, -24, 0]][SMatrix]
:=[];


#*******[6, -1, 0]*******

A[[6, -1, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0]];

A[[6, -1, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s2], [0, s7, 0, 0, 0, s3], [0, 0, s7, 0, 0, s4], [0, 0, 0, s7, 0, s5], [0, 0, 0, 0, s7, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -1, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s8, s12, s16, s20, 0], [0, s9, s13, s17, s21, 0], [0, s10, s14, s18, s22, 0], [0, s11, s15, s19, -s8-s13-s18, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -2, 0]*******

A[[6, -2, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -2, 0]][RadMatrix]
:=[[s1, 0, 0, s2, 0, 0], [0, s9, 0, s3, 0, s7], [0, 0, s9, s4, 0, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s5, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -2, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s10, s12, 0, 0, 0], [0, s11, -s10, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -3, 0]*******

A[[6, -3, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -3, 0]][RadMatrix]
:=[[s1, s2, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s3, s4, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s5, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -3, 0]][SMatrix]
:=[];




#*******[6, -5, 0]*******

A[[6, -5, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -5, 0]][RadMatrix]
:=[[s1, s10, s2, s4, 0, s7], [0, s11, s3, s5, 0, s9], [0, 0, 1/2*s1, 0, 0, 0], [0, 0, 0, 1/2*s1, 0, 0], [0, 0, 0, 0, s6, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -5, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s12, s14, 0, 0], [0, 0, s13, -s12, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -6, 0]*******

A[[6, -6, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -6, 0]][RadMatrix]
:=[[s1, 0, s2, s4, s7, s9], [0, s6, s3, s5, s8, s10], [0, 0, 1/2*s1, 0, 0, 0], [0, 0, 0, 1/2*s1, 0, 0], [0, 0, 0, 0, 1/2*s6, 0], [0, 0, 0, 0, 0, 1/2*s6]];
A[[6, -6, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s11, s13, 0, 0], [0, 0, s12, -s11, 0, 0], [0, 0, 0, 0, s14, s16], [0, 0, 0, 0, s15, -s14]];


#*******[6, -7, 0]*******

A[[6, -7, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0]];

A[[6, -7, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s3], [0, s2, 0, 0, 0, s4], [0, 0, s8, 0, 0, s5], [0, 0, 0, s8, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -7, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s9, s12, s15, 0], [0, 0, s10, s13, s16, 0], [0, 0, s11, s14, -s9-s13, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -7, 1]*******

A[[6, -7, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0]];

A[[6, -7, 1]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s2], [0, s1, 0, 0, 0, s3], [0, 0, s7, 0, 0, s4], [0, 0, 0, s7, 0, s5], [0, 0, 0, 0, s7, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -7, 1]][SMatrix]
:=[[s8, s10, 0, 0, 0, 0], [s9, -s8, 0, 0, 0, 0], [0, 0, s11, s14, s17, 0], [0, 0, s12, s15, s18, 0], [0, 0, s13, s16, -s11-s15, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -8, 0]*******

A[[6, -8, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -8, 0]][RadMatrix]
:=[[s1, 0, 0, s3, 0, 0], [0, s2, 0, s4, 0, 0], [0, 0, s9, s5, 0, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -8, 0]][SMatrix]
:=[];


#*******[6, -8, 1]*******

A[[6, -8, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -8, 1]][RadMatrix]
:=[[s1, 0, 0, s2, 0, 0], [0, s1, 0, s3, 0, 0], [0, 0, s8, s4, 0, s7], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s5, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -8, 1]][SMatrix]
:=[[s9, s11, 0, 0, 0, 0], [s10, -s9, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -9, 0]*******

A[[6, -9, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -9, 0]][RadMatrix]
:=[[s1, 0, 0, s3, 0, 0], [0, s2, 0, s4, 0, 0], [0, 0, s6, s5, s7, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1/2*s6, 0], [0, 0, 0, 0, 0, 1/2*s6]];
A[[6, -9, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s9, s11], [0, 0, 0, 0, s10, -s9]];


#*******[6, -9, 1]*******

A[[6, -9, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -9, 1]][RadMatrix]
:=[[s1, 0, 0, s2, 0, 0], [0, s1, 0, s3, 0, 0], [0, 0, s5, s4, s6, s7], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1/2*s5, 0], [0, 0, 0, 0, 0, 1/2*s5]];
A[[6, -9, 1]][SMatrix]
:=[[s8, s10, 0, 0, 0, 0], [s9, -s8, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s11, s13], [0, 0, 0, 0, s12, -s11]];


#*******[6, -10, 0]*******

A[[6, -10, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -10, 0]][RadMatrix]
:=[[s1, 0, s3, 0, 0, 0], [0, s2, s4, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s5, 0, s7], [0, 0, 0, 0, s6, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -10, 0]][SMatrix]
:=[];


#*******[6, -10, 1]*******

A[[6, -10, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -10, 1]][RadMatrix]
:=[[s1, 0, s3, 0, 0, 0], [0, s2, s4, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s5, 0, s6], [0, 0, 0, 0, s5, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -10, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s8, s10, 0], [0, 0, 0, s9, -s8, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -10, 2]*******

A[[6, -10, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -10, 2]][RadMatrix]
:=[[s1, 0, s2, 0, 0, 0], [0, s1, s3, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s4, 0, s6], [0, 0, 0, 0, s5, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -10, 2]][SMatrix]
:=[[s8, s10, 0, 0, 0, 0], [s9, -s8, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -10, 3]*******

A[[6, -10, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -10, 3]][RadMatrix]
:=[[s1, 0, s2, 0, 0, 0], [0, s1, s3, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s4, 0, s5], [0, 0, 0, 0, s4, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -10, 3]][SMatrix]
:=[[s7, s9, 0, 0, 0, 0], [s8, -s7, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s10, s12, 0], [0, 0, 0, s11, -s10, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -11, 0]*******

A[[6, -11, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0]];

A[[6, -11, 0]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s3], [0, s1, 0, 0, 0, s4], [0, 0, s8, 0, 0, s5], [0, 0, 0, s8, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -11, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s9, s12, s15, 0], [0, 0, s10, s13, s16, 0], [0, 0, s11, s14, -s9-s13, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -12, 0]*******

A[[6, -12, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -12, 0]][RadMatrix]
:=[[s1, s2, 0, s3, 0, 0], [0, s1, 0, s4, 0, 0], [0, 0, s9, s5, 0, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -12, 0]][SMatrix]
:=[];


#*******[6, -13, 0]*******

A[[6, -13, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -13, 0]][RadMatrix]
:=[[s1, s2, 0, s3, 0, 0], [0, s1, 0, s4, 0, 0], [0, 0, s6, s5, s7, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1/2*s6, 0], [0, 0, 0, 0, 0, 1/2*s6]];
A[[6, -13, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s9, s11], [0, 0, 0, 0, s10, -s9]];


#*******[6, -14, 0]*******

A[[6, -14, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -14, 0]][RadMatrix]
:=[[s1, s2, s3, 0, 0, 0], [0, s1, s4, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s5, 0, s7], [0, 0, 0, 0, s6, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -14, 0]][SMatrix]
:=[];


#*******[6, -14, 1]*******

A[[6, -14, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -14, 1]][RadMatrix]
:=[[s1, s2, s3, 0, 0, 0], [0, s1, s4, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s5, 0, s6], [0, 0, 0, 0, s5, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -14, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s8, s10, 0], [0, 0, 0, s9, -s8, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -15, 0]*******

A[[6, -15, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -15, 0]][RadMatrix]
:=[[s1, s2, s3, 0, 0, 0], [0, s1, s4, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s5, s6, s7], [0, 0, 0, 0, s5, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -15, 0]][SMatrix]
:=[];


#*******[6, -16, 0]*******

A[[6, -16, 0]][basis]
:=[[0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -16, 0]][RadMatrix]
:=[[s8, 0, 0, 0, 0, s5], [0, s8, 0, 0, 0, s6], [0, 0, s8, 0, 0, s7], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -16, 0]][SMatrix]
:=[[s9, s12, s15, 0, 0, 0], [s10, s13, s16, 0, 0, 0], [s11, s14, -s9-s13, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -17, 0]*******

A[[6, -17, 0]][basis]
:=[[0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -17, 0]][RadMatrix]
:=[[s9, 0, s8, 0, 0, s5], [0, s6, s7, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -17, 0]][SMatrix]
:=[];


#*******[6, -18, 0]*******

A[[6, -18, 0]][basis]
:=[[0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -18, 0]][RadMatrix]
:=[[s6, s7, s8, 0, 0, s5], [0, 1/2*s6, 0, 0, 0, 0], [0, 0, 1/2*s6, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -18, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s11, 0, 0, 0], [0, s10, -s9, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -19, 0]*******

A[[6, -19, 0]][basis]
:=[[0, 0, 0, 0, 1, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -19, 0]][RadMatrix]
:=[[s6, 0, s8, 0, 0, 0], [0, s5, s7, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -19, 0]][SMatrix]
:=[];


#*******[6, -19, 1]*******

A[[6, -19, 1]][basis]
:=[[0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -19, 1]][RadMatrix]
:=[[s5, 0, s6, 0, 0, 0], [0, s5, s7, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -19, 1]][SMatrix]
:=[[s8, s10, 0, 0, 0, 0], [s9, -s8, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -20, 0]*******

A[[6, -20, 0]][basis]
:=[[0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -20, 0]][RadMatrix]
:=[[s5, s6, s7, 0, 0, 0], [0, s5, s8, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -20, 0]][SMatrix]
:=[];


#*******[6, -21, 0]*******

A[[6, -21, 0]][basis]
:=[[0, 0, 0, 1, 0, 0], [0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0]];

A[[6, -21, 0]][RadMatrix]
:=[[s5, s6, s7, 0, 0, 0], [-s6, s5, -s8, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -21, 0]][SMatrix]
:=[];


#*******[6, -22, 0]*******

A[[6, -22, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -22, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, 0], [0, 0, 0, 0, s1, 0], [0, 0, 0, 0, 0, s1]];
A[[6, -22, 0]][SMatrix]
:=[[s2, s4, 0, 0, 0, 0], [2*s3, 0, -2*s4, 0, 0, 0], [0, -s3, -s2, 0, 0, 0], [0, 0, 0, s5, s8, s11], [0, 0, 0, s6, s9, s12], [0, 0, 0, s7, s10, -s5-s9]];


#*******[6, -23, 0]*******

A[[6, -23, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -23, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, s2], [0, 0, 0, 0, s4, s3], [0, 0, 0, 0, 0, 0]];
A[[6, -23, 0]][SMatrix]
:=[[s5, s7, 0, 0, 0, 0], [2*s6, 0, -2*s7, 0, 0, 0], [0, -s6, -s5, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -24, 0]*******

A[[6, -24, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -24, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, 0, 1/2*s1, 0], [0, 0, 0, 0, 0, 1/2*s1]];
A[[6, -24, 0]][SMatrix]
:=[[s4, s6, 0, 0, 0, 0], [2*s5, 0, -2*s6, 0, 0, 0], [0, -s5, -s4, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s7, s9], [0, 0, 0, 0, s8, -s7]];


#*******[6, -25, 0]*******

A[[6, -25, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -25, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, s3], [0, 0, 0, 0, s2, s4], [0, 0, 0, 0, 0, 0]];
A[[6, -25, 0]][SMatrix]
:=[[s5, s7, 0, 0, 0, 0], [2*s6, 0, -2*s7, 0, 0, 0], [0, -s6, -s5, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -25, 1]*******

A[[6, -25, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -25, 1]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, s2], [0, 0, 0, 0, s1, s3], [0, 0, 0, 0, 0, 0]];
A[[6, -25, 1]][SMatrix]
:=[[s4, s6, 0, 0, 0, 0], [2*s5, 0, -2*s6, 0, 0, 0], [0, -s5, -s4, 0, 0, 0], [0, 0, 0, s7, s9, 0], [0, 0, 0, s8, -s7, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -26, 0]*******

A[[6, -26, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -26, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, 0, s1, s4], [0, 0, 0, 0, 0, 0]];
A[[6, -26, 0]][SMatrix]
:=[[s5, s7, 0, 0, 0, 0], [2*s6, 0, -2*s7, 0, 0, 0], [0, -s6, -s5, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -27, 0]*******

A[[6, -27, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -27, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -27, 0]][SMatrix]
:=[[s5, s7, 0, 0, 0, 0], [2*s6, 0, -2*s7, 0, 0, 0], [0, -s6, -s5, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -28, 0]*******

A[[6, -28, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -28, 0]][RadMatrix]
:=[];
A[[6, -28, 0]][SMatrix]
:=[[s1, s3, 0, 0, 0, 0], [2*s2, 0, -2*s3, 0, 0, 0], [0, -s2, -s1, 0, 0, 0], [0, 0, 0, s4, s6, 0], [0, 0, 0, 2*s5, 0, -2*s6], [0, 0, 0, 0, -s5, -s4]];


#*******[6, -29, 0]*******

A[[6, -29, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -29, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, 0], [0, 0, 0, 0, s1, 0], [0, 0, 0, 0, 0, s1]];
A[[6, -29, 0]][SMatrix]
:=[[0, -s2, -s3, 0, 0, 0], [s2, 0, -s4, 0, 0, 0], [s3, s4, 0, 0, 0, 0], [0, 0, 0, s5, s8, s11], [0, 0, 0, s6, s9, s12], [0, 0, 0, s7, s10, -s5-s9]];


#*******[6, -30, 0]*******

A[[6, -30, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -30, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, s2], [0, 0, 0, 0, s4, s3], [0, 0, 0, 0, 0, 0]];
A[[6, -30, 0]][SMatrix]
:=[[0, -s5, -s6, 0, 0, 0], [s5, 0, -s7, 0, 0, 0], [s6, s7, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -31, 0]*******

A[[6, -31, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -31, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, 0, 1/2*s1, 0], [0, 0, 0, 0, 0, 1/2*s1]];
A[[6, -31, 0]][SMatrix]
:=[[0, -s4, -s5, 0, 0, 0], [s4, 0, -s6, 0, 0, 0], [s5, s6, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s7, s9], [0, 0, 0, 0, s8, -s7]];


#*******[6, -32, 0]*******

A[[6, -32, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -32, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, s3], [0, 0, 0, 0, s2, s4], [0, 0, 0, 0, 0, 0]];
A[[6, -32, 0]][SMatrix]
:=[[0, -s5, -s6, 0, 0, 0], [s5, 0, -s7, 0, 0, 0], [s6, s7, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -32, 1]*******

A[[6, -32, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -32, 1]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, 0, s2], [0, 0, 0, 0, s1, s3], [0, 0, 0, 0, 0, 0]];
A[[6, -32, 1]][SMatrix]
:=[[0, -s4, -s5, 0, 0, 0], [s4, 0, -s6, 0, 0, 0], [s5, s6, 0, 0, 0, 0], [0, 0, 0, s7, s9, 0], [0, 0, 0, s8, -s7, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -33, 0]*******

A[[6, -33, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -33, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, 0, s1, s4], [0, 0, 0, 0, 0, 0]];
A[[6, -33, 0]][SMatrix]
:=[[0, -s5, -s6, 0, 0, 0], [s5, 0, -s7, 0, 0, 0], [s6, s7, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -34, 0]*******

A[[6, -34, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -34, 0]][RadMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s2, s3], [0, 0, 0, -s2, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -34, 0]][SMatrix]
:=[[0, -s5, -s6, 0, 0, 0], [s5, 0, -s7, 0, 0, 0], [s6, s7, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -35, 0]*******

A[[6, -35, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -35, 0]][RadMatrix]
:=[];
A[[6, -35, 0]][SMatrix]
:=[[0, -s1, -s2, 0, 0, 0], [s1, 0, -s3, 0, 0, 0], [s2, s3, 0, 0, 0, 0], [0, 0, 0, s4, s6, 0], [0, 0, 0, 2*s5, 0, -2*s6], [0, 0, 0, 0, -s5, -s4]];


#*******[6, -36, 0]*******

A[[6, -36, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -36, 0]][RadMatrix]
:=[];
A[[6, -36, 0]][SMatrix]
:=[[0, -s1, -s2, 0, 0, 0], [s1, 0, -s3, 0, 0, 0], [s2, s3, 0, 0, 0, 0], [0, 0, 0, 0, -s4, -s5], [0, 0, 0, s4, 0, -s6], [0, 0, 0, s5, s6, 0]];


#*******[6, -37, 0]*******

A[[6, -37, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -37, 0]][RadMatrix]
:=[[s1, s2, s12, s14, s4, s7], [0, s3, 0, 0, s2, s8], [0, 0, s13, 0, s5, s10], [0, 0, 0, s13, s6, s11], [0, 0, 0, 0, -s1+2*s3, s9], [0, 0, 0, 0, 0, s1-s3]];
A[[6, -37, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s15, s17, 0, 0], [0, 0, s16, -s15, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -38, 0]*******

A[[6, -38, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -38, 0]][RadMatrix]
:=[[s1, s2, s4, s5, 0, s9], [0, s3, s2, s6, 0, 0], [0, 0, -s1+2*s3, s7, 0, 0], [0, 0, 0, s1-s3, 0, 0], [0, 0, 0, 0, s8, s10], [0, 0, 0, 0, 0, 0]];
A[[6, -38, 0]][SMatrix]
:=[];


#*******[6, -39, 0]*******

A[[6, -39, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -39, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s2, 0, 0, 0, s5], [0, 0, s3, 0, 0, s6], [0, 0, 0, s9, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -39, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s10, s12, 0], [0, 0, 0, s11, -s10, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -39, 1]*******

A[[6, -39, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -39, 1]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s3], [0, s2, 0, 0, 0, s4], [0, 0, s2, 0, 0, s5], [0, 0, 0, s8, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -39, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s11, 0, 0, 0], [0, s10, -s9, 0, 0, 0], [0, 0, 0, s12, s14, 0], [0, 0, 0, s13, -s12, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -39, 2]*******

A[[6, -39, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -39, 2]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s3], [0, s1, 0, 0, 0, s4], [0, 0, s2, 0, 0, s5], [0, 0, 0, s8, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -39, 2]][SMatrix]
:=[[s9, s11, 0, 0, 0, 0], [s10, -s9, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s12, s14, 0], [0, 0, 0, s13, -s12, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -39, 3]*******

A[[6, -39, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -39, 3]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s2], [0, s1, 0, 0, 0, s3], [0, 0, s1, 0, 0, s4], [0, 0, 0, s7, 0, s5], [0, 0, 0, 0, s7, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -39, 3]][SMatrix]
:=[[s8, s11, s14, 0, 0, 0], [s9, s12, s15, 0, 0, 0], [s10, s13, -s8-s12, 0, 0, 0], [0, 0, 0, s16, s18, 0], [0, 0, 0, s17, -s16, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -40, 0]*******

A[[6, -40, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -40, 0]][RadMatrix]
:=[[s1, 0, 0, s4, 0, 0], [0, s2, 0, s5, 0, 0], [0, 0, s3, s6, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s7, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -40, 0]][SMatrix]
:=[];


#*******[6, -40, 1]*******

A[[6, -40, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -40, 1]][RadMatrix]
:=[[s1, 0, 0, s3, 0, 0], [0, s2, 0, s4, 0, 0], [0, 0, s2, s5, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -40, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s8, s10, 0, 0, 0], [0, s9, -s8, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -40, 2]*******

A[[6, -40, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -40, 2]][RadMatrix]
:=[[s1, 0, 0, s3, 0, 0], [0, s1, 0, s4, 0, 0], [0, 0, s2, s5, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -40, 2]][SMatrix]
:=[[s8, s10, 0, 0, 0, 0], [s9, -s8, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -40, 3]*******

A[[6, -40, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -40, 3]][RadMatrix]
:=[[s1, 0, 0, s2, 0, 0], [0, s1, 0, s3, 0, 0], [0, 0, s1, s4, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s5, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -40, 3]][SMatrix]
:=[[s7, s10, s13, 0, 0, 0], [s8, s11, s14, 0, 0, 0], [s9, s12, -s7-s11, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -41, 0]*******

A[[6, -41, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -41, 0]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s4], [0, s1, 0, 0, 0, s5], [0, 0, s3, 0, 0, s6], [0, 0, 0, s9, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -41, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s10, s12, 0], [0, 0, 0, s11, -s10, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -41, 1]*******

A[[6, -41, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -41, 1]][RadMatrix]
:=[[s1, 0, 0, s4, s2, s6], [0, s11, 0, 0, 0, s9], [0, 0, s11, 0, 0, s10], [0, 0, 0, s5, s3, s8], [0, 0, 0, 0, s1, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -41, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s12, s14, 0, 0, 0], [0, s13, -s12, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -42, 0]*******

A[[6, -42, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -42, 0]][RadMatrix]
:=[[s1, s2, 0, s4, 0, 0], [0, s1, 0, s5, 0, 0], [0, 0, s3, s6, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s7, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -42, 0]][SMatrix]
:=[];


#*******[6, -42, 1]*******

A[[6, -42, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -42, 1]][RadMatrix]
:=[[s1, 0, 0, s4, s2, s6], [0, s9, s10, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s5, s3, s8], [0, 0, 0, 0, s1, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -42, 1]][SMatrix]
:=[];


#*******[6, -43, 0]*******

A[[6, -43, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -43, 0]][RadMatrix]
:=[[s1, s11, s13, s2, 0, s6], [0, s12, 0, s3, 0, s9], [0, 0, s12, s4, 0, s10], [0, 0, 0, s1, 0, s7], [0, 0, 0, 0, s5, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -43, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s14, s16, 0, 0, 0], [0, s15, -s14, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -44, 0]*******

A[[6, -44, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -44, 0]][RadMatrix]
:=[[s1, s2, 0, s4, 0, s8], [0, s1, 0, s5, 0, 0], [0, 0, s3, s6, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s7, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -44, 0]][SMatrix]
:=[];


#*******[6, -45, 0]*******

A[[6, -45, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -45, 0]][RadMatrix]
:=[[s1, s2, s3, 0, 0, s4], [0, s1, s2, 0, 0, s5], [0, 0, s1, 0, 0, s6], [0, 0, 0, s9, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -45, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s10, s12, 0], [0, 0, 0, s11, -s10, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -46, 0]*******

A[[6, -46, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -46, 0]][RadMatrix]
:=[[s1, s2, s3, s4, 0, 0], [0, s1, s2, s5, 0, 0], [0, 0, s1, s6, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s7, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -46, 0]][SMatrix]
:=[];


#*******[6, -47, 0]*******

A[[6, -47, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -47, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s9, 0, 0, 0, s7], [0, 0, s9, 0, 0, s8], [0, 0, 0, s2, s3, s5], [0, 0, 0, -s3, s2, -s6], [0, 0, 0, 0, 0, 0]];
A[[6, -47, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s10, s12, 0, 0, 0], [0, s11, -s10, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -48, 0]*******

A[[6, -48, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -48, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s7, s8, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s2, s3, s5], [0, 0, 0, -s3, s2, -s6], [0, 0, 0, 0, 0, 0]];
A[[6, -48, 0]][SMatrix]
:=[];


#*******[6, -49, 0]*******

A[[6, -49, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -49, 0]][RadMatrix]
:=[[s1, s2, s4, 0, 0, s5], [0, s3, 0, 0, 0, s4], [0, 0, s1-s3, 0, 0, -s2*a1], [0, 0, 0, s8, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -49, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s9, s11, 0], [0, 0, 0, s10, -s9, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -49, 1]*******

A[[6, -49, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -49, 1]][RadMatrix]
:=[[s1, s2, s3, 0, 0, s4], [0, 1/2*s1, 0, 0, 0, s3], [0, 0, 1/2*s1, 0, 0, -s2], [0, 0, 0, s7, 0, s5], [0, 0, 0, 0, s7, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -49, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s8, s10, 0, 0, 0], [0, s9, -s8, 0, 0, 0], [0, 0, 0, s11, s13, 0], [0, 0, 0, s12, -s11, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -49, 2]*******

A[[6, -49, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -49, 2]][RadMatrix]
:=[[s1, s2, 0, 0, s4, s7], [0, s3, 0, 0, 0, s4], [0, 0, s10, 0, s5, s8], [0, 0, 0, s10, s6, s9], [0, 0, 0, 0, s1-s3, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -49, 2]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s11, s13, 0, 0], [0, 0, s12, -s11, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -50, 0]*******

A[[6, -50, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -50, 0]][RadMatrix]
:=[[s1, s2, s4, s5, 0, 0], [0, s3, 0, s4, 0, 0], [0, 0, s1-s3, -s2*a1, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -50, 0]][SMatrix]
:=[];


#*******[6, -50, 1]*******

A[[6, -50, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -50, 1]][RadMatrix]
:=[[s1, s2, s3, s4, 0, 0], [0, 1/2*s1, 0, s3, 0, 0], [0, 0, 1/2*s1, -s2, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s5, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -50, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s7, s9, 0, 0, 0], [0, s8, -s7, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -50, 2]*******

A[[6, -50, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -50, 2]][RadMatrix]
:=[[s1, s2, s4, s5, 0, 0], [0, s3, 0, s4, 0, 0], [0, 0, s1-s3, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -50, 2]][SMatrix]
:=[];


#*******[6, -51, 0]*******

A[[6, -51, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0]];

A[[6, -51, 0]][RadMatrix]
:=[[2*s1, s2, s3, 0, 0, s5], [0, s1, s4, 0, 0, -s2+s3], [0, 0, s1, 0, 0, -s2], [0, 0, 0, s8, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -51, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s9, s11, 0], [0, 0, 0, s10, -s9, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -52, 0]*******

A[[6, -52, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1]];

A[[6, -52, 0]][RadMatrix]
:=[[2*s1, s2, s3, s5, 0, 0], [0, s1, s4, -s2+s3, 0, 0], [0, 0, s1, -s2, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, s6, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -52, 0]][SMatrix]
:=[];


#*******[6, -53, 0]*******

A[[6, -53, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -53, 0]][RadMatrix]
:=[[2*s1, 0, 0, s2, -s4, s5], [0, s8, 0, 0, 0, s6], [0, 0, s8, 0, 0, s7], [0, 0, 0, s1, s3, -s2+s4*a1], [0, 0, 0, -s3, s1, s2*a1+s4], [0, 0, 0, 0, 0, 0]];
A[[6, -53, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s11, 0, 0, 0], [0, s10, -s9, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -54, 0]*******

A[[6, -54, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -54, 0]][RadMatrix]
:=[[2*s1, 0, 0, s2, -s4, s5], [0, s6, s7, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s1, s3, -s2+s4*a1], [0, 0, 0, -s3, s1, s2*a1+s4], [0, 0, 0, 0, 0, 0]];
A[[6, -54, 0]][SMatrix]
:=[];


#*******[6, -55, 0]*******

A[[6, -55, 0]][basis]
:=[[0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -55, 0]][RadMatrix]
:=[[s9, 0, 0, 0, s5, s7], [0, s9, 0, 0, s6, s8], [0, 0, s1, s2, s3, s4], [0, 0, -s2, s1, -s4, s3], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -55, 0]][SMatrix]
:=[[s10, s12, 0, 0, 0, 0], [s11, -s10, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -56, 0]*******

A[[6, -56, 0]][basis]
:=[[0, 0, 0, 0, 1, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]];

A[[6, -56, 0]][RadMatrix]
:=[[s5, s6, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s1, s2, s3, s4], [0, 0, -s2, s1, -s4, s3], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -56, 0]][SMatrix]
:=[];


#*******[6, -57, 0]*******

A[[6, -57, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -57, 0]][RadMatrix]
:=[[s1, 0, s14, s2, s6, s9], [0, s1, s15, s3, s7, s10], [0, 0, s16, s5, s8, s13], [0, 0, 0, s4, 0, s11], [0, 0, 0, 0, s4, s12], [0, 0, 0, 0, 0, s1-s4]];
A[[6, -57, 0]][SMatrix]
:=[[s17, s19, 0, 0, 0, 0], [s18, -s17, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s17, s19, 0], [0, 0, 0, s18, -s17, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -58, 0]*******

A[[6, -58, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -58, 0]][RadMatrix]
:=[[s1, s2, s4, s12, s5, s7], [0, s3, s2, 0, s4, s8], [0, 0, -s1+2*s3, 0, s2, s9], [0, 0, 0, s13, s6, s11], [0, 0, 0, 0, -2*s1+3*s3, s10], [0, 0, 0, 0, 0, s1-s3]];
A[[6, -58, 0]][SMatrix]
:=[];


#*******[6, -59, 0]*******

A[[6, -59, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -59, 0]][RadMatrix]
:=[[s1, 0, s2, s10, s4, s7], [0, s1, s3, s11, s5, s8], [0, 0, 2/3*s1, 0, s2, -s3], [0, 0, 0, s12, s6, s9], [0, 0, 0, 0, 1/3*s1, 0], [0, 0, 0, 0, 0, 1/3*s1]];
A[[6, -59, 0]][SMatrix]
:=[[s13, s15, 0, 0, 0, 0], [s14, -s13, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, -s13, s14], [0, 0, 0, 0, s15, s13]];


#*******[6, -60, 0]*******

A[[6, -60, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -60, 0]][RadMatrix]
:=[[s1, s10, s2, s4, s6, s8], [0, s11, s3, s5, s7, s9], [0, 0, 1/2*s1, 0, 0, 0], [0, 0, 0, 1/2*s1, 0, 0], [0, 0, 0, 0, 1/2*s1, 0], [0, 0, 0, 0, 0, 1/2*s1]];
A[[6, -60, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s12, s16, s19, s20], [0, 0, s13, s17, s20, s21], [0, 0, s14, s15, -s12, -s13], [0, 0, s15, s18, -s16, -s17]];


#*******[6, -61, 0]*******

A[[6, -61, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -61, 0]][RadMatrix]
:=[[s1, s2, s14, s8, s4, s11], [0, s3, 0, s9, s5, s12], [0, 0, s15, s10, s7, s13], [0, 0, 0, 2*s1-2*s3, s6, s2-s5], [0, 0, 0, 0, -s1+2*s3, s9], [0, 0, 0, 0, 0, s1-s3]];
A[[6, -61, 0]][SMatrix]
:=[];


#*******[6, -62, 0]*******

A[[6, -62, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -62, 0]][RadMatrix]
:=[[5*s1, s2, s3, s11, s5, s8], [0, 4*s1, s4, 0, s6, s9], [0, 0, 3*s1, 0, s4, -s3+s6], [0, 0, 0, s12, s7, s10], [0, 0, 0, 0, 2*s1, s2-s4], [0, 0, 0, 0, 0, s1]];
A[[6, -62, 0]][SMatrix]
:=[];


#*******[6, -63, 0]*******

A[[6, -63, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s5], [0, s2, 0, 0, 0, s6], [0, 0, s3, 0, 0, s7], [0, 0, 0, s4, 0, s8], [0, 0, 0, 0, s10, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 0]][SMatrix]
:=[];


#*******[6, -63, 1]*******

A[[6, -63, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 1]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s2, 0, 0, 0, s5], [0, 0, s3, 0, 0, s6], [0, 0, 0, s3, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s10, s12, 0, 0], [0, 0, s11, -s10, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -63, 2]*******

A[[6, -63, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 2]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s2, 0, 0, 0, s5], [0, 0, s2, 0, 0, s6], [0, 0, 0, s3, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 2]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s10, s12, 0, 0, 0], [0, s11, -s10, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -63, 3]*******

A[[6, -63, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 3]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s1, 0, 0, 0, s5], [0, 0, s2, 0, 0, s6], [0, 0, 0, s3, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 3]][SMatrix]
:=[[s10, s12, 0, 0, 0, 0], [s11, -s10, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -63, 4]*******

A[[6, -63, 4]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 4]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s3], [0, s2, 0, 0, 0, s4], [0, 0, s2, 0, 0, s5], [0, 0, 0, s2, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 4]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s12, s15, 0, 0], [0, s10, s13, s16, 0, 0], [0, s11, s14, -s9-s13, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -63, 5]*******

A[[6, -63, 5]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 5]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s3], [0, s1, 0, 0, 0, s4], [0, 0, s2, 0, 0, s5], [0, 0, 0, s2, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 5]][SMatrix]
:=[[s9, s11, 0, 0, 0, 0], [s10, -s9, 0, 0, 0, 0], [0, 0, s12, s14, 0, 0], [0, 0, s13, -s12, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -63, 6]*******

A[[6, -63, 6]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 6]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s3], [0, s1, 0, 0, 0, s4], [0, 0, s1, 0, 0, s5], [0, 0, 0, s2, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 6]][SMatrix]
:=[[s9, s12, s15, 0, 0, 0], [s10, s13, s16, 0, 0, 0], [s11, s14, -s9-s13, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -63, 7]*******

A[[6, -63, 7]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -63, 7]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s2], [0, s1, 0, 0, 0, s3], [0, 0, s1, 0, 0, s4], [0, 0, 0, s1, 0, s5], [0, 0, 0, 0, s7, s6], [0, 0, 0, 0, 0, 0]];
A[[6, -63, 7]][SMatrix]
:=[[s8, s12, s16, s20, 0, 0], [s9, s13, s17, s21, 0, 0], [s10, s14, s18, s22, 0, 0], [s11, s15, s19, -s8-s13-s18, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -64, 0]*******

A[[6, -64, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -64, 0]][RadMatrix]
:=[[s1, s11, s2, 0, 0, s6], [0, s12, s3, 0, 0, s10], [0, 0, s1, 0, 0, s7], [0, 0, 0, s4, 0, s8], [0, 0, 0, 0, s5, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -64, 0]][SMatrix]
:=[];


#*******[6, -64, 1]*******

A[[6, -64, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -64, 1]][RadMatrix]
:=[[s1, s10, s2, 0, 0, s5], [0, s11, s3, 0, 0, s9], [0, 0, s1, 0, 0, s6], [0, 0, 0, s4, 0, s7], [0, 0, 0, 0, s4, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -64, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s12, s14, 0], [0, 0, 0, s13, -s12, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -65, 0]*******

A[[6, -65, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -65, 0]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s5], [0, s1, 0, 0, 0, s6], [0, 0, s3, 0, 0, s7], [0, 0, 0, s4, 0, s8], [0, 0, 0, 0, s10, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -65, 0]][SMatrix]
:=[];


#*******[6, -65, 1]*******

A[[6, -65, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -65, 1]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s4], [0, s1, 0, 0, 0, s5], [0, 0, s3, 0, 0, s6], [0, 0, 0, s3, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -65, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s10, s12, 0, 0], [0, 0, s11, -s10, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -65, 2]*******

A[[6, -65, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -65, 2]][RadMatrix]
:=[[s1, 0, 0, s4, s2, s7], [0, s12, 0, 0, 0, s11], [0, 0, s6, 0, 0, s10], [0, 0, 0, s5, s3, s9], [0, 0, 0, 0, s1, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -65, 2]][SMatrix]
:=[];


#*******[6, -65, 3]*******

A[[6, -65, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -65, 3]][RadMatrix]
:=[[s1, 0, s5, s7, s2, s8], [0, s13, 0, 0, 0, s12], [0, 0, s6, 0, s3, s10], [0, 0, 0, s6, s4, s11], [0, 0, 0, 0, s1, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -65, 3]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, s14, s16, 0, 0], [0, 0, s15, -s14, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -66, 0]*******

A[[6, -66, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -66, 0]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s5], [0, s1, 0, 0, 0, s6], [0, 0, s3, s4, 0, s7], [0, 0, 0, s3, 0, s8], [0, 0, 0, 0, s10, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -66, 0]][SMatrix]
:=[];


#*******[6, -66, 1]*******

A[[6, -66, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -66, 1]][RadMatrix]
:=[[s1, 0, 0, s2, s4, s6], [0, s11, 0, 0, 0, s10], [0, 0, s1, s3, s5, s8], [0, 0, 0, s1, 0, s7], [0, 0, 0, 0, s1, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -66, 1]][SMatrix]
:=[[s12, 0, s14, 0, 0, 0], [0, 0, 0, 0, 0, 0], [s13, 0, -s12, 0, 0, 0], [0, 0, 0, s12, s14, 0], [0, 0, 0, s13, -s12, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -66, 2]*******

A[[6, -66, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -66, 2]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s6], [0, s1, 0, 0, 0, s7], [0, 0, s3, s11, s4, s8], [0, 0, 0, s12, s5, s10], [0, 0, 0, 0, s3, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -66, 2]][SMatrix]
:=[];


#*******[6, -67, 0]*******

A[[6, -67, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -67, 0]][RadMatrix]
:=[[s1, s2, s11, s3, 0, s6], [0, s1, 0, s2, 0, s7], [0, 0, s12, s4, 0, s10], [0, 0, 0, s1, 0, s8], [0, 0, 0, 0, s5, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -67, 0]][SMatrix]
:=[];


#*******[6, -68, 0]*******

A[[6, -68, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -68, 0]][RadMatrix]
:=[[s1, s2, s3, 0, 0, s5], [0, s1, s2, 0, 0, s6], [0, 0, s1, 0, 0, s7], [0, 0, 0, s4, 0, s8], [0, 0, 0, 0, s10, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -68, 0]][SMatrix]
:=[];


#*******[6, -68, 1]*******

A[[6, -68, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -68, 1]][RadMatrix]
:=[[s1, s2, 0, s5, s3, s7], [0, s1, 0, 0, s2, s8], [0, 0, s12, 0, 0, s11], [0, 0, 0, s6, s4, s10], [0, 0, 0, 0, s1, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -68, 1]][SMatrix]
:=[];


#*******[6, -69, 0]*******

A[[6, -69, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -69, 0]][RadMatrix]
:=[[s1, s2, s3, s4, 0, s5], [0, s1, s2, s3, 0, s6], [0, 0, s1, s2, 0, s7], [0, 0, 0, s1, 0, s8], [0, 0, 0, 0, s10, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -69, 0]][SMatrix]
:=[];


#*******[6, -70, 0]*******

A[[6, -70, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -70, 0]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s5], [0, s2, 0, 0, 0, s6], [0, 0, s10, 0, 0, s9], [0, 0, 0, s3, s4, s7], [0, 0, 0, -s4, s3, -s8], [0, 0, 0, 0, 0, 0]];
A[[6, -70, 0]][SMatrix]
:=[];


#*******[6, -70, 1]*******

A[[6, -70, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -70, 1]][RadMatrix]
:=[[s1, 0, 0, 0, 0, s4], [0, s1, 0, 0, 0, s5], [0, 0, s9, 0, 0, s8], [0, 0, 0, s2, s3, s6], [0, 0, 0, -s3, s2, -s7], [0, 0, 0, 0, 0, 0]];
A[[6, -70, 1]][SMatrix]
:=[[s10, s12, 0, 0, 0, 0], [s11, -s10, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -71, 0]*******

A[[6, -71, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -71, 0]][RadMatrix]
:=[[s1, s11, s2, 0, 0, s6], [0, s12, s3, 0, 0, s10], [0, 0, s1, 0, 0, s7], [0, 0, 0, s4, s5, s8], [0, 0, 0, -s5, s4, -s9], [0, 0, 0, 0, 0, 0]];
A[[6, -71, 0]][SMatrix]
:=[];


#*******[6, -72, 0]*******

A[[6, -72, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -72, 0]][RadMatrix]
:=[[s1, s2, 0, 0, 0, s5], [0, s1, 0, 0, 0, s6], [0, 0, s10, 0, 0, s9], [0, 0, 0, s3, s4, s7], [0, 0, 0, -s4, s3, -s8], [0, 0, 0, 0, 0, 0]];
A[[6, -72, 0]][SMatrix]
:=[];


#*******[6, -73, 0]*******

A[[6, -73, 0]][basis]
:=[[0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -73, 0]][RadMatrix]
:=[[s10, 0, 0, 0, 0, s9], [0, s3, s4, 0, 0, s7], [0, -s4, s3, 0, 0, -s8], [0, 0, 0, s1, s2, s5], [0, 0, 0, -s2, s1, -s6], [0, 0, 0, 0, 0, 0]];
A[[6, -73, 0]][SMatrix]
:=[];


#*******[6, -73, 1]*******

A[[6, -73, 1]][basis]
:=[[0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -73, 1]][RadMatrix]
:=[[s8, 0, 0, 0, 0, s7], [0, s1, s2, 0, 0, s3], [0, -s2, s1, 0, 0, -s4], [0, 0, 0, s1, s2, s5], [0, 0, 0, -s2, s1, -s6], [0, 0, 0, 0, 0, 0]];
A[[6, -73, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s10, s13, s14, 0], [0, -s10, s9, -s14, s13, 0], [0, s11, s12, -s9, -s10, 0], [0, -s12, s11, s10, -s9, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -74, 0]*******

A[[6, -74, 0]][basis]
:=[[0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, -1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -74, 0]][RadMatrix]
:=[[s10, 0, 0, 0, 0, s9], [0, s1, s2, s3, s4, s5], [0, -s2, s1, -s4, s3, -s6], [0, 0, 0, s1, s2, s7], [0, 0, 0, -s2, s1, -s8], [0, 0, 0, 0, 0, 0]];
A[[6, -74, 0]][SMatrix]
:=[];


#*******[6, -75, 0]*******

A[[6, -75, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 0]][RadMatrix]
:=[[s1, s2, s4, 0, 0, s6], [0, s3, 0, 0, 0, s4], [0, 0, s1-s3, 0, 0, -s2*a1], [0, 0, 0, s5, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 0]][SMatrix]
:=[];


#*******[6, -75, 1]*******

A[[6, -75, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 1]][RadMatrix]
:=[[s1, s2, s4, s5, 0, s7], [0, s3, 0, 0, 0, s4], [0, 0, s1-s3, 0, 0, -s2*a1], [0, 0, 0, s6, 0, s8], [0, 0, 0, 0, s10, s9], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 1]][SMatrix]
:=[];


#*******[6, -75, 2]*******

A[[6, -75, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 2]][RadMatrix]
:=[[s1, s2, 0, 0, s4, s7], [0, s3, 0, 0, 0, s4], [0, 0, s10, 0, 0, s9], [0, 0, 0, s6, s5, s8], [0, 0, 0, 0, s1-s3, -s2*a1], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 2]][SMatrix]
:=[];


#*******[6, -75, 3]*******

A[[6, -75, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 3]][RadMatrix]
:=[[s1, 0, 0, s2, s5, s7], [0, s10, 0, 0, 0, s9], [0, 0, s6, s4, 0, s8], [0, 0, 0, s3, 0, s5], [0, 0, 0, 0, s1-s3, -s2*a1], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 3]][SMatrix]
:=[];


#*******[6, -75, 4]*******

A[[6, -75, 4]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 4]][RadMatrix]
:=[[s1, s2, s3, 0, 0, s5], [0, 1/2*s1, 0, 0, 0, s3], [0, 0, 1/2*s1, 0, 0, -s2], [0, 0, 0, s4, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 4]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s11, 0, 0, 0], [0, s10, -s9, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -75, 5]*******

A[[6, -75, 5]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 5]][RadMatrix]
:=[[s1, s2, s3, s4, 0, s6], [0, 1/2*s1, 0, 0, 0, s3], [0, 0, 1/2*s1, 0, 0, -s2], [0, 0, 0, s5, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 5]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s10, s12, 0, 0, 0], [0, s11, -s10, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -75, 6]*******

A[[6, -75, 6]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -75, 6]][RadMatrix]
:=[[s1, 0, 0, s2, s4, s7], [0, s10, 0, 0, 0, s9], [0, 0, s6, s3, s5, s8], [0, 0, 0, 1/2*s1, 0, s4], [0, 0, 0, 0, 1/2*s1, -s2], [0, 0, 0, 0, 0, 0]];
A[[6, -75, 6]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, s11, s13, 0], [0, 0, 0, s12, -s11, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -76, 0]*******

A[[6, -76, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -76, 0]][RadMatrix]
:=[[s1, s2, s4, s5, 0, s6], [0, s3, 0, 0, 0, s4], [0, 0, s1-s3, 0, 0, -s2*a1], [0, 0, 0, s1, 0, s7], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -76, 0]][SMatrix]
:=[];


#*******[6, -76, 1]*******

A[[6, -76, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -76, 1]][RadMatrix]
:=[[s1, s2, s3, s4, 0, s5], [0, 1/2*s1, 0, 0, 0, s3], [0, 0, 1/2*s1, 0, 0, -s2], [0, 0, 0, s1, 0, s6], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -76, 1]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s11, 0, 0, 0], [0, s10, -s9, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -77, 0]*******

A[[6, -77, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -77, 0]][RadMatrix]
:=[[2*s1, 0, 0, s5, s2, s6], [0, s9, 0, 0, 0, s8], [0, 0, s1, s3, s4, s7], [0, 0, 0, s1, s3, -s2+s5], [0, 0, 0, 0, s1, s5], [0, 0, 0, 0, 0, 0]];
A[[6, -77, 0]][SMatrix]
:=[];


#*******[6, -78, 0]*******

A[[6, -78, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -78, 0]][RadMatrix]
:=[[2*s1, s10, 0, s5, s2, s7], [0, s11, 0, 0, s4, s9], [0, 0, s6, 0, 0, s8], [0, 0, 0, s1, s3, s5], [0, 0, 0, 0, s1, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -78, 0]][SMatrix]
:=[];


#*******[6, -79, 0]*******

A[[6, -79, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -79, 0]][RadMatrix]
:=[[2*s1, 0, 0, s4, s2, s6], [0, s9, 0, 0, 0, s8], [0, 0, s5, 0, 0, s7], [0, 0, 0, s1, s3, -s2+s4], [0, 0, 0, 0, s1, s4], [0, 0, 0, 0, 0, 0]];
A[[6, -79, 0]][SMatrix]
:=[];


#*******[6, -79, 1]*******

A[[6, -79, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -79, 1]][RadMatrix]
:=[[2*s1, 0, s5, s4, s2, s7], [0, s10, 0, 0, 0, s9], [0, 0, s6, 0, 0, s8], [0, 0, 0, s1, s3, -s2+s4], [0, 0, 0, 0, s1, s4], [0, 0, 0, 0, 0, 0]];
A[[6, -79, 1]][SMatrix]
:=[];


#*******[6, -79, 2]*******

A[[6, -79, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -79, 2]][RadMatrix]
:=[[2*s1, 0, 0, s5, s2, s7], [0, s10, 0, 0, 0, s9], [0, 0, s6, 0, s4, s8], [0, 0, 0, s1, s3, -s2+s5], [0, 0, 0, 0, s1, s5], [0, 0, 0, 0, 0, 0]];
A[[6, -79, 2]][SMatrix]
:=[];


#*******[6, -80, 0]*******

A[[6, -80, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -80, 0]][RadMatrix]
:=[[2*s1, 0, s4, s2, s5, s6], [0, s9, 0, 0, 0, s8], [0, 0, s1, s3, 0, -s2+s4], [0, 0, 0, s1, 0, s4], [0, 0, 0, 0, 2*s1, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -80, 0]][SMatrix]
:=[];


#*******[6, -80, 1]*******

A[[6, -80, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -80, 1]][RadMatrix]
:=[[2*s1, 0, s4, s2, s5, s6], [0, s9, 0, 0, 0, s8], [0, 0, s1, s3, 0, -s2+s4], [0, 0, 0, s1, 0, s4], [0, 0, 0, 0, 2*s1, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -80, 1]][SMatrix]
:=[];


#*******[6, -81, 0]*******

A[[6, -81, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -81, 0]][RadMatrix]
:=[[2*s1, 0, 0, s2, -s4, s6], [0, s9, 0, 0, 0, s8], [0, 0, s5, 0, 0, s7], [0, 0, 0, s1, s3, s2+s4*a1], [0, 0, 0, -s3, s1, s2*a1-s4], [0, 0, 0, 0, 0, 0]];
A[[6, -81, 0]][SMatrix]
:=[];


#*******[6, -81, 1]*******

A[[6, -81, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -81, 1]][RadMatrix]
:=[[2*s1, 0, s5, s2, -s4, s7], [0, s10, 0, 0, 0, s9], [0, 0, s6, 0, 0, s8], [0, 0, 0, s1, s3, s2+s4*a1], [0, 0, 0, -s3, s1, s2*a1-s4], [0, 0, 0, 0, 0, 0]];
A[[6, -81, 1]][SMatrix]
:=[];


#*******[6, -81, 2]*******

A[[6, -81, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -81, 2]][RadMatrix]
:=[[2*s1, s9, 0, s2, -s4, s6], [0, s10, 0, 0, 0, s8], [0, 0, s5, 0, 0, s7], [0, 0, 0, s1, s3, s2], [0, 0, 0, -s3, s1, -s4], [0, 0, 0, 0, 0, 0]];
A[[6, -81, 2]][SMatrix]
:=[];


#*******[6, -82, 0]*******

A[[6, -82, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -82, 0]][RadMatrix]
:=[[2*s1, 0, s2, -s4, s5, s6], [0, s9, 0, 0, 0, s8], [0, 0, s1, s3, 0, s2+s4*a1], [0, 0, -s3, s1, 0, s2*a1-s4], [0, 0, 0, 0, 2*s1, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -82, 0]][SMatrix]
:=[];


#*******[6, -82, 1]*******

A[[6, -82, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -82, 1]][RadMatrix]
:=[[2*s1, 0, s2, -s4, s5, s6], [0, s9, 0, 0, 0, s8], [0, 0, s1, s3, 0, s2+s4*a1], [0, 0, -s3, s1, 0, s2*a1-s4], [0, 0, 0, 0, 2*s1, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -82, 1]][SMatrix]
:=[];


#*******[6, -82, 2]*******

A[[6, -82, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -82, 2]][RadMatrix]
:=[[2*s1, s10, s2, -s4, s5, s7], [0, s11, 0, 0, s6, s9], [0, 0, s1, s3, 0, s2], [0, 0, -s3, s1, 0, -s4], [0, 0, 0, 0, 2*s1, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -82, 2]][SMatrix]
:=[];


#*******[6, -82, 3]*******

A[[6, -82, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -82, 3]][RadMatrix]
:=[[2*s1, s10, s2, -s4, s5, s7], [0, s11, 0, 0, s6, s9], [0, 0, s1, s3, 0, s2], [0, 0, -s3, s1, 0, -s4], [0, 0, 0, 0, 2*s1, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -82, 3]][SMatrix]
:=[];


#*******[6, -83, 0]*******

A[[6, -83, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -83, 0]][RadMatrix]
:=[[s1, 0, s2, s6, s4, s7], [0, s10, s3, 0, 0, s9], [0, 0, 0, 0, 0, s5-s6], [0, 0, 0, s1, s5, s8], [0, 0, 0, 0, s1, -s2], [0, 0, 0, 0, 0, 0]];
A[[6, -83, 0]][SMatrix]
:=[];


#*******[6, -84, 0]*******

A[[6, -84, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -84, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s4, s6], [0, s3, 0, 0, 0, s4*a1], [0, 0, s9, 0, 0, s8], [0, 0, 0, s1-s3, s5, s7], [0, 0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0, 0]];
A[[6, -84, 0]][SMatrix]
:=[];


#*******[6, -84, 1]*******

A[[6, -84, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -84, 1]][RadMatrix]
:=[[s1, 0, 0, s2, s5, s8], [0, s11, 0, 0, 0, s10], [0, 0, s1-s3, s4, s7, s9], [0, 0, 0, s3, s6, s5], [0, 0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0, 0]];
A[[6, -84, 1]][SMatrix]
:=[];


#*******[6, -85, 0]*******

A[[6, -85, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -85, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s4, s7], [0, s3, 0, 0, 0, s4], [0, 0, s1-s3, s10, s5, s8], [0, 0, 0, s11, s6, s9], [0, 0, 0, 0, s1-s3, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -85, 0]][SMatrix]
:=[];


#*******[6, -86, 0]*******

A[[6, -86, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -86, 0]][RadMatrix]
:=[[s1, s2, 0, s4, 0, s6], [0, s3, s2, s5, 0, s4*(a1+1)], [0, 0, -s1+2*s3, 0, 0, s5*a1], [0, 0, 0, s1-s3, 0, -s2], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -86, 0]][SMatrix]
:=[];


#*******[6, -86, 1]*******

A[[6, -86, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -86, 1]][RadMatrix]
:=[[s1, s2, 0, s4, 0, s7], [0, s3, s2, s5, 0, 2*s4], [0, 0, -s1+2*s3, s6, 0, s5], [0, 0, 0, s1-s3, 0, -s2], [0, 0, 0, 0, s9, s8], [0, 0, 0, 0, 0, 0]];
A[[6, -86, 1]][SMatrix]
:=[];


#*******[6, -86, 2]*******

A[[6, -86, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -86, 2]][RadMatrix]
:=[[s1, s2, 0, s4, s8, s6], [0, s3, s2, s5, 0, -s4], [0, 0, -s1+2*s3, 0, 0, -2*s5], [0, 0, 0, s1-s3, 0, -s2], [0, 0, 0, 0, s9, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -86, 2]][SMatrix]
:=[];


#*******[6, -86, 3]*******

A[[6, -86, 3]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -86, 3]][RadMatrix]
:=[[s1, s2, 0, 0, s5, s7], [0, s3, 0, s2, s6, s5], [0, 0, s9, s4, 0, s8], [0, 0, 0, -s1+2*s3, 0, 0], [0, 0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0, 0]];
A[[6, -86, 3]][SMatrix]
:=[];


#*******[6, -87, 0]*******

A[[6, -87, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 0, 1, 0]];

A[[6, -87, 0]][RadMatrix]
:=[[3*s1, s2, 0, s3, 0, s6], [0, 2*s1, s2, s4, 0, 2*s3], [0, 0, s1, s5, 0, -s2+s4], [0, 0, 0, s1, 0, -s2], [0, 0, 0, 0, s8, s7], [0, 0, 0, 0, 0, 0]];
A[[6, -87, 0]][SMatrix]
:=[];


#*******[6, -88, 0]*******

A[[6, -88, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -88, 0]][RadMatrix]
:=[[s1, s2, s3, 0, s4, s7], [0, s1, s2, 0, s5, s4], [0, 0, s1, 0, 0, s5], [0, 0, 0, s9, s6, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -88, 0]][SMatrix]
:=[];


#*******[6, -88, 1]*******

A[[6, -88, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -88, 1]][RadMatrix]
:=[[s1, s2, s3, 0, s4, s7], [0, s1, s2, 0, s5, s4], [0, 0, s1, 0, 0, s5], [0, 0, 0, s9, s6, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -88, 1]][SMatrix]
:=[];


#*******[6, -89, 0]*******

A[[6, -89, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -89, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s4, 0], [0, s2, 0, 0, 0, s7], [0, 0, s3, 0, s5*a1, s5*b1], [0, 0, 0, s9, s6, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -89, 0]][SMatrix]
:=[];


#*******[6, -89, 1]*******

A[[6, -89, 1]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -89, 1]][RadMatrix]
:=[[s1, 0, 0, 0, s3, 0], [0, s2, 0, 0, 0, s6], [0, 0, s1, 0, s4, 0], [0, 0, 0, s8, s5, s7], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -89, 1]][SMatrix]
:=[[s9, 0, s11, 0, 0, 0], [0, 0, 0, 0, 0, 0], [s10, 0, -s9, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -89, 2]*******

A[[6, -89, 2]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -89, 2]][RadMatrix]
:=[[s1, 0, 0, 0, s3, 0], [0, s2, 0, 0, 0, s5], [0, 0, s2, 0, 0, s6], [0, 0, 0, s8, s4, s7], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -89, 2]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, s9, s11, 0, 0, 0], [0, s10, -s9, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];


#*******[6, -90, 0]*******

A[[6, -90, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -90, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s4*a1, s4], [0, s2, s3, 0, s5, s6], [0, 0, s2, 0, s6, 0], [0, 0, 0, s9, s7, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -90, 0]][SMatrix]
:=[];


#*******[6, -91, 0]*******

A[[6, -91, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -91, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s4*b1, s4*a1], [0, s9, 0, 0, s7, s8], [0, 0, s2, s3, s5, s6], [0, 0, -s3, s2, -s6, s5], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -91, 0]][SMatrix]
:=[];


#*******[6, -92, 0]*******

A[[6, -92, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -92, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s3, 0], [0, s2, 0, 0, 0, s6], [0, 0, 0, s9, s4, s7], [0, 0, 0, s10, s5, s8], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -92, 0]][SMatrix]
:=[];


#*******[6, -93, 0]*******

A[[6, -93, 0]][basis]
:=[[0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [1, 0, 0, 0, 0, 0], [0, -1, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -93, 0]][RadMatrix]
:=[[0, s9, 0, 0, s5, s7], [0, s10, 0, 0, s6, s8], [0, 0, s1, s2, s3, s4], [0, 0, -s2, s1, -s4, s3], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -93, 0]][SMatrix]
:=[];


#*******[6, -94, 0]*******

A[[6, -94, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -94, 0]][RadMatrix]
:=[[s1, s2, s4, 0, s5, 0], [0, s3, 0, 0, s4, -s4], [0, 0, s1-s3, 0, 0, -s2], [0, 0, 0, s8, s6, s7], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -94, 0]][SMatrix]
:=[];


#*******[6, -95, 0]*******

A[[6, -95, 0]][basis]
:=[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 1], [0, 1, 0, 0, 0, 0], [0, 0, -1, 0, 0, 0], [0, 0, 0, 1, 0, 0], [0, 0, 0, 0, 1, 0]];

A[[6, -95, 0]][RadMatrix]
:=[[2*s1, 0, s2, -s4, s5, 0], [0, s8, 0, 0, s6, s7], [0, 0, s1, s3, s4, -s2], [0, 0, -s3, s1, s2, s4], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -95, 0]][SMatrix]
:=[];


#*******[6, -96, 0]*******

A[[6, -96, 0]][basis]
:=[[0, 0, 0, 0, 0, 1], [0, 0, 0, 1, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 0, 1, 0], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0]];

A[[6, -96, 0]][RadMatrix]
:=[[s4, 0, 0, 0, 0, 0], [0, s3, -s2, 0, 0, s1], [0, 0, 0, 0, 0, 0], [0, 0, 0, s3, s1, s2], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]];
A[[6, -96, 0]][SMatrix]
:=[[0, 0, 0, 0, 0, 0], [0, -1/2*s5, 0, s6, 0, 0], [0, 0, -s5, 0, 0, -2*s6], [0, s7, 0, 1/2*s5, 0, 0], [0, 0, 0, 0, s5, 2*s7], [0, 0, -s7, 0, s6, 0]];
eval(A)
end;


