USU2DHomogeneousSpaces:=proc()

local A;
A:=table();




A[[3, -1, 0]][]
:=[[0, 0, 1], [1, 0, z], [0, 1, 0]];

A[[3, -1, 0]][1, 3]
:=[[0, 1], [1, y], [0, -exp(x)]];

A[[3, -1, 0]][1, 4]
:=[[0, 1], [0, y], [1, 0]];

A[[4, -1, 0]][]
:=[[0, 0, 0, 1], [1, 0, 0, z], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[4, -1, 0]][1, 3]
:=[[0, 0, 1], [1, 0, z], [0, 0, -exp(x)], [0, 1, 0]];

A[[4, -1, 0]][1, 4]
:=[[0, 0, 1], [0, 0, z], [1, 0, 0], [0, 1, 0]];

A[[4, -2, 0]][]
:=[[0, 0, 1, 0], [1, 0, y, 0], [0, 0, 0, 1], [0, 1, 0, z]];

A[[4, -2, 0]][1, 2]
:=[[0, 1, 0], [0, y, 0], [0, 0, 1], [1, 0, z]];

A[[4, -2, 0]][1, 3]
:=[[0, 1, 0], [0, y, -exp(x)], [0, 0, 1], [1, 0, z]];

A[[4, -2, 0]][1, 4]
:=[[0, 0, -exp(y-x)], [1, 0, 0], [0, 0, 1], [0, 1, z]];

A[[4, -2, 0]][1, 5]
:=[[1, 0, 0], [x, 0, -1], [0, 1, 0], [0, y, p[1]]];

A[[4, -2, 0]][2, 5]
:=[[1, 0], [x, 0], [0, 1], [0, y]];

A[[4, -2, 0]][2, 6]
:=[[0, -exp(x)], [-1, 0], [0, 1], [1, y]];

A[[4, -3, 0]][]
:=[[0, 0, 1, 0], [0, 0, -w, 1], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[4, -3, 0]][1, 3]
:=[[0, 0, 1], [0, 0, -x], [1, 0, 0], [0, 1, 0]];

A[[4, -4, 0]][]
:=[[exp(-x), 0, 0, 0], [0, 0, 0, exp(-x*a1)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[4, -4, 0]][1, 3]
:=[[-exp(-y), 0, 0], [exp(-y*a1), 0, 0], [0, 1, 0], [0, 0, 1]];

A[[4, -4, 0]][1, 5]
:=[[-exp(-y), 0, 0], [0, 0, exp(-y*a1)], [0, 1, 0], [1, 0, 0]];

A[[4, -4, 0]][1, 6]
:=[[0, exp(-z), 0], [exp(-z*a1), 0, 0], [0, 0, 1], [-1, 0, 0]];

A[[4, -4, 0]][1, 7]
:=[[-exp(-z), -exp(-z), 0], [exp(-z*a1), 0, 0], [0, 0, 1], [0, 1, 0]];

A[[4, -4, 0]][1, 8]
:=[[0, 1, 0], [0, 0, 1], [0, y, z*a1], [1, 0, 0]];

A[[4, -4, 0]][2, 8]
:=[[0, -exp(-x)], [0, exp(-x*a1)], [1, 0], [0, 1]];

A[[4, -4, 1]][]
:=[[exp(-x), 0, 0, 0], [0, 0, 0, exp(-x)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[4, -4, 1]][1, 3]
:=[[exp(-y), 0, 0], [0, 0, exp(-y)], [0, 1, 0], [0, 0, -1]];

A[[4, -4, 1]][1, 4]
:=[[0, 0, 1], [0, 1, 0], [0, y, z], [1, 0, 0]];

A[[4, -5, 0]][]
:=[[0, 0, exp(-w), 0], [0, 0, -w*exp(-w), exp(-w)], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[4, -5, 0]][1, 2]
:=[[0, 0, exp(-x)], [0, 0, -x*exp(-x)], [1, 0, 0], [0, 1, 0]];

A[[4, -5, 0]][1, 4]
:=[[0, 0, exp(-y)], [exp(-y), 0, -y*exp(-y)], [0, 1, 0], [-1, 0, 0]];

A[[4, -5, 0]][1, 6]
:=[[0, 0, exp(-x)], [0, exp(-x), -x*exp(-x)], [1, 0, 0], [0, 0, -1]];

A[[4, -5, 0]][1, 7]
:=[[0, 0, 1], [0, 1, 0], [0, y, y+z], [1, 0, 0]];

A[[4, -5, 0]][2, 6]
:=[[0, exp(-x)], [0, -x*exp(-x)], [1, 0], [0, -1]];

A[[4, -6, 0]][]
:=[[0, 0, exp(-w*a1)*cos(w), exp(-w*a1)*sin(w)], [0, 0, -exp(-w*a1)*sin(w), exp(-w*a1)*cos(w)], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[4, -6, 0]][1, 2]
:=[[0, 0, exp(-x*a1)*sin(x)], [0, 0, exp(-x*a1)*cos(x)], [1, 0, 0], [0, 1, 0]];

A[[4, -6, 0]][1, 3]
:=[[0, exp(-x*a1)*sin(x), exp(-x*a1)*cos(x)], [0, exp(-x*a1)*cos(x), -exp(-x*a1)*sin(x)], [1, 0, 0], [0, 0, -1]];

A[[4, -6, 0]][1, 4]
:=[[0, 1, 0], [0, 0, 1], [0, z+y*a1, z*a1-y], [1, 0, 0]];

A[[4, -6, 0]][2, 4]
:=[[0, exp(-x*a1)*cos(x)], [0, -exp(-x*a1)*sin(x)], [1, 0], [0, -1]];








A[[4, -7, 0]][]
:=[[w^2*exp(-2*x)/exp(-x), 2*exp(-x)*w, 0, (w*z+exp(1/2*x))/exp(x)], [0, 1, 0, 1/2*z], [1/exp(-x), 0, 0, 0], [0, 0, 1, 0]];

A[[4, -7, 0]][1, 1]
:=[[x^2*exp(-2*y)/exp(-y), 2*x*exp(-y), 0], [0, 1, 0], [1/exp(-y), 0, 0], [0, 0, 1]];

A[[4, -7, 0]][1, 2]
:=[[-x^2, 1+2*y*x, 0], [-x, y, 0], [1, 0, 0], [0, 0, 1]];

A[[4, -7, 0]][1, 3]
:=[[exp(-2*z)*(1+x^2*p[1])/exp(-z)/p[1], 0, 2*x*exp(-z)], [0, 0, 1], [1/exp(-z), 0, 0], [0, 1, 0]];

A[[4, -7, 0]][1, 5]
:=[[x^2*exp(-2*y)/exp(-y), 2*x*exp(-y), (z*x+exp(1/2*y))/exp(y)], [0, 1, 1/2*z], [1/exp(-y), 0, 0], [0, 0, -exp(3/2*y)/exp(y)]];

A[[4, -7, 0]][1, 6]
:=[[-1/p[1]*exp(-z), exp(-2*z)*(y^2*p[1]-1)/exp(-z)/p[1], 2*exp(-z)*y], [0, 0, 1], [0, 1/exp(-z), 0], [1, 0, 0]];

A[[4, -7, 0]][2, 1]
:=[[-x^2, 0], [-x, 0], [1, 0], [0, 1]];

A[[4, -7, 0]][2, 3]
:=[[-x^2, -2*x], [-x, -1], [1, 0], [0, 1]];


A[[4, -8, 0]][]
:=[[1/cos(x)*cos(y), sin(y), -cos(y)*sin(x)/cos(x), 0], [-1/cos(x)*sin(y), cos(y), sin(y)*sin(x)/cos(x), 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, -8, 0]][1, 1]
:=[[sin(y), -cos(y)*sin(x)/cos(x), 0], [cos(y), sin(y)*sin(x)/cos(x), 0], [0, 1, 0], [0, 0, 1]];

A[[4, -8, 0]][1, 3]
:=[[-cos(z)/cos(y), sin(z), -cos(z)*sin(y)/cos(y)], [sin(z)/cos(y), cos(z), sin(z)*sin(y)/cos(y)], [0, 0, 1], [1, 0, 0]];


A[[5, -1, 0]][]
:=[[0, 0, 0, 0, 1], [1, 0, 0, 0, z], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -1, 0]][1, 3]
:=[[0, 0, 0, 1], [1, 0, 0, z], [0, 0, 0, -exp(w)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -1, 0]][1, 4]
:=[[1, 0, 0, 0], [w, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -2, 0]][]
:=[[0, 0, 0, 1, 0], [1, 0, 0, y, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, z], [0, 0, 1, 0, 0]];

A[[5, -2, 0]][1, 3]
:=[[0, 0, 0, 1], [0, 1, 0, z], [1, 0, 0, 0], [w, 0, 1, 0], [0, 0, 0, -exp(x)]];

A[[5, -2, 0]][1, 4]
:=[[0, 0, 0, -exp(-w+x)], [1, 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, z], [0, 0, 1, 0]];

A[[5, -2, 0]][1, 5]
:=[[0, 0, 1, 0], [1, 0, y, 0], [0, 0, 0, 1], [0, 1, 0, z], [0, 0, 0, -exp(x)]];

A[[5, -2, 0]][1, 6]
:=[[0, 0, 0, 1], [0, 1, 0, z], [1, 0, 0, 0], [w, 0, 1, 0], [-exp(y), 0, 0, -exp(x)]];

A[[5, -2, 0]][1, 7]
:=[[0, 0, 1, 0], [0, 0, y, -1], [1, 0, 0, 0], [w, 0, 0, p[1]], [0, 1, 0, 0]];

A[[5, -2, 0]][2, 12]
:=[[0, 0, -exp(y-x)], [1, 0, 0], [0, 0, 1], [0, 1, z], [0, 0, exp(y)]];

A[[5, -2, 0]][2, 14]
:=[[0, 0, 1], [0, 1, z], [1, 0, 0], [x, 0, 0], [0, 0, -exp(y)]];

A[[5, -2, 0]][2, 17]
:=[[0, 0, 1], [0, 1, z], [1, 0, 0], [x, 0, 0], [0, 0, -exp(y)]];

A[[5, -2, 0]][2, 20]
:=[[0, 0, -exp(y)], [0, -1, 0], [0, 0, 1], [0, 1, z], [1, 0, 0]];

A[[5, -3, 0]][]
:=[[0, 0, 0, 1, 0], [0, 0, 0, -u, 1], [1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -3, 0]][1, 3]
:=[[0, 0, 0, 1], [0, 0, 0, -w], [1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -4, 0]][]
:=[[0, 0, 1, 0, 0], [0, 0, -u, 1, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, z]];

A[[5, -4, 0]][1, 2]
:=[[0, 0, 0, 1], [0, 0, 0, -x], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 1, 0]];

A[[5, -4, 0]][1, 4]
:=[[0, 0, 0, 1], [0, 1, 0, 0], [0, 0, -exp(w), x], [0, 0, 1, 0], [1, 0, y, 0]];

A[[5, -4, 0]][1, 5]
:=[[0, 0, 1, 0], [0, 0, -x, 1], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -4, 0]][1, 6]
:=[[0, 0, 1, 0], [0, 1, 0, 0], [0, 0, x, -1], [1, 0, 0, 0], [w, 0, 0, 1]];

A[[5, -4, 0]][2, 7]
:=[[0, 0, -exp(y)], [0, 0, x*exp(y)], [1, 0, 0], [0, 0, 1], [0, 1, z]];

A[[5, -4, 0]][2, 8]
:=[[0, 0, 1], [0, 0, -y], [0, 1, 0], [1, 0, 0], [x, 0, 0]];

A[[5, -5, 0]][]
:=[[exp(-v), 0, 0, 0, 0], [0, 0, 0, 0, exp(-v*a1)], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -5, 0]][1, 3]
:=[[0, 0, 0, -exp(-w)], [0, 0, 0, exp(-w*a1)], [1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -5, 0]][1, 5]
:=[[0, -exp(-y), 0, 0], [exp(-y*a1), 0, 0, 0], [0, 0, 1, 0], [0, 1, 0, 0], [0, 0, 0, 1]];

A[[5, -5, 0]][1, 6]
:=[[exp(-x), 0, 0, 0], [0, 0, 0, exp(-x*a1)], [0, 1, 0, 0], [0, 0, 0, -1], [0, 0, 1, 0]];

A[[5, -5, 0]][1, 7]
:=[[-exp(-x), 0, 0, -exp(-x)], [0, 0, 0, exp(-x*a1)], [0, 1, 0, 0], [1, 0, 0, 0], [0, 0, 1, 0]];

A[[5, -5, 0]][1, 8]
:=[[0, 0, 0, 1], [0, 0, 1, 0], [0, 0, y*a1, z], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -5, 0]][2, 8]
:=[[0, 0, -exp(-x)], [0, 0, exp(-x*a1)], [1, 0, 0], [0, 0, 1], [0, 1, 0]];

A[[5, -5, 1]][]
:=[[exp(-v), 0, 0, 0, 0], [0, 0, 0, 0, exp(-v)], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -5, 1]][1, 3]
:=[[exp(-x), 0, 0, 0], [0, 0, 0, exp(-x)], [0, 1, 0, 0], [0, 0, 0, -1], [0, 0, 1, 0]];

A[[5, -5, 1]][1, 4]
:=[[0, 0, 1, 0], [0, 0, 0, 1], [0, 0, y, z], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -5, 1]][2, 8]
:=[[-exp(-y), 0, 0], [0, 0, exp(-y)], [0, 1, 0], [0, 0, -1], [1, 0, 0]];

A[[5, -6, 0]][]
:=[[exp(-v), 0, 0, 0, 0], [0, 0, 0, exp(-v*a1), 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, z]];

A[[5, -6, 0]][1, 3]
:=[[0, -exp(-y), 0, 0], [0, exp(-y*a1), 0, 0], [0, 0, 1, 0], [1, 0, 0, 0], [w, 0, 0, 1]];

A[[5, -6, 0]][1, 4]
:=[[0, 0, 1, 0], [0, 0, 0, 1], [0, 0, y, z*a1], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -6, 0]][1, 6]
:=[[0, 1, 0, 0], [0, 0, 0, 1], [0, x, -exp(w), z*a1], [0, 0, 1, 0], [1, 0, y, 0]];

A[[5, -6, 0]][1, 8]
:=[[0, 0, 0, -exp(-w+x)], [0, 0, exp(-w*a1), 0], [1, 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, z]];

A[[5, -6, 0]][1, 9]
:=[[exp(-x), 0, 0, 0], [0, 0, 0, -exp(y-x*a1)], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, 1, z]];

A[[5, -6, 0]][1, 10]
:=[[-exp(-y+z), -exp(-y), 0, 0], [0, exp(-y*a1), 0, 0], [0, 0, 1, 0], [1, 0, 0, 0], [w, 0, 0, 1]];

A[[5, -6, 0]][1, 11]
:=[[0, 1, 0, 0], [0, 0, 0, 1], [0, x, -1, z*a1], [1, 0, 0, 0], [w, 0, p[1], 0]];

A[[5, -6, 0]][1, 12]
:=[[0, exp(-y), 0, 0], [0, 0, 0, exp(-y*a1)], [0, 0, 1, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -6, 0]][1, 13]
:=[[0, -exp(-y), 0, 0], [0, 0, 0, exp(-y*a1)], [0, 0, 1, 0], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -6, 0]][1, 14]
:=[[0, exp(-y), 0, 0], [0, 0, 0, exp(-y*a1)], [0, 0, 1, 0], [1, 0, 0, 0], [w, 0, 0, -1]];

A[[5, -6, 0]][1, 15]
:=[[0, -exp(-z), -exp(-z), 0], [0, exp(-z*a1), 0, 0], [0, 0, 0, 1], [1, 0, 0, 0], [w, 0, 1, 0]];

A[[5, -6, 0]][2, 18]
:=[[0, 0, -exp(y-x)], [0, 0, exp(y-x*a1)], [1, 0, 0], [0, 0, 1], [0, 1, z]];

A[[5, -6, 0]][2, 20]
:=[[0, -exp(-z), 0], [0, exp(-z*a1), 0], [0, 0, 1], [1, 0, 0], [x, 0, 0]];

A[[5, -6, 0]][2, 23]
:=[[0, -exp(-z), 0], [0, exp(-z*a1), 0], [0, 0, 1], [1, 0, 0], [x, 0, 0]];

A[[5, -6, 0]][2, 25]
:=[[0, -exp(-z), 0], [0, exp(-z*a1), 0], [0, 0, 1], [1, 0, 0], [x, 1, 0]];

A[[5, -6, 0]][2, 27]
:=[[0, 0, 1], [0, 1, 0], [0, y*a1, z], [1, 0, 0], [x, 0, 0]];

A[[5, -6, 0]][2, 34]
:=[[-exp(z), 0, 0], [0, 1, 0], [0, y*a1, -1], [1, 0, 0], [x, 0, 1]];

A[[5, -6, 0]][2, 36]
:=[[1, 0, 0], [0, 0, -exp(y)], [x, -a1, 0], [0, 0, 1], [0, 1, z]];

A[[5, -6, 1]][]
:=[[exp(-v), 0, 0, 0, 0], [0, 0, 0, exp(-v), 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, z]];

A[[5, -6, 1]][1, 2]
:=[[0, 0, 0, 1], [0, 0, 1, 0], [0, 0, y, z], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -6, 1]][1, 4]
:=[[0, 1, 0, 0], [0, 0, 1, 0], [0, x, y, -exp(w)], [0, 0, 0, 1], [1, 0, 0, z]];

A[[5, -6, 1]][1, 5]
:=[[0, 0, 1, 0], [0, 0, 0, 1], [0, -1, y, z], [1, 0, 0, 0], [w, p[1], 0, 0]];

A[[5, -6, 1]][2, 7]
:=[[0, 1, 0], [0, 0, 1], [0, y, z], [1, 0, 0], [x, 0, 0]];

A[[5, -6, 1]][2, 11]
:=[[0, 1, 0], [0, 0, -exp(x)], [-1, y, 0], [0, 0, 1], [1, 0, z]];

A[[5, -7, 0]][]
:=[[0, 0, 0, exp(-u), 0], [0, 0, 0, -u*exp(-u), exp(-u)], [1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -7, 0]][1, 2]
:=[[0, 0, 0, exp(-w)], [0, 0, 0, -w*exp(-w)], [1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -7, 0]][1, 4]
:=[[0, 0, exp(-w), 0], [0, 0, -w*exp(-w), exp(-w)], [1, 0, 0, 0], [0, 0, 0, -1], [0, 1, 0, 0]];

A[[5, -7, 0]][1, 5]
:=[[0, 0, 1, 0], [0, 0, 0, 1], [0, 0, y+z, z], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -7, 0]][2, 6]
:=[[0, 0, exp(-x)], [0, 0, -x*exp(-x)], [1, 0, 0], [0, 0, -1], [0, 1, 0]];

A[[5, -7, 0]][2, 10]
:=[[0, 0, exp(-x)], [0, exp(-x), -x*exp(-x)], [1, 0, 0], [0, -1, 0], [0, 0, -1]];

A[[5, -8, 0]][]
:=[[0, 0, exp(-u), 0, 0], [0, 0, -u*exp(-u), exp(-u), 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, z]];

A[[5, -8, 0]][1, 2]
:=[[0, 0, 0, exp(-x)], [0, 0, 0, -x*exp(-x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 1, 0]];

A[[5, -8, 0]][1, 3]
:=[[0, 0, 0, 1], [0, 0, 1, 0], [0, 0, y, y+z], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -8, 0]][1, 5]
:=[[1, 0, 0, 0], [0, 0, 1, 0], [y+w, 0, y, -exp(x)], [0, 0, 0, 1], [0, 1, 0, z]];

A[[5, -8, 0]][1, 7]
:=[[0, 0, exp(-w), 0], [0, 0, -w*exp(-w), -exp(-w+x)], [1, 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, z]];

A[[5, -8, 0]][1, 9]
:=[[0, 0, 0, -exp(-w+x)], [0, 0, exp(-w), w*exp(-w+x)], [1, 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, z]];

A[[5, -8, 0]][1, 10]
:=[[0, 0, 1, 0], [0, 1, 0, 0], [0, x, y+x, -1], [1, 0, 0, 0], [w, 0, 0, p[1]]];

A[[5, -8, 0]][1, 11]
:=[[0, 0, exp(-x), 0], [0, 0, -x*exp(-x), exp(-x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -8, 0]][1, 12]
:=[[0, 0, exp(-x), 0], [0, 0, -x*exp(-x), exp(-x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, -1]];

A[[5, -8, 0]][1, 13]
:=[[0, 0, exp(-x), 0], [0, 0, -x*exp(-x), exp(-x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -8, 0]][1, 14]
:=[[0, 0, 0, exp(-x)], [0, 0, exp(-x), -x*exp(-x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, -1]];

A[[5, -8, 0]][2, 12]
:=[[0, 0, -exp(y-x)], [0, 0, x*exp(y-x)], [1, 0, 0], [0, 0, 1], [0, 1, z]];

A[[5, -8, 0]][2, 13]
:=[[0, 0, exp(-y)], [0, 0, -y*exp(-y)], [0, 1, 0], [1, 0, 0], [x, 0, 0]];

A[[5, -8, 0]][2, 14]
:=[[0, 0, exp(-y)], [0, 0, -y*exp(-y)], [0, 1, 0], [1, 0, 0], [x, 0, 0]];

A[[5, -8, 0]][2, 15]
:=[[0, 0, exp(-y)], [0, 0, -y*exp(-y)], [0, 1, 0], [1, 0, 0], [x, 0, -1]];

A[[5, -8, 0]][2, 17]
:=[[0, 1, 0], [0, 0, 1], [0, y+z, z], [1, 0, 0], [x, 0, 0]];

A[[5, -8, 0]][2, 22]
:=[[-exp(y), 0, 0], [0, 0, 1], [-z*exp(y), -1, z], [1, 0, 0], [x, 1, 0]];

A[[5, -9, 0]][]
:=[[0, 0, 0, exp(-u*a1)*cos(u), exp(-u*a1)*sin(u)], [0, 0, 0, -exp(-u*a1)*sin(u), exp(-u*a1)*cos(u)], [1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -9, 0]][1, 2]
:=[[exp(-x*a1)*sin(x), 0, 0, 0], [exp(-x*a1)*cos(x), 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -9, 0]][1, 3]
:=[[exp(-x*a1)*sin(x), 0, 0, exp(-x*a1)*cos(x)], [exp(-x*a1)*cos(x), 0, 0, -exp(-x*a1)*sin(x)], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, -1]];

A[[5, -9, 0]][1, 4]
:=[[0, 0, 0, 1], [0, 0, 1, 0], [0, 0, y*a1-z, y+z*a1], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -9, 0]][2, 6]
:=[[0, 0, exp(-x*a1)*cos(x)], [0, 0, -exp(-x*a1)*sin(x)], [1, 0, 0], [0, 0, -1], [0, 1, 0]];

A[[5, -10, 0]][]
:=[[0, 0, exp(-u*a1)*cos(u), exp(-u*a1)*sin(u), 0], [0, 0, -exp(-u*a1)*sin(u), exp(-u*a1)*cos(u), 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 1, 0, 0, z]];

A[[5, -10, 0]][1, 2]
:=[[0, 0, exp(-x*a1)*cos(x), exp(-x*a1)*sin(x)], [0, 0, -exp(-x*a1)*sin(x), exp(-x*a1)*cos(x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -10, 0]][1, 3]
:=[[0, 0, 0, exp(-x*a1)*sin(x)], [0, 0, 0, exp(-x*a1)*cos(x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 1, 0]];

A[[5, -10, 0]][1, 4]
:=[[0, 0, exp(-x*a1)*sin(x), exp(-x*a1)*cos(x)], [0, 0, exp(-x*a1)*cos(x), -exp(-x*a1)*sin(x)], [0, 1, 0, 0], [1, 0, 0, 0], [w, 0, 0, -1]];

A[[5, -10, 0]][1, 5]
:=[[0, 0, 0, 1], [0, 1, 0, 0], [0, x*a1-z, -p[1], x+z*a1], [1, 0, 0, 0], [w, 0, 1, 0]];

A[[5, -10, 0]][2, 5]
:=[[0, 0, exp(-y*a1)*sin(y)], [0, 0, exp(-y*a1)*cos(y)], [0, 1, 0], [1, 0, 0], [x, 0, 0]];

A[[5, -10, 0]][2, 6]
:=[[0, 1, 0], [0, 0, 1], [0, y*a1+z, -y+z*a1], [1, 0, 0], [x, 0, 0]];

A[[5, -10, 0]][2, 8]
:=[[0, 0, -cos(x)*exp(y-x*a1)], [0, 0, sin(x)*exp(y-x*a1)], [1, 0, 0], [0, 0, 1], [0, 1, z]];

A[[5, -10, 0]][2, 9]
:=[[0, 0, exp(-y*a1)*cos(y)], [0, 0, -exp(-y*a1)*sin(y)], [0, 1, 0], [1, 0, 0], [x, 0, -1]];

A[[5, -10, 0]][2, 10]
:=[[0, exp(-x*a1)*cos(x), 0], [0, -exp(-x*a1)*sin(x), 0], [1, 0, 0], [0, 0, 1], [0, -1, -1+z]];




A[[5, -11, 0]][]
:=[[u^2/exp(v), 2*exp(-v)*u, 0, 0, exp(-v)*u*z+exp(-1/2*v)], [0, 1, 0, 0, 1/2*z], [exp(2*v)/exp(v), 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -11, 0]][1, 1]
:=[[w^2/exp(x), 2*exp(-x)*w, 0, 0], [0, 1, 0, 0], [exp(2*x)/exp(x), 0, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -11, 0]][1, 2]
:=[[0, 0, -y^2, 1+2*z*y], [0, 0, -y, z], [0, 0, 1, 0], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -11, 0]][1, 3]
:=[[0, 0, 2*z*exp(-y), 1/exp(y)*(p[1]*z^2+1)/p[1]], [0, 0, 1, 0], [0, 0, 0, 1/exp(y)*exp(2*y)], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -11, 0]][1, 5]
:=[[w^2/exp(x), 2*exp(-x)*w, 0, (exp(-3/2*x)*z*w+exp(-x))/exp(-1/2*x)], [0, 1, 0, 1/2*z], [exp(2*x)/exp(x), 0, 0, 0], [0, 0, 0, -1/exp(-1/2*x)], [0, 0, 1, 0]];

A[[5, -11, 0]][1, 6]
:=[[0, 1/exp(y)*(p[1]*x^2-1)/p[1], 2*x*exp(-y), -1/p[1]*exp(-y)], [0, 0, 1, 0], [0, 1/exp(y)*exp(2*y), 0, 0], [0, 0, 0, 1], [1, 0, 0, 0]];

A[[5, -11, 0]][2, 1]
:=[[0, 0, -z^2], [0, 0, -z], [0, 0, 1], [1, 0, 0], [0, 1, 0]];

A[[5, -11, 0]][2, 3]
:=[[0, -y^2, -2*y], [0, -y, -1], [0, 1, 0], [0, 0, 1], [1, 0, 0]];

A[[5, -12, 0]][]
:=[[u^2/exp(v), 2*exp(-v)*u, 0, exp(-1/2*v)+exp(-v)*y*u, 0], [0, 1, 0, 1/2*y, 0], [exp(2*v)/exp(v), 0, 0, 0, 0], [0, 0, 0, 0, 1], [0, 0, 1, 0, z]];

A[[5, -12, 0]][1, 1]
:=[[0, x^2/exp(y), 2*x*exp(-y), 0], [0, 0, 1, 0], [0, exp(2*y)/exp(y), 0, 0], [1, 0, 0, 0], [w, 0, 0, 1]];

A[[5, -12, 0]][1, 2]
:=[[0, 0, -y^2, 1+2*z*y], [0, 0, -y, z], [0, 0, 1, 0], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -12, 0]][1, 3]
:=[[0, 0, 2*z*exp(-y), 1/exp(y)*(1+p[1]*z^2)/p[1]], [0, 0, 1, 0], [0, 0, 0, 1/exp(y)*exp(2*y)], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -12, 0]][1, 5]
:=[[w^2/exp(x), 2*exp(-x)*w, 0, -exp(y-x)], [0, 1, 0, 0], [exp(2*x)/exp(x), 0, 0, 0], [0, 0, 0, 1], [0, 0, 1, z]];

A[[5, -12, 0]][1, 6]
:=[[0, -1/p[1]*exp(-z+w), 1/exp(z)*(y^2*p[1]-1)/p[1], 2*exp(-z)*y], [0, 0, 0, 1], [0, 0, 1/exp(z)*exp(2*z), 0], [0, 1, 0, 0], [1, x, 0, 0]];

A[[5, -12, 0]][1, 8]
:=[[-2*z*exp(x), 0, 1+2*z*y, -z^2], [-exp(x), 0, y, -z], [0, 0, 0, 1], [1, 0, 0, 0], [w, 1, 0, 0]];

A[[5, -12, 0]][1, 10]
:=[[w^2/exp(x), 2*exp(-x)*w, 0, -exp(y-x)], [0, 1, 0, 0], [exp(2*x)/exp(x), 0, 0, 0], [0, 0, 0, 1], [0, 0, 1, z]];

A[[5, -12, 0]][1, 11]
:=[[0, x^2/exp(y), 2*x*exp(-y), exp(-1/2*y)+z*x*exp(-y)], [0, 0, 1, 1/2*z], [0, exp(2*y)/exp(y), 0, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -12, 0]][1, 12]
:=[[0, x^2/exp(y), 2*x*exp(-y), (exp(-y)+exp(-3/2*y)*z*x)/exp(-1/2*y)], [0, 0, 1, 1/2*z], [0, exp(2*y)/exp(y), 0, 0], [1, 0, 0, 0], [w, 0, 0, -1/exp(-1/2*y)]];

A[[5, -12, 0]][1, 13]
:=[[0, 2*exp(-x)*y, 1/exp(x)*(y^2*p[1]-1)/p[1], -1/p[1]*exp(-x)], [0, 1, 0, 0], [0, 0, 1/exp(x)*exp(2*x), 0], [1, 0, 0, 0], [w, 0, 0, 1]];

A[[5, -12, 0]][1, 14]
:=[[0, 1+2*y*x, -y^2, -2*y], [0, x, -y, -1], [0, 0, 1, 0], [1, 0, 0, 0], [w, 0, 0, p[1]]];

A[[5, -12, 0]][1, 15]
:=[[0, x^2/exp(y), 2*x*exp(-y), exp(-1/2*y)+z*x*exp(-y)], [0, 0, 1, 1/2*z], [0, exp(2*y)/exp(y), 0, 0], [1, 0, 0, 0], [w, 0, 0, 0]];

A[[5, -12, 0]][1, 16]
:=[[0, x^2/exp(y), 2*x*exp(-y), (exp(-y)+exp(-3/2*y)*z*x)/exp(-1/2*y)], [0, 0, 1, 1/2*z], [0, exp(2*y)/exp(y), 0, 0], [1, 0, 0, 0], [w, 0, 0, -1/exp(-1/2*y)]];

A[[5, -12, 0]][2, 1]
:=[[0, 0, -z^2], [0, 0, -z], [0, 0, 1], [1, 0, 0], [x, 1, 0]];

A[[5, -12, 0]][2, 4]
:=[[0, -2*z*exp(x), -z^2], [0, -exp(x), -z], [0, 0, 1], [0, 1, 0], [1, y, 0]];

A[[5, -12, 0]][2, 5]
:=[[0, y^2/exp(z), 2*exp(-z)*y], [0, 0, 1], [0, exp(2*z)/exp(z), 0], [1, 0, 0], [x, 0, 0]];

A[[5, -12, 0]][2, 6]
:=[[0, -2*z, -z^2], [0, -1, -z], [0, 0, 1], [1, 0, 0], [x, p[1], 0]];

A[[5, -12, 0]][2, 7]
:=[[0, 0, 1], [0, 0, z], [0, 0, -z^2], [1, 0, 0], [x, 1, 0]];

A[[5, -12, 0]][2, 9]
:=[[0, 1+2*z*y, -z^2], [0, y, -z], [0, 0, 1], [1, 0, 0], [x, 0, 0]];

A[[5, -12, 0]][2, 12]
:=[[0, 0, 1], [0, -exp(x), z], [0, 2*z*exp(x), -z^2], [0, 1, 0], [1, y, 0]];

A[[5, -12, 0]][2, 13]
:=[[0, 2*z*exp(-y), 1/exp(y)*(p[1]*z^2+1)/p[1]], [0, 1, 0], [0, 0, 1/exp(y)*exp(2*y)], [1, 0, 0], [x, 0, 0]];

A[[5, -12, 0]][2, 14]
:=[[-exp(1/2*z), 0, 0], [1/2*x, 0, -1], [0, 0, -2*x*exp(-1/2*z)], [0, -1, 0], [1/2*p[1]*x, y, p[1]]];

A[[5, -12, 0]][2, 18]
:=[[-exp(y), -2*z, -z^2], [0, -1, -z], [0, 0, 1], [1, 0, 0], [x, 1, 0]];

A[[5, -12, 0]][2, 20]
:=[[2*z*exp(y)-exp(y), -2*z, -z^2], [exp(y), -1, -z], [0, 0, 1], [1, 0, 0], [x, 1, 0]];

A[[5, -12, 0]][2, 22]
:=[[0, 1, 0], [1, y, 0], [-2*y, -y^2, -exp(x)], [0, 0, 1], [1, 0, z]];

A[[5, -12, 0]][2, 31]
:=[[-exp(z), -y^2, -2*y], [0, -y, -1], [0, 1, 0], [1, 0, 0], [x, 0, 1]];

A[[5, -12, 0]][3, 3]
:=[[0, -y^2], [0, -y], [0, 1], [1, 0], [x, 0]];

A[[5, -12, 0]][3, 8]
:=[[0, 1], [0, y], [0, -y^2], [1, 0], [x, 0]];


A[[5, -13, 0]][]
:=[[cos(x)/cos(v), sin(x), -sin(v)*cos(x)/cos(v), 0, 0], [-sin(x)/cos(v), cos(x), sin(v)*sin(x)/cos(v), 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -13, 0]][1, 1]
:=[[sin(y), 0, -sin(w)*cos(y)/cos(w), 0], [cos(y), 0, sin(w)*sin(y)/cos(w), 0], [0, 0, 1, 0], [0, 1, 0, 0], [0, 0, 0, 1]];

A[[5, -13, 0]][1, 3]
:=[[sin(x), -sin(w)*cos(x)/cos(w), -cos(x)/cos(w), 0], [cos(x), sin(w)*sin(x)/cos(w), sin(x)/cos(w), 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -14, 0]][]
:=[[cos(x)/cos(v), sin(x), -sin(v)*cos(x)/cos(v), 0, 0], [-sin(x)/cos(v), cos(x), sin(v)*sin(x)/cos(v), 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1], [0, 0, 0, 1, z]];

A[[5, -14, 0]][1, 1]
:=[[sin(y), 0, -sin(w)*cos(y)/cos(w), 0], [cos(y), 0, sin(w)*sin(y)/cos(w), 0], [0, 0, 1, 0], [0, 0, 0, 1], [0, 1, 0, z]];

A[[5, -14, 0]][1, 3]
:=[[sin(y), 0, -sin(w)*cos(y)/cos(w), -cos(y)/cos(w)*exp(x)], [cos(y), 0, sin(w)*sin(y)/cos(w), sin(y)/cos(w)*exp(x)], [0, 0, 1, 0], [0, 0, 0, 1], [0, 1, 0, z]];

A[[5, -14, 0]][1, 4]
:=[[sin(x), -sin(w)*cos(x)/cos(w), 0, -cos(x)/cos(w)], [cos(x), sin(w)*sin(x)/cos(w), 0, sin(x)/cos(w)], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, y, p[1]]];
A[[5, -14, 0]][2, 2]
:=[[sin(y), -cos(y)*sin(x)/cos(x), 0], [cos(y), sin(y)*sin(x)/cos(x), 0], [0, 1, 0], [0, 0, 1], [0, 0, z]];



A[[5, -15, 0]][]
:=[[1, 0, 0, 0, 0], [-y, 1, 0, 0, 0], [1/2*y^2, -y, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -15, 0]][1, 2]
:=[[0, 1, 0, 0], [0, -w, 0, 0], [0, 1/2*w^2, 1, 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -15, 0]][1, 4]
:=[[0, 1, 0, 0], [0, -w, 0, -1], [0, 1/2*w^2, 1, w], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -15, 0]][1, 5]
:=[[0, 1, 0, 0], [0, -w, 1, 0], [0, 1/2*w^2, -w, 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -15, 0]][1, 6]
:=[[0, 0, 0, 2], [0, 0, 1, 0], [1, 0, 0, 0], [0, 0, w, 2*y], [0, 1, 0, 0]];

A[[5, -15, 0]][2, 7]
:=[[0, 1, 0], [0, -x, 0], [0, 1/2*x^2, 0], [1, 0, 0], [0, 0, 1]];

A[[5, -15, 0]][2, 9]
:=[[0, 1, 0], [0, -x, -1], [0, 1/2*x^2, x], [1, 0, 0], [0, 0, 1]];

A[[5, -16, 0]][]
:=[[exp(-x), 0, 0, 0, 0], [0, 0, 0, 0, exp(-x*a1)], [0, exp(-x*b1), 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -16, 0]][1, 3]
:=[[0, 0, 0, -exp(-y)], [0, 0, 0, exp(-y*a1)], [0, exp(-y*b1), 0, 0], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -16, 0]][1, 5]
:=[[0, 0, 0, -exp(-x)], [0, 0, exp(-x*a1), 0], [0, 0, 0, exp(-x*b1)], [0, 1, 0, 0], [1, 0, 0, 0]];

A[[5, -16, 0]][1, 6]
:=[[0, exp(-y), 0, 0], [0, 0, 0, exp(-y*a1)], [0, 0, 0, -exp(-y*b1)], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -16, 0]][1, 7]
:=[[-exp(-z), -exp(-z), 0, 0], [0, exp(-z*a1), 0, 0], [exp(-z*b1), 0, 0, 0], [0, 0, 0, 1], [0, 0, 1, 0]];

A[[5, -16, 0]][1, 9]
:=[[0, 0, -exp(-x), 0], [0, 0, 0, exp(-x*a1)], [exp(-x*b1), 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -16, 0]][1, 10]
:=[[exp(-y), 0, 0, 0], [0, 0, 0, exp(-y*a1)], [0, exp(-y*b1), 0, 0], [0, 0, 1, 0], [0, 0, 0, -1]];

A[[5, -16, 0]][1, 11]
:=[[-exp(-y), 0, 0, -exp(-y)], [exp(-y*a1), 0, 0, 0], [0, exp(-y*b1), 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -16, 0]][1, 12]
:=[[0, 1, 0, 0], [0, 0, 0, 1], [0, 0, 1, 0], [0, x, y*b1, z*a1], [1, 0, 0, 0]];

A[[5, -16, 0]][2, 12]
:=[[-exp(-z), 0, 0], [exp(-z*a1), 0, 0], [exp(-z*b1), 0, 0], [0, 0, 1], [0, 1, 0]];

A[[5, -16, 0]][2, 16]
:=[[0, 0, -exp(-y)], [0, 0, exp(-y*a1)], [exp(-y*b1), 0, 0], [0, 1, 0], [0, 0, 1]];

A[[5, -16, 0]][2, 23]
:=[[0, -exp(-x), 0], [0, 0, exp(-x*a1)], [0, exp(-x*b1), 0], [1, 0, 0], [0, 1, 0]];

A[[5, -16, 1]][]
:=[[exp(-x), 0, 0, 0, 0], [0, 0, 0, 0, exp(-x*a1)], [0, exp(-x*a1), 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -16, 1]][1, 3]
:=[[0, 0, 0, -exp(-y)], [0, 0, 0, exp(-y*a1)], [0, exp(-y*a1), 0, 0], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -16, 1]][1, 5]
:=[[0, 0, -exp(-x), 0], [0, 0, 0, exp(-x*a1)], [exp(-x*a1), 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -16, 1]][1, 6]
:=[[exp(-x), 0, 0, 0], [0, 0, exp(-x*a1), 0], [0, 0, 0, -exp(-x*a1)], [0, 1, 0, 0], [0, 0, 0, 1]];

A[[5, -16, 1]][1, 7]
:=[[0, -exp(-w), -exp(-w), 0], [0, 0, 0, exp(-w*a1)], [0, 0, exp(-w*a1), 0], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -16, 1]][1, 8]
:=[[0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1], [0, x, y*a1, z*a1], [1, 0, 0, 0]];

A[[5, -16, 1]][2, 10]
:=[[-exp(-y), 0, 0], [exp(-y*a1), 0, 0], [0, 0, -exp(-y*a1)], [0, 1, 0], [0, 0, 1]];

A[[5, -16, 1]][2, 13]
:=[[0, 0, -exp(-x)], [0, exp(-x*a1), 0], [0, 0, exp(-x*a1)], [1, 0, 0], [0, 0, 1]];

A[[5, -16, 2]][]
:=[[exp(-x), 0, 0, 0, 0], [0, 0, 0, 0, exp(-x)], [0, exp(-x*b1), 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -16, 2]][1, 3]
:=[[0, exp(-y), 0, 0], [0, 0, 0, exp(-y)], [0, 0, 0, -exp(-y*b1)], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -16, 2]][1, 5]
:=[[exp(-y), 0, 0, 0], [0, 0, 0, exp(-y)], [0, exp(-y*b1), 0, 0], [0, 0, 1, 0], [0, 0, 0, -1]];

A[[5, -16, 2]][1, 6]
:=[[0, exp(-y), 0, 0], [0, 0, 0, exp(-y)], [-exp(-y*b1), 0, 0, 0], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -16, 2]][1, 7]
:=[[exp(-x), 0, 0, 0], [0, 0, exp(-x), 0], [0, 0, -exp(-x*b1), -exp(-x*b1)], [0, 1, 0, 0], [0, 0, 0, 1]];

A[[5, -16, 2]][1, 8]
:=[[0, 0, 1, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, x, y, z*b1], [1, 0, 0, 0]];

A[[5, -16, 3]][]
:=[[exp(-x), 0, 0, 0, 0], [0, 0, 0, 0, exp(-x)], [0, exp(-x), 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -16, 3]][1, 3]
:=[[exp(-x), 0, 0, 0], [0, 0, exp(-x), 0], [0, 0, 0, -exp(-x)], [0, 1, 0, 0], [0, 0, 0, 1]];

A[[5, -16, 3]][1, 4]
:=[[0, 1, 0, 0], [1, 0, 0, 0], [0, 0, 1, 0], [w, x, y, 0], [0, 0, 0, 1]];

A[[5, -17, 0]][]
:=[[0, 0, 0, exp(-v), 0], [0, 0, 0, -v*exp(-v), exp(-v)], [exp(-v*a1), 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -17, 0]][1, 2]
:=[[exp(-y), 0, 0, 0], [-y*exp(-y), 0, 0, 0], [0, exp(-y*a1), 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -17, 0]][1, 4]
:=[[exp(-x), 0, 0, 0], [-x*exp(-x), 0, 0, exp(-x)], [0, 0, 0, -exp(-x*a1)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -17, 0]][1, 6]
:=[[0, 0, exp(-w), 0], [0, 0, -w*exp(-w), exp(-w)], [0, 0, -exp(-w*a1), 0], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -17, 0]][1, 8]
:=[[exp(-y), 0, 0, 0], [-y*exp(-y), 0, 0, exp(-y)], [0, exp(-y*a1), 0, 0], [0, 0, 1, 0], [0, 0, 0, -1]];

A[[5, -17, 0]][1, 9]
:=[[exp(-x), 0, 0, 0], [-x*exp(-x), 0, 0, exp(-x)], [0, 0, -exp(-x*a1), 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -17, 0]][1, 10]
:=[[0, exp(-y), 0, 0], [exp(-y), -y*exp(-y), 0, 0], [-exp(-y*a1), 0, 0, -exp(-y*a1)], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -17, 0]][1, 12]
:=[[exp(-y), 0, 0, 0], [-y*exp(-y), 0, 0, exp(-y)], [0, exp(-y*a1), 0, 0], [0, 0, 1, 0], [-1, 0, 0, 0]];

A[[5, -17, 0]][1, 13]
:=[[exp(-x), 0, 0, 0], [-x*exp(-x), 0, 0, exp(-x)], [0, 0, -exp(-x*a1), 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -17, 0]][1, 14]
:=[[0, 0, exp(-w), 0], [0, 0, -w*exp(-w), exp(-w)], [0, -exp(-w*a1), -exp(-w*a1), 0], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -17, 0]][1, 15]
:=[[0, 0, 1, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, x, y+x, z*a1], [1, 0, 0, 0]];

A[[5, -17, 0]][2, 10]
:=[[0, 0, exp(-x)], [0, 0, -x*exp(-x)], [0, 0, -exp(-x*a1)], [1, 0, 0], [0, 1, 0]];

A[[5, -17, 0]][2, 12]
:=[[0, 0, exp(-y)], [0, 0, -y*exp(-y)], [exp(-y*a1), 0, 0], [0, 1, 0], [0, 0, -1]];

A[[5, -17, 0]][2, 13]
:=[[exp(-y), 0, 0], [-y*exp(-y), 0, 0], [0, 0, -exp(-y*a1)], [0, 1, 0], [0, 0, 1]];

A[[5, -17, 0]][2, 14]
:=[[0, 0, exp(-x)], [0, 0, -x*exp(-x)], [0, -exp(-x*a1), -exp(-x*a1)], [1, 0, 0], [0, 1, 0]];

A[[5, -17, 0]][2, 22]
:=[[0, exp(-x), 0], [0, -x*exp(-x), exp(-x)], [0, 0, -exp(-x*a1)], [1, 0, 0], [0, -1, 0]];

A[[5, -17, 0]][2, 26]
:=[[0, 0, exp(-x)], [0, exp(-x), -x*exp(-x)], [0, 0, -exp(-x*a1)], [1, 0, 0], [0, 0, -1]];

A[[5, -17, 0]][3, 14]
:=[[exp(-y), 0], [-y*exp(-y), 0], [-exp(-y*a1), 0], [0, 1], [-1, 0]];

A[[5, -17, 1]][]
:=[[0, 0, 0, exp(-v), 0], [0, 0, 0, -v*exp(-v), exp(-v)], [exp(-v), 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -17, 1]][1, 3]
:=[[0, 0, 0, exp(-x)], [0, 0, exp(-x), -x*exp(-x)], [exp(-x), 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, -1]];

A[[5, -17, 1]][1, 5]
:=[[exp(-x), 0, 0, 0], [-x*exp(-x), 0, 0, exp(-x)], [0, 0, -exp(-x), 0], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -17, 1]][1, 6]
:=[[exp(-y), 0, 0, 0], [-y*exp(-y), 0, 0, 0], [0, exp(-y), 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -17, 1]][1, 7]
:=[[exp(-y), 0, 0, 0], [-y*exp(-y), 0, 0, exp(-y)], [0, exp(-y), 0, 0], [0, 0, 1, 0], [0, 0, 0, -1]];

A[[5, -17, 1]][1, 8]
:=[[1, 0, 0, 0], [0, 0, 0, 1], [0, 0, 1, 0], [w+z, 0, y, z], [0, 1, 0, 0]];

A[[5, -17, 1]][2, 10]
:=[[exp(-z), 0, 0], [-exp(-z)*z, 0, 0], [0, exp(-z), 0], [0, 0, 1], [-1, 0, 0]];

A[[5, -17, 1]][2, 13]
:=[[exp(-y), 0, 0], [-y*exp(-y), 0, 0], [0, 0, -exp(-y)], [0, 1, 0], [0, 0, 1]];

A[[5, -18, 0]][]
:=[[1, 0, 0, 0, 0], [-x, 1, 0, 0, 0], [0, 0, 0, 0, exp(-x)], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0]];

A[[5, -18, 0]][1, 3]
:=[[0, 1, 0, 0], [0, -y, 0, 0], [0, 0, 0, exp(-y)], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -18, 0]][1, 5]
:=[[0, 0, 1, 0], [-1, 0, -z, 0], [exp(-z), 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, 0]];

A[[5, -18, 0]][1, 7]
:=[[1, 0, 0, 0], [-y, 1, 0, 0], [0, 0, 0, exp(-y)], [0, 0, 1, 0], [0, 0, 0, -1]];

A[[5, -18, 0]][1, 9]
:=[[-1, 0, 0, 0], [z, 0, 1, 0], [exp(-z), 0, 0, 0], [0, 0, 0, 1], [0, 1, 0, 0]];

A[[5, -18, 0]][1, 10]
:=[[0, 0, 1, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, x, z], [1, 0, 0, 0]];

A[[5, -18, 0]][2, 15]
:=[[1, 0, 0], [-y, 0, 0], [0, 0, exp(-y)], [0, 1, 0], [0, 0, -1]];

A[[5, -18, 0]][2, 17]
:=[[0, 0, -1], [0, 0, y], [0, 0, exp(-y)], [0, 1, 0], [1, 0, 0]];

A[[5, -19, 0]][]
:=[[0, 0, exp(-u), 0, 0], [0, 0, -u*exp(-u), exp(-u), 0], [0, 0, 1/2*u^2*exp(-u), -u*exp(-u), exp(-u)], [1, 0, 0, 0, 0], [0, 1, 0, 0, 0]];

A[[5, -19, 0]][1, 2]
:=[[0, 0, exp(-w), 0], [0, 0, -w*exp(-w), 0], [0, 0, 1/2*w^2*exp(-w), exp(-w)], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -19, 0]][1, 3]
:=[[0, 0, 0, exp(-x)], [exp(-x), 0, 0, -x*exp(-x)], [-x*exp(-x), 0, 0, 1/2*x^2*exp(-x)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -19, 0]][1, 5]
:=[[0, 0, exp(-x), 0], [exp(-x), 0, -x*exp(-x), 0], [-x*exp(-x), 0, 1/2*x^2*exp(-x), exp(-x)], [0, 1, 0, 0], [0, 0, 0, -1]];

A[[5, -19, 0]][1, 7]
:=[[0, exp(-w), 0, 0], [0, -w*exp(-w), 0, exp(-w)], [0, 1/2*w^2*exp(-w), exp(-w), -w*exp(-w)], [1, 0, 0, 0], [0, 0, 0, -1]];

A[[5, -19, 0]][1, 9]
:=[[0, 0, exp(-x), 0], [exp(-x), 0, -x*exp(-x), 0], [-x*exp(-x), 0, 1/2*x^2*exp(-x), exp(-x)], [0, 1, 0, 0], [0, 0, -1, 0]];

A[[5, -19, 0]][1, 10]
:=[[0, 0, 0, 2], [0, 0, 1, 0], [0, 1, 0, 0], [0, x, y+x, z+2*y], [1, 0, 0, 0]];

A[[5, -19, 0]][2, 8]
:=[[0, 0, exp(-x)], [0, 0, -x*exp(-x)], [0, 0, 1/2*x^2*exp(-x)], [1, 0, 0], [0, 1, 0]];

A[[5, -19, 0]][2, 10]
:=[[0, exp(-x), 0], [0, -x*exp(-x), 0], [0, 1/2*x^2*exp(-x), exp(-x)], [1, 0, 0], [0, 0, -1]];

A[[5, -19, 0]][2, 12]
:=[[0, 0, exp(-x)], [0, 0, -x*exp(-x)], [0, exp(-x), 1/2*x^2*exp(-x)], [1, 0, 0], [0, 0, -1]];

A[[5, -19, 0]][2, 14]
:=[[0, 0, exp(-y)], [exp(-y), 0, -y*exp(-y)], [-y*exp(-y), 0, 1/2*y^2*exp(-y)], [0, 1, 0], [0, 0, -1]];

A[[5, -19, 0]][2, 15]
:=[[0, 0, exp(-x)], [0, exp(-x), -x*exp(-x)], [0, -x*exp(-x), 1/2*x^2*exp(-x)], [1, 0, 0], [0, -1, -p[1]]];
A[[5, -19, 0]][3, 9]
:=[[0, exp(-x)], [0, -x*exp(-x)], [0, 1/2*x^2*exp(-x)], [1, 0], [0, -1]];

A[[5, -20, 0]][]
:=[[exp(-v*a1), 0, 0, 0, 0], [0, 0, 0, exp(-v*b1)*cos(v), exp(-v*b1)*sin(v)], [0, 0, 0, -exp(-v*b1)*sin(v), exp(-v*b1)*cos(v)], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0]];

A[[5, -20, 0]][1, 3]
:=[[0, 0, -exp(-x*a1), 0], [exp(-x*b1)*cos(x), 0, 0, exp(-x*b1)*sin(x)], [-exp(-x*b1)*sin(x), 0, 0, exp(-x*b1)*cos(x)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -20, 0]][1, 4]
:=[[exp(-x*a1), 0, 0, 0], [0, 0, 0, exp(-x*b1)*sin(x)], [0, 0, 0, exp(-x*b1)*cos(x)], [0, 1, 0, 0], [0, 0, 1, 0]];

A[[5, -20, 0]][1, 5]
:=[[0, 0, -exp(-w*a1), 0], [0, 0, exp(-w*b1)*cos(w), exp(-w*b1)*sin(w)], [0, 0, -exp(-w*b1)*sin(w), exp(-w*b1)*cos(w)], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -20, 0]][1, 6]
:=[[exp(-x*a1), 0, 0, 0], [0, 0, exp(-x*b1)*sin(x), exp(-x*b1)*cos(x)], [0, 0, exp(-x*b1)*cos(x), -exp(-x*b1)*sin(x)], [0, 1, 0, 0], [0, 0, 0, -1]];

A[[5, -20, 0]][1, 7]
:=[[0, -exp(-w*a1), -exp(-w*a1), 0], [0, 0, exp(-w*b1)*cos(w), exp(-w*b1)*sin(w)], [0, 0, -exp(-w*b1)*sin(w), exp(-w*b1)*cos(w)], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -20, 0]][1, 8]
:=[[1, 0, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1], [w*a1, 0, y*b1+z, -y+z*b1], [0, 1, 0, 0]];

A[[5, -20, 0]][2, 6]
:=[[0, -exp(-x*a1), 0], [0, 0, exp(-x*b1)*sin(x)], [0, 0, exp(-x*b1)*cos(x)], [1, 0, 0], [0, 1, 0]];

A[[5, -20, 0]][2, 8]
:=[[0, 0, -exp(-x*a1)], [0, exp(-x*b1)*sin(x), exp(-x*b1)*cos(x)], [0, exp(-x*b1)*cos(x), -exp(-x*b1)*sin(x)], [1, 0, 0], [0, 0, 1]];

A[[5, -20, 0]][2, 11]
:=[[0, 0, -exp(-x*a1)], [0, 0, exp(-x*b1)*cos(x)], [0, 0, -exp(-x*b1)*sin(x)], [1, 0, 0], [0, 1, 0]];

A[[5, -20, 0]][2, 12]
:=[[exp(-y*a1), 0, 0], [0, 0, exp(-y*b1)*cos(y)], [0, 0, -exp(-y*b1)*sin(y)], [0, 1, 0], [0, 0, -1]];

A[[5, -20, 0]][2, 13]
:=[[0, -exp(-x*a1), -exp(-x*a1)], [0, 0, exp(-x*b1)*cos(x)], [0, 0, -exp(-x*b1)*sin(x)], [1, 0, 0], [0, 1, 0]];

A[[5, -20, 0]][2, 14]
:=[[0, 0, exp(-y*a1)], [exp(-y*b1)*cos(y)*p[1], 0, exp(-y*b1)*sin(y)], [-exp(-y*b1)*sin(y)*p[1], 0, exp(-y*b1)*cos(y)], [0, 1, 0], [-1, 0, 0]];

A[[5, -20, 0]][3, 7]
:=[[0, -exp(-x*a1)], [0, exp(-x*b1)*cos(x)], [0, -exp(-x*b1)*sin(x)], [1, 0], [0, p[1]]];

A[[5, -21, 0]][]
:=[[exp(-y*(a1+1)), 0, 0, 0, 0], [-x*exp(-y), exp(-y), 0, 0, 0], [0, 0, exp(-y*a1), 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -21, 0]][1, 2]
:=[[0, exp(-w*(a1+1)), 0, 0], [0, -y*exp(-w), 0, 0], [0, 0, exp(-w*a1), 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -21, 0]][1, 3]
:=[[0, 0, exp(-w*(a1+1)), 0], [0, exp(-w), 0, 0], [0, 0, x*exp(-w*a1), 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -21, 0]][1, 4]
:=[[0, 0, 0, 2*exp(-w*(a1+1))], [0, 0, -exp(-w), -2*y*exp(-w)], [0, 0, exp(-w*a1), 0], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -21, 0]][1, 6]
:=[[0, 0, exp(-x*(a1+1)), 0], [-exp(-x), 0, -exp(-x)*z, 0], [0, 0, 0, exp(-x*a1)], [0, 1, 0, 0], [1, 0, 0, 0]];

A[[5, -21, 0]][1, 7]
:=[[0, 0, 0, exp(-w*(a1+1))], [0, exp(-w), 0, 0], [0, 0, -exp(-w*a1), x*exp(-w*a1)], [1, 0, 0, 0], [0, 0, 1, 0]];

A[[5, -21, 0]][1, 8]
:=[[2*exp(-z*(a1+1)), 0, 0, 0], [-2*exp(-z)*y, -exp(-z), -exp(-z), 0], [0, 0, exp(-z*a1), 0], [0, 0, 0, 1], [0, 1, 0, 0]];

A[[5, -21, 0]][1, 10]
:=[[0, 0, 0, exp(-w*(a1+1))], [0, exp(-w), 0, 0], [0, 0, -exp(-w*a1), x*exp(-w*a1)], [1, 0, 0, 0], [0, 0, 1, 0]];

A[[5, -21, 0]][1, 12]
:=[[-exp(-x*(a1+1)), 0, 0, 0], [exp(-x)*z, 0, exp(-x), 0], [0, 0, 0, exp(-x*a1)], [0, 1, 0, 0], [1, 0, 0, 0]];

A[[5, -21, 0]][1, 13]
:=[[0, 0, 1, 0], [0, 1, -z, 0], [0, 0, 0, 1], [0, x, y+y*a1, z*a1], [1, 0, 0, 0]];

A[[5, -21, 0]][2, 11]
:=[[0, 0, -exp(-x*(a1+1))], [0, 0, exp(-x)*y], [0, exp(-x*a1), 0], [1, 0, 0], [0, 0, 1]];

A[[5, -21, 0]][2, 12]
:=[[1, 0, 0], [-y, 0, 0], [0, 1, 0], [x+x*a1, y*a1, 0], [0, 0, 1]];

A[[5, -21, 0]][2, 17]
:=[[0, 0, -exp(-x*(a1+1))], [0, exp(-x), 0], [0, 0, -y*exp(-x*a1)], [1, 0, 0], [0, 0, 1]];

A[[5, -21, 0]][2, 18]
:=[[0, -2*exp(-x*(a1+1)), 0], [0, 2*exp(-x)*z, -exp(-x)], [0, 0, exp(-x*a1)], [1, 0, 0], [0, 2, 0]];

A[[5, -21, 0]][2, 19]
:=[[0, 1, 0], [0, 0, 1], [0, z, 0], [0, y+y*a1, z], [1, 0, 0]];

A[[5, -21, 1]][]
:=[[exp(-2*y), 0, 0, 0, 0], [-x*exp(-y), exp(-y), 0, 0, 0], [0, 0, exp(-y), 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -21, 1]][1, 2]
:=[[0, exp(-2*w), 0, 0], [0, -y*exp(-w), 0, 0], [0, 0, exp(-w), 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -21, 1]][1, 4]
:=[[0, exp(-2*y), 0, 0], [0, 0, 0, exp(-y)], [-exp(-y), z*exp(-y), 0, 0], [0, 0, 1, 0], [1, 0, 0, 0]];

A[[5, -21, 1]][1, 5]
:=[[0, 0, 1, 0], [1, 0, -x, 0], [0, 1, 0, 0], [w, x, 2*y, 0], [0, 0, 0, 1]];

A[[5, -21, 1]][2, 6]
:=[[0, 0, -exp(-2*x)], [0, 0, exp(-x)*y], [0, exp(-x), 0], [1, 0, 0], [0, 0, 1]];

A[[5, -21, 1]][2, 7]
:=[[0, 1, 0], [0, -x, 0], [1, 0, 0], [x, 2*y, 0], [0, 0, 1]];

A[[5, -21, 2]][]
:=[[exp(-y), 0, 0, 0, 0], [-x*exp(-y), exp(-y), 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -21, 2]][1, 2]
:=[[0, exp(-w), 0, 0], [0, -y*exp(-w), 0, 0], [0, 0, 1, 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -21, 2]][1, 4]
:=[[0, exp(-w), 0, 0], [0, -y*exp(-w), 0, -exp(-w)], [0, 0, 1, 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -21, 2]][1, 6]
:=[[0, 0, 0, -exp(-w)], [0, exp(-w), 0, y*exp(-w)], [0, 0, 1, 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -21, 2]][1, 7]
:=[[0, 0, 0, exp(-w)], [0, exp(-w), 0, 0], [0, 0, 0, x], [1, 0, 0, 0], [0, 0, 1, 0]];

A[[5, -21, 2]][1, 8]
:=[[0, 2*exp(-w), 0, 0], [0, -2*z*exp(-w), 0, -exp(-w)], [0, 0, 0, 1], [1, 0, 0, 0], [0, 0, 1, 0]];

A[[5, -21, 2]][1, 9]
:=[[0, 0, 0, 1], [0, 0, 1, -w], [1, 0, 0, 0], [0, 0, y, z], [0, 1, 0, 0]];

A[[5, -21, 2]][1, 10]
:=[[0, 0, exp(-x), 0], [0, 0, 0, exp(-x)], [0, -1, y+z, z], [0, 1, 0, 0], [1, 0, 0, 0]];

A[[5, -21, 2]][2, 9]
:=[[0, 0, -exp(-x)], [0, 0, exp(-x)*y], [0, 1, 0], [1, 0, 0], [0, 0, 1]];

A[[5, -21, 2]][2, 10]
:=[[0, 1, 0], [0, -x, 0], [1, 0, 0], [0, y, 0], [0, 0, 1]];

A[[5, -21, 2]][2, 13]
:=[[0, 0, -exp(-x)], [0, exp(-x), 0], [0, 0, -y], [1, 0, 0], [0, 0, 1]];

A[[5, -21, 2]][2, 15]
:=[[-2*exp(-y), 0, 0], [2*z*exp(-y), 0, -exp(-y)], [0, 0, 1], [0, 1, 0], [2, 0, 0]];

A[[5, -21, 2]][2, 18]
:=[[1, 0, 0], [0, 0, 1], [z, 0, 0], [x, 0, z], [0, 1, 0]];

A[[5, -22, 0]][]
:=[[exp(-2*y), 0, 0, 0, 0], [-x*exp(-y), exp(-y), 0, 0, 0], [y*exp(-y)*x, -y*exp(-y), exp(-y), 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -22, 0]][1, 2]
:=[[0, exp(-2*w), 0, 0], [0, -y*exp(-w), 0, 0], [0, w*exp(-w)*y, exp(-w), 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -22, 0]][1, 3]
:=[[0, 0, exp(-2*w), 0], [0, exp(-w), 0, 0], [0, -w*exp(-w), exp(-w)*x, 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -22, 0]][1, 5]
:=[[0, 0, 0, exp(-2*w)], [0, exp(-w), 0, 0], [0, -w*exp(-w), -exp(-w), exp(-w)*x], [1, 0, 0, 0], [0, 0, 1, 0]];

A[[5, -22, 0]][1, 7]
:=[[0, exp(-2*w), 0, 0], [0, -y*exp(-w), 0, -exp(-w)], [0, w*exp(-w)*y, exp(-w), w*exp(-w)], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -22, 0]][1, 9]
:=[[-exp(-2*x), 0, 0, 0], [exp(-x)*z, 0, exp(-x), 0], [-x*exp(-x)*z, 0, -x*exp(-x), exp(-x)], [0, 1, 0, 0], [1, 0, 0, 0]];

A[[5, -22, 0]][1, 10]
:=[[0, 0, 0, 1], [0, 0, 1, -w], [1, 0, 0, 0], [w, 0, y+w, -1/2*w^2+2*z], [0, 1, 0, 0]];

A[[5, -22, 0]][2, 10]
:=[[0, 0, -exp(-2*x)], [0, 0, exp(-x)*y], [0, exp(-x), -x*exp(-x)*y], [1, 0, 0], [0, 0, 1]];

A[[5, -22, 0]][2, 11]
:=[[1, 0, 0], [-y, 0, 0], [0, 1, 0], [-1/2*y^2+2*x, y, 0], [0, 0, 1]];

A[[5, -22, 0]][2, 14]
:=[[0, 0, -exp(-2*x)], [0, exp(-x), 0], [0, -x*exp(-x), -exp(-x)*y], [1, 0, 0], [0, 0, 1]];

A[[5, -23, 0]][]
:=[[exp(-2*y*a1), 0, 0, 0, 0], [-exp(-y*a1)*x*cos(y), exp(-y*a1)*cos(y), exp(-y*a1)*sin(y), 0, 0], [exp(-y*a1)*x*sin(y), -exp(-y*a1)*sin(y), exp(-y*a1)*cos(y), 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, -23, 0]][1, 3]
:=[[0, 0, 0, -exp(-2*w*a1)], [0, exp(-w*a1)*cos(w), exp(-w*a1)*sin(w), exp(-w*a1)*y*cos(w)], [0, -exp(-w*a1)*sin(w), exp(-w*a1)*cos(w), -exp(-w*a1)*y*sin(w)], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -23, 0]][1, 4]
:=[[0, exp(-2*w*a1), 0, 0], [0, -exp(-w*a1)*y*cos(w), exp(-w*a1)*sin(w), 0], [0, exp(-w*a1)*y*sin(w), exp(-w*a1)*cos(w), 0], [1, 0, 0, 0], [0, 0, 0, 1]];

A[[5, -23, 0]][1, 5]
:=[[0, 0, exp(-2*x*a1), 0], [-exp(-x*a1)*cos(x), 0, -exp(-x*a1)*z*cos(x), exp(-x*a1)*sin(x)], [exp(-x*a1)*sin(x), 0, exp(-x*a1)*z*sin(x), exp(-x*a1)*cos(x)], [0, 1, 0, 0], [1, 0, 0, 0]];

A[[5, -23, 0]][1, 6]
:=[[-1, 0, 0, 0], [0, -1, 0, 0], [x, 0, -1, 0], [-1/2*y^2+1/2*x^2+2*w*a1, y+x*a1, y*a1-x, 0], [0, 0, 0, -1]];

A[[5, -23, 0]][2, 6]
:=[[0, 0, -exp(-2*x*a1)], [0, exp(-x*a1)*sin(x), exp(-x*a1)*y*cos(x)], [0, exp(-x*a1)*cos(x), -exp(-x*a1)*y*sin(x)], [1, 0, 0], [0, 0, 1]];

A[[5, -24, 0]][]
:=[[cos(x)*exp(-y), sin(x)*exp(-y), 0, 0, 0], [-sin(x)*exp(-y), cos(x)*exp(-y), 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, -24, 0]][1, 2]
:=[[0, sin(y)*exp(-w), 0, 0], [0, cos(y)*exp(-w), 0, 0], [1, 0, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -24, 0]][1, 3]
:=[[0, sin(y)*exp(-w), 0, -cos(y)*exp(-w)], [0, cos(y)*exp(-w), 0, sin(y)*exp(-w)], [1, 0, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[5, -24, 0]][1, 4]
:=[[0, 0, sin(w), cos(w)], [0, 0, cos(w), -sin(w)], [0, 0, y, z], [1, 0, 0, 0], [0, 1, 0, 0]];

A[[5, -24, 0]][1, 5]
:=[[0, 0, exp(-z), 0], [exp(-z), 0, 0, 0], [0, 0, 0, 1], [-y+w*p[1], 0, y*p[1]+w, -p[1]], [0, 1, 0, 0]];

A[[5, -24, 0]][2, 5]
:=[[0, 0, -cos(y)*exp(-x)], [0, 0, sin(y)*exp(-x)], [1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[5, -24, 0]][2, 6]
:=[[0, sin(x), 0], [0, cos(x), 0], [0, y, 0], [1, 0, 0], [0, 0, 1]];

A[[5, -24, 0]][2, 7]
:=[[0, 0, 1], [0, 1, 0], [0, y, z], [0, -z, y], [1, 0, 0]];

eval(A);
end:
