USU10:=proc()

local A;
A:=table();


#.........................................................
#
#    2 DIMENSIONAL  DECOMPOSABLE  ALGEBRAS
#
#..........................................................


#.......[2, 0, 0]........

A[[2,0]][structure_constants]
:=[];

A[[2,0]][factors]
:=[[1, 0], [1, 0]];
A[[2,0]][parameters]
:=[[], [[]]];

#.........................................................
#
#    3 DIMENSIONAL  DECOMPOSABLE  ALGEBRAS
#
#..........................................................


#.......[3, 0, 0]........

A[[3,0]][structure_constants]
:=[];

A[[3,0]][factors]
:=[[1, 0], [1, 0], [1, 0]];
A[[3,0]][parameters]
:=[[], [[]]];

#.......[3, -1, 0]........

A[[3,-1]][structure_constants]
:=[[[1, 2, 1], 1]];

A[[3,-1]][factors]
:=[[2, 1], [1, 0]];
A[[3,-1]][parameters]
:=[[], [[]]];

#.........................................................
#
#    4 DIMENSIONAL  DECOMPOSABLE  ALGEBRAS
#
#..........................................................


#.......[4, 0, 0]........

A[[4,0]][structure_constants]
:=[];

A[[4,0]][factors]
:=[[1, 0], [1, 0], [1, 0], [1, 0]];
A[[4,0]][parameters]
:=[[], [[]]];

#.......[4, -1, 0]........

A[[4,-1]][structure_constants]
:=[[[1, 2, 1], 1]];

A[[4,-1]][factors]
:=[[2, 1], [1, 0], [1, 0]];
A[[4,-1]][parameters]
:=[[], [[]]];

#.......[4, -2, 0]........

A[[4,-2]][structure_constants]
:=[[[1, 2, 1], 1], [[3, 4, 3], 1]];

A[[4,-2]][factors]
:=[[2, 1], [2, 1]];
A[[4,-2]][parameters]
:=[[], [[]]];

#.......[4, -3, 0]........

A[[4,-3]][structure_constants]
:=[[[2, 3, 1], 1]];

A[[4,-3]][factors]
:=[[3, 1], [1, 0]];
A[[4,-3]][parameters]
:=[[], [[]]];

#.......[4, -4, 0]........

A[[4,-4]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1]];

A[[4,-4]][factors]
:=[[3, 2], [1, 0]];
A[[4,-4]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[4, -5, 0]........

A[[4,-5]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1]];

A[[4,-5]][factors]
:=[[3, 3], [1, 0]];
A[[4,-5]][parameters]
:=[[], [[]]];

#.......[4, -6, 0]........

A[[4,-6]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1]];

A[[4,-6]][factors]
:=[[3, 4], [1, 0]];
A[[4,-6]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[4, -7, 0]........

A[[4,-7]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1]];

A[[4,-7]][factors]
:=[[3, 5], [1, 0]];
A[[4,-7]][parameters]
:=[[], [[]]];

#.......[4, -8, 0]........

A[[4,-8]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1]];

A[[4,-8]][factors]
:=[[3, 6], [1, 0]];
A[[4,-8]][parameters]
:=[[], [[]]];

#.........................................................
#
#    5 DIMENSIONAL  DECOMPOSABLE  ALGEBRAS
#
#..........................................................


#.......[5, 0, 0]........

A[[5,0]][structure_constants]
:=[];

A[[5,0]][factors]
:=[[1, 0], [1, 0], [1, 0], [1, 0], [1, 0]];
A[[5,0]][parameters]
:=[[], [[]]];

#.......[5, -1, 0]........

A[[5,-1]][structure_constants]
:=[[[1, 2, 1], 1]];

A[[5,-1]][factors]
:=[[2, 1], [1, 0], [1, 0], [1, 0]];
A[[5,-1]][parameters]
:=[[], [[]]];

#.......[5, -2, 0]........

A[[5,-2]][structure_constants]
:=[[[1, 2, 1], 1], [[3, 4, 3], 1]];

A[[5,-2]][factors]
:=[[2, 1], [2, 1], [1, 0]];
A[[5,-2]][parameters]
:=[[], [[]]];

#.......[5, -3, 0]........

A[[5,-3]][structure_constants]
:=[[[2, 3, 1], 1]];

A[[5,-3]][factors]
:=[[3, 1], [1, 0], [1, 0]];
A[[5,-3]][parameters]
:=[[], [[]]];

#.......[5, -4, 0]........

A[[5,-4]][structure_constants]
:=[[[2, 3, 1], 1], [[4, 5, 4], 1]];

A[[5,-4]][factors]
:=[[3, 1], [2, 1]];
A[[5,-4]][parameters]
:=[[], [[]]];

#.......[5, -5, 0]........

A[[5,-5]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1]];

A[[5,-5]][factors]
:=[[3, 2], [1, 0], [1, 0]];
A[[5,-5]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[5, -6, 0]........

A[[5,-6]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1], [[4, 5, 4], 1]];

A[[5,-6]][factors]
:=[[3, 2], [2, 1]];
A[[5,-6]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[5, -7, 0]........

A[[5,-7]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1]];

A[[5,-7]][factors]
:=[[3, 3], [1, 0], [1, 0]];
A[[5,-7]][parameters]
:=[[], [[]]];

#.......[5, -8, 0]........

A[[5,-8]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1], [[4, 5, 4], 1]];

A[[5,-8]][factors]
:=[[3, 3], [2, 1]];
A[[5,-8]][parameters]
:=[[], [[]]];

#.......[5, -9, 0]........

A[[5,-9]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1]];

A[[5,-9]][factors]
:=[[3, 4], [1, 0], [1, 0]];
A[[5,-9]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[5, -10, 0]........

A[[5,-10]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1], [[4, 5, 4], 1]];

A[[5,-10]][factors]
:=[[3, 4], [2, 1]];
A[[5,-10]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[5, -11, 0]........

A[[5,-11]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1]];

A[[5,-11]][factors]
:=[[3, 5], [1, 0], [1, 0]];
A[[5,-11]][parameters]
:=[[], [[]]];

#.......[5, -12, 0]........

A[[5,-12]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[4, 5, 4], 1]];

A[[5,-12]][factors]
:=[[3, 5], [2, 1]];
A[[5,-12]][parameters]
:=[[], [[]]];

#.......[5, -13, 0]........

A[[5,-13]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1]];

A[[5,-13]][factors]
:=[[3, 6], [1, 0], [1, 0]];
A[[5,-13]][parameters]
:=[[], [[]]];

#.......[5, -14, 0]........

A[[5,-14]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 5, 4], 1]];

A[[5,-14]][factors]
:=[[3, 6], [2, 1]];
A[[5,-14]][parameters]
:=[[], [[]]];

#.......[5, -15, 0]........

A[[5,-15]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 2], 1]];

A[[5,-15]][factors]
:=[[4, 1], [1, 0]];
A[[5,-15]][parameters]
:=[[], [[]]];

#.......[5, -16, 0]........

A[[5,-16]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 2], a1], [[3, 4, 3], b1]];

A[[5,-16]][factors]
:=[[4, 2], [1, 0]];
A[[5,-16]][parameters]
:=[[a1, b1], [[a1 <> 0, b1 <> 0, a1 <= 1, b1 <= a1, -1 <= b1]]];

#.......[5, -17, 0]........

A[[5,-17]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 1], 1], [[2, 4, 2], 1], [[3, 4, 3], a1]];

A[[5,-17]][factors]
:=[[4, 3], [1, 0]];
A[[5,-17]][parameters]
:=[[a1], [[a1 <> 0]]];

#.......[5, -18, 0]........

A[[5,-18]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 3], 1]];

A[[5,-18]][factors]
:=[[4, 4], [1, 0]];
A[[5,-18]][parameters]
:=[[], [[]]];

#.......[5, -19, 0]........

A[[5,-19]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 1], 1], [[2, 4, 2], 1], [[3, 4, 2], 1], [[3, 4, 3], 1]];

A[[5,-19]][factors]
:=[[4, 5], [1, 0]];
A[[5,-19]][parameters]
:=[[], [[]]];

#.......[5, -20, 0]........

A[[5,-20]][structure_constants]
:=[[[1, 4, 1], a1], [[2, 4, 2], b1], [[2, 4, 3], -1], [[3, 4, 2], 1], [[3, 4, 3], b1]];

A[[5,-20]][factors]
:=[[4, 6], [1, 0]];
A[[5,-20]][parameters]
:=[[a1, b1], [[a1 <> 0, 0 <= b1]]];

#.......[5, -21, 0]........

A[[5,-21]][structure_constants]
:=[[[1, 4, 1], a1+1], [[2, 3, 1], 1], [[2, 4, 2], 1], [[3, 4, 3], a1]];

A[[5,-21]][factors]
:=[[4, 7], [1, 0]];
A[[5,-21]][parameters]
:=[[a1], [[a1 <= 1, -1 < a1]]];

#.......[5, -22, 0]........

A[[5,-22]][structure_constants]
:=[[[1, 4, 1], 2], [[2, 3, 1], 1], [[2, 4, 2], 1], [[3, 4, 2], 1], [[3, 4, 3], 1]];

A[[5,-22]][factors]
:=[[4, 8], [1, 0]];
A[[5,-22]][parameters]
:=[[], [[]]];

#.......[5, -23, 0]........

A[[5,-23]][structure_constants]
:=[[[1, 4, 1], 2*a1], [[2, 3, 1], 1], [[2, 4, 2], a1], [[2, 4, 3], -1], [[3, 4, 2], 1], [[3, 4, 3], a1]];

A[[5,-23]][factors]
:=[[4, 9], [1, 0]];
A[[5,-23]][parameters]
:=[[a1], [[0 < a1]]];

#.......[5, -24, 0]........

A[[5,-24]][structure_constants]
:=[[[1, 3, 1], 1], [[1, 4, 2], -1], [[2, 3, 2], 1], [[2, 4, 1], 1]];

A[[5,-24]][factors]
:=[[4, 10], [1, 0]];
A[[5,-24]][parameters]
:=[[], [[]]];

#.........................................................
#
#    6 DIMENSIONAL  DECOMPOSABLE  ALGEBRAS
#
#..........................................................


#.......[6, 0, 0]........

A[[6,0]][structure_constants]
:=[];

A[[6,0]][factors]
:=[[1, 0], [1, 0], [1, 0], [1, 0], [1, 0], [1, 0]];
A[[6,0]][parameters]
:=[[], [[]]];

#.......[6, -1, 0]........

A[[6,-1]][structure_constants]
:=[[[1, 2, 1], 1]];

A[[6,-1]][factors]
:=[[2, 1], [1, 0], [1, 0], [1, 0], [1, 0]];
A[[6,-1]][parameters]
:=[[], [[]]];

#.......[6, -2, 0]........

A[[6,-2]][structure_constants]
:=[[[1, 2, 1], 1], [[3, 4, 3], 1]];

A[[6,-2]][factors]
:=[[2, 1], [2, 1], [1, 0], [1, 0]];
A[[6,-2]][parameters]
:=[[], [[]]];

#.......[6, -3, 0]........

A[[6,-3]][structure_constants]
:=[[[1, 2, 1], 1], [[3, 4, 3], 1], [[5, 6, 5], 1]];

A[[6,-3]][factors]
:=[[2, 1], [2, 1], [2, 1]];
A[[6,-3]][parameters]
:=[[], [[]]];

#.......[6, -4, 0]........

A[[6,-4]][structure_constants]
:=[[[2, 3, 1], 1]];

A[[6,-4]][factors]
:=[[3, 1], [1, 0], [1, 0], [1, 0]];
A[[6,-4]][parameters]
:=[[], [[]]];

#.......[6, -5, 0]........

A[[6,-5]][structure_constants]
:=[[[2, 3, 1], 1], [[4, 5, 4], 1]];

A[[6,-5]][factors]
:=[[3, 1], [2, 1], [1, 0]];
A[[6,-5]][parameters]
:=[[], [[]]];

#.......[6, -6, 0]........

A[[6,-6]][structure_constants]
:=[[[2, 3, 1], 1], [[5, 6, 4], 1]];

A[[6,-6]][factors]
:=[[3, 1], [3, 1]];
A[[6,-6]][parameters]
:=[[], [[]]];

#.......[6, -7, 0]........

A[[6,-7]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1]];

A[[6,-7]][factors]
:=[[3, 2], [1, 0], [1, 0], [1, 0]];
A[[6,-7]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[6, -8, 0]........

A[[6,-8]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1], [[4, 5, 4], 1]];

A[[6,-8]][factors]
:=[[3, 2], [2, 1], [1, 0]];
A[[6,-8]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[6, -9, 0]........

A[[6,-9]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1], [[5, 6, 4], 1]];

A[[6,-9]][factors]
:=[[3, 2], [3, 1]];
A[[6,-9]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[6, -10, 0]........

A[[6,-10]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 2], a1], [[4, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-10]][factors]
:=[[3, 2], [3, 2]];
A[[6,-10]][parameters]
:=[[a1, a2], [[-1 <= a1, a1 <= 1, a1 <> 0, -1 <= a2, a2 <= 1, a2 <> 0]]];

#.......[6, -11, 0]........

A[[6,-11]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1]];

A[[6,-11]][factors]
:=[[3, 3], [1, 0], [1, 0], [1, 0]];
A[[6,-11]][parameters]
:=[[], [[]]];

#.......[6, -12, 0]........

A[[6,-12]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1], [[4, 5, 4], 1]];

A[[6,-12]][factors]
:=[[3, 3], [2, 1], [1, 0]];
A[[6,-12]][parameters]
:=[[], [[]]];

#.......[6, -13, 0]........

A[[6,-13]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1], [[5, 6, 4], 1]];

A[[6,-13]][factors]
:=[[3, 3], [3, 1]];
A[[6,-13]][parameters]
:=[[], [[]]];

#.......[6, -14, 0]........

A[[6,-14]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1], [[4, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-14]][factors]
:=[[3, 3], [3, 2]];
A[[6,-14]][parameters]
:=[[a2], [[-1 <= a2, a2 <= 1, a2 <> 0]]];

#.......[6, -15, 0]........

A[[6,-15]][structure_constants]
:=[[[1, 3, 1], 1], [[2, 3, 1], 1], [[2, 3, 2], 1], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6,-15]][factors]
:=[[3, 3], [3, 3]];
A[[6,-15]][parameters]
:=[[], [[]]];

#.......[6, -16, 0]........

A[[6,-16]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1]];

A[[6,-16]][factors]
:=[[3, 4], [1, 0], [1, 0], [1, 0]];
A[[6,-16]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[6, -17, 0]........

A[[6,-17]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1], [[4, 5, 4], 1]];

A[[6,-17]][factors]
:=[[3, 4], [2, 1], [1, 0]];
A[[6,-17]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[6, -18, 0]........

A[[6,-18]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1], [[5, 6, 4], 1]];

A[[6,-18]][factors]
:=[[3, 4], [3, 1]];
A[[6,-18]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[6, -19, 0]........

A[[6,-19]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1], [[4, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-19]][factors]
:=[[3, 4], [3, 2]];
A[[6,-19]][parameters]
:=[[a1, a2], [[0 <= a1, -1 <= a2, a2 <= 1, a2 <> 0]]];

#.......[6, -20, 0]........

A[[6,-20]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6,-20]][factors]
:=[[3, 4], [3, 3]];
A[[6,-20]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[6, -21, 0]........

A[[6,-21]][structure_constants]
:=[[[1, 3, 1], a1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[2, 3, 2], a1], [[4, 6, 4], a2], [[4, 6, 5], -1], [[5, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-21]][factors]
:=[[3, 4], [3, 4]];
A[[6,-21]][parameters]
:=[[a1, a2], [[0 <= a1, 0 <= a2]]];

#.......[6, -22, 0]........

A[[6,-22]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1]];

A[[6,-22]][factors]
:=[[3, 5], [1, 0], [1, 0], [1, 0]];
A[[6,-22]][parameters]
:=[[], [[]]];

#.......[6, -23, 0]........

A[[6,-23]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[4, 5, 4], 1]];

A[[6,-23]][factors]
:=[[3, 5], [2, 1], [1, 0]];
A[[6,-23]][parameters]
:=[[], [[]]];

#.......[6, -24, 0]........

A[[6,-24]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[5, 6, 4], 1]];

A[[6,-24]][factors]
:=[[3, 5], [3, 1]];
A[[6,-24]][parameters]
:=[[], [[]]];

#.......[6, -25, 0]........

A[[6,-25]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[4, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-25]][factors]
:=[[3, 5], [3, 2]];
A[[6,-25]][parameters]
:=[[a2], [[-1 <= a2, a2 <= 1, a2 <> 0]]];

#.......[6, -26, 0]........

A[[6,-26]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6,-26]][factors]
:=[[3, 5], [3, 3]];
A[[6,-26]][parameters]
:=[[], [[]]];

#.......[6, -27, 0]........

A[[6,-27]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[4, 6, 4], a2], [[4, 6, 5], -1], [[5, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-27]][factors]
:=[[3, 5], [3, 4]];
A[[6,-27]][parameters]
:=[[a2], [[0 <= a2]]];

#.......[6, -28, 0]........

A[[6,-28]][structure_constants]
:=[[[1, 2, 1], 1], [[1, 3, 2], -2], [[2, 3, 3], 1], [[4, 5, 4], 1], [[4, 6, 5], -2], [[5, 6, 6], 1]];

A[[6,-28]][factors]
:=[[3, 5], [3, 5]];
A[[6,-28]][parameters]
:=[[], [[]]];

#.......[6, -29, 0]........

A[[6,-29]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1]];

A[[6,-29]][factors]
:=[[3, 6], [1, 0], [1, 0], [1, 0]];
A[[6,-29]][parameters]
:=[[], [[]]];

#.......[6, -30, 0]........

A[[6,-30]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 5, 4], 1]];

A[[6,-30]][factors]
:=[[3, 6], [2, 1], [1, 0]];
A[[6,-30]][parameters]
:=[[], [[]]];

#.......[6, -31, 0]........

A[[6,-31]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[5, 6, 4], 1]];

A[[6,-31]][factors]
:=[[3, 6], [3, 1]];
A[[6,-31]][parameters]
:=[[], [[]]];

#.......[6, -32, 0]........

A[[6,-32]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-32]][factors]
:=[[3, 6], [3, 2]];
A[[6,-32]][parameters]
:=[[a2], [[-1 <= a2, a2 <= 1, a2 <> 0]]];

#.......[6, -33, 0]........

A[[6,-33]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6,-33]][factors]
:=[[3, 6], [3, 3]];
A[[6,-33]][parameters]
:=[[], [[]]];

#.......[6, -34, 0]........

A[[6,-34]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 6, 4], a2], [[4, 6, 5], -1], [[5, 6, 4], 1], [[5, 6, 5], a2]];

A[[6,-34]][factors]
:=[[3, 6], [3, 4]];
A[[6,-34]][parameters]
:=[[a2], [[0 <= a2]]];

#.......[6, -35, 0]........

A[[6,-35]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 5, 4], 1], [[4, 6, 5], -2], [[5, 6, 6], 1]];

A[[6,-35]][factors]
:=[[3, 6], [3, 5]];
A[[6,-35]][parameters]
:=[[], [[]]];

#.......[6, -36, 0]........

A[[6,-36]][structure_constants]
:=[[[1, 2, 3], 1], [[1, 3, 2], -1], [[2, 3, 1], 1], [[4, 5, 6], 1], [[4, 6, 5], -1], [[5, 6, 4], 1]];

A[[6,-36]][factors]
:=[[3, 6], [3, 6]];
A[[6,-36]][parameters]
:=[[], [[]]];

#.......[6, -37, 0]........

A[[6,-37]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 2], 1]];

A[[6,-37]][factors]
:=[[4, 1], [1, 0], [1, 0]];
A[[6,-37]][parameters]
:=[[], [[]]];

#.......[6, -38, 0]........

A[[6,-38]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 2], 1], [[5, 6, 5], 1]];

A[[6,-38]][factors]
:=[[4, 1], [2, 1]];
A[[6,-38]][parameters]
:=[[], [[]]];

#.......[6, -39, 0]........

A[[6,-39]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 2], a1], [[3, 4, 3], b1]];

A[[6,-39]][factors]
:=[[4, 2], [1, 0], [1, 0]];
A[[6,-39]][parameters]
:=[[a1, b1], [[a1 <> 0, b1 <> 0, a1 <= 1, b1 <= a1, -1 <= b1]]];

#.......[6, -40, 0]........

A[[6,-40]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 2], a1], [[3, 4, 3], b1], [[5, 6, 5], 1]];

A[[6,-40]][factors]
:=[[4, 2], [2, 1]];
A[[6,-40]][parameters]
:=[[a1, b1], [[a1 <> 0, b1 <> 0, a1 <= 1, b1 <= a1, -1 <= b1]]];

#.......[6, -41, 0]........

A[[6,-41]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 1], 1], [[2, 4, 2], 1], [[3, 4, 3], a1]];

A[[6,-41]][factors]
:=[[4, 3], [1, 0], [1, 0]];
A[[6,-41]][parameters]
:=[[a1], [[a1 <> 0]]];

#.......[6, -42, 0]........

A[[6,-42]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 1], 1], [[2, 4, 2], 1], [[3, 4, 3], a1], [[5, 6, 5], 1]];

A[[6,-42]][factors]
:=[[4, 3], [2, 1]];
A[[6,-42]][parameters]
:=[[a1], [[a1 <> 0]]];

#.......[6, -43, 0]........

A[[6,-43]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 3], 1]];

A[[6,-43]][factors]
:=[[4, 4], [1, 0], [1, 0]];
A[[6,-43]][parameters]
:=[[], [[]]];

#.......[6, -44, 0]........

A[[6,-44]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 3], 1], [[5, 6, 5], 1]];

A[[6,-44]][factors]
:=[[4, 4], [2, 1]];
A[[6,-44]][parameters]
:=[[], [[]]];

#.......[6, -45, 0]........

A[[6,-45]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 1], 1], [[2, 4, 2], 1], [[3, 4, 2], 1], [[3, 4, 3], 1]];

A[[6,-45]][factors]
:=[[4, 5], [1, 0], [1, 0]];
A[[6,-45]][parameters]
:=[[], [[]]];

#.......[6, -46, 0]........

A[[6,-46]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 4, 1], 1], [[2, 4, 2], 1], [[3, 4, 2], 1], [[3, 4, 3], 1], [[5, 6, 5], 1]];

A[[6,-46]][factors]
:=[[4, 5], [2, 1]];
A[[6,-46]][parameters]
:=[[], [[]]];

#.......[6, -47, 0]........

A[[6,-47]][structure_constants]
:=[[[1, 4, 1], a1], [[2, 4, 2], b1], [[2, 4, 3], -1], [[3, 4, 2], 1], [[3, 4, 3], b1]];

A[[6,-47]][factors]
:=[[4, 6], [1, 0], [1, 0]];
A[[6,-47]][parameters]
:=[[a1, b1], [[a1 <> 0, 0 <= b1]]];

#.......[6, -48, 0]........

A[[6,-48]][structure_constants]
:=[[[1, 4, 1], a1], [[2, 4, 2], b1], [[2, 4, 3], -1], [[3, 4, 2], 1], [[3, 4, 3], b1], [[5, 6, 5], 1]];

A[[6,-48]][factors]
:=[[4, 6], [2, 1]];
A[[6,-48]][parameters]
:=[[a1, b1], [[a1 <> 0, 0 <= b1]]];

#.......[6, -49, 0]........

A[[6,-49]][structure_constants]
:=[[[1, 4, 1], a1+1], [[2, 3, 1], 1], [[2, 4, 2], 1], [[3, 4, 3], a1]];

A[[6,-49]][factors]
:=[[4, 7], [1, 0], [1, 0]];
A[[6,-49]][parameters]
:=[[a1], [[a1 <= 1, -1 < a1]]];

#.......[6, -50, 0]........

A[[6,-50]][structure_constants]
:=[[[1, 4, 1], a1+1], [[2, 3, 1], 1], [[2, 4, 2], 1], [[3, 4, 3], a1], [[5, 6, 5], 1]];

A[[6,-50]][factors]
:=[[4, 7], [2, 1]];
A[[6,-50]][parameters]
:=[[a1], [[a1 <= 1, -1 < a1]]];

#.......[6, -51, 0]........

A[[6,-51]][structure_constants]
:=[[[1, 4, 1], 2], [[2, 3, 1], 1], [[2, 4, 2], 1], [[3, 4, 2], 1], [[3, 4, 3], 1]];

A[[6,-51]][factors]
:=[[4, 8], [1, 0], [1, 0]];
A[[6,-51]][parameters]
:=[[], [[]]];

#.......[6, -52, 0]........

A[[6,-52]][structure_constants]
:=[[[1, 4, 1], 2], [[2, 3, 1], 1], [[2, 4, 2], 1], [[3, 4, 2], 1], [[3, 4, 3], 1], [[5, 6, 5], 1]];

A[[6,-52]][factors]
:=[[4, 8], [2, 1]];
A[[6,-52]][parameters]
:=[[], [[]]];

#.......[6, -53, 0]........

A[[6,-53]][structure_constants]
:=[[[1, 4, 1], 2*a1], [[2, 3, 1], 1], [[2, 4, 2], a1], [[2, 4, 3], -1], [[3, 4, 2], 1], [[3, 4, 3], a1]];

A[[6,-53]][factors]
:=[[4, 9], [1, 0], [1, 0]];
A[[6,-53]][parameters]
:=[[a1], [[0 < a1]]];

#.......[6, -54, 0]........

A[[6,-54]][structure_constants]
:=[[[1, 4, 1], 2*a1], [[2, 3, 1], 1], [[2, 4, 2], a1], [[2, 4, 3], -1], [[3, 4, 2], 1], [[3, 4, 3], a1], [[5, 6, 5], 1]];

A[[6,-54]][factors]
:=[[4, 9], [2, 1]];
A[[6,-54]][parameters]
:=[[a1], [[0 < a1]]];

#.......[6, -55, 0]........

A[[6,-55]][structure_constants]
:=[[[1, 3, 1], 1], [[1, 4, 2], -1], [[2, 3, 2], 1], [[2, 4, 1], 1]];

A[[6,-55]][factors]
:=[[4, 10], [1, 0], [1, 0]];
A[[6,-55]][parameters]
:=[[], [[]]];

#.......[6, -56, 0]........

A[[6,-56]][structure_constants]
:=[[[1, 3, 1], 1], [[1, 4, 2], -1], [[2, 3, 2], 1], [[2, 4, 1], 1], [[5, 6, 5], 1]];

A[[6,-56]][factors]
:=[[4, 10], [2, 1]];
A[[6,-56]][parameters]
:=[[], [[]]];

#.......[6, -57, 0]........

A[[6,-57]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1]];

A[[6,-57]][factors]
:=[[5, 1], [1, 0]];
A[[6,-57]][parameters]
:=[[], [[]]];

#.......[6, -58, 0]........

A[[6,-58]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1]];

A[[6,-58]][factors]
:=[[5, 2], [1, 0]];
A[[6,-58]][parameters]
:=[[], [[]]];

#.......[6, -59, 0]........

A[[6,-59]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1]];

A[[6,-59]][factors]
:=[[5, 3], [1, 0]];
A[[6,-59]][parameters]
:=[[], [[]]];

#.......[6, -60, 0]........

A[[6,-60]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1]];

A[[6,-60]][factors]
:=[[5, 4], [1, 0]];
A[[6,-60]][parameters]
:=[[], [[]]];

#.......[6, -61, 0]........

A[[6,-61]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1]];

A[[6,-61]][factors]
:=[[5, 5], [1, 0]];
A[[6,-61]][parameters]
:=[[], [[]]];

#.......[6, -62, 0]........

A[[6,-62]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1]];

A[[6,-62]][factors]
:=[[5, 6], [1, 0]];
A[[6,-62]][parameters]
:=[[], [[]]];

#.......[6, -63, 0]........

A[[6,-63]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 2], a1], [[3, 5, 3], b1], [[4, 5, 4], c1]];

A[[6,-63]][factors]
:=[[5, 7], [1, 0]];
A[[6,-63]][parameters]
:=[[a1, b1, c1], [[a1 <= 1, b1 <= a1, c1 <= b1, -1 <= c1, a1 <> 0, b1 <> 0, c1 <> 0]]];

#.......[6, -64, 0]........

A[[6,-64]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 3], 1], [[4, 5, 4], a1]];

A[[6,-64]][factors]
:=[[5, 8], [1, 0]];
A[[6,-64]][parameters]
:=[[a1], [[-1 <= a1, a1 <= 1, a1 <> 0]]];

#.......[6, -65, 0]........

A[[6,-65]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 1], 1], [[2, 5, 2], 1], [[3, 5, 3], a1], [[4, 5, 4], b1]];

A[[6,-65]][factors]
:=[[5, 9], [1, 0]];
A[[6,-65]][parameters]
:=[[a1, b1], [[abs(b1) <= a1, -a1 <= abs(b1), b1 <> 0]]];

#.......[6, -66, 0]........

A[[6,-66]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 2], 1], [[2, 5, 1], 1], [[3, 5, 3], a1], [[4, 5, 3], 1], [[4, 5, 4], a1]];

A[[6,-66]][factors]
:=[[5, 10], [1, 0]];
A[[6,-66]][parameters]
:=[[a1], [[a1 <= 1, -1 <= a1]]];

#.......[6, -67, 0]........

A[[6,-67]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 4], 1]];

A[[6,-67]][factors]
:=[[5, 11], [1, 0]];
A[[6,-67]][parameters]
:=[[], [[]]];

#.......[6, -68, 0]........

A[[6,-68]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 1], 1], [[2, 5, 2], 1], [[3, 5, 2], 1], [[3, 5, 3], 1], [[4, 5, 4], a1]];

A[[6,-68]][factors]
:=[[5, 12], [1, 0]];
A[[6,-68]][parameters]
:=[[a1], [[a1 <> 0]]];

#.......[6, -69, 0]........

A[[6,-69]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 1], 1], [[2, 5, 2], 1], [[3, 5, 2], 1], [[3, 5, 3], 1], [[4, 5, 3], 1], [[4, 5, 4], 1]];

A[[6,-69]][factors]
:=[[5, 13], [1, 0]];
A[[6,-69]][parameters]
:=[[], [[]]];

#.......[6, -70, 0]........

A[[6,-70]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 2], a1], [[3, 5, 3], b1], [[3, 5, 4], -c1], [[4, 5, 3], c1], [[4, 5, 4], b1]];

A[[6,-70]][factors]
:=[[5, 14], [1, 0]];
A[[6,-70]][parameters]
:=[[a1, b1, c1], [[a1 <> 0, 0 < c1, a1 <= 1, -1 <= a1]]];

#.......[6, -71, 0]........

A[[6,-71]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 3], a1], [[3, 5, 4], -1], [[4, 5, 3], 1], [[4, 5, 4], a1]];

A[[6,-71]][factors]
:=[[5, 15], [1, 0]];
A[[6,-71]][parameters]
:=[[a1], [[a1 <= 1, -1 <= a1]]];

#.......[6, -72, 0]........

A[[6,-72]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 1], 1], [[2, 5, 2], 1], [[3, 5, 3], a1], [[3, 5, 4], -b1], [[4, 5, 3], b1], [[4, 5, 4], a1]];

A[[6,-72]][factors]
:=[[5, 16], [1, 0]];
A[[6,-72]][parameters]
:=[[a1, b1], [[0 < b1]]];

#.......[6, -73, 0]........

A[[6,-73]][structure_constants]
:=[[[1, 5, 1], a1], [[1, 5, 2], -1], [[2, 5, 1], 1], [[2, 5, 2], a1], [[3, 5, 3], b1], [[3, 5, 4], -c1], [[4, 5, 3], c1], [[4, 5, 4], b1]];

A[[6,-73]][factors]
:=[[5, 17], [1, 0]];
A[[6,-73]][parameters]
:=[[a1, b1, c1], [[0 < a1, 0 < c1, c1 <= 1], [a1 = 0, 0 <= b1, 0 < c1, c1 <= 1]]];

#.......[6, -74, 0]........

A[[6,-74]][structure_constants]
:=[[[1, 5, 1], a1], [[1, 5, 2], -1], [[2, 5, 1], 1], [[2, 5, 2], a1], [[3, 5, 1], 1], [[3, 5, 3], a1], [[3, 5, 4], -1], [[4, 5, 2], 1], [[4, 5, 3], 1], [[4, 5, 4], a1]];

A[[6,-74]][factors]
:=[[5, 18], [1, 0]];
A[[6,-74]][parameters]
:=[[a1], [[0 <= a1]]];

#.......[6, -75, 0]........

A[[6,-75]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], a1+1], [[2, 5, 2], 1], [[3, 5, 3], a1], [[4, 5, 4], b1]];

A[[6,-75]][factors]
:=[[5, 19], [1, 0]];
A[[6,-75]][parameters]
:=[[a1, b1], [[a1 <> 0, a1 <= 1, -1 < a1, b1 <> 0]]];

#.......[6, -76, 0]........

A[[6,-76]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], a1+1], [[2, 5, 2], 1], [[3, 5, 3], a1], [[4, 5, 1], 1], [[4, 5, 4], a1+1]];

A[[6,-76]][factors]
:=[[5, 20], [1, 0]];
A[[6,-76]][parameters]
:=[[a1], [[a1 <> 0, -1 < a1, a1 <= 1]]];

#.......[6, -77, 0]........

A[[6,-77]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 2], [[2, 5, 2], 1], [[2, 5, 3], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[4, 5, 4], 1]];

A[[6,-77]][factors]
:=[[5, 21], [1, 0]];
A[[6,-77]][parameters]
:=[[], [[]]];

#.......[6, -78, 0]........

A[[6,-78]][structure_constants]
:=[[[2, 3, 1], 1], [[2, 5, 3], 1], [[4, 5, 4], 1]];

A[[6,-78]][factors]
:=[[5, 22], [1, 0]];
A[[6,-78]][parameters]
:=[[], [[]]];

#.......[6, -79, 0]........

A[[6,-79]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 2], [[2, 5, 2], 1], [[2, 5, 3], 1], [[3, 5, 3], 1], [[4, 5, 4], a1]];

A[[6,-79]][factors]
:=[[5, 23], [1, 0]];
A[[6,-79]][parameters]
:=[[a1], [[a1 <> 0]]];

#.......[6, -80, 0]........

A[[6,-80]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 2], [[2, 5, 2], 1], [[2, 5, 3], 1], [[3, 5, 3], 1], [[4, 5, 1], epsilon1], [[4, 5, 4], 2]];

A[[6,-80]][factors]
:=[[5, 24], [1, 0]];
A[[6,-80]][parameters]
:=[[epsilon1], [[abs(epsilon1) = 1]]];

#.......[6, -81, 0]........

A[[6,-81]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 2*a1], [[2, 5, 2], a1], [[2, 5, 3], 1], [[3, 5, 2], -1], [[3, 5, 3], a1], [[4, 5, 4], b1]];

A[[6,-81]][factors]
:=[[5, 25], [1, 0]];
A[[6,-81]][parameters]
:=[[a1, b1], [[b1 <> 0]]];

#.......[6, -82, 0]........

A[[6,-82]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 2*a1], [[2, 5, 2], a1], [[2, 5, 3], 1], [[3, 5, 2], -1], [[3, 5, 3], a1], [[4, 5, 4], 2*a1], [[4, 5, 1], epsilon1]];

A[[6,-82]][factors]
:=[[5, 26], [1, 0]];
A[[6,-82]][parameters]
:=[[epsilon1, a1], [[abs(epsilon1) = 1]]];

#.......[6, -83, 0]........

A[[6,-83]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[4, 5, 1], 1], [[4, 5, 4], 1]];

A[[6,-83]][factors]
:=[[5, 27], [1, 0]];
A[[6,-83]][parameters]
:=[[], [[]]];

#.......[6, -84, 0]........

A[[6,-84]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], a1+1], [[2, 5, 2], a1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[4, 5, 4], 1]];

A[[6,-84]][factors]
:=[[5, 28], [1, 0]];
A[[6,-84]][parameters]
:=[[a1], [[a1 <> 0, a1 <> -1]]];

#.......[6, -85, 0]........

A[[6,-85]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 5, 1], 1], [[2, 5, 2], 1], [[3, 5, 4], 1]];

A[[6,-85]][factors]
:=[[5, 29], [1, 0]];
A[[6,-85]][parameters]
:=[[], [[]]];

#.......[6, -86, 0]........

A[[6,-86]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 2], 1], [[1, 5, 1], a1+2], [[2, 5, 2], a1+1], [[3, 5, 3], a1], [[4, 5, 4], 1]];

A[[6,-86]][factors]
:=[[5, 30], [1, 0]];
A[[6,-86]][parameters]
:=[[a1], [[]]];

#.......[6, -87, 0]........

A[[6,-87]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 2], 1], [[1, 5, 1], 3], [[2, 5, 2], 2], [[3, 5, 3], 1], [[4, 5, 3], 1], [[4, 5, 4], 1]];

A[[6,-87]][factors]
:=[[5, 31], [1, 0]];
A[[6,-87]][parameters]
:=[[], [[]]];

#.......[6, -88, 0]........

A[[6,-88]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 4, 2], 1], [[1, 5, 1], 1], [[2, 5, 2], 1], [[3, 5, 1], a1], [[3, 5, 3], 1]];

A[[6,-88]][factors]
:=[[5, 32], [1, 0]];
A[[6,-88]][parameters]
:=[[a1], [[]]];

#.......[6, -89, 0]........

A[[6,-89]][structure_constants]
:=[[[1, 4, 1], 1], [[3, 4, 3], a1], [[2, 5, 2], 1], [[3, 5, 3], b1]];

A[[6,-89]][factors]
:=[[5, 33], [1, 0]];
A[[6,-89]][parameters]
:=[[a1, b1], [[a1^2+b1^2 <> 0, a1 <> 0, b1 <> 0]]];

#.......[6, -90, 0]........

A[[6,-90]][structure_constants]
:=[[[1, 4, 1], a1], [[2, 4, 2], 1], [[3, 4, 3], 1], [[1, 5, 1], 1], [[3, 5, 2], 1]];

A[[6,-90]][factors]
:=[[5, 34], [1, 0]];
A[[6,-90]][parameters]
:=[[a1], [[]]];

#.......[6, -91, 0]........

A[[6,-91]][structure_constants]
:=[[[1, 4, 1], b1], [[2, 4, 2], 1], [[3, 4, 3], 1], [[1, 5, 1], a1], [[2, 5, 3], -1], [[3, 5, 2], 1]];

A[[6,-91]][factors]
:=[[5, 35], [1, 0]];
A[[6,-91]][parameters]
:=[[a1, b1], [[a1^2+b1^2 <> 0]]];

#.......[6, -92, 0]........

A[[6,-92]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 5, 2], 1], [[4, 5, 3], 1]];

A[[6,-92]][factors]
:=[[5, 36], [1, 0]];
A[[6,-92]][parameters]
:=[[], [[]]];

#.......[6, -93, 0]........

A[[6,-93]][structure_constants]
:=[[[1, 4, 1], 1], [[2, 5, 1], 1], [[1, 5, 2], -1], [[2, 4, 2], 1], [[4, 5, 3], 1]];

A[[6,-93]][factors]
:=[[5, 37], [1, 0]];
A[[6,-93]][parameters]
:=[[], [[]]];

#.......[6, -94, 0]........

A[[6,-94]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 4, 1], 1], [[2, 4, 2], 1], [[2, 5, 2], -1], [[3, 5, 3], 1]];

A[[6,-94]][factors]
:=[[5, 38], [1, 0]];
A[[6,-94]][parameters]
:=[[], [[]]];

#.......[6, -95, 0]........

A[[6,-95]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 4, 1], 2], [[2, 4, 2], 1], [[3, 4, 3], 1], [[2, 5, 3], -1], [[3, 5, 2], 1]];

A[[6,-95]][factors]
:=[[5, 39], [1, 0]];
A[[6,-95]][parameters]
:=[[], [[]]];

#.......[6, -96, 0]........

A[[6,-96]][structure_constants]
:=[[[1, 2, 1], 2], [[1, 3, 2], -1], [[2, 3, 3], 2], [[1, 4, 5], 1], [[2, 4, 4], 1], [[2, 5, 5], -1], [[3, 5, 4], 1]];

A[[6,-96]][factors]
:=[[5, 40], [1, 0]];
A[[6,-96]][parameters]
:=[[], [[]]];

eval(A);
end:
