USU1_3:=proc()

description `USU3: Solvable Lie Algebras of dimension six.`;

local A;
A:=table();


A[[6, 23, 0]][structure_constants]
:=[[[1, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], b], [[4, 6, 4], c], [[5, 6, 5], d]];

A[[6, 23, 0]][parameters]
:=[];

A[[6, 23, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,1],{}]];

A[[6, 23, 0]][remarks]
:=[];

#............[6,24,0]............


A[[6, 24, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], 1], [[4, 6, 4], c], [[5, 6, 5], d]];

A[[6, 24, 0]][parameters]
:=[];

A[[6, 24, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,2],{}]];

A[[6, 24, 0]][remarks]
:=[];

#............[6,25,0]............


A[[6, 25, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], a], [[3, 6, 2], 1], [[4, 6, 4], 1], [[5, 6, 5], d]];

A[[6, 25, 0]][parameters]
:=[];

A[[6, 25, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,3],{}]];

A[[6, 25, 0]][remarks]
:=[];

#............[6,26,0]............


A[[6, 26, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], a], [[3, 6, 2], 1], [[4, 6, 4], a], [[4, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 26, 0]][parameters]
:=[];

A[[6, 26, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,4],{}]];

A[[6, 26, 0]][remarks]
:=[];

#............[6,27,0]............


A[[6, 27, 0]][structure_constants]
:=[[[1, 6, 1], 1], [[2, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 3], 1], [[3, 6, 2], 1], [[4, 6, 4], 1], [[4, 6, 3], 1], [[5, 6, 5], 1], [[5, 6, 4], 1]];

A[[6, 27, 0]][parameters]
:=[];

A[[6, 27, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,5],{}]];

A[[6, 27, 0]][remarks]
:=[];

#............[6,28,0]............


A[[6, 28, 0]][structure_constants]
:=[[[1, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], a], [[3, 6, 2], 1], [[4, 6, 4], b], [[5, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 28, 0]][parameters]
:=[];

A[[6, 28, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,6],{}]];

A[[6, 28, 0]][remarks]
:=[];

#............[6,29,0]............


A[[6, 29, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], a], [[3, 6, 2], 1], [[4, 6, 4], b], [[5, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 29, 0]][parameters]
:=[];

A[[6, 29, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,7],{}]];

A[[6, 29, 0]][remarks]
:=[];

#............[6,30,0]............


A[[6, 30, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 2], b], [[3, 6, 3], c], [[4, 6, 4], d], [[4, 6, 5], -1], [[5, 6, 4], 1], [[5, 6, 5], d]];

A[[6, 30, 0]][parameters]
:=[];

A[[6, 30, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,8],{}]];

A[[6, 30, 0]][remarks]
:=[];

#............[6,31,0]............


A[[6, 31, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 2], b], [[3, 6, 2], 1], [[3, 6, 3], b], [[4, 6, 4], d], [[4, 6, 5], -1], [[5, 6, 4], 1], [[5, 6, 5], d]];

A[[6, 31, 0]][parameters]
:=[];

A[[6, 31, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,9],{}]];

A[[6, 31, 0]][remarks]
:=[];

#............[6,32,0]............


A[[6, 32, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 2], 1], [[3, 6, 3], a], [[4, 6, 4], d], [[4, 6, 5], -1], [[5, 6, 4], 1], [[5, 6, 5], d]];

A[[6, 32, 0]][parameters]
:=[];

A[[6, 32, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,10],{}]];

A[[6, 32, 0]][remarks]
:=[];

#............[6,33,0]............


A[[6, 33, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 2], b], [[2, 6, 3], -1], [[3, 6, 2], 1], [[3, 6, 3], b], [[4, 6, 4], c], [[4, 6, 5], -w], [[5, 6, 4], d], [[5, 6, 5], c]];

A[[6, 33, 0]][parameters]
:=[];

A[[6, 33, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,11],{}]];

A[[6, 33, 0]][remarks]
:=[];

#............[6,34,0]............


A[[6, 34, 0]][structure_constants]
:=[[[1, 6, 1], a], [[2, 6, 2], b], [[2, 6, 3], -1], [[3, 6, 2], 1], [[3, 6, 3], b], [[4, 6, 2], 1], [[4, 6, 4], b], [[4, 6, 5], -1], [[5, 6, 3], 1], [[5, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 34, 0]][parameters]
:=[];

A[[6, 34, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,12],{}]];

A[[6, 34, 0]][remarks]
:=[];

#............[6,35,0]............


A[[6, 35, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], a+b], [[2, 6, 2], a], [[3, 6, 3], b], [[4, 6, 4], 1], [[5, 6, 5], c]];

A[[6, 35, 0]][parameters]
:=[];

A[[6, 35, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,13],{}]];

A[[6, 35, 0]][remarks]
:=[];

#............[6,36,0]............


A[[6, 36, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], a+b], [[2, 6, 2], a], [[3, 6, 3], b], [[4, 6, 4], 1], [[5, 6, 1], 1], [[5, 6, 5], a+b]];

A[[6, 36, 0]][parameters]
:=[];

A[[6, 36, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,14],{}]];

A[[6, 36, 0]][remarks]
:=[];

#............[6,37,0]............


A[[6, 37, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], 1], [[2, 6, 4], 1], [[3, 6, 3], a], [[3, 6, 5], 1], [[4, 6, 4], 1], [[5, 6, 5], a]];

A[[6, 37, 0]][parameters]
:=[];

A[[6, 37, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,15],{}]];

A[[6, 37, 0]][remarks]
:=[];

#............[6,38,0]............


A[[6, 38, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[2, 6, 4], 1], [[3, 6, 5], 1], [[4, 6, 1], 1], [[4, 6, 4], 1]];

A[[6, 38, 0]][parameters]
:=[];

A[[6, 38, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,16],{}]];

A[[6, 38, 0]][remarks]
:=[];

#............[6,39,0]............


A[[6, 39, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], a], [[2, 6, 2], a], [[3, 6, 4], 1], [[4, 6, 1], b], [[5, 6, 5], 1]];

A[[6, 39, 0]][parameters]
:=[];

A[[6, 39, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,17],{}]];

A[[6, 39, 0]][remarks]
:=[];

#............[6,40,0]............


A[[6, 40, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], a], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 40, 0]][parameters]
:=[];

A[[6, 40, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,18],{}]];

A[[6, 40, 0]][remarks]
:=[];

#............[6,41,0]............


A[[6, 41, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], a], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1], [[5, 6, 1], 1], [[5, 6, 5], 1+a]];

A[[6, 41, 0]][parameters]
:=[];

A[[6, 41, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,19],{}]];

A[[6, 41, 0]][remarks]
:=[];

#............[6,42,0]............


A[[6, 42, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 1], 1], [[4, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 42, 0]][parameters]
:=[];

A[[6, 42, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,20],{}]];

A[[6, 42, 0]][remarks]
:=[];

#............[6,43,0]............


A[[6, 43, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[4, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 43, 0]][parameters]
:=[];

A[[6, 43, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,21],{}]];

A[[6, 43, 0]][remarks]
:=[];

#............[6,44,0]............


A[[6, 44, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[4, 6, 4], 1], [[5, 6, 1], 1], [[5, 6, 5], 2*a]];

A[[6, 44, 0]][parameters]
:=[];

A[[6, 44, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,22],{}]];

A[[6, 44, 0]][remarks]
:=[];

#............[6,45,0]............


A[[6, 45, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[3, 6, 4], 1], [[4, 6, 4], a], [[5, 6, 1], c], [[5, 6, 5], 2*a+b]];

A[[6, 45, 0]][parameters]
:=[];

A[[6, 45, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,23],{}]];

A[[6, 45, 0]][remarks]
:=[];

#............[6,46,0]............


A[[6, 46, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[2, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 1], a], [[5, 6, 5], 1]];

A[[6, 46, 0]][parameters]
:=[];

A[[6, 46, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,24],{}]];

A[[6, 46, 0]][remarks]
:=[];

#............[6,47,0]............


A[[6, 47, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], 1], [[3, 6, 3], a], [[4, 6, 4], b], [[4, 6, 5], 1], [[5, 6, 5], b]];

A[[6, 47, 0]][parameters]
:=[];

A[[6, 47, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,25],{}]];

A[[6, 47, 0]][remarks]
:=[];

#............[6,48,0]............


A[[6, 48, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], 1], [[3, 6, 3], a], [[4, 6, 4], 1+a], [[4, 6, 5], 1], [[5, 6, 1], 1], [[5, 6, 5], 1+a]];

A[[6, 48, 0]][parameters]
:=[];

A[[6, 48, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,26],{}]];

A[[6, 48, 0]][remarks]
:=[];

#............[6,49,0]............


A[[6, 49, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], a+b], [[2, 6, 2], a], [[3, 6, 3], b], [[3, 6, 4], 1], [[4, 6, 4], b], [[4, 6, 5], 1], [[5, 6, 1], c], [[5, 6, 5], b]];

A[[6, 49, 0]][parameters]
:=[];

A[[6, 49, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,27],{}]];

A[[6, 49, 0]][remarks]
:=[];

#............[6,50,0]............


A[[6, 50, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[2, 6, 3], 1], [[3, 6, 3], 1], [[4, 6, 4], a], [[4, 6, 5], 1], [[5, 6, 5], a]];

A[[6, 50, 0]][parameters]
:=[];

A[[6, 50, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,28],{}]];

A[[6, 50, 0]][remarks]
:=[];

#............[6,51,0]............


A[[6, 51, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[2, 6, 3], 1], [[3, 6, 3], 1], [[4, 6, 4], 2], [[4, 6, 5], 1], [[5, 6, 1], 1], [[5, 6, 5], 2]];

A[[6, 51, 0]][parameters]
:=[];

A[[6, 51, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,29],{}]];

A[[6, 51, 0]][remarks]
:=[];

#............[6,52,0]............


A[[6, 52, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[2, 6, 3], 1], [[4, 6, 4], 1], [[4, 6, 5], 1], [[5, 6, 5], 1]];

A[[6, 52, 0]][parameters]
:=[];

A[[6, 52, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,30],{}]];

A[[6, 52, 0]][remarks]
:=[];

#............[6,53,0]............


A[[6, 53, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[2, 6, 3], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1], [[4, 6, 5], 1], [[5, 6, 5], 1]];

A[[6, 53, 0]][parameters]
:=[];

A[[6, 53, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,31],{}]];

A[[6, 53, 0]][remarks]
:=[];

#............[6,54,0]............


A[[6, 54, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[3, 6, 2], -1], [[4, 6, 1], c], [[4, 6, 4], 2*a+b], [[5, 6, 5], d]];

A[[6, 54, 0]][parameters]
:=[];

A[[6, 54, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,32],{}]];

A[[6, 54, 0]][remarks]
:=[];

#............[6,55,0]............


A[[6, 55, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[3, 6, 2], -1], [[4, 6, 4], b], [[5, 6, 1], 1], [[5, 6, 5], 2*a]];

A[[6, 55, 0]][parameters]
:=[];

A[[6, 55, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,33],{}]];

A[[6, 55, 0]][remarks]
:=[];

#............[6,56,0]............


A[[6, 56, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[3, 6, 2], -1], [[4, 6, 4], 2*a+b], [[4, 6, 5], 1], [[5, 6, 1], c], [[5, 6, 5], 2*a+b]];

A[[6, 56, 0]][parameters]
:=[];

A[[6, 56, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,34],{}]];

A[[6, 56, 0]][remarks]
:=[];

#............[6,57,0]............


A[[6, 57, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], a+b], [[2, 6, 2], a], [[3, 6, 3], b], [[4, 6, 4], c], [[4, 6, 5], 1], [[5, 6, 5], c], [[5, 6, 4], -1]];

A[[6, 57, 0]][parameters]
:=[];

A[[6, 57, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,35],{}]];

A[[6, 57, 0]][remarks]
:=[];

#............[6,58,0]............


A[[6, 58, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[4, 6, 4], b], [[4, 6, 5], 1], [[5, 6, 4], -1], [[5, 6, 5], b]];

A[[6, 58, 0]][parameters]
:=[];

A[[6, 58, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,36],{}]];

A[[6, 58, 0]][remarks]
:=[];

#............[6,59,0]............


A[[6, 59, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[3, 6, 3], a], [[3, 6, 2], -1], [[4, 6, 4], b], [[4, 6, 5], c], [[5, 6, 4], -c], [[5, 6, 5], b]];

A[[6, 59, 0]][parameters]
:=[];

A[[6, 59, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,37],{}]];

A[[6, 59, 0]][remarks]
:=[];

#............[6,60,0]............


A[[6, 60, 0]][structure_constants]
:=[[[2, 3, 1], 1], [[1, 6, 1], 2*a], [[2, 6, 2], a], [[2, 6, 3], 1], [[2, 6, 4], 1], [[3, 6, 2], -1], [[3, 6, 3], a], [[3, 6, 5], 1], [[4, 6, 4], a], [[4, 6, 5], 1], [[5, 6, 4], -1], [[5, 6, 5], a]];

A[[6, 60, 0]][parameters]
:=[];

A[[6, 60, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,38],{}]];

A[[6, 60, 0]][remarks]
:=[];

#............[6,61,0]............


A[[6, 61, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], a+2], [[3, 6, 3], b], [[4, 6, 4], a], [[5, 6, 5], 1]];

A[[6, 61, 0]][parameters]
:=[];

A[[6, 61, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,39],{}]];

A[[6, 61, 0]][remarks]
:=[];

#............[6,62,0]............


A[[6, 62, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], a+2], [[3, 6, 3], a+2], [[4, 6, 4], a], [[5, 6, 5], 1]];

A[[6, 62, 0]][parameters]
:=[];

A[[6, 62, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,40],{}]];

A[[6, 62, 0]][remarks]
:=[];

#............[6,63,0]............


A[[6, 63, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], a+2], [[3, 6, 3], a], [[4, 6, 4], a], [[4, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 63, 0]][parameters]
:=[];

A[[6, 63, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,41],{}]];

A[[6, 63, 0]][remarks]
:=[];

#............[6,64,0]............


A[[6, 64, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1+a], [[2, 6, 2], a+2], [[3, 6, 3], 1], [[4, 6, 4], a], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 64, 0]][parameters]
:=[];

A[[6, 64, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,42],{}]];

A[[6, 64, 0]][remarks]
:=[];

#............[6,65,0]............


A[[6, 65, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[2, 6, 2], 1], [[3, 6, 2], 1], [[3, 6, 3], 1], [[4, 6, 4], -1], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 65, 0]][parameters]
:=[];

A[[6, 65, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,43],{}]];

A[[6, 65, 0]][remarks]
:=[];

#............[6,66,0]............


A[[6, 66, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 3], [[3, 6, 3], b], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6, 66, 0]][parameters]
:=[];

A[[6, 66, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,44],{}]];

A[[6, 66, 0]][remarks]
:=[];

#............[6,67,0]............


A[[6, 67, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 3], [[3, 6, 2], 1], [[3, 6, 3], 3], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6, 67, 0]][parameters]
:=[];

A[[6, 67, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,45],{}]];

A[[6, 67, 0]][remarks]
:=[];

#............[6,68,0]............


A[[6, 68, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 3], [[3, 6, 3], 1], [[4, 6, 3], 1], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6, 68, 0]][parameters]
:=[];

A[[6, 68, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,46],{}]];

A[[6, 68, 0]][remarks]
:=[];

#............[6,69,0]............


A[[6, 69, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 3], b], [[4, 6, 2], a], [[4, 6, 4], 1]];

A[[6, 69, 0]][parameters]
:=[];

A[[6, 69, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,47],{}]];

A[[6, 69, 0]][remarks]
:=[];

#............[6,70,0]............


A[[6, 70, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 2], 1], [[3, 6, 3], 1], [[4, 6, 4], 1]];

A[[6, 70, 0]][parameters]
:=[];

A[[6, 70, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,48],{}]];

A[[6, 70, 0]][remarks]
:=[];

#............[6,71,0]............


A[[6, 71, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[4, 6, 2], a], [[4, 6, 4], 1], [[5, 6, 3], 1]];

A[[6, 71, 0]][parameters]
:=[];

A[[6, 71, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,49],{}]];

A[[6, 71, 0]][remarks]
:=[];

#............[6,72,0]............


A[[6, 72, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 2], a], [[3, 6, 3], 1], [[4, 6, 3], 1], [[4, 6, 4], 1]];

A[[6, 72, 0]][parameters]
:=[];

A[[6, 72, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,50],{}]];

A[[6, 72, 0]][remarks]
:=[];

#............[6,73,0]............


A[[6, 73, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[3, 6, 3], 1], [[4, 6, 2], a]];

A[[6, 73, 0]][parameters]
:=[];

A[[6, 73, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,51],{}]];

A[[6, 73, 0]][remarks]
:=[];

#............[6,74,0]............


A[[6, 74, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[4, 5, 1], 1], [[3, 6, 3], 1], [[4, 6, 2], a], [[5, 6, 4], 1]];

A[[6, 74, 0]][parameters]
:=[];

A[[6, 74, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,52],{}]];

A[[6, 74, 0]][remarks]
:=[];

#............[6,75,0]............


A[[6, 75, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[3, 6, 3], 1], [[4, 6, 4], 1], [[5, 6, 5], -1]];

A[[6, 75, 0]][parameters]
:=[];

A[[6, 75, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,53],{}]];

A[[6, 75, 0]][remarks]
:=[];

#............[6,76,0]............


A[[6, 76, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], 1-b], [[4, 6, 4], a-b], [[5, 6, 5], b]];

A[[6, 76, 0]][parameters]
:=[];

A[[6, 76, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,54],{}]];

A[[6, 76, 0]][remarks]
:=[];

#............[6,77,0]............


A[[6, 77, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 1+b], [[3, 6, 3], 1-b], [[4, 6, 1], 1], [[4, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 77, 0]][parameters]
:=[];

A[[6, 77, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,55],{}]];

A[[6, 77, 0]][remarks]
:=[];

#............[6,78,0]............


A[[6, 78, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 1-b], [[3, 6, 2], 1], [[3, 6, 3], 1-b], [[4, 6, 4], 1-2*b], [[5, 6, 5], b]];

A[[6, 78, 0]][parameters]
:=[];

A[[6, 78, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,56],{}]];

A[[6, 78, 0]][remarks]
:=[];

#............[6,79,0]............


A[[6, 79, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 2*b], [[3, 6, 3], 1-b], [[4, 6, 4], b], [[5, 6, 4], 1], [[5, 6, 5], b]];

A[[6, 79, 0]][parameters]
:=[];

A[[6, 79, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,57],{}]];

A[[6, 79, 0]][remarks]
:=[];

#............[6,80,0]............


A[[6, 80, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 3], [[2, 6, 2], 2], [[3, 6, 2], 1], [[3, 6, 3], 2], [[4, 6, 4], 1], [[5, 6, 4], a], [[5, 6, 5], 1]];

A[[6, 80, 0]][parameters]
:=[];

A[[6, 80, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,58],{}]];

A[[6, 80, 0]][remarks]
:=[];

#............[6,81,0]............


A[[6, 81, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[3, 6, 3], 1], [[4, 6, 2], 1], [[5, 6, 4], a]];

A[[6, 81, 0]][parameters]
:=[];

A[[6, 81, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,59],{}]];

A[[6, 81, 0]][remarks]
:=[];

#............[6,82,0]............


A[[6, 82, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 2], [[4, 6, 1], 1], [[4, 6, 4], 1], [[5, 6, 4], a], [[5, 6, 5], 1]];

A[[6, 82, 0]][parameters]
:=[];

A[[6, 82, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,60],{}]];

A[[6, 82, 0]][remarks]
:=[];

#............[6,83,0]............


A[[6, 83, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2], [[2, 6, 2], 2*a], [[3, 6, 3], 1], [[4, 6, 4], 2*a-1], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 83, 0]][parameters]
:=[];

A[[6, 83, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,61],{}]];

A[[6, 83, 0]][remarks]
:=[];

#............[6,84,0]............


A[[6, 84, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[3, 6, 2], 1], [[3, 6, 3], 1], [[5, 6, 3], a], [[5, 6, 5], 1]];

A[[6, 84, 0]][parameters]
:=[];

A[[6, 84, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,62],{}]];

A[[6, 84, 0]][remarks]
:=[];

#............[6,85,0]............


A[[6, 85, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], a], [[3, 6, 3], 1], [[4, 6, 2], 1], [[4, 6, 4], a]];

A[[6, 85, 0]][parameters]
:=[];

A[[6, 85, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,63],{}]];

A[[6, 85, 0]][remarks]
:=[];

#............[6,86,0]............


A[[6, 86, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 2], a], [[3, 6, 3], 1], [[4, 6, 1], 1], [[4, 6, 4], 1]];

A[[6, 86, 0]][parameters]
:=[];

A[[6, 86, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,64],{}]];

A[[6, 86, 0]][remarks]
:=[];

#............[6,87,0]............


A[[6, 87, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], a], [[1, 6, 2], 1], [[2, 6, 2], a], [[3, 6, 3], 1-b], [[3, 6, 4], 1], [[4, 6, 4], a-b], [[5, 6, 5], b]];

A[[6, 87, 0]][parameters]
:=[];

A[[6, 87, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,65],{}]];

A[[6, 87, 0]][remarks]
:=[];

#............[6,88,0]............


A[[6, 88, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2], [[1, 6, 2], 1], [[2, 6, 2], 2], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 88, 0]][parameters]
:=[];

A[[6, 88, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,66],{}]];

A[[6, 88, 0]][remarks]
:=[];

#............[6,89,0]............


A[[6, 89, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2], [[1, 6, 2], 1], [[2, 6, 2], 2], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1], [[5, 6, 4], a], [[5, 6, 5], 1]];

A[[6, 89, 0]][parameters]
:=[];

A[[6, 89, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,67],{}]];

A[[6, 89, 0]][remarks]
:=[];

#............[6,90,0]............


A[[6, 90, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[1, 6, 2], 1], [[2, 6, 2], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 1], a], [[4, 6, 4], 1]];

A[[6, 90, 0]][parameters]
:=[];

A[[6, 90, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,68],{}]];

A[[6, 90, 0]][remarks]
:=[];

#............[6,91,0]............


A[[6, 91, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[1, 6, 2], 1], [[2, 6, 2], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 2], 1], [[4, 6, 4], 1]];

A[[6, 91, 0]][parameters]
:=[];

A[[6, 91, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,69],{}]];

A[[6, 91, 0]][remarks]
:=[];

#............[6,92,0]............


A[[6, 92, 0]][structure_constants]
:=[[[3, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], a], [[1, 6, 2], 1], [[2, 6, 1], -1], [[2, 6, 2], a], [[3, 6, 3], a-b], [[3, 6, 4], 1], [[4, 6, 3], -1], [[4, 6, 4], a-b], [[5, 6, 5], b]];

A[[6, 92, 0]][parameters]
:=[];

A[[6, 92, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,70],{}]];

A[[6, 92, 0]][remarks]
:=[];

#............[6,93,0]............


A[[6, 93, 0]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1], [[1, 6, 1], a+3], [[2, 6, 2], a+2], [[3, 6, 3], 1+a], [[4, 6, 4], a], [[5, 6, 5], 1]];

A[[6, 93, 0]][parameters]
:=[];

A[[6, 93, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,71],{}]];

A[[6, 93, 0]][remarks]
:=[];

#............[6,94,0]............


A[[6, 94, 0]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1], [[1, 6, 1], 4], [[2, 6, 2], 3], [[3, 6, 3], 2], [[4, 6, 4], 1], [[5, 6, 4], 1], [[5, 6, 5], 1]];

A[[6, 94, 0]][parameters]
:=[];

A[[6, 94, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,72],{}]];

A[[6, 94, 0]][remarks]
:=[];

#............[6,95,0]............


A[[6, 95, 0]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 1], a], [[3, 6, 3], 1], [[4, 6, 2], a], [[4, 6, 4], 1]];

A[[6, 95, 0]][parameters]
:=[];

A[[6, 95, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,73],{}]];

A[[6, 95, 0]][remarks]
:=[];

#............[6,96,0]............


A[[6, 96, 0]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 3], 1], [[4, 6, 4], 1]];

A[[6, 96, 0]][parameters]
:=[];

A[[6, 96, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,74],{}]];

A[[6, 96, 0]][remarks]
:=[];

#............[6,97,0]............


A[[6, 97, 0]][structure_constants]
:=[[[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 3], 1], [[4, 6, 1], 1], [[4, 6, 4], 1]];

A[[6, 97, 0]][parameters]
:=[];

A[[6, 97, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,75],{}]];

A[[6, 97, 0]][remarks]
:=[];

#............[6,98,0]............


A[[6, 98, 0]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2*a+1], [[2, 6, 2], 1+a], [[3, 6, 3], a+2], [[4, 6, 4], 1], [[5, 6, 5], a]];

A[[6, 98, 0]][parameters]
:=[];

A[[6, 98, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,76],{}]];

A[[6, 98, 0]][remarks]
:=[];

#............[6,99,0]............


A[[6, 99, 0]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 6, 3], 2], [[4, 6, 1], a], [[4, 6, 4], 1]];

A[[6, 99, 0]][parameters]
:=[];

A[[6, 99, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,77],{}]];

A[[6, 99, 0]][remarks]
:=[];

#............[6,100,0]............


A[[6, 100, 0]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], -1], [[3, 6, 3], 1], [[4, 6, 3], 1], [[4, 6, 4], 1], [[5, 6, 5], -1]];

A[[6, 100, 0]][parameters]
:=[];

A[[6, 100, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,78],{}]];

A[[6, 100, 0]][remarks]
:=[];

#............[6,101,0]............


A[[6, 101, 0]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 3], [[2, 6, 2], 2], [[3, 6, 1], 1], [[3, 6, 3], 3], [[4, 6, 4], 1], [[4, 6, 5], 1], [[5, 6, 5], 1]];

A[[6, 101, 0]][parameters]
:=[];

A[[6, 101, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,79],{}]];

A[[6, 101, 0]][remarks]
:=[];

#............[6,102,0]............


A[[6, 102, 0]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[3, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 102, 0]][parameters]
:=[];

A[[6, 102, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,80],{}]];

A[[6, 102, 0]][remarks]
:=[];

#............[6,103,0]............


A[[6, 103, 0]][structure_constants]
:=[[[2, 4, 3], 1], [[2, 5, 1], 1], [[4, 5, 2], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[3, 6, 3], 1], [[5, 6, 3], a], [[5, 6, 5], 1]];

A[[6, 103, 0]][parameters]
:=[];

A[[6, 103, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,81],{}]];

A[[6, 103, 0]][remarks]
:=[];

#............[6,104,0]............


A[[6, 104, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1/2*a+b], [[3, 6, 3], 1/2*a+c], [[4, 6, 4], 1/2*a-b], [[5, 6, 5], 1/2*a-c]];

A[[6, 104, 0]][parameters]
:=[];

A[[6, 104, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,82],{}]];

A[[6, 104, 0]][remarks]
:=[];

#............[6,105,0]............


A[[6, 105, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1/2*a+b], [[2, 6, 3], 1], [[3, 6, 3], 1/2*a+b], [[4, 6, 4], 1/2*a-b], [[5, 6, 4], -1], [[5, 6, 5], 1/2*a-b]];

A[[6, 105, 0]][parameters]
:=[];

A[[6, 105, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,83],{}]];

A[[6, 105, 0]][remarks]
:=[];

#............[6,106,0]............


A[[6, 106, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[2, 6, 2], 1], [[4, 6, 4], -1], [[5, 6, 3], 1]];

A[[6, 106, 0]][parameters]
:=[];

A[[6, 106, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,84],{}]];

A[[6, 106, 0]][remarks]
:=[];

#............[6,107,0]............


A[[6, 107, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 1+b], [[3, 6, 3], 1], [[4, 6, 4], 1-b], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 107, 0]][parameters]
:=[];

A[[6, 107, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,85],{}]];

A[[6, 107, 0]][remarks]
:=[];

#............[6,108,0]............


A[[6, 108, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[2, 6, 3], 1], [[3, 6, 3], 1], [[4, 6, 4], 1], [[5, 6, 4], -1], [[5, 6, 5], 1]];

A[[6, 108, 0]][parameters]
:=[];

A[[6, 108, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,86],{}]];

A[[6, 108, 0]][remarks]
:=[];

#............[6,109,0]............


A[[6, 109, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[2, 6, 5], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 109, 0]][parameters]
:=[];

A[[6, 109, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,87],{}]];

A[[6, 109, 0]][remarks]
:=[];

#............[6,110,0]............


A[[6, 110, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1/2*a+b], [[2, 6, 3], c], [[3, 6, 2], c], [[3, 6, 3], 1/2*a+b], [[4, 6, 4], 1/2*a-b], [[4, 6, 5], c], [[5, 6, 4], -c], [[5, 6, 5], 1/2*a-b]];

A[[6, 110, 0]][parameters]
:=[];

A[[6, 110, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,88],{}]];

A[[6, 110, 0]][remarks]
:=[];

#............[6,111,0]............


A[[6, 111, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1/2*a+b], [[3, 6, 3], 1/2*a], [[3, 6, 5], c], [[4, 6, 4], 1/2*a-b], [[5, 6, 3], -c], [[5, 6, 5], 1/2*a]];

A[[6, 111, 0]][parameters]
:=[];

A[[6, 111, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,89],{}]];

A[[6, 111, 0]][remarks]
:=[];

#............[6,112,0]............


A[[6, 112, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1/2*a], [[2, 6, 4], 1], [[3, 6, 3], 1/2*a], [[3, 6, 5], b], [[4, 6, 2], 1], [[4, 6, 4], 1/2*a], [[5, 6, 3], -b], [[5, 6, 5], 1/2*a]];

A[[6, 112, 0]][parameters]
:=[];

A[[6, 112, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,90],{}]];

A[[6, 112, 0]][remarks]
:=[];

#............[6,113,0]............


A[[6, 113, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[2, 6, 4], 1], [[3, 6, 5], 1], [[4, 6, 2], 1], [[5, 6, 3], -1]];

A[[6, 113, 0]][parameters]
:=[];

A[[6, 113, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,91],{}]];

A[[6, 113, 0]][remarks]
:=[];

#............[6,114,0]............


A[[6, 114, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], a], [[2, 6, 3], b], [[3, 6, 2], -c], [[3, 6, 3], 1/2*a], [[4, 6, 2], 1/2*a], [[4, 6, 5], c], [[5, 6, 4], -b], [[5, 6, 5], 1/2*a]];

A[[6, 114, 0]][parameters]
:=[];

A[[6, 114, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,92],{}]];

A[[6, 114, 0]][remarks]
:=[];

#............[6,115,0]............


A[[6, 115, 0]][structure_constants]
:=[[[2, 4, 1], 1], [[3, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1/2*a], [[2, 6, 4], 1], [[2, 6, 5], b], [[3, 6, 3], 1/2*a], [[3, 6, 4], b], [[4, 6, 2], 1], [[4, 6, 3], -b], [[4, 6, 4], 1/2*a], [[5, 6, 2], -b], [[5, 6, 5], 1/2*a]];

A[[6, 115, 0]][parameters]
:=[];

A[[6, 115, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,93],{}]];

A[[6, 115, 0]][remarks]
:=[];

#............[6,116,0]............


A[[6, 116, 0]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[1, 6, 1], a+2], [[2, 6, 2], 1+a], [[3, 6, 3], a], [[4, 6, 4], 2], [[5, 6, 5], 1]];

A[[6, 116, 0]][parameters]
:=[];

A[[6, 116, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,94],{}]];

A[[6, 116, 0]][remarks]
:=[];

#............[6,117,0]............


A[[6, 117, 0]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[1, 6, 1], 2], [[2, 6, 2], 1], [[4, 6, 1], 1], [[4, 6, 4], 2], [[5, 6, 5], 1]];

A[[6, 117, 0]][parameters]
:=[];

A[[6, 117, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,95],{}]];

A[[6, 117, 0]][remarks]
:=[];

#............[6,118,0]............


A[[6, 118, 0]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[1, 6, 1], 3], [[2, 6, 2], 2], [[3, 6, 3], 1], [[4, 6, 2], 1], [[4, 6, 4], 2], [[5, 6, 3], 1], [[5, 6, 5], 1]];

A[[6, 118, 0]][parameters]
:=[];

A[[6, 118, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,96],{}]];

A[[6, 118, 0]][remarks]
:=[];

#............[6,119,0]............


A[[6, 119, 0]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[1, 6, 1], 4], [[2, 6, 2], 3], [[3, 6, 3], 2], [[3, 6, 4], 1], [[4, 6, 4], 2], [[5, 6, 5], 1]];

A[[6, 119, 0]][parameters]
:=[];

A[[6, 119, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,97],{}]];

A[[6, 119, 0]][remarks]
:=[];

#............[6,120,0]............


A[[6, 120, 0]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 1], a], [[2, 6, 2], 1], [[3, 6, 3], 1], [[5, 6, 4], a]];

A[[6, 120, 0]][parameters]
:=[];

A[[6, 120, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,98],{}]];

A[[6, 120, 0]][remarks]
:=[];

#............[6,121,0]............


A[[6, 121, 0]][structure_constants]
:=[[[3, 4, 1], 1], [[2, 5, 1], 1], [[3, 5, 2], 1], [[4, 5, 3], 1], [[1, 6, 1], 5], [[2, 6, 2], 4], [[3, 6, 3], 3], [[4, 6, 4], 2], [[5, 6, 5], 1]];

A[[6, 121, 0]][parameters]
:=[];

A[[6, 121, 0]][reference][[Mubarakyzanov, 3]]
:=[[[6,99],{}]];

A[[6, 121, 0]][remarks]
:=[];

#............[6,122,0]............


eval(A);
end:
