



USU1_6:=proc()

local A;

A:=table();


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                                                
#  6 DIMENSIONAL NILPOTENT LIE ALGEBRAS      
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


A[[6,1]][structure_constants]
:=[[[3,6,1],1],[[4,6,2],1],[[5,6,3],1]];


A[[6,1]][parameters]
:=[[],[[]]];


A[[6,1]][algebra_type]
:=nilpotent;

A[[6,1]][mai]
:=[];


M:=Matrix([[0,0,0,0,0,-1],[0,0,0,0,1,0],[0,0,1,0,0,0],
           [1,0,0,0,0,0],[0,0,0,1,0,0],[0,1,0,0,0,0]]);

A[[6,1]][reference][[Morozov,1]]
:=[ [[6,1],{},eval(M)]];

A[[6,1]][reference][[Winternitz,1]]
:=[[[6,1],{},eval(M)]];

A[[6,1]][reference][[Winternitz,5]]
:=[[[6,1]]] ;


#............. [6,2,0].............

A[[6,2]][structure_constants]
:=[[[2,6,1],1],[[3,6,2],1],[[4,6,3],1],[[5,6,4],1]];


A[[6,2]][parameters]
:=[[],[[]]];

A[[6,2]][algebra_type]
:=nilpotent;

A[[6,2]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,-1],[0,0,0,0,1,0],[0,0,0,1,0,0],
[0,0,1,0,0,0],[0,1,0,0,0,0],[1,0,0,0,0,0]]);

A[[6,2]][reference][[Morozov,1]]
:=[[[6,2],{},eval(M)]];

A[[6,2]][reference][[Winternitz,1]]
:=[[[6,2],{},eval(M)]];

A[[6,2]][reference][[Winternitz,5]]
:=[[[6,2]]] ;


#........... [6,3,0] ............. 

A[[6,3]][structure_constants]
:=[[[4,5,3],1],[[4,6,1],1],[[5,6,2],1]];


A[[6,3]][parameters]
:=[[],[[]]];

A[[6,3]][algebra_type]
:=nilpotent;

A[[6,3]][mai]
:=[];

M :=Matrix([[0,0,0,0,0,-1],[0,0,0,1,0,0],[0,0,0,0,1,0],
 [0,1,0,0,0,0],[0,0,1,0,0,0],[1,0,0,0,0,0]]);


A[[6,3]][reference][[Morozov,1]]
:=[[[6,3],{},eval(M)]];

A[[6,3]][reference][[Winternitz,1]]
:=[[[6,3],{},eval(M)]];

M := Matrix([[0,1,0,0,0,0],[0,0,1,0,0,0],[1,0,0,0,0,0],
 [0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,1]]); 

A[[6,3]][reference][[Winternitz,5]]
:=[[[6,3],{},eval(M)]] ;

#........... [6,4,0] ...........


A[[6,4]][structure_constants]
:=[[[3,6,1],1],[[4,5,1],1],[[4,6,2],1]];



A[[6,4]][parameters]
:=[[],[[]]];

A[[6,4]][algebra_type]
:=nilpotent;

A[[6,4]][mai]
:=[];

M := Matrix([[0,0,0,-1,0,0],[0,0,0,0,0,-1],[0,0,0,1,-1,0],
             [0,0,1,0,0,0],[0,1,0,0,0,0],[1,0,0,0,0,0]]);

A[[6,4]][reference][[Morozov,1]]
:=[[[6,4],{},eval(M)]];

A[[6,4]][reference][[Winternitz,1]]
:=[[[6,4],{},eval(M)]];

A[[6,4]][reference][[Winternitz,5]]
:=[[[6,4],{},LinearAlgebra[DiagonalMatrix](1,1,1,1,-1,1) ]] ;

#............[6,5,0]........

A[[6,5]][structure_constants]
:=[[[3,5,1],1],[[3,6,2],-1],[[4,5,2],1],[[4,6,1],1]];

A[[6,5]][parameters]
:=[[],[[]]];

A[[6,5]][algebra_type]
:=nilpotent;

A[[6,5]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,-1/(sqrt(-gamma)),0],
		[0,0,1/(sqrt(-gamma)),0,0,0],[0,0,0,1,0,0],
 		[0,1/(sqrt(-gamma)),0,0,0,0],[-1,0,0,0,0,0]]);

A[[6,5]][reference][[Morozov,1]]
:=[[[6,5],{},eval(M)]];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,-1/(sqrt(-a)),0],
		[0,0,1/(sqrt(-a)),0,0,0],[0,0,0,1,0,0],
 		[0,1/(sqrt(-a)),0,0,0,0],[-1,0,0,0,0,0]]);

A[[6,5]][reference][[Winternitz,1]]
:=[[[6,5],{},eval(M)]];

A[[6,5]][reference][[Winternitz,5]]
:=[[[6,5]]] ;


#........... [6,6,0] ...........

A[[6,6]][structure_constants]
:=[[[3,6,1],1],[[4,5,1],1],[[4,6,2],1],[[5,6,3],1]];


A[[6,6]][parameters]
:=[[],[[]]];

A[[6,6]][algebra_type]
:=nilpotent;

A[[6,6]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,-1],[0,0,0,1,0,0],
          [0,0,0,0,1,0],[0,0,1,0,0,0],[1,0,0,0,0,0],[0,1,0,0,0,0]]);

A[[6,6]][reference][[Morozov,1]]
:=[[[6,6],{},eval(M)]];

A[[6,6]][reference][[Winternitz,1]]
:=[[[6,6],{},eval(M)]];

M := Matrix([[1,0,0,0,0,0],[0,-1,0,0,0,0],[0,0,1,0,0,0],
             [0,0,0,-1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,1]]);

A[[6,6]][reference][[Winternitz,5]]
:=[[[6,6],{},eval(M)]] ;

#.......... [6,7,0].........

A[[6,7]][structure_constants]
:=[[[3,6,1],1],[[4,5,2],1],[[4,6,3],1]];

A[[6,7]][algebra_type]
:=nilpotent;


A[[6,7]][parameters]
:=[[],[[]]];

A[[6,7]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,1,0],[0,0,0,1,0,0],
           [0,0,-1,0,0,0],[1,0,0,0,0,0],[0,-1,0,0,0,0]]);

A[[6,7]][reference][[Morozov,1]]
:=[[[6,7],{},eval(M)]];

A[[6,7]][reference][[Winternitz,1]]
:=[[[6,7],{},eval(M)]];

A[[6,7]][reference][[Winternitz,5]]
:=[[[6,7]]] ;


#...........[6,8,0]..........

A[[6,8]][structure_constants]
:=[[[3,5,2],1],[[3,6,1],1],[[4,5,2],1],[[5,6,3],1]];

A[[6,8]][parameters]
:=[[],[[]]];

A[[6,8]][algebra_type]
:=nilpotent;

A[[6,8]][mai]
:=[];

M:=Matrix([[0,0,0,0,1,0],[0,0,0,0,0,1],
[0,0,1,1,0,0],[0,-1,0,0,0,0],[0,0,1,0,0,0],[-1,0,0,0,0,0]]);

A[[6,8]][reference][[Morozov,1]]
:=[[[6,8],{},eval(M)]];

A[[6,8]][reference][[Winternitz,1]]
:=[[[6,8],{},eval(M)]];

A[[6,8]][reference][[Winternitz,5]]
:=[[[6,8]]] ;

#........... [6,9,0] ...........

A[[6,9]][structure_constants]
:=[[[3,5,1],1],[[3,6,2],1],[[4,6,1],1],[[5,6,3],1]];

A[[6,9]][parameters]
:=[[],[[]]];

A[[6,9]][algebra_type]
:=nilpotent;

A[[6,9]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,1,0],[0,0,-1,0,0,0],
           [0,1,0,0,0,0],[0,0,0,-1,0,0],[1,0,0,0,0,0]]);

A[[6,9]][reference][[Morozov,1]]
:=[[[6,9],{},eval(M)]];

A[[6,9]][reference][[Winternitz,1]]
:=[[[6,9],{},eval(M)]];

A[[6,9]][reference][[Winternitz,5]]
:=[[[6,9]]] ;

#........... [6,10,0]..........

A[[6,10]][structure_constants]
:=[[[3,5,1],1],[[3,6,2],-1],[[4,5,2],1],[[4,6,1],1],[[5,6,3],1]];

A[[6,10]][parameters]
:=[[],[[]]];

A[[6,10]][algebra_type]
:=nilpotent;

A[[6,10]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,-1/(sqrt(-gamma)),0],
           [0,0,1/(sqrt(-gamma)),0,0,0],[0,0,0,1,0,0],
           [0,1/(sqrt(-gamma)),0,0,0,0],[-1,0,0,0,0,0]]);

A[[6,10]][reference][[Morozov,1]]
:=[[[6,10],{},eval(M)]];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,-1/(sqrt(-a)),0],
           [0,0,1/(sqrt(-a)),0,0,0],[0,0,0,1,0,0],
           [0,1/(sqrt(-a)),0,0,0,0],[-1,0,0,0,0,0]]);

A[[6,10]][reference][[Winternitz,1]]
:=[[[6,10],{},eval(M)]];

A[[6,10]][reference][[Winternitz,5]]
:=[[[6,10]]] ;

#............ [6,11,0] ..........

A[[6,11]][structure_constants]
:=[[[3,6,1],1],[[4,5,2],1],[[4,6,3],1],[[5,6,4],1]];


A[[6,11]][parameters]
:=[[],[[]]];

A[[6,11]][algebra_type]
:=nilpotent;

A[[6,11]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,-1],[0,0,0,0,1,0],[0,0,0,1,0,0],
[0,0,1,0,0,0],[1,0,0,0,0,0],[0,-1,0,0,0,0]]);

A[[6,11]][reference][[Morozov,1]]
:=[[[6,11],{},eval(M)]];

A[[6,11]][reference][[Winternitz,1]]
:=[[[6,11],{},eval(M)]];

A[[6,11]][reference][[Winternitz,5]]
:=[[[6,11]]] ;

#............ [6,12,0] ..........

A[[6,12]][structure_constants]
:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1]];

A[[6,12]][parameters]
:=[[],[[]]];

A[[6,12]][algebra_type]
:=nilpotent;

A[[6,12]][mai]
:=[];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[0,0,0,1,0,0],
 [0,0,1,0,0,0],[0,1,0,0,0,0],[1,0,0,0,0,0]]);


A[[6,12]][reference][[Morozov,1]]
:=[[[6,12],{},eval(M)]];

A[[6,12]][reference][[Winternitz,1]]
:=[[[6,12],{},eval(M)]];

A[[6,12]][reference][[Winternitz,5]]
:=[[[6,12]]] ;

#............[6,13,0] ...........

A[[6,13]][structure_constants]
:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1],[[5,6,2],1]];

A[[6,13]][parameters]
:=[[],[[]]];

A[[6,13]][algebra_type]
:=nilpotent;

A[[6,13]][mai]
:=[];

M:= Matrix([[0,0,0,0,1,0],[0,0,0,0,0,1],[0,0,0,-1,0,0],
     [0,0,1,0,0,0],[0,1,0,0,0,0],[-1,0,0,0,0,0]]);

A[[6,13]][reference][[Morozov,1]]
:=[[[6,13],{},eval(M)]];

A[[6,13]][reference][[Winternitz,1]]
:=[[[6,13],{},eval(M)]];

A[[6,13]][reference][[Winternitz,5]]
:=[[[6,13]]] ;


#.............[6,14,0]............

A[[6,14]][structure_constants]
:=[[[2,6,1],epsilon],[[3,5,1],1],[[4,5,3],1],[[4,6,2],1]];

A[[6,14]][parameters]
:=[[],[[]]];

A[[6,14]][algebra_type]
:=nilpotent;

A[[6,14]][mai]
:=[];

M:=Matrix([[0,0,0,0,1,0],[0,0,0,0,0,sqrt(epsilon/gamma)],[0,0,0,1,0,0],
                 [0,0,-1,0,0,0],[0,-sqrt(epsilon/gamma),0,0,0,0],[1,0,0,0,0,0]]);

A[[6,14]][reference][[Morozov,1]]
:=[[[6,14],{},eval(M)]];


M:=Matrix([[0,0,0,0,1,0],[0,0,0,0,0,sqrt(epsilon/a)],[0,0,0,1,0,0],
                 [0,0,-1,0,0,0],[0,-sqrt(epsilon/a),0,0,0,0],[1,0,0,0,0,0]]);


A[[6,14]][reference][[Winternitz,1]]
:=[[[6,14],{},eval(M)]];

A[[6,14]][reference][[Winternitz,5]]
:=[[[6,14],{epsilon=_x}]] ;

#............[6,15,0]............

A[[6,15]][structure_constants]
:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1],[[4,6,1],1],[[5,6,4],1]];

A[[6,15]][parameters]
:=[[],[[]]];

A[[6,15]][algebra_type]
:=nilpotent;

A[[6,15]][mai]
:=[];

M := Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[0,0,0,1,0,0],
            [0,0,1,0,0,0],[0,1,0,1,0,0],[1,0,0,0,0,0]]);

A[[6,15]][reference][[Morozov,1]]
:=[[[6,15],{},eval(M)]];

A[[6,15]][reference][[Winternitz,1]]
:=[[[6,15],{},eval(M)]];

A[[6,15]][reference][[Winternitz,5]]
:=[[[6,15]]] ;


#...........[6,16,0]...........

A[[6,16]][structure_constants]
:=[[[2,6,1],1],[[3,5,1],1],[[3,6,2],1],[[4,5,2],1],[[4,6,3],1]];

A[[6,16]][parameters]
:=[[],[[]]];

A[[6,16]][algebra_type]
:=nilpotent;

A[[6,16]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,-1],[0,0,0,0,-1,0],[0,0,0,1,0,0],
          [0,0,1,0,0,0],[0,1,0,0,0,0],[1,0,0,0,0,0]]);

A[[6,16]][reference][[Morozov,1]]
:=[[[6,16],{},eval(M)]];

A[[6,16]][reference][[Winternitz,1]]
:=[[[6,16],{},eval(M)]];

A[[6,16]][reference][[Winternitz,5]]
:=[[[6,16]]] ;


#...........[6,17,0]...........

A[[6,17]][structure_constants]
:=[[[2,6,1],1],[[3,5,1],1],[[4,5,3],1],[[5,6,4],1]];

A[[6,17]][parameters]
:=[[],[[]]];

A[[6,17]][algebra_type]
:=nilpotent;

A[[6,17]][mai]
:=[];

M:= Matrix([[0,0,0,0,1,0],[0,0,0,0,0,1],[0,0,0,1,0,0],
[0,0,-1,0,0,0],[0,-1,0,0,0,0],[1,0,0,0,0,0]]);

A[[6,17]][reference][[Morozov,1]]
:=[[[6,17],{},eval(M)]];

A[[6,17]][reference][[Winternitz,1]]
:=[[[6,17],{},eval(M)]];

A[[6,17]][reference][[Winternitz,5]]
:=[[[6,17]]] ;

#...........[6,18,0]...........


A[[6,18]][structure_constants]
:=[[[2,6,1],epsilon],[[3,5,1],1],[[4,5,3],1],[[4,6,2],1],[[5,6,4],1]];

A[[6,18]][parameters]
:=[[],[[]]];


A[[6,18]][algebra_type]
:=nilpotent;

A[[6,18]][mai]
:=[];

M := Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-sqrt(epsilon*gamma)/gamma],[0,0,0,sqrt(epsilon*gamma)/gamma,0,0],[0,0,sqrt(epsilon*gamma)/gamma,0,0,0],[0,epsilon/gamma,
0,0,0,0],[sqrt(epsilon*gamma)/gamma,0,0,0,0,0]]);

A[[6,18]][reference][[Morozov,1]]
:=[[[6,18],{},eval(M)]];


M := Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-sqrt(epsilon*a)/a],
            [0,0,0,sqrt(epsilon*a)/a,0,0],[0,0,sqrt(epsilon*a)/a,0,0,0],
		[0,epsilon/a,0,0,0,0],[sqrt(epsilon*a)/a,0,0,0,0,0]]);


A[[6,18]][reference][[Winternitz,1]]
:=[[[6,18],{},eval(M)]];

A[[6,18]][reference][[Winternitz,5]]
:=[[[6,18],{epsilon=_x}]] ;


#.............[6,19,0]............

A[[6,19]][structure_constants]
:=[[[2,6,1],1],[[3,6,2],1],[[4,5,1],1],[[4,6,3],1],[[5,6,4],1]];


A[[6,19]][parameters]
:=[[],[[]]];

A[[6,19]][algebra_type]
:=nilpotent;

A[[6,19]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,1,0],[0,0,0,-1,0,0],
           [0,0,1,0,0,0],[0,-1,0,0,0,0],[1,0,0,0,0,0]]);

A[[6,19]][reference][[Morozov,1]]
:=[[[6,19],{},eval(M)]];

A[[6,19]][reference][[Winternitz,1]]
:=[[[6,19],{},eval(M)]];

A[[6,19]][reference][[Winternitz,5]]
:=[[[6,19]]] ;

#...........[6,20,0]............

A[[6,20]][structure_constants]
:=[[[2,6,1],1],[[3,5,1],1],[[3,6,2],1],[[4,5,2],1],
   [[4,6,3],1],[[5,6,4],1]];

A[[6,20]][parameters]
:=[[],[[]]];

A[[6,20]][algebra_type]
:=nilpotent;

A[[6,20]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,1],[0,0,0,0,-1,0],[0,0,0,1,0,0],
 [0,0,-1,0,0,0],[0,1,0,0,0,0],[-1,0,0,0,0,0]]);

A[[6,20]][reference][[Morozov,1]]
:=[[[6,20],{},eval(M)]];

A[[6,20]][reference][[Winternitz,1]]
:=[[[6,20],{},eval(M)]];

A[[6,20]][reference][[Winternitz,5]]
:=[[[6,20]]] ;

#..........[6,21,0]............

A[[6,21]][structure_constants]
:=[[[2,6,1],1],[[3,4,1],1],
   [[3,5,2],1],[[4,5,3],1],[[5,6,4],1]];

A[[6,21]][parameters]
:=[[],[[]]];

A[[6,21]][algebra_type]
:=nilpotent;

A[[6,21]][mai]
:=[];

M:=Matrix([[0,0,0,0,0,-1],[0,0,0,0,1,0],[0,0,0,1,0,0],
                [0,0,-1,0,0,0],[0,1,0,0,0,0],[1,0,0,0,0,0]]);


A[[6,21]][reference][[Morozov,1]]
:=[[[6,21],{},eval(M)]];

A[[6,21]][reference][[Winternitz,1]]
:=[[[6,21],{},eval(M)]];

A[[6,21]][reference][[Winternitz,5]]
:=[[[6,21]]] ;


#............[6,22,0]............

A[[6,22]][structure_constants]
:=[[[2,6,1],1],[[3,4,1],1],[[3,5,2],1],[[4,5,3],1],[[4,6,2],1],
   [[5,6,4],1]];

A[[6,22]][parameters]
:=[[],[[]]];


A[[6,22]][algebra_type]
:=nilpotent;

A[[6,22]][mai]
:=[];


M :=Matrix([[0,0,0,0,0,-1],[0,0,0,0,1,0],[0,0,0,1,0,0],
[0,0,-1,0,0,0],[0,1,0,0,0,0],[1,0,0,0,0,0]]);

A[[6,22]][reference][[Morozov,1]]
:=[[[6,22],{},eval(M)]];

A[[6,22]][reference][[Winternitz,1]]
:=[[[6,22],{},eval(M)]];

A[[6,22]][reference][[Winternitz,5]]
:=[[[6,22]]] ;



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                                                
#  6 DIMENSIONAL SOLVABLE LIE ALGEBRAS      
#  
#  Nilradical  [5,0]  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


A[[6,23]][structure_constants]
:=[[[1,6,1],1],[[2,6,2],a],[[3,6,3],b],[[4,6,4],c],[[5,6,5],d]];

A[[6,23]][parameters]
:=[[a,b,c,d],  [ [a<=1, a>=-1, b<=a,c<=d,d<=c,a<>0,b<>0,c<>0 ,d<>0]] ];


A[[6,23]][algebra_type]
:=solvable;

A[[6,23]][nilradical]
:=[[5,0]];


A[[6,23]][reference][[Mubarakyzanov,3]]
:=[[[6,1],{a=alpha,b=beta,c=gamma,d=delta}]];

A[[6,23]][remarks]
:=[];

#............[6,24,0]............


A[[6,24]][structure_constants]
:=[[[1,6,1],a],[[2,6,1],1],[[2,6,2],a],[[3,6,3],1],[[4,6,4],b],[[5,6,5],c]];

A[[6,24]][parameters]
:=[[a,b,c],[[ c<=b,b<=1 ,b>=-1,c<>0,b<>0] ]];

A[[6,24]][algebra_type]
:=solvable;

A[[6,24]][nilradical]
:=[[5,0]];


A[[6,24]][reference][[Mubarakyzanov,3]]
:=[[[6,2],{a=alpha,b=delta}]];

A[[6,24]][remarks]
:=[];

#............[6,25,0]............


A[[6,25]][structure_constants]
:=[[[1,6,1],a],[[2,6,1],1],[[2,6,2],a],[[3,6,3],a],[[3,6,2],1],[[4,6,4],1],[[5,6,5],b]];

A[[6,25]][parameters]
:=[[a,b],[ [b<=1,b>=-1,b<>0] ]];

A[[6,25]][algebra_type]
:=solvable;

A[[6,25]][nilradical]
:=[[5,0]];


A[[6,25]][reference][[Mubarakyzanov,3]]
:=[[[6,3],{a=alpha,b=delta}]];

A[[6,25]][remarks]
:=[];

#............[6,26,0]............


A[[6,26]][structure_constants]
:=[[[1,6,1],a],[[2,6,1],1],[[2,6,2],a],[[3,6,3],a],[[3,6,2],1],[[4,6,4],a],[[4,6,3],1],[[5,6,5],1]];

A[[6,26]][parameters]
:=[[a],[[]]];

A[[6,26]][algebra_type]
:=solvable;

A[[6,26]][nilradical]
:=[[5,0]];

A[[6,26]][reference][[Mubarakyzanov,3]]
:=[[[6,4],{}]];

A[[6,26]][remarks]
:=[];

#............[6,27,0]............


A[[6,27]][structure_constants]
:=[[[1,6,1],1],[[2,6,1],1],[[2,6,2],1],[[3,6,3],1],[[3,6,2],1],[[4,6,4],1],[[4,6,3],1],[[5,6,5],1],[[5,6,4],1]];

A[[6,27]][parameters]
:=[[], [[]]];

A[[6,27]][algebra_type]
:=solvable;

A[[6,27]][nilradical]
:=[[5,0]];


A[[6,27]][reference][[Mubarakyzanov,3]]
:=[[[6,5],{}]];

A[[6,27]][remarks]
:=[];

#............[6,28,0]............


A[[6,28]][structure_constants]
:=[[[1,6,1],1],[[2,6,2],a],[[3,6,3],a],[[3,6,2],1],[[4,6,4],b],[[5,6,4],1],[[5,6,5],b]];

A[[6,28]][parameters]
:=[[a,b],[[a<=b]]];

A[[6,28]][algebra_type]
:=solvable;

A[[6,28]][nilradical]
:=[[5,0]];


A[[6,28]][reference][[Mubarakyzanov,3]]
:=[[[6,6],{a=s, b=h}]];

A[[6,28]][remarks]
:=[];

#............[6,29,0]............


A[[6,29]][structure_constants]
:=[[[1,6,1],a],[[2,6,1],1],[[2,6,2],a],[[3,6,3],a],[[3,6,2],1],[[4,6,4],b],[[5,6,4],1],[[5,6,5],b]];

A[[6,29]][parameters]
:=[[a,b], [[a^2 +b^2 <>0]]];

A[[6,29]][algebra_type]
:=solvable;

A[[6,29]][nilradical]
:=[[5,0]];


A[[6,29]][reference][[Mubarakyzanov,3]]
:=[[[6,7],{a=alpha, b=beta}]];

A[[6,29]][remarks]
:=[];

#............[6,30,0]............


A[[6,30]][structure_constants]
:=[[[1,6,1],a],[[2,6,2],b],[[3,6,3],c],[[4,6,4],d],[[4,6,5],-1],[[5,6,4],1],[[5,6,5],d]];

A[[6,30]][parameters]
:=[[a,b,c,d],[ [a<=1, a>=-1, b<=a, c<=b, a<>0, b<>0, c<>0]]];

A[[6,30]][algebra_type]
:=solvable;

A[[6,30]][nilradical]
:=[[5,0]];

A[[6,30]][reference][[Mubarakyzanov,3]]
:=[[[6,8],{}]];

A[[6,30]][remarks]
:=[];

#............[6,31,0]............


A[[6,31]][structure_constants]
:=[[[1,6,1],a],[[2,6,2],b],[[3,6,2],1],[[3,6,3],b],[[4,6,4],c],[[4,6,5],-1],[[5,6,4],1],[[5,6,5],c]];

A[[6,31]][parameters]
:=[[a,b,c],[[a<>0] ]];

A[[6,31]][algebra_type]
:=solvable;

A[[6,31]][nilradical]
:=[[5,0]];

A[[6,31]][reference][[Mubarakyzanov,3]]
:=[[[6,9],{a=alpha, b=beta,c=p}]];

A[[6,31]][remarks]
:=[];

#............[6,32,0]............


A[[6,32]][structure_constants]
:=[[[1,6,1],a],[[2,6,1],1],[[2,6,2],a],[[3,6,2],1],[[3,6,3],a],[[4,6,4],b],[[4,6,5],-1],[[5,6,4],1],[[5,6,5],b]];

A[[6,32]][parameters]
:=[[a,b],[[]]];

A[[6,32]][algebra_type]
:=solvable;

A[[6,32]][nilradical]
:=[[5,0]];

A[[6,32]][reference][[Mubarakyzanov,3]]
:=[[[6,10],{a=alpha, b=beta}]];

A[[6,32]][remarks]
:=[];

#............[6,33,0]............


A[[6,33]][structure_constants]
:=[[[1,6,1],a],[[2,6,2],b],[[2,6,3],-1],[[3,6,2],1],[[3,6,3],b],[[4,6,4],c],
[[4,6,5],-d],[[5,6,4],d],[[5,6,5],c]];

A[[6,33]][parameters]
:=[[a,b,c,d], [[a<>0,d<>0]] ];


A[[6,33]][algebra_type]
:=solvable;

A[[6,33]][nilradical]
:=[[5,0]];

A[[6,33]][reference][[Mubarakyzanov,3]]
:=[[[6,11],{a=alpha, b=p, c=q, d=s}]];

A[[6,33]][remarks]
:=[];

#............[6,34,0]............


A[[6,34]][structure_constants]
:=[[[1,6,1],a],[[2,6,2],b],[[2,6,3],-1],[[3,6,2],1],[[3,6,3],b],[[4,6,2],1],[[4,6,4],b],[[4,6,5],-1],[[5,6,3],1],[[5,6,4],1],[[5,6,5],b]];

A[[6,34]][parameters]
:=[[a,b] ,[[a<>0]]];

A[[6,34]][reference][[Mubarakyzanov,3]]
:=[[[6,12],{a=alpha, b=beta}]];

A[[6,34]][algebra_type]
:=solvable;

A[[6,34]][nilradical]
:=[[5,0]];

A[[6,34]][remarks]
:=[];






#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                                                
#  6 DIMENSIONAL SOLVABLE LIE ALGEBRAS      
#     
#  NILRADICAL [3,1], [2,0]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~







#............[6,35,0]............


A[[6,35]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],a+b],[[2,6,2],a],[[3,6,3],b],[[4,6,4],1],[[5,6,5],c]];

A[[6,35]][parameters]
:=[[a,b,c],[ [a^2 +b^2 <>0,c<>0] ]];


A[[6,35]][algebra_type]
:=solvable;

A[[6,35]][nilradical]
:=[[3,1],[2,0]];


A[[6,35]][reference][[Mubarakyzanov,3]]
:=[[[6,13],{}]];

A[[6,35]][remarks]
:=[];

#............[6,36,0]............


A[[6,36]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],a+b],[[2,6,2],a],[[3,6,3],b],[[4,6,4],1],[[5,6,1],1],[[5,6,5],a+b]];

A[[6,36]][parameters]
:=[[a,b],[ [] ]];


A[[6,36]][algebra_type]
:=solvable;

A[[6,36]][nilradical]
:=[[3,1],[2,0]];

A[[6,36]][reference][[Mubarakyzanov,3]]
:=[[[6,14],{}]];

A[[6,36]][remarks]
:=[];

#............[6,37,0]............


A[[6,37]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+a],[[2,6,2],1],[[2,6,4],1],[[3,6,3],a],[[3,6,5],1],[[4,6,4],1],[[5,6,5],a]];

A[[6,37]][parameters]
:=[[a], [ [] ] ];


A[[6,37]][algebra_type]
:=solvable;

A[[6,37]][nilradical]
:=[[3,1],[2,0]];

A[[6,37]][reference][[Mubarakyzanov,3]]
:=[[[6,15],{a=h}]];

A[[6,37]][remarks]
:=[];

#............[6,38,0]............


A[[6,38]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1],[[2,6,2],1],[[2,6,4],1],[[3,6,5],1],[[4,6,1],1],[[4,6,4],1]];

A[[6,38]][parameters]
:=[[], [ [] ]];


A[[6,38]][algebra_type]
:=solvable;

A[[6,38]][nilradical]
:=[[3,1],[2,0]];

A[[6,38]][reference][[Mubarakyzanov,3]]
:=[[[6,16],{}]];

A[[6,38]][remarks]
:=[];

#............[6,39,0]............600


A[[6,39]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],a],[[2,6,2],a],[[3,6,4],1],[[4,6,1],b],[[5,6,5],1]];

A[[6,39]][parameters]
:=[[a,b], [   [ a<>0, b=0 ], [a=0, b<>0 ]]   ];
#:=[[a,b], [   [a^2 +b^2<>0, a*b=0 ] ]   ];

A[[6,39]][algebra_type]
:=solvable;

A[[6,39]][nilradical]
:=[[3,1],[2,0]];


A[[6,39]][reference][[Mubarakyzanov,3]]
:=[[[6,17],{a=alpha, b=epsilon}]];

A[[6,39]][remarks]
:=[];

#............[6,40,0]............


A[[6,40]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+a],[[2,6,2],a],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,5],b]];

A[[6,40]][parameters]
:=[[a,b], [[b<>0]] ];

A[[6,40]][algebra_type]
:=solvable;

A[[6,40]][nilradical]
:=[[3,1],[2,0]];



A[[6,40]][reference][[Mubarakyzanov,3]]
:=[[[6,18],{a=alpha, b=beta}]];

A[[6,40]][remarks]
:=[];

#............[6,41,0]............


A[[6,41]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+a],[[2,6,2],a],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,1],1],[[5,6,5],1+a]];

A[[6,41]][parameters]
:=[[a], [ [] ] ];

A[[6,41]][algebra_type]
:=solvable;

A[[6,41]][nilradical]
:=[[3,1],[2,0]];


A[[6,41]][reference][[Mubarakyzanov,3]]
:=[[[6,19],{a=alpha}]];

A[[6,41]][remarks]
:=[];

#............[6,42,0]............


A[[6,42]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1],[[3,6,3],1],[[3,6,4],1],[[4,6,1],1],[[4,6,4],1],[[5,6,5],a]];

A[[6,42]][parameters]
:=[[a], [[a<>0] ] ];

A[[6,42]][algebra_type]
:=solvable;

A[[6,42]][nilradical]
:=[[3,1],[2,0]];


A[[6,42]][reference][[Mubarakyzanov,3]]
:=[[[6,20],{a=alpha}]];

A[[6,42]][remarks]
:=[];

#............[6,43,0]............


A[[6,43]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[4,6,4],1],[[5,6,5],b]];

A[[6,43]][parameters]
:=[[a,b],[ [b<>0] ]];

A[[6,43]][algebra_type]
:=solvable;

A[[6,43]][nilradical]
:=[[3,1],[2,0]];


A[[6,43]][reference][[Mubarakyzanov,3]]
:=[[[6,21],{b=h}]];

A[[6,43]][remarks]
:=[];

#............[6,44,0]............


A[[6,44]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[4,6,4],1],[[5,6,1],1],[[5,6,5],2*a]];

A[[6,44]][parameters]
:=[[a],[ [] ]];

A[[6,44]][algebra_type]
:=solvable;

A[[6,44]][nilradical]
:=[[3,1],[2,0]];


A[[6,44]][reference][[Mubarakyzanov,3]]
:=[[[6,22],{a=alpha}]];

A[[6,44]][remarks]
:=[];

#............[6,45,0]............


A[[6,45]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[3,6,4],1],[[4,6,4],a],[[5,6,1],c],[[5,6,5],2*a+b]];

A[[6,45]][parameters]
:=[[a,b,c],[[b*c=0] ]];

A[[6,45]][algebra_type]
:=solvable;

A[[6,45]][nilradical]
:=[[3,1],[2,0]];


A[[6,45]][reference][[Mubarakyzanov,3]]
:=[[[6,23],{a=alpha,b=h,c=epsilon}]];

A[[6,45]][remarks]
:=[];

#............[6,46,0]............


A[[6,46]][structure_constants]
:=[[[2,3,1],1],[[2,6,3],1],[[3,6,4],1],[[4,6,1],a],[[5,6,5],1]];

A[[6,46]][parameters]
:=[[a],  [ [ ] ]];

A[[6,46]][algebra_type]
:=solvable;

A[[6,46]][nilradical]
:=[[3,1],[2,0]];



A[[6,46]][reference][[Mubarakyzanov,3]]
:=[[[6,24],{a=alpha}]];

A[[6,46]][remarks]
:=[];

#............[6,47,0]............


A[[6,47]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+a],[[2,6,2],1],[[3,6,3],a],[[4,6,4],b],[[4,6,5],1],[[5,6,5],b]];

A[[6,47]][parameters]
:=[[a,b],[[]]];

A[[6,47]][algebra_type]
:=solvable;

A[[6,47]][nilradical]
:=[[3,1],[2,0]];


A[[6,47]][reference][[Mubarakyzanov,3]]
:=[[[6,25],{a=h, b=beta}]];

A[[6,47]][remarks]
:=[];

#............[6,48,0]............


A[[6,48]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+a],[[2,6,2],1],[[3,6,3],a],[[4,6,4],1+a],[[4,6,5],1],[[5,6,1],1],[[5,6,5],1+a]];

A[[6,48]][parameters]
:=[[a], [[]]];

A[[6,48]][algebra_type]
:=solvable;

A[[6,48]][nilradical]
:=[[3,1],[2,0]];


A[[6,48]][reference][[Mubarakyzanov,3]]
:=[[[6,26],{a=h}]];

A[[6,48]][remarks]
:=[];

#............[6,49,0]............


A[[6,49]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],a+b],[[2,6,2],a],[[3,6,3],b],[[3,6,4],1],[[4,6,4],b],[[4,6,5],1],
[[5,6,1],c],[[5,6,5],b]];

A[[6,49]][parameters]
:=[[a,b,c],[[a^2 +b^2 <>0, a*c=0]]];

A[[6,49]][algebra_type]
:=solvable;

A[[6,49]][nilradical]
:=[[3,1],[2,0]];


A[[6,49]][reference][[Mubarakyzanov,3]]
:=[[[6,27],{a=alpha, b=beta, c=epsilon}]];

A[[6,49]][remarks]
:=[];

#............[6,50,0]............


A[[6,50]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],[[4,6,4],a],[[4,6,5],1],[[5,6,5],a]];

A[[6,50]][parameters]
:=[[a],[ [] ]];

A[[6,50]][algebra_type]
:=solvable;

A[[6,50]][nilradical]
:=[[3,1],[2,0]];


A[[6,50]][reference][[Mubarakyzanov,3]]
:=[[[6,28],{a=beta}]];

A[[6,50]][remarks]
:=[];

#............[6,51,0]............


A[[6,51]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],[[4,6,4],2],[[4,6,5],1],[[5,6,1],1],[[5,6,5],2]];

A[[6,51]][parameters]
:=[[], [[]]];

A[[6,51]][algebra_type]
:=solvable;

A[[6,51]][nilradical]
:=[[3,1],[2,0]];


A[[6,51]][reference][[Mubarakyzanov,3]]
:=[[[6,29],{}]];

A[[6,51]][remarks]
:=[];

#............[6,52,0]............


A[[6,52]][structure_constants]
:=[[[2,3,1],1],[[2,6,3],1],[[4,6,4],1],[[4,6,5],1],[[5,6,5],1]];

A[[6,52]][parameters]
:=[[], [[]]];

A[[6,52]][algebra_type]
:=solvable;

A[[6,52]][nilradical]
:=[[3,1],[2,0]];


A[[6,52]][reference][[Mubarakyzanov,3]]
:=[[[6,30],{}]];

A[[6,52]][remarks]
:=[];

#............[6,53,0]............


A[[6,53]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[4,6,5],1],[[5,6,5],1]];

A[[6,53]][parameters]
:=[[], [[]]];

A[[6,53]][algebra_type]
:=solvable;

A[[6,53]][nilradical]
:=[[3,1],[2,0]];


A[[6,53]][reference][[Mubarakyzanov,3]]
:=[[[6,31],{}]];

A[[6,53]][remarks]
:=[];

#............[6,54,0]............


A[[6,54]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[3,6,2],-1],[[4,6,1],c],[[4,6,4],2*a+b],[[5,6,5],d]];

A[[6,54]][parameters]
:=[[a,b,c,d], [[2*a +b>d ,c*b=0,d<>0]]];

A[[6,54]][algebra_type]
:=solvable;

A[[6,54]][nilradical]
:=[[3,1],[2,0]];


A[[6,54]][reference][[Mubarakyzanov,3]]
:=[[[6,32],{a=alpha, b=h,c=epsilon,d=gamma}]];

A[[6,54]][remarks]
:=[];

#............[6,55,0]............


A[[6,55]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[3,6,2],-1],[[4,6,4],b],[[5,6,1],1],[[5,6,5],2*a]];

A[[6,55]][parameters]
:=[[a,b], [[b<=2*a ,b<>0]] ];

A[[6,55]][algebra_type]
:=solvable;

A[[6,55]][nilradical]
:=[[3,1],[2,0]];


A[[6,55]][reference][[Mubarakyzanov,3]]
:=[[[6,33],{a=alpha, b=beta}]];

A[[6,55]][remarks]
:=[];

#............[6,56,0]............


A[[6,56]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[3,6,2],-1],[[4,6,4],2*a+b],[[4,6,5],1],[[5,6,1],c],[[5,6,5],2*a+b]];

A[[6,56]][parameters]
:=[[a,b,c],[ [c*b=0 ]]  ];

A[[6,56]][algebra_type]
:=solvable;

A[[6,56]][nilradical]
:=[[3,1],[2,0]];


A[[6,56]][reference][[Mubarakyzanov,3]]
:=[[[6,34],{a=alpha , b=h, c=epsilon}]];

A[[6,56]][remarks]
:=[];

#............[6,57,0]............


A[[6,57]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],a+b],[[2,6,2],a],[[3,6,3],b],[[4,6,4],c],[[4,6,5],1],[[5,6,5],c],[[5,6,4],-1]];

A[[6,57]][parameters]
:=[[a,b,c], [[a^2 +b^2 <>0 ]] ];

A[[6,57]][algebra_type]
:=solvable;

A[[6,57]][nilradical]
:=[[3,1],[2,0]];



A[[6,57]][reference][[Mubarakyzanov,3]]
:=[[[6,35],{a=alpha, b=beta,c=gamma}]];

A[[6,57]][remarks]
:=[];

#............[6,58,0]............


A[[6,58]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],[[4,6,4],b],[[4,6,5],1],[[5,6,4],-1],[[5,6,5],b]];

A[[6,58]][parameters]
:=[[a,b], [[]]];

A[[6,58]][algebra_type]
:=solvable;

A[[6,58]][nilradical]
:=[[3,1],[2,0]];



A[[6,58]][reference][[Mubarakyzanov,3]]
:=[[[6,36],{a=alpha, b=gamma}]];

A[[6,58]][remarks]
:=[];

#............[6,59,0]............


A[[6,59]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[3,6,3],a],
[[3,6,2],-1],[[4,6,4],b],[[4,6,5],c],[[5,6,4],-c],[[5,6,5],b]];

A[[6,59]][parameters]
:=[[a,b,c], [ [c<>0] ]];

A[[6,59]][algebra_type]
:=solvable;

A[[6,59]][nilradical]
:=[[3,1],[2,0]];


A[[6,59]][reference][[Mubarakyzanov,3]]
:=[[[6,37],{a=alpha, b=beta, c=s}]];

A[[6,59]][remarks]
:=[];

#............[6,60,0]............


A[[6,60]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*a],[[2,6,2],a],[[2,6,3],1],[[2,6,4],1],[[3,6,2],-1],[[3,6,3],a],[[3,6,5],1],[[4,6,4],a],[[4,6,5],1],[[5,6,4],-1],[[5,6,5],a]];

A[[6,60]][parameters]
:=[[a], [[]]];

A[[6,60]][algebra_type]
:=solvable;

A[[6,60]][nilradical]
:=[[3,1],[2,0]];



A[[6,60]][reference][[Mubarakyzanov,3]]
:=[[[6,38],{a=alpha}]];

A[[6,60]][remarks]
:=[];







#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Solvable Algebras  
#
#  Nilradical [[4,1], [1,0]]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#............[6,61,0]............


A[[6,61]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+a],[[2,6,2],a+2],[[3,6,3],b],[[4,6,4],a],[[5,6,5],1]];

A[[6,61]][parameters]
:=[[a,b], [ [b<>0]] ];

A[[6,61]][algebra_type]
:=solvable;

A[[6,61]][nilradical]
:=[[4,1],[1,0]];



A[[6,61]][reference][[Mubarakyzanov,3]]
:=[[[6,39],{a=h,b =gamma}]];

A[[6,61]][remarks]
:=[];

#............[6,62,0]............


A[[6,62]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+a],[[2,6,2],a+2],[[3,6,3],a+2],[[4,6,4],a],[[5,6,5],1]];

A[[6,62]][parameters]
:=[[], [[]]];

A[[6,62]][algebra_type]
:=solvable;

A[[6,62]][nilradical]
:=[[4,1],[1,0]];

A[[6,62]][reference][[Mubarakyzanov,3]]
:=[[[6,40],{}]];

A[[6,62]][remarks]
:=[];

#............[6,63,0]............


A[[6,63]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+a],[[2,6,2],a+2],[[3,6,3],a],[[4,6,4],a],[[4,6,3],1],[[5,6,5],1]];

A[[6,63]][parameters]
:=[[], [[]] ];


A[[6,63]][algebra_type]
:=solvable;

A[[6,63]][nilradical]
:=[[4,1],[1,0]];

A[[6,63]][reference][[Mubarakyzanov,3]]
:=[[[6,41],{}]];

A[[6,63]][remarks]
:=[];

#............[6,64,0]............


A[[6,64]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+a],[[2,6,2],a+2],[[3,6,3],1],[[4,6,4],a],[[5,6,3],1],[[5,6,5],1]];

A[[6,64]][parameters]
:=[[],[[]]];


A[[6,64]][algebra_type]
:=solvable;

A[[6,64]][nilradical]
:=[[4,1],[1,0]];

A[[6,64]][reference][[Mubarakyzanov,3]]
:=[[[6,42],{}]];

A[[6,64]][remarks]
:=[];

#............[6,65,0]............


A[[6,65]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[2,6,2],1],[[3,6,2],1],[[3,6,3],1],[[4,6,4],-1],[[5,6,3],1],[[5,6,5],1]];

A[[6,65]][parameters]
:=[[],[[]] ];


A[[6,65]][algebra_type]
:=solvable;

A[[6,65]][nilradical]
:=[[4,1],[1,0]];

A[[6,65]][reference][[Mubarakyzanov,3]]
:=[[[6,43],{}]];

A[[6,65]][remarks]
:=[];

#............[6,66,0]............


A[[6,66]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],2],[[2,6,2],3],[[3,6,3],a],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];

A[[6,66]][parameters]
:=[[a], [ [a<>0] ]];

A[[6,66]][algebra_type]
:=solvable;

A[[6,66]][nilradical]
:=[[4,1],[1,0]];

A[[6,66]][reference][[Mubarakyzanov,3]]
:=[[[6,44],{a=gamma}]];

A[[6,66]][remarks]
:=[];

#............[6,67,0]............


A[[6,67]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],2],[[2,6,2],3],[[3,6,2],1],[[3,6,3],3],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];

A[[6,67]][parameters]
:=[[], [[]]];

A[[6,67]][algebra_type]
:=solvable;

A[[6,67]][nilradical]
:=[[4,1],[1,0]];

A[[6,67]][reference][[Mubarakyzanov,3]]
:=[[[6,45],{}]];

A[[6,67]][remarks]
:=[];

#............[6,68,0]............


A[[6,68]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],2],[[2,6,2],3],[[3,6,3],1],[[4,6,3],1],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];

A[[6,68]][parameters]
:=[[], [[]] ];


A[[6,68]][algebra_type]
:=solvable;

A[[6,68]][nilradical]
:=[[4,1],[1,0]];

A[[6,68]][reference][[Mubarakyzanov,3]]
:=[[[6,46],{}]];

A[[6,68]][remarks]
:=[];

#............[6,69,0]............


A[[6,69]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],a],[[4,6,2],epsilon],[[4,6,4],1]];

A[[6,69]][parameters]
:=[[a,epsilon], [ [a<>0, epsilon^3=epsilon] ] ];

A[[6,69]][algebra_type]
:=solvable;

A[[6,69]][nilradical]
:=[[4,1],[1,0]];

A[[6,69]][reference][[Mubarakyzanov,3]]
:=[[[6,47],{a=gamma}]];

A[[6,69]][remarks]
:=[];

#............[6,70,0]............


A[[6,70]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[3,6,2],1],[[3,6,3],1],[[4,6,4],1]];

A[[6,70]][parameters]
:=[[],[[]]];


A[[6,70]][algebra_type]
:=solvable;

A[[6,70]][nilradical]
:=[[4,1],[1,0]];

A[[6,70]][reference][[Mubarakyzanov,3]]
:=[[[6,48],{}]];

A[[6,70]][remarks]
:=[];

#............[6,71,0]............


A[[6,71]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[4,6,2],epsilon],[[4,6,4],1],[[5,6,3],1]];

A[[6,71]][parameters]
:=[[epsilon], [  [epsilon^3=epsilon]  ] ];

A[[6,71]][algebra_type]
:=solvable;

A[[6,71]][nilradical]
:=[[4,1],[1,0]];

A[[6,71]][reference][[Mubarakyzanov,3]]
:=[[[6,49],{}]];

A[[6,71]][remarks]
:=[];

#............[6,72,0]............


A[[6,72]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[3,6,2],epsilon],[[3,6,3],1],[[4,6,3],1],[[4,6,4],1]];

A[[6,72]][parameters]
:=[[epsilon], [  [epsilon^3=epsilon]  ]];

A[[6,72]][algebra_type]
:=solvable;

A[[6,72]][nilradical]
:=[[4,1],[1,0]];

A[[6,72]][reference][[Mubarakyzanov,3]]
:=[[[6,50],{}]];

A[[6,72]][remarks]
:=[];

#............[6,73,0]............


A[[6,73]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[3,6,3],1],[[4,6,2],epsilon]];

A[[6,73]][parameters]
:=[[epsilon], [  [epsilon^2=1] ]];

A[[6,73]][algebra_type]
:=solvable;

A[[6,73]][nilradical]
:=[[4,1],[1,0]];

A[[6,73]][reference][[Mubarakyzanov,3]]
:=[[[6,51],{}]];

A[[6,73]][remarks]
:=[];

#............[6,74,0]............


A[[6,74]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[3,6,3],1],[[4,6,2],epsilon],[[5,6,4],1]];

A[[6,74]][parameters]
:=[[epsilon], [  [epsilon^3=epsilon] ]];

A[[6,74]][algebra_type]
:=solvable;

A[[6,74]][nilradical]
:=[[4,1],[1,0]];

A[[6,74]][reference][[Mubarakyzanov,3]]
:=[[[6,52],{}]];

A[[6,74]][remarks]
:=[];




#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Solvable Algebras 
#  
#  Nilradical  [5 ,1]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


#............[6,75,0]............


A[[6,75]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[3,6,3],1],[[4,6,4],1],[[5,6,5],-1]];

A[[6,75]][parameters]
:=[[], [[]] ];

A[[6,75]][algebra_type]
:=solvable;

A[[6,75]][nilradical]
:=[[5,1] ];

A[[6,75]][reference][[Mubarakyzanov,3]]
:=[[[6,53],{}]];

A[[6,75]][remarks]
:=[];

#............[6,76,0]............


A[[6,76]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],a],[[3,6,3],1-b],[[4,6,4],a-b],[[5,6,5],b]];

A[[6,76]][parameters]
:=[[a,b], [[]] ];


A[[6,76]][algebra_type]
:=solvable;

A[[6,76]][nilradical]
:=[[5,1] ];


A[[6,76]][reference][[Mubarakyzanov,3]]
:=[[[6,54],{a=lambda,b=gamma}]];

A[[6,76]][remarks]
:=[];

#............[6,77,0]............


A[[6,77]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1+a],[[3,6,3],1-a],[[4,6,1],1],[[4,6,4],1],[[5,6,5],a]];

A[[6,77]][parameters]
:=[[a], [[]] ];


A[[6,77]][algebra_type]
:=solvable;

A[[6,77]][nilradical]
:=[[5,1] ];


A[[6,77]][reference][[Mubarakyzanov,3]]
:=[[[6,55],{a=gamma}]];

A[[6,77]][remarks]
:=[];

#............[6,78,0]............


A[[6,78]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1-a],[[3,6,2],1],[[3,6,3],1-a],[[4,6,4],1-2*a],[[5,6,5],a]];

A[[6,78]][parameters]
:=[[a], [ [] ]];


A[[6,78]][algebra_type]
:=solvable;

A[[6,78]][nilradical]
:=[[5,1] ];

A[[6,78]][reference][[Mubarakyzanov,3]]
:=[[[6,56],{a=gamma}]];

A[[6,78]][remarks]
:=[];

#............[6,79,0]............


A[[6,79]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],2*a],[[3,6,3],1-a],[[4,6,4],a],[[5,6,4],1],[[5,6,5],a]];

A[[6,79]][parameters]
:=[[a], [ [] ] ];

A[[6,79]][algebra_type]
:=solvable;

A[[6,79]][nilradical]
:=[[5,1] ];

A[[6,79]][reference][[Mubarakyzanov,3]]
:=[[[6,57],{}]];

A[[6,79]][remarks]
:=[];

#............[6,80,0]............


A[[6,80]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],3],[[2,6,2],2],[[3,6,2],1],[[3,6,3],2],[[4,6,4],1],[[5,6,4],epsilon],[[5,6,5],1]];

A[[6,80]][parameters]
:=[ [epsilon], [[epsilon^2=epsilon] ] ];


A[[6,80]][algebra_type]
:=solvable;

A[[6,80]][nilradical]
:=[[5,1] ];

A[[6,80]][reference][[Mubarakyzanov,3]]
:=[[[6,58],{epsilon=omega}]];

A[[6,80]][remarks]
:=[];

#............[6,81,0]............


A[[6,81]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[3,6,3],1],[[4,6,2],1],[[5,6,4],a]];

A[[6,81]][parameters]
:=[[a],[[]] ];

A[[6,81]][algebra_type]
:=solvable;

A[[6,81]][nilradical]
:=[[5,1] ];



A[[6,81]][reference][[Mubarakyzanov,3]]
:=[[[6,59],{a=h}]];

A[[6,81]][remarks]
:=[];

#............[6,82,0]............


A[[6,82]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],2],[[4,6,1],1],[[4,6,4],1],[[5,6,4],epsilon],[[5,6,5],1]];

A[[6,82]][parameters]
:=[[epsilon], [ [epsilon^2=epsilon]]];


A[[6,82]][algebra_type]
:=solvable;

A[[6,82]][nilradical]
:=[[5,1] ];


A[[6,82]][reference][[Mubarakyzanov,3]]
:=[[[6,60],{epsilon=omega}]];

A[[6,82]][remarks]
:=[];

#............[6,83,0]............


A[[6,83]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[2,6,2],2*a],[[3,6,3],1],[[4,6,4],2*a-1],[[5,6,3],1],[[5,6,5],1]];

A[[6,83]][parameters]
:=[[a],[[]]];

A[[6,83]][algebra_type]
:=solvable;

A[[6,83]][nilradical]
:=[[5,1] ];


A[[6,83]][reference][[Mubarakyzanov,3]]
:=[[[6,61],{a=lambda}]];

A[[6,83]][remarks]
:=[];

#............[6,84,0]............


A[[6,84]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[2,6,2],1],[[3,6,2],1],[[3,6,3],1],[[5,6,3],epsilon],[[5,6,5],1]];

A[[6,84]][parameters]
:=[[epsilon], [[epsilon=1], [epsilon=0] ] ];

A[[6,84]][algebra_type]
:=solvable;

A[[6,84]][nilradical]
:=[[5,1] ];


A[[6,84]][reference][[Mubarakyzanov,3]]
:=[[[6,62],{}]];

A[[6,84]][remarks]
:=[];

#............[6,85,0]............


A[[6,85]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],a],[[3,6,3],1],[[4,6,2],1],[[4,6,4],a]];

A[[6,85]][parameters]
:=[[a], [[]]];


A[[6,85]][algebra_type]
:=solvable;

A[[6,85]][nilradical]
:=[[5,1] ];


A[[6,85]][reference][[Mubarakyzanov,3]]
:=[[[6,63],{a=lambda}]];

A[[6,85]][remarks]
:=[];

#............[6,86,0]............


A[[6,86]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1],[[3,6,2],a],[[3,6,3],1],[[4,6,1],1],[[4,6,4],1]];

A[[6,86]][parameters]
:=[[a], [[]]];

A[[6,86]][algebra_type]
:=solvable;

A[[6,86]][nilradical]
:=[[5,1] ];


A[[6,86]][reference][[Mubarakyzanov,3]]
:=[[[6,64],{a=h}]];

A[[6,86]][remarks]
:=[];

#............[6,87,0]............


A[[6,87]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],a],[[1,6,2],1],[[2,6,2],a],[[3,6,3],1-b],
[[3,6,4],1],[[4,6,4],a-b],[[5,6,5],b]];

A[[6,87]][parameters]
:=[[a,b],[[]]];


A[[6,87]][algebra_type]
:=solvable;

A[[6,87]][nilradical]
:=[[5,1] ];


A[[6,87]][reference][[Mubarakyzanov,3]]
:=[[[6,65],{a=lamdba,b=gamma}]];

A[[6,87]][remarks]
:=[];

#............[6,88,0]............


A[[6,88]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[1,6,2],1],[[2,6,2],2],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,3],1],[[5,6,5],1]];

A[[6,88]][parameters]
:=[[], [ [] ] ];

A[[6,88]][algebra_type]
:=solvable;

A[[6,88]][nilradical]
:=[[5,1] ];


A[[6,88]][reference][[Mubarakyzanov,3]]
:=[[[6,66],{}]];

A[[6,88]][remarks]
:=[];

#............[6,89,0]............


A[[6,89]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[1,6,2],1],[[2,6,2],2],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,4],a],[[5,6,5],1]];

A[[6,89]][parameters]
:=[[a], [[]]];


A[[6,89]][algebra_type]
:=solvable;

A[[6,89]][nilradical]
:=[[5,1] ];


A[[6,89]][reference][[Mubarakyzanov,3]]
:=[[[6,67],{a=h}]];

A[[6,89]][remarks]
:=[];

#............[6,90,0]............


A[[6,90]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[1,6,2],1],[[2,6,2],1],[[3,6,3],1],[[3,6,4],1],[[4,6,1],a],[[4,6,4],1]];

A[[6,90]][parameters]
:=[[a],[[]] ];

A[[6,90]][algebra_type]
:=solvable;

A[[6,90]][nilradical]
:=[[5,1] ];

A[[6,90]][reference][[Mubarakyzanov,3]]
:=[[[6,68],{a=c}]];

A[[6,90]][remarks]
:=[];

#............[6,91,0]............


A[[6,91]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[1,6,2],1],[[2,6,2],1],[[3,6,3],1],[[3,6,4],1],[[4,6,2],1],[[4,6,4],1]];

A[[6,91]][parameters]
:=[[],[[]]];


A[[6,91]][algebra_type]
:=solvable;

A[[6,91]][nilradical]
:=[[5,1] ];

A[[6,91]][reference][[Mubarakyzanov,3]]
:=[[[6,69],{}]];

A[[6,91]][remarks]
:=[];

#............[6,92,0]............


A[[6,92]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],a],[[1,6,2],1],[[2,6,1],-1],[[2,6,2],a],[[3,6,3],a-b],[[3,6,4],1],[[4,6,3],-1],[[4,6,4],a-b],[[5,6,5],b]];

A[[6,92]][parameters]
:=[[a,b], [[]] ];

A[[6,92]][algebra_type]
:=solvable;

A[[6,92]][nilradical]
:=[[5,1] ];

A[[6,92]][reference][[Mubarakyzanov,3]]
:=[[[6,70],{a=p,b=gamma}]];

A[[6,92]][remarks]
:=[];



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  5 Dimensional  Solvable Algebras 
#
#  Nilradical [5,2]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


#............[6,93,0]............


A[[6,93]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],a+3],[[2,6,2],a+2],[[3,6,3],1+a],[[4,6,4],a],[[5,6,5],1]];

A[[6,93]][parameters]
:=[[a],[ [] ] ];


A[[6,93]][algebra_type]
:=solvable;

A[[6,93]][nilradical]
:=[[5,2] ];


A[[6,93]][reference][[Mubarakyzanov,3]]
:=[[[6,71],{a=h}]];

A[[6,93]][remarks]
:=[];

#............[6,94,0]............


A[[6,94]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],4],[[2,6,2],3],[[3,6,3],2],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];

A[[6,94]][parameters]
:=[[],[[]]];


A[[6,94]][algebra_type]
:=solvable;

A[[6,94]][nilradical]
:=[[5,2] ];

A[[6,94]][reference][[Mubarakyzanov,3]]
:=[[[6,72],{}]];

A[[6,94]][remarks]
:=[];

#............[6,95,0]............


A[[6,95]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],1],[[2,6,2],1],[[3,6,1],epsilon],
[[3,6,3],1],[[4,6,2],epsilon],[[4,6,4],1]];

A[[6,95]][parameters]
:=[[epsilon],[[epsilon=1], [epsilon=-1]]];


A[[6,95]][algebra_type]
:=solvable;

A[[6,95]][nilradical]
:=[[5,2] ];

A[[6,95]][reference][[Mubarakyzanov,3]]
:=[[[6,73],{}]];

A[[6,95]][remarks]
:=[];

#............[6,96,0]............


A[[6,96]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],1],[[4,6,4],1]];


A[[6,96]][parameters]
:=[[],[[]]];


A[[6,96]][algebra_type]
:=solvable;

A[[6,96]][nilradical]
:=[[5,2] ];

A[[6,96]][reference][[Mubarakyzanov,3]]
:=[[[6,74],{}]];

A[[6,96]][remarks]
:=[];

#............[6,97,0]............


A[[6,97]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],1],[[4,6,1],1],[[4,6,4],1]];

A[[6,97]][parameters]
:=[[], [[]]];

A[[6,97]][algebra_type]
:=solvable;

A[[6,97]][nilradical]
:=[[5,2] ];

A[[6,97]][reference][[Mubarakyzanov,3]]
:=[[[6,75],{}]];

A[[6,97]][remarks]
:=[];



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [5,3]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


#............[6,98,0]............


A[[6,98]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],2*a+1],
[[2,6,2],1+a],[[3,6,3],a+2],[[4,6,4],1],[[5,6,5],a]];

A[[6,98]][parameters]
:=[[a],[ [] ] ];

A[[6,98]][algebra_type]
:=solvable;

A[[6,98]][nilradical]
:=[[5,3] ];



A[[6,98]][reference][[Mubarakyzanov,3]]
:=[[[6,76],{a=h}]];

A[[6,98]][remarks]
:=[];

#............[6,99,0]............


A[[6,99]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],2],[[4,6,1],epsilon],[[4,6,4],1]];

A[[6,99]][parameters]
:=[[epsilon], [[epsilon=1], [epsilon=-1] ] ];

A[[6,99]][algebra_type]
:=solvable;

A[[6,99]][nilradical]
:=[[5,3] ];

A[[6,99]][reference][[Mubarakyzanov,3]]
:=[[[6,77],{}]];

A[[6,99]][remarks]
:=[];

#............[6,100,0]............


A[[6,100]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],-1],[[3,6,3],1],[[4,6,3],1],[[4,6,4],1],[[5,6,5],-1]];

A[[6,100]][parameters]
:=[[], [[ ]] ];

A[[6,100]][algebra_type]
:=solvable;

A[[6,100]][nilradical]
:=[[5,3] ];

A[[6,100]][reference][[Mubarakyzanov,3]]
:=[[[6,78],{}]];

A[[6,100]][remarks]
:=[];

#............[6,101,0]............


A[[6,101]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],3],[[2,6,2],2],[[3,6,1],1],[[3,6,3],3],[[4,6,4],1],[[4,6,5],1],[[5,6,5],1]];

A[[6,101]][parameters]
:=[[], [[]] ];


A[[6,101]][algebra_type]
:=solvable;

A[[6,101]][nilradical]
:=[[5,3] ];

A[[6,101]][reference][[Mubarakyzanov,3]]
:=[[[6,79],{}]];

A[[6,101]][remarks]
:=[];

#............[6,102,0]............


A[[6,102]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],2],[[2,6,2],1],[[3,6,3],1],[[5,6,5],1]];

A[[6,102]][parameters]
:=[[], [[]]];


A[[6,102]][algebra_type]
:=solvable;

A[[6,102]][nilradical]
:=[[5,3] ];

A[[6,102]][reference][[Mubarakyzanov,3]]
:=[[[6,80],{}]];

A[[6,102]][remarks]
:=[];

#............[6,103,0]............


A[[6,103]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],2],[[2,6,2],1],[[3,6,3],1],[[5,6,3],a],[[5,6,5],1]];

A[[6,103]][parameters]
:=[[epsilon], [ [epsilon=1], [epsilon=-1] ]];

A[[6,103]][algebra_type]
:=solvable;

A[[6,103]][nilradical]
:=[[5,3] ];

A[[6,103]][reference][[Mubarakyzanov,3]]
:=[[[6,81],{}]];

A[[6,103]][remarks]
:=[];



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [5,4]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#............[6,104,0]............


A[[6,104]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],1/2*a+b],[[3,6,3],1/2*a+c],[[4,6,4],1/2*a-b],[[5,6,5],1/2*a-c]];

A[[6,104]][parameters]
:=[[a,b,c],[[a=0], [a=2]]];

A[[6,104]][algebra_type]
:=solvable;

A[[6,104]][nilradical]
:=[[5,4] ];

A[[6,104]][reference][[Mubarakyzanov,3]]
:=[[[6,82],{a=alpha, b=lambda, c=lambda[1] }]];

A[[6,104]][remarks]
:=[];

#............[6,105,0]............


A[[6,105]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],1/2*a+b],[[2,6,3],1],[[3,6,3],1/2*a+b],[[4,6,4],1/2*a-b],
[[5,6,4],-1],[[5,6,5],1/2*a-b]];

A[[6,105]][parameters]
:=[[a,b],[[]]];

A[[6,105]][algebra_type]
:=solvable;

A[[6,105]][nilradical]
:=[[5,4] ];


A[[6,105]][reference][[Mubarakyzanov,3]]
:=[[[6,83],{a=alpha, b=lambda}]];

A[[6,105]][remarks]
:=[];

#............[6,106,0]............


A[[6,106]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[2,6,2],1],[[4,6,4],-1],[[5,6,3],1]];

A[[6,106]][parameters]
:=[[],[[]]];

A[[6,106]][algebra_type]
:=solvable;

A[[6,106]][nilradical]
:=[[5,4] ];

A[[6,106]][reference][[Mubarakyzanov,3]]
:=[[[6,84],{}]];

A[[6,106]][remarks]
:=[];

#............[6,107,0]............


A[[6,107]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],2],[[2,6,2],1+a],[[3,6,3],1],[[4,6,4],1-a],[[5,6,3],1],[[5,6,5],1]];

A[[6,107]][parameters]
:=[[a],[[]]];

A[[6,107]][algebra_type]
:=solvable;

A[[6,107]][nilradical]
:=[[5,4] ];

A[[6,107]][reference][[Mubarakyzanov,3]]
:=[[[6,85],{a=lambda}]];

A[[6,107]][remarks]
:=[];

#............[6,108,0]............


A[[6,108]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],[[4,6,4],1],
[[5,6,4],-1],[[5,6,5],1]];

A[[6,108]][parameters]
:=[[],[[]]];

A[[6,108]][algebra_type]
:=solvable;

A[[6,108]][nilradical]
:=[[5,4] ];

A[[6,108]][reference][[Mubarakyzanov,3]]
:=[[[6,86],{}]];

A[[6,108]][remarks]
:=[];

#............[6,109,0]............


A[[6,109]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],2],[[2,6,2],1],
[[2,6,5],1],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,3],1],[[5,6,5],1]];

A[[6,109]][parameters]
:=[[], [[]]];

A[[6,109]][algebra_type]
:=solvable;

A[[6,109]][nilradical]
:=[[5,4] ];


A[[6,109]][reference][[Mubarakyzanov,3]]
:=[[[6,87],{}]];

A[[6,109]][remarks]
:=[];

#............[6,110,0]............


A[[6,110]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],1/2*a+b],[[2,6,3],c],[[3,6,2],c],[[3,6,3],1/2*a+b],
[[4,6,4],1/2*a-b],[[4,6,5],c],[[5,6,4],-c],[[5,6,5],1/2*a-b]];

A[[6,110]][parameters]
:=[[a,b,c], [[]]];


A[[6,110]][algebra_type]
:=solvable;

A[[6,110]][nilradical]
:=[[5,4] ];

A[[6,110]][reference][[Mubarakyzanov,3]]
:=[[[6,88],{a=alpha, b= mu[0], c= nu[0]}]];

A[[6,110]][remarks]
:=[];

#............[6,111,0]............


A[[6,111]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],1/2*a+b],[[3,6,3],1/2*a],[[3,6,5],c],[[4,6,4],1/2*a-b],[[5,6,3],-c],[[5,6,5],1/2*a]];

A[[6,111]][parameters]
:=[[a,b,c], [[]] ];

A[[6,111]][algebra_type]
:=solvable;

A[[6,111]][nilradical]
:=[[5,4] ];

A[[6,111]][reference][[Mubarakyzanov,3]]
:=[[[6,89],{a=alpha,b=s, c=nu[0]}]];

A[[6,111]][remarks]
:=[];

#............[6,112,0]............


A[[6,112]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],1/2*a],[[2,6,4],1],[[3,6,3],1/2*a],[[3,6,5],b],[[4,6,2],1],[[4,6,4],1/2*a],[[5,6,3],-b],[[5,6,5],1/2*a]];

A[[6,112]][parameters]
:=[[a,b,c], [[]] ];


A[[6,112]][algebra_type]
:=solvable;

A[[6,112]][nilradical]
:=[[5,4] ];

A[[6,112]][reference][[Mubarakyzanov,3]]
:=[[[6,90],{}]];

A[[6,112]][remarks]
:=[];

#............[6,113,0]............


A[[6,113]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[2,6,4],1],[[3,6,5],1],[[4,6,2],1],[[5,6,3],-1]];

A[[6,113]][parameters]
:=[[],[[]]];


A[[6,113]][algebra_type]
:=solvable;

A[[6,113]][nilradical]
:=[[5,4] ];

A[[6,113]][reference][[Mubarakyzanov,3]]
:=[[[6,91],{}]];

A[[6,113]][remarks]
:=[];

#............[6,114,0]............


A[[6,114]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],a/2],[[2,6,3],b],[[3,6,2],-c],[[3,6,3],1/2*a],[[4,6,2],1/2*a],
[[4,6,5],c],[[5,6,4],-c],[[5,6,5],1/2*a]];

A[[6,114]][parameters]
:=[[a,b,c],[[]] ];


A[[6,114]][algebra_type]
:=solvable;

A[[6,114]][nilradical]
:=[[5,4] ];

A[[6,114]][reference][[Mubarakyzanov,3]]
:=[[[6,92],{a=alpha,b=nu[0],c =mu[0]}]];

A[[6,114]][remarks]
:=[];

#............[6,115,0]............


A[[6,115]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],a],[[2,6,2],1/2*a],[[2,6,4],1],[[2,6,5],b],[[3,6,3],1/2*a],
[[3,6,4],b],[[4,6,2],1],
[[4,6,3],-b],[[4,6,4],1/2*a],[[5,6,2],-b],[[5,6,5],1/2*a]];

A[[6,115]][parameters]
:=[[a,b], [[]]];


A[[6,115]][algebra_type]
:=solvable;

A[[6,115]][nilradical]
:=[[5,4] ];

A[[6,115]][reference][[Mubarakyzanov,3]]
:=[[[6,93],{a=alpha     ,b=nu[0]}]];

A[[6,115]][remarks]
:=[];




#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [5,5]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




#............[6,116,0]............


A[[6,116]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],a+2],[[2,6,2],1+a],[[3,6,3],a],[[4,6,4],2],[[5,6,5],1]];


A[[6,116]][algebra_type]
:=solvable;

A[[6,116]][nilradical]
:=[[5,5] ];

A[[6,116]][parameters]
:=[[a], [[]] ];

A[[6,116]][reference][[Mubarakyzanov,3]]
:=[[[6,94],{a=lambda}]];

A[[6,116]][remarks]
:=[];

#............[6,117,0]............


A[[6,117]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],2],[[2,6,2],1],[[4,6,1],1],[[4,6,4],2],[[5,6,5],1]];

A[[6,117]][parameters]
:=[[],[[]]];

A[[6,117]][algebra_type]
:=solvable;

A[[6,117]][nilradical]
:=[[5,6] ];

A[[6,117]][reference][[Mubarakyzanov,3]]
:=[[[6,95],{}]];

A[[6,117]][remarks]
:=[];

#............[6,118,0]............


A[[6,118]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],3],[[2,6,2],2],[[3,6,3],1],[[4,6,2],1],
[[4,6,4],2],[[5,6,3],1],[[5,6,5],1]];

A[[6,118]][parameters]
:=[[], [[]]];

A[[6,118]][algebra_type]
:=solvable;

A[[6,118]][nilradical]
:=[[5,5] ];

A[[6,118]][reference][[Mubarakyzanov,3]]
:=[[[6,96],{}]];

A[[6,118]][remarks]
:=[];

#............[6,119,0]............


A[[6,119]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],4],[[2,6,2],3],[[3,6,3],2],[[3,6,4],1],[[4,6,4],2],[[5,6,5],1]];

A[[6,119]][parameters]
:=[[],[[]]];


A[[6,119]][algebra_type]
:=solvable;

A[[6,119]][nilradical]
:=[[5,5] ];

A[[6,119]][reference][[Mubarakyzanov,3]]
:=[[[6,97],{}]];

A[[6,119]][remarks]
:=[];

#............[6,120,0]............


A[[6,120]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],1],[[2,6,1],a],[[2,6,2],1],[[3,6,3],1],[[5,6,4],a]];

A[[6,120]][parameters]
:=[[a],[[]]];


A[[6,120]][algebra_type]
:=solvable;

A[[6,120]][nilradical]
:=[[5,5] ];

A[[6,120]][reference][[Mubarakyzanov,3]]
:=[[[6,98],{a=h}]];

A[[6,120]][remarks]
:=[];



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [5,6]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




#............[6,121,0]............


A[[6,121]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],5],[[2,6,2],4],[[3,6,3],3],[[4,6,4],2],[[5,6,5],1]];

A[[6,121]][parameters]
:=[[],[[]]];


A[[6,121]][algebra_type]
:=solvable;

A[[6,121]][nilradical]
:=[[5,5] ];

A[[6,121]][reference][[Mubarakyzanov,3]]
:=[[[6,99],{}]];

A[[6,121]][remarks]
:=[];




#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [4,0] No Center
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#............[6,122,0]............



A[[6,122]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],b],[[2,5,2],c],[[2,6,2],d],[[3,6,3],1],[[4,5,4],1]];

A[[6,122]][parameters]
:=[[a,b,c,d],[[c^2 +d^2 <>0, a*b <>0] ]];


A[[6,122]][algebra_type]
:=solvable;

A[[6,122]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],
[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,122]][reference][[Turkowski,2]]
:=[[[6,1],{a=alpha,b=beta,c=gamma,d=delta},M]];

A[[6,122]][remarks]
:=[];

#............[6,123,0]............


A[[6,123]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],b],[[2,5,2],1],[[2,6,2],c],[[3,5,4],1],[[3,6,3],1],[[4,6,4],1]];

A[[6,123]][parameters]
:=[[a,b,c], [[a^2 +b^2 <>0]] ];


A[[6,123]][algebra_type]
:=solvable;

A[[6,123]][nilradical]
:=[[4,0] ];
M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,123]][reference][[Turkowski,2]]
:=[[[6,2],{a=alpha,b=beta,c=gamma},M]];

A[[6,123]][remarks]
:=[];

#............[6,124,0]............


A[[6,124]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],a],[[1,6,2],1],[[2,5,2],1],[[2,6,2],a],[[3,5,4],1],[[3,6,3],1],[[4,6,4],1]];

A[[6,124]][parameters]
:=[[a],[[]]];


A[[6,124]][algebra_type]
:=solvable;

A[[6,124]][nilradical]
:=[[4,0] ];
M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,124]][reference][[Turkowski,2]]
:=[[[6,3],{a=alpha,b=beta,c=gamma},M]];

A[[6,124]][remarks]
:=[];

#............[6,125,0]............


A[[6,125]][structure_constants]
:=[[[1,5,1],1],[[1,6,2],1],[[2,5,2],1],[[2,6,1],-1],[[3,5,4],1],[[3,6,3],a],[[3,6,4],b],[[4,6,4],a]];

A[[6,125]][parameters]
:=[[a,b],[[a<>0]]];

A[[6,125]][algebra_type]
:=solvable;

A[[6,125]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,125]][reference][[Turkowski,2]]
:=[[[6,4],{a=alpha,b=beta,c=gamma},M]];

A[[6,125]][remarks]
:=[];

#............[6,126,0]............


A[[6,126]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],b],[[2,6,2],1],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1]];

A[[6,126]][parameters]
:=[[a,b], [[a*b<>0]]];

A[[6,126]][algebra_type]
:=solvable;

A[[6,126]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,126]][reference][[Turkowski,2]]
:=[[[6,5],{a=alpha,b=beta,c=gamma},M]];

A[[6,126]][remarks]
:=[];

#............[6,127,0]............


A[[6,127]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],1],[[1,6,2],1],[[2,5,2],a],[[2,6,2],1],[[3,5,3],1],[[3,5,4],1],[[3,6,4],b],[[4,5,4],1]];

A[[6,127]][parameters]
:=[[a,b], [ [a^2+b^2 <>0] ]];


A[[6,127]][algebra_type]
:=solvable;

A[[6,127]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,127]][reference][[Turkowski,2]]
:=[[[6,6],{a=alpha,b=beta,c=gamma},M]];

A[[6,127]][remarks]
:=[];

#............[6,128,0]............


A[[6,128]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],c],[[1,6,2],1],[[2,5,2],a],[[2,6,1],-1],[[2,6,2],c],[[3,5,3],1],[[3,5,4],1],
[[3,6,4],b],[[4,5,4],1]];

A[[6,128]][parameters]
:=[[a,b,c],[[a^2 +b^2 <>0] ]];


A[[6,128]][algebra_type]
:=solvable;

A[[6,128]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,128]][reference][[Turkowski,2]]
:=[[[6,7],{a=alpha,b=beta,c=gamma},M]];

A[[6,128]][remarks]
:=[];

#............[6,129,0]............


A[[6,129]][structure_constants]
:=[[[1,5,1],1],[[2,5,4],1],[[2,6,2],1],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1]];

A[[6,129]][parameters]
:=[[], [[]] ];


A[[6,129]][algebra_type]
:=solvable;

A[[6,129]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,129]][reference][[Turkowski,2]]
:=[[[6,8],{a=alpha,b=beta,c=gamma},M]];

A[[6,129]][remarks]
:=[];

#............[6,130,0]............


A[[6,130]][structure_constants]
:=[[[1,5,1],1],[[2,5,4],1],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],[[3,6,4],a],[[4,6,4],1]];

A[[6,130]][parameters]
:=[[a], [[]]];


A[[6,130]][algebra_type]
:=solvable;

A[[6,130]][nilradical]
:=[[4,0] ];
M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,130]][reference][[Turkowski,2]]
:=[[[6,9],{a=alpha,b=beta,c=gamma},M]];

A[[6,130]][remarks]
:=[];

#............[6,131,0]............


A[[6,131]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],1],[[2,5,1],1],[[2,5,4],b],[[2,6,3],1],[[3,5,3],1],[[3,6,4],1],[[4,5,4],1]];

A[[6,131]][parameters]
:=[[a,b], [[]]];


A[[6,131]][algebra_type]
:=solvable;

A[[6,131]][nilradical]
:=[[4,0] ];
M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,131]][reference][[Turkowski,2]]
:=[[[6,10],{a=alpha,b=beta,c=gamma},M]];

A[[6,131]][remarks]
:=[];

#............[6,132,0]............


A[[6,132]][structure_constants]
:=[[[1,5,2],1],[[1,6,1],1],[[2,6,2],1],[[3,5,3],1],[[3,5,4],1],[[3,6,3],a],[[4,5,4],1],[[4,6,4],a]];

A[[6,132]][parameters]
:=[[a],[[]]];


A[[6,132]][algebra_type]
:=solvable;

A[[6,132]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,132]][reference][[Turkowski,2]]
:=[[[6,11],{a=alpha,b=beta,c=gamma},M]];

A[[6,132]][remarks]
:=[];

#............[6,133,0]............


A[[6,133]][structure_constants]
:=[[[1,5,1],1],[[1,5,2],1],[[1,6,2],a],[[1,6,3],1],[[1,6,4],-b],[[2,5,2],1],[[2,6,4],1],[[3,5,3],1],[[3,5,4],1],[[3,6,1],-1],[[3,6,2],b],[[3,6,4],a],[[4,5,4],1],[[4,6,2],-1]];

A[[6,133]][parameters]
:=[[a,b], [[]]];

A[[6,133]][algebra_type]
:=solvable;

A[[6,133]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,133]][reference][[Turkowski,2]]
:=[[[6,12],{a=alpha,b=beta,c=gamma},M]];

A[[6,133]][remarks]
:=[];

#............[6,134,0]............


A[[6,134]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],b],[[2,5,2],c],[[2,6,2],d],[[3,5,4],1],[[3,6,3],1],[[4,5,3],-1],[[4,6,4],1]];

A[[6,134]][parameters]
:=[[a,b,c,d],[[a^2 +b^2 <>0, c^2 +d^2 <>0]]];


A[[6,134]][algebra_type]
:=solvable;

A[[6,134]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,134]][reference][[Turkowski,2]]
:=[[[6,13],{a=alpha,b=beta,c=gamma,d=delta},M]];

A[[6,134]][remarks]
:=[];

#............[6,135,0]............


A[[6,135]][structure_constants]
:=[[[1,5,1],a],[[1,6,1],b],[[2,6,2],1],[[3,5,3],c],[[3,5,4],1],[[4,5,3],-1],[[4,5,4],c]];

A[[6,135]][parameters]
:=[[a,b,c],[[a*b<>0]]];


A[[6,135]][algebra_type]
:=solvable;

A[[6,135]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,135]][reference][[Turkowski,2]]
:=[[[6,14],{a=alpha,b=beta,c=gamma},M]];

A[[6,135]][remarks]
:=[];

#............[6,136,0]............


A[[6,136]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],c],[[1,6,2],1],[[2,5,2],1],[[2,6,1],-1],[[2,6,2],c],[[3,5,3],a],[[3,5,4],b],
[[3,6,3],d],[[4,5,3],-b],[[4,5,4],a],[[4,6,4],d]];

A[[6,136]][parameters]
:=[[a,b,c,d], [[b<>0]]];


A[[6,136]][algebra_type]
:=solvable;

A[[6,136]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,136]][reference][[Turkowski,2]]
:=[[[6,15],{a=alpha,b=beta,c=gamma,d=delta},M]];

A[[6,136]][remarks]
:=[];

#............[6,137,0]............


A[[6,137]][structure_constants]
:=[[[1,5,2],1],[[1,6,1],1],[[2,6,2],1],[[3,5,3],a],[[3,5,4],1],[[3,6,3],b],[[4,5,3],-1],[[4,5,4],a],[[4,6,4],b]];

A[[6,137]][parameters]
:=[[a,b],[[]]];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,137]][algebra_type]
:=solvable;

A[[6,137]][nilradical]
:=[[4,0] ];

A[[6,137]][reference][[Turkowski,2]]
:=[[[6,16],{a=alpha,b=beta,c=gamma},M]];

A[[6,137]][remarks]
:=[];

#............[6,138,0]............


A[[6,138]][structure_constants]
:=[[[1,5,1],a],[[1,5,2],1],[[2,5,2],a],[[3,5,4],1],[[3,6,3],1],[[4,5,3],-1],[[4,6,4],1]];

A[[6,138]][parameters]
:=[[a],[[]]];

A[[6,138]][algebra_type]
:=solvable;

A[[6,138]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,138]][reference][[Turkowski,2]]
:=[[[6,17],{a=alpha},M]];

A[[6,138]][remarks]
:=[];

#............[6,139,0]............


A[[6,139]][structure_constants]
:=[[[1,5,2],1],[[1,6,1],1],[[2,5,1],-1],[[2,6,2],1],[[3,5,3],a],[[3,5,4],b],[[3,6,3],c],[[4,5,3],-b],[[4,5,4],a],[[4,6,4],c]];

A[[6,139]][parameters]
:=[[a,b,c],[[b<>0]]];



A[[6,139]][algebra_type]
:=solvable;

A[[6,139]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,139]][reference][[Turkowski,2]]
:=[[[6,18],{a=alpha,b=beta,c=gamma},M]];

A[[6,139]][remarks]
:=[];



#............[6,140,0]............


A[[6,140]][structure_constants]
:=[[[1,5,2],1],[[1,5,3],1],[[1,6,1],1],[[2,5,1],-1],[[2,5,4],1],
[[2,6,2],1],[[3,5,4],1],[[3,6,3],1],[[4,5,3],-1],[[4,6,4],1]];

A[[6,140]][parameters]
:=[[], [[]] ];

A[[6,140]][algebra_type]
:=solvable;

A[[6,140]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,140]][reference][[Turkowski,2]]
:=[[[6,19],{a=alpha,b=beta,c=gamma},M]];

A[[6,140]][remarks]
:=[];




#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [4,0] 1 Dim Center
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#............[6,141,0]............


A[[6,141]][structure_constants]
:=[[[2,5,2],a],[[2,6,2],b],[[3,6,3],1],[[4,5,4],1],[[5,6,1],1]];

A[[6,141]][parameters]
:=[[a,b],[[a^2 +b^2 <>0]]];

A[[6,141]][algebra_type]
:=solvable;

A[[6,141]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,141]][reference][[Turkowski,2]]
:=[[[6,20],{a=alpha,b=beta,c=gamma},M]];

A[[6,141]][remarks]
:=[];

#............[6,142,0]............


A[[6,142]][structure_constants]
:=[[[2,5,2],1],[[2,6,2],a],[[3,5,4],1],[[3,6,3],1],[[4,6,4],1],[[5,6,1],1]];

A[[6,142]][parameters]
:=[[a],[[]]];

A[[6,142]][algebra_type]
:=solvable;

A[[6,142]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,142]][reference][[Turkowski,2]]
:=[[[6,21],{a=alpha,b=beta,c=gamma},M]];

A[[6,142]][remarks]
:=[];

#............[6,143,0]............


A[[6,143]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],a],[[2,6,2],1],[[3,5,4],1],[[5,6,3],epsilon]];

A[[6,143]][parameters]
:=[[a,epsilon], [[epsilon=1],  [a<>0,epsilon=0]] ];


A[[6,143]][algebra_type]
:=solvable;

A[[6,143]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,143]][reference][[Turkowski,2]]
:=[[[6,22],{a=alpha},M]];

A[[6,143]][remarks]
:=[];

#............[6,144,0]............


A[[6,144]][structure_constants]
:=[[[1,5,1],1],[[1,6,2],1],[[2,5,2],1],[[2,6,1],-1],[[3,5,4],1],[[3,6,4],a],[[5,6,3],epsilon]];

A[[6,144]][parameters]
:=[[epsilon], [[epsilon=1], [epsilon=0]] ];


A[[6,144]][algebra_type]
:=solvable;

A[[6,144]][nilradical]
:=[[4,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,144]][reference][[Turkowski,2]]
:=[[[6,23],{},M]];

A[[6,144]][remarks]
:=[];

#............[6,145,0]............


A[[6,145]][structure_constants]
:=[[[2,6,2],1],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1],[[5,6,1],1]];

A[[6,145]][parameters]
:=[[],[[]]];


A[[6,145]][algebra_type]
:=solvable;

A[[6,145]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,145]][reference][[Turkowski,2]]
:=[[[6,24],{},M]];

A[[6,145]][remarks]
:=[];

#............[6,146,0]............


A[[6,146]][structure_constants]
:=[[[1,6,2],b],[[2,5,2],a],[[3,5,4],1],[[3,6,3],1],[[4,5,3],-1],[[4,6,4],1],[[5,6,1],1]];

A[[6,146]][parameters]
:=[[a,b],[[a^2 +b^2<>0]]];

A[[6,146]][algebra_type]
:=solvable;

A[[6,146]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,146]][reference][[Turkowski,2]]
:=[[[6,25],{},M]];

A[[6,146]][remarks]
:=[];

#............[6,147,0]............


A[[6,147]][structure_constants]
:=[[[2,6,2],1],[[3,5,3],a],[[3,5,4],1],[[4,5,3],-1],[[4,5,4],a],[[5,6,1],1]];

A[[6,147]][parameters]
:=[[a],[[]] ];

A[[6,147]][algebra_type]
:=solvable;

A[[6,147]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,147]][reference][[Turkowski,2]]
:=[[[6,26],{a=alpha},M]];

A[[6,147]][remarks]
:=[];

#............[6,148,0]............


A[[6,148]][structure_constants]
:=[[[1,5,2],1],[[3,5,4],1],[[3,6,3],1],[[4,5,3],-1],[[4,6,4],1],[[5,6,1],epsilon]];

A[[6,148]][parameters]
:=[[epsilon], [[epsilon=1],[epsilon=0]] ];

A[[6,148]][algebra_type]
:=solvable;

A[[6,148]][nilradical]
:=[[4,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,148]][reference][[Turkowski,2]]
:=[[[6,27],{},M]];

A[[6,148]][remarks]
:=[];


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [4,1]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#............[6,149,0]............


A[[6,149]][structure_constants]
:=[[[1,5,1],1],[[2,4,1],-1],[[2,6,2],1],[[3,4,2],-1],[[3,5,3],-1],[[3,6,3],2],[[4,5,4],1],[[4,6,4],-1]];

A[[6,149]][parameters]
:=[[],[[]] ];


A[[6,149]][algebra_type]
:=solvable;

A[[6,149]][nilradical]
:=[[4,1] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,149]][reference][[Turkowski,2]]
:=[[[6,28],{},M]];

A[[6,149]][remarks]
:=[];




#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Nilradical [[3,1],[1,0] ]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#............[6,150,0]............


A[[6,150]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],1],[[2,3,1],-1],[[2,5,2],1],[[3,6,3],1],[[4,5,4],a],[[4,6,4],b]];

A[[6,150]][parameters]
:=[[a,b],[[a^2+b^2 <>0]]];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,150]][reference][[Turkowski,2]]
:=[[[6,29],{a=alpha,b=beta,c=gamma},M]];


A[[6,150]][algebra_type]
:=solvable;

A[[6,150]][nilradical]
:=[[3,1],[1,0] ];

A[[6,150]][remarks]
:=[];



#............[6,151,0]............


A[[6,151]][structure_constants]
:=[[[1,5,1],2],[[2,3,1],-1],[[2,5,2],1],[[2,6,3],1],[[3,5,3],1],[[4,5,4],a],[[4,6,4],1]];

A[[6,151]][parameters]
:=[[a],[[]] ];

A[[6,151]][algebra_type]
:=solvable;

A[[6,151]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,151]][reference][[Turkowski,2]]
:=[[[6,30],{},M]];

A[[6,151]][remarks]
:=[];

#............[6,152,0]............


A[[6,152]][structure_constants]
:=[[[1,6,1],1],[[2,3,1],-1],[[2,5,2],1],[[3,5,3],-1],[[3,6,3],1],[[4,6,1],1],[[4,6,4],1]];

A[[6,152]][parameters]
:=[[],[[]] ];


A[[6,152]][algebra_type]
:=solvable;

A[[6,152]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,152]][reference][[Turkowski,2]]
:=[[[6,31],{a=alpha,b=beta,c=gamma},M]];

A[[6,152]][remarks]
:=[];

#............[6,153,0]............


A[[6,153]][structure_constants]
:=[[[1,6,1],1],[[2,3,1],-1],[[2,5,2],1],[[2,6,2],a],[[3,5,3],-1],[[3,6,3],1-a],[[4,5,1],1],[[4,6,4],1]];

A[[6,153]][parameters]
:=[[],[[]]];


A[[6,153]][algebra_type]
:=solvable;

A[[6,153]][nilradical]
:=[[3,1],[1,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,153]][reference][[Turkowski,2]]
:=[[[6,32],{},M]];

A[[6,153]][remarks]
:=[];

#............[6,154,0]............


A[[6,154]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],1],[[2,3,1],-1],[[2,5,2],1],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1]];

A[[6,154]][parameters]
:=[[],[[]]];


A[[6,154]][algebra_type]
:=solvable;

A[[6,154]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,154]][reference][[Turkowski,2]]
:=[[[6,33],{},M]];

A[[6,154]][remarks]
:=[];

#............[6,155,0]............


A[[6,155]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],1+a],[[2,3,1],-1],[[2,5,2],1],[[2,6,2],a],[[3,5,4],1],[[3,6,3],1],[[4,6,4],1]];

A[[6,155]][parameters]
:=[[a],[[]] ];

A[[6,155]][algebra_type]
:=solvable;

A[[6,155]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,155]][reference][[Turkowski,2]]
:=[[[6,34],{},M]];

A[[6,155]][remarks]
:=[];

#............[6,156,0]............


A[[6,156]][structure_constants]
:=[[[1,6,1],2],[[2,3,1],-1],[[2,5,3],1],[[2,6,2],1],[[3,5,2],-1],[[3,6,3],1],[[4,5,4],a],[[4,6,4],b]];

A[[6,156]][parameters]
:=[[a,b],[[a^2 +b^2<>0]] ];

A[[6,156]][algebra_type]
:=solvable;

A[[6,156]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,156]][reference][[Turkowski,2]]
:=[[[6,35],{a=alpha,b=beta},M]];

A[[6,156]][remarks]
:=[];

#............[6,157,0]............


A[[6,157]][structure_constants]
:=[[[1,6,1],2],[[2,3,1],-1],[[2,5,3],1],[[2,6,2],1],[[3,5,2],-1],[[3,6,3],1],[[4,6,1],1],[[4,6,4],2]];

A[[6,157]][parameters]
:=[[], [[]]];


A[[6,157]][algebra_type]
:=solvable;

A[[6,157]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,157]][reference][[Turkowski,2]]
:=[[[6,36],{},M]];

A[[6,157]][remarks]
:=[];

#............[6,158,0]............


A[[6,158]][structure_constants]
:=[[[1,6,1],2],[[2,3,1],-1],[[2,5,3],1],[[2,6,2],1],[[2,6,3],a],[[3,5,2],-1],[[3,6,2],-a],
[[3,6,3],1],[[4,5,1],1],[[4,6,4],2]];


A[[6,158]][algebra_type]
:=solvable;

A[[6,158]][nilradical]
:=[[3,1],[1,0] ];

A[[6,158]][parameters]
:=[[a],[[]]];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,158]][reference][[Turkowski,2]]
:=[[[6,37],{},M]];

A[[6,158]][remarks]
:=[];

#............[6,159,0]............


A[[6,159]][structure_constants]
:=[[[1,5,1],1],[[1,6,1],1],[[2,3,1],-1],[[2,5,2],1],[[3,6,3],1],[[5,6,4],-1]];

A[[6,159]][parameters]
:=[[], [ [] ] ];

A[[6,159]][algebra_type]
:=solvable;

A[[6,159]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,159]][reference][[Turkowski,2]]
:=[[[6,38],{},M]];

A[[6,159]][remarks]
:=[];

#............[6,160,0]............


A[[6,160]][structure_constants]
:=[[[1,6,1],2],[[2,3,1],-1],[[2,5,3],1],[[2,6,2],1],[[3,5,2],-1],[[3,6,3],1],[[5,6,4],-1]];

A[[6,160]][parameters]
:=[[],[[]]];


A[[6,160]][algebra_type]
:=solvable;

A[[6,160]][nilradical]
:=[[3,1],[1,0] ];

M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,160]][reference][[Turkowski,2]]
:=[[[6,39],{},M]];

A[[6,160]][remarks]
:=[];

#............[6,161,0]............


A[[6,161]][structure_constants]
:=[[[2,3,1],-1],[[2,5,3],1],[[3,5,2],-1],[[4,6,4],1],[[5,6,1],-1]];

A[[6,161]][parameters]
:=[[],[[]]];

A[[6,161]][algebra_type]
:=solvable;

A[[6,161]][nilradical]
:=[[3,1],[1,0] ];


M:=Matrix([[0,0,0,0,-1,0],[0,0,0,0,0,-1],[1,0,0,0,0,0],[0,1,0,0,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0]]);

A[[6,161]][reference][[Turkowski,2]]
:=[[[6,40],{},M]];

A[[6,161]][remarks]
:=[];







#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#  6 Dimensional Algebras 
#
#  Generic  SS:=[3,5]
#
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




#............[6,162,0]............

A[[6,162]][structure_constants]:=
[[[1,2,3],1],[[2,3,1],1],[[1,3,2],-1],[[1,5,6],1],[[1,6,5],-1],[[2,4,6],-1],
[[2,6,4],1],[[3,4,5],1],[[3,5,4],-1]];


A[[6,162]][parameters]
:=[[],[[]]];


A[[6,162]][algebra_type]
:=generic;

A[[6,162]][Levi_decomposition]
:=[[3,5],[2,0]];



#............[6,163,0]............

A[[6,163]][structure_constants]
:=[[[1,2,2],2],[[1,3,3],-2],[[2,3,1],1],[[1,4,4],1],[[1,5,5],-1],
[[2,5,4],1],[[3,4,5],1],[[4,5,6],1]];

A[[6,163]][parameters]
:=[[],[[]]];

A[[6,163]][algebra_type]
:=generic;

A[[6,163]][Levi_decomposition]
:=[[3,5],[2,0]];





#............[6,164,0]............

A[[6,164]][structure_constants]
:=[[[1,2,2],2],[[1,3,3],-2],[[2,3,1],1],[[1,4,4],1],[[1,5,5],-1],
[[2,5,4],1],[[3,4,5],1],[[4,6,4],1],[[5,6,5],1]];


A[[6,164]][parameters]
:=[[],[[]]];


A[[6,164]][algebra_type]
:=generic;

A[[6,164]][Levi_decomposition]
:=[[3,5],[2,0]];

#............[6,165,0]............

A[[6,165]][structure_constants]
:=[[[1,2,2],2],[[1,3,3],-2],[[2,3,1],1],[[1,4,4],2],[[1,6,6],-2],[[2,5,4],2],[[2,6,5],1],
[[3,4,5],1],[[3,5,6],2]];


A[[6,165]][parameters]
:=[[],[[]]];

A[[6,165]][algebra_type]
:=generic;

A[[6,165]][Levi_decomposition]
:=[[3,5],[2,0]];






eval(A);
end:
