

libname:= 
"C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";


with(DifferentialGeometry);
with(DifferentialGeometryTools):
with(tensors);
with(LieAlgebras):
with(LieEngelTheorems);
with(LieAlgebraRepresentations):


LieGroups:=module()

description  "LieGroups";

option  package;

local x;

export LieAlgebraToMaurerCartanForms,LeftRightInvariantVectorFieldsAndForms, 
	 
	MaurerCartanFormsToMultiplicationProcedure,MatrixAlgebraToMatrixGroup,
	
	MaurerCartanMatrixToMatrixGroup,
	
	MatrixRepresentationToMultiplicationProcedure,LeftRightTransformations;


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\LieGroups\\LieAlgToMaurerCartan.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\LieGroups\\LeftRightInvVectorsForms.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\LieGroups\\FindMatrixGroup.ms";



$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\LieGroups\\GrpTransformations.ms";

end module;


unwith(DifferentialGeometry):

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometryApplications.mla";

savelib('LieGroups');
