

libname:= 
"C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):
with(JetCalc);


Spencer:=module()

description  "Tableau and Spencer Cohomology Package";

option  package;

local generate_monomials, monomial_to_tuple, index_to_form_tuple,form_tuple_to_index,tableau_and_index_to_form,
Spencer_ext_d_Matrix, Spencer_cohomology_in_degree;

export 

#cohom
   
    TableauLinearCombo,TableauLinearCombo2,	TableauChains, 
    SpencerCohomology,


#symbol
	SymbolToSymbolMatrix,SymbolMatrixToSymbol,

#tableau
   FullTableau,SymbolToTableau,ProlongSymbol,TableauToSymbol,RestrictTableau,
TableauSequence,SymbolToProlongedTableau,DifferentiateTableau,CartanCharacters,MatrixAlgebraToSymbol;





$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\Spencer\\cohom.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\Spencer\\symbol.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\Spencer\\tableau.ms";

end module;


unwith(DifferentialGeometry):

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometryApplications.mla";

savelib('Spencer');

