libname:= "C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):






DifferentialGeometryInternal:=module()

description  "Internal Commands for Differential Geometry";

option  package;

export 


#CoordInit.int
       init_jet_var_list, createDefaultFrameLabels, parseVariableName,
       reconstructVariableName, 

#Derivate.int
      HOOK, derivation,  mono_tensor_hook,  homomorphism,

#FormUtilities
	form_tuple_to_form_index, form_index_to_form_tuple, 

#FrameChangeRemove
	optionalFrameChange, VessiotFrameCheck,

#FrameInit.int
 	constructFrameLabels, jet_labels,  

#FrameUtilities


 frameInformation, frameBaseDimension, frameProtocol, frameFiberDimension,
 frameJetDimension, frameJetOrder, listOfFrameNames, 

 frameIndependentVariables, frameDependentVariables,
 frameJetVariables, JetSpaceVariables, 

 frameLabels,coframeLabels, horizontalCoframeLabels,
 verticalCoframeLabels, 

 change_labels,jet_space_dim, changeVectorType,
 
 frameBaseVectors, frameBaseForms, frameFiberVectors, frameFiberForms,
 frameJetVectors, frameJetForms, frameHorizontalBiforms, frameVerticalBiforms,
  
 structureEquations_Ext_dFunctions, structureEquations_LieFunctions, structureEquations_Forms,
 structureEquations_Vectors, structure_constant, structureFunction, structure_constants_list,
 structureFunctionsList,


#Hook.int
 	mono_hook, anti_mono_hook,




#Internal.int
	assign_vect_type, index_to_jet_variable, index_to_jet_label,
	index_to_tuple, 
	tuple_to_index, ldiff, pr_Vessiot_frame_data, sgn_perm,vector_sort,indet_helmlist,

#VessiotLinalg
 	Vessiot_rref, Vessiot_nullspace, Vessiot_linsolve, newxlinsolve,

#VessiotObjects
	makeVessiotObject, objectComponents, objectAttributes,objectGenerators,tensorGenerators,
	vectorType, transformType, transformDomain, transformRange, transformJacobian,
	formDegree, biformDegree, objectFrame, objectType, tensorType, tensorIndexType,tensorDensityType,
	diffeqVariables,diffeqType,	functionOrder, objectOrder, 	tensorIndexPart1, tensorIndexPart2,
      coeff_set, coeff_list,JacobianMatrix;

;




$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\CoordInit.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\Derivate.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\FormUtilities.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\FrameChangeRemove.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\FrameInit.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\FrameUtilities.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\Hook.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\Internal.ms":

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\VessiotLinalg.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DiffGeomInternal\\VessiotObjects.ms";




end module;


savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometry.mla";

savelib('DifferentialGeometryInternal');
