

libname:= 
"C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):
with(JetCalc):


DifferentialGeometryTools:=module()

description  "Differential Geometry  Tools Package";

option  package; 



export 

#ArithTools.ms
	`&mplus`, `&mminus`, `&mmult`, `&mwedge`,

#EqualTools
       EqualTransform,EqualSubspaces,

#FormTools
	Form, generate_forms_in_degree,zero_form,vol_form, scalar_form, 
      zero_biform,scalar_biform,vol_biform, Biform,

#LinearAlgebraTools
 	IntersectSubspaces, 

#ObjectTools
 	Vessiot_map, DiffGeom_basis, canonical_subspace_basis,
      annihilator,complementary_basis,    

#TensorTools
	tens, zero_tens,scalar_tensor,

#TransformTools
      transform_pt,identity_transform,

#VectTools
      Vect,zero_vect,Divergence;

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\ArithTools.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\EqualTools.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\FormTools.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\LinearAlgebraTools.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\ObjectTools.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\TensorTools.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\TransformTools.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryTools\\VectTools.ms";


end module;


unwith(DifferentialGeometry):

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometry.mla";

savelib('DifferentialGeometryTools');
