
libname:=
 "C:\\Program Files\\Maple 10/lib",
 "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):
with(DifferentialGeometryInternal):
with(DifferentialGeometryTools):
with(JetCalc):


JetCalcTools:=module()

description  "JetCalc Package";

option  package; 


export 

#Action
	generating_function_to_contact_vect,

#Differential_eqn.ms
	diffeq_to_form, diffeq_to_vect,  	

#HookEL
	hook_EL,

#Pr_transfrom
      assign_transform_type,


#Transformations
	total_Jacobian, projection_transform;


$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\JetCalcTools\\Action.ms";
  
$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\JetCalcTools\\DifferentialEquations.ms";

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\JetCalcTools\\HookEL.ms";

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\JetCalcTools\\PrTransform.ms";

$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\JetCalcTools\\Transformations.ms";


end module;

unwith(DifferentialGeometry);

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometry.mla";

savelib('JetCalcTools');
