

libname:= 
"C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):

with(DifferentialGeometryTools);

with(LieAlgebras);



LieAlgebrasTools:=module()

description  "LieAlgebra Tools Package";

option  package; 



export 

#BracketOfSubspaces.ms
	bracket_of_subspaces,
#MatrixCentralizer
	Jacobson_radical, matrix_centralizer,



#GeneralizedCenter
	generalized_center,


#LieAlgLeftCentralExtensions  
	Lie_algebra_extension;


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\LieAlgebrasTools\\BracketOfSubspaces.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\LieAlgebrasTools\\GeneralizedCenter.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\LieAlgebrasTools\\LieAlgebraLeftCentralExtensions.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\LieAlgebrasTools\\MatrixCentralizer.ms";

end module;


unwith(DifferentialGeometry):

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometry.mla";

savelib('LieAlgebrasTools');
