
libname:= "C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):
with(DifferentialGeometryTools):


repere_mobile:=module()

description  "Differential Geometry Package";

option  package; 

export 

#repere_mobile.ms

	assign_vect_type,Vect,Form, Biform,indet_helmlist, homo_d,ext_d,dH,dV,td,Lie_form,Lie_vert,Lie0, Lie_biform,
      Lie_total, Lie_tens, Lie_bracket,pr_vect,inclusion, pullback_form, project, show_helm_map,
      assign_transform_type,show_vect,show_form,show_tensor,


#repere_mobile_curvature
 	push_pull_tensor, offel1, curvature_tensor;


    
$include "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\RepereMobileFrame\\repere_mobile.ms";

 
$include   "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\RepereMobileFrame\\repere_mobile_curvature.ms";


end module;

unwith(DifferentialGeometry);

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometry.mla";

savelib('repere_mobile');
