#
# This is the package for  LieAlgebraClassifier  Diagonistics
#
#

# This is the package for  LieAlgebraClassifier  Diagonistics
#
#

LieAlgebraClassifierDiagnostics:=module ()

option package;
export ParameterTable, CheckClassifier,UnimodularMatrix; 



UnimodularMatrix:=proc(n)
local A1, A2, A, a,b,i;

if  nargs>1 then  
	a:=args[2]; 
	b:=args[3]; 
else 
      a:=-1; 
	b:=1;

fi;A1:=LinearAlgebra[RandomMatrix](n,n,generator=0..1,outputoptions=[shape=triangular[upper]]);
A2:=LinearAlgebra[RandomMatrix](n,n,generator=-1..0,outputoptions=[shape=triangular[lower]]);                   

for i from 1 to n do 
	A1[i,i]:=1; 
	A2[i,i]:=1; 
od;

A:= eval(A1.A2):
end:



ParameterTable:=proc()

local A;

A:=table();

A[3,1,0,1]:={};

A[3,2,0,1]:={a=1/2};
A[3,2,0,2]:={a=3};
A[3,2,0,3]:={a=-2};
A[3,2,1,1]:={};

A[3,3,0,1]:={};

A[3,4,0,1]:={a=3};
A[3,4,0,2]:={a=0};
A[3,4,0,3]:={a=-1};

A[3,5,0,0]:={};
A[3,6,0,0]:={};


#~~~~~~~~~~~~~~~~~~~~~

A[4,1,0,1]:={};

A[4,2,0,1]:={a=1/2,  b=1/3};
A[4,2,0,2]:={a=1/3,  b=1/2};
A[4,2,0,3]:={a=2,  b=-3};
A[4,2,0,4]:={a=alpha,  b=beta};
A[4,2,0,5]:={a=alpha +beta +2,  b=alpha -beta +1};



A[4,2,1,1]:={a=-1/4};
A[4,2,1,2]:={a= 2};
A[4,2,1,2]:={a= 1/3*alpha +7};
#A[4,2,3,1] MIA
A[4,2,3,1]:={};

A[4,3,0,1]:={a=1/3};
A[4,3,0,2]:={a=-4};
A[4,3,0,3]:={a= 1/2*alpha -2};


A[4,4,0,1]:={};


A[4,5,0,1]:={};

A[4,6,0,1]:={a=1, b=0};
A[4,6,0,2]:={a=1, b=3};
A[4,6,0,3]:={a=2, b=-2};
A[4,6,0,4]:={a=-1, b=3};
A[4,6,0,5]:={a=-alpha, b=4};
A[4,6,0,6]:={a=3, b=2*beta+1};
A[4,6,0,7]:={a=alpha-beta, b=2*alpha+beta};


A[4,7,0,1]:={a=1/2};
A[4,7,0,2]:={a=2};
A[4,7,0,2]:={a=-4};
A[4,7,0,3]:={a=alpha +3};

A[4,7,1,1]:={}; 
A[4,7,2,1]:={}; 



A[4,8,0,1]:={};

A[4,9,0,1]:={a=1};
A[4,9,0,2]:={a=-4};
A[4,9,0,3]:={a=alpha +5};

A[4,10,0,1]:={};

#~~~~~~~~~~~~~~~~~~~~

A[5,1,0,1]:={};

A[5,2,0,1]:={};

A[5,3,0,1]:={};

A[5,4,0,1]:={};

A[5,5,0,1]:={};

A[5,6,0,1]:={};



A[5,7,0,1]:={a=3/4 , b=1/2 , c=1/4}:
A[5,7,0,2]:={a=2 , b=3 , c=4}:
A[5,7,0,3]:={a=alpha , b=3 , c=4}:
A[5,7,0,4]:={a=alpha , b=beta +1 , c= alpha +beta + sigma}, Short:


A[5,7,3,1]:={b=2/3, c=-1/3}:
A[5,7,3,2]:={b=3, c=-3}:
A[5,7,3,2]:={b=beta-sigma, c=tau}:

A[5,7,5,1]:={b=1/2}:
A[5,7,5,2]:={b=-3}:
A[5,7,5,3]:={b=beta^2}:

A[5,7,6,1]:={c=-2/5}:
A[5,7,6,2]:={c=12}:

A[5,7,7,1]:={};


A[5,8,0,1]:={a=1/6}:
A[5,8,0,2]:={a=4}:
A[5,8,0,3]:={a=4*alpha -3};

A[5,8,1,1]:={};

A[5,9,0,1]:={a= 3, b=2}:
A[5,9,0,2]:={a=-1, b=2};
A[5,9,0,3]:={a=2*alpha-3*beta,b=3*beta -2*alpha}; 

A[5,9,1,1]:={a=4};
A[5,9,1,2]:={a=-1};
A[5,9,1,3]:={a=2/alpha};

A[5,9,2,1]:={b=3};
A[5,9,2,2]:={b=-1};
A[5,9,3,3]:={b=3*beta -2};

A[5,9,3,1]:={};

A[5,10,0,1]:={a=-1/5};
A[5,10,0,2]:={a=3};
A[5,10,0,3]:={a =3*alpha +2};

A[5,10,1,1]:={};

A[5,10,2,1]:={};

#~~~~~~~~~~~~~~~~~


A[5,11,0,1]:={};

A[5,12,0,1]:={a=3};
A[5,12,0,2]:={a=alpha -2};
A[5,12,1,1]:={};

A[5,13,0,1]:={};

A[5,14,0,1]:={a=1/2, b=2, c=3};
A[5,14,0,2]:={a=1/3,b=0,c=1};
A[5,14,0,3]:={a=2,b=2,c=2};
A[5,14,0,4]:={a=alpha , b= tau , c=tau },Short;

A[5,14,1,1]:={b=1, c=2};
A[5,14,1,2]:={b=0,c=1};
A[5,14,1,3]:={b=beta *tau, c= beta +tau}:

A[5,15,0,1]:={a=2/7};
A[5,15,0,2]:={a=0};
A[5,15,0,3]:={a= 4*alpha -3};


A[5,16,0,1]:={a=1,b=3};
A[5,16,0,2]:={a=1, b=-2};
A[5,16,0,3]:={a=0,b=3};
A[5,16,0,4]:={a=alpha+beta, b= beta},Short;

A[5,17,0,1]:={a=1, b=2, c=1/2};
A[5,17,0,2]:={a=1, b=1, c=2};
A[5,17,0,3]:={a=1, b=0, c=1};
A[5,17,0,4]:={a=0, b=1, c=1};
A[5,17,0,5]:={a=0, b=0,c=2};
A[5,17,0,6]:={a=alpha, b=beta-tau, c=  alpha+tau},Short;

A[5,17,1,1]:={a=2};
A[5,17,1,2]:={a=1};
A[5,17,1,3]:={a=0};
A[5,17,1,3]:={a=alpha};

A[5,18,0,1]:={a=3};
A[5,18,0,2]:={a=-1};
A[5,18,0,3]:={a=0};
A[5,18,0,4]:={a=alpha -1};


A[5,19,0,1]:={a=1/2, b=2};
A[5,19,0,2]:={a=2, b=4};
A[5,19,0,3]:={a=-3, b=3};
A[5,19,0,4]:={a=alpha*beta, b= alpha -beta},Short;

A[5,19,1,1]:={a=1/5};
A[5,19,1,2]:={a=2};
A[5,19,1,3]:={a=-3};
A[5,19,1,4]:={a=alpha};

A[5,19,2,1]:={a=1/5};
A[5,19,2,2]:={a=2};
A[5,19,2,3]:={a=-3};
A[5,19,2,4]:={a=alpha},Short;


A[5,19,4,1]:={b=3};
A[5,19,4,2]:={b=-1};
A[5,19,4,3]:={b=1/beta};

A[5,19,5,1]:={};

A[5,19,6,1]:={};




A[5,20,0,1]:={a=1/3};
A[5,20,0,2]:={a=-2};
A[5,20,0,3]:={a=3*alpha-1};

A[5,20,1,1]:={};

A[5,21,0,1]:={};

A[5,22,0,1]:={};

A[5,23,0,1]:={a=3};
A[5,23,0,2]:={a=3*alpha -4};
A[5,23,1,1]:={};
A[5,23,2,1]:={};

A[5,24,0,1]:={epsilon=1};

A[5,25,0,1]:={a=1,b=3};
A[5,25,0,2]:={a=-2,b=5};
A[5,25,0,3]:={a=alpha +beta, b= -2*alpha +beta};

A[5,25,1,1]:={a=1};
A[5,25,1,2]:={a=-1/2};
A[5,25,1,3]:={a=1-alpha};

A[5,25,2,1]:={b=4};
A[5,25,2,2]:={b= 1 -beta};


A[5,26,0,1]:={epsilon=1, a=2};
A[5,26,0,2]:={epsilon=1, a=1};
A[5,26,0,3]:={epsilon=1, a=2*alpha};

A[5,26,2,1]:={epsilon=1, a=0};

A[5,27,0,1]:={};

A[5,28,0,1]:={a=2};
A[5,28,0,2]:={a=-2};
A[5,28,0,3]:={a= 2*alpha -1};
A[5,28,1,4]:={a=1};

A[5,29,0,1]:={};

A[5,30,0,1]:={a=2};
A[5,30,0,2]:={a=-1};
A[5,30,0,3]:={a= alpha +4};
A[5,30,1,1]:={};
A[5,30,2,1]:={};
A[5,30,3,1]:={};



A[5,31,0,1]:={};


A[5,32,0,1]:={epsilon=1};
A[5,32,0,2]:={epsilon=-1};

A[5,33,0,1]:={a=1,b=1};
A[5,33,0,2]:={a=1, b=-1};
A[5,33,0,3]:={a=2, b=3};
A[5,33,0,4]:={a=alpha-beta, b= alph +beta +1};


A[5,34,0,1]:={a=2};
A[5,34,0,2]:={a=-1};
A[5,34,0,3]:={a=alpha-2};

A[5,34,1 ,1]:={};
A[5,34,2,1]:={};


A[5,35,0,1]:={a=2,b=2};
A[5,35,0,2]:={a=-2,b=2};
A[5,35,0,3]:={a=2, b=3};
A[5,35,0,4]:={a=alpha -2*beta, b= beta +1};

A[5,35,1,1]:={a=1};
A[5,35,1,2]:={a=-1};
A[5,35,1,3]:={a=alpha};

A[5,35,2,1]:={a=1};
A[5,35,2,2]:={a=0};
A[5,35,2,3]:={a=alpha +1/3};



A[5,36,0,1]:={};

A[5,37,0,1]:={};

A[5,38,0,1]:={};

A[5,39,0,1]:={};











eval(A)
end:



CheckClassifier:= proc(alglist) 

local  USUBlue, A,NC, IC, Chlist, AlgList,M,B,L, alg, alg0, W1,W2, W3,C; 


USUBlue:=DifferentialGeometryLibrary:-library_list(USU,2);


A:=ParameterTable():  
NC:=[];
IC:=[];

if nargs = 0 then	
      Chlist:=USUBlue;
	AlgList:= sort([indices(A)], DifferentialGeometryLibrary[library_index_sort]);
else
           AlgList:= alglist; Chlist:=[seq( a[1..3], a=alglist)];

fi;



for L in AlgList do
	alg:=L[1..3];
      
	if not member(alg,USUBlue) then  
		print( alg, "not in USU BlueBook") 
	else  
		Chlist:=remove(x->is(x=alg),Chlist); 
	fi;

	W1:=DifferentialGeometryLibrary:-DiffGeom_library(USU,2,alg);

	W2:=subs( [A[op(L)]][1],W1);

	LieAlgebras:-Lie_algebra_init(W2);
      
	if nops([A[op(L)]]) >1 then 
		B:=[seq(frameBaseVectors()[-i], i=1..nops(frameBaseVectors() ))]; 
	else
		M:=convert(UnimodularMatrix(L[1]),listlist);
      	B:=map(v_zip,M,frameBaseVectors(),plus);
      fi;

	W3:=convert(B,Lie_algebra_data,cat(_Vessiot_current_frame_name,"mix")): 
      userinfo(2,CheckClassifier, `Classifying `, L);
 	userinfo(2,CheckClassifier, `LieAlgebraData`, W3);

      LieAlgebras:-Lie_algebra_init(W3);

      try 
      	 C:=LieAlgebraClassifier:-ClassifyLieAlgebra(); 
	catch: 
            print(`<< LieAlgebraClassifier  ExecutionError   >> `,L);
		NC:=[op(NC),[L,eval(M)]] ; 
            next; 
	error; 
	 end try;
	#finally  
		if alg <> C[2][1][2] then  
			IC:= [op(IC),[L,eval(M)]];
			print(`<< LieAlgebraClassifier  ClassificationError   >> `,L, `as`, C[2]);
            else 
			print (`~~~~~`,  L , `OK ~~~~~`);  
		
     		fi;
		
     
  
od;



print(`*** The following algebras were not successfully classified:`);

print(NC);

print(`*** The following algebras were not properly classified:`);
  
print(IC);

print(`*** The following algebras were not checked: ***`);

Chlist;


writeline(default,cat(StringTools:-FormatTime("%n%n%c"),"/IA")):

end:


#-------------------------

end:





