#
#  CoordInit.vss
#
#  Vessiot
#
#  init_jet_var_list; createDefaultFrameLabels; parseVariableName
#  reconstructVariableName;  
#
#


init_jet_var_list := proc(indep_var_list,dep_var_list)
#CLASS I PROGRAM
#December 13,2002:IA        

local i,n, sublist, zero_list,j,jet_list, term1;
       
jet_list:=indep_var_list;
n:=nops(indep_var_list);

zero_list := [seq(0,j=1..n)];

for term1 in dep_var_list do
	jet_list := [op(jet_list), term1[op(zero_list)]]
od;

for term1 in dep_var_list  do
	for i from 1 to n 
		do
            sublist := zero_list; 
            sublist[i]:=1;
            jet_list := [op(jet_list), term1[op(sublist)]]
            od
od;

jet_list;

end:



createDefaultFrameLabels:=proc(k,jet_var_list)
#CLASS II PROGRAM
#December 13,2002:IA

local fr, i,jet,var, pvar, contact_label, hor_label, variable_names_list, 
frame_name,ans1, ans2,ans3, proc_name,N,
label,colabel,frame_labels_list, coframe_labels_list,
contact_coframe_labels_list;

frame_name:=_Vessiot_current_frame_name:

frame_labels_list:=[];
coframe_labels_list:=[];
contact_coframe_labels_list:=[];

N:=nops(jet_var_list);


for  i from  1 to N do
      var:=jet_var_list[i];
	pvar:=parseVariableName(var);
	
	label:=[cat("D_",pvar[1]), pvar[2]] ;
	frame_labels_list:= [op(frame_labels_list) ,label ];
      assign(reconstructVariableName(label), 
		_VESSIOT([ [vect,frame_name,[]],[ [[i+k],1] ]]) );

	colabel:=[cat("d",pvar[1]), pvar[2]] ;
      coframe_labels_list:= [op(coframe_labels_list), colabel ];
      assign(reconstructVariableName(colabel),  
		_VESSIOT([ [form,frame_name,1],[ [[i+k],1] ]]) );
      
	contact_label:=[cat("C",pvar[1]), pvar[2] ];
	contact_coframe_labels_list:= [op(contact_coframe_labels_list),contact_label ];
      assign( reconstructVariableName(contact_label), 
		 _VESSIOT([ [biform,frame_name,[0,1]],[ [[i+k],1] ]]) );

od;

[frame_labels_list, coframe_labels_list, contact_coframe_labels_list]

end:

#-----------------------------------------

parseVariableName:=proc(exp)  
#CLASS II PROGRAM
#December 13,2002:IA
local K;  

if  type(exp,list) 
	then K:= exp 
	else K:=[exp,[]]
fi;

if type(K[1],symbol) 
	then RETURN( [convert(K[1],string),K[2]]) 
	else parseVariableName([op(0,K[1]), [[op(1..nops(K[1]),K[1])],op(K[2]) ]] ) 
fi;

end:

#------------------------------------- 

reconstructVariableName:=proc (t) 
#CLASS II PROGRAM
#December 13,2002:IA
local s, v; 
if nops(t)=1  then RETURN(convert(t[1],name)) fi; 


if nops(t)=2 and t[2]=[]  then RETURN(convert(t[1],name)) fi; 


if nops(t) = 2  and t[2]<>[]  then  
	s:=convert(t[1],name); 
	for v in t[2][1..nops(t[2]) -1] do 
	s := s[op(v)]; 
	od 
fi; 

convert(s,name)[op(t[2][-1])]; 
end:

#******************************************************