#
#  CoordInit.dg
#
#  DiffGeom
#
#  coord_init; 
#


coord_init:=
proc(indep_var_list::list)

#dep_var_list::list,fr_name::name,library_name, flag
#

#CLASS II PROGRAM
#December 13,2002:IA
 
local fr, i,jet_var_list, jet,var, contact_label, hor_label, variable_names_list, 
frame_name,ans1, ans2,ans3, proc_name,N,var_list, L,dep_var_list,
label,colabel,frame_labels_list, coframe_labels_list,
horizontal_coframe_labels_list,contact_coframe_labels_list, pvar, n,ans4, ans5;
 
global   _Vessiot_frame_data,  _Vessiot_current_frame_name,helm_show_frame_flag;


if not type(_Vessiot_frame_data,table) then 
	with(DiffGeomInternal): 
    fi;







if nargs=1 then
	dep_var_list:=[];
	frame_name:=`euclid`
fi; 
    
if nargs=2 then  
 	if  type(args[2],list) then 
      	dep_var_list:=args[2];
            frame_name:=`euclid`; 
	else
	   	dep_var_list:=[];
		frame_name:=args[2];
	fi;
fi;


if nargs>2 then   
	dep_var_list:=args[2];
	frame_name:=args[3]
fi;

for i from 1 to nops(indep_var_list) do
	if type(indep_var_list[i],name)= false then 
		ERROR(cat("\n VESSIOT ERROR:",
             	    "\n Independent Variable is not a valid Maple name:",
                	    "\n ", i,indep_var_list[i] ));
      fi;
od;

 
for i from 1 to nops(dep_var_list) do 	
	if type(dep_var_list[i],name)= false then 
		ERROR(cat("\n VESSIOT ERROR:",
             	    "\n Dependent Variable is not a valid Maple name:",
               	    "\n ", i,dep_var_list[i] ));
      fi;
od;
    

if member(frame_name, listOfFrameNames()) then 
	remove_frame(frame_name) 
fi:
 
_Vessiot_current_frame_name:=frame_name;

if nargs>3 then 
	 proc_name:=args[4] 
else 	
	proc_name:='vst_euc' 
fi;

readlib(proc_name):


jet_var_list:=init_jet_var_list(indep_var_list,dep_var_list);


N:=nops(jet_var_list);

for  i from  1 to N do
      var:=jet_var_list[i];
	pvar:=parseVariableName(var);
	
	label:=[cat("D_",pvar[1]), pvar[2]] ;
	unassign(convert(label[1],name));   

	colabel:=[cat("d",pvar[1]), pvar[2]] ;
 	unassign(convert(colabel[1],name));	
      
	contact_label:=[cat("C",pvar[1]), pvar[2] ];
      unassign(convert(contact_label[1],name)):
      
od;



n:=nops(indep_var_list);

for  i from  1 to n  do
	var:=indep_var_list[i];
	pvar:=parseVariableName(var);
	
      hor_label:=[cat("D",pvar[1]), pvar[2]] ;
	unassign(convert(hor_label[1],name)):
	
od;

horizontal_coframe_labels_list:=[];

for  i from  1 to n  do
	var:=indep_var_list[i];
	pvar:=parseVariableName(var);
	hor_label:=[cat("D",pvar[1]), pvar[2]] ;
	horizontal_coframe_labels_list:= [op(horizontal_coframe_labels_list) ,hor_label ];
	assign(reconstructVariableName(hor_label),
		 _VESSIOT([ [biform,frame_name,[1,0]],[ [[i],1] ]]) );

od;


L:=createDefaultFrameLabels(0,jet_var_list);

frame_labels_list:=L[1];
coframe_labels_list:=L[2];
contact_coframe_labels_list:=L[3][n+1..N];

variable_names_list:=[indep_var_list, dep_var_list ,1 ,jet_var_list,
frame_labels_list,coframe_labels_list,horizontal_coframe_labels_list,
contact_coframe_labels_list,jet_var_list];

ans1:=[frame,proc_name,_Vessiot_current_frame_name,variable_names_list];
ans2:=[[]];
ans3:=[[]];
ans4:=Matrix(1,1,0):
ans5:=Matrix(1,1,0):
_Vessiot_frame_data[_Vessiot_current_frame_name]:=[ans1,ans2,ans3,eval(ans4),eval(ans5)];


VessiotPrompt():

cat(`frame name: `, _Vessiot_current_frame_name);
 
end:

#****************************************************

