DifferentialGeometryEqual:=proc()


local equal_transforms;

equal_transforms:=proc(phi::Vessiot_transformation,psi::Vessiot_transformation) 

#CLASS I PROGRAM
#12/18/02:IA

local i;

([seq((op(phi)[2][i][1]-op(psi)[2][i][1]) ,i=1..nops(op(phi)[2]))])
end:

end:

#----------------------------



#----------------------------------------------

linear_combo:=module()
#CLASS II PROGRAM
#11/20/02:IA

export  linear_combo_of_bftv, linear_combo_of_matrices, 
        linear_combo_of_bftv2,linear_combo_of_matrices2,ModuleApply;



#
# MAIN ROUTINE
#

ModuleApply:=proc(a::{Matrix,Vector, Vessiot_bftv,list(Matrix),list(Vector),list(Vessiot_bftv)},
				    b::{list(Matrix),list(Vector),list(Vessiot_bftv)},{check:=false}) 

local ans,check_linear_combo;




check_linear_combo:=proc(v, S) 
# 09/05/05:IA

local C,ans;

if v=[] then RETURN(true) fi;


C:=linear_combo(v,S); 
if nops(C)=0  then 
	ans:=false
	else 
	ans:=true
fi; 

ans
end;



if check=true then
	ans:=check_linear_combo(args);
      RETURN(ans)
fi;

 




if type(a,Matrix) then 
	ans:=linear_combo_of_matrices(a,b); 
      RETURN(ans)
fi;



if type(a,Vector) then 
	ans:=linear_combo_of_matrices(a,b); 
      RETURN(ans)
fi;


if type(a,Vessiot_bftv) then 
      ans:=linear_combo_of_bftv(a,b);
      RETURN(ans)  
fi;


if type(a,list(Matrix)) then 
	ans:=linear_combo_of_matrices2(a,b);
      RETURN(ans) 
fi;


if type(a,list(Vector)) then 
	ans:=linear_combo_of_matrices2(a,b);
      RETURN(ans) 
fi;


if type(a,list(Vessiot_bftv) ) then 
      ans:=linear_combo_of_bftv2(a,b);
      RETURN(ans) 
fi;


ERROR(cat("\n  VESSIOT ERROR:", 
          "\n  Invalid arguments for  linear_combo."))

end:












#
# LOCAL SUBROUTINES  
#
# linear_combo_of_bftv; linear_combo_of_matrices; 
# linear_combo2;linear_combo_of_bftv2; linear_combo_of_matrices2; 
#
#

#======================================================================








linear_combo_of_bftv:=proc(vfb::Vessiot_bftv,a_basis::list(Vessiot_bftv))

#CLASS II PROGRAM
#11/20/02:IA

local ans , A,b, c, coeff_vars,combo_coeff, lincom, index;

if nargs=3 then 
	change_frame_to(args[nargs])
fi;

coeff_vars:=[seq(_t[index],index =1..nops(a_basis))];

lincom:=coeff_set(v_zip(coeff_vars,a_basis,plus) &minus vfb);
     
lincom:=collect(lincom,coeff_vars);

A:=LinearAlgebra[GenerateMatrix](lincom,coeff_vars);

ans:=Vessiot_linsolve(A[1],A[2]):
     
if ans=NULL 
then 
	combo_coeff:=[] 
else 
      combo_coeff:=convert(ans,list)
fi;


combo_coeff
end:

#=================================================================

linear_combo_of_matrices:= proc (A, list_of_matrices) 

#CLASS II PROGRAM
#12/18/02:IA
#03/30/03:IA

local n, coeff_list, B,C, b,i, eq, ans, combo_coeff; 

n := nops(list_of_matrices); 
coeff_list := [seq(_t[i],i = 1 .. n)]; 
B := eval(A);

for i to n do 
	B := eval(B-coeff_list[i]*list_of_matrices[i])
od;

eq:=convert(convert(B,set),list);

eq:=collect(eq,coeff_list);

C:=LinearAlgebra[GenerateMatrix](eq,coeff_list);

ans:=Vessiot_linsolve(C[1],C[2]):


if ans = NULL then 
	combo_coeff := [] 
else 
	combo_coeff := convert(ans,list)
fi; 

combo_coeff 

end:

#========================================================

linear_combo_of_bftv2:= 
proc (vfb::list(Vessiot_bftv), a_basis::list(Vessiot_bftv)) 

#CLASS II PROGRAM
#11/20/02:IA
#12/18/02:IA

local ans,a,e,f, c, i, j, varList1, varList2, linearCombo, linearComboSet, linearComboSet1,linearComboSet2,

A, B, C, X,index; 

varList1 := [seq(_t[i],i = 1 .. nops(vfb))]; 
varList2 := [seq(_s[j],j = 1 .. nops(a_basis))]; 
linearCombo := `&plus`(v_zip(varList2,a_basis,plus),v_zip(varList1,vfb,plus));
linearComboSet := coeff_list(linearCombo,all);

linearComboSet1:=collect(linearComboSet,varList1);
linearComboSet2:=collect(linearComboSet,varList2);

A := LinearAlgebra[GenerateMatrix](linearComboSet2,varList2); 
B := LinearAlgebra[GenerateMatrix](linearComboSet1,varList1); 
X := Vessiot_linsolve(A[1],B[1]);

if X <> NULL then 
	ans := 
      [seq([seq(X[i,j],i = 1 .. nops(a_basis))],
      j = 1 .. nops(vfb))] 
else 
	ans := [] 
fi; 


ans 
end:


#=============================================================

linear_combo_of_matrices2 := 
proc (vfb::list(Matrix), a_basis::list(Matrix)) 
#CLASS II PROGRAM
#11/20/02:IA

local ans, c, i, j, varList1, varList2, linearCombo, linearComboSet, linearComboSet2,linearComboSet1,
A, B, C, X,index; 

varList1 := [seq(_t[i],i = 1 .. nops(vfb))]; 
varList2 := [seq(_s[j],j = 1 .. nops(a_basis))]; 
linearCombo :=  eval(add(varList1[i]*vfb[i], i=1..nops(vfb)) + 
			    add(varList2[j]*a_basis[j],j=1..nops(a_basis)  ));

linearComboSet :=map(op,convert(linearCombo,listlist));




linearComboSet1:=collect(linearComboSet,varList1);
linearComboSet2:=collect(linearComboSet,varList2);

A := LinearAlgebra[GenerateMatrix](linearComboSet2,varList2); 
B := LinearAlgebra[GenerateMatrix](linearComboSet1,varList1); 
X := Vessiot_linsolve(A[1],B[1]);

if X <> NULL 
	then ans := 
      [seq([seq(X[i,j],i = 1 .. nops(a_basis))],
      j = 1 .. nops(vfb))] 
	else ans := [] 
fi; 

ans 

end:



end module:

#=============================================================




#------------------------------------------------------------------

v_zip:=proc()

#CLASS I PROGRAM
#08/26/91:CH
#12/13/02:IA

#v_zip::  create a geometric object field from a list of  coefficients and components

local ans, objTypeA,objTypeB, i, index, n, temp,operand, vfb_list, coeff_list;

if nargs=2 then
	vfb_list:=evalV(args[1]);
	operand:=args[2];
	coeff_list:=[1$nops(vfb_list)];
else
	coeff_list:=args[1];
	vfb_list:=evalV(args[2]);
	operand:=args[3]
fi:

#

if nops(coeff_list)<>nops(vfb_list) then
   	ERROR(cat("\n VESSIOT ERROR:",  
		    "\n Number of coefficients and vectors or (bi)forms differ:",
                "\n ", nops(coeff_list), nops(vfb_list) ))
else
    	n:=nops(vfb_list)
fi;

# Error  checks  that all elements are then same
# add checks for form /biform degree/tensor types


objTypeA:=objectType(vfb_list[1]);

if operand =plus then
	for i from 2 to n do
		objTypeB:=objectType(vfb_list[i]);
     		if objTypeA <> objTypeB then 
              	ERROR(cat("\n VESSIOT ERROR:",  
		    	"\n  Object 1 of type ", objTypeA,
 		    	"\n  Object ", i , " of type ", objTypeB))    
      	fi;
od;
fi;


if operand=tensor then 
     vfb_list:=map(convert, vfb_list, Vessiot_tensor)
fi;

if not(member(operand,{plus,wedge,tensor})) then
	ERROR(cat("\n VESSIOT ERROR:",  
		    "\n Third argument must be one of: plus, wedge, tensor:",
                "\n ", operand))
fi;


DiffGeomMain:-DGzip(coeff_list,vfb_list,operand);
end:
                         
