#
#  FrameChangeRemove.dg
#
#  DiffGeom
#
#  change_frame_to; remove_frame
#



change_frame_to:= proc(frame_name::{name})

#CLASS I PROGRAM
#December 17,2002:IA        

local index, fr_names,n,labels, label,labels_list,i,colabel,contact_label,hor_label;
global  _Vessiot_current_frame_name;


if  _Vessiot_current_frame_name=frame_name  then 
	RETURN() 
fi;

if  not member(frame_name,listOfFrameNames() )
	then  
	ERROR(`VESSIOT ERROR: `,    frame_name,  `is an  undefined frame`)
fi; 

_Vessiot_current_frame_name:=frame_name;
n:=frameBaseDimension();

labels_list:=[op(frameLabels()), op(coframeLabels()),
		  op(horizontalCoframeLabels()),op(verticalCoframeLabels())];

for label in  labels_list do
	unassign(convert(label[1], name));
od;

for  i from  1 to nops(frameLabels() ) do
      
	label:=frameLabels()[i];
	assign(reconstructVariableName(label),
		 _VESSIOT([[vect,frame_name,[]],[ [[i],1] ]]) );
od;

for  i from  1 to nops(coframeLabels() ) do
	colabel:=coframeLabels()[i];

      assign(reconstructVariableName(colabel),
		_VESSIOT([ [form,frame_name,1],[ [[i],1] ]]) );

od;

for  i from 1 to nops(verticalCoframeLabels())  do  
	contact_label:=verticalCoframeLabels()[i];
      assign( reconstructVariableName(contact_label),
		_VESSIOT([[biform,frame_name,[0,1]],[ [[i+n],1] ]]) );
od;


for  i from  1 to nops(horizontalCoframeLabels())   do
	hor_label:=horizontalCoframeLabels()[i] ;
	assign(reconstructVariableName(hor_label), 
		_VESSIOT([ [biform,frame_name,[1,0]],[ [[i],1] ]])  );
od;

VessiotPrompt():
end:

#-------------------


remove_frame := proc (fr_name) 
#CLASS I PROGRAM
#12/17/02:IA        

local new_frames, t, label,labels_list; 
global _Vessiot_frame_data; 

if not member(fr_name,listOfFrameNames())  then RETURN(NULL) fi;


labels_list:=[op(frameLabels(fr_name)), op(coframeLabels(fr_name)),
		  op(horizontalCoframeLabels(fr_name)),op(verticalCoframeLabels(fr_name))];

for label in  labels_list do
	unassign(convert(label[1], name));
od;

new_frames:=table();

for t in listOfFrameNames() do 
	if t <> fr_name then 
	new_frames[t] := _Vessiot_frame_data[t] 
	fi 
od; 

_Vessiot_frame_data := eval(new_frames); 

if _Vessiot_show_intermediate_steps_flag = true then 
	cat(`Current Frames: `,listOfFrameNames()) 
fi; 

NULL
end:

#*****************************************************************
