#
# hook.dg
#
# Vessiot
#
# hook; hook_form; multi_hook;
#



#=====================================================

hook:=proc(X0, forma0) 

#CLASS II PROGRAM
#12/13/02:IA

local ans, hook_form,X, forma,  omega,  multi_hook;



#
# SUBROUTINES
#
# hook_form, multi_hook
#

#======================================

hook_form:= proc(X, omega)
#CLASS I PROGRAM
#12/13/02:IA

local degree, newform, term1, term2, vectr,f,forma;

vectr:=op(X);
forma:=op(omega);


if forma[1][3] < 1 then
 	ERROR(cat("\n VESSIOT ERROR:", 
                "\n form of zero degree."))
fi;

newform := [];

for term1 in vectr[2] do
	for term2  in forma[2] do
            newform := [op(newform), mono_hook(term1, term2)]
	od;
od;

degree := forma[1][3] - 1;

newform := _VESSIOT([[op(1..2,forma[1]),degree], newform]);
newform := helmsimp(newform);

newform;
end:

#==============================================================


multi_hook:=proc(Xlist, forma)

local ans, i :

ans:= forma;

for i from 1 to nops(Xlist)  do 

ans:= hook(Xlist[i],ans);
 
od;

ans;

end:

#==============================================================

#
#  MAIN PROGRAM
#



forma:=evalV(forma0);


if type(X0,list) then 
	ans:=multi_hook(X0,forma);
      RETURN(ans);
fi;

X:=evalV(X0);

VessiotFrameCheck(X):


if type(X,Vessiot_vect)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  hook requires first arguement to be a (list of) vector fields,", 
		    "\n ",objectType(X) )); 
fi;



if type(forma,{Vessiot_form, Vessiot_biform})=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  hook requires second arguement to be one of:",  
		    "\n  biform,form:", 
		    "\n ",objectType(forma) )); 
fi;

if objectFrame(X) <> objectFrame(forma) then
	ERROR(cat("\n VESSIOT ERROR:", 
                "\n vector and form in different frames:\n ",
	           objectFrame(X), " , ",  objectFrame(forma) ))
fi;


if type(forma,Vessiot_form)  then 
	ans:=hook_form(X,forma);
      RETURN(ans);
fi;


if type(forma,Vessiot_biform)  and op(X)[2][1][1][1] > frameBaseDimension() then
	ans:=vert_hook(X,forma);
      RETURN(ans);
fi;

if type(forma,Vessiot_biform)  and  nops(op(X)[1][3]) <>0  then
      if  op(X)[1][3][1] =tot then  
		ans:=total_hook(X,forma);
      	RETURN(ans);
	fi;
fi;

ERROR(`VESSIOT ERROR: Invalid  Arguments`);

end:

#**************************************************************************