#
#
# Noether is a simple helmholtz program which computes the 
# conservation law associated to agiven symmetry and Lagrangian.
#
#
#





Noether1:=proc(vector,Lagrangian) 
local omega,boundary_form,Z,ans1,ans2;

omega:=ext_dV(Lagrangian) &plus Euler_Lagrange(Lagrangian);
boundary_form:= homotopy_dH(omega);
   
Z:=pr_vect(Evol(vector),objectOrder(Lagrangian));
ans1:=vert_hook(Z,boundary_form);
   
ans2:= total_hook(total(vector),Lagrangian);
ans1 &minus ans2
end:

#
#

Noether2:=proc(vector, s_form)
local temp;
temp:= vert_hook(vector,Delta);
homotopy_dH(temp);
end:

