fiberedCoordinates:=proc(CauchyCharacteristicsList)

local  vars,newVariableList,differentials,CC,soln,PDE,v,alpha,check;

vars := frameIndependentVariables();
newVariableList := [];
differentials := [];

for CC in CauchyCharacteristicsList do

if CC = [] then
	soln := vars         
else
	PDE := map(Lie_derivative, CC, F(op(vars)));
      S:=pdsolve(PDE):
      if type(S,set)  then   S1:=S[1]  else S1:=S fi:
	soln := op(rhs(S1));
fi;

for  v in soln do 
	alpha:= ext_d(v):  
	if  newVariableList=[] then 
		check:=false else check:=check_linear_combo(alpha,differentials):   
	fi;  
	if   check=false then 
		newVariableList:=[op(newVariableList),v];
		differentials:=[op(differentials),alpha]; 
	fi; 
	od;
od; 

newVariableList;
end:


