modPfaff := proc (alpha::Vessiot_form, subspaceOfForms::list(Vessiot_form), 
complementOfForms::list(Vessiot_form)) 

local nu, beta, C, i, a, p, q, r, vars, omega, eq, soln;

p := nops(subspaceOfForms); 
q := formDegree(alpha);

nu := v_zip([seq(1,i = 1 .. p)],subspaceOfForms,wedge); 
C := generate_forms_in_degree(q,complementOfForms); 
r := nops(C); 
vars := [seq(a[i],i = 1 .. r)]; 
beta := v_zip(vars,C,plus); 
omega := (alpha &minus beta) &wedge nu:

eq := coeff_set(omega); 
soln := solve(eq,convert(vars,set)); 

helmsimp(subs(soln,beta)) 
end: