SolvableAction:=proc(Gamma1::list(Vessiot_vect),Gamma2::list(Vessiot_vect))

local fr1,fr2,varList1, varList2,n1,n2,Eq,ans,transformComponents,phi,W1,W2,
newTransformComponents, Sub1, Sub2,initialEquation,identityPoint,i, j,v, initialVariables, EQ,initialSoln,
finalTransformComponents, multiplication_procedure  ;

if nargs =2 then 
	identityPoint:=[0$n1]
else 
	identityPoint:=arg[3]
fi;


fr1:=objectFrame(Gamma1[1]);
varList1:=frameIndependentVariables(fr1): 
n1:=nops(varList1):

fr2:=objectFrame(Gamma2[1]):
varList2:=frameJetVariables(fr2);

n2:=nops(varList2):


if nargs =2 then 
	identityPoint:=[seq(varList1[i]=0,i=1..n1)]:
else 
	identityPoint:=args[3]
fi;


transformComponents:=[seq(varList2[i]=cat(_C,i), i=1..n2)];

for j from  1 to n1 do 
	v :=varList1[j];
	Sub1:=[seq(cat(_C,i)=cat(_Y,i)(v), i=1..n2)];
	Sub2:=[seq(varList2[i]=cat(_Y,i)(v), i=1..n2)];
	newTransformComponents:=subs(Sub1,transformComponents);
	phi:=transform(fr1, fr2,newTransformComponents);
	
     	W1:=pushforward(phi,Gamma1[j]) ;
     	W2:= subs(newTransformComponents,Gamma2[j]);
	EQ:=coeff_set(W1 &minus W2);
      EQ1:=solve(EQ,{seq(diff(cat(_Y,i)(v),v), i=1..n2)});
	ans:=dsolve(EQ1,{seq(cat(_Y,i)(v), i=1..n2)},
explicit);
	transformComponents:=subs(ans,newTransformComponents);
od;
	
initialEquation:=convert(subs(identityPoint,transformComponents),set);
initialVariables:= {seq(cat(_C,i), i=1..n2)}; 

initialSoln:=solve(initialEquation, initialVariables);
finalTransformComponents:=simplify(subs(initialSoln,transformComponents)); 

multiplication_procedure:=proc(X,Y) 
	local i, sub1;
	sub1:={seq(varList1[i]=X[i], i=1..n1), seq(varList2[i]=Y[i], i=1..n2)};
	subs(sub1,map(rhs,finalTransformComponents)) 
end:
 
multiplication_procedure   
end: