
#
# Vect_Utilities.utl
#
#
#
#





Vect := proc(tuple::algebraic)
#CLASS II PROGRAM
#08/26/91:CH
#12/13/02:IA
        
local frameP,ans, vectr, index;


if nargs > 1 then
	change_frame_to(args[2])
fi;

frameP := frameProtocol();


if not type(tuple,integer) and  not frameP=vst_euc then
      ERROR(cat("\n VESSIOT ERROR:",
		    "\n If frame procotol is not vst_euc then first argument must be an integer", 
		    "\n ",tuple, " ", frameP )); 
fi;

if type(tuple,integer) then
	index:=tuple; 
	       
	while index > frameJetDimension() do
		pr_Vessiot_frame_data()
	od;

else  
      
	index := tuple_to_index(tuple)
fi;


 _VESSIOT([[vect, _Vessiot_current_frame_name,[]], [[[index],1]]]);


end:



zero_vect := proc(vect_type)

# CLASS I PROGRAM
# 06/16/92 CH
# 07/07/97 CM
# 12/13/02 IA

#zero_vect:: returns zero vector for specific coordinate system

local newvect,vT;
        
if nargs>0  then 
	vT:=vect_type 
else 
	vT:=[] 
fi;

optionalFrameChange([args],1):  
        
newvect := _VESSIOT([ [vect,_Vessiot_current_frame_name,vT], [ [[1], 0] ] ]);

newvect:
end:

#===================================================-- 

Divergence:=proc(a_vector0)
#CLASS I PROGRAM
#06/16/92:CH
#12/13/02:IA 
	 
#    This routine takes the divergence of a Vessiot vector.
#
#    a_vector: a Vessiot vector.

local ans, a_vector, term;

a_vector:=evalV(a_vector0);


if type(a_vector,Vessiot_vect)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  div requires first arguement to be a (list of) vector fields,", 
		    "\n ",objectType(a_vector) )); 
fi;



VessiotFrameCheck(a_vector);

ans:=0;

for term in op(a_vector)[2] do;
	ans:=ans+diff(term[2],index_to_jet_label(op(term[1])));
od;
	   
VessiotPrompt():

ans
end:

