#
# Project.euc 
#
# vst_euc
#
# biform_to_form; form_to_biform;
#


biform_to_form := proc(expr,flag)
#CLASS I PROGRAM
#12/17/02:IA      
#01/12/03:IA             
        
local ans, temp, v, i,form_attributes, form_component;

if flag='coeff' then
	ans := _VESSIOT([[form,_Vessiot_current_frame_name,0],[ [ [],expr] ] ]) ;

elif flag='biform' then
	if expr <= frameBaseDimension() then
      	form_attributes:= [form,_Vessiot_current_frame_name,1];
            form_component:=[[expr],1]; 
            ans := _VESSIOT([form_attributes,[form_component]]);
      else
		v := index_to_jet_variable(expr);
            ans := [[[expr],1]];
            for i from 1 by 1 to frameBaseDimension() do
            	temp := [[i], -ldiff(v,i)];
                  ans := [op(ans), temp]
            od;
	      ans := _VESSIOT([[form, _Vessiot_current_frame_name,1], ans])
      fi
else
      ERROR(`VESSIOT ERROR: insufficient input`)
fi;

ans
end:

#---------------------------

form_to_biform := proc(expr,flag)
#CLASS I PROGRAM
#12/17/02:IA 
#01/12/03:IA             

local ans, temp, v, i, biform_attributes, biform_component;

if flag='coeff' then
	ans := _VESSIOT([[form,_Vessiot_current_frame_name,0],[ [ [],expr] ] ]) ;

elif flag='form' then
	if expr <= frameBaseDimension() then
            biform_attributes:=[form,_Vessiot_current_frame_name,1];
            # the  attribute 'form' is changed to 'biform' in the master program 
            biform_component:=[[expr],1]; 
      	ans := _VESSIOT([biform_attributes,[biform_component]])
      else
      	v := index_to_jet_variable(expr);
           	ans := [[[expr],1]];
            for i from 1 by 1 to frameBaseDimension() do
                  temp := [[i], ldiff(v,i)];
                  ans := [op(ans), temp]
            od;
		ans := _VESSIOT([[form, _Vessiot_current_frame_name,1], ans])
	fi

else
	ERROR(`VESSIOT ERROR: insufficient input`)
fi;

ans
end:


#******************************************
