#
# push_vect.euc
#
# vst_euc
#
# pt_pushforward; pt_pushforward_total
#
# 

pt_pushforward_total:=proc (a_map, a_vect) 

#CLASS I PROGRAM
#12/20/02:IA         

local C1 ,C2, J, domain_frame, i,  p , n,    new_vect, order_vec, range_frame, X;

domain_frame:=transformDomain(a_map)[1];
range_frame:=transformRange(a_map)[1];
 
change_frame_to(domain_frame);
 
n:=frameBaseDimension();
 
C1:= Vector([seq(coeff_list(a_vect,[[i]]), i=1..n)]);
 
J:=JetCalcTools:-total_Jacobian(a_map);
 
C2:=convert(eval(J.C1),listlist);
 
change_frame_to(range_frame);  
 
X:=total(v_zip(C2, frameBaseVectors() ,plus));

p:=vectorType(a_vect)[2];

new_vect:=pr_vect(X,p);
 
Vessiot_Prompt();
 
new_vect;
 
end:


#****************************************
