#
#  Formdiff.jet
#
#  ext_dH,ext_dV
# 


ext_dH := proc(omega0)

#CLASS II PROGRAM
#08/26/91:CH
#12/13/02:IA

local  ans, frame, newdegree, omega,bidegree;




omega:=evalV(omega0); 

if  type(omega, Vessiot_scalar) then omega:=DifferentialGeometryTools:-scalar_biform(omega) fi;


if type(omega,Vessiot_biform)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  dH requires arguement to be a biform:", 
		    "\n ",objectType(omega))); 
fi;





VessiotFrameCheck(omega):


bidegree:=biformDegree(omega):

# ERROR and WARNING statements.

if bidegree[1] >= frameBaseDimension() then
	print(cat("\n VESSIOT WARNING:", 
		    "\n Biform has full horizontal degree."))
fi;

# Determining what frame to do the calculations in and newdegree.

frame := frameProtocol();
newdegree :=  biformDegree(omega) +[1,0];

# dH is an anti-derivation.  Pass to antiderv: w, calculation
# code location, and degree of output.

ans := derivation[formBiform](frame[dH],deriv,omega, DifferentialGeometryTools:-zero_biform(newdegree) ):

ans

end:

#========================================================

ext_dV := proc(omega0)
#CLASS II PROGRAM
#08/26/91:CH
#12/13/02:IA
        
local ans, frame, omega, newdegree;

omega:=evalV(omega0);

if  type(omega, Vessiot_scalar) then omega:=DifferentialGeometryTools:-scalar_biform(omega) fi;

if type(omega,Vessiot_biform)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  dV requires arguement to be a biform:", 
		    "\n ",objectType(omega) )); 
fi;

VessiotFrameCheck(omega):

frame := frameProtocol();
newdegree := biformDegree(omega) +[0,1]:

# dV is an anti-derivation.  Pass to antiderv: w, calculation
# code location, and degree of output.


ans := derivation[formBiform](frame[dV],deriv,omega,DifferentialGeometryTools:-zero_biform(newdegree)):


ans
end:

