# Homotopy.jet
#
# homotopy_dV, homotopy_dH,
#
# JetCalc
#
#


homotopy_dV := proc(bform0,int_parameters)
#CLASS II PROGRAM
#06/16/92:CH
#12/13/02:IA
        
local ans, bform, frame;

bform:=evalV(bform0);


if type(bform,Vessiot_biform)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  homotopy_dV requires arguement to be a biform:", 
		    "\n ",objectType(bform))); 
fi;

VessiotFrameCheck(bform);


frame := frameProtocol();
	  
if nargs >=2 then 
	ans:=frame[hdV](bform,int_parameters);
else
      ans:=frame[hdV](bform);
fi;


ans;
end:

#-----------------------------------

homotopy_dH := proc(bform0,int_parameters)
#CLASS II PROGRAM
#06/16/92:CH
#12/13/02:IA
 
local ans,bform, frame;

bform:=evalV(bform0);

VessiotFrameCheck(bform);


if type(bform,Vessiot_biform)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  homotopy_dH requires arguement to be a biform:", 
		    "\n ",objectType(bfrom))); 
fi;


frame := frameProtocol();

if biformDegree(bform)[2] = 0 then 
	if nargs >=2 then  
      	ans := frame[hdH0](bform, int_parameters)
      else 
          	ans:=frame[hdH0](bform)
	fi;         
else
      ans := frame[hdH1](bform)
fi;

ans
end:

#**********************************
