Lie_biform:=proc(vectr,geomObjField)


local vec, vecType,frame,newdegree,ans;

vec:=assign_vect_type(vectr);
vecType:=vectorType(vec);

if vecType[2] <objectOrder(geomObjField) then 
		ERROR(cat("\n VESSIOT ERROR:", 
                	     "\n vector must be  prolonged to order at least that of  biform:",
                	     "\n ", convert(vecType[2],string),",",					
                              convert(objectOrder(geomObjField),string)  ))
fi;

frame:=frameProtocol();

if  vecType[1]= `projectable` then  RETURN([Vessiot_biform1, frame])
fi;  

#....................................

if  vecType[1] =`evol` then RETURN([Vessiot_biform2, frame]) 
fi;

#................................................

if  vecType[1] = `tot`  then RETURN([Vessiot_biform3, frame]) 
fi;

	
end:


#
#
#


Lie_proj0:=proc(vectr,geomObjField)


local PHI, newdegree,Z;

PHI:= proc(expr,flag,vec)
#CLASS I PROGRAM
#08/26/1991:CH
#12/17/2002:IA 
option trace;

local   i, formlist, ans, v,vars, dtype, temp_form, Lie_form,vectr,
        biform_attributes, biform_component;
        
vectr:=op(vec)[2]:

if flag = `coeff` then
       ans:= [ [[], Lie_derivative(vec, expr)] ];
       Lie_form:=_VESSIOT([[biform, _Vessiot_current_frame_name,[0,0]], ans])

elif flag='bftv' then
	i := 1;

      while  (i < nops(vectr)) and(vectr[i][1][1] < expr) do
      	i := i+1 
	od;      
			
      if vectr[i][1][1] = expr  then 
		if expr <= frameBaseDimension()  then
            	ans:=[];
    	    		vars := indet_helmlist(vectr[i][2]);
    		
			for v in vars do
        			ans := [op(ans), [[tuple_to_index(v)], diff(vectr[i][2], v)]]
    			od; 

			Lie_form:=_VESSIOT([[biform, _Vessiot_current_frame_name,[1,0]], ans])

            else   
			ans:=[];
    	    		vars := indet_helmlist(vectr[i][2]) minus {op(frameIndependentVariables())};
    		
			for v in vars do
        			ans := [op(ans), [[tuple_to_index(v)], diff(vectr[i][2], v)]]
    			od; 

			Lie_form:=_VESSIOT([[biform, _Vessiot_current_frame_name,[0,1]], ans])
            fi;


      elif  expr <= frameBaseDimension()  then 
                  Lie_form:=DifferentialGeometryTools:-zero_biform([1,0]);
            else 
			Lie_form:=DifferentialGeometryTools:-zero_biform([0,1]);
      fi;
      
else      
ERROR(`VESSIOT ERROR: input not of correct type`)
fi;

Lie_form
end:

newdegree:=biformDegree(geomObjField);

Z:=DifferentialGeometryTools:-zero_biform(newdegree);

derivation[formBiform](PHI,deriv,geomObjField, Z,vectr);

end:

#---------------------------------

Lie_vert0:=proc(vectr,geomObjField)

local PHI, newdegree,Z;
PHI:=proc(expr,flag,vec)
#CLASS I PROGRAM
#08/26/1991:CH
#12/17/2002:IA 

local  ans,v,vars, Lie_form, i, temp, vectr, biform_attributes, biform_component;

vectr:=op(vec)[2];

if flag = `coeff`  then
       ans:= [ [[],Lie_derivative(vec, expr)] ];
       Lie_form:= _VESSIOT([[biform, _Vessiot_current_frame_name,[0,0]], ans])
fi;

if flag='bftv' then
      if expr <= frameBaseDimension() then
            Lie_form := DifferentialGeometryTools:-zero_biform([1,0], _Vessiot_current_frame_name)
      else
            i := 1;
            while (i < nops(vectr)) and (vectr[i][1][1] < expr) do
            	i := i+1 
		od;
		
		if vectr[i][1][1] = expr then

            	ans:=[];
    	    		vars := indet_helmlist(vectr[i][2]) minus {op(frameIndependentVariables())};
    		
			for v in vars do
        			ans := [op(ans), [[tuple_to_index(v)], diff(vectr[i][2], v)]]
    			od; 

			Lie_form:=_VESSIOT([[biform, _Vessiot_current_frame_name,[0,1]], ans])
            else
              	Lie_form := DifferentialGeometryTools:-zero_biform([0,1], _Vessiot_current_frame_name)
            fi
      fi
fi;

Lie_form
end:


newdegree:=biformDegree(geomObjField);

Z:=DifferentialGeometryTools:-zero_biform(newdegree);

derivation[formBiform](PHI,deriv,geomObjField,Z, vectr);

end:

#-------------------------------------------
Lie_tot0:=proc(vectr,geomObjField)
local PHI, newdegree,Z;
PHI:=proc(expr,flag,vec)
#CLASS I PROGRAM
#08/26/1991:CH
#12/17/2002:IA     

local   Lie_form, i,j, v, input_form,  term, ans,  newvar, vectr;

vectr:=op(vec)[2]:

if  flag = `coeff` then
       ans:= [[[],Lie_derivative(vec, expr)]];
       Lie_form:= _VESSIOT([[biform, _Vessiot_current_frame_name,[0,0]], ans])
fi;

if flag= 'bftv' then
	if expr<=frameBaseDimension() then
      	i:=1;
            while  (vectr[i][1][1] <expr) do 
			i:=i+1 
		od;
            ans:=[];
            for j from 1 by 1 to frameBaseDimension() do
			ans := [op(ans), [[j], td(vectr[i][2], j)]]
      	od;
		Lie_form := _VESSIOT([[biform, _Vessiot_current_frame_name, [1,0]], ans])

      else
            v:=index_to_jet_variable(expr);    
            
            Lie_form:=
		_VESSIOT([[biform,_Vessiot_current_frame_name,[0,1]],[[[frameBaseDimension() +1],0]]]);
            for term in vectr do
            	if term[1][1] <=frameBaseDimension() then
                  	j:=term[1][1];
                        newvar := op(0,v)[op(1 .. j-1,v),
                              op(j,v)+1,op(j+1 .. frameBaseDimension(),v)] ;
                  	Lie_form:=DiffGeomMain:-Plus(Lie_form, 
                                  DiffGeomMain:-Mult(term[2], DifferentialGeometryTools:-Biform(newvar)))
                  fi
            od
      fi
fi;



Lie_form
end:


newdegree:=biformDegree(geomObjField);

Z:=DifferentialGeometryTools:-zero_biform(newdegree);

derivation[formBiform](PHI,deriv,geomObjField,Z, vectr);

end:

