#
# Lie.jet
#
# JetCalc
#
#  gen_Lie_bracket;
# #



#---------------------------------------

gen_Lie_bracket := proc(v10,v20)

#CLASS II PROGRAM
#08/26/1991:CH
#12/17/2002:IA         
#12/19/2003:IA
local ans, frame,v1, v2,vec1,vec2;

v1:=evalV(v10):
v2:=evalV(v20):

if type(v1,Vessiot_vect)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  Lie_bracket requires first arguement to be a vector field,", 
		    "\n ",objectType(v1))); 
fi;

if type(v2,Vessiot_vect)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  Lie_bracket requires second arguement to be a vector field,", 
		    "\n ",objectType(v2))); 
fi;

if objectFrame(v1)<> objectFrame(v2) then  
    ERROR(cat("\n Vessiot Error:",  
		  "\n frame of vector 1 ",objectFrame(v1),
              "\n must equal frame of vector 2 ", objectFrame(v2) ))
fi;
        
VessiotFrameCheck(v1):

vec1:=assign_vect_type(v1);
vec2:=assign_vect_type(v2);

if vectorType(vec1)[1] = `generic` then
	ERROR(cat("\n Vessiot Error:",  
                "\n The first vector is  not a generalized vector:",
                "\n ", vectorType(vec1) ))
fi;

if vectorType(vec2)[1] = `generic` then
	ERROR(cat("\n Vessiot Error:",  
                "\n The second vector is  not a generalized vector:",
                "\n ", vectorType(vec2) ))
fi;

frame := frameProtocol();

ans:=frame[gen_Lie_bracket](vec1,vec2);


ans
end:

#----------------------------------------
