#
#  tot_evol.vss
#
#  Vessiot
#
#  total; evol
#


total:= proc(X0)

#CLASS II PROGRAM  (except for second to last line!)
#COORDINATE FREE

#12/13/2003:IA
#total:: returns the total part of a vector field.

local X,n,m, theta,ans,Omega, Theta,Coeff,Z, coeff;

X:=evalV(X0);


n:=frameBaseDimension();
m:=frameFiberDimension();  


if type(X,Vessiot_vect)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n total requires input object to be a vector field,", 
		    "\n ",objectType(X))); 
fi;

if  objectComponents(X)[-1][1][1]> n+m then
	ERROR(cat("\n VESSIOT ERROR:", 
		    "\n vector must be a generalized vector field on space of ",
                "independent and dependent variables."))
fi;


Omega:=frameVerticalBiforms();

Theta:=[seq(convert(Omega[i],Vessiot_form),i=1..m)] ;


Coeff:=map2(hook,X,Theta);
Coeff:=map(coeff_list,Coeff, [[]]);

ans:= X &minus (v_zip(Coeff, frameJetVectors()[n+1..n+m], plus));

Z:=op(ans);
Z[1][3]:=[tot,0];


_VESSIOT(Z);

end:

#------------------------------------------------------
 

Evol := proc(X0)

#CLASS II PROGRAM
#COORDINATE FREE 
#12/13/2003:IA
#evol::returns the evolutionary part of a vector field.

local X, n, m, ans, Theta,Coeff, Omega,coeff,theta;

X:=evalV(X0):



n:=frameBaseDimension();
m:=frameFiberDimension();  


if type(X,Vessiot_vect)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n evol requires input object to be a vector field,", 
		    "\n ",objectType(X))); 
fi;


if  objectComponents(X)[-1][1][1]> n+m then
	ERROR(cat("\n VESSIOT ERROR:", 
		    "\n vector must be a generalized vector field on space of ",
                "independent and dependent variables."))
fi;

Omega:=frameVerticalBiforms();

Theta:=[seq(convert(Omega[i],Vessiot_form),i=1..m)] ;


Coeff:=map2(hook,X,Theta);
Coeff:=map(coeff_list,Coeff, [[]]);

ans:=v_zip(Coeff, frameJetVectors()[n+1..n+m], plus);

ans:

end:

#*****************************************