#  
#  
#  
#  
#  hook_El;
#
#

hook_EL := proc(bform0)
#CLASS II PROGRAM
#08/14/92:CH
#12/13/02:IA

local ans, ans_i, bform, degree, hook_term, i, temp_biform,
      term, tlist, v, var, biform_component, vlist;


bform:=evalV(bform0);


VessiotFrameCheck(bform);

if type(bform,Vessiot_biform)=false then 
	ERROR(cat("\n VESSIOT ERROR:",
		    "\n  hook_EL requires arguement to be a biform:", 
		    "\n ",objectType(bfrom))); 
fi;

if biformDegree(bform)[2] = 0 then
	ERROR(cat("\n VESSIOT ERROR:",
                "\n Biform must have positive vertical degree",
                "\n biformDegree(bform)"  ))
else
	degree := biformDegree(bform)
fi;

ans := [];

for i from 1 by 1 to frameFiberDimension() do
	ans_i := DifferentialGeometryTools:-zero_biform([degree[1], degree[2]-1]);
      for term in objectComponents(bform) do
            biform_component:=[term[1], term[2]];
          	temp_biform := _VESSIOT([objectAttributes(bform),[biform_component]]);
            vlist := op(degree[1]+1..degree[1]+degree[2],term[1]);
            for v in vlist do
              	var := index_to_jet_variable(v);
              	if op(0,var) = frameDependentVariables()[i] then
               		 tlist := [op(var)];
                  	hook_term := vert_hook(DifferentialGeometryTools:-Vect(v),temp_biform);
                  	ans_i := ans_i &plus
                  	(((-1)**(convert(tlist,`+`))) &mult
                  	td(hook_term,tlist))
              	fi;
            od;
      od;

ans := [op(ans), helmsimp(ans_i)]

od;



ans;

end:

