
#

ClassifySolvable:=proc(nrad) 

local L, L3, i, l,Auto,A,B,C,c,N,P,M,n,alg_name,
T,t,k,S,R1,R2,R3,factors_prop;  

n:=frameBaseDimension(); 

L:=FindUSU2([[dim,n]]);

Auto:=infinitesimal_automorphisms(full);

old_alg:=_Vessiot_current_frame_name;



L:=FindUSU2([[auto_dim,nops(Auto)]],L);
 
userinfo(2,classify_solvable2,auto_dim,L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;

if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;

change_frame_to(old_alg);







alg_name:=cat(_Vessiot_current_frame_name,auto);

B:=convert(Auto,Lie_algebra_data,alg_name);















Lie_algebra_init(B);

T:=DecomposeLieAlgebra()[1];
t:=nops(T);

factors_prop:=[];

#
# may need a sort here
#
for  k from 1 to t do
	Lie_algebra_init(T[k]); 
	L3:=LeviDecomposition();
	S:=nops(L3[2]);
	R1:=nops(L3[1]); 
	if R1 <> 0 then
		R2:=convert(L3[1],Lie_algebra_data,cat(alg_name,1));
		Lie_algebra_init(R2);
		R3:=GetAlgebraInformation([series,auto])[1..4];
 		factors_prop:=[op(factors_prop),[S,R1,R3]]
	fi;
od;

L:=FindUSU2([[auto_decomp,factors_prop]],L);
 
userinfo(2,classify_solvable2,auto_decomp,L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;

if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;

change_frame_to(old_alg);

P:=GetAlgebraInformation([series]);

L:=FindUSU2([[series, P[1..3]]],L);

userinfo(2,classify_solvable2, series,L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;
 
if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;
userinfo(2,classify_solvable2, cat("computing nilradical"));

if nargs=0 then
	A:=Nilradical();
	alg_name:=cat(_Vessiot_current_frame_name,nil);
	B:=convert(A,Lie_algebra_data,alg_name);
	Lie_algebra_init(B);
	C:=ClassifyLieAlgebra();
      N:=[];
	for c in C[2] do
		N:=[op(N),[c[2][1],c[2][2],c[2][3]   ] ];
	od;
	remove_frame(alg_name)
else
	N:=nrad;
fi;

change_frame_to(old_alg);

L:=FindUSU2([[nilradical,N]],L);

userinfo(2,classify_solvable2, nilradical,L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;
 
if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;


fr:=frameBaseVectors();


change_frame_to(old_alg);
 

DS:= LieAlg_series(derived);

DSClass:=[];

for  S in DS do 

	if nops(S) =n then 
		next;
	fi;

	if nops(S) =0 then
		DSClass:=[op(DSClass),[] ];
            next;
      fi;
      
      S1:=canonical_subspace_basis(S,fr);

	subalgebra_data:=convert(S,Lie_algebra_data);

	Lie_algebra_init(subalgebra_data);

	C:=ClassifyLieAlgebra();

	DSClass:=[op(DSClass),[seq(C[2][i][2], i=1..nops(C[2]))] ];

     
	change_frame_to(old_alg);
 
od;

DSQuotientClass:=[];

for  S in DS do 

	if nops(S) =n then 
		DSQuotientClass:=[op(DSQuotientClass),[]];
      	next;
	fi;

	if nops(S) =0 then
		      	next;
	fi;
     
	S1:=canonical_subspace_basis(S,fr);

	C:= complementary_basis(S1,fr);
	
	quotient_data:=quotient_algebra(S1,C);

	Lie_algebra_init(quotient_data);

	C:=ClassifyLieAlgebra();

	DSQuotientClass:=[op(DSQuotientClass),[seq(C[2][i][2], i=1..nops(C[2]))] ];
   
      change_frame_to(old_alg);


od;


userinfo(2,classify_solvable2,`DSClassification`, [DSClass,DSQuotientClass],L);

L:=FindUSU2([[DSClassification,[DSClass,DSQuotientClass]]],L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;
 
if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;





LS:=LieAlg_series(lower);


LSClass:=[];

for  S in LS do 

	if nops(S) =n then 
		      	next;
	fi;

	if nops(S) =0 then
		LSClass:=[op(LSClass),[] ];
      	next;
	fi;
      
      S1:=canonical_subspace_basis(S,fr);

	subalgebra_data:=convert(S,Lie_algebra_data);

	Lie_algebra_init(subalgebra_data);

	C:=ClassifyLieAlgebra();

	LSClass:=[op(LSClass),[seq(C[2][i][2], i=1..nops(C[2]))] ];
      
      change_frame_to(old_alg);


od;

LSQuotientClass:=[];

for  S in LS do 

	if nops(S) =n then 
		LSQuotientClass:=[op(LSQuotientClass),[]];
      	next;
	fi;

	if nops(S) =0 then
		      	next;
	fi;
     
	S1:=canonical_subspace_basis(S,fr);

	C:= complementary_basis(S1,fr);
	
	quotient_data:=quotient_algebra(S1,C);

	Lie_algebra_init(quotient_data);

	C:=ClassifyLieAlgebra();

	LSQuotientClass:=[op(LSQuotientClass),[seq(C[2][i][2], i=1..nops(C[2]))] ];

      change_frame_to(old_alg);


od;


L:=FindUSU2([[LSClassification,[LSClass,LSQuotientClass]]],L);

userinfo(2,classify_solvable2,`DSClassification`, [DSClass,DSQuotientClass],L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;
 
if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;


USClass:=[];

US:=LieAlg_series(upper);


for  S in US do 

	if nops(S) =n then 
		      	next;
	fi;

	if nops(S) =0 then
		USClass:=[op(USClass),[] ];
      	next;
	fi;
      
      S1:=canonical_subspace_basis(S,fr);

	subalgebra_data:=convert(S,Lie_algebra_data);

	Lie_algebra_init(subalgebra_data);

	C:=ClassifyLieAlgebra();

	USClass:=[op(USClass),[seq(C[2][i][2], i=1..nops(C[2]))] ];
       
      change_frame_to(old_alg);


od;

USQuotientClass:=[];

for  S in US do 

	if nops(S) =n then 
		USQuotientClass:=[op(USQuotientClass),[]];
      	next;
	fi;

	if nops(S) =0 then
		      	next;
	fi;
     
	S1:=canonical_subspace_basis(S,fr);

	C:= complementary_basis(S1,fr);
	
	quotient_data:=quotient_algebra(S1,C);

	Lie_algebra_init(quotient_data);

	C:=ClassifyLieAlgebra();

	USQuotientClass:=[op(USQuotientClass), [seq(C[2][i][2], i=1..nops(C[2]))] ];

	change_frame_to(old_alg);

od;




L:=FindUSU2([[USClassification,[USClass,USQuotientClass]] ],L);

userinfo(2,classify_solvable2,`USClassification`, [USClass,USQuotientClass],L);

if nops(L)=0 then 
	ERROR(cat("LieAlg3 Error:", 
                "\n No matching Lie algebra"))
fi;
 
if nops(L)=1 then 
	M:=Matrix(n,n,0);
	RETURN([eval(M),[USU,L[1]]]);
fi;


P:={seq(l[2], l=L)};

if nops(P)>1 then 
	ERROR(cat("LieAlg3 Error:", 
                "\nLie  Main algebra class  not uniquely determined",
                  convert(L,string)  ))
fi;

print("Warning -- Alg partially classified to:",L);

M:=Matrix(n,n,0);
      
[eval(M), [USU, [L[1][1], L[1][2], 0]  ]        ];
 




end:


