GetAlgebraInformation:=proc(P) 

local ans, DS, DSn,US, USn,LS, LSn, O,C,H,Hn,
      On,flag,coh_dim;

global  _Vessiot_xlinalg_conditions,_Vessiot_linalg_flag,
_Vessiot_show_intermediate_steps_flag; 


_Vessiot_linalg_flag:=1:

flag:=_Vessiot_show_intermediate_steps_flag;

_Vessiot_show_intermediate_steps_flag:=false:

ans:=[];

DSn:=[];
LSn:=[];
USn:=[];
On:=[];
Hn:=[];


 
if member(`series`,P) then 
	DS:=LieAlg_series(derived): 
	DSn:=map(nops,DS);

	US:=LieAlg_series(upper):
	USn:=map(nops,US);
 
	LS:=LieAlg_series(lower):
	LSn:=map(nops,LS);

fi;

if member(`auto`,P) then 
	O:=infinitesimal_automorphisms(full); 
	On:=nops(O); 
fi;


coh_dim:=proc(h)
	local  dim;

 	if nops(h) >1 then 
 		dim:=nops(h) 
 	fi;
     
	if nops(h) =1 then 
 		if coeff_set(h[1]) ={0} then 
 		dim:=0
 		else 
 		dim:=	1
 	fi;
fi;

dim
end:

if  member(`cohomology`,P) then 

	C:=LieAlgebraCohomology:-RelativeChains([]);
	H:=LieAlgebraCohomology:-Cohomology(C);
	Hn:=map(coh_dim,H); 

fi:

_Vessiot_show_intermediate_steps_flag:=flag;

[DSn,LSn,USn,On,Hn];

end:

