generate_tensors:=proc(S_list) 

local s,j,N,P,ans,coeff,C,comp,T;

N:=[seq([seq(j, j=1..nops(s))],s=S_list)];
P:=combinat[cartprod](N):

comp:=[]; 

while not P[finished] do 
	comp:=[op(comp),P[nextvalue]()] 
od;

ans:=[]; 
coeff:=[seq(1, i=1..nops(S_list))];

for C in comp do
	T:=v_zip([seq(S_list[i][C[i]],i=1..nops(S_list))],tensor);
	ans:=[op(ans),T];
od;

ans;
end:





generateSymmetricTensors:=proc(tensorList::list(Vessiot_bftv),tensorRank)

local n,i,Q,P,C,c,TComponents,T,symT,symTensorList;

n:=nops(tensorList);
Q:=[seq(1,i=1..tensorRank)];
P:=[seq(seq(i,i=1..n), j=1..tensorRank)];
C:=combinat[choose](P,tensorRank);

symTensorList:=[];

for c in C do 
	 TComponents:=[seq(tensorList[i], i=c)];
	T:=v_zip(Q,TComponents,tensor);
	symT:=symm_skew_indices(T,[all],symm);
	symTensorList:=[op(symTensorList),symT]
od; 
symTensorList;
end:




