Mubarakyzanov2:=proc()

description `Mubarakyzanov: Solvable Lie Algebras of dimension five.`;

local A;
A:=table();


A[[5, 1]][structure_constants]
:=[[[3,5,1],1], [[4,5,2],1]];


A[[5, 1]][parameters]
:=[];


A[[5, 1]][remarks]
:=[];


#............


A[[5, 2]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1]];


A[[5, 2]][parameters]
:=[];


A[[5, 2]][remarks]
:=[];


#............


A[[5, 3]][structure_constants]
:=[[[2,4,3],1], [[2,5,1],1], [[4,5,2],1]];


A[[5, 3]][parameters]
:=[];


A[[5, 3]][remarks]
:=[];


#............


A[[5, 4]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1]];


A[[5, 4]][parameters]
:=[];


A[[5, 4]][remarks]
:=[];


#............


A[[5, 5]][structure_constants]
:=[[[3,4,1],1], [[2,5,1],1], [[3,5,2],1]];


A[[5, 5]][parameters]
:=[];


A[[5, 5]][remarks]
:=[];


#............


A[[5, 6]][structure_constants]
:=[[[3,4,1],1], [[2,5,1],1], [[3,5,2],1], [[4,5,3],1]];


A[[5, 6]][parameters]
:=[];


A[[5, 6]][remarks]
:=[];


#............


A[[5, 7]][structure_constants]
:=[[[1,5,1],1], [[2,5,2],alpha], [[3,5,3],beta], [[4,5,4],gamma]];


A[[5, 7]][parameters]
:=[];


A[[5, 7]][remarks]
:=[];


#............


A[[5, 8]][structure_constants]
:=[ [[2,5,1],1], [[3,5,3],1], [[4,5,4],gamma] ];


A[[5, 8]][parameters]
:=[];


A[[5, 8]][remarks]
:=[];


#............


A[[5, 9]][structure_constants]
:=[[[1,5,1],1], [[2,5,1],1], [[2,5,2],1],[[3,5,3],beta],[[4,5,4],gamma]];


A[[5, 9]][parameters]
:=[];


A[[5, 9]][remarks]
:=[];


#............


A[[5, 10]][structure_constants]
:=[ [[2,5,1],1], [[3,5,2],1], [[4,5,4],1]];


A[[5, 10]][parameters]
:=[];


A[[5, 10]][remarks]
:=[];


#............


A[[5, 11]][structure_constants]
:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,2],1],[[3,5,3],1],[[4,5,4],gamma]];


A[[5, 11]][parameters]
:=[];


A[[5, 11]][remarks]
:=[];


#............


A[[5, 12]][structure_constants]
:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,2],1],[[3,5,3],1],[[4,5,3],1],[[4,5,4],1]];


A[[5, 12]][parameters]
:=[];


A[[5, 12]][remarks]
:=[];


#............


A[[5, 13]][structure_constants]
:=[[[1,5,1],1],[[2,5,2],gamma],[[3,5,3],p],[[3,5,4],-s],[[4,5,3],s],
   [[4,5,4],p]];


A[[5, 13]][parameters]
:=[];


A[[5, 13]][remarks]
:=[];


#............


A[[5, 14]][structure_constants]
:=[[[2,5,1],1],[[3,5,3],p],[[3,5,4],-1],[[4,5,3],1],[[4,5,4],p] ];


A[[5, 14]][parameters]
:=[];


A[[5, 14]][remarks]
:=[];


#............


A[[5, 15]][structure_constants]
:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1], [[3,5,3],gamma],[[4,5,3],1],
   [[4,5,4],gamma]];


A[[5, 15]][parameters]
:=[];


A[[5, 15]][remarks]
:=[];


#............


A[[5, 16]][structure_constants]
:=[[[1,5,1],1],[[2,5,1],1],[[2,5,2],1],[[3,5,3],p],[[3,5,4],-s],[[4,5,3],s],
   [[4,5,4],p]];


A[[5, 16]][parameters]
:=[];


A[[5, 16]][remarks]
:=[];


#............


A[[5, 17]][structure_constants]
:=[[[1,5,1],p],[[1,5,2],-1],[[2,5,1],1],[[2,5,2],p],[[3,5,3],q],[[3,5,4],-s],
   [[4,5,3],s],[[4,5,4],q] ];


A[[5, 17]][parameters]
:=[];


A[[5, 17]][remarks]
:=[];


#............


A[[5, 18]][structure_constants]
:=[[[1,5,1],p],[[1,5,2],-1],[[2,5,1],1],[[2,5,2],p],[[3,5,1],1],[[3,5,3],p],[[3,5,4],-1],
[[4,5,2],1],[[4,5,3],1],[[4,5,4],p]];


A[[5, 18]][parameters]
:=[];


A[[5, 18]][remarks]
:=[];


#............


A[[5, 19]][structure_constants]
:=[[[2,3,1],1],[[1,5,1], (1+alpha)],[[2,5,2],1],[[3,5,3],alpha],[[4,5,4],beta]];


A[[5, 19]][parameters]
:=[];


A[[5, 19]][remarks]
:=[];


#............


A[[5, 20]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],1 +alpha],[[2,5,2],1],[[3,5,3],alpha],[[4,5,1],1],
   [[4,5,4],alpha+1]];


A[[5, 20]][parameters]
:=[];


A[[5, 20]][remarks]
:=[];


#............


A[[5, 21]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],2],[[2,5,2],1],[[2,5,3],1],[[3,5,3],1],[[3,5,4],1],[[4,5,4],1]];


A[[5, 21]][parameters]
:=[];


A[[5, 21]][remarks]
:=[];


#............


A[[5, 22]][structure_constants]
:=[[[2,3,1],1],[[2,5,3],1],[[4,5,4],1]];


A[[5, 22]][parameters]
:=[];


A[[5, 22]][remarks]
:=[];


#............


A[[5, 23]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],2],[[2,5,2],1],[[2,5,3],1],[[3,5,3],1],[[4,5,4],beta]];


A[[5, 23]][parameters]
:=[];


A[[5, 23]][remarks]
:=[];


#............


A[[5, 24]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],2],[[2,5,2],1],[[2,5,3],1],
   [[3,5,3],1],[[4,5,1],epsilon],[[4,5,4],2] ];


A[[5, 24]][parameters]
:=[];


A[[5, 24]][remarks]
:=[];


#............


A[[5, 25]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],2*p],[[2,5,2],p],[[2,5,3],1],[[3,5,2],-1],
   [[3,5,3],p],[[4,5,4],beta]];


A[[5, 25]][parameters]
:=[];


A[[5, 25]][remarks]
:=[];


#............


A[[5, 26]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],2*p],[[2,5,2],p],[[2,5,3],1], 
   [[3,5,2],-1],[[3,5,3],p],[[4,5,4],2*p],[[4,5,1],epsilon]];


A[[5, 26]][parameters]
:=[];


A[[5, 26]][remarks]
:=[];


#............


A[[5, 27]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],1],[[3,5,3],1],[[3,5,4],1],[[4,5,1],1],[[4,5,4],1]];


A[[5, 27]][parameters]
:=[];


A[[5, 27]][remarks]
:=[];


#............


A[[5, 28]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],1+alpha],[[2,5,2],alpha],[[3,5,3],1], 
   [[3,5,4],1],[[4,5,4],1]];


A[[5, 28]][parameters]
:=[];


A[[5, 28]][remarks]
:=[];


#............


A[[5, 29]][structure_constants]
:=[[[2,3,1],1],[[1,5,1],1],[[2,5,2],1],[[3,5,4],1]];


A[[5, 29]][parameters]
:=[];


A[[5, 29]][remarks]
:=[];


#............


A[[5, 30]][structure_constants]
:=[[[2,4,1],1],[[3,4,2],1],[[1,5,1],2+h],[[2,5,2],h+1],
   [[3,5,3],h],[[4,5,4],1] ];


A[[5, 30]][parameters]
:=[];


A[[5, 30]][remarks]
:=[];


#............


A[[5, 31]][structure_constants]
:=[[[2,4,1],1],[[3,4,2],1],[[1,5,1],3], 
   [[2,5,2],2],[[3,5,3],1],[[4,5,3],1],[[4,5,4],1]];


A[[5, 31]][parameters]
:=[];


A[[5, 31]][remarks]
:=[];


#............


A[[5, 32]][structure_constants]
:=[[[2,4,1],1],[[3,4,2],1],[[1,5,1],1],[[2,5,2],1],[[3,5,1],h], 
   [[3,5,3],1]];


A[[5, 32]][parameters]
:=[];


A[[5, 32]][remarks]
:=[];


#............


A[[5, 33]][structure_constants]
:=[ [[1,4,1],1], [[3,4,3],beta],[[2,5,2],1], [[3,5,3],gamma]];


A[[5, 33]][parameters]
:=[];


A[[5, 33]][remarks]
:=[];


#............


A[[5, 34]][structure_constants]
:=[[[1,4,1],alpha],[[2,4,2],1], [[3,4,3],1], [[1,5,1],1], [[3,5,2],1]];


A[[5, 34]][parameters]
:=[];


A[[5, 34]][remarks]
:=[];


#............


A[[5, 35]][structure_constants]
:=[[[1,4,1],h], [[2,4,2],1], [[3,4,3],1], [[1,5,1],alpha], [[2,5,3],-1],[[3,5,2],1]];


A[[5, 35]][parameters]
:=[];


A[[5, 35]][remarks]
:=[];


#............


A[[5, 36]][structure_constants]
:=[[[2,3,1],1],[[1,4,1],1],[[2,4,2],1],[[2,5,2],-1], 
   [[3,5,3],1]];


A[[5, 36]][parameters]
:=[];


A[[5, 36]][remarks]
:=[];


#............


A[[5, 37]][structure_constants]
:=[[[2,3,1],1], [[1,4,1],2], [[2,4,2],1],[[3,4,3],1],[[2,5,3],-1],[[3,5,2],1]];


A[[5, 37]][parameters]
:=[];


A[[5, 37]][remarks]
:=[];


#............


A[[5, 38]][structure_constants]
:=[[[1,4,1],1], [[2,5,2],1], [[4,5,3],1] ];


A[[5, 38]][parameters]
:=[ ];


A[[5, 38]][remarks]
:=[];


#............


A[[5, 39]][structure_constants]
:=[[[1,4,1],1],[[2,5,1],1],  [[2,4,2],1], [[1,5,2], -1],
   [[4,5,3],1]];


A[[5, 39]][parameters]
:=[];


A[[5, 39]][remarks]
:=[`Error in first [e2,e4]`];


#............

A[[5, 40]][structure_constants]
:=[[[1,2,1],2],[[1,3,2],-1], [[2,3,3], 2], [[1,4,5], 1], 
   [[2,4,4],1],[[2,5,5],-1],[[3,5,4],1]];


A[[5, 40]][parameters]
:=[];


A[[5, 40]][remarks]
:=[`Error in [e2,e3]`];


eval(A);
end: