Mubarakyzanov3:=proc()

description `Mubarakyzanov: Solvable Lie Algebras of dimension six.`;

local A;
A:=table();


A[[6,1]][structure_constants]
:=[[[1,6,1],1],[[2,6,2],alpha],[[3,6,3],beta],[[4,6,4],gamma],[[5,6,5],delta]];


A[[6,1]][parameters]
:=[];


A[[6,1]][remarks]
:=[];


#............


A[[6,2]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,1],1],[[2,6,2],alpha],[[3,6,3],1],
   [[4,6,4],gamma],[[5,6,5],delta]];


A[[6,2]][parameters]
:=[];


A[[6,2]][remarks]
:=[];


#............


A[[6,3]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,1],1],[[2,6,2],alpha],[[3,6,3],alpha],
   [[3,6,2],1],[[4,6,4],1],[[5,6,5],delta]];


A[[6,3]][parameters]
:=[];


A[[6,3]][remarks]
:=[];


#............


A[[6,4]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,1],1],[[2,6,2],alpha],[[3,6,3],alpha],[[3,6,2],1],
    [[4,6,4],alpha],[[4,6,3],1],[[5,6,5],1]];


A[[6,4]][parameters]
:=[];


A[[6,4]][remarks]
:=[];


#............


A[[6,5]][structure_constants]
:=[[[1,6,1],1],[[2,6,1],1],[[2,6,2],1],[[3,6,3],1],[[3,6,2],1],[[4,6,4],1],
   [[4,6,3],1],[[5,6,5],1],[[5,6,4],1]];


A[[6,5]][parameters]
:=[];


A[[6,5]][remarks]
:=[];


#............


A[[6,6]][structure_constants]
:=[[[1,6,1],1],[[2,6,2],s],[[3,6,3],s],[[3,6,2],1],
  [[4,6,4],h],[[5,6,4],1],[[5,6,5],h]];


A[[6,6]][parameters]
:=[];


A[[6,6]][remarks]
:=[];


#............


A[[6,7]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,1],1],[[2,6,2],alpha],[[3,6,3],alpha],[[3,6,2],1],
   [[4,6,4],beta],[[5,6,4],1],[[5,6,5],beta]];


A[[6,7]][parameters]
:=[];


A[[6,7]][remarks]
:=[];


#............


A[[6,8]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,2],beta],[[3,6,3],gamma],[[4,6,4],p],
  [[4,6,5],-1],[[5,6,4],1],[[5,6,5],p]];


A[[6,8]][parameters]
:=[];


A[[6,8]][remarks]
:=[];


#............


A[[6,9]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,2],beta],[[3,6,2],1],[[3,6,3],beta],
   [[4,6,4],p],[[4,6,5],-1],[[5,6,4],1],[[5,6,5],p]];


A[[6,9]][parameters]
:=[];


A[[6,9]][remarks]
:=[];


#............


A[[6,10]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,1],1],[[2,6,2],alpha],[[3,6,2],1],[[3,6,3],alpha],
   [[4,6,4],p],[[4,6,5],-1],[[5,6,4],1],[[5,6,5],p]];


A[[6,10]][parameters]
:=[];


A[[6,10]][remarks]
:=[];


#............


A[[6,11]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,2],p],[[2,6,3],-1],[[3,6,2],1],[[3,6,3],p],[[4,6,4],q],
   [[4,6,5],-s],[[5,6,4],delta],[[5,6,5],q]];


A[[6,11]][parameters]
:=[];


A[[6,11]][remarks]
:=[];


#............


A[[6,12]][structure_constants]
:=[[[1,6,1],alpha],[[2,6,2],p],[[2,6,3],-1],[[3,6,2],1],[[3,6,3],p],
   [[4,6,2],1],[[4,6,4],beta],[[4,6,5],-1],[[5,6,3],1],[[5,6,4],1],[[5,6,5],p]];


A[[6,12]][parameters]
:=[];


A[[6,12]][remarks]
:=[];


#............


A[[6,13]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],alpha+beta],[[2,6,2],alpha],[[3,6,3],beta],
   [[4,6,4],1],[[5,6,5],h]];


A[[6,13]][parameters]
:=[];


A[[6,13]][remarks]
:=[];


#............


A[[6,14]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],alpha+beta],[[2,6,2],alpha],[[3,6,3],beta],
   [[4,6,4],1],[[5,6,1],1],[[5,6,5],alpha+beta]];


A[[6,14]][parameters]
:=[];


A[[6,14]][remarks]
:=[];


#............


A[[6,15]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],h+1],[[2,6,2],1],[[2,6,4],1],[[3,6,3],h],
   [[3,6,5],1],[[4,6,4],1],[[5,6,5],h]];


A[[6,15]][parameters]
:=[];


A[[6,15]][remarks]
:=[];


#............


A[[6,16]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1],[[2,6,2],1],[[2,6,4],1],[[3,6,5],1],[[4,6,1],1],[[4,6,4],1]];


A[[6,16]][parameters]
:=[];


A[[6,16]][remarks]
:=[];


#............


A[[6,17]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],alpha],[[2,6,2],alpha],[[3,6,4],1],[[4,6,1],epsilon],[[5,6,5],1]];


A[[6,17]][parameters]
:=[];


A[[6,17]][remarks]
:=[`can't read paper`];


#............


A[[6,18]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+alpha],[[2,6,2],alpha],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,5],beta]];


A[[6,18]][parameters]
:=[];


A[[6,18]][remarks]
:=[];


#............


A[[6,19]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+alpha],[[2,6,2],alpha],[[3,6,3],1],
   [[3,6,4],1],[[4,6,4],1],[[5,6,1],1],[[5,6,5],1+alpha]];


A[[6,19]][parameters]
:=[];


A[[6,19]][remarks]
:=[];


#............


A[[6,20]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1],[[3,6,3],1],[[3,6,4],1],
   [[4,6,1],1],[[4,6,4],1],[[5,6,5],beta]];


A[[6,20]][parameters]
:=[];


A[[6,20]][remarks]
:=[];


#............


A[[6,21]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],
   [[2,6,3],1],[[3,6,3],alpha],[[4,6,4],1],[[5,6,5],h]];


A[[6,21]][parameters]
:=[];


A[[6,21]][remarks]
:=[];


#............


A[[6,22]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],
   [[2,6,3],1],[[3,6,3],alpha],[[4,6,4],1],[[5,6,1],1],[[5,6,5],2*alpha]];


A[[6,22]][parameters]
:=[];


A[[6,22]][remarks]
:=[];


#............


A[[6,23]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],
  [[3,6,3],alpha],[[3,6,4],1],[[4,6,4],alpha],[[5,6,1],epsilon],[[5,6,5],2*alpha+h]];


A[[6,23]][parameters]
:=[];


A[[6,23]][remarks]
:=[];


#............


A[[6,24]][structure_constants]
:=[[[2,3,1],1],[[2,6,3],1],[[3,6,4],1],[[4,6,1],h],[[5,6,5],1]];


A[[6,24]][parameters]
:=[];


A[[6,24]][remarks]
:=[];


#............


A[[6,25]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+h],[[2,6,2],1],[[3,6,3],h],
   [[4,6,4],beta],[[4,6,5],1],[[5,6,5],beta]];


A[[6,25]][parameters]
:=[];


A[[6,25]][remarks]
:=[];


#............


A[[6,26]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],1+h],[[2,6,2],1],[[3,6,3],h],[[4,6,4],1+h],
   [[4,6,5],1],[[5,6,1],1],[[5,6,5],1+h]];


A[[6,26]][parameters]
:=[];


A[[6,26]][remarks]
:=[];


#............


A[[6,27]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],alpha+beta],[[2,6,2],alpha],[[3,6,3],beta],[[3,6,4],1],
   [[4,6,4],beta],[[4,6,5],1],[[5,6,1],epsilon],[[5,6,5],beta]];


A[[6,27]][parameters]
:=[];


A[[6,27]][remarks]
:=[];


#............


A[[6,28]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],
   [[3,6,3],1],[[4,6,4],beta],[[4,6,5],1],[[5,6,5],beta]];


A[[6,28]][parameters]
:=[];


A[[6,28]][remarks]
:=[];


#............


A[[6,29]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],
   [[4,6,4],2],[[4,6,5],1],[[5,6,1],1],[[5,6,5],2]];


A[[6,29]][parameters]
:=[];


A[[6,29]][remarks]
:=[];


#............


A[[6,30]][structure_constants]
:=[[[2,3,1],1],[[2,6,3],1],[[4,6,4],1],[[4,6,5],1],[[5,6,5],1]];


A[[6,30]][parameters]
:=[];


A[[6,30]][remarks]
:=[];


#............


A[[6,31]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],[[3,6,3],1],
   [[3,6,4],1],[[4,6,4],1],[[4,6,5],1],[[5,6,5],1]];


A[[6,31]][parameters]
:=[];


A[[6,31]][remarks]
:=[];


#............


A[[6,32]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],[[3,6,3],alpha],[[3,6,2],-1],
   [[4,6,1],epsilon],[[4,6,4],2*alpha+h],[[5,6,5],gamma]];


A[[6,32]][parameters]
:=[];


A[[6,32]][remarks]
:=[];


#............


A[[6,33]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],[[3,6,3],alpha],[[3,6,2],-1],
   [[4,6,4],beta],[[5,6,1],1],[[5,6,5],2*alpha]];


A[[6,33]][parameters]
:=[];


A[[6,33]][remarks]
:=[];


#............


A[[6,34]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],[[3,6,3],alpha],[[3,6,2],-1],
   [[4,6,4],2*alpha+h],[[4,6,5],1],[[5,6,1],epsilon],[[5,6,5],2*alpha+h]];


A[[6,34]][parameters]
:=[];


A[[6,34]][remarks]
:=[];


#............


A[[6,35]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],alpha+beta],[[2,6,2],alpha],[[3,6,3],beta],
   [[4,6,4],gamma],[[4,6,5],1],[[5,6,5],gamma],[[5,6,4],-1]];


A[[6,35]][parameters]
:=[];


A[[6,35]][remarks]
:=[];


#............


A[[6,36]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],[[3,6,3],alpha],
   [[4,6,4],gamma],[[4,6,5],1],[[5,6,4],-1],[[5,6,5],gamma]];


A[[6,36]][parameters]
:=[];


A[[6,36]][remarks]
:=[];


#............


A[[6,37]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],[[3,6,3],alpha],[[3,6,2],-1],
   [[4,6,4],beta],[[4,6,5],s],[[5,6,4],-s],[[5,6,5],beta]];


A[[6,37]][parameters]
:=[];


A[[6,37]][remarks]
:=[];


#............


A[[6,38]][structure_constants]
:=[[[2,3,1],1],[[1,6,1],2*alpha],[[2,6,2],alpha],[[2,6,3],1],[[2,6,4],1],
   [[3,6,2],-1],[[3,6,3],alpha],[[3,6,5],1],
   [[4,6,4],alpha],[[4,6,5],1],[[5,6,4],-1],[[5,6,5],alpha]];


A[[6,38]][parameters]
:=[];


A[[6,38]][remarks]
:=[];


#............


A[[6,39]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+h],[[2,6,2],h+2],
   [[3,6,3],gamma],[[4,6,4],h],[[5,6,5],1]];


A[[6,39]][parameters]
:=[];


A[[6,39]][remarks]
:=[];


#............


A[[6,40]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+h],[[2,6,2],h+2],
   [[3,6,3],h+2],[[4,6,4],h],[[5,6,5],1]];


A[[6,40]][parameters]
:=[];


A[[6,40]][remarks]
:=[`can't read paper`];


#............


A[[6,41]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+h],[[2,6,2],h+2],
   [[3,6,3],h],[[4,6,4],h],[[4,6,3],1],[[5,6,5],1]];


A[[6,41]][parameters]
:=[];


A[[6,41]][remarks]
:=[];


#............


A[[6,42]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1+h],[[2,6,2],h+2],
   [[3,6,3],1],[[4,6,4],h],[[5,6,3],1],[[5,6,5],1]];


A[[6,42]][parameters]
:=[];


A[[6,42]][remarks]
:=[];


#............


A[[6,43]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[2,6,2],1],[[3,6,2],1],
   [[3,6,3],1],[[4,6,4],-1],[[5,6,3],1],[[5,6,5],1]];


A[[6,43]][parameters]
:=[];


A[[6,43]][remarks]
:=[];


#............


A[[6,44]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],2],[[2,6,2],3],
   [[3,6,3],gamma],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];


A[[6,44]][parameters]
:=[];


A[[6,44]][remarks]
:=[];


#............


A[[6,45]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],2],[[2,6,2],3],[[3,6,2],1],
   [[3,6,3],3],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];


A[[6,45]][parameters]
:=[];


A[[6,45]][remarks]
:=[];


#............


A[[6,46]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],2],[[2,6,2],3],[[3,6,3],1],
   [[4,6,3],1],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];


A[[6,46]][parameters]
:=[];


A[[6,46]][remarks]
:=[];


#............


A[[6,47]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],gamma],
   [[4,6,2],epsilon],[[4,6,4],1]];


A[[6,47]][parameters]
:=[];


A[[6,47]][remarks]
:=[];


#............


A[[6,48]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[3,6,2],1],[[3,6,3],1],[[4,6,4],1]];


A[[6,48]][parameters]
:=[];


A[[6,48]][remarks]
:=[];


#............


A[[6,49]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],[[2,6,2],1],[[4,6,2],epsilon],
   [[4,6,4],1],[[5,6,3],1]];


A[[6,49]][parameters]
:=[];


A[[6,49]][remarks]
:=[];


#............


A[[6,50]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[1,6,1],1],
  [[2,6,2],1],[[3,6,2],epsilon],[[3,6,3],1],[[4,6,3],1],[[4,6,4],1]];


A[[6,50]][parameters]
:=[];


A[[6,50]][remarks]
:=[];


#............


A[[6,51]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[3,6,3],1],[[4,6,2],epsilon]];


A[[6,51]][parameters]
:=[];


A[[6,51]][remarks]
:=[];


#............


A[[6,52]][structure_constants]
:=[[[1,5,2],1],[[4,5,1],1],[[3,6,3],1],[[4,6,2],epsilon],[[5,6,4],1]];


A[[6,52]][parameters]
:=[];


A[[6,52]][remarks]
:=[];


#............


A[[6,53]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[3,6,3],1],[[4,6,4],1],[[5,6,5],-1]];


A[[6,53]][parameters]
:=[];


A[[6,53]][remarks]
:=[];


#............


A[[6,54]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],delta],
   [[3,6,3],1-gamma],[[4,6,4],delta-gamma],[[5,6,5],gamma]];


A[[6,54]][parameters]
:=[];


A[[6,54]][remarks]
:=[];


#............


A[[6,55]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1+gamma],
   [[3,6,3],1-gamma],[[4,6,1],1],[[4,6,4],1],[[5,6,5],gamma]];


A[[6,55]][parameters]
:=[];


A[[6,55]][remarks]
:=[];


#............


A[[6,56]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1-gamma],
   [[3,6,2],1],[[3,6,3],1-beta],[[4,6,4],1-2*gamma],[[5,6,5],gamma]];


A[[6,56]][parameters]
:=[];


A[[6,56]][remarks]
:=[];


#............


A[[6,57]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],2*gamma],[[3,6,3],1-gamma],[[4,6,4],gamma],
   [[5,6,4],1],[[5,6,5],gamma]];


A[[6,57]][parameters]
:=[];


A[[6,57]][remarks]
:=[];


#............


A[[6,58]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],3],[[2,6,2],2],[[3,6,2],1],[[3,6,3],2],
   [[4,6,4],1],[[5,6,4],omega],[[5,6,5],1]];


A[[6,58]][parameters]
:=[];


A[[6,58]][remarks]
:=[];


#............


A[[6,59]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[3,6,3],1],[[4,6,2],1],[[5,6,4],h]];


A[[6,59]][parameters]
:=[];


A[[6,59]][remarks]
:=[];


#............


A[[6,60]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],2],
   [[4,6,1],1],[[4,6,4],1],[[5,6,4],gamma],[[5,6,5],1]];


A[[6,60]][parameters]
:=[];


A[[6,60]][remarks]
:=[];


#............


A[[6,61]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[2,6,2],2*lambda],[[3,6,3],1],
  [[4,6,4],2*lambda-1],[[5,6,3],1],[[5,6,5],1]];


A[[6,61]][parameters]
:=[];


A[[6,61]][remarks]
:=[];


#............


A[[6,62]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],
   [[2,6,2],1],[[3,6,2],1],[[3,6,3],1],[[5,6,3],omega],[[5,6,5],1]];


A[[6,62]][parameters]
:=[];


A[[6,62]][remarks]
:=[];


#............


A[[6,63]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],lambda],
   [[3,6,3],1],[[4,6,2],1],[[4,6,4],lambda]];


A[[6,63]][parameters]
:=[];


A[[6,63]][remarks]
:=[];


#............


A[[6,64]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],
   [[2,6,2],1],[[3,6,2],h],[[3,6,3],1],[[4,6,1],1],[[4,6,4],1]];


A[[6,64]][parameters]
:=[];


A[[6,64]][remarks]
:=[];


#............


A[[6,65]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],lambda],[[1,6,2],1],[[2,6,2],alpha],
   [[3,6,3],1-gamma],[[3,6,4],1],[[4,6,4],lambda-gamma],[[5,6,5],gamma]];


A[[6,65]][parameters]
:=[];


A[[6,65]][remarks]
:=[];


#............


A[[6,66]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[1,6,2],1],[[2,6,2],2],[[3,6,3],1],
   [[3,6,4],1],[[4,6,4],1],[[5,6,3],1],[[5,6,5],1]];


A[[6,66]][parameters]
:=[];


A[[6,66]][remarks]
:=[];


#............


A[[6,67]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],2],[[1,6,2],1],[[2,6,2],2],[[3,6,3],1],[[3,6,4],1],
   [[4,6,4],1],[[5,6,4],h],[[5,6,5],1]];


A[[6,67]][parameters]
:=[];


A[[6,67]][remarks]
:=[];


#............


A[[6,68]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[1,6,2],1],[[2,6,2],1],[[3,6,3],1],
   [[3,6,4],1],[[4,6,1],c],[[4,6,4],1]];


A[[6,68]][parameters]
:=[];


A[[6,68]][remarks]
:=[];


#............


A[[6,69]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],1],[[1,6,2],1],
   [[2,6,2],1],[[3,6,3],1],[[3,6,4],1],[[4,6,2],1],[[4,6,4],1]];


A[[6,69]][parameters]
:=[];


A[[6,69]][remarks]
:=[];


#............


A[[6,70]][structure_constants]
:=[[[3,5,1],1],[[4,5,2],1],[[1,6,1],p],[[1,6,2],1],[[2,6,1],-1],[[2,6,2],p],
   [[3,6,3],p-gamma],[[3,6,4],1],
   [[4,6,3],-1],[[4,6,4],p-gamma],[[5,6,5],gamma]];


A[[6,70]][parameters]
:=[];


A[[6,70]][remarks]
:=[];


#............


A[[6,71]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],h+3],
  [[2,6,2],h+2],[[3,6,3],h+1],[[4,6,4],alpha],[[5,6,5],1]];


A[[6,71]][parameters]
:=[];


A[[6,71]][remarks]
:=[];


#............


A[[6,72]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],4],
   [[2,6,2],3],[[3,6,3],2],[[4,6,4],1],[[5,6,4],1],[[5,6,5],1]];


A[[6,72]][parameters]
:=[];


A[[6,72]][remarks]
:=[];


#............


A[[6,73]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],1],[[2,6,2],1],
   [[3,6,1],epsilon],[[3,6,3],1],[[4,6,2],epsilon],[[4,6,4],1]];


A[[6,73]][parameters]
:=[];


A[[6,73]][remarks]
:=[];


#............


A[[6,74]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],1],[[4,6,4],1]];


A[[6,74]][parameters]
:=[];


A[[6,74]][remarks]
:=[];


#............


A[[6,75]][structure_constants]
:=[[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],[[1,6,1],1],[[2,6,2],1],[[3,6,3],1],
   [[4,6,1],1],[[4,6,4],1]];


A[[6,75]][parameters]
:=[];


A[[6,75]][remarks]
:=[];


#............


A[[6,76]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],2*h+1],[[2,6,2],h+1],
    [[3,6,3],h+2],[[4,6,4],1],[[5,6,5],h]];


A[[6,76]][parameters]
:=[];


A[[6,76]][remarks]
:=[];


#............


A[[6,77]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],1],[[2,6,2],1],
   [[3,6,3],2],[[4,6,1],epsilon],[[4,6,4],1]];


A[[6,77]][parameters]
:=[];


A[[6,77]][remarks]
:=[];


#............


A[[6,78]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],-1],
   [[3,6,3],1],[[4,6,3],1],[[4,6,4],1],[[5,6,5],-1]];


A[[6,78]][parameters]
:=[];


A[[6,78]][remarks]
:=[];


#............


A[[6,79]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],3],[[2,6,2],2],
   [[3,6,1],1],[[3,6,3],3],[[4,6,4],1],[[4,6,5],1],[[5,6,5],1]];


A[[6,79]][parameters]
:=[];


A[[6,79]][remarks]
:=[];


#............


A[[6,80]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],2],
   [[2,6,2],1],[[3,6,3],1],[[5,6,5],1]];


A[[6,80]][parameters]
:=[];


A[[6,80]][remarks]
:=[];


#............


A[[6,81]][structure_constants]
:=[[[2,4,3],1],[[2,5,1],1],[[4,5,2],1],[[1,6,1],2],
   [[2,6,2],1],[[3,6,3],1],[[5,6,3],epsilon],[[5,6,5],1]];


A[[6,81]][parameters]
:=[];


A[[6,81]][remarks]
:=[];


#............


A[[6,82]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],[[2,6,2],1/2*alpha+lambda],
  [[3,6,3],1/2*alpha+lambda_1],[[4,6,4],1/2*alpha-lambda],[[5,6,5],1/2*alpha-lambda_1]];


A[[6,82]][parameters]
:=[];


A[[6,82]][remarks]
:=[];


#............


A[[6,83]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],[[2,6,2],1/2*alpha+lambda],
   [[2,6,3],1],[[3,6,3],1/2*alpha+lambda],[[4,6,4],1/2*alpha-lambda],
   [[5,6,4],-1],[[5,6,5],1/2*alpha-lambda]];


A[[6,83]][parameters]
:=[];


A[[6,83]][remarks]
:=[];


#............


A[[6,84]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[2,6,2],1],[[4,6,4],-1],[[5,6,3],1]];


A[[6,84]][parameters]
:=[];


A[[6,84]][remarks]
:=[];


#............


A[[6,85]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],2],[[2,6,2],1+lambda],[[3,6,3],1],[[4,6,4],1-lambda],
   [[5,6,3],1],[[5,6,5],1]];


A[[6,85]][parameters]
:=[];


A[[6,85]][remarks]
:=[];


#............


A[[6,86]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],2],[[2,6,2],1],[[2,6,3],1],
   [[3,6,3],1],[[4,6,4],1],[[5,6,4],-1],[[5,6,5],1]];


A[[6,86]][parameters]
:=[];


A[[6,86]][remarks]
:=[];


#............


A[[6,87]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],2],[[2,6,2],1],
   [[2,6,5],1],[[3,6,3],1],[[3,6,4],1],[[4,6,4],1],[[5,6,3],1],[[5,6,5],1]];


A[[6,87]][parameters]
:=[];


A[[6,87]][remarks]
:=[];


#............


A[[6,88]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],[[2,6,2],1/2*alpha+mu_0],[[2,6,3],nu_0],
   [[3,6,2],nu_0],[[3,6,3],1/2*alpha+mu_0],[[4,6,4],1/2*alpha-mu_0],
   [[4,6,5],nu_0],[[5,6,4],-nu_0],[[5,6,5],1/2*alpha-mu_0]];


A[[6,88]][parameters]
:=[];


A[[6,88]][remarks]
:=[];


#............


A[[6,89]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],[[2,6,2],1/2*alpha+s],
   [[3,6,3],1/2*alpha],[[3,6,5],nu_0],
   [[4,6,4],1/2*alpha-s],[[5,6,3],-nu_0],[[5,6,5],1/2*alpha]];


A[[6,89]][parameters]
:=[];


A[[6,89]][remarks]
:=[];


#............


A[[6,90]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],
  [[2,6,2],1/2*alpha],[[2,6,4],1],[[3,6,3],1/2*alpha],
  [[3,6,5],nu_0],[[4,6,2],1],[[4,6,4],1/2*alpha],[[5,6,3],-nu_0],[[5,6,5],1/2*alpha]];


A[[6,90]][parameters]
:=[];


A[[6,90]][remarks]
:=[];


#............


A[[6,91]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[2,6,4],1],[[3,6,5],1],[[4,6,2],1],[[5,6,3],-1]];


A[[6,91]][parameters]
:=[];


A[[6,91]][remarks]
:=[];


#............


A[[6,92]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],[[2,6,2],alpha],
   [[2,6,3],nu_0],[[3,6,2],-mu_0],[[3,6,3],1/2*alpha],
   [[4,6,2],1/2*alpha],[[4,6,5],mu_0],[[5,6,4],-nu_0],[[5,6,5],1/2*alpha]];


A[[6,92]][parameters]
:=[];


A[[6,92]][remarks]
:=[];


#............


A[[6,93]][structure_constants]
:=[[[2,4,1],1],[[3,5,1],1],[[1,6,1],alpha],[[2,6,2],1/2*alpha],[[2,6,4],1],[[2,6,5],nu_0],
   [[3,6,3],1/2*alpha],[[3,6,4],nu_0],[[4,6,2],1],[[4,6,3],-nu_0],
   [[4,6,4],1/2*alpha],[[5,6,2],-nu_0],[[5,6,5],1/2*alpha]];


A[[6,93]][parameters]
:=[];


A[[6,93]][remarks]
:=[];


#............


A[[6,94]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],lambda+2],
   [[2,6,2],1+lambda],[[3,6,3],lambda],[[4,6,4],2],[[5,6,5],1]];


A[[6,94]][parameters]
:=[];


A[[6,94]][remarks]
:=[];


#............


A[[6,95]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],2],[[2,6,2],1],
   [[4,6,1],1],[[4,6,4],2],[[5,6,5],1]];


A[[6,95]][parameters]
:=[];


A[[6,95]][remarks]
:=[];


#............


A[[6,96]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],3],
   [[2,6,2],2],[[3,6,3],1],[[4,6,2],1],[[4,6,4],2],[[5,6,3],1],[[5,6,5],1]];


A[[6,96]][parameters]
:=[];


A[[6,96]][remarks]
:=[];


#............


A[[6,97]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],4],[[2,6,2],3],
   [[3,6,3],2],[[3,6,4],1],[[4,6,4],2],[[5,6,5],1]];


A[[6,97]][parameters]
:=[];


A[[6,97]][remarks]
:=[];


#............


A[[6,98]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[1,6,1],1],
   [[2,6,1],h],[[2,6,2],1],[[3,6,3],1],[[5,6,4],h]];


A[[6,98]][parameters]
:=[];


A[[6,98]][remarks]
:=[];


#............


A[[6,99]][structure_constants]
:=[[[3,4,1],1],[[2,5,1],1],[[3,5,2],1],[[4,5,3],1],
   [[1,6,1],5],[[2,6,2],4],[[3,6,3],3],[[4,6,4],2],[[5,6,5],1]];


A[[6,99]][parameters]
:=[];


A[[6,99]][remarks]
:=[];


#............


eval(A);
end: