
USU2Auto1:=proc()
local A;
A:=table();


#*******[1, 0, 0]*******

A[[1, 0, 0]][basis]
:=[[1]];

A[[1, 0, 0]][RadMatrix]
:=[[s1]];
A[[1, 0, 0]][SMatrix]
:=[];


#*******[2, 1, 0]*******

A[[2, 1, 0]][basis]
:=[[1, 0], [0, 1]];

A[[2, 1, 0]][RadMatrix]
:=[[s1, s2], [0, 0]];
A[[2, 1, 0]][SMatrix]
:=[];


#*******[3, 1, 0]*******

A[[3, 1, 0]][basis]
:=[[1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[3, 1, 0]][RadMatrix]
:=[[s1, s2, s3], [0, 1/2*s1, 0], [0, 0, 1/2*s1]];
A[[3, 1, 0]][SMatrix]
:=[[0, 0, 0], [0, s4, s6], [0, s5, -s4]];


#*******[3, 2, 0]*******

A[[3, 2, 0]][basis]
:=[[1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[3, 2, 0]][RadMatrix]
:=[[s1, 0, s3], [0, s2, s4], [0, 0, 0]];
A[[3, 2, 0]][SMatrix]
:=[];


#*******[3, 2, 1]*******

A[[3, 2, 1]][basis]
:=[[1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[3, 2, 1]][RadMatrix]
:=[[s1, 0, s2], [0, s1, s3], [0, 0, 0]];
A[[3, 2, 1]][SMatrix]
:=[[s4, s6, 0], [s5, -s4, 0], [0, 0, 0]];


#*******[3, 3, 0]*******

A[[3, 3, 0]][basis]
:=[[1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[3, 3, 0]][RadMatrix]
:=[[s1, s2, s3], [0, s1, s4], [0, 0, 0]];
A[[3, 3, 0]][SMatrix]
:=[];


#*******[3, 4, 0]*******

A[[3, 4, 0]][basis]
:=[[1, 0, 0], [0, -1, 0], [0, 0, 1]];

A[[3, 4, 0]][RadMatrix]
:=[[s1, s2, s3], [-s2, s1, -s4], [0, 0, 0]];
A[[3, 4, 0]][SMatrix]
:=[];


#*******[3, 5, 0]*******

A[[3, 5, 0]][basis]
:=[[1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[3, 5, 0]][RadMatrix]
:=[];
A[[3, 5, 0]][SMatrix]
:=[[s1, s3, 0], [s2, 0, -2*s3], [0, -1/2*s2, -s1]];

A[[3,5,0]][Special]:=
[

[[1/2*cos(theta)+1/2, 1/2*sqrt(2)*sin(theta), -1+cos(theta)], 
[-1/2*sqrt(2)*sin(theta), cos(theta), -sqrt(2)*sin(theta)],
[-1/4+1/4*cos(theta), 1/4*sqrt(2)*sin(theta), 1/2*cos(theta)+1/2]]

];


#*******[3, 6, 0]*******

A[[3, 6, 0]][basis]
:=[[1, 0, 0], [0, 1, 0], [0, 0, 1]];

A[[3, 6, 0]][RadMatrix]
:=[];
A[[3, 6, 0]][SMatrix]
:=[[0, -s1, -s2], [s1, 0, -s3], [s2, s3, 0]];


#*******[4, 1, 0]*******

A[[4, 1, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 1, 0]][RadMatrix]
:=[[s1, s2, s4, s5], [0, s3, s2, s6], [0, 0, -s1+2*s3, s7], [0, 0, 0, s1-s3]];
A[[4, 1, 0]][SMatrix]
:=[];


#*******[4, 2, 0]*******

A[[4, 2, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 2, 0]][RadMatrix]
:=[[s1, 0, 0, s4], [0, s2, 0, s5], [0, 0, s3, s6], [0, 0, 0, 0]];
A[[4, 2, 0]][SMatrix]
:=[];


#*******[4, 2, 1]*******

A[[4, 2, 1]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 2, 1]][RadMatrix]
:=[[s1, 0, 0, s3], [0, s2, 0, s4], [0, 0, s2, s5], [0, 0, 0, 0]];
A[[4, 2, 1]][SMatrix]
:=[[0, 0, 0, 0], [0, s6, s8, 0], [0, s7, -s6, 0], [0, 0, 0, 0]];


#*******[4, 2, 2]*******

A[[4, 2, 2]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 2, 2]][RadMatrix]
:=[[s1, 0, 0, s3], [0, s1, 0, s4], [0, 0, s2, s5], [0, 0, 0, 0]];
A[[4, 2, 2]][SMatrix]
:=[[s6, s8, 0, 0], [s7, -s6, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]];


#*******[4, 2, 3]*******

A[[4, 2, 3]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 2, 3]][RadMatrix]
:=[[s1, 0, 0, s2], [0, s1, 0, s3], [0, 0, s1, s4], [0, 0, 0, 0]];
A[[4, 2, 3]][SMatrix]
:=[[s5, s8, s11, 0], [s6, s9, s12, 0], [s7, s10, -s5-s9, 0], [0, 0, 0, 0]];


#*******[4, 3, 0]*******

A[[4, 3, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 3, 0]][RadMatrix]
:=[[s1, s2, 0, s4], [0, s1, 0, s5], [0, 0, s3, s6], [0, 0, 0, 0]];
A[[4, 3, 0]][SMatrix]
:=[];


#*******[4, 3, 1]*******

A[[4, 3, 1]][basis]
:=[[1, 0, 0, 0], [0, 0, 1, 0], [0, 1, 0, 0], [0, 0, 0, 1]];

A[[4, 3, 1]][RadMatrix]
:=[[s1, s4, s2, s6], [0, s5, s3, s8], [0, 0, s1, s7], [0, 0, 0, 0]];
A[[4, 3, 1]][SMatrix]
:=[];


#*******[4, 4, 0]*******

A[[4, 4, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 4, 0]][RadMatrix]
:=[[s1, s2, 0, s4], [0, s1, 0, s5], [0, 0, s3, s6], [0, 0, 0, 0]];
A[[4, 4, 0]][SMatrix]
:=[];


#*******[4, 5, 0]*******

A[[4, 5, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 5, 0]][RadMatrix]
:=[[s1, s2, s3, s4], [0, s1, s2, s5], [0, 0, s1, s6], [0, 0, 0, 0]];
A[[4, 5, 0]][SMatrix]
:=[];


#*******[4, 6, 0]*******

A[[4, 6, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 6, 0]][RadMatrix]
:=[[s1, 0, 0, s4], [0, s2, -s3, s5], [0, s3, s2, s6], [0, 0, 0, 0]];
A[[4, 6, 0]][SMatrix]
:=[];


#*******[4, 7, 0]*******

A[[4, 7, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 7, 0]][RadMatrix]
:=[[s1, s2, s4, s5], [0, s3, 0, s4], [0, 0, s1-s3, -s2*a], [0, 0, 0, 0]];
A[[4, 7, 0]][SMatrix]
:=[];


#*******[4, 7, 0]*******

A[[4, 7, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 7, 0]][RadMatrix]
:=[[s1, s2, s4, s5], [0, s3, 0, s4], [0, 0, s1-s3, -s2*a], [0, 0, 0, 0]];
A[[4, 7, 0]][SMatrix]
:=[];


#*******[4, 7, 1]*******
#*******[4, 7, 1]*******

A[[4, 7, 1]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 7, 1]][RadMatrix]
:=[[s1, s2, s3, s4], [0, 1/2*s1, 0, s3], [0, 0, 1/2*s1, -s2], [0, 0, 0, 0]];
A[[4, 7, 1]][SMatrix]
:=[[0, 0, 0, 0], [0, s5, s7, 0], [0, s6, -s5, 0], [0, 0, 0, 0]];


#*******[4, 7, 2]*******
#*******[4, 7, 2]*******

A[[4, 7, 2]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 7, 2]][RadMatrix]
:=[[s1, s2, s4, s5], [0, s3, 0, s4], [0, 0, s1-s3, s2], [0, 0, 0, 0]];
A[[4, 7, 2]][SMatrix]
:=[];


#*******[4, 7, 3]*******
#*******[4, 7, 3]*******

A[[4, 7, 3]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 7, 3]][RadMatrix]
:=[[s1, s2, s4, s5], [0, s3, 0, s4], [0, 0, s1-s3, 0], [0, 0, 0, 0]];
A[[4, 7, 3]][SMatrix]
:=[];







#*******[4, 8, 0]*******

A[[4, 8, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 8, 0]][RadMatrix]
:=[[s1, s2, s3, s5], [0, 1/2*s1, s4, -s2+s3], [0, 0, 1/2*s1, -s2], [0, 0, 0, 0]];
A[[4, 8, 0]][SMatrix]
:=[];


#*******[4, 9, 0]*******

A[[4, 9, 0]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 9, 0]][RadMatrix]
:=[[s1, s2, s4, s5], [0, 1/2*s1, -s3, -s2+s4*a], [0, s3, 1/2*s1, -s2*a-s4], [0, 0, 0, 0]];
A[[4, 9, 0]][SMatrix]
:=[];

#*******[4, 9, 1]*******

A[[4, 9, 1]][basis]
:=[[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, -1, 0], [0, 0, 0, 1]];

A[[4, 9, 1]][RadMatrix]
:=[[2*s1, s2, -s4, s5], [0, s1, s3, -s2], [0, -s3, s1, s4], [0, 0, 0, 0]];
A[[4, 9, 1]][SMatrix]
:=[];

#*******[4, 10, 0]*******

A[[4, 10, 0]][basis]
:=[[1, 0, 0, 0], [0, -1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

A[[4, 10, 0]][RadMatrix]
:=[[s1, s2, s3, s4], [-s2, s1, -s4, s3], [0, 0, 0, 0], [0, 0, 0, 0]];
A[[4, 10, 0]][SMatrix]
:=[];


#*******[5, 1, 0]*******

A[[5, 1, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 1, 0]][RadMatrix]
:=[[s1, 0, s2, s5, s7], [0, s1, s3, s6, s8], [0, 0, s4, 0, s9], [0, 0, 0, s4, s10], [0, 0, 0, 0, s1-s4]];
A[[5, 1, 0]][SMatrix]
:=[[s11, s13, 0, 0, 0], [s12, -s11, 0, 0, 0], [0, 0, s11, s13, 0], [0, 0, s12, -s11, 0], [0, 0, 0, 0, 0]];


#*******[5, 2, 0]*******

A[[5, 2, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 2, 0]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, s3, s2, s4, s7], [0, 0, -s1+2*s3, s2, s8], [0, 0, 0, -2*s1+3*s3, s9], [0, 0, 0, 0, s1-s3]];
A[[5, 2, 0]][SMatrix]
:=[];


#*******[5, 3, 0]*******

A[[5, 3, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 3, 0]][RadMatrix]
:=[[s1, 0, s2, s4, s6], [0, s1, s3, s5, s7], [0, 0, 2/3*s1, s2, -s3], [0, 0, 0, 1/3*s1, 0], [0, 0, 0, 0, 1/3*s1]];
A[[5, 3, 0]][SMatrix]
:=[[s8, s10, 0, 0, 0], [s9, -s8, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, -s8, s9], [0, 0, 0, s10, s8]];


#*******[5, 4, 0]*******

A[[5, 4, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 4, 0]][RadMatrix]
:=[[s1, s2, s3, s4, s5], [0, 1/2*s1, 0, 0, 0], [0, 0, 1/2*s1, 0, 0], [0, 0, 0, 1/2*s1, 0], [0, 0, 0, 0, 1/2*s1]];
A[[5, 4, 0]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s6, s10, s13, s14], [0, s7, s11, s14, s15], [0, s8, s9, -s6, -s7], [0, s9, s12, -s10, -s11]];


#*******[5, 5, 0]*******

A[[5, 5, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 5, 0]][RadMatrix]
:=[[s1, s2, s7, s4, s9], [0, s3, s8, s5, s10], [0, 0, 2*s1-2*s3, s6, s2-s5], [0, 0, 0, -s1+2*s3, s8], [0, 0, 0, 0, s1-s3]];
A[[5, 5, 0]][SMatrix]
:=[];


#*******[5, 6, 0]*******

A[[5, 6, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 6, 0]][RadMatrix]
:=[[s1, s2, s3, s5, s7], [0, 4/5*s1, s4, s6, s8], [0, 0, 3/5*s1, s4, -s3+s6], [0, 0, 0, 2/5*s1, s2-s4], [0, 0, 0, 0, 1/5*s1]];
A[[5, 6, 0]][SMatrix]
:=[];


#*******[5, 7, 0]*******

A[[5, 7, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s5], [0, s2, 0, 0, s6], [0, 0, s3, 0, s7], [0, 0, 0, s4, s8], [0, 0, 0, 0, 0]];
A[[5, 7, 0]][SMatrix]
:=[];


#*******[5, 7, 1]*******

A[[5, 7, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 1]][RadMatrix]
:=[[s1, 0, 0, 0, s4], [0, s2, 0, 0, s5], [0, 0, s3, 0, s6], [0, 0, 0, s3, s7], [0, 0, 0, 0, 0]];
A[[5, 7, 1]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s8, s10, 0], [0, 0, s9, -s8, 0], [0, 0, 0, 0, 0]];


#*******[5, 7, 2]*******

A[[5, 7, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 2]][RadMatrix]
:=[[s1, 0, 0, 0, s4], [0, s2, 0, 0, s5], [0, 0, s2, 0, s6], [0, 0, 0, s3, s7], [0, 0, 0, 0, 0]];
A[[5, 7, 2]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s8, s10, 0, 0], [0, s9, -s8, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 7, 3]*******

A[[5, 7, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 3]][RadMatrix]
:=[[s1, 0, 0, 0, s4], [0, s1, 0, 0, s5], [0, 0, s2, 0, s6], [0, 0, 0, s3, s7], [0, 0, 0, 0, 0]];
A[[5, 7, 3]][SMatrix]
:=[[s8, s10, 0, 0, 0], [s9, -s8, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 7, 4]*******

A[[5, 7, 4]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 4]][RadMatrix]
:=[[s1, 0, 0, 0, s3], [0, s2, 0, 0, s4], [0, 0, s2, 0, s5], [0, 0, 0, s2, s6], [0, 0, 0, 0, 0]];
A[[5, 7, 4]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s7, s10, s13, 0], [0, s8, s11, s14, 0], [0, s9, s12, -s7-s11, 0], [0, 0, 0, 0, 0]];


#*******[5, 7, 5]*******

A[[5, 7, 5]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 5]][RadMatrix]
:=[[s1, 0, 0, 0, s3], [0, s1, 0, 0, s4], [0, 0, s2, 0, s5], [0, 0, 0, s2, s6], [0, 0, 0, 0, 0]];
A[[5, 7, 5]][SMatrix]
:=[[s7, s9, 0, 0, 0], [s8, -s7, 0, 0, 0], [0, 0, s10, s12, 0], [0, 0, s11, -s10, 0], [0, 0, 0, 0, 0]];


#*******[5, 7, 6]*******

A[[5, 7, 6]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 6]][RadMatrix]
:=[[s1, 0, 0, 0, s3], [0, s1, 0, 0, s4], [0, 0, s1, 0, s5], [0, 0, 0, s2, s6], [0, 0, 0, 0, 0]];
A[[5, 7, 6]][SMatrix]
:=[[s7, s10, s13, 0, 0], [s8, s11, s14, 0, 0], [s9, s12, -s7-s11, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 7, 7]*******

A[[5, 7, 7]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 7, 7]][RadMatrix]
:=[[s1, 0, 0, 0, s2], [0, s1, 0, 0, s3], [0, 0, s1, 0, s4], [0, 0, 0, s1, s5], [0, 0, 0, 0, 0]];
A[[5, 7, 7]][SMatrix]
:=[[s6, s10, s14, s18, 0], [s7, s11, s15, s19, 0], [s8, s12, s16, s20, 0], [s9, s13, s17, -s6-s11-s16, 0], [0, 0, 0, 0, 0]];


#*******[5, 8, 0]*******

A[[5, 8, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 8, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s5], [0, s1, 0, 0, s6], [0, 0, s3, 0, s7], [0, 0, 0, s4, s8], [0, 0, 0, 0, 0]];
A[[5, 8, 0]][SMatrix]
:=[];


#*******[5, 8, 1]*******

A[[5, 8, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 8, 1]][RadMatrix]
:=[[s1, s2, 0, 0, s4], [0, s1, 0, 0, s5], [0, 0, s3, 0, s6], [0, 0, 0, s3, s7], [0, 0, 0, 0, 0]];
A[[5, 8, 1]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s8, s10, 0], [0, 0, s9, -s8, 0], [0, 0, 0, 0, 0]];


#*******[5, 9, 0]*******

A[[5, 9, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 9, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s5], [0, s1, 0, 0, s6], [0, 0, s3, 0, s7], [0, 0, 0, s4, s8], [0, 0, 0, 0, 0]];
A[[5, 9, 0]][SMatrix]
:=[];


#*******[5, 9, 1]*******

A[[5, 9, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 9, 1]][RadMatrix]
:=[[s1, s2, 0, 0, s4], [0, s1, 0, 0, s5], [0, 0, s3, 0, s6], [0, 0, 0, s3, s7], [0, 0, 0, 0, 0]];
A[[5, 9, 1]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s8, s10, 0], [0, 0, s9, -s8, 0], [0, 0, 0, 0, 0]];


#*******[5, 9, 2]*******

A[[5, 9, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 9, 2]][RadMatrix]
:=[[s1, s4, s2, 0, s7], [0, s5, s3, 0, s9], [0, 0, s1, 0, s8], [0, 0, 0, s6, s10], [0, 0, 0, 0, 0]];
A[[5, 9, 2]][SMatrix]
:=[];


#*******[5, 9, 3]*******

A[[5, 9, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 9, 3]][RadMatrix]
:=[[s1, s7, s2, s5, s8], [0, s6, s4, 0, s11], [0, 0, s1, 0, s9], [0, 0, s3, s6, s10], [0, 0, 0, 0, 0]];
A[[5, 9, 3]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, -s12, 0, s13, 0], [0, 0, 0, 0, 0], [0, s14, 0, s12, 0], [0, 0, 0, 0, 0]];


#*******[5, 10, 0]*******

A[[5, 10, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 10, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s5], [0, s1, 0, 0, s6], [0, 0, s3, s4, s7], [0, 0, 0, s3, s8], [0, 0, 0, 0, 0]];
A[[5, 10, 0]][SMatrix]
:=[];


#*******[5, 10, 1]*******

A[[5, 10, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 10, 1]][RadMatrix]
:=[[s1, s2, 0, s4, s6], [0, s1, 0, 0, s7], [0, s3, s1, s5, s8], [0, 0, 0, s1, s9], [0, 0, 0, 0, 0]];
A[[5, 10, 1]][SMatrix]
:=[[s10, 0, s12, 0, 0], [0, s10, 0, s12, 0], [s11, 0, -s10, 0, 0], [0, s11, 0, -s10, 0], [0, 0, 0, 0, 0]];


#*******[5, 10, 2]*******

A[[5, 10, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 10, 2]][RadMatrix]
:=[[s1, s2, 0, 0, s5], [0, s1, 0, 0, s6], [0, 0, s3, s4, s7], [0, 0, 0, s3, s8], [0, 0, 0, 0, 0]];
A[[5, 10, 2]][SMatrix]
:=[];


#*******[5, 11, 0]*******

A[[5, 11, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 11, 0]][RadMatrix]
:=[[s1, s2, s3, 0, s5], [0, s1, s2, 0, s6], [0, 0, s1, 0, s7], [0, 0, 0, s4, s8], [0, 0, 0, 0, 0]];
A[[5, 11, 0]][SMatrix]
:=[];


#*******[5, 12, 0]*******

A[[5, 12, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 12, 0]][RadMatrix]
:=[[s1, s2, s3, 0, s5], [0, s1, s2, 0, s6], [0, 0, s1, 0, s7], [0, 0, 0, s4, s8], [0, 0, 0, 0, 0]];
A[[5, 12, 0]][SMatrix]
:=[];


#*******[5, 12, 1]*******

A[[5, 12, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 12, 1]][RadMatrix]
:=[[s1, s2, s5, s3, s7], [0, s1, 0, s2, s8], [0, 0, s6, s4, s10], [0, 0, 0, s1, s9], [0, 0, 0, 0, 0]];
A[[5, 12, 1]][SMatrix]
:=[];


#*******[5, 13, 0]*******

A[[5, 13, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 13, 0]][RadMatrix]
:=[[s1, s2, s3, s4, s5], [0, s1, s2, s3, s6], [0, 0, s1, s2, s7], [0, 0, 0, s1, s8], [0, 0, 0, 0, 0]];
A[[5, 13, 0]][SMatrix]
:=[];


#*******[5, 14, 0]*******

A[[5, 14, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 14, 0]][RadMatrix]
:=[[s1, 0, 0, 0, s5], [0, s2, 0, 0, s6], [0, 0, s3, -s4, s7], [0, 0, s4, s3, s8], [0, 0, 0, 0, 0]];
A[[5, 14, 0]][SMatrix]
:=[];


#*******[5, 14, 1]*******

A[[5, 14, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 14, 1]][RadMatrix]
:=[[s1, 0, 0, 0, s4], [0, s1, 0, 0, s5], [0, 0, s2, -s3, s6], [0, 0, s3, s2, s7], [0, 0, 0, 0, 0]];
A[[5, 14, 1]][SMatrix]
:=[[s8, s10, 0, 0, 0], [s9, -s8, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 15, 0]*******

A[[5, 15, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 15, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s5], [0, s1, 0, 0, s6], [0, 0, s3, -s4, s7], [0, 0, s4, s3, s8], [0, 0, 0, 0, 0]];
A[[5, 15, 0]][SMatrix]
:=[];


#*******[5, 16, 0]*******

A[[5, 16, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 16, 0]][RadMatrix]
:=[[s1, s2, 0, 0, s5], [0, s1, 0, 0, s6], [0, 0, s3, -s4, s7], [0, 0, s4, s3, s8], [0, 0, 0, 0, 0]];
A[[5, 16, 0]][SMatrix]
:=[];


#*******[5, 17, 0]*******

A[[5, 17, 0]][basis]
:=[[0, 0, 1, 0, 0], [0, 0, 0, -1, 0], [1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 17, 0]][RadMatrix]
:=[[s3, s4, 0, 0, s7], [-s4, s3, 0, 0, -s8], [0, 0, s1, s2, s5], [0, 0, -s2, s1, -s6], [0, 0, 0, 0, 0]];
A[[5, 17, 0]][SMatrix]
:=[];


#*******[5, 17, 1]*******

A[[5, 17, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 17, 1]][RadMatrix]
:=[[s1, s2, 0, 0, s3], [-s2, s1, 0, 0, -s4], [0, 0, s1, -s2, s5], [0, 0, s2, s1, s6], [0, 0, 0, 0, 0]];
A[[5, 17, 1]][SMatrix]
:=[[s7, s8, s11, -s12, 0], [-s8, s7, -s12, -s11, 0], [s9, s10, -s7, s8, 0], [s10, -s9, -s8, -s7, 0], [0, 0, 0, 0, 0]];


#*******[5, 18, 0]*******

A[[5, 18, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 18, 0]][RadMatrix]
:=[[s1, s2, s3, -s4, s5], [-s2, s1, -s4, -s3, -s6], [0, 0, s1, -s2, s7], [0, 0, s2, s1, s8], [0, 0, 0, 0, 0]];
A[[5, 18, 0]][SMatrix]
:=[];


#*******[5, 19, 0]*******

A[[5, 19, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 0]][RadMatrix]
:=[[s1, s2, s4, 0, s6], [0, s3, 0, 0, s4], [0, 0, s1-s3, 0, -s2*a], [0, 0, 0, s5, s7], [0, 0, 0, 0, 0]];
A[[5, 19, 0]][SMatrix]
:=[];


#*******[5, 19, 1]*******

A[[5, 19, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 1]][RadMatrix]
:=[[s1, s2, s4, s5, s7], [0, s3, 0, 0, s4], [0, 0, s1-s3, 0, -s2*a], [0, 0, 0, s6, s8], [0, 0, 0, 0, 0]];
A[[5, 19, 1]][SMatrix]
:=[];


#*******[5, 19, 2]*******

A[[5, 19, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 2]][RadMatrix]
:=[[s1, s2, 0, s4, s7], [0, s3, 0, 0, s4], [0, 0, s6, s5, s8], [0, 0, 0, s1-s3, -s2*a], [0, 0, 0, 0, 0]];
A[[5, 19, 2]][SMatrix]
:=[];


#*******[5, 19, 3]*******

A[[5, 19, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 3]][RadMatrix]
:=[[s1, s5, 0, s2, s7], [0, s1-s3, 0, 0, -s2*a], [0, 0, s6, s4, s8], [0, 0, 0, s3, s5], [0, 0, 0, 0, 0]];
A[[5, 19, 3]][SMatrix]
:=[];


#*******[5, 19, 4]*******

A[[5, 19, 4]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 4]][RadMatrix]
:=[[s1, s2, s3, 0, s5], [0, 1/2*s1, 0, 0, s3], [0, 0, 1/2*s1, 0, -s2], [0, 0, 0, s4, s6], [0, 0, 0, 0, 0]];
A[[5, 19, 4]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s7, s9, 0, 0], [0, s8, -s7, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 19, 5]*******

A[[5, 19, 5]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 5]][RadMatrix]
:=[[s1, s2, s3, s4, s6], [0, 1/2*s1, 0, 0, s3], [0, 0, 1/2*s1, 0, -s2], [0, 0, 0, s5, s7], [0, 0, 0, 0, 0]];
A[[5, 19, 5]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s8, s10, 0, 0], [0, s9, -s8, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 19, 6]*******

A[[5, 19, 6]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 19, 6]][RadMatrix]
:=[[s1, 0, s2, s4, s7], [0, s6, s3, s5, s8], [0, 0, 1/2*s1, 0, s4], [0, 0, 0, 1/2*s1, -s2], [0, 0, 0, 0, 0]];
A[[5, 19, 6]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, s9, s11, 0], [0, 0, s10, -s9, 0], [0, 0, 0, 0, 0]];


#*******[5, 20, 0]*******

A[[5, 20, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 20, 0]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, s3, 0, 0, s4], [0, 0, s1-s3, 0, -s2*a], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 20, 0]][SMatrix]
:=[];


#*******[5, 20, 1]*******

A[[5, 20, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 20, 1]][RadMatrix]
:=[[s1, s2, s3, s4, s5], [0, 1/2*s1, 0, 0, s3], [0, 0, 1/2*s1, 0, -s2], [0, 0, 0, s1, s6], [0, 0, 0, 0, 0]];
A[[5, 20, 1]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, s7, s9, 0, 0], [0, s8, -s7, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 21, 0]*******

A[[5, 21, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 21, 0]][RadMatrix]
:=[[s1, s2, s5, 0, s6], [0, 1/2*s1, 0, 0, s5], [0, s3, 1/2*s1, 0, -s2+s5], [0, s4, s3, 1/2*s1, s7], [0, 0, 0, 0, 0]];
A[[5, 21, 0]][SMatrix]
:=[];


#*******[5, 22, 0]*******

A[[5, 22, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 1, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 22, 0]][RadMatrix]
:=[[s1, 0, s4, s2, s6], [0, s5, 0, 0, s7], [0, 0, 1/2*s1, s3, s4], [0, 0, 0, 1/2*s1, 0], [0, 0, 0, 0, 0]];
A[[5, 22, 0]][SMatrix]
:=[];


#*******[5, 23, 0]*******

A[[5, 23, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 1, 0, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 23, 0]][RadMatrix]
:=[[s1, 0, s4, s2, s6], [0, s5, 0, 0, s7], [0, 0, 1/2*s1, s3, -s2+s4], [0, 0, 0, 1/2*s1, s4], [0, 0, 0, 0, 0]];
A[[5, 23, 0]][SMatrix]
:=[];


#*******[5, 23, 1]*******

A[[5, 23, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 23, 1]][RadMatrix]
:=[[s1, s2, s4, s5, s7], [0, 1/2*s1, 0, 0, s4], [0, s3, 1/2*s1, 0, -s2+s4], [0, 0, 0, s6, s8], [0, 0, 0, 0, 0]];
A[[5, 23, 1]][SMatrix]
:=[];


#*******[5, 23, 2]*******

A[[5, 23, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 23, 2]][RadMatrix]
:=[[s1, 0, s2, s5, s7], [0, s6, s4, 0, s8], [0, 0, 1/2*s1, 0, s5], [0, 0, s3, 1/2*s1, -s2+s5], [0, 0, 0, 0, 0]];
A[[5, 23, 2]][SMatrix]
:=[];


#*******[5, 24, 0]*******

A[[5, 24, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 24, 0]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, 1/2*s1, 0, 0, s4], [0, s3, 1/2*s1, 0, -s2+s4], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 24, 0]][SMatrix]
:=[];


#*******[5, 24, 1]*******

A[[5, 24, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 24, 1]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, 1/2*s1, 0, 0, s4], [0, s3, 1/2*s1, 0, -s2+s4], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 24, 1]][SMatrix]
:=[];


#*******[5, 25, 0]*******

A[[5, 25, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, -1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 25, 0]][RadMatrix]
:=[[s1, s4, 0, s2, s6], [0, 1/2*s1, 0, s3, -s2*a+s4], [0, 0, s5, 0, -s7], [0, -s3, 0, 1/2*s1, s2+s4*a], [0, 0, 0, 0, 0]];
A[[5, 25, 0]][SMatrix]
:=[];


#*******[5, 25, 1]*******

A[[5, 25, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 25, 1]][RadMatrix]
:=[[s1, s2, s4, s5, s7], [0, 1/2*s1, -s3, 0, s2+s4*a], [0, s3, 1/2*s1, 0, -s2*a+s4], [0, 0, 0, s6, s8], [0, 0, 0, 0, 0]];
A[[5, 25, 1]][SMatrix]
:=[];


#*******[5, 25, 2]*******

A[[5, 25, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, -1, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 25, 2]][RadMatrix]
:=[[s1, s4, 0, s2, s6], [0, 1/2*s1, 0, s3, s4], [0, 0, s5, 0, -s7], [0, -s3, 0, 1/2*s1, s2], [0, 0, 0, 0, 0]];
A[[5, 25, 2]][SMatrix]
:=[];


#*******[5, 26, 0]*******

A[[5, 26, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 26, 0]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, 1/2*s1, -s3, 0, s2+s4*a], [0, s3, 1/2*s1, 0, -s2*a+s4], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 26, 0]][SMatrix]
:=[];


#*******[5, 26, 1]*******

A[[5, 26, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 26, 1]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, 1/2*s1, -s3, 0, s2+s4*a], [0, s3, 1/2*s1, 0, -s2*a+s4], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 26, 1]][SMatrix]
:=[];


#*******[5, 26, 2]*******

A[[5, 26, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 26, 2]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, 1/2*s1, -s3, 0, s2], [0, s3, 1/2*s1, 0, s4], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 26, 2]][SMatrix]
:=[];


#*******[5, 26, 3]*******

A[[5, 26, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 26, 3]][RadMatrix]
:=[[s1, s2, s4, s5, s6], [0, 1/2*s1, -s3, 0, s2], [0, s3, 1/2*s1, 0, s4], [0, 0, 0, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 26, 3]][SMatrix]
:=[];


#*******[5, 27, 0]*******

A[[5, 27, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 27, 0]][RadMatrix]
:=[[s1, s2, s3, s5, s6], [0, 0, 0, 0, s4-s5], [0, 0, s1, 0, -s2], [0, 0, s4, s1, s7], [0, 0, 0, 0, 0]];
A[[5, 27, 0]][SMatrix]
:=[];


#*******[5, 28, 0]*******

A[[5, 28, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 28, 0]][RadMatrix]
:=[[s1, s2, s4, 0, s6], [0, s3, 0, 0, s4*a], [0, 0, s1-s3, 0, -s2], [0, 0, s5, s1-s3, s7], [0, 0, 0, 0, 0]];
A[[5, 28, 0]][SMatrix]
:=[];


#*******[5, 28, 1]*******

A[[5, 28, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 1, 0, 0, 0], [0, 0, 0, 0, 1]];

A[[5, 28, 1]][RadMatrix]
:=[[s1, 0, s2, s5, s8], [0, s1-s3, s4, s7, s9], [0, 0, s3, s6, s5], [0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0]];
A[[5, 28, 1]][SMatrix]
:=[];


#*******[5, 29, 0]*******

A[[5, 29, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 29, 0]][RadMatrix]
:=[[s1, s2, s4, 0, s6], [0, s3, 0, 0, s4], [0, 0, s1-s3, 0, 0], [0, 0, s5, s1-s3, s7], [0, 0, 0, 0, 0]];
A[[5, 29, 0]][SMatrix]
:=[];


#*******[5, 30, 0]*******

A[[5, 30, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 30, 0]][RadMatrix]
:=[[s1, s2, 0, s4, s6], [0, s3, s2, s5, s4*(a+1)], [0, 0, -s1+2*s3, 0, s5*a], [0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0]];
A[[5, 30, 0]][SMatrix]
:=[];


#*******[5, 30, 1]*******

A[[5, 30, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 30, 1]][RadMatrix]
:=[[s1, s2, 0, s4, s7], [0, s3, s2, s5, 2*s4], [0, 0, -s1+2*s3, s6, s5], [0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0]];
A[[5, 30, 1]][SMatrix]
:=[];


#*******[5, 30, 2]*******

A[[5, 30, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 30, 2]][RadMatrix]
:=[[s1, s2, 0, s4, s6], [0, s3, s2, s5, -s4], [0, 0, -s1+2*s3, 0, -2*s5], [0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0]];
A[[5, 30, 2]][SMatrix]
:=[];


#*******[5, 30, 3]*******

A[[5, 30, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 30, 3]][RadMatrix]
:=[[s1, s2, 0, s4, s6], [0, s3, s2, s5, s4], [0, 0, -s1+2*s3, 0, 0], [0, 0, 0, s1-s3, -s2], [0, 0, 0, 0, 0]];
A[[5, 30, 3]][SMatrix]
:=[];


#*******[5, 31, 0]*******

A[[5, 31, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 31, 0]][RadMatrix]
:=[[s1, s2, 0, s3, s6], [0, 2/3*s1, s2, s4, 2*s3], [0, 0, 1/3*s1, s5, -s2+s4], [0, 0, 0, 1/3*s1, -s2], [0, 0, 0, 0, 0]];
A[[5, 31, 0]][SMatrix]
:=[];


#*******[5, 32, 0]*******

A[[5, 32, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 32, 0]][RadMatrix]
:=[[s1, s2, s3, s4, s6], [0, s1, s2, s5, s4], [0, 0, s1, 0, s5], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 32, 0]][SMatrix]
:=[];


#*******[5, 32, 1]*******
A[[5, 32, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 32, 1]][RadMatrix]
:=[[s1, s2, s4, s5, s7], [0, s3, s2, s6, s5], [0, 0, -s1+2*s3, 0, s6], [0, 0, 0, s1-s3, 0], [0, 0, 0, 0, 0]];
A[[5, 32, 1]][SMatrix]
:=[];


#*******[5, 33, 0]*******

A[[5, 33, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 33, 0]][RadMatrix]
:=[[s4-s6*a, 0, 0, -s1, 0], [0, s5-s6*b, 0, 0, -s2], [0, 0, s4*a+s5*b+s6, -s3*a, -s3*b], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 33, 0]][SMatrix]
:=[];


#*******[5, 33, 1]*******

A[[5, 33, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 33, 1]][RadMatrix]
:=[[s4-s6*a, 0, 0, -s1, 0], [0, s5, 0, 0, -s2], [0, 0, s4*a+s6, -s3*a, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 33, 1]][SMatrix]
:=[];


#*******[5, 33, 2]*******

A[[5, 33, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 33, 2]][RadMatrix]
:=[[s4-s6, 0, 0, -s1, 0], [0, s5-s6*b, 0, 0, -s2], [0, 0, s4+s5*b+s6, -s3, -s3*b], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 33, 2]][SMatrix]
:=[];


#*******[5, 33, 3]*******

A[[5, 33, 3]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 33, 3]][RadMatrix]
:=[[s4, 0, 0, -s1, 0], [0, s5-s6*b, 0, 0, -s2], [0, 0, s5*b+s6, 0, -s3*b], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 33, 3]][SMatrix]
:=[];


#*******[5, 33, 4]*******

A[[5, 33, 4]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 33, 4]][RadMatrix]
:=[[s4, 0, 0, -s1, 0], [0, s5, 0, 0, -s2], [0, 0, s4, -s3, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 33, 4]][SMatrix]
:=[[s8, 0, s6, 0, 0], [0, 0, 0, 0, 0], [s7, 0, -s8, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 33, 5]*******

A[[5, 33, 5]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 33, 5]][RadMatrix]
:=[[s4, 0, 0, -s1, 0], [0, s5, 0, 0, -s2], [0, 0, s5, 0, -s3], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 33, 5]][SMatrix]
:=[[0, 0, 0, 0, 0], [0, -s8, s7, 0, 0], [0, s6, s8, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];


#*******[5, 34, 0]*******

A[[5, 34, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 34, 0]][RadMatrix]
:=[[s4*a+s5-2*s6/a, 0, 0, -s1*a, -s1], [0, s4+s6, s5+2*s6/a, -s2, -s3], [0, 0, s4+s6, -s3, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 34, 0]][SMatrix]
:=[];


#*******[5, 34, 1]*******

A[[5, 34, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 34, 1]][RadMatrix]
:=[[s4+s5-2*s6, 0, 0, -s1, -s1], [0, s4+s6, s5+2*s6, -s2, -s3], [0, 0, s4+s6, -s3, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 34, 1]][SMatrix]
:=[];


#*******[5, 34, 2]*******

A[[5, 34, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 34, 2]][RadMatrix]
:=[[s5+s6, 0, 0, 0, -s1], [0, s4, s5-s6, -s2, -s3], [0, 0, s4, -s3, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 34, 2]][SMatrix]
:=[];


#*******[5, 35, 0]*******

A[[5, 35, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 35, 0]][RadMatrix]
:=[[s4*b+s5*a+s6, 0, 0, -s1*b, -s1*a], [0, s4-1/2*s6*b, s5-1/2*s6*a, -s2, -s3], [0, -s5+1/2*s6*a, s4-1/2*s6*b, -s3, s2], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 35, 0]][SMatrix]
:=[];


#*******[5, 35, 1]*******

A[[5, 35, 1]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 35, 1]][RadMatrix]
:=[[s5*a+s6, 0, 0, 0, -s1*a], [0, s4, s5-1/2*s6*a, -s2, -s3], [0, -s5+1/2*s6*a, s4, -s3, s2], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 35, 1]][SMatrix]
:=[];


#*******[5, 35, 2]*******

A[[5, 35, 2]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 35, 2]][RadMatrix]
:=[[s4+s5*a-2*s6, 0, 0, -s1, -s1*a], [0, s4+s6, s5+s6*a, -s2, -s3], [0, -s5-s6*a, s4+s6, -s3, s2], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 35, 2]][SMatrix]
:=[];


#*******[5, 36, 0]*******

A[[5, 36, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 36, 0]][RadMatrix]
:=[[s1, 0, 0, s3, 0], [0, s2, 0, 0, s5], [0, 0, 0, s4, s6], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 36, 0]][SMatrix]
:=[];


#*******[5, 37, 0]*******

A[[5, 37, 0]][basis]
:=[[0, 0, 1, 0, 0], [1, 0, 0, 0, 0], [0, -1, 0, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 37, 0]][RadMatrix]
:=[[s1, 0, s2, s4, -s3], [0, 0, 0, -s5, -s6], [-s2, 0, s1, s3, s4], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 37, 0]][SMatrix]
:=[];


#*******[5, 38, 0]*******

A[[5, 38, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 38, 0]][RadMatrix]
:=[[s1, s2, s4, s5, 0], [0, s3, 0, s4, -s4], [0, 0, s1-s3, 0, -s2], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 38, 0]][SMatrix]
:=[];


#*******[5, 39, 0]*******

A[[5, 39, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, -1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 39, 0]][RadMatrix]
:=[[s1, s2, -s4, s5, 0], [0, 1/2*s1, s3, s4, -s2], [0, -s3, 1/2*s1, s2, s4], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 39, 0]][SMatrix]
:=[];

#*******[5, 40, 0]*******

A[[5, 40, 0]][basis]
:=[[1, 0, 0, 0, 0], [0, 1, 0, 0, 0], [0, 0, 1, 0, 0], [0, 0, 0, 1, 0], [0, 0, 0, 0, 1]];

A[[5, 40, 0]][RadMatrix]
:=[[s1, 0, 0, s2, -s3], [0, s1, s2, s3, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]];
A[[5, 40, 0]][SMatrix]
:=[[s4, s6, 0, 0, 0], [s5, -s4, 0, 0, 0], [0, 0, -2*s4, 2*s5, 0], [0, 0, s6, 0, -s5], [0, 0, 0, -2*s6, 2*s4]];



A[[5,40,0]][Special]:=
[

[[cos(theta), -sin(theta), 0, 0, 0], [sin(theta), cos(theta), 0, 0, 0], 
[0, 0, 1/2+1/2*cos(2*theta), sin(2*theta), 1/2*cos(2*theta)-1/2], 
[0, 0, -1/2*sin(2*theta), cos(2*theta), -1/2*sin(2*theta)], 
[0, 0, 1/2*cos(2*theta)-1/2, sin(2*theta), 1/2+1/2*cos(2*theta)]]

];







#*********************************

eval(A);

end:
