
USU2HomogeneousSpaces:=proc()

local A;
A:=table();

A[[3,1,0]][]
:=[[0,1,0],[0,-x,1],[1,0,0]];

A[[3,1,0]][1,2]
:=[[1,0],[-y,0],[0,1]];

A[[3,2,0]][]
:=[[1,0,0],[0,0,exp(-y*a)],[x,1,0]];

A[[3,2,0]][1,3]
:=[[0,-1],[0,exp(-x*(a-1))],[1,y]];

A[[3,2,0]][1,4]
:=[[0,1],[1,0],[a*x,y]];

A[[3,2,1]][]
:=[[1,0,0],[0,0,exp(-y)],[x,1,0]];

A[[3,2,1]][1,2]
:=[[0,1],[1,0],[x,y]];

A[[3,3,0]][]
:=[[0,exp(-x),0],[0,-x*exp(-x),exp(-x)],[1,0,0]];

A[[3,3,0]][1,2]
:=[[exp(-y),0],[-y*exp(-y),0],[0,1]];

A[[3,3,0]][1,3]
:=[[1,0],[0,1],[y+x,y]];

A[[3,4,0]][]
:=[[0,exp(-a*x)*cos(x),exp(-a*x)*sin(x)],[0,-exp(-a*x)*sin(x),exp(-a*x)*cos(x)],[1,0,0]];

A[[3,4,0]][1,1]
:=[[sin(y)*exp(-y*a),0],[cos(y)*exp(-y*a),0],[0,1]];

A[[3,4,0]][1,2]
:=[[1,0],[0,1],[a*x+y,y*a-x]];

A[[3,5,0]][]
:=[[x^2/exp(y),2*x*exp(-y),(exp(1/2*y)+z*x)/exp(y)],[0,1,1/2*z],[exp(2*y)/exp(y),0,0]];

A[[3,5,0]][1,1]
:=[[2*exp(-x)*y,y^2/exp(x)],[1,0],[0,exp(2*x)/exp(x)]];

A[[3,5,0]][1,2]
:=[[-x^2,1+2*y*x],[-x,y],[1,0]];

A[[3,5,0]][1,3]
:=[[1/exp(y)*(x^2*p[1]-1)/p[1],2*x*exp(-y)],[0,1],[1/exp(y)*exp(2*y),0]];

A[[3,6,0]][]
:=[[cos(z)/cos(y),sin(z),-cos(z)*sin(y)/cos(y)],[-sin(z)/cos(y),cos(z),sin(z)*sin(y)/cos(y)],[0,0,1]];

A[[3,6,0]][1,1]
:=[[-cos(x)*sin(y)/cos(y),sin(x)],[sin(x)*sin(y)/cos(y),cos(x)],[1,0]];

A[[4,1,0]][]
:=[[1,0,0,0],[0,1,0,0],[0,0,1,0],[x,y,0,1]];

A[[4,1,0]][1,2]
:=[[0,1,0],[0,-x,0],[0,0,1],[1,-z*x,0]];

A[[4,1,0]][1,3]
:=[[2,0,0],[0,0,1],[-y^2,0,-y],[2*z,1,0]];

A[[4,1,0]][1,4]
:=[[1,0,0],[0,0,1],[0,1,0],[z,0,y]];

A[[4,1,0]][2,4]
:=[[0,2],[0,-2*x],[0,x^2],[1,0]];

A[[4,2,0]][]
:=[[1,0,0,0],[0,0,0,exp(-y*a)],[0,1,0,0],[w,b*x,1,0]];

A[[4,2,0]][1,3]
:=[[-1,0,0],[exp(-y*(a-1)),0,0],[0,0,1],[x,1,z*b]];

A[[4,2,0]][1,5]
:=[[0,1,0],[exp(-z*a),0,0],[-exp(-z*b),0,0],[0,y,1]];

A[[4,2,0]][1,6]
:=[[0,0,-exp(y*(b-1))],[exp(-y*a),0,0],[0,0,1],[0,1,z*b]];

A[[4,2,0]][1,7]
:=[[-exp(z*(b-1)),-1,0],[0,exp(-z*(a-1)),0],[1,0,0],[b*x,y,1]];

A[[4,2,0]][1,8]
:=[[1,0,0],[0,0,1],[0,1,0],[x,y*b,z*a]];

A[[4,2,0]][2,8]
:=[[0,-1],[0,exp(-x*(a-1))],[0,exp(-x*(b-1))],[1,y]];

A[[4,2,1]][]
:=[[1,0,0,0],[0,0,0,exp(-y*a)],[0,1,0,0],[w,a*x,1,0]];

A[[4,2,1]][1,3]
:=[[-1,0,0],[exp(-y*(a-1)),0,0],[0,0,1],[x,1,z*a]];

A[[4,2,1]][1,4]
:=[[0,1,0],[1,0,0],[0,0,1],[a*x,y,z*a]];

A[[4,2,3]][]
:=[[1,0,0,0],[0,0,0,exp(-y)],[0,1,0,0],[w,x,1,0]];

A[[4,2,3]][1,2]
:=[[0,1,0],[1,0,0],[0,0,1],[x,y,z]];

A[[4,3,0]][]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),exp(-x)],[1,0,0,0],[a*w,1,0,0]];

A[[4,3,0]][1,2]
:=[[0,exp(-z),0],[0,-exp(-z)*z,0],[1,0,0],[a*x,0,1]];

A[[4,3,0]][1,4]
:=[[0,exp(-z),0],[exp(-z),-exp(-z)*z,0],[-exp(-z*a),0,0],[0,0,1]];

A[[4,3,0]][1,6]
:=[[0,0,exp(-y)],[exp(-y),0,-y*exp(-y)],[0,0,-exp(-y*a)],[0,1,0]];

A[[4,3,0]][1,7]
:=[[1,0,0],[0,0,1],[0,1,0],[z+x,y*a,z]];

A[[4,3,0]][2,6]
:=[[exp(-y),0],[-y*exp(-y),0],[-exp(-y*a),0],[0,1]];

A[[4,3,1]][]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),exp(-x)],[1,0,0,0],[w,1,0,0]];

A[[4,3,1]][1,3]
:=[[0,exp(-z),0],[0,-exp(-z)*z,0],[1,0,0],[x,0,1]];

A[[4,3,1]][1,4]
:=[[0,1,0],[1,0,0],[0,0,1],[x,y+x,z]];

A[[4,4,0]][]
:=[[1,0,0,0],[0,1,0,0],[0,0,0,exp(-y)],[x,0,1,0]];

A[[4,4,0]][1,2]
:=[[0,1,0],[0,-z,0],[exp(-z),0,0],[0,0,1]];

A[[4,4,0]][1,4]
:=[[0,1,0],[-1,-z,0],[exp(-z),0,0],[0,0,1]];

A[[4,4,0]][1,6]
:=[[0,0,-1],[0,1,0],[0,0,exp(-x)],[1,0,-y]];

A[[4,4,0]][1,7]
:=[[0,1,0],[0,0,1],[1,0,0],[x,z,0]];

A[[4,4,0]][2,6]
:=[[-1,0],[y,0],[exp(-y),0],[0,1]];

A[[4,5,0]][]
:=[[0,exp(-w),0,0],[0,-w*exp(-w),exp(-w),0],[0,1/2*w^2*exp(-w),-w*exp(-w),exp(-w)],[1,0,0,0]];

A[[4,5,0]][1,2]
:=[[0,0,exp(-y)],[0,0,-y*exp(-y)],[exp(-y),0,1/2*y^2*exp(-y)],[0,1,0]];

A[[4,5,0]][1,3]
:=[[0,0,exp(-x)],[0,exp(-x),-x*exp(-x)],[0,-x*exp(-x),1/2*x^2*exp(-x)],[1,0,0]];

A[[4,5,0]][1,4]
:=[[0,0,2],[0,1,0],[1,0,0],[x,y+x,z+2*y]];

A[[4,5,0]][2,4]
:=[[0,exp(-x)],[0,-x*exp(-x)],[0,1/2*x^2*exp(-x)],[1,0]];

A[[4,6,0]][]
:=[[1,0,0,0],[0,0,exp(-b*x)*cos(x),exp(-b*x)*sin(x)],[0,0,-exp(-b*x)*sin(x),exp(-b*x)*cos(x)],[a*w,1,0,0]];

A[[4,6,0]][1,2]
:=[[0,1,0],[sin(z)*exp(-z*b),0,0],[cos(z)*exp(-z*b),0,0],[0,y*a,1]];

A[[4,6,0]][1,3]
:=[[-exp(-z*a),0,0],[cos(z)*exp(-z*b),sin(z)*exp(-z*b),0],[-sin(z)*exp(-z*b),cos(z)*exp(-z*b),0],[0,0,1]];

A[[4,6,0]][1,4]
:=[[0,1,0],[0,0,1],[1,0,0],[-z+b*x,y*a,x+z*b]];

A[[4,6,0]][2,4]
:=[[-exp(-y*a),0],[sin(y)*exp(-y*b),0],[cos(y)*exp(-y*b),0],[0,1]];

A[[4,7,0]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[w+a*w,x,y*a,1]];

A[[4,7,0]][1,2]
:=[[0,1,0],[0,-z,0],[0,0,1],[1,y*a+y,z*a]];

A[[4,7,0]][1,3]
:=[[0,1,0],[0,0,1],[0,z,0],[1,y*a+y,z]];

A[[4,7,0]][1,4]
:=[[0,0,2],[-exp(y*(a-1)),0,-2*x],[1,0,0],[a*x,1,z*a+z]];

A[[4,7,0]][1,5]
:=[[1,0,0],[0,0,1],[z,1,0],[a*x+x,y*a,z]];

A[[4,7,0]][2,5]
:=[[1,0],[-y,0],[0,1],[a*x+x,y*a]];

A[[4,7,0]][2,6]
:=[[1,0],[0,1],[y,0],[a*x+x,y]];

A[[4,7,1]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[2*w,x,y,1]];

A[[4,7,1]][1,2]
:=[[1,0,0],[-z,0,0],[0,0,1],[2*x,1,z]];

A[[4,7,1]][1,3]
:=[[1,0,0],[0,0,1],[z,1,0],[2*x,y,z]];

A[[4,7,1]][2,3]
:=[[1,0],[-y,0],[0,1],[2*x,y]];

A[[4,7,2]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[0,x,-y,1]];

A[[4,7,2]][1,2]
:=[[1,0,0],[-z,0,0],[0,0,1],[0,1,-z]];

A[[4,7,2]][1,3]
:=[[0,1,0],[0,0,1],[0,z,0],[1,0,z]];

A[[4,7,2]][1,4]
:=[[0,0,2],[0,-exp(-2*x),-2*y],[0,1,0],[1,-y,0]];

A[[4,7,2]][1,5]
:=[[1,0,0],[0,0,1],[z,1,0],[0,-y,z]];

A[[4,7,2]][2,5]
:=[[0,1],[0,-x],[1,0],[-x,0]];

A[[4,7,2]][2,6]
:=[[1,0],[0,1],[y,0],[0,y]];

A[[4,7,3]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[w,x,0,1]];

A[[4,7,3]][1,2]
:=[[1,0,0],[-z,0,0],[0,0,1],[x,1,0]];

A[[4,7,3]][1,3]
:=[[0,1,0],[0,0,1],[0,z,0],[1,y,z]];

A[[4,7,3]][1,4]
:=[[0,0,2*exp(x)],[0,-1,-2*y],[0,exp(x),0],[1,y,2*z]];

A[[4,7,3]][1,5]
:=[[1,0,0],[0,0,1],[z,1,0],[x,0,z]];

A[[4,7,3]][1,6]
:=[[0,1,0],[0,0,1],[-1,z,0],[1,y,z]];

A[[4,7,3]][2,6]
:=[[1,0],[-y,0],[0,1],[x,0]];

A[[4,7,3]][2,7]
:=[[1,0],[0,1],[y,0],[x,y]];

A[[4,8,0]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[1/2*y^2+2*w,y+x,y,1]];

A[[4,8,0]][1,2]
:=[[1,0,0],[-z,0,0],[0,0,1],[-1/2*z^2+2*x,1,z]];

A[[4,8,0]][1,3]
:=[[2,0,0],[0,0,1],[2*z,0,-y],[2*x,1,z]];

A[[4,8,0]][1,4]
:=[[1,0,0],[0,0,1],[z,1,0],[1/2*y^2+2*x,y,y+z]];

A[[4,8,0]][2,4]
:=[[1,0],[-y,0],[0,1],[-1/2*y^2+2*x,y]];

A[[4,9,0]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[-1/2*x^2+2*a*w+1/2*y^2,a*x+y,y*a-x,1]];

A[[4,9,0]][1,2]
:=[[0,0,2*cos(x)],[0,sin(x),-2*y],[0,cos(x),0],[1,y*a,(-y^2+2*z*a*cos(x)-z*sin(x))/cos(x)]];

A[[4,9,0]][1,3]
:=[[1,0,0],[0,0,1],[z,1,0],[-1/2*z^2+1/2*y^2+2*a*x,y*a-z,y+z*a]];

A[[4,9,1]][]
:=[[1,0,0,0],[0,1,0,0],[x,0,1,0],[-1/2*x^2+1/2*y^2,y,-x,1]];

A[[4,9,1]][1,2]
:=[[0,0,2*cos(x)],[0,sin(x),-2*y],[0,cos(x),0],[1,0,-(y^2+z*sin(x))/cos(x)]];

A[[4,9,1]][1,3]
:=[[1,0,0],[0,0,1],[z,1,0],[-1/2*z^2+1/2*y^2,-z,y]];

A[[4,10,0]][]
:=[[exp(-z),0,0,0],[0,exp(-z),0,0],[0,0,0,1],[x,-w,1,0]];

A[[4,10,0]][1,1]
:=[[sin(z)*exp(-y),0,0],[cos(z)*exp(-y),0,0],[0,1,0],[0,0,1]];

A[[4,10,0]][1,2]
:=[[1,0,0],[0,1,0],[x,y,0],[y,-x,1]];

A[[4,10,0]][1,3]
:=[[0,exp(-x),0],[0,0,exp(-x)],[1,0,0],[-p[1],z+y*p[1],-y+z*p[1]]];

A[[4,10,0]][2,2]
:=[[0,sin(x)],[0,cos(x)],[0,y],[1,0]];

A[[4,10,0]][2,3]
:=[[1,0],[0,1],[x,y],[y,-x]];


A[[5,1,0]][]
:=[[0,0,0,1,0],[1,0,0,0,0],[0,0,0,-x,1],[0,1,0,0,0],[v,0,1,0,0]];

A[[5,1,0]][1,2]
:=[[0,0,0,1],[1,0,0,0],[0,0,0,-x],[0,0,1,0],[y,1,0,0]];

A[[5,1,0]][1,3]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[0,0,0,1],[0,w,z,0]];

A[[5,1,0]][2,6]
:=[[0,0,1],[0,1,0],[0,0,-x],[0,-x,0],[1,0,0]];

A[[5,2,0]][]
:=[[0,1,0,0,0],[0,-u,1,0,0],[0,1/2*u^2,-u,1,0],[0,-1/6*u^3,1/2*u^2,-u,1],[1,0,0,0,0]];

A[[5,2,0]][1,2]
:=[[0,0,1,0],[0,0,-x,0],[0,0,1/2*x^2,1],[1,0,-1/6*x^3,-x],[0,1,0,0]];

A[[5,2,0]][1,3]
:=[[0,0,0,1],[0,0,1,-x],[0,0,-x,1/2*x^2],[1,0,1/2*x^2,-1/6*x^3],[0,1,0,0]];

A[[5,2,0]][1,4]
:=[[0,0,1,0],[0,1,-w,0],[0,-w,1/2*w^2,1],[0,1/2*w^2,-1/6*w^3,-w],[1,0,0,0]];

A[[5,2,0]][1,5]
:=[[0,0,0,6],[0,0,2,0],[0,1,0,0],[1,0,0,0],[0,w,2*x,3*y]];

A[[5,2,0]][2,5]
:=[[0,0,1],[0,0,-y],[0,0,1/2*y^2],[1,0,-1/6*y^3],[0,1,0]];

A[[5,2,0]][2,6]
:=[[0,1,0],[0,-x,0],[0,1/2*x^2,1],[0,-1/6*x^3,-x],[1,0,0]];

A[[5,2,0]][2,7]
:=[[0,0,-1],[0,0,x+1],[0,1,-1/2*x^2-x],[0,-x,1/6*x^3+1/2*x^2],[1,0,0]];

A[[5,2,0]][2,8]
:=[[0,0,-1],[0,1,x],[0,-x,-1/2*x^2+p[1]],[0,1/2*x^2,1/6*x^3-p[1]*x],[1,0,0]];

A[[5,2,0]][3,5]
:=[[0,1],[0,-x],[0,1/2*x^2],[0,-1/6*x^3],[1,0]];

A[[5,3,0]][]
:=[[0,0,0,0,1],[1,0,0,0,-y],[0,1,0,0,0],[0,u,1,0,1/2*y^2],[x,1/2*x^2,0,1,0]];

A[[5,3,0]][1,2]
:=[[1,0,0,0],[-y,0,0,-x],[0,0,0,1],[1/2*y^2,1,0,0],[0,0,1,-1/2*x^2]];

A[[5,3,0]][1,3]
:=[[1,0,0,0],[-x,0,0,1],[0,0,2,0],[1/2*x^2,0,2*z,-x],[0,1,0,0]];

A[[5,4,0]][]
:=[[0,0,1,0,0],[1,0,0,0,0],[0,1,0,0,0],[0,0,u,1,0],[0,0,v,0,1]];

A[[5,4,0]][1,2]
:=[[0,0,0,1],[0,0,0,-y],[0,1,0,0],[0,0,1,0],[1,0,0,x]];

A[[5,4,0]][2,2]
:=[[0,0,1],[0,0,-y],[0,0,-x],[0,1,0],[1,0,0]];

A[[5,5,0]][]
:=[[1,0,0,0,0],[-y,0,0,0,1],[0,1,0,0,-y],[v,0,1,0,0],[-y*v,0,0,1,0]];

A[[5,5,0]][1,2]
:=[[1,0,0,0],[-z,0,0,0],[0,0,1,0],[y,1,0,0],[-z*y,0,0,1]];

A[[5,5,0]][1,3]
:=[[0,1,0,0],[1,-z,0,0],[-z,0,1,0],[0,y,0,0],[0,-z*y,0,1]];

A[[5,5,0]][1,4]
:=[[0,2,0,0],[1,-2*z,0,0],[-z,-2*y+z^2,0,0],[0,0,1,0],[0,0,0,1]];

A[[5,5,0]][1,5]
:=[[1,0,0,0],[0,0,0,1],[0,0,1,0],[y,1,0,0],[z,0,0,y]];

A[[5,5,0]][2,5]
:=[[1,0,0],[-z,0,0],[0,1,0],[y,0,0],[-z*y,0,1]];

A[[5,5,0]][2,6]
:=[[0,0,2],[0,0,-2*y],[0,0,-2*x+y^2],[1,0,0],[0,1,0]];

A[[5,5,0]][2,7]
:=[[1,0,0],[0,0,1],[0,1,0],[y,0,0],[z,0,y]];

A[[5,6,0]][]
:=[[1,0,0,0,0],[-y,0,0,0,1],[0,1,0,0,-y],[v,0,1,0,1/2*y^2],[-y*v+1/2*x^2,x,0,1,0]];

A[[5,6,0]][1,2]
:=[[1,0,0,0],[-z,0,0,0],[0,0,1,0],[y,1,0,0],[1/2*x^2-z*y,0,x,1]];

A[[5,6,0]][1,3]
:=[[0,0,0,2],[1,0,0,-2*y],[-y,0,0,-2*x+y^2],[1/2*y^2,1,0,0],[0,0,1,-x^2+y^2*x]];

A[[5,6,0]][1,4]
:=[[0,0,6,0],[1,0,-6*x,0],[-x,0,0,1],[1/2*x^2,0,6*z+2*x^3,-x],[0,1,-6*z*x,0]];

A[[5,6,0]][1,5]
:=[[0,0,0,2],[0,0,2,0],[0,1,0,0],[1,0,0,2*x],[0,w,2*x,w^2+y]];

A[[5,6,0]][2,5]
:=[[2,0,0],[-2*z,0,0],[-2*y+z^2,0,0],[0,1,0],[-y^2+z^2*y,0,1]];

A[[5,6,0]][2,6]
:=[[6,0,0],[-6*y,0,0],[0,0,1],[6*z+2*y^3,0,-y],[-6*z*y,1,0]];

A[[5,7,0]][]
:=[[0,0,0,0,exp(-y)],[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u*a,v*b,c*x,1,0]];

A[[5,7,0]][1,3]
:=[[0,0,0,exp(-y)],[0,0,0,-exp(-y*a)],[0,1,0,0],[1,0,0,0],[w*c,b*x,1,0]];

A[[5,7,0]][1,5]
:=[[0,0,0,exp(-y)],[1,0,0,0],[0,0,0,-exp(-y*b)],[0,1,0,0],[a*w,c*x,1,0]];

A[[5,7,0]][1,6]
:=[[exp(-y),0,0,0],[0,0,0,-exp(y*(b-a))],[0,0,0,1],[0,1,0,0],[0,c*x,1,z*b]];

A[[5,7,0]][1,7]
:=[[0,0,0,exp(-x)],[0,0,-exp(x*(b-a)),-exp(-a*x)],[0,0,1,0],[1,0,0,0],[w*c,1,y*b,0]];

A[[5,7,0]][1,9]
:=[[0,0,0,exp(-y)],[1,0,0,0],[0,1,0,0],[0,0,0,-exp(-y*c)],[a*w,b*x,1,0]];

A[[5,7,0]][1,10]
:=[[exp(-y),0,0,0],[0,0,0,-exp(-(-c+a)*y)],[0,1,0,0],[0,0,0,1],[0,b*x,1,z*c]];

A[[5,7,0]][1,11]
:=[[0,0,exp(-x),0],[0,0,-exp(-a*x),-exp(-(-c+a)*x)],[1,0,0,0],[0,0,0,1],[w*b,1,0,z*c]];

A[[5,7,0]][1,12]
:=[[0,0,0,1],[1,0,0,0],[0,0,1,0],[0,1,0,0],[a*w,c*x,y*b,z]];

A[[5,7,0]][2,12]
:=[[0,0,exp(-y)],[0,0,-exp(-y*a)],[0,0,-exp(-y*b)],[1,0,0],[c*x,1,0]];

A[[5,7,0]][2,16]
:=[[exp(-z),0,0],[-exp(-z*a),0,0],[0,1,0],[-exp(-z*c),0,0],[0,y*b,1]];

A[[5,7,0]][2,23]
:=[[exp(-z),0,0],[0,1,0],[-exp(-z*b),0,0],[-exp(-z*c),0,0],[0,y*a,1]];

A[[5,7,3]][]
:=[[0,0,0,0,exp(-y)],[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,v*b,c*x,1,0]];

A[[5,7,3]][1,3]
:=[[exp(-y),0,0,0],[0,0,0,-exp(y*(b-1))],[0,0,0,1],[0,1,0,0],[0,c*x,1,z*b]];

A[[5,7,3]][1,5]
:=[[exp(-y),0,0,0],[0,0,0,-exp(y*(-1+c))],[0,1,0,0],[0,0,0,1],[0,b*x,1,z*c]];

A[[5,7,3]][1,6]
:=[[exp(-z),0,0,0],[0,1,0,0],[0,0,-exp(-z*(-c+b)),0],[0,0,1,0],[0,x,y*c,1]];

A[[5,7,3]][1,7]
:=[[exp(-x),0,0,0],[0,0,-exp(x*(-1+c)),-exp(x*(b-1))],[0,0,0,1],[0,0,1,0],[0,1,y*c,z*b]];

A[[5,7,3]][1,8]
:=[[0,0,0,1],[1,0,0,0],[0,0,1,0],[0,1,0,0],[w,c*x,y*b,z]];

A[[5,7,5]][]
:=[[0,0,0,0,exp(-y)],[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,v*b,b*x,1,0]];

A[[5,7,5]][1,3]
:=[[exp(-y),0,0,0],[0,0,0,-exp(y*(b-1))],[0,0,0,1],[0,1,0,0],[0,b*x,1,z*b]];

A[[5,7,5]][1,4]
:=[[0,0,0,1],[1,0,0,0],[0,0,1,0],[0,1,0,0],[w,b*x,y*b,z]];

A[[5,7,5]][2,8]
:=[[0,exp(-z),0],[-exp(z*(b-1)),0,0],[1,0,0],[0,-exp(-z*b),0],[b*x,0,1]];

A[[5,7,6]][]
:=[[0,0,0,0,exp(-y)],[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,v,c*x,1,0]];

A[[5,7,6]][1,3]
:=[[exp(-y),0,0,0],[0,1,0,0],[0,0,0,-exp(y*(-1+c))],[0,0,0,1],[0,x,1,z*c]];

A[[5,7,6]][1,4]
:=[[0,0,0,1],[1,0,0,0],[0,0,1,0],[0,1,0,0],[w,c*x,y,z]];

A[[5,7,7]][]
:=[[0,0,0,0,exp(-y)],[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,v,x,1,0]];

A[[5,7,7]][1,2]
:=[[0,0,1,0],[1,0,0,0],[0,0,0,1],[0,1,0,0],[w,x,y,z]];

A[[5,8,0]][]
:=[[0,0,0,0,1],[1,0,0,0,0],[0,0,0,exp(-v),0],[0,0,exp(-v*a),0,0],[0,1,0,0,u]];

A[[5,8,0]][1,2]
:=[[1,0,0,0],[-y,0,0,0],[0,0,0,exp(-y)],[0,exp(-y*a),0,0],[0,0,1,0]];

A[[5,8,0]][1,4]
:=[[0,0,0,1],[0,0,-1,-x],[0,0,exp(-x),0],[exp(-a*x),0,0,0],[0,1,0,0]];

A[[5,8,0]][1,6]
:=[[0,0,0,1],[1,0,0,0],[0,0,0,-exp(-y)],[0,exp(-y*a),0,0],[0,0,1,w]];

A[[5,8,0]][1,8]
:=[[0,0,0,1],[0,0,-1,-w],[0,exp(-w),0,0],[0,0,exp(-a*w),0],[1,0,0,0]];

A[[5,8,0]][1,9]
:=[[1,0,0,0],[0,1,0,0],[0,0,0,exp(-y)],[0,0,0,-exp(-y*a)],[x,0,1,0]];

A[[5,8,0]][1,10]
:=[[0,0,0,1],[0,-1,-1,-w],[0,exp(-w),0,0],[0,0,exp(-a*w),0],[1,0,0,0]];

A[[5,8,0]][1,12]
:=[[1,0,0,0],[0,1,0,0],[0,0,0,exp(-y)],[-exp(-y*a),0,0,0],[x,0,1,0]];

A[[5,8,0]][1,13]
:=[[1,0,0,0],[0,1,0,0],[0,0,0,exp(-y)],[0,0,0,-exp(-y*a)],[x,0,1,0]];

A[[5,8,0]][1,14]
:=[[1,0,0,0],[0,0,1,0],[0,exp(-z),0,0],[-exp(-z*a),-exp(-z*a),0,0],[y,0,0,1]];

A[[5,8,0]][1,15]
:=[[1,0,0,0],[0,0,1,0],[0,0,0,1],[0,1,0,0],[y,a*x,0,z]];

A[[5,8,0]][2,10]
:=[[1,0,0],[-z,0,0],[-exp(-z),0,0],[0,exp(-z*a),0],[0,0,1]];

A[[5,8,0]][2,12]
:=[[0,0,1],[0,0,-x],[0,exp(-x),0],[0,0,-exp(-a*x)],[1,0,0]];

A[[5,8,0]][2,13]
:=[[0,1,0],[0,-x,0],[0,0,exp(-x)],[0,0,-exp(-a*x)],[1,0,0]];

A[[5,8,0]][2,14]
:=[[1,0,0],[-z,0,0],[0,exp(-z),0],[-exp(-z*a),-exp(-z*a),0],[0,0,1]];

A[[5,8,0]][2,22]
:=[[0,0,1],[0,-1,-x],[0,exp(-x),0],[0,0,-exp(-a*x)],[1,0,0]];

A[[5,8,0]][2,26]
:=[[1,0,0],[0,1,0],[-exp(-z),0,0],[-exp(-z*a),0,0],[y,0,1]];

A[[5,8,0]][3,14]
:=[[0,1],[0,-x],[0,-exp(-x)],[0,-exp(-a*x)],[1,0]];

A[[5,8,1]][]
:=[[0,0,0,0,1],[1,0,0,0,0],[0,0,0,exp(-v),0],[0,0,exp(-v),0,0],[0,1,0,0,u]];

A[[5,8,1]][1,2]
:=[[1,0,0,0],[-y,0,0,0],[0,0,0,exp(-y)],[0,exp(-y),0,0],[0,0,1,0]];

A[[5,8,1]][1,4]
:=[[0,0,0,1],[0,0,-1,-x],[0,0,exp(-x),0],[exp(-x),0,0,0],[0,1,0,0]];

A[[5,8,1]][1,5]
:=[[1,0,0,0],[0,1,0,0],[0,0,0,1],[0,0,1,0],[x,0,y,z]];

A[[5,8,1]][2,6]
:=[[1,0,0],[-z,0,0],[-exp(-z),0,0],[0,exp(-z),0],[0,0,1]];

A[[5,8,1]][2,10]
:=[[0,0,1],[0,-1,-x],[0,exp(-x),0],[0,0,-exp(-x)],[1,0,0]];

A[[5,9,0]][]
:=[[0,0,0,exp(-u),0],[0,0,0,-u*exp(-u),exp(-u)],[0,0,exp(-u*a),0,0],[0,exp(-u*b),0,0,0],[1,0,0,0,0]];

A[[5,9,0]][1,2]
:=[[0,0,0,exp(-w)],[0,0,0,-w*exp(-w)],[0,exp(-a*w),0,0],[0,0,exp(-w*b),0],[1,0,0,0]];

A[[5,9,0]][1,4]
:=[[0,0,exp(-w),0],[0,0,-w*exp(-w),exp(-w)],[0,0,0,-exp(-a*w)],[0,exp(-w*b),0,0],[1,0,0,0]];

A[[5,9,0]][1,6]
:=[[0,exp(-y),0,0],[exp(-y),-y*exp(-y),0,0],[0,-exp(-y*a),0,0],[0,0,0,exp(-y*b)],[0,0,1,0]];

A[[5,9,0]][1,8]
:=[[0,0,0,exp(-x)],[exp(-x),0,0,-x*exp(-x)],[0,0,exp(-a*x),0],[-exp(-b*x),0,0,0],[0,1,0,0]];

A[[5,9,0]][1,9]
:=[[0,0,exp(-x),0],[exp(-x),0,-x*exp(-x),0],[0,0,0,exp(-a*x)],[0,0,0,-exp(-b*x)],[0,1,0,0]];

A[[5,9,0]][1,10]
:=[[0,exp(-w),0,0],[0,-w*exp(-w),0,exp(-w)],[0,0,exp(-a*w),0],[0,0,-exp(-w*b),-exp(-w*b)],[1,0,0,0]];

A[[5,9,0]][1,12]
:=[[0,0,0,exp(-x)],[exp(-x),0,0,-x*exp(-x)],[0,0,exp(-a*x),0],[0,0,0,-exp(-b*x)],[0,1,0,0]];

A[[5,9,0]][1,13]
:=[[0,0,0,exp(-y)],[exp(-y),0,0,-y*exp(-y)],[0,exp(-y*a),0,0],[0,-exp(-y*b),0,0],[0,0,1,0]];

A[[5,9,0]][1,14]
:=[[0,0,0,exp(-x)],[exp(-x),0,0,-x*exp(-x)],[0,0,exp(-a*x),0],[0,0,-exp(-b*x),-exp(-b*x)],[0,1,0,0]];

A[[5,9,0]][1,15]
:=[[0,0,1,0],[0,0,0,1],[1,0,0,0],[0,1,0,0],[a*w,b*x,y+z,z]];

A[[5,9,0]][2,10]
:=[[exp(-y),0,0],[-y*exp(-y),0,0],[-exp(-y*a),0,0],[0,0,exp(-y*b)],[0,1,0]];

A[[5,9,0]][2,12]
:=[[0,0,exp(-x)],[0,0,-x*exp(-x)],[0,exp(-a*x),0],[0,0,-exp(-b*x)],[1,0,0]];

A[[5,9,0]][2,13]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,0,exp(-a*x)],[0,0,-exp(-b*x)],[1,0,0]];

A[[5,9,0]][2,14]
:=[[0,0,exp(-y)],[0,0,-y*exp(-y)],[exp(-y*a),0,0],[-exp(-y*b),0,-exp(-y*b)],[0,1,0]];

A[[5,9,0]][2,22]
:=[[0,0,exp(-x)],[0,exp(-x),-x*exp(-x)],[0,-exp(-a*x),0],[0,0,-exp(-b*x)],[1,0,0]];

A[[5,9,0]][2,26]
:=[[0,0,exp(-y)],[exp(-y),0,-y*exp(-y)],[0,0,-exp(-y*a)],[0,0,-exp(-y*b)],[0,1,0]];

A[[5,9,0]][3,14]
:=[[0,exp(-x)],[0,-x*exp(-x)],[0,-exp(-a*x)],[0,-exp(-b*x)],[1,0]];

A[[5,9,1]][]
:=[[0,0,0,exp(-u),0],[0,0,0,-u*exp(-u),exp(-u)],[0,0,exp(-u*a),0,0],[0,exp(-u*a),0,0,0],[1,0,0,0,0]];

A[[5,9,1]][1,2]
:=[[0,0,0,exp(-w)],[0,0,0,-w*exp(-w)],[0,exp(-a*w),0,0],[0,0,exp(-a*w),0],[1,0,0,0]];

A[[5,9,1]][1,4]
:=[[0,0,exp(-w),0],[0,0,-w*exp(-w),exp(-w)],[0,0,0,-exp(-a*w)],[0,exp(-a*w),0,0],[1,0,0,0]];

A[[5,9,1]][1,5]
:=[[0,0,0,1],[0,1,0,0],[0,0,1,0],[1,0,0,0],[a*w,x,y*a,z+x]];

A[[5,9,1]][2,6]
:=[[exp(-y),0,0],[-y*exp(-y),0,0],[-exp(-y*a),0,0],[0,0,exp(-y*a)],[0,1,0]];

A[[5,9,1]][2,10]
:=[[0,exp(-x),0],[0,-x*exp(-x),exp(-x)],[0,0,-exp(-a*x)],[0,-exp(-a*x),0],[1,0,0]];

A[[5,9,2]][]
:=[[0,0,0,exp(-u),0],[0,0,0,-u*exp(-u),exp(-u)],[0,0,exp(-u),0,0],[0,exp(-u*b),0,0,0],[1,0,0,0,0]];

A[[5,9,2]][1,3]
:=[[0,0,0,exp(-w)],[0,0,0,-w*exp(-w)],[0,exp(-w),0,0],[0,0,exp(-w*b),0],[1,0,0,0]];

A[[5,9,2]][1,5]
:=[[0,0,exp(-w),0],[0,0,-w*exp(-w),exp(-w)],[0,exp(-w),0,0],[0,0,0,-exp(-w*b)],[1,0,0,0]];

A[[5,9,2]][1,7]
:=[[0,0,exp(-x),0],[exp(-x),0,-x*exp(-x),0],[0,0,0,exp(-x)],[0,0,0,-exp(-b*x)],[0,1,0,0]];

A[[5,9,2]][1,9]
:=[[0,0,0,exp(-x)],[exp(-x),0,0,-x*exp(-x)],[0,0,exp(-x),0],[0,0,0,-exp(-b*x)],[0,1,0,0]];

A[[5,9,2]][1,10]
:=[[1,0,0,0],[0,0,0,1],[0,0,1,0],[0,1,0,0],[w+z,b*x,y,z]];

A[[5,9,2]][2,15]
:=[[0,0,exp(-y)],[0,0,-y*exp(-y)],[exp(-y),0,0],[-exp(-y*b),0,0],[0,1,0]];

A[[5,9,2]][2,17]
:=[[0,0,exp(-x)],[0,0,-x*exp(-x)],[0,exp(-x),0],[0,0,-exp(-b*x)],[1,0,0]];

A[[5,9,3]][]
:=[[0,0,0,exp(-u),0],[0,0,0,-u*exp(-u),exp(-u)],[0,0,exp(-u),0,0],[0,exp(-u),0,0,0],[1,0,0,0,0]];

A[[5,9,3]][1,4]
:=[[0,0,exp(-w),0],[0,0,-w*exp(-w),exp(-w)],[0,exp(-w),0,0],[0,0,0,-exp(-w)],[1,0,0,0]];

A[[5,9,3]][1,5]
:=[[0,0,0,1],[1,0,0,0],[0,0,1,0],[0,1,0,0],[w,x,y,z+w]];

A[[5,10,0]][]
:=[[0,exp(-u),0,0,0],[0,-u*exp(-u),exp(-u),0,0],[0,0,0,exp(-u*a),0],[0,0,0,-u*exp(-u*a),exp(-u*a)],[1,0,0,0,0]];

A[[5,10,0]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[0,0,0,exp(-a*x)],[exp(-a*x),0,0,-exp(-a*x)*x],[0,1,0,0]];

A[[5,10,0]][1,4]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),-exp(-x)],[0,0,0,exp(-a*x)],[exp(-a*x),0,0,-exp(-a*x)*x],[0,1,0,0]];

A[[5,10,0]][1,6]
:=[[0,0,0,-exp(-x)],[0,0,exp(-x),x*exp(-x)],[0,0,0,exp(-a*x)],[exp(-a*x),0,0,-exp(-a*x)*x],[0,1,0,0]];

A[[5,10,0]][1,7]
:=[[0,0,exp(-w),0],[0,exp(-w),-w*exp(-w),0],[0,0,0,exp(-a*w)],[0,0,0,-w*exp(-a*w)],[1,0,0,0]];

A[[5,10,0]][1,8]
:=[[0,exp(-w),0,0],[0,-w*exp(-w),0,-exp(-w)],[0,0,exp(-a*w),0],[0,0,-w*exp(-a*w),exp(-a*w)],[1,0,0,0]];

A[[5,10,0]][1,9]
:=[[0,0,exp(-w),0],[0,exp(-w),-w*exp(-w),0],[0,0,0,exp(-a*w)],[0,0,0,-w*exp(-a*w)],[1,0,0,0]];

A[[5,10,0]][1,10]
:=[[0,0,0,-exp(-w)],[0,exp(-w),0,w*exp(-w)],[0,0,exp(-a*w),0],[0,0,-w*exp(-a*w),exp(-a*w)],[1,0,0,0]];

A[[5,10,0]][1,11]
:=[[1,0,0,0],[0,1,0,0],[0,0,0,1],[0,0,1,0],[w+x,x,y*a,y+z*a]];

A[[5,10,0]][2,8]
:=[[-exp(-z),0,0],[exp(-z)*z,0,0],[exp(-z*a),0,0],[-z*exp(-z*a),exp(-z*a),0],[0,0,1]];

A[[5,10,0]][2,9]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,0,exp(-a*x)],[0,0,-exp(-a*x)*x],[1,0,0]];

A[[5,10,0]][2,10]
:=[[0,0,-exp(-x)],[0,0,x*exp(-x)],[0,exp(-a*x),0],[0,-exp(-a*x)*x,exp(-a*x)],[1,0,0]];

A[[5,10,0]][2,13]
:=[[0,-exp(-x),0],[0,x*exp(-x),-exp(-x)],[0,0,exp(-a*x)],[0,p[1]*exp(-a*x),-exp(-a*x)*x],[1,0,0]];

A[[5,10,0]][2,15]
:=[[0,0,-exp(-x)],[0,exp(-x),x*exp(-x)],[0,0,exp(-a*x)],[0,0,-exp(-a*x)*x],[1,0,0]];

A[[5,10,0]][2,16]
:=[[0,0,-exp(-x)],[0,-exp(-x),x*exp(-x)],[0,0,p[1]*exp(-a*x)],[0,exp(-a*x),-p[1]*x*exp(-a*x)],[1,0,0]];

A[[5,10,0]][3,10]
:=[[0,-exp(-x)],[0,x*exp(-x)],[0,exp(-a*x)],[0,-exp(-a*x)*x],[1,0]];

A[[5,10,1]][]
:=[[0,exp(-u),0,0,0],[0,-u*exp(-u),exp(-u),0,0],[0,0,0,exp(-u),0],[0,0,0,-u*exp(-u),exp(-u)],[1,0,0,0,0]];

A[[5,10,1]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[0,0,0,exp(-x)],[exp(-x),0,0,-x*exp(-x)],[0,1,0,0]];

A[[5,10,1]][1,3]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),-exp(-x)],[0,0,0,exp(-x)],[exp(-x),0,0,-x*exp(-x)],[0,1,0,0]];

A[[5,10,1]][1,4]
:=[[1,0,0,0],[0,0,1,0],[0,1,0,0],[0,0,0,1],[y+w,z+x,y,z]];

A[[5,10,1]][2,6]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,0,exp(-x)],[0,0,-x*exp(-x)],[1,0,0]];

A[[5,10,1]][2,7]
:=[[0,exp(-x),0],[0,-x*exp(-x),-exp(-x)],[0,0,exp(-x)],[0,0,-x*exp(-x)],[1,0,0]];

A[[5,10,2]][]
:=[[0,exp(-u),0,0,0],[0,-u*exp(-u),exp(-u),0,0],[0,0,0,1,0],[0,0,0,-u,1],[1,0,0,0,0]];

A[[5,10,2]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[0,0,0,1],[1,0,0,-x],[0,1,0,0]];

A[[5,10,2]][1,4]
:=[[0,0,0,exp(-y)],[0,-exp(-y),0,-y*exp(-y)],[0,1,0,0],[1,-y,0,0],[0,0,1,0]];

A[[5,10,2]][1,6]
:=[[0,-exp(-y),0,0],[0,y*exp(-y),0,exp(-y)],[0,1,0,0],[1,-y,0,0],[0,0,1,0]];

A[[5,10,2]][1,7]
:=[[0,0,exp(-w),0],[0,exp(-w),-w*exp(-w),0],[0,0,0,1],[0,0,0,-w],[1,0,0,0]];

A[[5,10,2]][1,8]
:=[[0,0,exp(-x),0],[-exp(-x),0,-x*exp(-x),0],[0,0,0,1],[1,0,0,-x],[0,1,0,0]];

A[[5,10,2]][1,9]
:=[[0,0,exp(-w),0],[0,exp(-w),-w*exp(-w),0],[0,0,0,1],[0,0,0,-w],[1,0,0,0]];

A[[5,10,2]][1,10]
:=[[0,0,0,-exp(-w)],[0,exp(-w),0,w*exp(-w)],[0,0,1,0],[0,0,-w,1],[1,0,0,0]];

A[[5,10,2]][1,11]
:=[[0,1,0,0],[0,0,0,1],[0,0,1,0],[1,0,0,0],[0,z+x,w,z]];

A[[5,10,2]][2,8]
:=[[0,0,-exp(-y)],[0,0,y*exp(-y)],[0,0,1],[1,0,-y],[0,1,0]];

A[[5,10,2]][2,9]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,0,1],[0,0,-x],[1,0,0]];

A[[5,10,2]][2,10]
:=[[0,0,-exp(-x)],[0,0,x*exp(-x)],[0,1,0],[0,-x,1],[1,0,0]];

A[[5,10,2]][2,13]
:=[[0,0,-exp(-x)],[0,-exp(-x),x*exp(-x)],[0,1,0],[0,-x,p[1]],[1,0,0]];

A[[5,10,2]][2,15]
:=[[0,0,-exp(-x)],[0,exp(-x),x*exp(-x)],[0,0,1],[0,0,-x],[1,0,0]];

A[[5,10,2]][2,16]
:=[[-exp(-z),0,0],[exp(-z)*z,-exp(-z),0],[p[1],0,0],[-z*p[1],1,0],[0,0,1]];

A[[5,10,2]][3,10]
:=[[0,-exp(-x)],[0,x*exp(-x)],[0,1],[0,-x],[1,0]];

A[[5,11,0]][]
:=[[0,0,1,0,0],[0,0,-u,1,0],[0,0,1/2*u^2,-u,1],[0,exp(-u),0,0,0],[1,0,0,0,0]];

A[[5,11,0]][1,2]
:=[[0,0,1,0],[0,0,-x,0],[1,0,1/2*x^2,0],[0,0,0,exp(-x)],[0,1,0,0]];

A[[5,11,0]][1,3]
:=[[0,1,0,0],[0,-w,0,1],[0,1/2*w^2,0,-w],[0,0,exp(-w),0],[1,0,0,0]];

A[[5,11,0]][1,5]
:=[[0,1,0,0],[0,-w,1,0],[0,1/2*w^2,-w,1],[0,0,0,-exp(-w)],[1,0,0,0]];

A[[5,11,0]][1,7]
:=[[0,0,0,1],[1,0,0,-y],[-y,1,0,1/2*y^2],[-exp(-y),0,0,0],[0,0,1,0]];

A[[5,11,0]][1,9]
:=[[0,1,0,0],[0,-y,0,1],[1,1/2*y^2,0,-y],[0,-exp(-y),0,0],[0,0,1,0]];

A[[5,11,0]][1,10]
:=[[0,0,0,2],[0,0,1,0],[1,0,0,0],[0,1,0,0],[0,x,w,2*y]];

A[[5,11,0]][2,8]
:=[[0,1,0],[0,-x,0],[0,1/2*x^2,0],[0,0,exp(-x)],[1,0,0]];

A[[5,11,0]][2,10]
:=[[0,1,0],[0,-x,0],[0,1/2*x^2,1],[0,0,-exp(-x)],[1,0,0]];

A[[5,11,0]][2,12]
:=[[0,1,0],[0,-z,0],[1,1/2*z^2,0],[0,-exp(-z),0],[0,0,1]];

A[[5,11,0]][2,14]
:=[[1,0,0],[-y,0,1],[1/2*y^2,0,-y],[-exp(-y),0,0],[0,1,0]];

A[[5,11,0]][2,15]
:=[[0,1,0],[0,-x,1],[0,1/2*x^2,-x],[0,-p[1]*exp(-x),-exp(-x)],[1,0,0]];

A[[5,11,0]][3,9]
:=[[0,1],[0,-x],[0,1/2*x^2],[0,-exp(-x)],[1,0]];

A[[5,12,0]][]
:=[[0,0,exp(-u),0,0],[0,0,-u*exp(-u),exp(-u),0],[0,0,1/2*u^2*exp(-u),-u*exp(-u),exp(-u)],[0,exp(-u*a),0,0,0],[1,0,0,0,0]];

A[[5,12,0]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[exp(-x),0,1/2*x^2*exp(-x),0],[0,0,0,exp(-a*x)],[0,1,0,0]];

A[[5,12,0]][1,3]
:=[[0,exp(-w),0,0],[0,-w*exp(-w),0,exp(-w)],[0,1/2*w^2*exp(-w),0,-w*exp(-w)],[0,0,exp(-a*w),0],[1,0,0,0]];

A[[5,12,0]][1,5]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),exp(-x)],[exp(-x),0,1/2*x^2*exp(-x),-x*exp(-x)],[-exp(-a*x),0,0,0],[0,1,0,0]];

A[[5,12,0]][1,7]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),exp(-x)],[exp(-x),0,1/2*x^2*exp(-x),-x*exp(-x)],[0,0,0,-exp(-a*x)],[0,1,0,0]];

A[[5,12,0]][1,9]
:=[[0,exp(-y),0,0],[0,-y*exp(-y),0,exp(-y)],[exp(-y),1/2*y^2*exp(-y),0,-y*exp(-y)],[0,-exp(-y*a),0,0],[0,0,1,0]];

A[[5,12,0]][1,10]
:=[[0,0,0,2],[0,0,1,0],[0,1,0,0],[1,0,0,0],[a*w,x,y+x,z+2*y]];

A[[5,12,0]][2,8]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,1/2*x^2*exp(-x),0],[0,0,exp(-a*x)],[1,0,0]];

A[[5,12,0]][2,10]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,1/2*x^2*exp(-x),exp(-x)],[0,0,-exp(-a*x)],[1,0,0]];

A[[5,12,0]][2,12]
:=[[0,0,exp(-y)],[0,0,-y*exp(-y)],[exp(-y),0,1/2*y^2*exp(-y)],[0,0,-exp(-y*a)],[0,1,0]];

A[[5,12,0]][2,14]
:=[[0,0,exp(-x)],[0,exp(-x),-x*exp(-x)],[0,-x*exp(-x),1/2*x^2*exp(-x)],[0,0,-exp(-a*x)],[1,0,0]];

A[[5,12,0]][2,15]
:=[[0,exp(-x),0],[0,-x*exp(-x),exp(-x)],[0,1/2*x^2*exp(-x),-x*exp(-x)],[0,-p[1]*exp(-a*x),-exp(-a*x)],[1,0,0]];

A[[5,12,0]][3,9]
:=[[0,exp(-x)],[0,-x*exp(-x)],[0,1/2*x^2*exp(-x)],[0,-exp(-a*x)],[1,0]];

A[[5,12,1]][]
:=[[0,0,exp(-u),0,0],[0,0,-u*exp(-u),exp(-u),0],[0,0,1/2*u^2*exp(-u),-u*exp(-u),exp(-u)],[0,exp(-u),0,0,0],[1,0,0,0,0]];

A[[5,12,1]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[exp(-x),0,1/2*x^2*exp(-x),0],[0,0,0,exp(-x)],[0,1,0,0]];

A[[5,12,1]][1,4]
:=[[0,0,0,exp(-y)],[0,exp(-y),0,-y*exp(-y)],[exp(-y),-y*exp(-y),0,1/2*y^2*exp(-y)],[0,-exp(-y),0,0],[0,0,1,0]];

A[[5,12,1]][1,5]
:=[[0,exp(-w),0,0],[0,-w*exp(-w),0,exp(-w)],[0,1/2*w^2*exp(-w),0,-w*exp(-w)],[0,0,exp(-w),0],[1,0,0,0]];

A[[5,12,1]][1,6]
:=[[0,0,0,2],[0,1,0,0],[0,0,1,0],[1,0,0,0],[w,y+x,y,z+2*x]];

A[[5,12,1]][2,7]
:=[[0,exp(-x),0],[0,-x*exp(-x),0],[0,1/2*x^2*exp(-x),0],[0,0,exp(-x)],[1,0,0]];

A[[5,12,1]][2,9]
:=[[0,exp(-x),0],[0,-x*exp(-x),exp(-x)],[0,1/2*x^2*exp(-x),-x*exp(-x)],[0,0,-exp(-x)],[1,0,0]];

A[[5,13,0]][]
:=[[0,exp(-u),0,0,0],[0,-u*exp(-u),exp(-u),0,0],[0,1/2*u^2*exp(-u),-u*exp(-u),exp(-u),0],[0,-1/6*u^3*exp(-u),1/2*u^2*exp(-u),-u*exp(-u),exp(-u)],[1,0,0,0,0]];

A[[5,13,0]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[0,0,1/2*x^2*exp(-x),exp(-x)],[exp(-x),0,-1/6*x^3*exp(-x),-x*exp(-x)],[0,1,0,0]];

A[[5,13,0]][1,3]
:=[[0,0,0,exp(-x)],[0,0,exp(-x),-x*exp(-x)],[0,0,-x*exp(-x),1/2*x^2*exp(-x)],[exp(-x),0,1/2*x^2*exp(-x),-1/6*x^3*exp(-x)],[0,1,0,0]];

A[[5,13,0]][1,4]
:=[[0,0,exp(-w),0],[0,exp(-w),-w*exp(-w),0],[0,-w*exp(-w),1/2*w^2*exp(-w),exp(-w)],[0,1/2*w^2*exp(-w),-1/6*w^3*exp(-w),-w*exp(-w)],[1,0,0,0]];

A[[5,13,0]][1,5]
:=[[6,0,0,0],[0,0,0,2],[0,0,1,0],[0,1,0,0],[w+3*z,x,y+x,z+2*y]];

A[[5,13,0]][2,5]
:=[[0,0,exp(-y)],[0,0,-y*exp(-y)],[0,0,1/2*y^2*exp(-y)],[exp(-y),0,-1/6*y^3*exp(-y)],[0,1,0]];

A[[5,13,0]][2,6]
:=[[0,0,-exp(-x)],[0,0,x*exp(-x)+p[1]*exp(-x)],[0,exp(-x),-1/2*x^2*exp(-x)-p[1]*x*exp(-x)],[0,-x*exp(-x),1/6*x^3*exp(-x)+1/2*p[1]*x^2*exp(-x)],[1,0,0]];

A[[5,13,0]][2,7]
:=[[0,0,-exp(-x)],[0,exp(-x),x*exp(-x)],[0,-x*exp(-x),-1/2*x^2*exp(-x)+p[1]*exp(-x)],[0,1/2*x^2*exp(-x),1/6*x^3*exp(-x)-p[1]*x*exp(-x)],[1,0,0]];

A[[5,13,0]][3,5]
:=[[0,exp(-x)],[0,-x*exp(-x)],[0,1/2*x^2*exp(-x)],[0,-1/6*x^3*exp(-x)],[1,0]];

A[[5,14,0]][]
:=[[0,exp(-u),0,0,0],[0,0,exp(-u*a),0,0],[0,0,0,exp(-u*b)*cos(u*c),exp(-u*b)*sin(u*c)],[0,0,0,-exp(-u*b)*sin(u*c),exp(-u*b)*cos(u*c)],[1,0,0,0,0]];

A[[5,14,0]][1,3]
:=[[0,0,0,-exp(-x)],[0,0,0,exp(-a*x)],[sin(c*x)*exp(-b*x),0,cos(c*x)*exp(-b*x),0],[cos(c*x)*exp(-b*x),0,-sin(c*x)*exp(-b*x),0],[0,1,0,0]];

A[[5,14,0]][1,4]
:=[[0,0,0,exp(-x)],[0,0,exp(-a*x),0],[sin(c*x)*exp(-b*x),0,0,0],[cos(c*x)*exp(-b*x),0,0,0],[0,1,0,0]];

A[[5,14,0]][1,5]
:=[[0,-exp(-y),0,0],[0,0,0,exp(-y*a)],[exp(-y*b)*sin(y*c),exp(-y*b)*cos(y*c),0,0],[exp(-y*b)*cos(y*c),-exp(-y*b)*sin(y*c),0,0],[0,0,1,0]];

A[[5,14,0]][1,6]
:=[[0,0,exp(-x),0],[0,0,0,-exp(-a*x)],[sin(c*x)*exp(-b*x),0,0,cos(c*x)*exp(-b*x)],[cos(c*x)*exp(-b*x),0,0,-sin(c*x)*exp(-b*x)],[0,1,0,0]];

A[[5,14,0]][1,7]
:=[[-exp(-z),0,-exp(-z),0],[0,0,exp(-z*a),0],[exp(-z*b)*cos(z*c),exp(-z*b)*sin(z*c),0,0],[-exp(-z*b)*sin(z*c),exp(-z*b)*cos(z*c),0,0],[0,0,0,1]];

A[[5,14,0]][1,8]
:=[[0,0,0,1],[0,0,1,0],[0,1,0,0],[1,0,0,0],[w*b-c*x,w*c+b*x,y*a,z]];

A[[5,14,0]][2,6]
:=[[0,0,-exp(-y)],[0,0,exp(-y*a)],[exp(-y*b)*sin(y*c),0,0],[exp(-y*b)*cos(y*c),0,0],[0,1,0]];

A[[5,14,0]][2,8]
:=[[0,-exp(-z),0],[0,exp(-z*a),0],[exp(-z*b)*sin(z*c),exp(-z*b)*cos(z*c),0],[exp(-z*b)*cos(z*c),-exp(-z*b)*sin(z*c),0],[0,0,1]];

A[[5,14,0]][2,11]
:=[[0,0,-exp(-x)],[0,exp(-a*x),0],[0,0,cos(c*x)*exp(-b*x)],[0,0,-sin(c*x)*exp(-b*x)],[1,0,0]];

A[[5,14,0]][2,12]
:=[[0,exp(-x),0],[0,0,-exp(-a*x)],[0,0,cos(c*x)*exp(-b*x)],[0,0,-sin(c*x)*exp(-b*x)],[1,0,0]];

A[[5,14,0]][2,13]
:=[[0,-exp(-x),-exp(-x)],[0,exp(-a*x),0],[0,0,cos(c*x)*exp(-b*x)],[0,0,-sin(c*x)*exp(-b*x)],[1,0,0]];

A[[5,14,0]][2,14]
:=[[0,-exp(-z),0],[-exp(-z*a),0,0],[cos(z*c)*p[1]*exp(-z*b),exp(-z*b)*sin(z*c),0],[-sin(z*c)*p[1]*exp(-z*b),exp(-z*b)*cos(z*c),0],[0,0,1]];

A[[5,14,0]][3,7]
:=[[0,-exp(-x)],[0,p[1]*exp(-a*x)],[0,cos(c*x)*exp(-b*x)],[0,-sin(c*x)*exp(-b*x)],[1,0]];

A[[5,14,1]][]
:=[[0,exp(-u),0,0,0],[0,0,exp(-u),0,0],[0,0,0,exp(-u*b)*cos(u*c),exp(-u*b)*sin(u*c)],[0,0,0,-exp(-u*b)*sin(u*c),exp(-u*b)*cos(u*c)],[1,0,0,0,0]];

A[[5,14,1]][1,2]
:=[[0,0,0,exp(-x)],[0,0,exp(-x),0],[sin(c*x)*exp(-b*x),0,0,0],[cos(c*x)*exp(-b*x),0,0,0],[0,1,0,0]];

A[[5,14,1]][1,3]
:=[[0,0,0,exp(-y)],[-exp(-y),0,0,0],[exp(-y*b)*cos(y*c),exp(-y*b)*sin(y*c),0,0],[-exp(-y*b)*sin(y*c),exp(-y*b)*cos(y*c),0,0],[0,0,1,0]];

A[[5,14,1]][1,4]
:=[[0,0,0,1],[0,1,0,0],[0,0,1,0],[1,0,0,0],[w*b-y*c,x,w*c+y*b,z]];

A[[5,14,1]][2,6]
:=[[0,0,-exp(-x)],[0,exp(-x),0],[0,0,cos(c*x)*exp(-b*x)],[0,0,-sin(c*x)*exp(-b*x)],[1,0,0]];

A[[5,15,0]][]
:=[[1,0,0,0,0],[-v,0,1,0,0],[0,0,0,exp(-v*a)*cos(v),exp(-v*a)*sin(v)],[0,0,0,-exp(-v*a)*sin(v),exp(-v*a)*cos(v)],[0,1,0,0,0]];

A[[5,15,0]][1,2]
:=[[0,1,0,0],[0,-y,0,0],[sin(y)*exp(-y*a),0,0,cos(y)*exp(-y*a)],[cos(y)*exp(-y*a),0,0,-sin(y)*exp(-y*a)],[0,0,1,0]];

A[[5,15,0]][1,3]
:=[[0,1,0,0],[0,-z,1,0],[exp(-z*a)*sin(z),0,0,0],[exp(-z*a)*cos(z),0,0,0],[0,0,0,1]];

A[[5,15,0]][1,4]
:=[[0,0,1,0],[0,-1,-z,0],[exp(-z*a)*sin(z),exp(-z*a)*cos(z),0,0],[exp(-z*a)*cos(z),-exp(-z*a)*sin(z),0,0],[0,0,0,1]];

A[[5,15,0]][1,5]
:=[[0,1,0,0],[1,0,0,0],[0,0,1,0],[0,0,0,1],[0,w,z+y*a,z*a-y]];

A[[5,15,0]][2,5]
:=[[0,1,0],[0,-z,0],[exp(-z*a)*sin(z),0,0],[exp(-z*a)*cos(z),0,0],[0,0,1]];

A[[5,15,0]][2,6]
:=[[0,0,-1],[0,0,y],[sin(y)*exp(-y*a),0,cos(y)*exp(-y*a)],[cos(y)*exp(-y*a),0,-sin(y)*exp(-y*a)],[0,1,0]];

A[[5,15,0]][2,8]
:=[[0,0,-1],[1,0,y],[0,0,cos(y)*exp(-y*a)],[0,0,-sin(y)*exp(-y*a)],[0,1,0]];

A[[5,15,0]][2,9]
:=[[0,-1,-1],[0,x+p[1],x],[0,0,p[1]*exp(-a*x)*cos(x)],[0,0,-p[1]*exp(-a*x)*sin(x)],[1,0,0]];

A[[5,15,0]][2,10]
:=[[p[1],-1,0],[-z*p[1]-p[2],z,0],[exp(-z*a)*sin(z)*p[2],exp(-z*a)*cos(z)*p[2],0],[exp(-z*a)*cos(z)*p[2],-exp(-z*a)*sin(z)*p[2],0],[0,0,1]];

A[[5,15,0]][3,6]
:=[[0,-1],[0,x],[0,exp(-a*x)*cos(x)],[0,-exp(-a*x)*sin(x)],[1,0]];

A[[5,16,0]][]
:=[[0,exp(-u),0,0,0],[0,-u*exp(-u),exp(-u),0,0],[0,0,0,exp(-u*a)*cos(u*b),exp(-u*a)*sin(u*b)],[0,0,0,-exp(-u*a)*sin(u*b),exp(-u*a)*cos(u*b)],[1,0,0,0,0]];

A[[5,16,0]][1,2]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),0],[exp(-a*x)*sin(b*x),0,0,exp(-a*x)*cos(b*x)],[exp(-a*x)*cos(b*x),0,0,-exp(-a*x)*sin(b*x)],[0,1,0,0]];

A[[5,16,0]][1,3]
:=[[0,0,0,exp(-x)],[0,0,exp(-x),-x*exp(-x)],[exp(-a*x)*sin(b*x),0,0,0],[exp(-a*x)*cos(b*x),0,0,0],[0,1,0,0]];

A[[5,16,0]][1,4]
:=[[0,0,exp(-x),0],[0,0,-x*exp(-x),-exp(-x)],[exp(-a*x)*sin(b*x),0,0,exp(-a*x)*cos(b*x)],[exp(-a*x)*cos(b*x),0,0,-exp(-a*x)*sin(b*x)],[0,1,0,0]];

A[[5,16,0]][1,5]
:=[[0,0,1,0],[0,1,0,0],[1,0,0,0],[0,0,0,1],[z*b+a*w,x,y+x,z*a-w*b]];

A[[5,16,0]][2,5]
:=[[0,0,exp(-y)],[0,0,-y*exp(-y)],[exp(-y*a)*sin(y*b),0,0],[exp(-y*a)*cos(y*b),0,0],[0,1,0]];

A[[5,16,0]][2,6]
:=[[0,0,-exp(-y)],[0,0,y*exp(-y)],[exp(-y*a)*sin(y*b),0,exp(-y*a)*cos(y*b)],[exp(-y*a)*cos(y*b),0,-exp(-y*a)*sin(y*b)],[0,1,0]];

A[[5,16,0]][2,8]
:=[[0,0,-exp(-x)],[0,exp(-x),x*exp(-x)],[0,0,exp(-a*x)*cos(b*x)],[0,0,-exp(-a*x)*sin(b*x)],[1,0,0]];

A[[5,16,0]][2,9]
:=[[0,-exp(-x),-exp(-x)],[0,x*exp(-x)+p[1]*exp(-x),x*exp(-x)],[0,0,exp(-a*x)*cos(b*x)*p[1]],[0,0,-exp(-a*x)*sin(b*x)*p[1]],[1,0,0]];

A[[5,16,0]][2,10]
:=[[-exp(-y),0,p[1]*exp(-y)],[y*exp(-y),0,-p[1]*y*exp(-y)-exp(-y)*p[2]],[exp(-y*a)*cos(y*b)*p[2],0,exp(-y*a)*sin(y*b)*p[2]],[-exp(-y*a)*sin(y*b)*p[2],0,exp(-y*a)*cos(y*b)*p[2]],[0,1,0]];

A[[5,16,0]][3,6]
:=[[0,-exp(-x)],[0,x*exp(-x)],[0,exp(-a*x)*cos(b*x)],[0,-exp(-a*x)*sin(b*x)],[1,0]];

A[[5,17,0]][]
:=[[0,exp(-u*a)*cos(u),exp(-u*a)*sin(u),0,0],[0,-exp(-u*a)*sin(u),exp(-u*a)*cos(u),0,0],[0,0,0,exp(-u*b)*cos(u*c),exp(-u*b)*sin(u*c)],[0,0,0,-exp(-u*b)*sin(u*c),exp(-u*b)*cos(u*c)],[1,0,0,0,0]];

A[[5,17,0]][1,1]
:=[[0,0,exp(-a*x)*sin(x),exp(-a*x)*cos(x)],[0,0,exp(-a*x)*cos(x),-exp(-a*x)*sin(x)],[sin(c*x)*exp(-b*x),0,0,0],[cos(c*x)*exp(-b*x),0,0,0],[0,1,0,0]];

A[[5,17,0]][1,2]
:=[[0,0,exp(-a*x)*sin(x),0],[0,0,exp(-a*x)*cos(x),0],[sin(c*x)*exp(-b*x),0,0,cos(c*x)*exp(-b*x)],[cos(c*x)*exp(-b*x),0,0,-sin(c*x)*exp(-b*x)],[0,1,0,0]];

A[[5,17,0]][1,3]
:=[[0,0,exp(-a*x)*sin(x),-exp(-a*x)*cos(x)],[0,0,exp(-a*x)*cos(x),exp(-a*x)*sin(x)],[sin(c*x)*exp(-b*x),0,0,cos(c*x)*exp(-b*x)],[cos(c*x)*exp(-b*x),0,0,-sin(c*x)*exp(-b*x)],[0,1,0,0]];

A[[5,17,0]][1,4]
:=[[0,0,1,0],[0,0,0,1],[1,0,0,0],[0,1,0,0],[w*b+c*x,b*x-w*c,z+y*a,z*a-y]];

A[[5,17,0]][2,2]
:=[[0,0,sin(y)*exp(-y*a)],[0,0,cos(y)*exp(-y*a)],[exp(-y*b)*sin(y*c),0,0],[exp(-y*b)*cos(y*c),0,0],[0,1,0]];

A[[5,17,0]][2,3]
:=[[0,exp(-a*x)*sin(x),exp(-a*x)*cos(x)],[0,exp(-a*x)*cos(x),-exp(-a*x)*sin(x)],[0,0,sin(c*x)*exp(-b*x)],[0,0,cos(c*x)*exp(-b*x)],[1,0,0]];

A[[5,17,0]][2,5]
:=[[0,0,exp(-a*x)*cos(x)],[0,0,-exp(-a*x)*sin(x)],[0,cos(c*x)*exp(-b*x),sin(c*x)*exp(-b*x)],[0,-sin(c*x)*exp(-b*x),cos(c*x)*exp(-b*x)],[1,0,0]];

A[[5,17,0]][2,6]
:=[[0,exp(-a*x)*cos(x)*p[2],-p[1]*exp(-a*x)*cos(x)+exp(-a*x)*sin(x)],[0,-exp(-a*x)*sin(x)*p[2],p[1]*exp(-a*x)*sin(x)+exp(-a*x)*cos(x)],[0,sin(c*x)*exp(-b*x),cos(c*x)*exp(-b*x)],[0,cos(c*x)*exp(-b*x),-sin(c*x)*exp(-b*x)],[1,0,0]];

A[[5,17,0]][3,4]
:=[[0,exp(-a*x)*cos(x)],[0,-exp(-a*x)*sin(x)],[0,sin(c*x)*exp(-b*x)],[0,cos(c*x)*exp(-b*x)],[1,0]];

A[[5,17,1]][]
:=[[0,exp(-u*a)*cos(u),exp(-u*a)*sin(u),0,0],[0,-exp(-u*a)*sin(u),exp(-u*a)*cos(u),0,0],[0,0,0,exp(-u*a)*cos(u),exp(-u*a)*sin(u)],[0,0,0,-exp(-u*a)*sin(u),exp(-u*a)*cos(u)],[1,0,0,0,0]];

A[[5,17,1]][1,1]
:=[[0,0,exp(-a*x)*sin(x),0],[0,0,exp(-a*x)*cos(x),0],[exp(-a*x)*sin(x),0,0,exp(-a*x)*cos(x)],[exp(-a*x)*cos(x),0,0,-exp(-a*x)*sin(x)],[0,1,0,0]];

A[[5,17,1]][1,2]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[0,0,0,1],[z+a*w,a*x+y,y*a-x,z*a-w]];

A[[5,17,1]][2,2]
:=[[0,0,sin(y)*exp(-y*a)],[0,0,cos(y)*exp(-y*a)],[sin(y)*exp(-y*a),0,0],[cos(y)*exp(-y*a),0,0],[0,1,0]];

A[[5,17,1]][2,3]
:=[[0,exp(-a*x)*sin(x),0],[0,exp(-a*x)*cos(x),0],[0,0,-exp(-a*x)*cos(x)+p[1]*exp(-a*x)*sin(x)],[0,0,exp(-a*x)*sin(x)+p[1]*exp(-a*x)*cos(x)],[1,0,0]];

A[[5,17,1]][2,4]
:=[[-cos(y)*exp(-y*a),0,sin(y)*exp(-y*a)],[sin(y)*exp(-y*a),0,cos(y)*exp(-y*a)],[cos(y)*exp(-y*a),0,0],[-sin(y)*exp(-y*a),0,0],[0,1,0]];

A[[5,17,1]][2,5]
:=[[0,-exp(-a*x)*cos(x),exp(-a*x)*cos(x)+p[1]*exp(-a*x)*sin(x)],[0,exp(-a*x)*sin(x),p[1]*exp(-a*x)*cos(x)-exp(-a*x)*sin(x)],[0,p[1]*exp(-a*x)*cos(x),0],[0,-p[1]*exp(-a*x)*sin(x),0],[1,0,0]];

A[[5,18,0]][]
:=[[0,exp(-u*a)*cos(u),exp(-u*a)*sin(u),0,0],[0,-exp(-u*a)*sin(u),exp(-u*a)*cos(u),0,0],[0,-u*exp(-u*a)*cos(u),-u*exp(-u*a)*sin(u),exp(-u*a)*cos(u),exp(-u*a)*sin(u)],[0,u*exp(-u*a)*sin(u),-u*exp(-u*a)*cos(u),-exp(-u*a)*sin(u),exp(-u*a)*cos(u)],[1,0,0,0,0]];

A[[5,18,0]][1,1]
:=[[0,0,exp(-a*x)*sin(x),0],[0,0,exp(-a*x)*cos(x),0],[exp(-a*x)*sin(x),0,-x*exp(-a*x)*sin(x),exp(-a*x)*cos(x)],[exp(-a*x)*cos(x),0,-x*exp(-a*x)*cos(x),-exp(-a*x)*sin(x)],[0,1,0,0]];

A[[5,18,0]][1,2]
:=[[0,0,exp(-a*x)*sin(x),exp(-a*x)*cos(x)],[0,0,exp(-a*x)*cos(x),-exp(-a*x)*sin(x)],[exp(-a*x)*sin(x),0,-x*exp(-a*x)*sin(x),-x*exp(-a*x)*cos(x)],[exp(-a*x)*cos(x),0,-x*exp(-a*x)*cos(x),x*exp(-a*x)*sin(x)],[0,1,0,0]];

A[[5,18,0]][1,3]
:=[[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1],[y+x+a*w,-w+z+a*x,z+y*a,z*a-y]];

A[[5,18,0]][2,2]
:=[[0,0,sin(y)*exp(-y*a)],[0,0,cos(y)*exp(-y*a)],[sin(y)*exp(-y*a),0,-y*exp(-y*a)*sin(y)],[cos(y)*exp(-y*a),0,-y*exp(-y*a)*cos(y)],[0,1,0]];

A[[5,18,0]][2,3]
:=[[0,exp(-a*x)*sin(x),0],[0,exp(-a*x)*cos(x),0],[0,-x*exp(-a*x)*sin(x),-exp(-a*x)*cos(x)+p[1]*exp(-a*x)*sin(x)],[0,-x*exp(-a*x)*cos(x),exp(-a*x)*sin(x)+p[1]*exp(-a*x)*cos(x)],[1,0,0]];

A[[5,18,0]][2,4]
:=[[0,0,exp(-a*x)*cos(x)+exp(-a*x)*sin(x)*p[2]],[0,0,-exp(-a*x)*sin(x)+exp(-a*x)*cos(x)*p[2]],[0,-exp(-a*x)*cos(x)+p[1]*exp(-a*x)*sin(x),-x*exp(-a*x)*cos(x)-x*exp(-a*x)*sin(x)*p[2]],[0,exp(-a*x)*sin(x)+p[1]*exp(-a*x)*cos(x),x*exp(-a*x)*sin(x)-x*exp(-a*x)*cos(x)*p[2]],[1,0,0]];

A[[5,18,0]][2,5]
:=[[0,-exp(-a*x)*cos(x),p[1]*exp(-a*x)*cos(x)+exp(-a*x)*sin(x)*p[2]],[0,exp(-a*x)*sin(x),-p[1]*exp(-a*x)*sin(x)+exp(-a*x)*cos(x)*p[2]],[0,x*exp(-a*x)*cos(x)+exp(-a*x)*cos(x)*p[2],-x*exp(-a*x)*cos(x)*p[1]-x*exp(-a*x)*sin(x)*p[2]],[0,-x*exp(-a*x)*sin(x)-exp(-a*x)*sin(x)*p[2],x*exp(-a*x)*sin(x)*p[1]-x*exp(-a*x)*cos(x)*p[2]],[1,0,0]];

A[[5,18,0]][3,3]
:=[[0,exp(-a*x)*sin(x)],[0,exp(-a*x)*cos(x)],[0,-x*exp(-a*x)*sin(x)],[0,-x*exp(-a*x)*cos(x)],[1,0]];

A[[5,19,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y*b)],[u*a+u,v,a*x,1,0]];

A[[5,19,0]][1,2]
:=[[0,1,0,0],[0,-y,0,0],[0,0,1,0],[exp(-z*b),0,0,0],[0,a*x+x,y*a,1]];

A[[5,19,0]][1,3]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[exp(-z*b),0,0,0],[0,a*x+x,y,1]];

A[[5,19,0]][1,4]
:=[[0,0,0,2],[0,0,-exp(x*(a-1)),-2*y],[0,0,1,0],[exp(-b*x),0,0,0],[0,1,y*a,z*a+z]];

A[[5,19,0]][1,6]
:=[[0,0,1,0],[0,0,-w,-1],[1,0,0,0],[0,0,0,exp(-x*(b-1))],[a*w,1,y*a+y,z]];

A[[5,19,0]][1,7]
:=[[1,0,0,0],[0,1,0,0],[x,0,0,-exp(-y*a)],[0,0,0,exp(-y*b)],[w+a*w,x,1,0]];

A[[5,19,0]][1,8]
:=[[2,0,0,0],[-2*x,-exp(y*(a-1)),0,-1],[0,1,0,0],[0,0,0,exp(-y*(b-1))],[w+a*w,a*x,1,z]];

A[[5,19,0]][1,10]
:=[[0,1,0,0],[0,-w,0,-1],[1,0,0,0],[0,0,0,exp(-y*(b-1))],[a*w,a*x+x,1,z]];

A[[5,19,0]][1,12]
:=[[0,0,0,-exp(-y*(a+1))],[0,1,0,0],[1,0,0,-exp(-y*(a+1))*x],[0,0,0,exp(-y*b)],[a*w,x,1,0]];

A[[5,19,0]][1,13]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[w+a*w,a*x,y,z*b]];

A[[5,19,0]][2,11]
:=[[0,0,-exp(-y*(a+1))],[0,0,exp(-y*(a+1))*x],[1,0,0],[0,0,exp(-y*b)],[a*x,1,0]];

A[[5,19,0]][2,12]
:=[[1,0,0],[-y,0,0],[0,1,0],[0,0,1],[a*x+x,y*a,z*b]];

A[[5,19,0]][2,17]
:=[[0,0,-exp(-y*(a+1))],[1,0,0],[0,0,-exp(-y*(a+1))*x],[0,0,exp(-y*b)],[x,1,0]];

A[[5,19,0]][2,18]
:=[[-2*exp(-z*(a+1)),0,0],[2*exp(-z*(a+1))*y,-exp(z*(a-1)),0],[0,1,0],[2*exp(-z*b),0,0],[0,y*a,1]];

A[[5,19,0]][2,19]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[a*x+x,y,z*b]];

A[[5,19,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y*(a+1))],[u*a+u,v,a*x,1,0]];

A[[5,19,1]][1,2]
:=[[0,1,0,0],[0,-y,0,0],[0,0,1,0],[exp(-z*(a+1)),0,0,0],[0,a*x+x,y*a,1]];

A[[5,19,1]][1,3]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[exp(-z*(a+1)),0,0,0],[0,a*x+x,y,1]];

A[[5,19,1]][1,4]
:=[[0,0,0,2],[0,-exp(y*(a-1)),0,-2*x],[0,1,0,0],[exp(-y*(a+1)),0,0,0],[0,a*x,1,z*a+z]];

A[[5,19,1]][1,6]
:=[[0,0,1,0],[0,0,-w,-1],[1,0,0,0],[0,0,0,exp(-a*x)],[a*w,1,y*a+y,z]];

A[[5,19,1]][1,7]
:=[[0,1,0,0],[0,0,1,0],[-exp(-z*a),y,0,0],[exp(-z*(a+1)),0,0,0],[0,a*x+x,y,1]];

A[[5,19,1]][1,8]
:=[[0,0,0,2],[0,-exp(w*(a-1)),-1,-2*x],[0,1,0,0],[0,0,exp(-a*w),0],[1,a*x,y,z*a+z]];

A[[5,19,1]][1,9]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[w+a*w,a*x,y,z*a+z]];

A[[5,19,1]][2,10]
:=[[0,1,0],[0,-x,0],[1,0,0],[0,0,1],[a*x,y*a+y,z*a+z]];

A[[5,19,1]][2,13]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[a*x+x,y,z*a+z]];

A[[5,19,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y*a)],[u*a+u,v,a*x,1,0]];

A[[5,19,2]][1,2]
:=[[0,0,0,1],[0,0,0,-x],[0,1,0,0],[exp(-y*a),0,0,0],[0,a*x,1,z*a+z]];

A[[5,19,2]][1,4]
:=[[1,0,0,0],[-x,0,0,-1],[0,1,0,0],[0,0,0,exp(-y*(a-1))],[w+a*w,a*x,1,z]];

A[[5,19,2]][1,6]
:=[[0,0,0,-exp(-y*(a+1))],[0,1,0,0],[1,0,0,-exp(-y*(a+1))*x],[0,0,0,exp(-y*a)],[a*w,x,1,0]];

A[[5,19,2]][1,7]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[exp(-z*a),0,0,0],[0,a*x+x,y,1]];

A[[5,19,2]][1,8]
:=[[0,0,0,2],[0,0,-exp(x*(a-1)),-2*y],[0,0,1,0],[exp(-a*x),0,0,0],[0,1,y*a,z*a+z]];

A[[5,19,2]][1,9]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[w+a*w,a*x,y,z*a]];

A[[5,19,2]][2,8]
:=[[0,0,-exp(-y*(a+1))],[0,0,exp(-y*(a+1))*x],[1,0,0],[0,0,exp(-y*a)],[a*x,1,0]];

A[[5,19,2]][2,9]
:=[[0,0,1],[0,0,-x],[1,0,0],[0,1,0],[a*x,y*a,z*a+z]];

A[[5,19,2]][2,12]
:=[[0,0,-exp(-y*(a+1))],[1,0,0],[0,0,-exp(-y*(a+1))*x],[0,0,exp(-y*a)],[x,1,0]];

A[[5,19,2]][2,14]
:=[[-2*exp(-y*(a+1)),0,0],[2*exp(-y*(a+1))*z,0,-exp(y*(a-1))],[0,0,1],[2*exp(-y*a),0,0],[0,1,z*a]];

A[[5,19,2]][2,16]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[a*x+x,y,z*a]];

A[[5,19,4]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y*b)],[2*u,v,x,1,0]];

A[[5,19,4]][1,2]
:=[[0,0,0,1],[0,0,0,-x],[0,1,0,0],[exp(-y*b),0,0,0],[0,x,1,2*z]];

A[[5,19,4]][1,4]
:=[[1,0,0,0],[0,1,0,0],[x,0,0,-1],[0,0,0,exp(-y*(b-1))],[2*w,x,1,z]];

A[[5,19,4]][1,5]
:=[[0,1,0,0],[0,0,0,1],[0,z,1,0],[1,0,0,0],[w*b,2*x,y,z]];

A[[5,19,4]][2,6]
:=[[0,0,-exp(-2*y)],[0,0,exp(-2*y)*x],[1,0,0],[0,0,exp(-y*b)],[x,1,0]];

A[[5,19,4]][2,7]
:=[[0,0,1],[0,0,-y],[0,1,0],[1,0,0],[b*x,y,2*z]];

A[[5,19,5]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-2*y)],[2*u,v,x,1,0]];

A[[5,19,5]][1,2]
:=[[0,0,0,1],[0,0,0,-x],[0,1,0,0],[exp(-2*y),0,0,0],[0,x,1,2*z]];

A[[5,19,5]][1,4]
:=[[1,0,0,0],[0,1,0,0],[x,0,0,-1],[0,0,0,exp(-y)],[2*w,x,1,z]];

A[[5,19,5]][1,5]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[2*w,x,y,2*z]];

A[[5,19,5]][2,6]
:=[[0,0,1],[0,0,-x],[1,0,0],[0,1,0],[x,2*y,2*z]];

A[[5,19,6]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y)],[2*u,v,x,1,0]];

A[[5,19,6]][1,2]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[exp(-z),0,0,0],[0,2*x,y,1]];

A[[5,19,6]][1,3]
:=[[0,-1,0,0],[0,0,1,0],[0,-y+exp(z),0,0],[exp(-z),0,0,0],[0,2*x,y,1]];

A[[5,19,6]][1,5]
:=[[0,1,0,0],[0,0,0,1],[0,z,1,0],[1,0,0,0],[w,2*x,y,z]];

A[[5,19,6]][2,6]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[2*x,y,z]];

A[[5,20,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[u*a+u+y,v,a*x,y*a+y,1]];

A[[5,20,0]][1,2]
:=[[0,1,0,0],[0,-y,0,0],[0,0,1,0],[0,0,0,1],[1,z+a*x+x,y*a,z*a+z]];

A[[5,20,0]][1,3]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[0,0,0,1],[1,z+a*x+x,y,z*a+z]];

A[[5,20,0]][1,4]
:=[[0,2,0,0],[0,-2*z,0,-exp(w*(a-1))],[0,0,0,1],[0,0,1,0],[1,a*x+2*y+x,y*a+y,z*a]];

A[[5,20,0]][1,5]
:=[[0,0,0,1],[0,0,1,0],[0,1,0,y],[0,0,0,-w],[1,a*x,y,z*a+z]];

A[[5,20,0]][1,6]
:=[[0,0,0,1],[0,0,-exp(a*w),-w*exp(a*w)-x],[0,1,0,0],[0,0,1,0],[1,a*x,y*a+y,z*a+y+z]];

A[[5,20,0]][1,7]
:=[[0,0,0,1],[0,1,0,0],[0,0,-exp(w),x-w*exp(w)],[0,0,1,0],[1,x,y*a+y,z*a+y+z]];

A[[5,20,0]][1,8]
:=[[0,2,0,0],[0,-2*exp(a*w)*w-2*y,-exp(w*(a-1)),-exp(a*w)],[0,0,1,0],[0,0,0,1],[1,a*x+2*z+x,y*a,z*a+z]];

A[[5,20,0]][1,9]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[z+a*w+w,a*x,y,z*a+z]];

A[[5,20,0]][2,9]
:=[[0,0,1],[0,0,-y],[0,1,0],[0,0,-x],[1,y*a,z*a+z]];

A[[5,20,0]][2,10]
:=[[1,0,0],[-y,0,0],[0,1,0],[0,0,1],[z+a*x+x,y*a,z*a+z]];

A[[5,20,0]][2,11]
:=[[0,0,1],[0,1,0],[0,0,y],[0,0,-x],[1,y,z*a+z]];

A[[5,20,0]][2,12]
:=[[0,2,0],[0,-2*z,-exp(x*(a-1))],[0,0,1],[0,-2*x,0],[1,y*a+y,z*a]];

A[[5,20,0]][2,13]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[z+a*x+x,y,z*a+z]];

A[[5,20,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[2*u+y,v,x,2*y,1]];

A[[5,20,1]][1,2]
:=[[0,1,0,0],[0,-y,0,0],[0,0,1,0],[0,0,0,1],[1,z+2*x,y,2*z]];

A[[5,20,1]][1,3]
:=[[1,0,0,0],[0,0,0,1],[z,0,1,0],[-x,0,0,0],[2*w,1,y,z]];

A[[5,20,1]][1,4]
:=[[0,0,1,0],[0,0,0,1],[-exp(x),0,z-x*exp(x),0],[1,0,0,0],[2*w,1,2*y+w,z]];

A[[5,20,1]][1,5]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[z+2*w,x,y,2*z]];

A[[5,20,1]][2,5]
:=[[0,0,1],[0,0,-y],[0,1,0],[0,0,-x],[1,y,2*z]];

A[[5,20,1]][2,6]
:=[[0,0,1],[0,0,-x],[1,0,0],[0,1,0],[x,2*y,2*z+y]];

A[[5,21,0]][]
:=[[1,0,0,0,0],[0,1,0,0,-y*exp(-y)+1/2*y^2*exp(-y)],[v,0,1,0,exp(-y)-y*exp(-y)],[0,0,0,0,exp(-y)],[1/2*v^2+2*u,v,x+v,1,0]];

A[[5,21,0]][1,2]
:=[[0,2,0,0],[-y*exp(-y)+1/2*y^2*exp(-y),-2*z,0,-y],[exp(-y)-y*exp(-y),0,0,1],[exp(-y),0,0,0],[0,2*x,1,z]];

A[[5,21,0]][1,3]
:=[[0,2*p[1],0,0],[-1-y*p[1],-2*w,0,-1+1/2*y^2*p[1]-y*p[1]],[p[1],0,0,p[1]-y*p[1]],[0,0,0,p[1]],[w,2*x,1,z]];

A[[5,21,0]][1,4]
:=[[0,0,2*p[2],0],[0,-p[1]-1+1/2*p[2]*w^2-p[2]*w,-2*z,-p[1]-p[2]*w],[0,p[2]-p[2]*w,0,p[2]],[0,p[2],0,0],[1,x,2*y,z]];

A[[5,21,0]][1,5]
:=[[2,0,0,0],[-2*z,-1+1/2*y^2*p[1]-y*p[1],0,-y],[0,p[1]-y*p[1],0,1],[0,p[1],0,0],[2*w,x,1,z]];

A[[5,21,0]][1,7]
:=[[0,0,0,-exp(-2*y)],[0,1,0,-y*exp(-y)+1/2*y^2*exp(-y)],[1,0,0,-exp(-2*y)*x+exp(-y)-y*exp(-y)],[0,0,0,exp(-y)],[w+x,x,1,-1/2*exp(-2*y)*x^2]];

A[[5,21,0]][1,8]
:=[[0,1,0,0],[0,0,0,1],[2,z,1,0],[2,0,0,0],[w+2*z+2*y,1/2*z^2+2*x,y+z,z]];

A[[5,21,0]][2,7]
:=[[0,-2*exp(-2*z),0],[-z,2*exp(-2*z)*x+z^2*exp(-z)-2*exp(-z)*z,0],[1,2*exp(-z)-2*exp(-z)*z,0],[0,2*exp(-z),0],[x,0,1]];

A[[5,21,0]][2,9]
:=[[0,0,-1],[1,0,1/2*y^2*p[1]*exp(y)-p[1]*exp(y)*y],[0,0,-x-p[1]*exp(y)*y],[0,0,p[1]*exp(y)],[x,1,-1/2*x^2-p[1]*exp(y)*x+2*z]];

A[[5,21,0]][2,10]
:=[[0,0,-2],[0,-1-x,-2*p[1]*exp(x)+2*y+x^2*p[1]*exp(x)-2*x*p[1]*exp(x)],[0,1,2*p[1]*exp(x)-2*x*p[1]*exp(x)],[0,0,2*p[1]*exp(x)],[1,y,2*z]];

A[[5,22,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,0,0,1],[0,0,1,0,0],[1/2*v^2,0,x,1,v]];

A[[5,22,0]][1,3]
:=[[0,0,0,-exp(y)],[0,1,0,0],[1,0,0,-x*exp(y)],[0,0,0,1],[x,0,1,-1/2*x^2*exp(y)+z]];

A[[5,22,0]][1,4]
:=[[1,0,0,0],[0,0,1,0],[y,0,0,0],[0,1,0,0],[1/2*y^2,x,0,1]];

A[[5,22,0]][1,5]
:=[[0,1,0,0],[0,0,1,0],[exp(z),y,0,0],[-1,0,0,0],[w+y*exp(z),1/2*y^2,0,1]];

A[[5,22,0]][1,6]
:=[[0,0,2,0],[0,0,-2*z,-x],[0,0,0,1],[1,0,0,0],[w,1,0,0]];

A[[5,22,0]][1,7]
:=[[0,0,0,2],[0,-w,-exp(w),-2*x],[0,1,0,0],[0,0,1,0],[1,0,y,0]];

A[[5,22,0]][1,8]
:=[[0,1,0,0],[0,0,0,1],[1,z,0,0],[0,0,1,0],[z,1/2*z^2,y,0]];

A[[5,22,0]][1,9]
:=[[6,0,0,0],[-3*y,0,-2*z,-1],[0,0,2,0],[0,1,0,0],[0,x,0,1]];

A[[5,22,0]][2,9]
:=[[-exp(z),0,0],[0,1,0],[-y*exp(z),0,0],[1,0,0],[-1/2*exp(z)*y^2+x,0,1]];

A[[5,22,0]][2,11]
:=[[-2*exp(y),0,0],[2*z*exp(y),0,-y],[0,0,1],[2,0,0],[x,1,0]];

A[[5,22,0]][2,14]
:=[[1,0,0],[0,0,1],[z,0,0],[0,1,0],[1/2*z^2,y,0]];

A[[5,23,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[1/2*v^2+2*u,v,x+v,y*a,1]];

A[[5,23,0]][1,3]
:=[[0,0,0,-exp(w*(a-2))],[0,0,1,0],[0,1,0,-y*exp(w*(a-2))],[0,0,0,1],[1,y+x,y,-1/2*exp(w*(a-2))*y^2+z*a]];

A[[5,23,0]][1,4]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[0,0,0,1],[1,1/2*y^2+2*x,y,z*a]];

A[[5,23,0]][1,5]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,-exp(w*(a-1))],[0,0,0,1],[1,1/2*y^2+2*x,y,-exp(w*(a-1))*y+z*a]];

A[[5,23,0]][1,6]
:=[[0,2,0,0],[0,-2*z,0,-w],[0,0,0,1],[0,0,1,0],[1,2*x,y*a,z]];

A[[5,23,0]][1,7]
:=[[0,2,0,0],[0,-2*z,-exp(w*(a-1)),-w],[0,0,0,1],[0,0,1,0],[1,2*x,y*a,z]];

A[[5,23,0]][1,8]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[1/2*y^2+2*w,y+x,y,z*a]];

A[[5,23,0]][2,8]
:=[[0,0,-exp(x*(a-2))],[0,1,0],[0,0,-y*exp(x*(a-2))],[0,0,1],[1,y,-1/2*exp(x*(a-2))*y^2+z*a]];

A[[5,23,0]][2,10]
:=[[0,-2*exp(x*(a-2)),0],[0,2*exp(x*(a-2))*z,-x],[0,0,1],[0,2,0],[1,y*a,z]];

A[[5,23,0]][2,12]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[1/2*y^2+2*x,y,z*a]];

A[[5,23,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[1/2*v^2+2*u,v,x+v,2*y,1]];

A[[5,23,1]][1,2]
:=[[0,0,0,2],[0,0,-w,-2*y],[0,0,1,0],[0,1,0,0],[1,2*x,y,2*z]];

A[[5,23,1]][1,3]
:=[[0,0,2*p[1],0],[0,-1-w*p[1],-2*x,0],[0,p[1],0,0],[0,0,0,1],[1,x,2*y,2*z]];

A[[5,23,1]][1,5]
:=[[0,0,0,2],[0,-exp(w),-w,-2*y],[0,0,1,0],[0,1,0,0],[1,2*x,y,2*z]];

A[[5,23,1]][1,6]
:=[[0,2*p[1],0,0],[0,-2*y,-1-w*p[1],-exp(w)],[0,0,p[1],0],[0,0,0,p[1]],[1,2*x,y,2*z]];

A[[5,23,1]][1,7]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[1/2*y^2+2*w,y+x,y,2*z]];

A[[5,23,1]][2,9]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[1/2*y^2+2*x,y,2*z]];

A[[5,23,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[1/2*v^2+2*u,v,x+v,y,1]];

A[[5,23,2]][1,2]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,0],[0,0,0,1],[1,1/2*y^2+2*x,y,z]];

A[[5,23,2]][1,3]
:=[[0,0,0,-1],[0,1,0,0],[0,0,0,-x+exp(w)],[0,0,1,0],[1,x,y,-1/2*x^2+exp(w)*x+2*z]];

A[[5,23,2]][1,5]
:=[[0,2,0,0],[0,-2*z,-p[1],-w],[0,0,0,1],[0,0,1,0],[1,2*x,y,z]];

A[[5,23,2]][1,6]
:=[[0,2,0,0],[0,-2*z,0,-w],[0,0,0,1],[0,0,1,0],[1,2*x,y,z]];

A[[5,23,2]][1,7]
:=[[0,2,0,0],[0,-2*z,0,-1-w],[0,0,0,1],[0,0,1,0],[1,2*x,y,z]];

A[[5,23,2]][1,8]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[1/2*y^2+2*w,y+x,y,z]];

A[[5,23,2]][2,9]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[1/2*y^2+2*x,y,z]];

A[[5,24,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[1/2*v^2+2*u+epsilon*y,v,x+v,2*y,1]];

A[[5,24,0]][1,2]
:=[[0,0,2,0],[0,0,-2*z,-w],[0,0,0,1],[0,1,0,0],[1,2*x,2*y+2*x*epsilon,z]];

A[[5,24,0]][1,3]
:=[[0,0,2*p[1],0],[0,-1-w*p[1],-2*x,0],[0,p[1],0,0],[0,0,0,1],[1,x,2*y+2*p[1]*epsilon*z,2*z]];

A[[5,24,0]][1,4]
:=[[0,0,0,1],[0,0,1,0],[0,1,0,y],[0,0,0,-w*epsilon],[1,y+x,y,1/2*y^2+2*z]];

A[[5,24,0]][1,5]
:=[[0,2,0,0],[0,-2*w*epsilon*exp(w)-2*y,-w,-exp(w)],[0,0,1,0],[0,0,0,1],[1,2*x+2*epsilon*z,y,2*z]];

A[[5,24,0]][1,6]
:=[[0,0,2*p[1],0],[0,-exp(w),-2*w*epsilon*exp(w)-2*z,-1-w*p[1]],[0,0,0,p[1]],[0,p[1],0,0],[1,2*x,2*y+2*x*epsilon,z]];

A[[5,24,0]][1,7]
:=[[1,0,0,0],[0,0,1,0],[y,1,0,0],[0,0,0,1],[1/2*y^2+2*w+epsilon*z,y+x,y,2*z]];

A[[5,24,0]][2,7]
:=[[0,2,0],[0,-2*z,-x],[0,0,1],[0,-2*x*epsilon,0],[1,2*y,z]];

A[[5,24,0]][2,8]
:=[[0,2*p[1],0],[0,-2*z,-1-p[1]*x],[0,0,p[1]],[0,-2*p[1]*epsilon*x,0],[1,2*y,z]];

A[[5,24,0]][2,9]
:=[[1,0,0],[0,1,0],[y,0,0],[0,0,1],[1/2*y^2+epsilon*z+2*x,y,2*z]];


A[[5,25,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y*b)],[1/2*v^2-1/2*x^2+2*u*a,v*a-x,a*x+v,1,0]];

A[[5,25,0]][1,3]
:=[[0,0,0,(cos(2*w)+1)/cos(w)],[0,0,-sin(w),-2*y],[0,0,cos(w),0],[0,exp(-w*b),0,0],[1,0,y*a,(2*z*a*cos(w)+y^2-z*sin(w))/cos(w)]];

A[[5,25,0]][1,4]
:=[[0,0,0,(cos(2*w)+1)/cos(w)],[0,-sin(w),-exp(-a*w),-2*x],[0,cos(w),0,0],[0,0,1/2*exp(-w*b)*(cos(2*w)+1)/cos(w),0],[1,a*x,(-y*sin(w)+exp(-a*w)*x)/cos(w),(2*z*a*cos(w)+x^2-z*sin(w))/cos(w)]];

A[[5,25,0]][1,5]
:=[[0,1,0,0],[0,0,0,1],[1,z,0,0],[0,0,1,0],[a*w+z,1/2*z^2+2*a*x-1/2*w^2,y*b,z*a-w]];

A[[5,25,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-2*y*a)],[1/2*v^2-1/2*x^2+2*u*a,v*a-x,a*x+v,1,0]];

A[[5,25,1]][1,2]
:=[[0,0,0,(cos(2*w)+1)/cos(w)],[0,0,-sin(w),-2*y],[0,0,cos(w),0],[0,exp(-2*a*w),0,0],[1,0,y*a,(2*z*a*cos(w)+y^2-z*sin(w))/cos(w)]];

A[[5,25,1]][1,4]
:=[[0,0,0,(cos(2*w)+1)/cos(w)],[0,-exp(-a*w),-sin(w),-2*y],[0,0,cos(w),0],[0,1/2*exp(-2*a*w)*(cos(2*w)+1)/cos(w),0,0],[1,-(-exp(-a*w)*y+x*sin(w))/cos(w),y*a,-(-2*z*a*cos(w)-y^2+z*sin(w))/cos(w)]];

A[[5,25,1]][1,5]
:=[[0,1,0,0],[0,0,1,0],[1,y,0,0],[0,0,0,1],[a*w+y,1/2*y^2+2*a*x-1/2*w^2,y*a-w,2*z*a]];

A[[5,25,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,0,exp(-y*b)],[1/2*v^2-1/2*x^2,-x,v,1,0]];

A[[5,25,2]][1,3]
:=[[0,0,0,(cos(2*w)+1)/cos(w)],[0,0,-sin(w),-2*y],[0,0,cos(w),0],[0,exp(-w*b),0,0],[1,0,0,(y^2-z*sin(w))/cos(w)]];

A[[5,25,2]][1,4]
:=[[0,0,(cos(2*x)+1)/cos(x),0],[-1,0,-2*z,-sin(x)],[0,0,0,cos(x)],[1/2*exp(-b*x)*(cos(2*x)+1)/cos(x),0,0,0],[-(-z+w*sin(x))/cos(x),1,-(-z^2+y*sin(x))/cos(x),0]];

A[[5,25,2]][1,5]
:=[[0,1,0,0],[0,0,1,0],[1,y,0,0],[0,0,0,1],[y,1/2*y^2-1/2*w^2,-w,z*b]];

A[[5,26,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[2*u*a+epsilon*y-1/2*x^2+1/2*v^2,v*a-x,a*x+v,2*y*a,1]];

A[[5,26,0]][1,2]
:=[[0,0,0,(cos(2*x)+1)/cos(x)],[0,0,-sin(x),-2*y],[0,0,cos(x),0],[1,0,0,0],[2*a*w,1,y*a,(y^2+2*z*a*cos(x)+w*epsilon*cos(2*x)+w*epsilon-z*sin(x))/cos(x)]];

A[[5,26,0]][1,3]
:=[[0,0,0,1],[0,0,1,0],[0,1,0,y],[0,0,0,-w*epsilon],[1,a*x+y,y*a-x,-1/2*x^2+1/2*y^2+2*z*a]];

A[[5,26,0]][1,4]
:=[[0,0,0,(1+cos(2*w))/cos(w)],[0,-sin(w),-exp(a*w),-2*w*epsilon*exp(a*w)-2*x],[0,cos(w),0,0],[0,0,1/2*(1+cos(2*w))/cos(w),0],[1,a*x,(exp(a*w)*x+2*y*a*cos(w)-y*sin(w))/cos(w),(x^2+2*z*a*cos(w)+2*epsilon*y*cos(w)+2*x*w*epsilon*exp(a*w)-z*sin(w))/cos(w)]];

A[[5,26,0]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,z,0],[1,0,0,0],[2*a*w,z+a*x,-1/2*x^2+1/2*z^2+2*y*a+w*epsilon,-x+z*a]];

A[[5,26,0]][2,5]
:=[[0,0,(cos(2*x)+1)/cos(x)],[0,-sin(x),-2*y],[0,cos(x),0],[0,0,-x*epsilon*(cos(2*x)+1)/cos(x)],[1,y*a,(2*z*a*cos(x)+y^2-z*sin(x))/cos(x)]];

A[[5,26,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[epsilon*y-1/2*x^2+1/2*v^2,-x,v,0,1]];

A[[5,26,2]][1,2]
:=[[0,0,0,(cos(2*x)+1)/cos(x)],[0,0,-sin(x),-2*y],[0,0,cos(x),0],[1,0,0,0],[0,1,0,(y^2+w*epsilon*cos(2*x)+w*epsilon-z*sin(x))/cos(x)]];

A[[5,26,2]][1,3]
:=[[0,0,0,1],[0,0,1,0],[0,1,0,y],[0,0,0,-w*epsilon],[1,y,-x,1/2*y^2-1/2*x^2]];

A[[5,26,2]][1,4]
:=[[0,0,0,(cos(2*w)+1)/cos(w)],[0,-sin(w),-1,-2*w*epsilon-2*x],[0,cos(w),0,0],[0,0,1/2*(cos(2*w)+1)/cos(w),0],[1,0,-(-x+y*sin(w))/cos(w),-(-2*epsilon*y*cos(w)-2*x*w*epsilon+z*sin(w)-x^2)/cos(w)]];

A[[5,26,2]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,z,0],[1,0,0,0],[0,z,-1/2*x^2+1/2*z^2+w*epsilon,-x]];

A[[5,26,2]][2,5]
:=[[0,(cos(2*z)+1)/cos(z),0],[-sin(z),-2*x,0],[cos(z),0,0],[0,-epsilon*z*(cos(2*z)+1)/cos(z),0],[0,-(-x^2+sin(z)*y)/cos(z),1]];

A[[5,27,0]][]
:=[[1,0,0,0,0],[-v,0,0,0,exp(-y)],[0,1,0,0,0],[0,0,1,0,0],[u+x,v,x+v,1,y*exp(-y)-z]];

A[[5,27,0]][1,2]
:=[[0,0,1,0],[0,0,-z,0],[0,0,0,1],[0,1,0,0],[1,z+x,y+x,z]];

A[[5,27,0]][1,3]
:=[[0,0,1,0],[0,exp(-w),0,0],[0,0,-w^2+x*exp(w),-w],[0,0,0,1],[1,w*exp(-w)-x,y+z,z]];

A[[5,27,0]][1,4]
:=[[2,0,0,0],[0,0,exp(-x),0],[2*(-x^2*exp(-x)+y)/exp(-x),0,-exp(-2*x),-x],[0,0,0,1],[w+2*z,1,x*exp(-x)-y,z]];

A[[5,27,0]][1,5]
:=[[0,0,p[1],0],[0,exp(-w),0,0],[0,0,-w-p[1]*w^2+x*exp(w)*p[1],-1-w*p[1]],[0,0,0,p[1]],[1,w*exp(-w)-x,y+z,z]];

A[[5,27,0]][1,6]
:=[[0,0,0,2*p[1]],[0,0,p[1]*exp(-x),0],[-1-p[1]*x,0,-exp(-2*x),-2*(x*exp(-x)+p[1]*x^2*exp(-x)-y)/exp(-x)],[p[1],0,0,0],[w,1,p[1]*x*exp(-x)-y,z+2*w]];

A[[5,27,0]][1,7]
:=[[0,1,0,0],[0,-y,0,2],[0,0,1,0],[1,0,0,0],[y+w,w+x,y,0]];

A[[5,27,0]][2,7]
:=[[0,0,1],[0,0,-y],[0,1,0],[0,0,-x],[1,y,z-y*x]];

A[[5,27,0]][2,8]
:=[[0,1,0],[0,-z,0],[0,0,1],[1,0,0],[z+x,y+x,z]];

A[[5,27,0]][2,9]
:=[[0,0,1],[0,exp(-x),0],[0,0,y*exp(x)],[0,0,-x],[1,x*exp(-x)-y,z]];

A[[5,27,0]][2,10]
:=[[2,0,0],[0,0,exp(-y)],[2*z*exp(y),0,-exp(-2*y)],[-2*y,0,0],[x,1,y*exp(-y)-z]];

A[[5,28,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[u*a+u,v*a,x,y+x,1]];

A[[5,28,0]][1,2]
:=[[1,0,0,0],[-z,0,0,0],[0,0,0,1],[0,1,0,0],[w+a*w,z+x,1,z]];

A[[5,28,0]][1,3]
:=[[0,0,1,0],[0,0,0,1],[-x,0,z,0],[1,0,0,0],[w,1,y*a+y,z*a]];

A[[5,28,0]][1,4]
:=[[0,0,2,0],[0,-exp(-(a-1)*w),-2*x,-w*exp(-(a-1)*w)],[0,1,0,0],[0,0,0,1],[1,x,y*a+y,z+x]];

A[[5,28,0]][1,5]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,-1-w*p[1]],[0,0,0,p[1]],[1,a*x+x,y*a,z]];

A[[5,28,0]][1,6]
:=[[0,0,0,2],[0,-exp(-(a-1)*w)-exp(-(a-1)*w)*p[1]*w,-p[1]*exp(-(a-1)*w),-2*y],[0,0,1,0],[0,1,0,0],[1,y+x,y,z*a+z]];

A[[5,28,0]][1,8]
:=[[0,0,0,1],[0,0,-exp(-(a-1)*w),-x],[0,1,0,0],[0,0,1,0],[1,x,y+x,z*a+z]];

A[[5,28,0]][1,10]
:=[[-exp(-a*x),0,0,0],[0,0,0,1],[-z*exp(-a*x),0,1,0],[1,0,0,0],[y+w,1,y,z*a]];

A[[5,28,0]][1,11]
:=[[0,0,1,0],[0,0,0,1],[0,1,z,0],[1,0,0,0],[w+x,x,y*a+y,z*a]];

A[[5,28,0]][2,9]
:=[[0,0,-exp(-a*x)],[0,0,exp(-a*x)*y],[0,1,0],[0,0,1],[1,y,y+z]];

A[[5,28,0]][2,10]
:=[[0,0,1],[0,0,-y],[0,1,0],[1,0,0],[y+x,y,z*a+z]];

A[[5,28,0]][2,15]
:=[[0,0,-exp(-a*x)],[0,1,0],[0,0,-y*exp(-a*x)-x],[0,0,1],[1,y*a,z]];

A[[5,28,0]][2,16]
:=[[0,0,-2*exp(-y*a)],[-exp(-y*(a-1)),0,2*exp(-y*a)*x-2*y*exp(-y*(a-1))],[1,0,0],[0,0,2],[x,1,z+2*x]];

A[[5,28,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[2*u,v,x,y+x,1]];

A[[5,28,1]][1,2]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,-w],[0,0,0,1],[1,2*x,y,z]];

A[[5,28,1]][1,3]
:=[[0,0,-1,-w],[0,1,0,0],[0,0,-x+exp(w),-w*x],[0,0,0,exp(w)],[1,x,2*y,2*z+y]];

A[[5,28,1]][1,5]
:=[[0,0,0,1],[0,0,0,-y],[0,0,1,0],[1,0,0,0],[y+w,1,y,2*z]];

A[[5,28,1]][1,6]
:=[[0,0,1,0],[0,0,0,1],[0,1,z,0],[1,0,0,0],[w+x,x,2*y,z]];

A[[5,28,1]][2,9]
:=[[0,0,1],[0,0,-y],[0,1,0],[1,0,0],[y+x,y,2*z]];

A[[5,29,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0],[0,0,0,1,0],[u,v,0,x,1]];

A[[5,29,0]][1,2]
:=[[1,0,0,0],[-z,0,0,0],[0,0,0,1],[0,1,0,0],[w,z,1,0]];

A[[5,29,0]][1,3]
:=[[0,0,1,0],[0,0,0,1],[-x,0,z,0],[1,0,0,0],[0,1,y,z]];

A[[5,29,0]][1,4]
:=[[0,0,2*exp(z),0],[-1,-z,-2*w,0],[exp(z),0,0,0],[0,exp(z),0,0],[w,w+x,2*y,1]];

A[[5,29,0]][1,5]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,-1-w*p[1]],[0,0,0,p[1]],[1,x,y,0]];

A[[5,29,0]][1,6]
:=[[0,0,2*exp(w),0],[0,-p[1],-2*x,-1-w*p[1]],[0,exp(w),0,0],[0,0,0,exp(w)],[1,x,2*y,z+x]];

A[[5,29,0]][1,7]
:=[[0,1,0,0],[0,0,1,0],[0,y,0,-1-w*p[1]],[0,0,0,p[1]],[1,x,y,0]];

A[[5,29,0]][1,9]
:=[[-1,0,0,0],[0,0,0,1],[-z,0,1,0],[exp(x),0,0,0],[y*exp(x)+w,1,0,z]];

A[[5,29,0]][1,10]
:=[[0,0,1,0],[0,0,0,1],[0,1,z,0],[1,0,0,0],[x,0,y,z]];

A[[5,29,0]][1,11]
:=[[1,0,0,0],[0,1,0,0],[x,0,-1,-2*y],[0,0,0,2],[w,x,1,0]];

A[[5,29,0]][2,10]
:=[[0,0,-1],[0,0,y],[0,1,0],[0,0,exp(x)],[1,0,y*exp(x)+z]];

A[[5,29,0]][2,11]
:=[[0,0,1],[0,0,-y],[0,1,0],[1,0,0],[y,0,z]];

A[[5,29,0]][2,16]
:=[[0,0,-1],[0,1,0],[0,0,-y-x*exp(x)],[0,0,exp(x)],[1,y,z]];

A[[5,29,0]][2,17]
:=[[0,-2*exp(z),0],[-1,2*x-2*exp(z)*z,0],[exp(z),0,0],[0,2*exp(2*z),0],[x,2*x*exp(z)+2*y,1]];

A[[5,30,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[u*a+2*u,v*a+v,a*x,y,1]];

A[[5,30,0]][1,2]
:=[[0,0,0,1],[0,0,0,-w],[0,0,1,0],[1,0,0,-y*w],[w,1,y*a,z*a+2*z]];

A[[5,30,0]][1,3]
:=[[0,0,-2*(exp(2*a*x)*w^2+2*exp(2*x*(a+1))*p[1])/(w^2*exp(a*x)+2*p[1]*exp(x*(a+2))),-2*w*exp(a*x)],[0,0,0,w^2*exp(a*x)+2*p[1]*exp(x*(a+2))],[0,0,(w^4*exp(2*a*x)+4*w^2*exp(2*x*(a+1))*p[1]+4*p[1]^2*exp(2*x*(a+2)))/(w^2*exp(a*x)+2*p[1]*exp(x*(a+2))),0],[1,0,2*exp(a*x)*(-z+y*w)/(w^2*exp(a*x)+2*p[1]*exp(x*(a+2))),y],[w,1,2*y*(a+1),3*z+2*z*a]];

A[[5,30,0]][1,4]
:=[[6*p[1]^2*exp(-y*(a-2)),0,0,0],[0,2*p[1],0,0],[-3*z^2*exp(-y*(a-2)),-2*z,0,-exp(-y*(a-1))],[3*x*p[1]*exp(-y*(a-2)),0,0,p[1]],[4*w,a*x+x,1,z]];

A[[5,30,0]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,0,z,x],[w,a*x,y*a+2*y,z*a+z]];

A[[5,30,0]][2,5]
:=[[-2*exp(z*a),0,0],[2*exp(z*a)*y,0,0],[-y^2*exp(z*a)+2*p[1]*exp(z*(a+2)),0,0],[0,1,0],[2*a*x+2*x,y,1]];

A[[5,30,0]][2,6]
:=[[1,0,0],[-y,0,0],[0,0,1],[-z*y,1,0],[a*x+2*x,y,z*a]];

A[[5,30,0]][2,7]
:=[[0,2,0],[0,0,1],[0,-x^2,-x],[1,2*z,0],[x,y*a+2*y,z*a+z]];

A[[5,30,0]][2,8]
:=[[0,1,0],[0,0,1],[1,0,0],[0,z,x],[a*x,y*a+2*y,z*a+z]];

A[[5,30,0]][3,6]
:=[[0,2],[0,-2*x],[0,x^2],[1,0],[x,y*a+2*y]];

A[[5,30,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[3*u,2*v,x,y,1]];

A[[5,30,1]][1,2]
:=[[1,0,0,0],[-x,0,0,0],[0,0,0,1],[-z*x,1,0,0],[3*w,x,1,z]];

A[[5,30,1]][1,3]
:=[[0,0,-2*w,-2],[0,0,w^2+2*p[1]*exp(2*x),0],[0,0,0,(w^4+4*w^2*p[1]*exp(2*x)+4*p[1]^2*exp(4*x))/(w^2+2*p[1]*exp(2*x))],[1,0,z,-2*(y-w*z)/(w^2+2*p[1]*exp(2*x))],[w,1,4*y,3*z]];

A[[5,30,1]][1,4]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,0,z,x],[1,x,3*y,2*z]];

A[[5,30,1]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,0,z,x],[w,x,3*y,2*z]];

A[[5,30,1]][2,5]
:=[[0,0,-2],[0,0,2*x],[0,0,-x^2+2*p[1]*exp(2*y)],[1,0,0],[x,1,3*z]];

A[[5,30,1]][2,6]
:=[[0,0,1],[0,0,-x],[0,1,0],[1,0,-y*x],[x,y,3*z]];

A[[5,30,1]][2,7]
:=[[0,0,2],[0,1,0],[0,-x,-x^2],[1,0,2*y],[x,2*y,3*z]];

A[[5,30,1]][2,8]
:=[[0,1,0],[0,0,1],[1,0,0],[0,z,x],[x,3*y,2*z]];

A[[5,30,1]][3,6]
:=[[0,2],[0,-2*x],[0,x^2],[1,0],[x,3*y]];

A[[5,30,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[0,-v,-2*x,y,1]];

A[[5,30,2]][1,2]
:=[[1,0,0,0],[-x,0,0,0],[0,0,0,1],[-z*x,1,0,0],[0,x,1,-2*z]];

A[[5,30,2]][1,3]
:=[[-2*exp(-2*y)*x,0,0,-2*(exp(-4*y)*x^2+2*exp(-2*y)*p[1])/(x^2*exp(-2*y)+2*p[1])],[x^2*exp(-2*y)+2*p[1],0,0,0],[0,0,0,(x^4*exp(-4*y)+4*x^2*exp(-2*y)*p[1]+4*p[1]^2)/(x^2*exp(-2*y)+2*p[1])],[z,1,0,-2*exp(-2*y)*(w-z*x)/(x^2*exp(-2*y)+2*p[1])],[-w,x,1,-2*z]];

A[[5,30,2]][1,4]
:=[[0,0,6*p[1]^2,0],[0,0,0,2*p[1]],[0,-exp(3*w),-3*x^2,-2*x],[0,p[1],3*z*p[1],0],[1,x,0,-z]];

A[[5,30,2]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,0,z,x],[w,-2*x,0,-z]];

A[[5,30,2]][2,5]
:=[[0,0,-2*exp(-2*y)],[0,0,2*exp(-2*y)*x],[0,0,-x^2*exp(-2*y)+2*p[1]],[1,0,0],[x,1,-2*z]];

A[[5,30,2]][2,6]
:=[[0,0,1],[0,0,-x],[0,1,0],[1,0,-y*x],[x,-2*y,0]];

A[[5,30,2]][2,7]
:=[[0,0,2],[0,1,0],[0,-x,-x^2],[1,0,2*y],[x,-y,0]];

A[[5,30,2]][2,8]
:=[[0,1,0],[0,0,1],[1,0,0],[0,z,x],[-2*x,0,-z]];

A[[5,30,2]][3,6]
:=[[0,2],[0,-2*x],[0,x^2],[1,0],[x,0]];

A[[5,30,3]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[2*u,v,0,y,1]];

A[[5,30,3]][1,2]
:=[[1,0,0,0],[-x,0,0,0],[0,0,0,1],[-z*x,1,0,0],[2*w,x,1,0]];

A[[5,30,3]][1,3]
:=[[0,0,-2,-2*w],[0,0,0,w^2+2*p[1]*exp(2*x)],[0,0,(w^4+4*w^2*p[1]*exp(2*x)+4*p[1]^2*exp(4*x))/(w^2+2*p[1]*exp(2*x)),0],[1,0,2*(-z+y*w)/(w^2+2*p[1]*exp(2*x)),y],[w,1,2*y,3*z]];

A[[5,30,3]][1,4]
:=[[0,6*p[1]^2,0,0],[2*p[1],0,0,0],[-2*y,-3*y^2,-exp(z),0],[0,3*w*p[1],p[1],0],[w,2*x,y,1]];

A[[5,30,3]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,0,z,x],[w,0,2*y,z]];

A[[5,30,3]][1,6]
:=[[0,2,0,0],[0,0,0,1],[-1,-y^2,0,-y],[0,2*z,1,0],[1,2*x,y,z]];

A[[5,30,3]][2,6]
:=[[0,0,-2],[0,0,2*x],[0,0,-x^2+2*p[1]*exp(2*y)],[1,0,0],[x,1,2*z]];

A[[5,30,3]][2,7]
:=[[0,0,1],[0,0,-x],[0,1,0],[1,0,-y*x],[x,0,2*z]];

A[[5,30,3]][2,8]
:=[[2,0,0],[-2*y,0,0],[y^2,0,-1],[0,1,0],[2*x,y,1]];

A[[5,30,3]][2,9]
:=[[2,0,0],[0,0,1],[-y^2,0,-y],[2*z,1,0],[2*x,y,z]];

A[[5,30,3]][2,10]
:=[[0,1,0],[0,0,1],[1,0,0],[0,z,x],[0,2*y,z]];

A[[5,30,3]][3,7]
:=[[0,2],[0,-2*x],[0,x^2],[1,0],[x,2*y]];

A[[5,31,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[1/6*y^3+3*u,1/2*y^2+2*v,y+x,y,1]];

A[[5,31,0]][1,2]
:=[[1,0,0,0],[-x,0,0,0],[0,0,0,1],[-z*x,1,0,0],[-1/3*x^3+3*w,x,1,z+x]];

A[[5,31,0]][1,3]
:=[[0,0,-2,-2*w],[0,0,0,w^2+2*p[1]*exp(2*x)],[0,0,(4*p[1]^2*exp(4*x)+w^4+4*w^2*p[1]*exp(2*x))/(w^2+2*p[1]*exp(2*x)),0],[1,0,2*(-z+y*w)/(w^2+2*p[1]*exp(2*x)),y],[w,1,1/3*(12*w*p[1]^2*exp(4*x)+2*w^5+9*y*w^2+18*y*p[1]*exp(2*x)+10*w^3*p[1]*exp(2*x))/(w^2+2*p[1]*exp(2*x)),w^2*p[1]*exp(2*x)+1/6*w^4+4*z]];

A[[5,31,0]][1,4]
:=[[0,6,0,0],[0,0,2,0],[0,0,0,1],[0,3*y,2*z,-w],[1,3*x,2*y,z]];

A[[5,31,0]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,0,z,x],[w,w+x,1/6*w^3+3*y,1/2*w^2+2*z]];

A[[5,31,0]][2,5]
:=[[-2,0,0],[2*y,0,0],[-y^2+2*exp(2*z)*p[1],0,0],[0,1,0],[2*p[1]*exp(2*z)*y-1/3*y^3+3*x,y,1]];

A[[5,31,0]][2,6]
:=[[1,0,0],[-y,0,0],[0,0,1],[-z*y,1,0],[-1/3*y^3+3*x,y,y+z]];

A[[5,31,0]][2,7]
:=[[0,0,2],[0,1,0],[0,-x,-x^2],[1,0,2*y],[x,-1/2*x^2+2*y,-2/3*x^3+3*z]];

A[[5,31,0]][3,5]
:=[[0,2],[0,-2*x],[0,x^2],[1,0],[x,1/3*x^3+3*y]];

A[[5,32,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[u+a*x,v,x,0,1]];

A[[5,32,0]][1,2]
:=[[1,0,0,0],[-x,0,0,0],[0,0,0,1],[-z*x,1,0,0],[w+z*a,0,1,z]];

A[[5,32,0]][1,3]
:=[[0,0,0,2],[0,0,1,0],[0,0,-w,-w^2-2*a*x],[1,0,0,2*y],[0,1,y,z]];

A[[5,32,0]][1,4]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,0,z,x],[1,x,a*x+y,z]];

A[[5,32,0]][1,5]
:=[[0,0,0,6*exp(2*x)],[2*exp(x),0,0,0],[-2*y,0,-1,-3*y^2-6*x*a*exp(2*x)],[0,0,exp(x),3*w*exp(x)],[2*w,1,y,3*z]];

A[[5,32,0]][1,6]
:=[[0,1,0,0],[0,0,0,1],[1,0,0,0],[0,z,-1,w],[w,x+a*w,p[1],z]];

A[[5,32,0]][2,6]
:=[[2,0,0],[-2*y,0,0],[y^2-2*z*a,0,0],[0,1,0],[x,0,1]];

A[[5,32,0]][2,7]
:=[[1,0,0],[-y,0,0],[0,0,1],[-z*y,1,0],[x+z*a,0,z]];

A[[5,32,0]][2,8]
:=[[0,1,0],[0,0,1],[1,0,0],[0,z,x],[x,a*x+y,z]];

A[[5,32,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[v,x,0,1,0],[u,v,x,0,1]];

A[[5,32,1]][1,2]
:=[[0,0,0,1],[0,0,0,-w],[0,0,1,0],[1,0,0,-y*w],[0,1,y,z]];

A[[5,32,1]][1,3]
:=[[0,0,0,2],[0,0,1,0],[0,0,-w,-w^2],[1,0,0,2*y],[0,1,y,z]];

A[[5,32,1]][1,4]
:=[[0,6*p[1]^2*exp(2*w),0,0],[0,0,2*p[1]*exp(w),0],[0,-3*z^2,-2*z,-1],[0,3*y*p[1]*exp(w),0,p[1]*exp(w)],[1,3*x,2*y,z]];

A[[5,32,1]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,0,z,x],[0,x,y,z]];

A[[5,32,1]][1,6]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[0,y,w,-1],[w,x,y,1]];

A[[5,32,1]][2,6]
:=[[0,0,2],[0,0,-2*x],[0,0,x^2],[1,0,0],[0,1,z]];

A[[5,32,1]][2,7]
:=[[0,0,1],[0,0,-x],[0,1,0],[1,0,-y*x],[0,y,z]];

A[[5,32,1]][2,8]
:=[[0,2,0],[0,0,1],[0,-x^2,-x],[1,2*z,0],[0,y,z]];

A[[5,32,1]][2,9]
:=[[0,1,0],[0,0,1],[1,0,0],[0,z,x],[x,y,z]];

A[[5,32,1]][3,7]
:=[[0,2],[0,-2*x],[0,x^2],[1,0],[0,y]];



A[[5,33,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,0,a*x,1,0],[0,v,b*x,0,1]];

A[[5,33,0]][1,3]
:=[[0,0,0,-exp(-w+x)],[0,0,0,1],[0,0,1,0],[1,0,y*a,0],[0,1,y*b,z]];

A[[5,33,0]][1,5]
:=[[-exp(y*b+a*x-x),0,0,0],[0,0,0,1],[1,0,0,0],[a*w,1,0,0],[w*b,0,1,z]];

A[[5,33,0]][1,6]
:=[[0,0,1,0],[0,0,0,-exp(b*x+a*w-x)],[0,0,0,1],[1,0,y,z*a],[0,1,0,z*b]];

A[[5,33,0]][1,7]
:=[[-exp(y*b+a*x-x),0,0,-exp(y-x)],[0,0,0,1],[1,0,0,0],[a*w,1,0,0],[w*b,0,1,z]];

A[[5,33,0]][1,8]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,a*x,y,0],[1,b*x,0,z]];

A[[5,33,0]][1,9]
:=[[0,0,0,1],[-1,0,0,0],[0,0,1,0],[exp(x),0,y*a,z],[w,1,y*b,0]];

A[[5,33,0]][1,10]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[a*w,x,0,-1],[w*b,0,y,p[1]]];

A[[5,33,0]][1,11]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,a*x,y,0],[0,b*x,0,z]];

A[[5,33,0]][1,12]
:=[[0,0,0,-1],[0,0,1,0],[0,1,0,0],[1,a*x,0,z],[0,b*x,y,exp(w)]];

A[[5,33,0]][1,13]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[a,a*x,y,0],[b,b*x,0,z]];

A[[5,33,0]][1,14]
:=[[0,0,1,0],[0,0,0,1],[0,b,0,0],[a,a*x+exp(w)*a,y,0],[b,b*x,0,z]];

A[[5,33,0]][2,12]
:=[[0,0,-exp(y*b+a*x-x)],[0,0,exp(y*b+a*x-y)],[0,0,1],[1,0,z*a],[0,1,z*b]];

A[[5,33,0]][2,15]
:=[[-exp(z),0,0],[1,0,0],[0,1,0],[0,y*a,-1],[x,y*b,1]];

A[[5,33,0]][2,32]
:=[[0,1,0],[0,0,1],[1,0,0],[a*x,y,0],[b*x,0,z]];

A[[5,34,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u*a,v,x,1,0],[u,x,0,0,1]];

A[[5,34,0]][1,2]
:=[[-exp(x-y-a*x),0,0,0],[q[1],0,0,0],[0,0,0,1],[w,1,0,z],[z*q[1],0,1,0]];

A[[5,34,0]][1,3]
:=[[-exp(x-y-a*x)*y-exp(x-y-a*x)*q[1],0,0,-exp(x-y-a*x)],[q[2],0,0,0],[0,0,0,q[2]],[w,1,0,z],[z,0,1,0]];

A[[5,34,0]][1,4]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,x,y*a,z],[1,0,y,x]];

A[[5,34,0]][1,5]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[-1,x,y*a,z],[p[1],0,y,x]];

A[[5,34,0]][1,6]
:=[[0,0,0,1],[0,1,0,0],[1,0,0,0],[w,x,a,z*a+q[1]*exp(y)*a],[0,w,1,z]];

A[[5,34,0]][1,7]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,x,y*a,z],[0,0,y,x]];

A[[5,34,0]][1,8]
:=[[0,1,0,0],[0,0,0,2*exp(w)],[0,0,-1,-2*y],[1,a*x,y,2*z],[0,x,exp(w),0]];

A[[5,34,0]][2,9]
:=[[0,1,0],[0,-q[2]*exp(z),0],[1,0,0],[x,y*a,a-1],[0,y-x*q[2]*exp(z),1]];

A[[5,34,0]][2,14]
:=[[0,1,0],[0,0,-1],[0,0,x+p[1]],[0,y*a,z],[1,y,0]];

A[[5,34,0]][2,15]
:=[[0,1,0],[0,0,1],[1,0,0],[x,y*a,z],[0,y,x]];

A[[5,34,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,v,x,1,0],[u,x,0,0,1]];

A[[5,34,1]][1,2]
:=[[0,0,0,-1],[0,0,0,p[1]*exp(x)],[0,0,1,0],[1,0,y,z],[0,1,0,y*p[1]*exp(x)+z]];

A[[5,34,1]][1,3]
:=[[0,0,-x-p[1],-1],[0,0,p[2]*exp(x),0],[0,0,0,p[2]*exp(x)],[1,0,y,z],[0,1,y+z,z]];

A[[5,34,1]][1,4]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,x,y,z],[1,0,y,x]];

A[[5,34,1]][1,5]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[w,x,y,-1],[0,x,w,p[1]]];

A[[5,34,1]][1,6]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,x,y,z],[1,0,y,x]];

A[[5,34,1]][1,7]
:=[[0,0,0,1],[0,0,1,0],[0,1,0,0],[1,x,y,z+exp(w)],[1,0,x,z]];

A[[5,34,1]][1,8]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,x,y,z],[0,0,y,x]];

A[[5,34,1]][1,9]
:=[[0,0,1,0],[2*exp(x),0,0,0],[-2*z,0,0,-1],[2*w,1,y,z],[0,0,y,exp(x)]];

A[[5,34,1]][2,8]
:=[[0,0,1],[0,0,-p[1]*exp(x)],[0,1,0],[0,y,z],[1,0,z-y*p[1]*exp(x)]];

A[[5,34,1]][2,14]
:=[[0,-x-p[1],-1],[0,p[2]*exp(x),0],[0,0,p[2]*exp(x)],[0,y,z],[1,y+z,z]];

A[[5,34,1]][2,15]
:=[[0,1,0],[0,0,1],[1,0,0],[x,y,z],[0,y,x]];

A[[5,34,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[0,v,x,1,0],[u,x,0,0,1]];

A[[5,34,2]][1,3]
:=[[0,0,0,-exp(w-x)],[0,0,0,1],[0,0,1,0],[1,0,y,z],[0,1,0,y]];

A[[5,34,2]][1,4]
:=[[0,0,0,1],[-1,0,0,0],[y+p[1],0,0,0],[w,1,0,0],[0,0,1,z]];

A[[5,34,2]][1,5]
:=[[0,0,-exp(w-x)*x-exp(w-x)*p[1],-exp(w-x)],[0,0,1,0],[0,0,0,1],[1,0,y,z],[0,1,z,0]];

A[[5,34,2]][1,6]
:=[[0,0,0,-1],[0,0,1,0],[0,1,0,0],[0,x,y,p[1]*exp(w)],[1,0,x,z]];

A[[5,34,2]][1,7]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[w,0,y,-1],[0,x,w,p[1]]];

A[[5,34,2]][1,8]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[1,x,0,z],[0,0,y,x]];

A[[5,34,2]][1,9]
:=[[0,1,0,0],[0,0,0,2*exp(w)],[0,0,-1,-2*y],[1,0,y,2*z],[0,x,exp(w),0]];

A[[5,34,2]][2,8]
:=[[0,0,-exp(x-y)],[0,0,1],[0,0,-y],[1,0,z],[0,1,0]];

A[[5,34,2]][2,14]
:=[[0,0,-exp(-y)],[0,0,1],[1,0,0],[x,-1,z],[0,1,x]];

A[[5,34,2]][2,17]
:=[[0,1,0],[0,0,-1],[0,0,x+p[1]],[0,0,z],[1,y,0]];

A[[5,34,2]][2,18]
:=[[0,0,-1],[-1,0,0],[y+p[2],0,0],[x,0,p[1]*exp(y)],[0,1,z]];

A[[5,34,2]][2,19]
:=[[0,1,0],[0,0,1],[1,0,0],[x,0,z],[0,y,x]];



A[[5,35,0]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u*b,v,x,1,0],[u*a,x,-v,0,1]];

A[[5,35,0]][1,2]
:=[[0,0,sin(x)*exp(w-a*x-w*b),-cos(x)*exp(w-a*x-w*b)],[0,0,0,q[1]],[0,0,q[1],0],[1,0,y,z],[0,1,-z,y]];

A[[5,35,0]][1,3]
:=[[0,0,-cos(x)*exp(w-a*x-w*b)+exp(w-a*x-w*b)*q[1]*sin(x),-sin(x)*exp(w-a*x-w*b)-exp(w-a*x-w*b)*cos(x)*q[1]],[0,0,0,q[2]],[0,0,q[2],0],[1,0,y,z],[0,1,-z,y]];

A[[5,35,0]][1,4]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,x,y*b,z],[1,-z,y*a,x]];

A[[5,35,0]][1,5]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[w,b*x,y,-1],[-y,a*x,w,p[1]]];

A[[5,35,0]][1,6]
:=[[0,0,0,a],[0,1,0,0],[1,0,0,0],[w,x,b,z*b+q[1]*exp(y)*b],[-x,w,a,z*a]];

A[[5,35,0]][2,4]
:=[[0,0,-exp(x-y*a-b*x)],[0,0,cos(y)*q[2]+q[1]*sin(y)],[0,0,-q[2]*sin(y)+q[1]*cos(y)],[1,0,z],[0,1,0]];

A[[5,35,0]][2,5]
:=[[0,1,0],[0,0,sin(x)],[0,0,cos(x)],[0,y*b,z],[1,y*a,0]];

A[[5,35,0]][2,6]
:=[[0,1,0],[0,0,1],[1,0,0],[x,y*b,z],[-z,y*a,x]];

A[[5,35,1]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[0,v,x,1,0],[u*a,x,-v,0,1]];

A[[5,35,1]][1,2]
:=[[0,0,1,0],[0,0,0,sin(x)],[0,0,0,cos(x)],[1,0,0,z],[0,1,y*a,0]];

A[[5,35,1]][1,3]
:=[[0,0,-cos(x)*exp(w-a*x),sin(x)*exp(w-a*x)],[0,0,1,0],[0,0,0,1],[1,0,y,z],[0,1,z,-y]];

A[[5,35,1]][1,4]
:=[[0,0,0,-exp(-a*w)],[0,0,1,0],[0,1,0,0],[0,x,y,p[1]],[1,-y,x,0]];

A[[5,35,1]][1,5]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[w,0,y,-1],[-y,a*x,w,p[1]]];

A[[5,35,1]][2,5]
:=[[0,0,-exp(x-y*a)],[0,0,cos(y)],[0,0,-sin(y)],[1,0,z],[0,1,0]];

A[[5,35,1]][2,6]
:=[[0,1,0],[0,0,sin(x)],[0,0,cos(x)],[0,0,z],[1,y*a,0]];

A[[5,35,1]][2,7]
:=[[-exp(-z*a),0,0],[0,sin(z),0],[0,cos(z),0],[p[1],y,0],[0,0,1]];

A[[5,35,1]][2,8]
:=[[0,1,0],[0,0,1],[1,0,0],[x,0,z],[-z,y*a,x]];

A[[5,35,2]][]
:=[[1,0,0,0,0],[0,1,0,0,0],[0,0,1,0,0],[u,v,x,1,0],[u*a,x,-v,0,1]];

A[[5,35,2]][1,2]
:=[[0,0,exp(-a*x)*sin(x),-exp(-a*x)*cos(x)],[0,0,0,p[1]],[0,0,p[1],0],[1,0,y,z],[0,1,-z,y]];

A[[5,35,2]][1,3]
:=[[0,0,-p[1]*exp(-a*x)*cos(x)-exp(-a*x)*sin(x),-exp(-a*x)*cos(x)+p[1]*exp(-a*x)*sin(x)],[0,0,p[2],0],[0,0,0,p[2]],[1,0,y,z],[0,1,z,-y]];

A[[5,35,2]][1,4]
:=[[0,0,1,0],[0,0,0,1],[0,1,0,0],[0,x,y,z],[1,-z,y*a,x]];

A[[5,35,2]][1,5]
:=[[0,1,0,0],[0,0,1,0],[1,0,0,0],[w,x,y,-1],[-y,a*x,w,p[1]]];

A[[5,35,2]][1,6]
:=[[0,0,a,0],[0,1,0,0],[1,0,0,0],[w,x,y+exp(z),1],[-x,w,y*a,a]];

A[[5,35,2]][2,4]
:=[[exp(-z*a),0,0],[-sin(z)*p[1]-cos(z)*p[2],0,0],[p[2]*sin(z)-cos(z)*p[1],0,0],[x,1,0],[0,0,1]];

A[[5,35,2]][2,5]
:=[[0,-exp(-a*x)*cos(x),exp(-a*x)*sin(x)],[0,p[1],0],[0,0,p[1]],[0,y,z],[1,z,-y]];

A[[5,35,2]][2,6]
:=[[0,-exp(-a*x)*cos(x)+p[1]*exp(-a*x)*sin(x),-p[1]*exp(-a*x)*cos(x)-exp(-a*x)*sin(x)],[0,0,p[2]],[0,p[2],0],[0,y,z],[1,-z,y]];

A[[5,35,2]][2,7]
:=[[0,1,0],[0,0,1],[1,0,0],[x,y,z],[-z,y*a,x]];

A[[5,35,2]][3,4]
:=[[0,exp(-a*x)],[0,-p[1]*sin(x)-cos(x)*p[2]],[0,p[2]*sin(x)-cos(x)*p[1]],[0,y],[1,0]];





A[[5,36,0]][]
:=[[0,0,0,exp(-v),0],[0,0,0,0,exp(-x)],[1,0,0,0,0],[0,1,0,0,0],[v,0,1,0,0]];

A[[5,36,0]][1,3]
:=[[0,0,0,-exp(-y)],[0,0,0,exp(-w)],[0,1,0,0],[0,0,1,0],[1,y,0,0]];

A[[5,36,0]][1,5]
:=[[0,0,exp(-z),0],[exp(-x),0,0,0],[0,0,-1,0],[0,0,0,1],[0,1,-z,0]];

A[[5,36,0]][1,6]
:=[[exp(-y),0,0,0],[0,0,0,exp(-x)],[0,0,0,-1],[0,0,1,0],[0,1,0,-y]];

A[[5,36,0]][1,7]
:=[[0,exp(-y),0,0],[0,0,0,exp(-w)],[0,-1,0,-1],[0,0,1,0],[1,-y,0,-y]];

A[[5,36,0]][1,8]
:=[[0,0,0,1],[0,exp(-y),0,0],[1,0,0,0],[-y,0,0,z],[0,0,1,0]];

A[[5,36,0]][1,9]
:=[[0,1,0,0],[0,0,exp(-w),0],[0,0,0,1],[0,x,-1,-w],[1,0,0,0]];

A[[5,36,0]][1,10]
:=[[0,1,0,0],[exp(-1/p[1]*y),0,0,0],[0,0,0,2*p[1]],[w/p[1],x,-1,-2*y],[0,0,p[1],0]];

A[[5,36,0]][1,11]
:=[[exp(-y),0,0,0],[0,0,0,1],[0,1,0,0],[0,0,1,0],[0,y,0,z]];

A[[5,36,0]][1,12]
:=[[0,0,exp(-x),0],[0,0,0,1],[1,0,0,0],[0,1,0,0],[x,0,-1,z]];

A[[5,36,0]][2,10]
:=[[0,0,-exp(-y)],[0,0,exp(-x)],[0,0,1],[0,1,0],[1,0,y]];

A[[5,36,0]][2,13]
:=[[0,0,-1],[0,0,exp(-x)],[0,2,0],[-1,-2*x,z],[1,0,0]];

A[[5,36,0]][2,18]
:=[[1,0,0],[0,0,exp(-y)],[0,0,-1],[x,0,y],[0,1,0]];

A[[5,36,0]][2,22]
:=[[exp(-y),0,0],[0,0,1],[-1,0,0],[0,1,0],[-y,0,z]];



A[[5,37,0]][]
:=[[0,0,cos(v)^2,0,0],[0,0,-sin(v)*cos(v),1,0],[0,0,0,0,1],[1,0,x,y,0],[0,1,-1/cos(v)*sin(v)*x,-(x+sin(v)*y*cos(v))/cos(v)^2,u]];

A[[5,37,0]][1,2]
:=[[cos(z)^2*sin(z),0,0,0],[cos(z)^3,0,0,0],[0,1,0,0],[w,0,1,0],[-2*sin(z)*w/cos(z),y,0,1]];

A[[5,37,0]][1,3]
:=[[0,0,cos(x)^2*sin(x),-cos(x)^2],[0,0,cos(x)^3,sin(x)*cos(x)],[0,0,0,cos(x)*exp(w)],[1,0,y,z],[0,1,-2*y*sin(x)/cos(x),(-z*sin(x)+w*cos(x)^2*exp(w))/cos(x)]];

A[[5,37,0]][1,4]
:=[[0,cos(y)^2,0,0],[1,-sin(y)*cos(y),0,0],[0,0,0,1],[w,x,0,-y],[-(x+sin(y)*w*cos(y))/cos(y)^2,-sin(y)/cos(y)*x,1,0]];

A[[5,37,0]][1,5]
:=[[0,0,0,cos(1/p[1]*y)^2],[0,1,0,-sin(1/p[1]*y)*cos(1/p[1]*y)],[2*p[1],0,0,0],[-2*y,x,-1,1/cos(1/p[1]*y)*(2*z*sin(1/p[1]*y)+x*cos(1/p[1]*y)+z*p[1]*cos(1/p[1]*y))/p[1]],[0,-(z+sin(1/p[1]*y)*x*cos(1/p[1]*y))/cos(1/p[1]*y)^2,p[1],-z*sin(1/p[1]*y)/cos(1/p[1]*y)]];

A[[5,37,0]][2,6]
:=[[0,0,cos(y)^2*sin(y)],[0,0,cos(y)^3],[1,0,0],[-y,0,z],[0,1,-2*sin(y)*z/cos(y)]];

A[[5,37,0]][2,7]
:=[[0,cos(x)^2*(sin(x)+cos(x)),0],[0,cos(x)^2*(cos(x)-sin(x)),0],[0,0,1],[0,y,-x],[1,-2*y*sin(x)/cos(x),0]];



A[[5,38,0]][]
:=[[0,0,0,exp(-2/3*u+1/3*v),0],[0,0,exp(-2/3*u+1/3*v),0,0],[0,0,0,x,exp(1/3*u-2/3*v)],[1,0,1/3*x,1/3*y,1/3*z],[0,1,-2/3*x,1/3*y,1/3*z]];

A[[5,38,0]][1,2]
:=[[0,0,0,exp(-2/3*x+1/3*y)],[0,0,0,-w*exp(y-x)],[exp(1/3*x-2/3*y),0,0,0],[1/3*w,1,0,1/3*z],[1/3*w,0,1,1/3*z]];

A[[5,38,0]][1,3]
:=[[exp(-2/3*y+1/3*z),0,0,0],[0,exp(-2/3*y+1/3*z),0,0],[x,0,0,0],[1/3*w,1/3*x,1,0],[1/3*w,-2/3*x,0,1]];

A[[5,38,0]][1,4]
:=[[2*exp(-2/3*x+1/3*y),0,0,0],[-2*z*exp(y-x),0,0,-exp(-2/3*x+4/3*y)],[0,0,0,exp(1/3*x-2/3*y)],[1/3*w,1,0,1/3*z],[1/3*w,0,1,1/3*z]];

A[[5,38,0]][1,5]
:=[[0,0,0,exp(1/3*w)],[0,0,exp(1/3*w),0],[0,exp(-2/3*w),0,y],[0,0,y,z],[1,1/3*x,-2/3*y,1/3*z]];

A[[5,38,0]][1,6]
:=[[0,0,exp(1/3*w),0],[0,exp(1/3*w),0,0],[0,0,x,1/exp(2/3*w)],[0,x,y,-exp(w)/exp(2/3*w)],[1,-2/3*x,1/3*y,1/3*z]];

A[[5,38,0]][1,7]
:=[[0,exp(1/3/p[1]*y),0,0],[0,0,0,exp(1/3/p[1]*y)],[exp(-2/3/p[1]*y),z,0,0],[2/3*w/p[1],1/3*x*(-1+3*p[1])/p[1],-1,1/3*z*(-1+3*p[1])/p[1]],[1/3*w,1/3*x,p[1],-2/3*z]];

A[[5,38,0]][1,8]
:=[[0,0,exp(-2/3*w),0],[0,0,0,exp(-2/3*w)],[0,exp(1/3*w),z,0],[1,1/3*x,1/3*y,1/3*z],[0,x,0,-z]];

A[[5,38,0]][1,9]
:=[[0,exp(-2/3*y),0,0],[exp(-2/3*y),0,0,0],[0,w,0,exp(1/3*y)],[1/3*w,1/3*x,1,1/3*z],[-w,-exp(1/3*y),0,z]];

A[[5,38,0]][1,10]
:=[[0,0,exp(1/3*w),0],[0,0,0,exp(1/3*w)],[0,exp(-2/3*w),z,0],[-1,2/3*x,2/3*y,2/3*z],[1,1/3*x,1/3*y,-2/3*z]];

A[[5,38,0]][1,11]
:=[[0,0,0,exp(1/3*w)],[0,exp(w)/exp(2/3*w),0,0],[0,0,exp(-2/3*w),x],[-1,1/3*(-3+2*x*exp(2/3*w))/exp(2/3*w),2/3*y,-y+2/3*z],[1,-2/3*x,1/3*y,1/3*z]];

A[[5,38,0]][2,9]
:=[[0,0,exp(1/3*y)],[0,0,-x*exp(y)],[exp(-2/3*y),0,0],[0,0,z],[1/3*x,1,1/3*z]];

A[[5,38,0]][2,10]
:=[[0,0,exp(-2/3*y)],[0,0,-x*exp(-y)],[exp(1/3*y),0,0],[1/3*x,1,1/3*z],[x,0,0]];

A[[5,38,0]][2,11]
:=[[0,0,exp(1/3*x/p[1])],[0,0,-y*exp(x/p[1])],[0,exp(-2/3*x/p[1]),0],[-1,2/3/p[1]*y,1/3*z*(-1+3*p[1])/p[1]],[p[1],1/3*y,1/3*z]];

A[[5,38,0]][2,12]
:=[[0,exp(1/3*z),0],[exp(1/3*z),0,0],[0,x,0],[x,y,0],[-2/3*x,1/3*y,1]];

A[[5,38,0]][2,13]
:=[[exp(-2/3*y),0,0],[0,0,exp(-2/3*y)],[z,0,0],[1/3*x,1,1/3*z],[0,0,-z]];

A[[5,38,0]][2,14]
:=[[0,0,exp(-2/3*y)],[exp(-2/3*y),0,0],[0,0,x],[1/3*x,1,1/3*z],[-x,0,-exp(1/3*y)]];

A[[5,38,0]][2,15]
:=[[0,0,exp(1/6*x)],[0,exp(1/6*x),0],[0,0,y],[-1,5/6*y,5/6*z],[2,-2/3*y,1/3*z]];

A[[5,38,0]][2,16]
:=[[0,0,exp(1/6*x)],[0,-1/exp(-2/3*x),-y*exp(1/2*x)],[0,exp(-x)/exp(-2/3*x),0],[-1,1/3*y,5/6*z],[2,1/3*y,1/3*z]];

A[[5,38,0]][2,17]
:=[[exp(-2/3*y),0,0],[0,0,exp(-2/3*y)],[z,0,0],[1/3*x,1,1/3*z],[0,0,-z]];

A[[5,38,0]][2,18]
:=[[0,exp(1/3*z/p[1]),0],[exp(1/3*z/p[1]),0,0],[0,x,0],[1/3*x*(-1+3*p[1])/p[1],1/3*y*(-1+3*p[1])/p[1],-1],[-2/3*x,1/3*y,p[1]]];

A[[5,38,0]][2,19]
:=[[0,exp(1/6*z),0],[exp(1/6*z),0,0],[0,x,0],[5/6*x,5/6*y,-1],[-2/3*x,1/3*y,2]];

A[[5,38,0]][2,20]
:=[[0,exp(1/6*z),0],[-exp(2/3*z),-x*exp(1/2*z),0],[exp(-1/3*z),0,0],[1/3*x,5/6*y,-1],[1/3*x,1/3*y,2]];

A[[5,38,0]][2,21]
:=[[1,0,0],[0,0,1],[z,1,0],[x,0,z],[0,y,-z]];

A[[5,38,0]][3,13]
:=[[-1,0],[-y,0],[0,-1],[x,0],[0,y]];

A[[5,38,0]][3,14]
:=[[0,1],[1,0],[0,x],[x,y],[-x,0]];



A[[5,39,0]][]
:=[[exp(-2*z),0,0,0,0],[0,exp(-z),0,0,0],[exp(-z)*v,0,exp(-z),0,0],[0,0,0,0,1],[-1/2*v^2+1/2*x^2,x,-v,1,0]];

A[[5,39,0]][1,2]
:=[[0,0,0,2/exp(2*x)*cos(w)],[0,0,sin(w)*exp(-x),-2/exp(2*x)*y*exp(x)],[0,0,cos(w)*exp(-x),0],[0,1,0,0],[1,0,0,-(y^2+z*sin(w))/cos(w)]];

A[[5,39,0]][1,3]
:=[[0,0,0,1],[0,1,0,0],[0,0,1,x],[0,x,y,2*z],[1,y,-x,-1/2*x^2+1/2*y^2]];

A[[5,39,0]][1,4]
:=[[0,0,0,exp(-2*x)],[exp(-x),0,0,0],[0,0,exp(-x),w*exp(-x)],[0,1,0,0],[y+w*p[1],-p[1],-w+y*p[1],-1/2*w^2+1/2*y^2+2*z*p[1]]];

A[[5,39,0]][2,4]
:=[[1,0,0],[-y/cos(z),sin(z),0],[0,cos(z),0],[2*x,y,0],[-1/2*y^2/cos(z)^2,0,1]];

A[[5,39,0]][2,5]
:=[[0,1,0],[0,0,1],[1,z,0],[x,2*y,z],[-z,-1/2*z^2+1/2*x^2,x]];




A[[5,40,0]][]
:=[[exp(y),x/exp(-y),0,0,0],[0,exp(-2*y)/exp(-y),0,0,0],[0,0,1/exp(2*y),0,0],[0,0,0,1,-z],[-exp(2*y)*v,0,exp(4*y)*x^2/exp(2*y),-exp(2*y)*x,exp(y)+z*x*exp(2*y)]];

A[[5,40,0]][1,1]
:=[[0,0,0,y/exp(-x)],[0,0,0,exp(-2*x)/exp(-x)],[0,0,exp(-4*x)/exp(-2*x),0],[-w,1,0,0],[exp(2*x)*y*w+exp(x),-y*exp(2*x),y^2/exp(-2*x),0]];

A[[5,40,0]][1,2]
:=[[0,0,0,-1],[0,0,-1,w*exp(x)],[0,w*exp(x),-z-y*exp(x)*w,z*w*exp(x)],[-w,-1,y,-z],[-exp(-x),0,0,0]];

A[[5,40,0]][1,3]
:=[[0,1/exp(3*z),2*x,0],[0,-w*exp(z)/exp(3*z),-2*w*x*exp(z)-2,0],[0,-(2*exp(4*z)*w*x+exp(3*z))/exp(3*z),-y*w*exp(z),w*exp(z)],[-w,2*x,y,-1],[-exp(-z),0,0,0]];

A[[5,40,0]][1,4]
:=[[0,z,1,0],[0,1,0,0],[0,0,0,1],[-2*w,x,-y,2*z],[1+2*z*w,-z*x,-x+z*y,-z^2]];

A[[5,40,0]][1,5]
:=[[0,0,0,-1],[0,0,-1,x],[-2-2*w*x-2*x,x^2,-z-y*x,z*x],[2*w+2,-2*x,y,-z],[0,-1,0,0]];

A[[5,40,0]][2,2]
:=[[0,z,0],[0,1,0],[0,0,1],[-2*x,y,2*z],[1+2*z*x,-z*y,-z^2]];

A[[5,40,0]][2,3]
:=[[0,0,y/exp(-x)],[0,0,exp(-2*x)/exp(-x)],[0,exp(-4*x)/exp(-2*x),0],[1,0,0],[-y*exp(2*x),y^2/exp(-2*x),0]];

A[[5,40,0]][2,4]
:=[[0,0,x],[0,0,1],[1,0,0],[2*x,-2*y-1,z],[-x^2,2*y*x+x+1,-z*x]];

A[[5,40,0]][2,5]
:=[[-z*exp(-y)/exp(-2*y),0,0],[-exp(-3*y)/exp(-2*y),0,0],[0,0,1/exp(2*y)],[0,1,0],[1/exp(-2*y),-z*exp(2*y),z^2*exp(4*y)/exp(2*y)]];

A[[5,40,0]][2,6]
:=[[1,0,0],[0,1,0],[0,-x,-z^2],[-x,y,-2*z],[-y,0,1]];

A[[5,40,0]][3,4]
:=[[y,0],[1,0],[0,1],[x,2*y],[-y*x,-y^2]];

A[[5,40,0]][3,5]
:=[[-1,0],[0,-1],[0,-x],[-x,y],[-y,0]];

eval(A);
end:
