USU2DLieGroups:=proc()

local LG;
LG:=table();


LG[[2,0,0]][representation]:=
[[exp(x1),0],[0,exp(x2)]];

LG[[2,0,0]][identity]:=
[0,0];

LG[[2,0,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2]]end:

LG[[3,0,0]][representation]:=
[[exp(x1),0,0],[0,exp(x2),0],[0,0,exp(x3)]];

LG[[3,0,0]][identity]:=
[0,0,0];

LG[[3,0,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3]]end:

LG[[3,-1,0]][representation]:=
[[1,x3,0],[0,exp(x1),0],[0,0,exp(x2)]];

LG[[3,-1,0]][identity]:=
[0,0,0];

LG[[3,-1,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],Y[3]+X[3]*exp(Y[1])]end:

LG[[4,0,0]][representation]:=
[[exp(x1),0,0,0],[0,exp(x2),0,0],[0,0,exp(x3),0],[0,0,0,exp(x4)]];

LG[[4,0,0]][identity]:=
[0,0,0,0];

LG[[4,0,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4]]end:

LG[[4,-1,0]][representation]:=
[[1,x4,0,0],[0,exp(x1),0,0],[0,0,exp(x2),0],[0,0,0,exp(x3)]];

LG[[4,-1,0]][identity]:=
[0,0,0,0];

LG[[4,-1,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],Y[4]+X[4]*exp(Y[1])]end:

LG[[4,-2,0]][representation]:=
[[1,x3,0,0],[0,exp(x1),0,0],[0,0,1,x4],[0,0,0,exp(x2)]];

LG[[4,-2,0]][identity]:=
[0,0,0,0];

LG[[4,-2,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],Y[3]+X[3]*exp(Y[1]),Y[4]+X[4]*exp(Y[2])]end:

LG[[4,-3,0]][representation]:=
[[1,-x1,x3,0],[0,1,x4,0],[0,0,1,0],[0,0,0,exp(x2)]];

LG[[4,-3,0]][identity]:=
[0,0,0,0];

LG[[4,-3,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],Y[3]-X[1]*Y[4]+X[3],X[4]+Y[4]]end:

LG[[4,-4,0]][representation]:=
[[exp(-x2),0,-x1,0],[0,exp(-x2*a1),x4,0],[0,0,1,0],[0,0,0,exp(x3)]];

LG[[4,-4,0]][identity]:=
[0,0,0,0];

LG[[4,-4,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[2]))/exp(X[2]),X[2]+Y[2],X[3]+Y[3],exp(-X[2]*a1)*Y[4]+X[4]]end:

LG[[4,-5,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x3,0],[0,exp(-x1),x4,0],[0,0,1,0],[0,0,0,exp(x2)]];

LG[[4,-5,0]][identity]:=
[0,0,0,0];

LG[[4,-5,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]-X[1]*Y[4]+X[3]*exp(X[1]))/exp(X[1]),(Y[4]+X[4]*exp(X[1]))/exp(X[1])]end:

LG[[4,-6,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x3,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x4,0],[0,0,1,0],[0,0,0,exp(x2)]];

LG[[4,-6,0]][identity]:=
[0,0,0,0];

LG[[4,-6,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]+X[4]]end:

LG[[4,-7,0]][representation]:=
[[exp(-1/2*x2)+x1*x4*exp(-x2),x4,0],[x1*exp(-1/2*x2),exp(1/2*x2),0],[0,0,exp(x3)]];

LG[[4,-7,0]][identity]:=
[0,0,0,0];

LG[[4,-7,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[4]*exp(-2*X[2]-1/2*Y[2])+X[1]*exp(-1/2*X[2])^2+X[1]^2*Y[1]*Y[4]^2*exp(-2*X[2]-Y[2])+2*X[1]*Y[1]*Y[4]*exp(-X[2]-1/2*Y[2])+Y[1])/exp(-1/2*X[2])^2,2*ln(X[1]*Y[4]*exp(-X[2]-1/2*Y[2])+1)+Y[2]+X[2],X[3]+Y[3],(Y[4]*exp(-1/2*X[2])*exp(X[2])+Y[4]*X[1]*X[4]+X[4]*exp(1/2*Y[2])*exp(X[2]))/exp(X[2])]end:

LG[[4,-8,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0],[0,0,0,exp(x4)]];

LG[[4,-8,0]][identity]:=
[0,0,0,0];


LG[[5,0,0]][representation]:=
[[exp(x1),0,0,0,0],[0,exp(x2),0,0,0],[0,0,exp(x3),0,0],[0,0,0,exp(x4),0],[0,0,0,0,exp(x5)]];

LG[[5,0,0]][identity]:=
[0,0,0,0,0];

LG[[5,0,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5]]end:

LG[[5,-1,0]][representation]:=
[[1,x5,0,0,0],[0,exp(x1),0,0,0],[0,0,exp(x2),0,0],[0,0,0,exp(x3),0],[0,0,0,0,exp(x4)]];

LG[[5,-1,0]][identity]:=
[0,0,0,0,0];

LG[[5,-1,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],Y[5]+X[5]*exp(Y[1])]end:

LG[[5,-2,0]][representation]:=
[[1,x4,0,0,0],[0,exp(x1),0,0,0],[0,0,1,x5,0],[0,0,0,exp(x2),0],[0,0,0,0,exp(x3)]];

LG[[5,-2,0]][identity]:=
[0,0,0,0,0];

LG[[5,-2,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],Y[4]+X[4]*exp(Y[1]),Y[5]+X[5]*exp(Y[2])]end:

LG[[5,-3,0]][representation]:=
[[1,-x1,x4,0,0],[0,1,x5,0,0],[0,0,1,0,0],[0,0,0,exp(x2),0],[0,0,0,0,exp(x3)]];

LG[[5,-3,0]][identity]:=
[0,0,0,0,0];

LG[[5,-3,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],Y[4]-X[1]*Y[5]+X[4],X[5]+Y[5]]end:

LG[[5,-4,0]][representation]:=
[[1,-x1,x3,0,0],[0,1,x4,0,0],[0,0,1,0,0],[0,0,0,1,x5],[0,0,0,0,exp(x2)]];

LG[[5,-4,0]][identity]:=
[0,0,0,0,0];

LG[[5,-4,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],Y[3]-X[1]*Y[4]+X[3],X[4]+Y[4],Y[5]+X[5]*exp(Y[2])]end:

LG[[5,-5,0]][representation]:=
[[exp(-x2),0,-x1,0,0],[0,exp(-x2*a1),x5,0,0],[0,0,1,0,0],[0,0,0,exp(x3),0],[0,0,0,0,exp(x4)]];

LG[[5,-5,0]][identity]:=
[0,0,0,0,0];

LG[[5,-5,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[2]))/exp(X[2]),X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],exp(-X[2]*a1)*Y[5]+X[5]]end:

LG[[5,-6,0]][representation]:=
[[exp(-x2),0,-x1,0,0],[0,exp(-x2*a1),x4,0,0],[0,0,1,0,0],[0,0,0,1,x5],[0,0,0,0,exp(x3)]];

LG[[5,-6,0]][identity]:=
[0,0,0,0,0];

LG[[5,-6,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[2]))/exp(X[2]),X[2]+Y[2],X[3]+Y[3],exp(-X[2]*a1)*Y[4]+X[4],Y[5]+X[5]*exp(Y[3])]end:

LG[[5,-7,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x4,0,0],[0,exp(-x1),x5,0,0],[0,0,1,0,0],[0,0,0,exp(x2),0],[0,0,0,0,exp(x3)]];

LG[[5,-7,0]][identity]:=
[0,0,0,0,0];

LG[[5,-7,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],-(-Y[4]+X[1]*Y[5]-X[4]*exp(X[1]))/exp(X[1]),(Y[5]+X[5]*exp(X[1]))/exp(X[1])]end:

LG[[5,-8,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x3,0,0],[0,exp(-x1),x4,0,0],[0,0,1,0,0],[0,0,0,1,x5],[0,0,0,0,exp(x2)]];

LG[[5,-8,0]][identity]:=
[0,0,0,0,0];

LG[[5,-8,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]-X[1]*Y[4]+X[3]*exp(X[1]))/exp(X[1]),(Y[4]+X[4]*exp(X[1]))/exp(X[1]),Y[5]+X[5]*exp(Y[2])]end:

LG[[5,-9,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x4,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x5,0,0],[0,0,1,0,0],[0,0,0,exp(x2),0],[0,0,0,0,exp(x3)]];

LG[[5,-9,0]][identity]:=
[0,0,0,0,0];

LG[[5,-9,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],exp(-X[1]*a1)*cos(X[1])*Y[4]-exp(-X[1]*a1)*sin(X[1])*Y[5]+X[4],exp(-X[1]*a1)*sin(X[1])*Y[4]+exp(-X[1]*a1)*cos(X[1])*Y[5]+X[5]]end:

LG[[5,-10,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x3,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x4,0,0],[0,0,1,0,0],[0,0,0,1,x5],[0,0,0,0,exp(x2)]];

LG[[5,-10,0]][identity]:=
[0,0,0,0,0];

LG[[5,-10,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]+X[4],Y[5]+X[5]*exp(Y[2])]end:

LG[[5,-11,0]][representation]:=
[[exp(-1/2*x2)+x5*x1*exp(-x2),x5,0,0],[x1*exp(-1/2*x2),exp(1/2*x2),0,0],[0,0,exp(x3),0],[0,0,0,exp(x4)]];

LG[[5,-11,0]][identity]:=
[0,0,0,0,0];

LG[[5,-11,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[5]*exp(-2*X[2]-1/2*Y[2])+X[1]*exp(-1/2*X[2])^2+X[1]^2*Y[5]^2*Y[1]*exp(-2*X[2]-Y[2])+2*X[1]*Y[5]*Y[1]*exp(-X[2]-1/2*Y[2])+Y[1])/exp(-1/2*X[2])^2,2*ln(X[1]*Y[5]*exp(-X[2]-1/2*Y[2])+1)+Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],(Y[5]*exp(-1/2*X[2])*exp(X[2])+Y[5]*X[5]*X[1]+X[5]*exp(1/2*Y[2])*exp(X[2]))/exp(X[2])]end:

LG[[5,-12,0]][representation]:=
[[exp(-1/2*x2)+x1*x4*exp(-x2),x4,0,0],[x1*exp(-1/2*x2),exp(1/2*x2),0,0],[0,0,1,x5],[0,0,0,exp(x3)]];

LG[[5,-12,0]][identity]:=
[0,0,0,0,0];

LG[[5,-12,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[1]*Y[4]^2*exp(-2*X[2]-Y[2])+X[1]^2*Y[4]*exp(-2*X[2]-1/2*Y[2])+2*Y[1]*X[1]*Y[4]*exp(-X[2]-1/2*Y[2])+X[1]*exp(-1/2*X[2])^2+Y[1])/exp(-1/2*X[2])^2,2*ln(X[1]*Y[4]*exp(-X[2]-1/2*Y[2])+1)+Y[2]+X[2],X[3]+Y[3],(Y[4]*exp(-1/2*X[2])*exp(X[2])+X[1]*X[4]*Y[4]+X[4]*exp(1/2*Y[2])*exp(X[2]))/exp(X[2]),Y[5]+X[5]*exp(Y[3])]end:

LG[[5,-13,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0],[0,0,0,exp(x4),0],[0,0,0,0,exp(x5)]];

LG[[5,-13,0]][identity]:=
[0,0,0,0,0];


LG[[5,-14,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0],[0,0,0,1,x5],[0,0,0,0,exp(x4)]];

LG[[5,-14,0]][identity]:=
[0,0,0,0,0];


LG[[5,-15,0]][representation]:=
[[1,-x4,1/2*x4^2,-x1,0],[0,1,-x4,-x2,0],[0,0,1,-x3,0],[0,0,0,1,0],[0,0,0,0,exp(x5)]];

LG[[5,-15,0]][identity]:=
[0,0,0,0,0];

LG[[5,-15,0]][G_dot]:=proc(X,Y)
[Y[1]-X[4]*Y[2]+1/2*X[4]^2*Y[3]+X[1],Y[2]-X[4]*Y[3]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5]]end:

LG[[5,-16,0]][representation]:=
[[exp(-x3),0,0,-x1,0],[0,exp(-x3*a1),0,x5,0],[0,0,exp(-x3*b1),-x2,0],[0,0,0,1,0],[0,0,0,0,exp(x4)]];

LG[[5,-16,0]][identity]:=
[0,0,0,0,0];

LG[[5,-16,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[3]))/exp(X[3]),exp(-X[3]*b1)*Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],exp(-X[3]*a1)*Y[5]+X[5]]end:

LG[[5,-17,0]][representation]:=
[[exp(-x2*a1),0,0,-x1,0],[0,exp(-x2),-x2*exp(-x2),x4,0],[0,0,exp(-x2),x5,0],[0,0,0,1,0],[0,0,0,0,exp(x3)]];

LG[[5,-17,0]][identity]:=
[0,0,0,0,0];

LG[[5,-17,0]][G_dot]:=proc(X,Y)
[exp(-X[2]*a1)*Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],-(-Y[4]+X[2]*Y[5]-X[4]*exp(X[2]))/exp(X[2]),(Y[5]+X[5]*exp(X[2]))/exp(X[2])]end:

LG[[5,-18,0]][representation]:=
[[exp(-x3),0,0,x5,0],[0,1,-x3,-x1,0],[0,0,1,-x2,0],[0,0,0,1,0],[0,0,0,0,exp(x4)]];

LG[[5,-18,0]][identity]:=
[0,0,0,0,0];

LG[[5,-18,0]][G_dot]:=proc(X,Y)
[Y[1]-X[3]*Y[2]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],(Y[5]+X[5]*exp(X[3]))/exp(X[3])]end:

LG[[5,-19,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),1/2*x1^2*exp(-x1),x3,0],[0,exp(-x1),-x1*exp(-x1),x4,0],[0,0,exp(-x1),x5,0],[0,0,0,1,0],[0,0,0,0,exp(x2)]];

LG[[5,-19,0]][identity]:=
[0,0,0,0,0];

LG[[5,-19,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],1/2*(2*X[3]*exp(X[1])+2*Y[3]-2*X[1]*Y[4]+X[1]^2*Y[5])/exp(X[1]),-(-Y[4]+X[1]*Y[5]-X[4]*exp(X[1]))/exp(X[1]),(Y[5]+X[5]*exp(X[1]))/exp(X[1])]end:

LG[[5,-20,0]][representation]:=
[[exp(-x2*a1),0,0,-x1,0],[0,exp(-x2*b1)*cos(x2),-exp(-x2*b1)*sin(x2),x4,0],[0,exp(-x2*b1)*sin(x2),exp(-x2*b1)*cos(x2),x5,0],[0,0,0,1,0],[0,0,0,0,exp(x3)]];

LG[[5,-20,0]][identity]:=
[0,0,0,0,0];

LG[[5,-20,0]][G_dot]:=proc(X,Y)
[exp(-X[2]*a1)*Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],exp(-X[2]*b1)*cos(X[2])*Y[4]-exp(-X[2]*b1)*sin(X[2])*Y[5]+X[4],exp(-X[2]*b1)*sin(X[2])*Y[4]+exp(-X[2]*b1)*cos(X[2])*Y[5]+X[5]]end:

LG[[5,-21,0]][representation]:=
[[exp(-x4-x4*a1),exp(-x4)*x3,x2*exp(-x4*a1),-x2*x3*a1-x1-x1*a1,0],[0,exp(-x4),0,x2,0],[0,0,exp(-x4*a1),-x3*a1,0],[0,0,0,1,0],[0,0,0,0,exp(x5)]];

LG[[5,-21,0]][identity]:=
[0,0,0,0,0];

LG[[5,-21,0]][G_dot]:=proc(X,Y)
[-(exp(-X[4]*a1)*Y[3]*a1*Y[2]+X[3]*a1*Y[2]-exp(-X[4]-X[4]*a1)*Y[1]*a1*exp(X[4])+X[3]*Y[2]-exp(-X[4]-X[4]*a1)*Y[2]*Y[3]*a1*exp(X[4])-exp(-X[4]-X[4]*a1)*Y[1]*exp(X[4])-X[1]*exp(X[4])-X[1]*a1*exp(X[4]))/exp(X[4])/(a1+1),(Y[2]+X[2]*exp(X[4]))/exp(X[4]),exp(-X[4]*a1)*Y[3]+X[3],X[4]+Y[4],X[5]+Y[5]]end:

LG[[5,-22,0]][representation]:=
[[exp(-2*x4),exp(-x4)*x3,-x4*exp(-x4)*x3-exp(-x4)*x2,x3*x2+2*x1,0],[0,exp(-x4),-x4*exp(-x4),-x2,0],[0,0,exp(-x4),-x3,0],[0,0,0,1,0],[0,0,0,0,exp(x5)]];

LG[[5,-22,0]][identity]:=
[0,0,0,0,0];

LG[[5,-22,0]][G_dot]:=proc(X,Y)
[1/2*(-Y[3]*Y[2]+X[4]*Y[3]^2-2*X[3]*Y[2]*exp(X[4])+2*Y[3]*X[4]*X[3]*exp(X[4])+exp(-2*X[4])*Y[3]*Y[2]*exp(X[4])^2+2*exp(-2*X[4])*Y[1]*exp(X[4])^2+2*X[1]*exp(X[4])^2)/exp(X[4])^2,(Y[2]-X[4]*Y[3]+X[2]*exp(X[4]))/exp(X[4]),(Y[3]+X[3]*exp(X[4]))/exp(X[4]),X[4]+Y[4],X[5]+Y[5]]end:

LG[[5,-23,0]][representation]:=
[[exp(-2*x4*a1),-x3*((exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*a1^2/((a1^2-1)^2+4*a1^2)^2)+x2*(((a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)+((-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)+I*(((-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)-((a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1))),-x3*(((-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)+((exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)+I*(((exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)-((-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)))+x2*((exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*a1^2/((a1^2-1)^2+4*a1^2)^2),-1/2*x3^2+x2*x3*a1-1/2*x2^2+2*x1*a1,0],[0,(exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*a1^2/((a1^2-1)^2+4*a1^2)^2,((-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)+((exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)+I*(((exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)-((-a1^3*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(exp(-x4*a1)*sin(x4)*a1^2+exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)),x3+x2*a1,0],[0,((a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)+((-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)+I*(((-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*(a1^2-1)/((a1^2-1)^2+4*a1^2)+2*(a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*a1/((a1^2-1)^2+4*a1^2))*a1/(a1^2+1)-((a1^3*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4)*a1)*(a1^2-1)/((a1^2-1)^2+4*a1^2)-2*(-exp(-x4*a1)*sin(x4)*a1^2-exp(-x4*a1)*sin(x4))*a1/((a1^2-1)^2+4*a1^2))/(a1^2+1)),(exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x4*a1)*cos(x4)+2*exp(-x4*a1)*cos(x4)*a1^2+a1^4*exp(-x4*a1)*cos(x4))*a1^2/((a1^2-1)^2+4*a1^2)^2,x3*a1-x2,0],[0,0,0,1,0],[0,0,0,0,exp(x5)]];

LG[[5,-23,0]][identity]:=
[0,0,0,0,0];

LG[[5,-23,0]][G_dot]:=proc(X,Y)
[1/4*(4*exp(-X[4]*a1)*X[3]*sin(X[4])*Y[3]*a1+4*X[1]*a1-4*exp(-X[4]*a1)*X[3]*cos(X[4])*Y[2]*a1+4*exp(-2*X[4]*a1)*Y[1]*a1+2*sin(X[4])^2*exp(-X[4]*a1)^2*Y[3]*Y[2]*a1+2*sin(X[4])*exp(-X[4]*a1)^2*Y[3]^2*cos(X[4])*a1-2*sin(X[4])*exp(-X[4]*a1)^2*Y[2]^2*a1*cos(X[4])-2*exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]*a1*Y[2]+2*exp(-2*X[4]*a1)*Y[2]*Y[3]*a1+sin(X[4])^2*exp(-X[4]*a1)^2*Y[2]^2+exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]^2-exp(-2*X[4]*a1)*Y[3]^2-exp(-2*X[4]*a1)*Y[2]^2+sin(X[4])^2*exp(-X[4]*a1)^2*Y[3]^2+exp(-X[4]*a1)^2*cos(X[4])^2*Y[2]^2)/a1,-sin(X[4])*exp(-X[4]*a1)*Y[3]+exp(-X[4]*a1)*cos(X[4])*Y[2]+X[2],sin(X[4])*exp(-X[4]*a1)*Y[2]+X[3]+exp(-X[4]*a1)*cos(X[4])*Y[3],X[4]+Y[4],X[5]+Y[5]]end:

LG[[5,-24,0]][representation]:=
[[cos(x3)*exp(-x4),-sin(x3)*exp(-x4),x1,x2,0],[sin(x3)*exp(-x4),cos(x3)*exp(-x4),x2,-x1,0],[0,0,1,0,0],[0,0,0,1,0],[0,0,0,0,exp(x5)]];

LG[[5,-24,0]][identity]:=
[0,0,0,0,0];

LG[[5,-24,0]][G_dot]:=proc(X,Y)
[(cos(X[3])*Y[1]-sin(X[3])*Y[2]+X[1]*exp(X[4]))/exp(X[4]),(cos(X[3])*Y[2]+sin(X[3])*Y[1]+X[2]*exp(X[4]))/exp(X[4]),X[3]+Y[3],X[4]+Y[4],X[5]+Y[5]]end:

LG[[6,0,0]][representation]:=
[[exp(x1),0,0,0,0,0],[0,exp(x2),0,0,0,0],[0,0,exp(x3),0,0,0],[0,0,0,exp(x4),0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,0,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,0,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-1,0]][representation]:=
[[1,x6,0,0,0,0],[0,exp(x1),0,0,0,0],[0,0,exp(x2),0,0,0],[0,0,0,exp(x3),0,0],[0,0,0,0,exp(x4),0],[0,0,0,0,0,exp(x5)]];

LG[[6,-1,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-1,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[1])]end:

LG[[6,-2,0]][representation]:=
[[1,x5,0,0,0,0],[0,exp(x1),0,0,0,0],[0,0,1,x6,0,0],[0,0,0,exp(x2),0,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-2,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-2,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],Y[5]+X[5]*exp(Y[1]),Y[6]+X[6]*exp(Y[2])]end:

LG[[6,-3,0]][representation]:=
[[1,x4,0,0,0,0],[0,exp(x1),0,0,0,0],[0,0,1,x5,0,0],[0,0,0,exp(x2),0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x3)]];

LG[[6,-3,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-3,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],Y[4]+X[4]*exp(Y[1]),Y[5]+X[5]*exp(Y[2]),Y[6]+X[6]*exp(Y[3])]end:

LG[[6,-4,0]][representation]:=
[[1,-x1,x5,0,0,0],[0,1,x6,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(x2),0,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-4,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-4,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],Y[5]-X[1]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-5,0]][representation]:=
[[1,-x1,x4,0,0,0],[0,1,x5,0,0,0],[0,0,1,0,0,0],[0,0,0,1,x6,0],[0,0,0,0,exp(x2),0],[0,0,0,0,0,exp(x3)]];

LG[[6,-5,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-5,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],Y[4]-X[1]*Y[5]+X[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[2])]end:

LG[[6,-6,0]][representation]:=
[[1,-x1,x3,0,0,0],[0,1,x4,0,0,0],[0,0,1,0,0,0],[0,0,0,1,-x2,x5],[0,0,0,0,1,x6],[0,0,0,0,0,1]];

LG[[6,-6,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-6,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],Y[3]-X[1]*Y[4]+X[3],X[4]+Y[4],Y[5]-X[2]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-7,0]][representation]:=
[[exp(-x2),0,-x1,0,0,0],[0,exp(-x2*a1),x6,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(x3),0,0],[0,0,0,0,exp(x4),0],[0,0,0,0,0,exp(x5)]];

LG[[6,-7,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-7,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[2]))/exp(X[2]),X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],exp(-X[2]*a1)*Y[6]+X[6]]end:

LG[[6,-8,0]][representation]:=
[[exp(-x2),0,-x1,0,0,0],[0,exp(-x2*a1),x5,0,0,0],[0,0,1,0,0,0],[0,0,0,1,x6,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-8,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-8,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[2]))/exp(X[2]),X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],exp(-X[2]*a1)*Y[5]+X[5],Y[6]+X[6]*exp(Y[3])]end:

LG[[6,-9,0]][representation]:=
[[exp(-x2),0,-x1,0,0,0],[0,exp(-x2*a1),x4,0,0,0],[0,0,1,0,0,0],[0,0,0,1,-x3,x5],[0,0,0,0,1,x6],[0,0,0,0,0,1]];

LG[[6,-9,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-9,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[2]))/exp(X[2]),X[2]+Y[2],X[3]+Y[3],exp(-X[2]*a1)*Y[4]+X[4],Y[5]-X[3]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-10,0]][representation]:=
[[exp(-x2),0,-x1,0,0,0],[0,exp(-x2*a1),x5,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(-x4),0,-x3],[0,0,0,0,exp(-x4*a2),x6],[0,0,0,0,0,1]];

LG[[6,-10,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-10,0]][G_dot]:=proc(X,Y)
[_z1,_z2,_z3,_z4,_z5,_z6]end:

LG[[6,-11,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x5,0,0,0],[0,exp(-x1),x6,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(x2),0,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-11,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-11,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],(Y[5]-X[1]*Y[6]+X[5]*exp(X[1]))/exp(X[1]),(Y[6]+X[6]*exp(X[1]))/exp(X[1])]end:

LG[[6,-12,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x4,0,0,0],[0,exp(-x1),x5,0,0,0],[0,0,1,0,0,0],[0,0,0,1,x6,0],[0,0,0,0,exp(x2),0],[0,0,0,0,0,exp(x3)]];

LG[[6,-12,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-12,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],-(-Y[4]+X[1]*Y[5]-X[4]*exp(X[1]))/exp(X[1]),(Y[5]+X[5]*exp(X[1]))/exp(X[1]),Y[6]+X[6]*exp(Y[2])]end:

LG[[6,-13,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x3,0,0,0],[0,exp(-x1),x4,0,0,0],[0,0,1,0,0,0],[0,0,0,1,-x2,x5],[0,0,0,0,1,x6],[0,0,0,0,0,1]];

LG[[6,-13,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-13,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]-X[1]*Y[4]+X[3]*exp(X[1]))/exp(X[1]),(Y[4]+X[4]*exp(X[1]))/exp(X[1]),Y[5]-X[2]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-14,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x4,0,0,0],[0,exp(-x1),x5,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(-x3),0,-x2],[0,0,0,0,exp(-x3*a2),x6],[0,0,0,0,0,1]];

LG[[6,-14,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-14,0]][G_dot]:=proc(X,Y)
[_z1,_z2,_z3,_z4,_z5,_z6]end:

LG[[6,-15,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),x3,0,0,0],[0,exp(-x1),x4,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(-x2),-x2*exp(-x2),x5],[0,0,0,0,exp(-x2),x6],[0,0,0,0,0,1]];

LG[[6,-15,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-15,0]][G_dot]:=proc(X,Y)
[_z1,_z2,_z3,_z4,_z5,_z6]end:

LG[[6,-16,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x5,0,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x6,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(x2),0,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-16,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-16,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],exp(-X[1]*a1)*cos(X[1])*Y[5]-exp(-X[1]*a1)*sin(X[1])*Y[6]+X[5],exp(-X[1]*a1)*sin(X[1])*Y[5]+exp(-X[1]*a1)*cos(X[1])*Y[6]+X[6]]end:

LG[[6,-17,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x4,0,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x5,0,0,0],[0,0,1,0,0,0],[0,0,0,1,x6,0],[0,0,0,0,exp(x2),0],[0,0,0,0,0,exp(x3)]];

LG[[6,-17,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-17,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],exp(-X[1]*a1)*cos(X[1])*Y[4]-exp(-X[1]*a1)*sin(X[1])*Y[5]+X[4],exp(-X[1]*a1)*sin(X[1])*Y[4]+exp(-X[1]*a1)*cos(X[1])*Y[5]+X[5],Y[6]+X[6]*exp(Y[2])]end:

LG[[6,-18,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x3,0,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x4,0,0,0],[0,0,1,0,0,0],[0,0,0,1,-x2,x5],[0,0,0,0,1,x6],[0,0,0,0,0,1]];

LG[[6,-18,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-18,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]+X[4],Y[5]-X[2]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-19,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x4,0,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x5,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(-x3),0,-x2],[0,0,0,0,exp(-x3*a2),x6],[0,0,0,0,0,1]];

LG[[6,-19,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-19,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],(Y[2]+X[2]*exp(X[3]))/exp(X[3]),X[3]+Y[3],exp(-X[1]*a1)*cos(X[1])*Y[4]-exp(-X[1]*a1)*sin(X[1])*Y[5]+X[4],exp(-X[1]*a1)*sin(X[1])*Y[4]+exp(-X[1]*a1)*cos(X[1])*Y[5]+X[5],exp(-X[3]*a2)*Y[6]+X[6]]end:

LG[[6,-20,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x3,0,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x4,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(-x2),-x2*exp(-x2),x5],[0,0,0,0,exp(-x2),x6],[0,0,0,0,0,1]];

LG[[6,-20,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-20,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]+X[4],(Y[5]-X[2]*Y[6]+X[5]*exp(X[2]))/exp(X[2]),(Y[6]+X[6]*exp(X[2]))/exp(X[2])]end:

LG[[6,-21,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x3,0,0,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x4,0,0,0],[0,0,1,0,0,0],[0,0,0,exp(-x2*a2)*cos(x2),-exp(-x2*a2)*sin(x2),x5],[0,0,0,exp(-x2*a2)*sin(x2),exp(-x2*a2)*cos(x2),x6],[0,0,0,0,0,1]];

LG[[6,-21,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-21,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]+X[4],exp(-X[2]*a2)*cos(X[2])*Y[5]-exp(-X[2]*a2)*sin(X[2])*Y[6]+X[5],exp(-X[2]*a2)*sin(X[2])*Y[5]+exp(-X[2]*a2)*cos(X[2])*Y[6]+X[6]]end:

LG[[6,-22,0]][representation]:=
[[exp(-1/2*x2)+x6*x1*exp(-x2),x6,0,0,0],[x1*exp(-1/2*x2),exp(1/2*x2),0,0,0],[0,0,exp(x3),0,0],[0,0,0,exp(x4),0],[0,0,0,0,exp(x5)]];

LG[[6,-22,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-22,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[6]*exp(-2*X[2]-1/2*Y[2])+X[1]*exp(-1/2*X[2])^2+X[1]^2*Y[6]^2*Y[1]*exp(-2*X[2]-Y[2])+2*X[1]*Y[6]*Y[1]*exp(-X[2]-1/2*Y[2])+Y[1])/exp(-1/2*X[2])^2,2*ln(X[1]*Y[6]*exp(-X[2]-1/2*Y[2])+1)+Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],(Y[6]*exp(-1/2*X[2])*exp(X[2])+Y[6]*X[6]*X[1]+X[6]*exp(1/2*Y[2])*exp(X[2]))/exp(X[2])]end:

LG[[6,-23,0]][representation]:=
[[exp(-1/2*x2)+x5*x1*exp(-x2),x5,0,0,0],[x1*exp(-1/2*x2),exp(1/2*x2),0,0,0],[0,0,1,x6,0],[0,0,0,exp(x3),0],[0,0,0,0,exp(x4)]];

LG[[6,-23,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-23,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[5]*exp(-2*X[2]-1/2*Y[2])+X[1]*exp(-1/2*X[2])^2+X[1]^2*Y[5]^2*Y[1]*exp(-2*X[2]-Y[2])+2*X[1]*Y[5]*Y[1]*exp(-X[2]-1/2*Y[2])+Y[1])/exp(-1/2*X[2])^2,2*ln(X[1]*Y[5]*exp(-X[2]-1/2*Y[2])+1)+Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],(Y[5]*exp(-1/2*X[2])*exp(X[2])+Y[5]*X[5]*X[1]+X[5]*exp(1/2*Y[2])*exp(X[2]))/exp(X[2]),Y[6]+X[6]*exp(Y[3])]end:

LG[[6,-24,0]][representation]:=
[[exp(-1/2*x3)+x1*x4*exp(-x3),x4,0,0,0],[x1*exp(-1/2*x3),exp(1/2*x3),0,0,0],[0,0,1,-x2,x5],[0,0,0,1,x6],[0,0,0,0,1]];

LG[[6,-24,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-24,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[4]*exp(-2*X[3]-1/2*Y[3])+X[1]*exp(-1/2*X[3])^2+X[1]^2*Y[1]*Y[4]^2*exp(-Y[3]-2*X[3])+2*X[1]*Y[1]*Y[4]*exp(-X[3]-1/2*Y[3])+Y[1])/exp(-1/2*X[3])^2,X[2]+Y[2],2*ln(X[1]*Y[4]*exp(-X[3]-1/2*Y[3])+1)+Y[3]+X[3],(Y[4]*exp(-1/2*X[3])*exp(X[3])+X[1]*X[4]*Y[4]+X[4]*exp(1/2*Y[3])*exp(X[3]))/exp(X[3]),Y[5]-X[2]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-25,0]][representation]:=
[[exp(-1/2*x4)+x5*x1*exp(-x4),x5,0,0,0],[x1*exp(-1/2*x4),exp(1/2*x4),0,0,0],[0,0,exp(-x3),0,-x2],[0,0,0,exp(-x3*a2),x6],[0,0,0,0,1]];

LG[[6,-25,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-25,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[5]*exp(-2*X[4]+1/2*Y[4])+X[1]*exp(-X[4]+Y[4])+X[1]^2*exp(-1/2*X[4])^4*Y[5]^2*Y[1]+2*X[1]*Y[5]*Y[1]*exp(-X[4]+1/2*Y[4])+Y[1]*exp(1/2*Y[4])^2)*exp(X[4]-Y[4]),(Y[2]+X[2]*exp(X[3]))/exp(X[3]),X[3]+Y[3],2*ln(X[1]*exp(-1/2*X[4])^2*Y[5]+exp(1/2*Y[4]))+X[4],(Y[5]*exp(-1/2*X[4])*exp(X[4])+Y[5]*X[5]*X[1]+X[5]*exp(1/2*Y[4])*exp(X[4]))/exp(X[4]),exp(-X[3]*a2)*Y[6]+X[6]]end:

LG[[6,-26,0]][representation]:=
[[exp(-1/2*x3)+x1*x4*exp(-x3),x4,0,0,0],[x1*exp(-1/2*x3),exp(1/2*x3),0,0,0],[0,0,exp(-x2),-x2*exp(-x2),x5],[0,0,0,exp(-x2),x6],[0,0,0,0,1]];

LG[[6,-26,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-26,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[1]*Y[4]^2*exp(-Y[3]-2*X[3])+X[1]^2*Y[4]*exp(-2*X[3]-1/2*Y[3])+2*X[1]*Y[1]*Y[4]*exp(-X[3]-1/2*Y[3])+X[1]*exp(-1/2*X[3])^2+Y[1])/exp(-1/2*X[3])^2,X[2]+Y[2],-2*ln(1/(X[1]*Y[4]*exp(-X[3]-1/2*Y[3])+1))+X[3]+Y[3],(Y[4]*exp(-1/2*X[3])*exp(X[3])+Y[4]*X[1]*X[4]+X[4]*exp(1/2*Y[3])*exp(X[3]))/exp(X[3]),(Y[5]-X[2]*Y[6]+X[5]*exp(X[2]))/exp(X[2]),(Y[6]+X[6]*exp(X[2]))/exp(X[2])]end:

LG[[6,-27,0]][representation]:=
[[exp(-1/2*x3)+x1*x4*exp(-x3),x4,0,0,0],[x1*exp(-1/2*x3),exp(1/2*x3),0,0,0],[0,0,exp(-x2*a2)*cos(x2),-exp(-x2*a2)*sin(x2),x5],[0,0,exp(-x2*a2)*sin(x2),exp(-x2*a2)*cos(x2),x6],[0,0,0,0,1]];

LG[[6,-27,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-27,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[1]*Y[4]^2*exp(-Y[3]-2*X[3])+X[1]^2*Y[4]*exp(-2*X[3]-1/2*Y[3])+2*X[1]*Y[1]*Y[4]*exp(-X[3]-1/2*Y[3])+X[1]*exp(-1/2*X[3])^2+Y[1])/exp(-1/2*X[3])^2,X[2]+Y[2],2*ln(X[1]*Y[4]*exp(-X[3]-1/2*Y[3])+1)+Y[3]+X[3],(Y[4]*exp(-1/2*X[3])*exp(X[3])+Y[4]*X[1]*X[4]+X[4]*exp(1/2*Y[3])*exp(X[3]))/exp(X[3]),exp(-X[2]*a2)*cos(X[2])*Y[5]-exp(-X[2]*a2)*sin(X[2])*Y[6]+X[5],exp(-X[2]*a2)*sin(X[2])*Y[5]+exp(-X[2]*a2)*cos(X[2])*Y[6]+X[6]]end:

LG[[6,-28,0]][representation]:=
[[exp(-1/2*x3)+x5*x1*exp(-x3),x5,0,0],[x1*exp(-1/2*x3),exp(1/2*x3),0,0],[0,0,exp(-1/2*x4)+x6*x2*exp(-x4),x6],[0,0,x2*exp(-1/2*x4),exp(1/2*x4)]];

LG[[6,-28,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-28,0]][G_dot]:=proc(X,Y)
[(X[1]^2*Y[5]*exp(-2*X[3]-1/2*Y[3])+X[1]*exp(-1/2*X[3])^2+X[1]^2*Y[5]^2*Y[1]*exp(-Y[3]-2*X[3])+2*X[1]*Y[5]*Y[1]*exp(-X[3]-1/2*Y[3])+Y[1])/exp(-1/2*X[3])^2,(X[2]^2*Y[6]*exp(-2*X[4]+1/2*Y[4])+X[2]*exp(-X[4]+Y[4])+X[2]^2*exp(-1/2*X[4])^4*Y[6]^2*Y[2]+2*X[2]*Y[6]*Y[2]*exp(-X[4]+1/2*Y[4])+Y[2]*exp(1/2*Y[4])^2)*exp(X[4]-Y[4]),-2*ln(1/(X[1]*Y[5]*exp(-X[3]-1/2*Y[3])+1))+X[3]+Y[3],2*ln(X[2]*exp(-1/2*X[4])^2*Y[6]+exp(1/2*Y[4]))+X[4],(Y[5]*exp(-1/2*X[3])*exp(X[3])+Y[5]*X[5]*X[1]+X[5]*exp(1/2*Y[3])*exp(X[3]))/exp(X[3]),(Y[6]*exp(-1/2*X[4])*exp(X[4])+Y[6]*X[6]*X[2]+X[6]*exp(1/2*Y[4])*exp(X[4]))/exp(X[4])]end:

LG[[6,-29,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,exp(x4),0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,-29,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-30,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,1,x6,0],[0,0,0,0,exp(x4),0],[0,0,0,0,0,exp(x5)]];

LG[[6,-30,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-31,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,1,-x4,x5],[0,0,0,0,1,x6],[0,0,0,0,0,1]];

LG[[6,-31,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-32,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,exp(-x5),0,-x4],[0,0,0,0,exp(-x5*a2),x6],[0,0,0,0,0,1]];

LG[[6,-32,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-33,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,exp(-x4),-x4*exp(-x4),x5],[0,0,0,0,exp(-x4),x6],[0,0,0,0,0,1]];

LG[[6,-33,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-34,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,exp(-x4*a2)*cos(x4),-exp(-x4*a2)*sin(x4),x5],[0,0,0,exp(-x4*a2)*sin(x4),exp(-x4*a2)*cos(x4),x6],[0,0,0,0,0,1]];

LG[[6,-34,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-35,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0],[0,0,0,exp(-1/2*x5)+x6*x4*exp(-x5),x6],[0,0,0,x4*exp(-1/2*x5),exp(1/2*x5)]];

LG[[6,-35,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-36,0]][representation]:=
[[cos(x3)*cos(x1)-sin(x3)*sin(x2)*sin(x1),cos(x2)*sin(x1),-sin(x3)*cos(x1)-cos(x3)*sin(x2)*sin(x1),0,0,0],[-cos(x3)*sin(x1)-sin(x3)*sin(x2)*cos(x1),cos(x2)*cos(x1),sin(x3)*sin(x1)-cos(x3)*sin(x2)*cos(x1),0,0,0],[sin(x3)*cos(x2),sin(x2),cos(x3)*cos(x2),0,0,0],[0,0,0,cos(x4)*cos(x6)-sin(x4)*sin(x5)*sin(x6),sin(x4)*cos(x5),-cos(x4)*sin(x6)-sin(x4)*sin(x5)*cos(x6)],[0,0,0,-sin(x4)*cos(x6)-cos(x4)*sin(x5)*sin(x6),cos(x4)*cos(x5),sin(x4)*sin(x6)-cos(x4)*sin(x5)*cos(x6)],[0,0,0,cos(x5)*sin(x6),sin(x5),cos(x5)*cos(x6)]];

LG[[6,-36,0]][identity]:=
[0,0,0,0,0,0];


LG[[6,-37,0]][representation]:=
[[1,-x4,1/2*x4^2,-x1,0,0],[0,1,-x4,-x2,0,0],[0,0,1,-x3,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,-37,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-37,0]][G_dot]:=proc(X,Y)
[Y[1]-X[4]*Y[2]+1/2*X[4]^2*Y[3]+X[1],Y[2]-X[4]*Y[3]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-38,0]][representation]:=
[[1,-x4,1/2*x4^2,-x1,0,0],[0,1,-x4,-x2,0,0],[0,0,1,-x3,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x5)]];

LG[[6,-38,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-38,0]][G_dot]:=proc(X,Y)
[Y[1]-X[4]*Y[2]+1/2*X[4]^2*Y[3]+X[1],Y[2]-X[4]*Y[3]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[5])]end:

LG[[6,-39,0]][representation]:=
[[exp(-x3),0,0,-x1,0,0],[0,exp(-x3*a1),0,x6,0,0],[0,0,exp(-x3*b1),-x2,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x4),0],[0,0,0,0,0,exp(x5)]];

LG[[6,-39,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-39,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[3]))/exp(X[3]),exp(-X[3]*b1)*Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],exp(-X[3]*a1)*Y[6]+X[6]]end:

LG[[6,-40,0]][representation]:=
[[exp(-x3),0,0,-x1,0,0],[0,exp(-x3*a1),0,x5,0,0],[0,0,exp(-x3*b1),-x2,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x4)]];

LG[[6,-40,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-40,0]][G_dot]:=proc(X,Y)
[(Y[1]+X[1]*exp(X[3]))/exp(X[3]),exp(-X[3]*b1)*Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],exp(-X[3]*a1)*Y[5]+X[5],Y[6]+X[6]*exp(Y[4])]end:

LG[[6,-41,0]][representation]:=
[[exp(-x2*a1),0,0,-x1,0,0],[0,exp(-x2),-x2*exp(-x2),x5,0,0],[0,0,exp(-x2),x6,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-41,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-41,0]][G_dot]:=proc(X,Y)
[exp(-X[2]*a1)*Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],(Y[5]-X[2]*Y[6]+X[5]*exp(X[2]))/exp(X[2]),(Y[6]+X[6]*exp(X[2]))/exp(X[2])]end:

LG[[6,-42,0]][representation]:=
[[exp(-x2*a1),0,0,-x1,0,0],[0,exp(-x2),-x2*exp(-x2),x4,0,0],[0,0,exp(-x2),x5,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x3)]];

LG[[6,-42,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-42,0]][G_dot]:=proc(X,Y)
[exp(-X[2]*a1)*Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],-(-Y[4]+X[2]*Y[5]-X[4]*exp(X[2]))/exp(X[2]),(Y[5]+X[5]*exp(X[2]))/exp(X[2]),Y[6]+X[6]*exp(Y[3])]end:

LG[[6,-43,0]][representation]:=
[[exp(-x3),0,0,x6,0,0],[0,1,-x3,-x1,0,0],[0,0,1,-x2,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x4),0],[0,0,0,0,0,exp(x5)]];

LG[[6,-43,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-43,0]][G_dot]:=proc(X,Y)
[Y[1]-X[3]*Y[2]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],(Y[6]+X[6]*exp(X[3]))/exp(X[3])]end:

LG[[6,-44,0]][representation]:=
[[exp(-x3),0,0,x5,0,0],[0,1,-x3,-x1,0,0],[0,0,1,-x2,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x4)]];

LG[[6,-44,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-44,0]][G_dot]:=proc(X,Y)
[Y[1]-X[3]*Y[2]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],(Y[5]+X[5]*exp(X[3]))/exp(X[3]),Y[6]+X[6]*exp(Y[4])]end:

LG[[6,-45,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),1/2*x1^2*exp(-x1),x4,0,0],[0,exp(-x1),-x1*exp(-x1),x5,0,0],[0,0,exp(-x1),x6,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x2),0],[0,0,0,0,0,exp(x3)]];

LG[[6,-45,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-45,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],-1/2*(-2*Y[4]+2*X[1]*Y[5]-X[1]^2*Y[6]-2*X[4]*exp(X[1]))/exp(X[1]),(Y[5]-X[1]*Y[6]+X[5]*exp(X[1]))/exp(X[1]),(Y[6]+X[6]*exp(X[1]))/exp(X[1])]end:

LG[[6,-46,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),1/2*x1^2*exp(-x1),x3,0,0],[0,exp(-x1),-x1*exp(-x1),x4,0,0],[0,0,exp(-x1),x5,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x2)]];

LG[[6,-46,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-46,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],1/2*(2*Y[3]-2*X[1]*Y[4]+X[1]^2*Y[5]+2*X[3]*exp(X[1]))/exp(X[1]),-(-Y[4]+X[1]*Y[5]-X[4]*exp(X[1]))/exp(X[1]),(Y[5]+X[5]*exp(X[1]))/exp(X[1]),Y[6]+X[6]*exp(Y[2])]end:

LG[[6,-47,0]][representation]:=
[[exp(-x2*a1),0,0,-x1,0,0],[0,exp(-x2*b1)*cos(x2),-exp(-x2*b1)*sin(x2),x5,0,0],[0,exp(-x2*b1)*sin(x2),exp(-x2*b1)*cos(x2),x6,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x3),0],[0,0,0,0,0,exp(x4)]];

LG[[6,-47,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-47,0]][G_dot]:=proc(X,Y)
[exp(-X[2]*a1)*Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],exp(-X[2]*b1)*cos(X[2])*Y[5]-exp(-X[2]*b1)*sin(X[2])*Y[6]+X[5],exp(-X[2]*b1)*sin(X[2])*Y[5]+exp(-X[2]*b1)*cos(X[2])*Y[6]+X[6]]end:

LG[[6,-48,0]][representation]:=
[[exp(-x2*a1),0,0,-x1,0,0],[0,exp(-x2*b1)*cos(x2),-exp(-x2*b1)*sin(x2),x4,0,0],[0,exp(-x2*b1)*sin(x2),exp(-x2*b1)*cos(x2),x5,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x3)]];

LG[[6,-48,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-48,0]][G_dot]:=proc(X,Y)
[exp(-X[2]*a1)*Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],exp(-X[2]*b1)*cos(X[2])*Y[4]-exp(-X[2]*b1)*sin(X[2])*Y[5]+X[4],exp(-X[2]*b1)*sin(X[2])*Y[4]+exp(-X[2]*b1)*cos(X[2])*Y[5]+X[5],Y[6]+X[6]*exp(Y[3])]end:

LG[[6,-49,0]][representation]:=
[[exp(-x4-x4*a1),exp(-x4)*x3,x2*exp(-x4*a1),-x2*x3*a1-x1-x1*a1,0,0],[0,exp(-x4),0,x2,0,0],[0,0,exp(-x4*a1),-x3*a1,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,-49,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-49,0]][G_dot]:=proc(X,Y)
[-(Y[2]*a1*exp(-X[4]*a1)*Y[3]+Y[2]*a1*X[3]-exp(-X[4]-X[4]*a1)*Y[1]*a1*exp(X[4])+X[3]*Y[2]-exp(-X[4]-X[4]*a1)*Y[2]*Y[3]*a1*exp(X[4])-exp(-X[4]-X[4]*a1)*Y[1]*exp(X[4])-X[1]*exp(X[4])-X[1]*a1*exp(X[4]))/exp(X[4])/(a1+1),(Y[2]+X[2]*exp(X[4]))/exp(X[4]),exp(-X[4]*a1)*Y[3]+X[3],X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-50,0]][representation]:=
[[exp(-x4*(a1+1)),exp(-x4)*x3,x2*exp(-x4*a1),-x2*x3*a1-x1-x1*a1,0,0],[0,exp(-x4),0,x2,0,0],[0,0,exp(-x4*a1),-x3*a1,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x5)]];

LG[[6,-50,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-50,0]][G_dot]:=proc(X,Y)
[(-Y[2]*a1*exp(-X[4]*a1)*Y[3]-Y[2]*a1*X[3]+exp(-X[4]*(a1+1))*Y[2]*Y[3]*a1*exp(X[4])+exp(-X[4]*(a1+1))*Y[1]*exp(X[4])+exp(-X[4]*(a1+1))*Y[1]*a1*exp(X[4])-X[3]*Y[2]+X[1]*exp(X[4])+X[1]*a1*exp(X[4]))/exp(X[4])/(a1+1),(Y[2]+X[2]*exp(X[4]))/exp(X[4]),exp(-X[4]*a1)*Y[3]+X[3],X[4]+Y[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[5])]end:

LG[[6,-51,0]][representation]:=
[[exp(-2*x4),exp(-x4)*x3,-x4*exp(-x4)*x3-exp(-x4)*x2,x3*x2+2*x1,0,0],[0,exp(-x4),-x4*exp(-x4),-x2,0,0],[0,0,exp(-x4),-x3,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,-51,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-51,0]][G_dot]:=proc(X,Y)
[1/2*(-Y[2]*Y[3]*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])-Y[2]*X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])+X[4]*Y[3]^2*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])+X[4]*Y[3]*X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])-X[2]*exp(X[4])*Y[3]*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])-X[2]*exp(X[4])*X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])+exp(-2*X[4])*Y[3]*Y[2]*exp(X[4])+2*exp(-2*X[4])*Y[1]*exp(X[4])-X[3]*Y[2]+Y[3]*X[4]*X[3]+Y[3]*X[2]+X[3]*X[2]*exp(X[4])+2*X[1]*exp(X[4]))/exp(X[4]),(Y[2]-X[4]*Y[3]+X[2]*exp(X[4]))/exp(X[4]),Y[3]*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])+X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4]),X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-52,0]][representation]:=
[[exp(-2*x4),exp(-x4)*x3,-x4*exp(-x4)*x3-exp(-x4)*x2,x3*x2+2*x1,0,0],[0,exp(-x4),-x4*exp(-x4),-x2,0,0],[0,0,exp(-x4),-x3,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x5)]];

LG[[6,-52,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-52,0]][G_dot]:=proc(X,Y)
[-1/2*(Y[2]*Y[3]*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])+Y[2]*X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])-X[4]*Y[3]^2*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])-X[4]*Y[3]*X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])+X[2]*exp(X[4])*Y[3]*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])+X[2]*exp(X[4])*X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])-exp(-2*X[4])*Y[3]*Y[2]*exp(X[4])-2*exp(-2*X[4])*Y[1]*exp(X[4])+X[3]*Y[2]-Y[3]*X[4]*X[3]-Y[3]*X[2]-X[3]*X[2]*exp(X[4])-2*X[1]*exp(X[4]))/exp(X[4]),(Y[2]-X[4]*Y[3]+X[2]*exp(X[4]))/exp(X[4]),Y[3]*exp(-2*X[4]-Y[4])*exp(X[4]+Y[4])+X[3]*exp(-X[4]-Y[4])*exp(X[4]+Y[4]),X[4]+Y[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[5])]end:

LG[[6,-53,0]][representation]:=
[[exp(-2*x4*a1),-x3*((-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)^2/((-a1^3+3*a1)^2+(3*a1^2-1)^2)/((a1^3-3*a1)^2+(3*a1^2-1)^2)+I*(-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)))+x2*((-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(3*a1^2-1)^2/((a1^3-3*a1)^2+(3*a1^2-1)^2)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)+I*(-(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2))),-x3*((3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(3*a1^2-1)^2/((a1^3-3*a1)^2+(3*a1^2-1)^2)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)+I*(-(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)))+x2*((-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)^2/((-a1^3+3*a1)^2+(3*a1^2-1)^2)/((a1^3-3*a1)^2+(3*a1^2-1)^2)+I*(-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2))),-1/2*x3^2+x2*x3*a1-1/2*x2^2+2*x1*a1,0,0],[0,(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)^2/((-a1^3+3*a1)^2+(3*a1^2-1)^2)/((a1^3-3*a1)^2+(3*a1^2-1)^2)+I*(-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)),(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(3*a1^2-1)^2/((a1^3-3*a1)^2+(3*a1^2-1)^2)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)+I*(-(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(3*a1^4*exp(-x4*a1)*sin(x4)+3*exp(-x4*a1)*sin(x4)*a1^2+a1^6*exp(-x4*a1)*sin(x4)+exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)),x3+x2*a1,0,0],[0,(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(3*a1^2-1)^2/((a1^3-3*a1)^2+(3*a1^2-1)^2)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)+I*(-(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)-(-3*a1^4*exp(-x4*a1)*sin(x4)-3*exp(-x4*a1)*sin(x4)*a1^2-a1^6*exp(-x4*a1)*sin(x4)-exp(-x4*a1)*sin(x4))*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)),(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)^2/((-a1^3+3*a1)^2+(3*a1^2-1)^2)/((a1^3-3*a1)^2+(3*a1^2-1)^2)+I*(-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(3*a1^2-1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(a1^3-3*a1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)-(-3*exp(-x4*a1)*cos(x4)*a1^2-3*a1^4*exp(-x4*a1)*cos(x4)-a1^6*exp(-x4*a1)*cos(x4)-exp(-x4*a1)*cos(x4))*(-a1^3+3*a1)/((-a1^3+3*a1)^2+(3*a1^2-1)^2)*(3*a1^2-1)/((a1^3-3*a1)^2+(3*a1^2-1)^2)),x3*a1-x2,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,-53,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-53,0]][G_dot]:=proc(X,Y)
[1/4*(4*exp(-2*X[4]*a1)*Y[1]*a1-2*exp(-X[4]*a1)^2*sin(X[4])*Y[2]^2*a1*cos(X[4])-4*exp(-X[4]*a1)*X[3]*cos(X[4])*Y[2]*a1+2*exp(-2*X[4]*a1)*Y[2]*Y[3]*a1+4*exp(-X[4]*a1)*X[3]*sin(X[4])*Y[3]*a1+2*exp(-X[4]*a1)^2*sin(X[4])^2*Y[3]*Y[2]*a1-2*exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]*a1*Y[2]+4*X[1]*a1+2*exp(-X[4]*a1)^2*sin(X[4])*Y[3]^2*cos(X[4])*a1+exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]^2+exp(-X[4]*a1)^2*sin(X[4])^2*Y[3]^2-exp(-2*X[4]*a1)*Y[3]^2-exp(-2*X[4]*a1)*Y[2]^2+exp(-X[4]*a1)^2*cos(X[4])^2*Y[2]^2+exp(-X[4]*a1)^2*sin(X[4])^2*Y[2]^2)/a1,-exp(-X[4]*a1)*sin(X[4])*Y[3]+exp(-X[4]*a1)*cos(X[4])*Y[2]+X[2],exp(-X[4]*a1)*sin(X[4])*Y[2]+X[3]+exp(-X[4]*a1)*cos(X[4])*Y[3],X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-54,0]][representation]:=
[[exp(-2*x4*a1),-exp(-x4*a1)*x3*cos(x4)+exp(-x4*a1)*x2*sin(x4),exp(-x4*a1)*x3*sin(x4)+exp(-x4*a1)*x2*cos(x4),-1/2*x3^2+x2*x3*a1-1/2*x2^2+2*x1*a1,0,0],[0,exp(-x4*a1)*cos(x4),-exp(-x4*a1)*sin(x4),x3+x2*a1,0,0],[0,exp(-x4*a1)*sin(x4),exp(-x4*a1)*cos(x4),x3*a1-x2,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x5)]];

LG[[6,-54,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-54,0]][G_dot]:=proc(X,Y)
[1/4*(4*exp(-2*X[4]*a1)*Y[1]*a1-2*exp(-X[4]*a1)^2*sin(X[4])*Y[2]^2*a1*cos(X[4])-4*exp(-X[4]*a1)*X[3]*cos(X[4])*Y[2]*a1+2*exp(-2*X[4]*a1)*Y[2]*Y[3]*a1+4*exp(-X[4]*a1)*X[3]*sin(X[4])*Y[3]*a1+2*exp(-X[4]*a1)^2*sin(X[4])^2*Y[3]*Y[2]*a1-2*exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]*a1*Y[2]+4*X[1]*a1+2*exp(-X[4]*a1)^2*sin(X[4])*Y[3]^2*cos(X[4])*a1+exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]^2+exp(-X[4]*a1)^2*sin(X[4])^2*Y[3]^2-exp(-2*X[4]*a1)*Y[3]^2-exp(-2*X[4]*a1)*Y[2]^2+exp(-X[4]*a1)^2*cos(X[4])^2*Y[2]^2+exp(-X[4]*a1)^2*sin(X[4])^2*Y[2]^2)/a1,-exp(-X[4]*a1)*sin(X[4])*Y[3]+exp(-X[4]*a1)*cos(X[4])*Y[2]+X[2],exp(-X[4]*a1)*sin(X[4])*Y[2]+X[3]+exp(-X[4]*a1)*cos(X[4])*Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[5])]end:

LG[[6,-55,0]][representation]:=
[[cos(x3)*exp(-x4),-sin(x3)*exp(-x4),x1,x2,0,0],[sin(x3)*exp(-x4),cos(x3)*exp(-x4),x2,-x1,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0],[0,0,0,0,exp(x5),0],[0,0,0,0,0,exp(x6)]];

LG[[6,-55,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-55,0]][G_dot]:=proc(X,Y)
[-(sin(X[3])*Y[2]-cos(X[3])*Y[1]-X[1]*exp(X[4]))/exp(X[4]),(cos(X[3])*Y[2]+sin(X[3])*Y[1]+X[2]*exp(X[4]))/exp(X[4]),X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-56,0]][representation]:=
[[cos(x3)*exp(-x4),-sin(x3)*exp(-x4),x1,x2,0,0],[sin(x3)*exp(-x4),cos(x3)*exp(-x4),x2,-x1,0,0],[0,0,1,0,0,0],[0,0,0,1,0,0],[0,0,0,0,1,x6],[0,0,0,0,0,exp(x5)]];

LG[[6,-56,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-56,0]][G_dot]:=proc(X,Y)
[(cos(X[3])*Y[1]-sin(X[3])*Y[2]+X[1]*exp(X[4]))/exp(X[4]),(cos(X[3])*Y[2]+sin(X[3])*Y[1]+X[2]*exp(X[4]))/exp(X[4]),X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]+X[6]*exp(Y[5])]end:

LG[[6,-57,0]][representation]:=
[[1,0,-x3,0,-x1,0],[0,1,0,-x3,x5,0],[0,0,1,0,-x2,0],[0,0,0,1,x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x4)]];

LG[[6,-57,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-57,0]][G_dot]:=proc(X,Y)
[Y[1]-X[3]*Y[2]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],Y[5]-X[3]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-58,0]][representation]:=
[[1,-x1,1/2*x1^2,-1/6*x1^3,x3,0],[0,1,-x1,1/2*x1^2,x4,0],[0,0,1,-x1,x5,0],[0,0,0,1,x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-58,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-58,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],Y[3]-X[1]*Y[4]+1/2*X[1]^2*Y[5]-1/6*X[1]^3*Y[6]+X[3],Y[4]-X[1]*Y[5]+1/2*X[1]^2*Y[6]+X[4],Y[5]-X[1]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-59,0]][representation]:=
[[1,0,-x3,x4*x3+x1,x1*x3+2*x2,0],[0,1,-x4,1/2*x4^2,x6,0],[0,0,1,-x4,x1,0],[0,0,0,1,x3,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-59,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-59,0]][G_dot]:=proc(X,Y)
[Y[1]-X[4]*Y[3]+X[1],-X[3]*Y[1]+Y[3]*X[4]*X[3]+1/2*X[4]*Y[3]^2+Y[2]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]-X[4]*Y[1]+1/2*X[4]^2*Y[3]+X[6]]end:

LG[[6,-60,0]][representation]:=
[[1,x2,x3,x4,0],[0,1,0,x5,0],[0,0,1,x6,0],[0,0,0,1,0],[0,0,0,0,exp(x1)]];

LG[[6,-60,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-60,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],Y[4]+X[2]*Y[5]+X[3]*Y[6]+X[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-61,0]][representation]:=
[[1,-2*x4,-2*x3+x4^2,x2+2*x4*x3-1/3*x4^3,2*x1,0],[0,1,-x4,-x3+1/2*x4^2,x6,0],[0,0,1,-x4,x2,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-61,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-61,0]][G_dot]:=proc(X,Y)
[Y[1]-X[4]*Y[6]-X[3]*Y[2]+1/2*Y[2]*X[4]^2+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]-X[4]*Y[2]+X[6]]end:

LG[[6,-62,0]][representation]:=
[[1,-2*x4,-x3+x4^2,-1/3*x4^3+x4*x3+x2,x3*x2+2*x1,0],[0,1,-x4,1/2*x4^2,x6,0],[0,0,1,-x4,x2,0],[0,0,0,1,x3,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-62,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-62,0]][G_dot]:=proc(X,Y)
[-X[3]*Y[2]+Y[3]*X[4]*X[3]+1/2*X[4]*Y[3]^2+Y[1]-X[4]*Y[6]+1/2*Y[2]*X[4]^2-1/6*Y[3]*X[4]^3+X[1],Y[2]-X[4]*Y[3]+X[2],X[3]+Y[3],X[4]+Y[4],X[5]+Y[5],Y[6]-X[4]*Y[2]+1/2*X[4]^2*Y[3]+X[6]]end:

LG[[6,-63,0]][representation]:=
[[exp(-x4),0,0,0,x6,0],[0,exp(-x4*a1),0,0,x1*a1,0],[0,0,exp(-x4*b1),0,x2*b1,0],[0,0,0,exp(-x4*c1),x3*c1,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-63,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-63,0]][G_dot]:=proc(X,Y)
[exp(-X[4]*a1)*Y[1]+X[1],exp(-X[4]*b1)*Y[2]+X[2],exp(-X[4]*c1)*Y[3]+X[3],X[4]+Y[4],X[5]+Y[5],(Y[6]+X[6]*exp(X[4]))/exp(X[4])]end:

LG[[6,-64,0]][representation]:=
[[exp(-x2*a1),0,0,0,x4,0],[0,exp(-x2),0,0,x5,0],[0,0,1,-x1,x6,0],[0,0,0,1,-x2,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x3)]];

LG[[6,-64,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-64,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],exp(-X[2]*a1)*Y[4]+X[4],(Y[5]+X[5]*exp(X[2]))/exp(X[2]),Y[6]+X[1]*Y[2]+X[6]]end:

LG[[6,-65,0]][representation]:=
[[exp(-x1*b1),0,0,0,x3,0],[0,exp(-x1*a1),0,0,x4,0],[0,0,exp(-x1),-x1*exp(-x1),x5,0],[0,0,0,exp(-x1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-65,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-65,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*b1)*Y[3]+X[3],exp(-X[1]*a1)*Y[4]+X[4],(Y[5]-X[1]*Y[6]+X[5]*exp(X[1]))/exp(X[1]),(Y[6]+X[6]*exp(X[1]))/exp(X[1])]end:

LG[[6,-66,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),0,0,x3,0],[0,exp(-x1),0,0,x4,0],[0,0,exp(-x1*a1),-x1*exp(-x1*a1),x5,0],[0,0,0,exp(-x1*a1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-66,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-66,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]-X[1]*Y[4]+X[3]*exp(X[1]))/exp(X[1]),(Y[4]+X[4]*exp(X[1]))/exp(X[1]),exp(-X[1]*a1)*Y[5]-X[1]*exp(-X[1]*a1)*Y[6]+X[5],exp(-X[1]*a1)*Y[6]+X[6]]end:

LG[[6,-67,0]][representation]:=
[[exp(-x1),0,0,0,x3,0],[0,1,-x1,1/2*x1^2,x4,0],[0,0,1,-x1,x5,0],[0,0,0,1,x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-67,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-67,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]+X[3]*exp(X[1]))/exp(X[1]),Y[4]-X[1]*Y[5]+1/2*X[1]^2*Y[6]+X[4],Y[5]-X[1]*Y[6]+X[5],X[6]+Y[6]]end:

LG[[6,-68,0]][representation]:=
[[exp(-x1*a1),0,0,0,x3,0],[0,exp(-x1),-x1*exp(-x1),1/2*x1^2*exp(-x1),x4,0],[0,0,exp(-x1),-x1*exp(-x1),x5,0],[0,0,0,exp(-x1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-68,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-68,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*Y[3]+X[3],-1/2*(-2*Y[4]+2*X[1]*Y[5]-X[1]^2*Y[6]-2*X[4]*exp(X[1]))/exp(X[1]),(Y[5]-X[1]*Y[6]+X[5]*exp(X[1]))/exp(X[1]),(Y[6]+X[6]*exp(X[1]))/exp(X[1])]end:

LG[[6,-69,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),1/2*x1^2*exp(-x1),-1/6*x1^3*exp(-x1),x3,0],[0,exp(-x1),-x1*exp(-x1),1/2*x1^2*exp(-x1),x4,0],[0,0,exp(-x1),-x1*exp(-x1),x5,0],[0,0,0,exp(-x1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-69,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-69,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],1/6*(6*Y[3]-6*X[1]*Y[4]+3*X[1]^2*Y[5]-X[1]^3*Y[6]+6*X[3]*exp(X[1]))/exp(X[1]),-1/2*(-2*Y[4]+2*X[1]*Y[5]-X[1]^2*Y[6]-2*X[4]*exp(X[1]))/exp(X[1]),(Y[5]-X[1]*Y[6]+X[5]*exp(X[1]))/exp(X[1]),(Y[6]+X[6]*exp(X[1]))/exp(X[1])]end:

LG[[6,-70,0]][representation]:=
[[exp(-x1),0,0,0,x3,0],[0,exp(-x1*a1),0,0,x4,0],[0,0,exp(-x1*b1)*cos(x1*c1),-exp(-x1*b1)*sin(x1*c1),x5,0],[0,0,exp(-x1*b1)*sin(x1*c1),exp(-x1*b1)*cos(x1*c1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-70,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-70,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]+X[3]*exp(X[1]))/exp(X[1]),exp(-X[1]*a1)*Y[4]+X[4],exp(-X[1]*b1)*cos(X[1]*c1)*Y[5]-exp(-X[1]*b1)*sin(X[1]*c1)*Y[6]+X[5],exp(-X[1]*b1)*sin(X[1]*c1)*Y[5]+exp(-X[1]*b1)*cos(X[1]*c1)*Y[6]+X[6]]end:

LG[[6,-71,0]][representation]:=
[[1,x4,0,0,-x1-x4*x2,0],[0,1,0,0,-x2,0],[0,0,exp(-x2*a1)*cos(x2),-exp(-x2*a1)*sin(x2),x5,0],[0,0,exp(-x2*a1)*sin(x2),exp(-x2*a1)*cos(x2),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x3)]];

LG[[6,-71,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-71,0]][G_dot]:=proc(X,Y)
[-X[2]*Y[4]+Y[1]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],exp(-X[2]*a1)*cos(X[2])*Y[5]-exp(-X[2]*a1)*sin(X[2])*Y[6]+X[5],exp(-X[2]*a1)*sin(X[2])*Y[5]+exp(-X[2]*a1)*cos(X[2])*Y[6]+X[6]]end:

LG[[6,-72,0]][representation]:=
[[exp(-x1),-x1*exp(-x1),0,0,x3,0],[0,exp(-x1),0,0,x4,0],[0,0,exp(-x1*a1)*cos(x1*b1),-exp(-x1*a1)*sin(x1*b1),x5,0],[0,0,exp(-x1*a1)*sin(x1*b1),exp(-x1*a1)*cos(x1*b1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-72,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-72,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],(Y[3]-X[1]*Y[4]+X[3]*exp(X[1]))/exp(X[1]),(Y[4]+X[4]*exp(X[1]))/exp(X[1]),exp(-X[1]*a1)*cos(X[1]*b1)*Y[5]-exp(-X[1]*a1)*sin(X[1]*b1)*Y[6]+X[5],exp(-X[1]*a1)*sin(X[1]*b1)*Y[5]+exp(-X[1]*a1)*cos(X[1]*b1)*Y[6]+X[6]]end:

LG[[6,-73,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),0,0,x3,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),0,0,x4,0],[0,0,exp(-x1*b1)*cos(x1*c1),-exp(-x1*b1)*sin(x1*c1),x5,0],[0,0,exp(-x1*b1)*sin(x1*c1),exp(-x1*b1)*cos(x1*c1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-73,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-73,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]+X[4],exp(-X[1]*b1)*cos(X[1]*c1)*Y[5]-exp(-X[1]*b1)*sin(X[1]*c1)*Y[6]+X[5],exp(-X[1]*b1)*sin(X[1]*c1)*Y[5]+exp(-X[1]*b1)*cos(X[1]*c1)*Y[6]+X[6]]end:

LG[[6,-74,0]][representation]:=
[[exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),-x1*exp(-x1*a1)*cos(x1),x1*exp(-x1*a1)*sin(x1),x3,0],[exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),-x1*exp(-x1*a1)*sin(x1),-x1*exp(-x1*a1)*cos(x1),x4,0],[0,0,exp(-x1*a1)*cos(x1),-exp(-x1*a1)*sin(x1),x5,0],[0,0,exp(-x1*a1)*sin(x1),exp(-x1*a1)*cos(x1),x6,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x2)]];

LG[[6,-74,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-74,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],exp(-X[1]*a1)*cos(X[1])*Y[3]-exp(-X[1]*a1)*sin(X[1])*Y[4]-X[1]*exp(-X[1]*a1)*cos(X[1])*Y[5]+X[1]*exp(-X[1]*a1)*sin(X[1])*Y[6]+X[3],exp(-X[1]*a1)*sin(X[1])*Y[3]+exp(-X[1]*a1)*cos(X[1])*Y[4]-X[1]*exp(-X[1]*a1)*sin(X[1])*Y[5]-X[1]*exp(-X[1]*a1)*cos(X[1])*Y[6]+X[4],exp(-X[1]*a1)*cos(X[1])*Y[5]-exp(-X[1]*a1)*sin(X[1])*Y[6]+X[5],exp(-X[1]*a1)*sin(X[1])*Y[5]+exp(-X[1]*a1)*cos(X[1])*Y[6]+X[6]]end:

LG[[6,-75,0]][representation]:=
[[exp(-x4*b1),0,0,0,x6,0],[0,exp(-x4*(a1+1)),-exp(-x4)*x3,x2*exp(-x4*a1),x2*x3*a1+x1*a1+x1,0],[0,0,exp(-x4),0,x2,0],[0,0,0,exp(-x4*a1),x3*a1,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-75,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-75,0]][G_dot]:=proc(X,Y)
[(-exp(-X[4]*a1)*Y[3]*a1*Y[2]-X[3]*a1*Y[2]+exp(-X[4]*(a1+1))*Y[1]*a1*exp(X[4])-X[3]*Y[2]+exp(-X[4]*(a1+1))*Y[2]*Y[3]*a1*exp(X[4])+exp(-X[4]*(a1+1))*Y[1]*exp(X[4])+X[1]*a1*exp(X[4])+X[1]*exp(X[4]))/exp(X[4])/(a1+1),(Y[2]+X[2]*exp(X[4]))/exp(X[4]),exp(-X[4]*a1)*Y[3]+X[3],X[4]+Y[4],X[5]+Y[5],exp(-X[4]*b1)*Y[6]+X[6]]end:

LG[[6,-76,0]][representation]:=
[[exp(-x5-x5*a1),exp(-x5)*x3,x2*exp(-x5*a1),-exp(-x5-x5*a1)*x5,-x2*x3*a1-x1-x1*a1,0],[0,exp(-x5),0,0,x2,0],[0,0,exp(-x5*a1),0,-x3*a1,0],[0,0,0,exp(-x5-x5*a1),-x4-x4*a1,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-76,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-76,0]][G_dot]:=proc(X,Y)
[-(exp(-X[5]*a1)*Y[3]*a1*Y[2]+X[3]*a1*Y[2]-exp(-X[5]-X[5]*a1)*Y[2]*Y[3]*a1*exp(X[5])-exp(-X[5]-X[5]*a1)*Y[1]*a1*exp(X[5])-exp(-X[5]-X[5]*a1)*Y[1]*exp(X[5])+X[3]*Y[2]+exp(-X[5]-X[5]*a1)*X[5]*Y[4]*exp(X[5])+exp(-X[5]-X[5]*a1)*X[5]*Y[4]*a1*exp(X[5])-X[1]*exp(X[5])-X[1]*a1*exp(X[5]))/exp(X[5])/(a1+1),(Y[2]+X[2]*exp(X[5]))/exp(X[5]),exp(-X[5]*a1)*Y[3]+X[3],exp(-X[5]-X[5]*a1)*Y[4]+X[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-77,0]][representation]:=
[[exp(-2*x4),0,exp(-x4)*x2,-x4*exp(-x4)*x2-exp(-x4)*x3,x3*x2+1/2*x2^2+2*x1,0],[0,exp(-x4),-x4*exp(-x4),1/2*x4^2*exp(-x4),x6,0],[0,0,exp(-x4),-x4*exp(-x4),x2+x3,0],[0,0,0,exp(-x4),x2,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-77,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-77,0]][G_dot]:=proc(X,Y)
[1/4*(-2*Y[3]*Y[2]+2*X[4]*Y[2]^2-4*X[3]*Y[2]*exp(X[4])-Y[2]^2+2*exp(-2*X[4])*Y[3]*Y[2]*exp(X[4])^2+exp(-2*X[4])*Y[2]^2*exp(X[4])^2+4*exp(-2*X[4])*Y[1]*exp(X[4])^2+4*X[1]*exp(X[4])^2)/exp(X[4])^2,(Y[2]+X[2]*exp(X[4]))/exp(X[4]),(Y[3]-X[4]*Y[2]+X[3]*exp(X[4]))/exp(X[4]),X[4]+Y[4],X[5]+Y[5],1/2*(2*Y[6]-2*X[4]*Y[2]-2*X[4]*Y[3]+X[4]^2*Y[2]+2*X[6]*exp(X[4]))/exp(X[4])]end:

LG[[6,-78,0]][representation]:=
[[exp(-x4),0,0,0,2*x3,0],[0,1,-x2,1/2*x2^2,-1/2*x2^2*x4-x1,0],[0,0,1,-x2,x6,0],[0,0,0,1,-x4,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-78,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-78,0]][G_dot]:=proc(X,Y)
[-X[2]*Y[2]*X[4]-X[2]*Y[2]*Y[4]-1/2*X[4]*Y[2]^2+Y[1]+X[2]*Y[6]+X[1],X[2]+Y[2],(Y[3]+X[3]*exp(X[4]))/exp(X[4]),X[4]+Y[4],X[5]+Y[5],Y[6]+X[2]*Y[4]+X[6]]end:

LG[[6,-79,0]][representation]:=
[[exp(-x5*a1),0,0,0,2*x4,0],[0,exp(-2*x5),exp(-x5)*x2,-x5*exp(-x5)*x2-exp(-x5)*x3,-x3*x2-2*x1,0],[0,0,exp(-x5),-x5*exp(-x5),-x3,0],[0,0,0,exp(-x5),-x2,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-79,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-79,0]][G_dot]:=proc(X,Y)
[-1/2*(Y[2]*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])*Y[3]-Y[2]^2*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])*X[5]+Y[2]*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])*X[3]*exp(X[5])+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])*Y[3]-X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])*X[5]*Y[2]+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])*X[3]*exp(X[5])-exp(-2*X[5])*Y[3]*Y[2]*exp(X[5])-2*exp(-2*X[5])*Y[1]*exp(X[5])-Y[3]*X[2]+Y[2]*X[5]*X[2]+X[3]*Y[2]-X[3]*X[2]*exp(X[5])-2*X[1]*exp(X[5]))/exp(X[5]),Y[2]*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5]),(Y[3]-X[5]*Y[2]+X[3]*exp(X[5]))/exp(X[5]),exp(-X[5]*a1)*Y[4]+X[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-80,0]][representation]:=
[[exp(-2*x5),-exp(-x5)*x2,x5*exp(-x5)*x2+exp(-x5)*x3,-x5*epsilon1*exp(-2*x5),x3*x2+2*x1,0],[0,exp(-x5),-x5*exp(-x5),0,-x3,0],[0,0,exp(-x5),0,-x2,0],[0,0,0,exp(-2*x5),2*x4,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-80,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-80,0]][G_dot]:=proc(X,Y)
[-1/2*(Y[2]*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])*Y[3]-Y[2]^2*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])*X[5]+Y[2]*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])*X[3]*exp(X[5])+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])*Y[3]-X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])*X[5]*Y[2]+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])*X[3]*exp(X[5])-exp(-2*X[5])*Y[3]*Y[2]*exp(X[5])-2*exp(-2*X[5])*Y[1]*exp(X[5])-Y[3]*X[2]+Y[2]*X[5]*X[2]+X[3]*Y[2]+2*X[5]*epsilon1*exp(-2*X[5])*Y[4]*exp(X[5])-X[3]*X[2]*exp(X[5])-2*X[1]*exp(X[5]))/exp(X[5]),Y[2]*exp(-2*X[5]-Y[5])*exp(X[5]+Y[5])+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5]),(Y[3]-X[5]*Y[2]+X[3]*exp(X[5]))/exp(X[5]),exp(-2*X[5])*Y[4]+X[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-81,0]][representation]:=
[[exp(-x4*b1),0,0,0,x6,0],[0,exp(-2*x4*a1),-exp(-x4*a1)*x3*cos(x4)-exp(-x4*a1)*x2*sin(x4),exp(-x4*a1)*x3*sin(x4)-exp(-x4*a1)*x2*cos(x4),-1/2*x3^2-x2*x3*a1-1/2*x2^2-2*x1*a1,0],[0,0,exp(-x4*a1)*cos(x4),-exp(-x4*a1)*sin(x4),x3-x2*a1,0],[0,0,exp(-x4*a1)*sin(x4),exp(-x4*a1)*cos(x4),x3*a1+x2,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-81,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-81,0]][G_dot]:=proc(X,Y)
[1/4*(2*exp(-2*X[4]*a1)*Y[2]*Y[3]*a1+4*X[1]*a1+2*exp(-X[4]*a1)^2*sin(X[4])*Y[2]^2*a1*cos(X[4])+4*exp(-2*X[4]*a1)*Y[1]*a1-2*exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]*a1*Y[2]-4*exp(-X[4]*a1)*X[3]*cos(X[4])*Y[2]*a1-4*exp(-X[4]*a1)*X[3]*sin(X[4])*Y[3]*a1-2*exp(-X[4]*a1)^2*sin(X[4])*Y[3]^2*cos(X[4])*a1+2*exp(-X[4]*a1)^2*sin(X[4])^2*Y[3]*Y[2]*a1-exp(-X[4]*a1)^2*sin(X[4])^2*Y[2]^2-exp(-X[4]*a1)^2*cos(X[4])^2*Y[2]^2+exp(-2*X[4]*a1)*Y[2]^2+exp(-2*X[4]*a1)*Y[3]^2-exp(-X[4]*a1)^2*cos(X[4])^2*Y[3]^2-exp(-X[4]*a1)^2*sin(X[4])^2*Y[3]^2)/a1,exp(-X[4]*a1)*sin(X[4])*Y[3]+exp(-X[4]*a1)*cos(X[4])*Y[2]+X[2],-exp(-X[4]*a1)*sin(X[4])*Y[2]+X[3]+exp(-X[4]*a1)*cos(X[4])*Y[3],X[4]+Y[4],X[5]+Y[5],exp(-X[4]*b1)*Y[6]+X[6]]end:

LG[[6,-82,0]][representation]:=
[[exp(-2*x5*a1),x3*((exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2)-x2*((-exp(-x5*a1)*sin(x5)-a1^4*exp(-x5*a1)*sin(x5)-2*a1^2*exp(-x5*a1)*sin(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(-exp(-x5*a1)*sin(x5)-a1^4*exp(-x5*a1)*sin(x5)-2*a1^2*exp(-x5*a1)*sin(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2),x3*((exp(-x5*a1)*sin(x5)+a1^4*exp(-x5*a1)*sin(x5)+2*a1^2*exp(-x5*a1)*sin(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x5*a1)*sin(x5)+a1^4*exp(-x5*a1)*sin(x5)+2*a1^2*exp(-x5*a1)*sin(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2)-x2*((exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2),1/2*x5*epsilon1*exp(-2*x5*a1),(1/2*x3^2+x2*x3*a1+1/2*x2^2+2*x1*a1)*((2*a1^2+1+a1^4)*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(2*a1^2+1+a1^4)*a1^2/((a1^2-1)^2+4*a1^2)^2),0],[0,(exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2,(exp(-x5*a1)*sin(x5)+a1^4*exp(-x5*a1)*sin(x5)+2*a1^2*exp(-x5*a1)*sin(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x5*a1)*sin(x5)+a1^4*exp(-x5*a1)*sin(x5)+2*a1^2*exp(-x5*a1)*sin(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2,0,(x3-x2*a1)*((2*a1^2+1+a1^4)*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(2*a1^2+1+a1^4)*a1^2/((a1^2-1)^2+4*a1^2)^2),0],[0,(-exp(-x5*a1)*sin(x5)-a1^4*exp(-x5*a1)*sin(x5)-2*a1^2*exp(-x5*a1)*sin(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(-exp(-x5*a1)*sin(x5)-a1^4*exp(-x5*a1)*sin(x5)-2*a1^2*exp(-x5*a1)*sin(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2,(exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(exp(-x5*a1)*cos(x5)+a1^4*exp(-x5*a1)*cos(x5)+2*a1^2*exp(-x5*a1)*cos(x5))*a1^2/((a1^2-1)^2+4*a1^2)^2,0,(-x3*a1-x2)*((2*a1^2+1+a1^4)*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(2*a1^2+1+a1^4)*a1^2/((a1^2-1)^2+4*a1^2)^2),0],[0,0,0,exp(-2*x5*a1),-4*x4*a1*((2*a1^2+1+a1^4)*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(2*a1^2+1+a1^4)*a1^2/((a1^2-1)^2+4*a1^2)^2),0],[0,0,0,0,(2*a1^2+1+a1^4)*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(2*a1^2+1+a1^4)*a1^2/((a1^2-1)^2+4*a1^2)^2,0],[0,0,0,0,0,((2*a1^2+1+a1^4)*(a1^2-1)^2/((a1^2-1)^2+4*a1^2)^2+4*(2*a1^2+1+a1^4)*a1^2/((a1^2-1)^2+4*a1^2)^2)*exp(x6)]];

LG[[6,-82,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-82,0]][G_dot]:=proc(X,Y)
[-1/4*(-4*X[1]*a1+4*X[5]*epsilon1*exp(-2*X[5]*a1)*Y[4]*a1+2*exp(-X[5]*a1)^2*cos(X[5])^2*Y[3]*a1*Y[2]-4*exp(-2*X[5]*a1)*Y[1]*a1-2*exp(-2*X[5]*a1)*Y[2]*Y[3]*a1+2*exp(-X[5]*a1)^2*sin(X[5])*Y[3]^2*cos(X[5])*a1-2*exp(-X[5]*a1)^2*sin(X[5])*Y[2]^2*a1*cos(X[5])-2*exp(-X[5]*a1)^2*sin(X[5])^2*Y[3]*Y[2]*a1+4*exp(-X[5]*a1)*X[3]*sin(X[5])*Y[3]*a1+4*exp(-X[5]*a1)*X[3]*cos(X[5])*Y[2]*a1-exp(-2*X[5]*a1)*Y[2]^2-exp(-2*X[5]*a1)*Y[3]^2+exp(-X[5]*a1)^2*cos(X[5])^2*Y[2]^2+exp(-X[5]*a1)^2*cos(X[5])^2*Y[3]^2+exp(-X[5]*a1)^2*sin(X[5])^2*Y[2]^2+exp(-X[5]*a1)^2*sin(X[5])^2*Y[3]^2)/a1,exp(-X[5]*a1)*sin(X[5])*Y[3]+exp(-X[5]*a1)*cos(X[5])*Y[2]+X[2],-exp(-X[5]*a1)*sin(X[5])*Y[2]+X[3]+exp(-X[5]*a1)*cos(X[5])*Y[3],exp(-2*X[5]*a1)*Y[4]+X[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-83,0]][representation]:=
[[exp(-x4),-x4*exp(-x4),x6,x2,1/2*(-2*exp(-x4)*x1+x2*x4^2*exp(-x4)-2*x6*x2)*exp(x4),0],[0,exp(-x4),-x4*exp(-x4),0,-x3,0],[0,0,exp(-x4),0,-x2,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x5)]];

LG[[6,-83,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-83,0]][G_dot]:=proc(X,Y)
[-1/2*(-X[4]^2*Y[2]-X[2]*exp(X[4])*Y[4]^2+2*X[2]*Y[6]*exp(X[4]+Y[4])-2*Y[1]+2*X[4]*Y[3]-2*X[1]*exp(X[4]))/exp(X[4]),(Y[2]+X[2]*exp(X[4]))/exp(X[4]),(Y[3]-X[4]*Y[2]+X[3]*exp(X[4]))/exp(X[4]),X[4]+Y[4],X[5]+Y[5],(Y[6]*exp(Y[4])+X[4]*Y[4]*exp(-X[4]-Y[4])*exp(Y[4])*exp(X[4])+X[6]*exp(X[4]))/exp(Y[4])/exp(X[4])]end:

LG[[6,-84,0]][representation]:=
[[exp(-x5-x5*a1),x3*exp(-x5*a1),0,exp(-x5)*x2,-x3*x2-x1-x1*a1,0],[0,exp(-x5*a1),0,0,x2*a1,0],[0,0,exp(-x5),-x5*exp(-x5),-x4,0],[0,0,0,exp(-x5),-x3,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-84,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-84,0]][G_dot]:=proc(X,Y)
[(-exp(-X[5]*a1)*Y[2]*Y[3]-exp(-X[5]*a1)*Y[2]*X[3]*exp(X[5])+exp(-X[5]-X[5]*a1)*Y[3]*Y[2]*exp(X[5])+exp(-X[5]-X[5]*a1)*Y[1]*exp(X[5])+exp(-X[5]-X[5]*a1)*Y[1]*a1*exp(X[5])-X[3]*exp(-X[5]*a1)*Y[2]*a1*exp(X[5])+X[1]*exp(X[5])+X[1]*a1*exp(X[5]))/exp(X[5])/(a1+1),exp(-X[5]*a1)*Y[2]+X[2],(Y[3]+X[3]*exp(X[5]))/exp(X[5]),(Y[4]-X[5]*Y[3]+X[4]*exp(X[5]))/exp(X[5]),X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-85,0]][representation]:=
[[exp(-x5),0,0,x2,-x3*x2-x1,0],[0,exp(-x5),0,0,x2,0],[0,0,1,-x5,-x4,0],[0,0,0,1,-x3,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-85,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-85,0]][G_dot]:=proc(X,Y)
[(-X[3]*Y[2]+Y[1]+X[1]*exp(X[5]))/exp(X[5]),(Y[2]+X[2]*exp(X[5]))/exp(X[5]),X[3]+Y[3],Y[4]-X[5]*Y[3]+X[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-86,0]][representation]:=
[[exp(-x5*a1-2*x5),-x4*exp(-x5-x5*a1),1/2*x4^2*exp(-x5*a1),exp(-x5)*x2,x4*x2+x1*a1+2*x1,0],[0,exp(-x5-x5*a1),-x4*exp(-x5*a1),exp(-x5)*x3,x4*x3+x2*a1+x2,0],[0,0,exp(-x5*a1),0,x3*a1,0],[0,0,0,exp(-x5),x4,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-86,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-86,0]][G_dot]:=proc(X,Y)
[1/2*(-2*Y[4]*Y[2]*exp(-X[5]*a1-2*X[5]-Y[5])*exp(X[5]+Y[5])+2*Y[4]*X[4]*Y[3]*exp(-X[5]-X[5]*a1-Y[5])*exp(X[5]+Y[5])-2*Y[4]*X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])-2*X[4]*exp(X[5])*Y[2]*exp(-X[5]*a1-2*X[5]-Y[5])*exp(X[5]+Y[5])+2*X[4]^2*exp(X[5])*Y[3]*exp(-X[5]-X[5]*a1-Y[5])*exp(X[5]+Y[5])-2*X[4]*exp(X[5])*X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])+2*exp(-X[5]*a1-2*X[5])*Y[4]*Y[2]*exp(X[5])+2*exp(-X[5]*a1-2*X[5])*Y[1]*a1*exp(X[5])+4*exp(-X[5]*a1-2*X[5])*Y[1]*exp(X[5])-2*X[4]*exp(-X[5]-X[5]*a1)*Y[4]*Y[3]*exp(X[5])-2*X[4]*exp(-X[5]-X[5]*a1)*Y[2]*a1*exp(X[5])-2*X[4]*exp(-X[5]-X[5]*a1)*Y[2]*exp(X[5])+X[4]^2*exp(-X[5]*a1)*Y[3]*a1*exp(X[5])+2*X[2]*Y[4]+2*X[4]*X[2]*exp(X[5])+2*X[1]*a1*exp(X[5])+4*X[1]*exp(X[5]))/exp(X[5])/(a1+2),Y[2]*exp(-X[5]*a1-2*X[5]-Y[5])*exp(X[5]+Y[5])-X[4]*Y[3]*exp(-X[5]-X[5]*a1-Y[5])*exp(X[5]+Y[5])+X[2]*exp(-X[5]-Y[5])*exp(X[5]+Y[5]),exp(-X[5]*a1)*Y[3]+X[3],(Y[4]+X[4]*exp(X[5]))/exp(X[5]),X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-87,0]][representation]:=
[[exp(-3*x5),exp(-2*x5)*x4,1/2*exp(-x5)*x4^2,-1/2*x4^2*x5*exp(-x5)+exp(-x5)*x2,-1/6*x4^3-x4*x2-3*x1,0],[0,exp(-2*x5),exp(-x5)*x4,-x5*exp(-x5)*x4-exp(-x5)*x3,-1/2*x4^2+x4*x3+2*x2,0],[0,0,exp(-x5),-x5*exp(-x5),-x3-x4,0],[0,0,0,exp(-x5),-x4,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-87,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-87,0]][G_dot]:=proc(X,Y)
[1/36*(3*exp(-2*X[5])*Y[4]^3*exp(X[5])^2+6*Y[4]^2*Y[3]-6*X[5]*Y[4]^3-12*Y[4]*exp(-2*X[5])*Y[2]*exp(X[5])^2+18*Y[4]*X[4]*Y[3]*exp(X[5])-6*exp(-2*X[5])*Y[4]^2*Y[3]*exp(X[5])^2-18*Y[4]^2*X[5]*X[4]*exp(X[5])+18*X[4]^2*Y[3]*exp(X[5])^2-9*Y[4]^2*X[4]*exp(X[5])-36*exp(-2*X[5])*X[4]*Y[2]*exp(X[5])^3+9*exp(-2*X[5])*X[4]*Y[4]^2*exp(X[5])^3+12*exp(-3*X[5])*Y[4]*Y[2]*exp(X[5])^3+36*X[1]*exp(X[5])^3-18*Y[4]*X[4]^2*X[5]*exp(X[5])^2-18*exp(-2*X[5])*X[4]*Y[4]*Y[3]*exp(X[5])^3+2*exp(-3*X[5])*Y[4]^3*exp(X[5])^3+36*exp(-3*X[5])*Y[1]*exp(X[5])^3-5*Y[4]^3)/exp(X[5])^3,-1/4*(-Y[4]^2+2*Y[4]*Y[3]-2*X[5]*Y[4]^2+4*X[4]*Y[3]*exp(X[5])-4*Y[4]*X[5]*X[4]*exp(X[5])+exp(-2*X[5])*Y[4]^2*exp(X[5])^2-2*exp(-2*X[5])*Y[4]*Y[3]*exp(X[5])^2-4*exp(-2*X[5])*Y[2]*exp(X[5])^2-4*X[2]*exp(X[5])^2)/exp(X[5])^2,(Y[3]-X[5]*Y[4]+X[3]*exp(X[5]))/exp(X[5]),(Y[4]+X[4]*exp(X[5]))/exp(X[5]),X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-88,0]][representation]:=
[[exp(-x5),-exp(-x5)*x4,1/2*exp(-x5)*x4^2-x5*epsilon*exp(-x5),-x2,-x3*epsilon-x1,0],[0,exp(-x5),-exp(-x5)*x4,-x3,-x2,0],[0,0,exp(-x5),0,-x3,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-88,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-88,0]][G_dot]:=proc(X,Y)
[1/2*(2*Y[1]-2*X[4]*Y[2]+Y[3]*X[4]^2-2*Y[3]*X[5]*epsilon+2*X[1]*exp(X[5]))/exp(X[5]),(Y[2]-X[4]*Y[3]+X[2]*exp(X[5]))/exp(X[5]),(Y[3]+X[3]*exp(X[5]))/exp(X[5]),Y[4]*exp(-X[5]-Y[5])*exp(X[5]+Y[5])+X[4]*exp(-X[5]-Y[5])*exp(X[5]+Y[5]),X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-89,0]][representation]:=
[[exp(-x5),0,0,-x2,0,0],[0,exp(-x4),0,0,-x1,0],[0,0,exp(-x4*a1)*exp(-x5*b1),-x3*b1,-x3*a1,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-89,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-89,0]][G_dot]:=proc(X,Y)
[_z1,_z2,_z3,_z4,_z5,_z6]end:

LG[[6,-90,0]][representation]:=
[[exp(-x4*a1)*exp(-x5),0,0,-x1*a1,-x1,0],[0,exp(-x4),-x5*exp(-x4),-x2,-x3,0],[0,0,exp(-x4),-x3,0,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-90,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-90,0]][G_dot]:=proc(X,Y)
[Y[1]*exp(-X[4]*a1-X[5])+X[1],(Y[2]-X[5]*Y[3]+X[2]*exp(X[4]))/exp(X[4]),(Y[3]+X[3]*exp(X[4]))/exp(X[4]),X[4]+Y[4],Y[5]*exp(-X[4]-Y[4])*exp(X[4]+Y[4])+X[5]*exp(-X[4]-Y[4])*exp(X[4]+Y[4]),X[6]+Y[6]]end:

LG[[6,-91,0]][representation]:=
[[exp(-x4*b1)*(exp(-x5*a1)*a1^2/(a1^2+1)+exp(-x5*a1)/(a1^2+1)),0,0,-x1*b1,-x1*a1,0],[0,exp(-x4)*cos(x5),-exp(-x4)*sin(x5),-x2,-x3,0],[0,exp(-x4)*sin(x5),exp(-x4)*cos(x5),-x3,x2,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-91,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-91,0]][G_dot]:=proc(X,Y)
[exp(-X[4]*b1)*exp(-X[5]*a1)*Y[1]+X[1],-(-cos(X[5])*Y[2]+sin(X[5])*Y[3]-X[2]*exp(X[4]))/exp(X[4]),(cos(X[5])*Y[3]+sin(X[5])*Y[2]+X[3]*exp(X[4]))/exp(X[4]),X[4]+Y[4],X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-92,0]][representation]:=
[[exp(-x2),0,0,0,x5,0],[0,exp(-x3),0,0,x6,0],[0,0,1,-x3,-x1,0],[0,0,0,1,-x2,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x4)]];

LG[[6,-92,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-92,0]][G_dot]:=proc(X,Y)
[Y[1]-X[3]*Y[2]+X[1],X[2]+Y[2],X[3]+Y[3],X[4]+Y[4],(Y[5]+X[5]*exp(X[2]))/exp(X[2]),(Y[6]+X[6]*exp(X[3]))/exp(X[3])]end:

LG[[6,-93,0]][representation]:=
[[1,(x4+sin(x2)*x5*cos(x2))/cos(x2)^2,x5,-x1,x6,0],[0,cos(x2)*exp(x1),-sin(x2)*exp(x1),0,0,0],[0,sin(x2)*exp(x1),cos(x2)*exp(x1),0,0,0],[0,0,0,1,-x2,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x3)]];

LG[[6,-93,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-93,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],-1/4*(-exp(Y[1])*X[5]*sin(5*Y[2]+4*X[2])-2*exp(Y[1])*X[4]*cos(5*Y[2]+2*X[2])-2*exp(Y[1])*X[4]*cos(Y[2]-2*X[2])-6*exp(Y[1])*X[4]*cos(Y[2]+2*X[2])-6*exp(Y[1])*X[4]*cos(3*Y[2]+2*X[2])-exp(Y[1])*X[5]*sin(Y[2]+4*X[2])-2*exp(Y[1])*X[5]*sin(3*Y[2]+4*X[2])-2*Y[5]*sin(2*Y[2])-3*exp(Y[1])*X[5]*sin(Y[2]+2*X[2])*cos(2*X[2])-12*cos(Y[2])*exp(Y[1])*X[4]*cos(2*X[2])-exp(Y[1])*X[5]*sin(3*Y[2])*cos(2*X[2])-2*exp(Y[1])*X[5]*sin(3*Y[2]+4*X[2])*cos(2*X[2])-exp(Y[1])*X[5]*sin(Y[2]+4*X[2])*cos(2*X[2])-6*exp(Y[1])*X[4]*cos(3*Y[2]+2*X[2])*cos(2*X[2])-6*exp(Y[1])*X[4]*cos(Y[2]+2*X[2])*cos(2*X[2])-2*exp(Y[1])*X[4]*cos(Y[2]-2*X[2])*cos(2*X[2])-2*exp(Y[1])*X[4]*cos(5*Y[2]+2*X[2])*cos(2*X[2])-exp(Y[1])*X[5]*sin(5*Y[2]+4*X[2])*cos(2*X[2])-exp(Y[1])*X[5]*sin(5*Y[2]+2*X[2])*cos(2*X[2])-4*sin(2*Y[2])*sin(Y[2])*exp(Y[1])*X[4]+sin(4*X[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+sin(4*X[2])*X[5]*cos(Y[2])*exp(Y[1])-8*sin(2*Y[2]+2*X[2])*sin(Y[2])*exp(Y[1])*X[4]+4*sin(2*Y[2]+2*X[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+4*sin(2*Y[2]+2*X[2])*X[5]*cos(Y[2])*exp(Y[1])-4*sin(2*X[2])*sin(Y[2])*exp(Y[1])*X[4]+2*sin(2*X[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+2*sin(2*X[2])*X[5]*cos(Y[2])*exp(Y[1])+2*sin(2*Y[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+2*sin(2*Y[2])*X[5]*cos(Y[2])*exp(Y[1])-4*sin(4*X[2]+2*Y[2])*sin(Y[2])*exp(Y[1])*X[4]+2*sin(4*X[2]+2*Y[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+2*sin(4*X[2]+2*Y[2])*X[5]*cos(Y[2])*exp(Y[1])-4*sin(4*Y[2]+2*X[2])*sin(Y[2])*exp(Y[1])*X[4]+2*sin(4*Y[2]+2*X[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+2*sin(4*Y[2]+2*X[2])*X[5]*cos(Y[2])*exp(Y[1])-2*sin(4*Y[2])*sin(Y[2])*exp(Y[1])*X[4]+sin(4*Y[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+sin(4*Y[2])*X[5]*cos(Y[2])*exp(Y[1])-2*sin(4*X[2]+4*Y[2])*sin(Y[2])*exp(Y[1])*X[4]+sin(4*X[2]+4*Y[2])*exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+sin(4*X[2]+4*Y[2])*X[5]*cos(Y[2])*exp(Y[1])-3*exp(Y[1])*X[5]*sin(3*Y[2]+2*X[2])*cos(2*X[2])+2*Y[5]*sin(4*X[2])-8*Y[4]*cos(2*Y[2]+2*X[2])-4*Y[4]*cos(2*Y[2])+4*Y[5]*sin(2*X[2])-4*Y[4]*cos(4*X[2]+2*Y[2])-16*Y[4]*cos(2*X[2])-12*cos(Y[2])*exp(Y[1])*X[4]-3*exp(Y[1])*X[5]*sin(Y[2]+2*X[2])+exp(Y[1])*X[5]*sin(Y[2]-2*X[2])+exp(Y[1])*X[5]*sin(Y[2]-2*X[2])*cos(2*X[2])-2*sin(4*X[2])*sin(Y[2])*exp(Y[1])*X[4]-4*exp(Y[1])*X[4]*cos(3*Y[2])*cos(2*X[2])-X[5]*sin(Y[2])*exp(Y[1])+2*sin(4*X[2])*Y[5]*cos(2*X[2])+2*sin(2*Y[2]+2*X[2])*Y[5]*cos(2*X[2])+4*sin(2*X[2])*Y[5]*cos(2*X[2])-2*sin(2*Y[2])*Y[5]*cos(2*X[2])+2*sin(4*X[2]+2*Y[2])*Y[5]*cos(2*X[2])-4*Y[4]*cos(2*Y[2])*cos(2*X[2])-8*Y[4]*cos(2*Y[2]+2*X[2])*cos(2*X[2])-2*Y[5]*sin(2*Y[2]-2*X[2])*cos(2*X[2])-4*Y[4]*cos(4*X[2]+2*Y[2])*cos(2*X[2])-X[5]*sin(Y[2])*exp(Y[1])*cos(2*X[2])-4*exp(Y[1])*X[4]*cos(3*Y[2])-exp(Y[1])*X[5]*sin(5*Y[2]+2*X[2])-3*exp(Y[1])*X[5]*sin(3*Y[2]+2*X[2])-exp(Y[1])*X[5]*sin(3*Y[2])+2*Y[5]*sin(2*Y[2]+2*X[2])-2*Y[5]*sin(2*Y[2]-2*X[2])-8*Y[4]*cos(2*X[2])^2+2*sin(4*X[2]+2*Y[2])*Y[5]-8*Y[4])/(2*cos(2*Y[2])+4*cos(2*X[2])+cos(2*Y[2]+2*X[2])+cos(2*Y[2]-2*X[2])+2*cos(2*Y[2])*cos(2*X[2])+cos(2*Y[2]+2*X[2])*cos(2*X[2])+cos(2*Y[2]-2*X[2])*cos(2*X[2])+2*cos(2*X[2])^2+2),(Y[5]*cos(2*X[2])+Y[5]-2*sin(Y[2])*exp(Y[1])*X[4]+exp(Y[1])*X[5]*cos(Y[2]+2*X[2])+X[5]*cos(Y[2])*exp(Y[1]))/(cos(2*X[2])+1),Y[6]+X[1]*Y[2]+X[6]]end:

LG[[6,-94,0]][representation]:=
[[exp(-2/3*x1+1/3*x2),x4,x5,0],[0,exp(1/3*x1-2/3*x2),x6,0],[0,0,exp(1/3*x1+1/3*x2),0],[0,0,0,exp(x3)]];

LG[[6,-94,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-94,0]][G_dot]:=proc(X,Y)
[X[1]+Y[1],X[2]+Y[2],X[3]+Y[3],exp(-2/3*X[1]+1/3*X[2])*Y[4]+X[4]*exp(1/3*Y[1]-2/3*Y[2]),exp(-2/3*X[1]+1/3*X[2])*Y[5]+X[4]*Y[6]+X[5]*exp(1/3*Y[1]+1/3*Y[2]),exp(1/3*X[1]-2/3*X[2])*Y[6]+X[6]*exp(1/3*Y[1]+1/3*Y[2])]end:

LG[[6,-95,0]][representation]:=
[[exp(-2*x5),(-cos(x4)*x3+sin(x4)*x2)*exp(-x5),(sin(x4)*x3+cos(x4)*x2)*exp(-x5),-1/2*x2^2-1/2*x3^2,x3*x2+2*x1,0],[0,cos(x4)*exp(-x5),-sin(x4)*exp(-x5),x3,x2,0],[0,sin(x4)*exp(-x5),cos(x4)*exp(-x5),-x2,x3,0],[0,0,0,1,0,0],[0,0,0,0,1,0],[0,0,0,0,0,exp(x6)]];

LG[[6,-95,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-95,0]][G_dot]:=proc(X,Y)
[1/2*(sin(X[4])*Y[3]^2*cos(X[4])+sin(X[4])^2*Y[3]*Y[2]+2*Y[3]*sin(X[4])*X[3]*exp(X[5])-cos(X[4])^2*Y[2]*Y[3]-cos(X[4])*Y[2]^2*sin(X[4])-2*Y[2]*cos(X[4])*X[3]*exp(X[5])+exp(-2*X[5])*Y[3]*Y[2]*exp(X[5])^2+2*exp(-2*X[5])*Y[1]*exp(X[5])^2+2*X[1]*exp(X[5])^2)/exp(X[5])^2,-(sin(X[4])*Y[3]-cos(X[4])*Y[2]-X[2]*exp(X[5]))/exp(X[5]),(cos(X[4])*Y[3]+sin(X[4])*Y[2]+X[3]*exp(X[5]))/exp(X[5]),arctan(sin(X[4]+Y[4])*exp(-X[5]-Y[5])*exp(X[5]+Y[5]),cos(X[4]+Y[4])*exp(-X[5]-Y[5])*exp(X[5]+Y[5])),X[5]+Y[5],X[6]+Y[6]]end:

LG[[6,-96,0]][representation]:=
[[exp(x4)+x6*x3*exp(2*x4),x6,-x1-x6*exp(x4)*x2,0],[x3*exp(x4),exp(-x4),-x2,0],[0,0,1,0],[0,0,0,exp(x5)]];

LG[[6,-96,0]][identity]:=
[0,0,0,0,0,0];

LG[[6,-96,0]][G_dot]:=proc(X,Y)
[(X[1]*X[3]*Y[6]*exp(2*X[4]+Y[4])+exp(X[4])*Y[1]-X[2]*Y[6]*exp(2*X[4]+Y[4])+X[1])/(X[3]*Y[6]*exp(2*X[4]+Y[4])+1),(X[3]*exp(X[4])^2*Y[1]+X[3]*exp(X[4])^2*Y[6]*exp(Y[4])*Y[2]+Y[2]+X[2]*exp(X[4]))/exp(X[4]),(X[3]^2*Y[6]^2*Y[3]*exp(4*X[4]+2*Y[4])+X[3]^2*Y[6]*exp(4*X[4]+Y[4])+2*X[3]*Y[6]*Y[3]*exp(2*X[4]+Y[4])+X[3]*exp(X[4])^2+Y[3])/exp(X[4])^2,-ln(X[3]*Y[6]*exp(2*X[4]+Y[4])+1)+X[4]+Y[4],X[5]+Y[5],(exp(X[4])*Y[6]*exp(Y[4])+Y[6]*X[6]*X[3]*exp(2*X[4])*exp(Y[4])+X[6])/exp(Y[4])]end:

eval(LG);
end;
