USU1_4:=proc()

description `USU4: Solvable Lie Algebras of dimension six.`;

local A;
A:=table();


A[[6, 122, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], b], [[2, 5, 2], c], [[2, 6, 2], delta], [[3, 6, 3], 1], [[4, 5, 4], 1]];

A[[6, 122, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], 
[1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 122, 0]][reference][[Turkowski, 2]]
:=[[[6,1],{a=alpha, b=beta, c=gamma},M]];

A[[6, 122, 0]][remarks]
:=[];

#............[6,123,0]............


A[[6, 123, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], b], [[2, 5, 2], 1], [[2, 6, 2], c], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 6, 4], 1]];

A[[6, 123, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 123, 0]][reference][[Turkowski, 2]]
:=[[[6,2],{a=alpha, b=beta, c=gamma},M]];

A[[6, 123, 0]][remarks]
:=[];

#............[6,124,0]............


A[[6, 124, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], a], [[1, 6, 2], 1], [[2, 5, 2], 1], [[2, 6, 2], a], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 6, 4], 1]];

A[[6, 124, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 124, 0]][reference][[Turkowski, 2]]
:=[[[6,3],{a=alpha, b=beta, c=gamma},M]];

A[[6, 124, 0]][remarks]
:=[];

#............[6,125,0]............


A[[6, 125, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 2], 1], [[2, 5, 2], 1], [[2, 6, 1], -1], [[3, 5, 4], 1], [[3, 6, 3], a], [[3, 6, 4], b], [[4, 6, 4], a]];

A[[6, 125, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 125, 0]][reference][[Turkowski, 2]]
:=[[[6,4],{a=alpha, b=beta, c=gamma},M]];

A[[6, 125, 0]][remarks]
:=[];

#............[6,126,0]............


A[[6, 126, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], b], [[2, 6, 2], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[4, 5, 4], 1]];

A[[6, 126, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 126, 0]][reference][[Turkowski, 2]]
:=[[[6,5],{a=alpha, b=beta, c=gamma},M]];

A[[6, 126, 0]][remarks]
:=[];

#............[6,127,0]............


A[[6, 127, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], 1], [[1, 6, 2], 1], [[2, 5, 2], a], [[2, 6, 2], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[3, 6, 4], b], [[4, 5, 4], 1]];

A[[6, 127, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 127, 0]][reference][[Turkowski, 2]]
:=[[[6,6],{a=alpha, b=beta, c=gamma},M]];

A[[6, 127, 0]][remarks]
:=[];

#............[6,128,0]............


A[[6, 128, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], c], [[1, 6, 2], 1], [[2, 5, 2], a], [[2, 6, 1], -1], [[2, 6, 2], c], [[3, 5, 3], 1], [[3, 5, 4], 1], [[3, 6, 4], b], [[4, 5, 4], 1]];

A[[6, 128, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 128, 0]][reference][[Turkowski, 2]]
:=[[[6,7],{a=alpha, b=beta, c=gamma},M]];

A[[6, 128, 0]][remarks]
:=[];

#............[6,129,0]............


A[[6, 129, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 4], 1], [[2, 6, 2], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1]];

A[[6, 129, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 129, 0]][reference][[Turkowski, 2]]
:=[[[6,8],{a=alpha, b=beta, c=gamma},M]];

A[[6, 129, 0]][remarks]
:=[];

#............[6,130,0]............


A[[6, 130, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 5, 4], 1], [[2, 6, 2], 1], [[2, 6, 3], 1], [[3, 6, 3], 1], [[3, 6, 4], a], [[4, 6, 4], 1]];

A[[6, 130, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 130, 0]][reference][[Turkowski, 2]]
:=[[[6,9],{a=alpha, b=beta, c=gamma},M]];

A[[6, 130, 0]][remarks]
:=[];

#............[6,131,0]............


A[[6, 131, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], 1], [[2, 5, 1], 1], [[2, 5, 4], b], [[2, 6, 3], 1], [[3, 5, 3], 1], [[3, 6, 4], 1], [[4, 5, 4], 1]];

A[[6, 131, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 131, 0]][reference][[Turkowski, 2]]
:=[[[6,10],{a=alpha, b=beta, c=gamma},M]];

A[[6, 131, 0]][remarks]
:=[];

#............[6,132,0]............


A[[6, 132, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[3, 6, 3], a], [[4, 5, 4], 1], [[4, 6, 4], a]];

A[[6, 132, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 132, 0]][reference][[Turkowski, 2]]
:=[[[6,11],{a=alpha, b=beta, c=gamma},M]];

A[[6, 132, 0]][remarks]
:=[];

#............[6,133,0]............


A[[6, 133, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 5, 2], 1], [[1, 6, 2], a], [[1, 6, 3], 1], [[1, 6, 4], -b], [[2, 5, 2], 1], [[2, 6, 4], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[3, 6, 1], -1], [[3, 6, 2], b], [[3, 6, 4], a], [[4, 5, 4], 1], [[4, 6, 2], -1]];

A[[6, 133, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 133, 0]][reference][[Turkowski, 2]]
:=[[[6,12],{a=alpha, b=beta, c=gamma},M]];

A[[6, 133, 0]][remarks]
:=[];

#............[6,134,0]............


A[[6, 134, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], b], [[2, 5, 2], c], [[2, 6, 2], delta], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 5, 3], -1], [[4, 6, 4], 1]];

A[[6, 134, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 134, 0]][reference][[Turkowski, 2]]
:=[[[6,13],{a=alpha, b=beta, c=gamma},M]];

A[[6, 134, 0]][remarks]
:=[];

#............[6,135,0]............


A[[6, 135, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 6, 1], b], [[2, 6, 2], 1], [[3, 5, 3], c], [[3, 5, 4], 1], [[4, 5, 3], -1], [[4, 5, 4], c]];

A[[6, 135, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 135, 0]][reference][[Turkowski, 2]]
:=[[[6,14],{a=alpha, b=beta, c=gamma},M]];

A[[6, 135, 0]][remarks]
:=[];

#............[6,136,0]............


A[[6, 136, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], c], [[1, 6, 2], 1], [[2, 5, 2], 1], [[2, 6, 1], -1], [[2, 6, 2], c], [[3, 5, 3], a], [[3, 5, 4], b], [[3, 6, 3], delta], [[4, 5, 3], -b], [[4, 5, 4], a], [[4, 6, 4], delta]];

A[[6, 136, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 136, 0]][reference][[Turkowski, 2]]
:=[[[6,15],{a=alpha, b=beta, c=gamma},M]];

A[[6, 136, 0]][remarks]
:=[];

#............[6,137,0]............


A[[6, 137, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[1, 6, 1], 1], [[2, 6, 2], 1], [[3, 5, 3], a], [[3, 5, 4], 1], [[3, 6, 3], b], [[4, 5, 3], -1], [[4, 5, 4], a], [[4, 6, 4], b]];

A[[6, 137, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 137, 0]][reference][[Turkowski, 2]]
:=[[[6,16],{a=alpha, b=beta, c=gamma},M]];

A[[6, 137, 0]][remarks]
:=[];

#............[6,138,0]............


A[[6, 138, 0]][structure_constants]
:=[[[1, 5, 1], a], [[1, 5, 2], 1], [[2, 5, 2], a], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 5, 3], -1], [[4, 6, 4], 1]];

A[[6, 138, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 138, 0]][reference][[Turkowski, 2]]
:=[[[6,17],{a=alpha, b=beta, c=gamma},M]];

A[[6, 138, 0]][remarks]
:=[];

#............[6,139,0]............


A[[6, 139, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[1, 6, 1], 1], [[2, 5, 1], -1], [[2, 6, 2], 1], [[3, 5, 3], a], [[3, 5, 4], b], [[3, 6, 3], c], [[4, 5, 3], -b], [[4, 5, 4], a], [[4, 6, 4], c]];

A[[6, 139, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 139, 0]][reference][[Turkowski, 2]]
:=[[[6,18],{a=alpha, b=beta, c=gamma},M]];

A[[6, 139, 0]][remarks]
:=[];

#............[6,140,0]............


A[[6, 140, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[1, 5, 3], 1], [[1, 6, 1], 1], [[2, 5, 1], -1], [[2, 5, 4], 1], [[2, 6, 2], 1], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 5, 3], -1], [[4, 6, 4], 1]];

A[[6, 140, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 140, 0]][reference][[Turkowski, 2]]
:=[[[6,19],{a=alpha, b=beta, c=gamma},M]];

A[[6, 140, 0]][remarks]
:=[];

#............[6,141,0]............


A[[6, 141, 0]][structure_constants]
:=[[[2, 5, 2], a], [[2, 6, 2], b], [[3, 6, 3], 1], [[4, 5, 4], 1], [[5, 6, 1], 1]];

A[[6, 141, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 141, 0]][reference][[Turkowski, 2]]
:=[[[6,20],{a=alpha, b=beta, c=gamma},M]];

A[[6, 141, 0]][remarks]
:=[];

#............[6,142,0]............


A[[6, 142, 0]][structure_constants]
:=[[[2, 5, 2], 1], [[2, 6, 2], a], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 6, 4], 1], [[5, 6, 1], 1]];

A[[6, 142, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 142, 0]][reference][[Turkowski, 2]]
:=[[[6,21],{a=alpha, b=beta, c=gamma},M]];

A[[6, 142, 0]][remarks]
:=[];

#............[6,143,0]............


A[[6, 143, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], a], [[2, 6, 2], 1], [[3, 5, 4], 1], [[5, 6, 3], epsilon]];

A[[6, 143, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 143, 0]][reference][[Turkowski, 2]]
:=[[[6,22],{a=alpha, b=beta, c=gamma},M]];

A[[6, 143, 0]][remarks]
:=[];

#............[6,144,0]............


A[[6, 144, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 2], 1], [[2, 5, 2], 1], [[2, 6, 1], -1], [[3, 5, 4], 1], [[3, 6, 4], a], [[5, 6, 3], epsilon]];

A[[6, 144, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 144, 0]][reference][[Turkowski, 2]]
:=[[[6,23],{a=alpha, b=beta, c=gamma},M]];

A[[6, 144, 0]][remarks]
:=[];

#............[6,145,0]............


A[[6, 145, 0]][structure_constants]
:=[[[2, 6, 2], 1], [[3, 5, 3], 1], [[3, 5, 4], 1], [[4, 5, 4], 1], [[5, 6, 1], 1]];

A[[6, 145, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 145, 0]][reference][[Turkowski, 2]]
:=[[[6,24],{a=alpha, b=beta, c=gamma},M]];

A[[6, 145, 0]][remarks]
:=[];

#............[6,146,0]............


A[[6, 146, 0]][structure_constants]
:=[[[1, 6, 2], b], [[2, 5, 2], a], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 5, 3], -1], [[4, 6, 4], 1], [[5, 6, 1], 1]];

A[[6, 146, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 146, 0]][reference][[Turkowski, 2]]
:=[[[6,25],{a=alpha, b=beta, c=gamma},M]];

A[[6, 146, 0]][remarks]
:=[];

#............[6,147,0]............


A[[6, 147, 0]][structure_constants]
:=[[[2, 6, 2], 1], [[3, 5, 3], a], [[3, 5, 4], 1], [[4, 5, 3], -1], [[4, 5, 4], a], [[5, 6, 1], 1]];

A[[6, 147, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 147, 0]][reference][[Turkowski, 2]]
:=[[[6,26],{a=alpha, b=beta, c=gamma},M]];

A[[6, 147, 0]][remarks]
:=[];

#............[6,148,0]............


A[[6, 148, 0]][structure_constants]
:=[[[1, 5, 2], 1], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 5, 3], -1], [[4, 6, 4], 1], [[5, 6, 1], epsilon]];

A[[6, 148, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 148, 0]][reference][[Turkowski, 2]]
:=[[[6,27],{a=alpha, b=beta, c=gamma},M]];

A[[6, 148, 0]][remarks]
:=[];

#............[6,149,0]............


A[[6, 149, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[2, 4, 1], -1], [[2, 6, 2], 1], [[3, 4, 2], -1], [[3, 5, 3], -1], [[3, 6, 3], 2], [[4, 5, 4], 1], [[4, 6, 4], -1]];

A[[6, 149, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 149, 0]][reference][[Turkowski, 2]]
:=[[[6,28],{a=alpha, b=beta, c=gamma},M]];

A[[6, 149, 0]][remarks]
:=[];

#............[6,150,0]............


A[[6, 150, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], 1], [[2, 3, 1], -1], [[2, 5, 2], 1], [[3, 6, 3], 1], [[4, 5, 4], a], [[4, 6, 4], b]];

A[[6, 150, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 150, 0]][reference][[Turkowski, 2]]
:=[[[6,29],{a=alpha, b=beta, c=gamma},M]];

A[[6, 150, 0]][remarks]
:=[];

#............[6,151,0]............


A[[6, 151, 0]][structure_constants]
:=[[[1, 5, 1], 2], [[2, 3, 1], -1], [[2, 5, 2], 1], [[2, 6, 3], 1], [[3, 5, 3], 1], [[4, 5, 4], a], [[4, 6, 4], 1]];

A[[6, 151, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 151, 0]][reference][[Turkowski, 2]]
:=[[[6,30],{a=alpha, b=beta, c=gamma},M]];

A[[6, 151, 0]][remarks]
:=[];

#............[6,152,0]............


A[[6, 152, 0]][structure_constants]
:=[[[1, 6, 1], 1], [[2, 3, 1], -1], [[2, 5, 2], 1], [[3, 5, 3], -1], [[3, 6, 3], 1], [[4, 6, 1], 1], [[4, 6, 4], 1]];

A[[6, 152, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 152, 0]][reference][[Turkowski, 2]]
:=[[[6,31],{a=alpha, b=beta, c=gamma},M]];

A[[6, 152, 0]][remarks]
:=[];

#............[6,153,0]............


A[[6, 153, 0]][structure_constants]
:=[[[1, 6, 1], 1], [[2, 3, 1], -1], [[2, 5, 2], 1], [[2, 6, 2], a], [[3, 5, 3], -1], [[3, 6, 3], 1-a], [[4, 5, 1], 1], [[4, 6, 4], 1]];

A[[6, 153, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 153, 0]][reference][[Turkowski, 2]]
:=[[[6,32],{a=alpha, b=beta, c=gamma},M]];

A[[6, 153, 0]][remarks]
:=[];

#............[6,154,0]............


A[[6, 154, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], 1], [[2, 3, 1], -1], [[2, 5, 2], 1], [[3, 6, 3], 1], [[3, 6, 4], 1], [[4, 6, 4], 1]];

A[[6, 154, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 154, 0]][reference][[Turkowski, 2]]
:=[[[6,33],{a=alpha, b=beta, c=gamma},M]];

A[[6, 154, 0]][remarks]
:=[];

#............[6,155,0]............


A[[6, 155, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], 1+a], [[2, 3, 1], -1], [[2, 5, 2], 1], [[2, 6, 2], a], [[3, 5, 4], 1], [[3, 6, 3], 1], [[4, 6, 4], 1]];

A[[6, 155, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 155, 0]][reference][[Turkowski, 2]]
:=[[[6,34],{a=alpha, b=beta, c=gamma},M]];

A[[6, 155, 0]][remarks]
:=[];

#............[6,156,0]............


A[[6, 156, 0]][structure_constants]
:=[[[1, 6, 1], 2], [[2, 3, 1], -1], [[2, 5, 3], 1], [[2, 6, 2], 1], [[3, 5, 2], -1], [[3, 6, 3], 1], [[4, 5, 4], a], [[4, 6, 4], b]];

A[[6, 156, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 156, 0]][reference][[Turkowski, 2]]
:=[[[6,35],{a=alpha, b=beta, c=gamma},M]];

A[[6, 156, 0]][remarks]
:=[];

#............[6,157,0]............


A[[6, 157, 0]][structure_constants]
:=[[[1, 6, 1], 2], [[2, 3, 1], -1], [[2, 5, 3], 1], [[2, 6, 2], 1], [[3, 5, 2], -1], [[3, 6, 3], 1], [[4, 6, 1], 1], [[4, 6, 4], 2]];

A[[6, 157, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 157, 0]][reference][[Turkowski, 2]]
:=[[[6,36],{a=alpha, b=beta, c=gamma},M]];

A[[6, 157, 0]][remarks]
:=[];

#............[6,158,0]............


A[[6, 158, 0]][structure_constants]
:=[[[1, 6, 1], 2], [[2, 3, 1], -1], [[2, 5, 3], 1], [[2, 6, 2], 1], [[2, 6, 3], a], [[3, 5, 2], -1], [[3, 6, 2], -a], [[3, 6, 3], 1], [[4, 5, 1], 1], [[4, 6, 4], 2]];

A[[6, 158, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 158, 0]][reference][[Turkowski, 2]]
:=[[[6,37],{a=alpha, b=beta, c=gamma},M]];

A[[6, 158, 0]][remarks]
:=[];

#............[6,159,0]............


A[[6, 159, 0]][structure_constants]
:=[[[1, 5, 1], 1], [[1, 6, 1], 1], [[2, 3, 1], -1], [[2, 5, 2], 1], [[3, 6, 3], 1], [[5, 6, 4], -1]];

A[[6, 159, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 159, 0]][reference][[Turkowski, 2]]
:=[[[6,38],{a=alpha, b=beta, c=gamma},M]];

A[[6, 159, 0]][remarks]
:=[];

#............[6,160,0]............


A[[6, 160, 0]][structure_constants]
:=[[[1, 6, 1], 2], [[2, 3, 1], -1], [[2, 5, 3], 1], [[2, 6, 2], 1], [[3, 5, 2], -1], [[3, 6, 3], 1], [[5, 6, 4], -1]];

A[[6, 160, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 160, 0]][reference][[Turkowski, 2]]
:=[[[6,39],{a=alpha, b=beta, c=gamma},M]];

A[[6, 160, 0]][remarks]
:=[];

#............[6,161,0]............


A[[6, 161, 0]][structure_constants]
:=[[[2, 3, 1], -1], [[2, 5, 3], 1], [[3, 5, 2], -1], [[4, 6, 4], 1], [[5, 6, 1], -1]];

A[[6, 161, 0]][parameters]
:=[];

M:=Matrix([[0, 0, 0, 0, -1, 0], [0, 0, 0, 0, 0, -1], [1, 0, 0, 0, 0, 0], [0, 1, 0, 0, 0, 0], [0, 0, 1, 0, 0, 0], [0, 0, 0, 1, 0, 0]]);

A[[6, 161, 0]][reference][[Turkowski, 2]]
:=[[[6,40],{a=alpha, b=beta, c=gamma},M]];

A[[6, 161, 0]][remarks]
:=[];

#............[6,162,0]............


eval(A);
end:
