

libname:= 
"C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):
with(JetCalc);


ExteriorDifferentialSystems :=module()

description  "Exterior Differential Systems Package";

option  package;
local derived_flag_Pfaff0;
export 

#CauchyCharacteristics
	Cauchy_characteristics_Pfaff,

#DerivedFlag
	weak_derived_flag,derived_flag_distribution,derived_flag_Pfaff,

#fiberCoordinates
	fiberedCoordinate,

#modPfaff
	modPfaff,

#normalize_PDE
	normalizer_distribution, normalizer_PDE,

#pde_to_eds
      pde_to_eds0,

#symmetries
infinitesimalSymmetryAlgebraOfPfaffianEDS;


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\ExteriorDifferentialSystems\\CauchyCharacteristics.ms";



$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\ExteriorDifferentialSystems\\DerivedFlag.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\ExteriorDifferentialSystems\\fiberCoordinates.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\ExteriorDifferentialSystems\\normalizer_PDE.ms";


$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\ExteriorDifferentialSystems\\pde_to_eds.ms";



$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\DifferentialGeometryApplications\\ExteriorDifferentialSystems\\symmetries.ms";

end module;


unwith(DifferentialGeometry):

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometryApplications.mla";

savelib('ExteriorDifferentialSystems');
