

libname:= "C:\\Program Files\\Maple 10/lib","C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive";



with(DifferentialGeometry):
with(JetCalc):

vst_euc:=module()

description  "Differential Geometry Package";

export 


#D.euc
	dV,dH, ext_d,

#Eulerlag.euc
	EL0, EL_form,

#homotopy
	hdV, homo_d, hdH0, hdH1, total_interior_product0,

#input.euc
	

#Lie.euc
	Lie0,Lie_bracket, gen_Lie_bracket,
	Lie_form, Lie_biform, Lie_vert, Lie_total, Lie_tens,

#Pr_transform
	assign_transform_type, pr_transform,

#Pr_vect	
	assign_vect_type, pr_vect,

#Pullback
pullback_biform,pt_pushforward_total,

#project_euc
	biform_to_form, form_to_biform;



$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\D_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\Eulerlag_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\Homotopy_euc.ms";



$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\Lie_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\pr_transform_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\pr_vect_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\project_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\pullback_euc.ms";

$include  "C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DiffGeomSourceCode\\FrameProcedures\\vst_Frame\\push_vect_euc.ms";


end module;


unwith(DifferentialGeometry):

savelibname:="C:\\Ian'sWork\\MapleSoft\\DiffGeom2.0\\DifferentialGeometryArchive\\DifferentialGeometry.mla";

savelib('vst_euc');
